/*********************************************************************/
/*                                                                   */
/*   KM5 product provided situations  Start                          */
/*                                                                   */
/* Licensed material - Property of IBM and Rocket Software           */
/*                                                                   */
/* © Copyright Rocket Software, Inc. 2020                            */
/* © Copyright IBM Corporation 2005, 2018                            */
/*                                                                   */
/*********************************************************************/
$PARMS("Average CPU Utilization exceeds the Critical threshold. This con
dition may or may not be a matter of immediate concern. If it arises sud
denly on a uniprocessor, it may indicate that a unit of work is in a loo
p. If it is a chronic condition it could be that the system is kept busy
 with low priority work. If service classes are missing their goals, a c
hange in goals or a capacity increase may be necessary.
");                         INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,A
FFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLA
G,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJE
CTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED
,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) VALUES("OS390_AvgCPU_Pct_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Average CPU Utilization Critical Situation",
"*IF  *VALUE System_CPU_Utilization.Average_CPU_Percent *GE 100"); 

$PARMS("Average CPU Utilization exceeds the Warning threshold. This cond
ition may or may not be a matter of immediate concern. If it arises sudd
enly on a uniprocessor, it may indicate that a unit of work is in a loop
. If it is a chronic condition it could be that the system is kept busy 
with low priority work. If service classes are missing their goals, a ch
ange in goals or a capacity increase may be necessary.");                           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_AvgCPU_Pct_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Average CPU Utilization Warning Situation",
"*IF  *VALUE System_CPU_Utilization.Average_CPU_Percent *GE 95 *AND  *VA
LUE System_CPU_Utilization.Average_CPU_Percent *LT 100"); 

$PARMS("GTF (Generalized Trace Facility) is a useful diagnostic tool but
 can cause performance degradation. Determine who is using GTF and make 
sure it will be active for the minimum time necessary to get the needed 
data.");                                                                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_GTF_Active_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"GTF Active Critical Situation",
"*IF  *VALUE Operator_Alerts.GTF_Active *EQ True"); 

$PARMS("GTF (Generalized Trace Facility) is a useful diagnostic tool but
 can cause performance degradation. Determine who is using GTF and make 
sure it will be active for the minimum time necessary to get the needed 
data.");                                                                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_GTF_Active_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"GTF Active Warning Situation",
"*IF  *VALUE Operator_Alerts.GTF_Active *EQ True"); 

$PARMS("A wait for an HSM data set recall exceeds the Critical threshold
.  Make sure that there is not an outstanding tape mount for an HSM tape
. In some cases the wait can occur when a Migration Level 1 volume is ti
ed up by a RESERVE or other conflicting activity such as a volume backup
.
");                                                                   IN
SERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT,A
UTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,
LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QIBS
COPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,
PDT) VALUES("OS390_HSM_RecallWait_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"HSM Recall Wait Time Critical Situation",
"*IF  *VALUE Operator_Alerts.HSM_Recall_Wait_Time *GE 1200"); 

$PARMS("A wait for an HSM data set recall exceeds the Warning threshold.
  Make sure that there is not an outstanding tape mount for an HSM tape.
 In some cases the wait can occur when a Migration Level 1 volume is tie
d up by a RESERVE or other conflicting activity such as a volume backup.
");                                                                     
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_HSM_RecallWait_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"HSM Recall Wait Time Warning Situation",
"*IF  *VALUE Operator_Alerts.HSM_Recall_Wait_Time *GE 600 *AND  *VALUE O
perator_Alerts.HSM_Recall_Wait_Time *LT 1200"); 

$PARMS('Allocated CSA (Common Storage Area) storage exceeds its Critical
 threshold.  A system crash may occur due to exhausted CSA. Identify the
 address spaces using high amounts of CSA. Nonessential address spaces w
ith high usage should be stopped or canceled to prevent a crash.  Worksp
ace "Address Space Common Storage - Active Users" can be used to locate 
CSA users.');
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Allocated_CSA_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Allocated CSA Critical Situation",
"*IF  *VALUE Common_Storage.Area *EQ CSA *AND  *VALUE Common_Storage.All
ocation_Percent *GE 95"); 

$PARMS('Allocated CSA (Common Storage Area) storage exceeds its Warning
 threshold.  A system crash may occur due to exhausted CSA.  Identify th
e address spaces using high amounts of CSA. Nonessential address spaces 
with high usage should be stopped or canceled to prevent a crash.  Works
pace "Address Space Common Storage - Active Users" can be used to locate
 CSA users.'); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Allocated_CSA_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Allocated CSA Warning Situation",
"*IF  *VALUE Common_Storage.Area *EQ CSA *AND  *VALUE Common_Storage.All
ocation_Percent *GE 90 *AND  *VALUE Common_Storage.Allocation_Percent *L
T 95"); 

$PARMS("OLTEP is active. Determine who is using OLTEP and minimize its t
ime of use. OLTEP (On-Line Test Executive Program) is a framework for IB
M hardware diagnostic programs that dates back to OS/360. No current dev
ice requires OLTEP, but some systems may have older devices (such as 342
0 tapes) in which OLTEP runs out of its own library. When OLTEP is runni
ng, system integrity may be at risk.
");                                INSERT INTO O4SRV.TSITDESC (SITNAME,A
DVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB
,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOP
TS,OBJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,R
ESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_OLTEP_Active_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"OLTEP Active Critical Situation",
"*IF  *VALUE Operator_Alerts.OLTEP_Active *EQ True"); 

$PARMS("OLTEP is active. Determine who is using OLTEP and minimize its t
ime of use. OLTEP (On-Line Test Executive Program) is a framework for IB
M hardware diagnostic programs that dates back to OS/360. No current dev
ice requires OLTEP, but some systems may have older devices (such as 342
0 tapes) in which OLTEP runs out of its own library. When OLTEP is runni
ng, system integrity may be at risk.");                                 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_OLTEP_Active_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"OLTEP Active Warning Situation",
"*IF  *VALUE Operator_Alerts.OLTEP_Active *EQ True"); 

$PARMS("Outstanding operator replies exceeds the current Critical thresh
old.  Check the operator console for outstanding replies and address the
m as required.  If all the outstanding replies are correct and routine, 
the threshold should be adjusted."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Outstanding_WTORs_Crit",                           
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Outstanding Operator Replies Critical Situation",
"*IF  *VALUE Operator_Alerts.Outstanding_Operator_Replies *GE 12"); 

$PARMS("Outstanding operator replies exceeds the current Warning thresho
ld.  Check the operator console for outstanding replies and address them
 as required.  If all the outstanding replies are correct and routine, t
he threshold should be adjusted.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Outstanding_WTORs_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Outstanding Operator Replies Warning Situation",
"*IF  *VALUE Operator_Alerts.Outstanding_Operator_Replies *GE 10 *AND  *
VALUE Operator_Alerts.Outstanding_Operator_Replies *LT 12"); 

$PARMS("The RMF data collector is not active. RMF data is essential to p
erformance management and problem analysis. Attempt to restart the RMF c
ollector. If this is not possible, notify a system programmer.
");      INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST
,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,
LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBC
LASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,S
OURCE,TEXT,PDT) VALUES("OS390_RMF_Not_Active_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"RMF Not Active Critical Situation",
"*IF  *VALUE Operator_Alerts.RMF_Not_Active *EQ True"); 

$PARMS("The RMF data collector is not active. RMF data is essential to p
erformance management and problem analysis. Attempt to restart the RMF c
ollector. If this is not possible, notify a system programmer.");       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_RMF_Not_Active_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"RMF Not Active Warning Situation",
"*IF  *VALUE Operator_Alerts.RMF_Not_Active *EQ True"); 

$PARMS("SMF data is not being recorded. SMF data has numerous uses inclu
ding resource accounting and capacity management. Missing data can damag
e the data center management process. Immediately get help from a system
 programmer to check the SMF data sets and restart the collection proces
s as quickly as possible.
");                                           INSERT INTO O4SRV.TSITDESC
 (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EV
ENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYAR
GS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME
,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_SMF_Not_Recording_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"SMF Not Recording Critical Situation",
"*IF  *VALUE Operator_Alerts.SMF_Not_Recording *EQ True"); 

$PARMS("SMF data is not being recorded. SMF data has numerous uses inclu
ding resource accounting and capacity management. Missing data can damag
e the data center management process. Immediately get help from a system
 programmer to check the SMF data sets and restart the collection proces
s as quickly as possible."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_SMF_Not_Recording_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"SMF Not Recording Warning Situation",
"*IF  *VALUE Operator_Alerts.SMF_Not_Recording *EQ True"); 

$PARMS("The number of possible address spaces has reached its Critical t
hreshold. If the maximum is reached, an emergency IPL may become necessa
ry. System programmer help is needed immediately. Things to check includ
e the values of the MAXUSER, RSVNONR, and RSVSTRT parameters and any kno
wn problems leading to address space IDs becoming unusable.
");         INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTL
IST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDA
TE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,Q
IBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINF
O,SOURCE,TEXT,PDT) VALUES("OS390_Max_ASIDs_in_Use_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percent Max ASID in use Critical Situation",
"*IF  *VALUE Operator_Alerts.ASVT_Slot_Utilization *GE 90"); 

$PARMS("The number of possible address spaces has reached its Warning th
reshold. If the maximum is reached, an emergency IPL may become necessar
y. System programmer help is needed immediately. Things to check include
 the values of the MAXUSER, RSVNONR, and RSVSTRT parameters and any know
n problems leading to address space IDs becoming unusable.");           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Max_ASIDs_in_Use_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percent Max ASID in use Warning Situation",
"*IF  *VALUE Operator_Alerts.ASVT_Slot_Utilization *GE 80 *AND  *VALUE O
perator_Alerts.ASVT_Slot_Utilization *LT 90"); 

$PARMS("SYSLOG recording has stopped. A system programmer should be call
ed to diagnose the reason. One possibility is that JES SPOOL space is ex
hausted. SYSLOG should be going to a printer or other device designated 
for backup.
");                                                         INSERT INTO 
O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,C
MD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,
NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_
DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) VALUE
S("OS390_Syslog_Not_Recording_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Syslog Not Recording Critical Situation",
"*IF  *VALUE Operator_Alerts.SYSLOG_Not_Recording *EQ True"); 

$PARMS("SYSLOG recording has stopped. A system programmer should be call
ed to diagnose the reason. One possibility is that JES SPOOL space is ex
hausted. SYSLOG should be going to a printer or other device designated 
for backup.");                                                          
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Syslog_Not_Recording_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Syslog Not Recording Warning Situation",
"*IF  *VALUE Operator_Alerts.SYSLOG_Not_Recording *EQ True"); 

$PARMS(" Set the critical threshold (in frames) for the available frame 
queue low alert. The available frame queue is a list of frames that are 
available to the system. If the number of frames is too low, SRM automat
ically replenishes the queue by stealing frames that have not been recen
tly referenced. Controlling the available frame queue is the method SRM 
uses to manage storage use. A low available frame queue is a problem onl
y if it causes contention for storage.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Available_Frames_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Central storage available frame count critical situation",
"*IF  *VALUE Real_Storage.Storage_Type *EQ Summary *AND  *VALUE Real_Sto
rage.Available_Frames *LE 0"); 

$PARMS("Set the warning threshold (in frames) for the available frame qu
eue low alert. The available frame queue is a list of frames that are av
ailable to the system. If the number of frames is too low, SRM automatic
ally replenishes the queue by stealing frames that have not been recentl
y referenced. Controlling the available frame queue is the method SRM us
es to manage storage use. A low available frame queue is a problem only 
if it causes a high page fault rate.");                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Available_Frames_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Central storage available frame count warning situation",
"*IF  *VALUE Real_Storage.Storage_Type *EQ Summary *AND *VALUE Real_Stor
age.Available_Frames *LT 1 *AND *VALUE Real_Storage.Available_Frames *GT
 0"); 

$PARMS("Available write-to-operator message buffers are less than the Cr
itical threshold. The default number of buffers is 1500, and the maximum
 is 9999. Check as soon as possible to see if a console device is down. 
If so, switch the message stream to another device. An IPL may be needed
 if prompt action is not taken.
");                                     INSERT INTO O4SRV.TSITDESC (SITN
AME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATT
R,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOT
IFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLE
XOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_WTO_Buffers_Left_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"WTO Buffers Remaining Critical Situation",
"*IF  *VALUE Operator_Alerts.WTO_Buffers_Remaining *LE 20"); 

$PARMS("Available write-to-operator message buffers are less than the Wa
rning threshold. The default number of buffers is 1500, and the maximum 
is 9999. Check as soon as possible to see if a console device is down. I
f so, switch the message stream to another device. An IPL may be needed 
if prompt action is not taken.");                                       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_WTO_Buffers_Left_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"WTO Buffers Remaining Warning Situation",
"*IF  *VALUE Operator_Alerts.WTO_Buffers_Remaining *LE 100 *AND  *VALUE 
Operator_Alerts.WTO_Buffers_Remaining *GT 20"); 

$PARMS("Set the critical threshold for storage that should be online. Th
e value must be less than the warning threshold.To be alerted of any los
s of storage, you may want to set the threshold to the amount of storage
 that should always be online.
");  INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUT
OSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTR
ELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASS
ID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURC
E,TEXT,PDT) VALUES("OS390_Frames_Online_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Central storage online frame count critical situation",
"*IF  *VALUE Real_Storage.Storage_Type *EQ Summary *AND  *VALUE Real_Sto
rage.Online_Frames *LE 0"); 

$PARMS("Set the warning threshold (in frames) for online storage. The va
lue must be greater than the critical threshold. You may want to leave t
his threshold off, and use the critical threshold to alert you of any st
orage loss.
");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Frames_Online_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Central storage online frame count warning situation",
"*IF  *VALUE Real_Storage.Storage_Type *EQ Summary *AND  *VALUE Real_Sto
rage.Online_Frames *LT 1 *AND  *VALUE Real_Storage.Online_Frames *GT 0")
; 

$PARMS("One or more channel paths is busier on all systems than the curr
ent Critical threshold. Check Current Situation Values to identify the p
articular channel(s) that are unusually active. Note that the acceptable
 busy levels for tape channels, ESCON channels, and FICON channels are m
uch higher than typical rules of thumb for parallel DASD channels. If th
e threshold is too low, adjust it using the Situation Editor.
");       INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIS
T,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE
,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIB
CLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,
SOURCE,TEXT,PDT) VALUES("OS390_ChannelComplexBusy_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Channel paths complex percent busy critical situation",
"*IF  *VALUE Channel_Paths.Complex_Percent *GE 100"); 

$PARMS("One or more channel paths is busier on all systems than the curr
ent Warning threshold. Check Current Situation Values to identify the pa
rticular channel(s) that are unusually active. Note that the acceptable 
busy levels for tape channels, ESCON channels, and FICON channels are mu
ch higher than typical rules of thumb for parallel DASD channels. If the
 threshold is too low, adjust it using the Situation Editor."
);         INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLI
ST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDAT
E,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QI
BCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO
,SOURCE,TEXT,PDT) VALUES("OS390_ChannelComplexBusy_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Channel paths complex percent busy warning situation",
"*IF  *VALUE Channel_Paths.Complex_Percent *GE 100"); 

$PARMS("The Cache read hit ratio for the indicated device is less than t
he Critical threshold. If so, a performance specialist should do further
 research to see if I/O tuning (data set placement) is necessary.  If no
 goals are being missed the threshold might have to be adjusted.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Cache_Read_HitPct_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Cache Read Hit Critical Situation",
"*IF  *VALUE DASD_MVS_Devices.Cache_Read_Hit_Percent *GT 0 *AND *VALUE D
ASD_MVS_Devices.Cache_Read_Hit_Percent *LE 50"); 

$PARMS("The Cache read hit ratio for the indicated device is less than t
he Warning  threshold. If so, a performance specialist should do further
 research to see if I/O tuning (data set placement) is necessary.  If no
 goals are being missed the threshold might have to be adjusted.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Cache_Read_HitPct_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Cache Read Hit Warning Situation",
"*IF  *VALUE DASD_MVS_Devices.Cache_Read_Hit_Percent *LE 70 *AND  *VALUE
 DASD_MVS_Devices.Cache_Read_Hit_Percent *GT 50"); 

$PARMS("The Cache write hit ratio for the indicated device is less than 
the Critical threshold. Check to see if any address spaces that have thi
s device number allocated are in service classes that are missing their 
goals. If so, a performance specialist should do further research to see
 if I/O tuning (data set placement) is necessary. If no goals are being 
missed the threshold might have to be adjusted.");                      
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Cache_Write_HitPct_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Cache Write Hit Critical Situation",
"*IF  *VALUE DASD_MVS_Devices.Cache_Write_Hit_Percent *GT 0 *AND *VALUE 
DASD_MVS_Devices.Cache_Write_Hit_Percent *LE 50"); 

$PARMS("The Cache write hit ratio for the indicated device is less than 
the Warning threshold. Check to see if any address spaces that have this
 device number allocated are in service classes that are missing their g
oals. If so, a performance specialist should do further research to see 
if I/O tuning (data set placement) is necessary. If no goals are being m
issed the threshold might have to be adjusted.");                       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Cache_Write_HitPct_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Cache Write Hit Warning Situation",
"*IF  *VALUE DASD_MVS_Devices.Cache_Write_Hit_Percent *LE 70 *AND  *VALU
E DASD_MVS_Devices.Cache_Write_Hit_Percent *GT 50"); 

$PARMS("The number of DASD devices that have dropped ready exceeds the C
ritical threshold. On the rare occassion this happens a hardware service
 person should be called.");                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Dropped_Ready_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Dropped Ready Critical Situation",
"*IF  *VALUE DASD_MVS.Dropped_Ready *GE 5"); 

$PARMS("The number of DASD devices that have dropped ready exceeds the W
arning threshold. On the rare occassion this happens a hardware service 
person should be called.");                         
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Dropped_Ready_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Dropped Ready Warning Situation",
"*IF  *VALUE DASD_MVS.Dropped_Ready *GT 0 *AND  *VALUE DASD_MVS.Dropped_
Ready *LT 5"); 

$PARMS("The number of DASD devices that are not responding exceeds the C
ritical threshold. On the rare occassion this happens, a hardware servic
e person should be called.");                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Not_Responding_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Not Responding Critical Situation",
"*IF  *VALUE DASD_MVS.Not_Responding *GE 5"); 

$PARMS("The number of DASD devices that are not responding exceeds the W
arning threshold. On the rare occassion this happens, a hardware service
 person should be called.");                         
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Not_Responding_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Not Responding Warning Situation",
"*IF  *VALUE DASD_MVS.Not_Responding *GT 0 *AND  *VALUE DASD_MVS.Not_Res
ponding *LT 5"); 

$PARMS("The number of non-operational page data sets exceeds the Critica
l threshold. Verify paging devices are operational. If a device is not o
perational, attempt to VARY it online. If a page data set had been DRAIN
ed by a prior PAGEDEL DRAIN command, it may now be removed by a PAGEDEL 
DELETE command. If this situation pops up without warning, an IPL is imm
inent. Prepare to shut down and immediately get help from a systems prog
rammer.");
                                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_PageDSNotOperational_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Page Dataset Not Operational Critical Situation",
"*IF  *VALUE System_Paging_Activity.Datasets_Not_Operational *GE 5"); 

$PARMS("The number of non-operational page data sets exceeds the Warning
 threshold. Verify the paging devices are operational. If a device is no
t operational, attempt to VARY it online. If a page data set had been DR
AINed by a prior PAGEDEL DRAIN command, it may now be removed by a PAGED
EL DELETE command. If this situation pops up without warning, an IPL is 
imminent. Prepare to shut down and immediately get help from a systems p
rogrammer."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_PageDSNotOperational_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Page Dataset Not Operational Warning Situation",
"*IF  *VALUE System_Paging_Activity.Datasets_Not_Operational *GT 0 *AND 
 *VALUE System_Paging_Activity.Datasets_Not_Operational *LT 5"); 

$PARMS("Extended CSA allocation exceeds the current Critical threshold. 
Check the current size of ECSA (the second CSA subparameter in IEASYSxx)
. Notify a system programmer. If this condition arises more than once a 
week the value may have to be adjusted before the next IPL. Use the Curr
ent Situation Values to determine who is using excessive ECSA or causing
 it to grow rapidly.
");                            INSERT INTO O4SRV.TSITDESC (SITNAME,ADVIS
E,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOC
FLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,O
BJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESER
VED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_ECSA_Allocation_Pct_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Extended CSA Allocation % Critical Situation",
"*IF  *VALUE Common_Storage.Area *EQ ECSA *AND  *VALUE Common_Storage.Al
location_Percent *GE 95"); 

$PARMS("Extended CSA allocation exceeds the current Warning threshold. C
heck the current size of ECSA (the second CSA subparameter in IEASYSxx).
 Notify a system programmer. If this condition arises more than once a w
eek the value may have to be adjusted before the next IPL. Use the Curre
nt Situation Values to determine who is using excessive ECSA or causing 
it to grow rapidly.");                              
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_ECSA_Allocation_Pct_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Extended CSA Allocation % Warning Situation",
"*IF  *VALUE Common_Storage.Area *EQ ECSA *AND  *VALUE Common_Storage.Al
location_Percent *GE 90 *AND  *VALUE Common_Storage.Allocation_Percent *
LT 95"); 

$PARMS("There are more errors on local page data sets than the current C
ritical threshold. Identify the failing data set(s). Check for spare pag
e data set slots. If there is no spare, the PAGETOT parameter in IEASYSx
x should be increased to provide at least one spare slot per two page da
ta sets. Remove the failing data set(s) from the PAGE parameter in IEASY
Sxx. If there are spare slots, PAGEADD a large data set and use PAGEDEL 
REPLACE to move the pages of the failing data sets to a good data set.")
;                                                                       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Local_PageDS_Errors_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Local Page Dataset Errors Critical Situation",
"*IF  *VALUE Page_Dataset_Activity.Dataset_Type *EQ Local *AND  *VALUE P
age_Dataset_Activity.Errors *GE 5"); 

$PARMS("There are more errors on local page data sets than the current W
arning threshold. Identify the failing data set(s). Check for a spare pa
ge data set slot. If there is no spare, the PAGETOT parameter in IEASYSx
x should be increased to provide at least one spare slot per two page da
ta sets. Remove the failing data set from the PAGE parameter in IEASYSxx
. If there is a spare slot, PAGEADD a data set and use PAGEDEL REPLACE t
o move the pages to a good data set.
");                                INSERT INTO O4SRV.TSITDESC (SITNAME,A
DVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB
,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOP
TS,OBJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,R
ESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_Local_PageDS_Errors_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Local Page Dataset Errors Warning Situation",
"*IF  *VALUE Page_Dataset_Activity.Dataset_Type *EQ Local *AND  *VALUE P
age_Dataset_Activity.Errors *GE 1 *AND  *VALUE Page_Dataset_Activity.Err
ors *LT 5"); 

$PARMS("The DASD Fast Write hit ratio is less than the Critical percenta
ge. This may or may not represent a problem. If no service class is miss
ing goals based on I/O delay, the threshold may have to be adjusted. If 
service class periods are missing goals based on delay from the indicate
d device, data sets may have to be moved so that the Fast Write Cache ca
pacity will be better matched to the workload.");                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Cache_FastWriteHitPt_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Cache Fast Write Hit Critical Situation",
"*IF   *VALUE DASD_MVS_Devices.Fast_Write_Hit_Percent *GT 0 *AND *VALUE 
DASD_MVS_Devices.Fast_Write_Hit_Percent *LE 50"); 

$PARMS("The DASD Fast Write hit ratio is less than the Warning percentag
e. This may or may not represent a problem. If no service class is missi
ng goals based on I/O delay, the threshold may have to be adjusted. If s
ervice class periods are missing goals based on delay from the indicated 
 device, data sets may have to be moved so that the Fast Write Cache cap
acity will be better matched to the workload.");                         
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Cache_FastWriteHitPt_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD Cache Fast Write Hit Warning Situation",
"*IF  *VALUE DASD_MVS_Devices.Fast_Write_Hit_Percent *LE 70 *AND  *VALUE
 DASD_MVS_Devices.Fast_Write_Hit_Percent *GT 50"); 

$PARMS("The growth in use of CSA (Common Services Area) storage exceeds 
its Critical threshold. If usage is already high, a system crash may occ
ur due to exhausted CSA. In Current Situation Values identify the addres
s spaces using high amounts of CSA and showing rapid growth in its use. 
Nonessential address spaces with high growth rates should be stopped or 
canceled to prevent a crash.");                                         
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_CSA_Growth_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CSA Growth Critical Situation",
"*IF  *VALUE Common_Storage.Area *EQ CSA *AND  *VALUE Common_Storage.Gro
wth *GE 50"); 

$PARMS("The growth in use of CSA (Common Services Area) storage exceeds 
its Warning threshold. If usage is already high, a system crash may occu
r due to exhausted CSA. In Current Situation Values identify the address
 spaces using high amounts of CSA and showing rapid growth in its use. N
onessential address spaces with high growth rates should be stopped or c
anceled to prevent a crash.");                                          
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_CSA_Growth_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CSA Growth Warning Situation",
"*IF  *VALUE Common_Storage.Area *EQ CSA *AND  *VALUE Common_Storage.Gro
wth *GE 35 *AND  *VALUE Common_Storage.Growth *LT 50"); 


$PARMS('The number of devices on which Indexed VTOC function has been lo
st exceeds the current Critical threshold. On heavily used volumes with 
many datasets, an index to a VTOC may significantly improve I/O performa
nce.  System routines at times may disable a VTOC index, returning it to
 non-indexed format.  Use the DSF BUILDIX command (see the IBM "Device S
upport Facilities Users Guide and Reference") to return to indexed forma
t.  If the problem persists, you may need to delete and rebuild the inde
x using DSF.');                                                         
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Indexed_VTOC_Lost_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Indexed VTOC Lost Critical Situation",
"*IF  *VALUE DASD_MVS.Indexed_VTOC_Lost *GE 5"); 

$PARMS('The number of devices on which Indexed VTOC function has been lo
st exceeds the current Warning threshold. On heavily used volumes with m
any datasets, an index to a VTOC may significantly improve I/O performan
ce.  System routines at times may disable a VTOC index, returning it to 
non-indexed format.  Use the DSF BUILDIX command (see the IBM "Device Su
pport Facilities Users Guide and Reference") to return to indexed format
.  If the problem persists, you may need to delete and rebuild the index
 using DSF.');                                                                                                     
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Indexed_VTOC_Lost_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Indexed VTOC Lost Warning Situation",
"*IF  *VALUE DASD_MVS.Indexed_VTOC_Lost *GT 0 *AND  *VALUE DASD_MVS.Inde
xed_VTOC_Lost *LT 5"); 

$PARMS("One or more channel paths is busier on this LPAR than the curren
t Critical threshold. Check Current Situation Values to identify the par
ticular channel(s) that are unusually active. Note that the acceptable b
usy levels for tape channels, ESCON channels, and FICON channels are muc
h higher than typical rules of thumb for parallel DASD channels. If the 
threshold is too low, adjust it using the Situation Editor."
);          INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTL
IST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDA
TE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,Q
IBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINF
O,SOURCE,TEXT,PDT) VALUES("OS390_Channel_LPAR_BusyPct_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Channel paths LPAR percent busy critical situation",
"*IF  *VALUE Channel_Paths.LPAR_Percent *GE 100"); 

$PARMS("One or more channel paths is busier on this LPAR than the curren
t Warning threshold. Check Current Situation Values to identify the part
icular channel(s) that are unusually active. Note that the acceptable bu
sy levels for tape channels, ESCON channels, and FICON channels are much
 higher than typical rules of thumb for parallel DASD channels. If the t
hreshold is too low, adjust it using the Situation Editor."
);           INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERT
LIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTD
ATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,
QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITIN
FO,SOURCE,TEXT,PDT) VALUES("OS390_Channel_LPAR_BusyPct_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Channel paths LPAR percent busy warning situation",
"*IF  *VALUE Channel_Paths.LPAR_Percent *GE 100"); 

$PARMS("The number of DASD devices experiencing Dynamic Path Reconnect f
ailure exceeds the current Critical threshold. This problem should be re
ferred to a hardware customer engineer and to a storage management speci
alist to determine if the devices should be offloaded.");               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_NoDynamicReconn_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD No Dynamic Path Reconnect Critical Situation",
"*IF  *VALUE DASD_MVS.No_Dynamic_Path_Reconnect *GE 5"); 

$PARMS("The number of DASD devices experiencing Dynamic Path Reconnect f
ailure exceeds the current Warning threshold. This problem should be ref
erred to a hardware customer engineer and to a storage management specia
list to determine if the devices should be offloaded.");                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_NoDynamicReconn_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD No Dynamic Path Reconnect Warning Situation",
"*IF  *VALUE DASD_MVS.No_Dynamic_Path_Reconnect *GT 0 *AND  *VALUE DASD_
MVS.No_Dynamic_Path_Reconnect *LT 5"); 



$PARMS("A channel path is offline. This may be a normal condition if the
 indicated channel path is dynamically managed. Check the configuration 
matrix for the current image and determine if this channel path should b
e online. If it should be, attempt to vary it online.");                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Channel_Path_Offline_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Channel Path Offline Critical Situation",
"*IF  *VALUE Channel_Paths.Online *EQ N"); 

$PARMS("A channel path is offline. This may be a normal condition if the
 indicated channel path is dynamically managed. Check the configuration 
matrix for the current image and determine if this channel path should b
e online. If it should be, attempt to vary it online.");                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Channel_Path_Offline_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Channel Path Offline Warning Situation",
"*IF  *VALUE Channel_Paths.Online *EQ N"); 

$PARMS("The indicated DASD device utilization exceeds the current Critic
al threshold. This condition may represent a current or pending performa
nce problem if any service class period is missing its goal because of I
/O delay for this device. This threshold is 100% by default and should b
e set to a lower value only when pursuing a chronic DASD performance pro
blem.");                                                                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Busy_Percent_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD device percent busy critical situation",
"*IF  *VALUE DASD_MVS_Devices.Percent_Busy *GE 100"); 

$PARMS("The indicated DASD device utilization exceeds the current Warnin
g threshold. This condition may represent a current or pending performan
ce problem if any service class period is missing its goal because of I/
O delay for this device. This threshold is 100% by default and should be
 set to a lower value only when pursuing a chronic DASD performance prob
lem.");                                                                 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Busy_Percent_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD device percent busy warning situation",
"*IF  *VALUE DASD_MVS_Devices.Percent_Busy *GE 100"); 

$PARMS("The number of online CPUs is less than the current Critical thre
shold. This situation is disabled by default (threshold of 0) and should
 be activated only to diagnose chronic configuration problems. The thres
hold should be carefully examined if the LPAR CPU Management Vary CPU fu
nction of Intelligent Resource Director is in use.");       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Physical_CPUs_Online_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System physical CPUs online count critical situation",
"*IF  *VALUE System_CPU_Utilization.Physical_CPU_Count *LT 0"); 

$PARMS("The number of online CPUs is less than the current Warning thres
hold. This situation is disabled by default (threshold of 0) and should 
be activated only to diagnose chronic configuration problems. The thresh
old should be carefully examined if the LPAR CPU Management Vary CPU fun
ction of Intelligent Resource Director is in use.");        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Physical_CPUs_Online_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System physical CPUs online count warning situation",
"*IF  *VALUE System_CPU_Utilization.Physical_CPU_Count *LT 0"); 

$PARMS("The number of permanent errors on the current tape device exceed
s the current Critical threshold. There should be a standard procedure t
o deal with this condition. If not, request help from a media specialist
.");                                                                    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Permanent_Error_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Permanent Errors Critical Situation",
"*IF  *VALUE Tape_Drives.Permanent_Errors *GE 30"); 

$PARMS("The number of permanent errors on the current tape device exceed
s the current Warning threshold. There should be a standard procedure to
 deal with this condition. If not, notify a media specialist.");        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Permanent_Error_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Permanent Errors Warning Situation",
"*IF  *VALUE Tape_Drives.Permanent_Errors *GE 5 *AND  *VALUE Tape_Drives
.Permanent_Errors *LT 30"); 

$PARMS("The system page fault rate exceeds the current Critical threshol
d. This situation is disabled by default.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_System_PageFaultRate_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System page fault rate critical situation",
"*IF  *VALUE System_Paging_Activity.Page_Fault_Rate *GE 1000000000"); 

$PARMS("The system page fault rate exceeds the current Warning threshold
. This situation is disabled by default.");             
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_System_PageFaultRate_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System page fault rate warning situation",
"*IF  *VALUE System_Paging_Activity.Page_Fault_Rate *GE 1000000000"); 

$PARMS("The percentage of slots in use on the common page data set excee
ds the current Critical threshold. If the common page data set becomes f
ull, a system crash is imminent. A system programmer should immediately 
determine which address spaces are using the largest number of common sl
ots, and terminate those which can be shut down at this time. If this si
tuation occurs more frequently than once a month, a larger common page d
ata set should be created and activated at the next IPL (with CLPA)."); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Common_PageDSPctFull_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Common Page Dataset Percent Full Critical Situation",
"*IF  *VALUE Page_Dataset_Activity.Dataset_Type *EQ Common *AND  *VALUE 
Page_Dataset_Activity.Percent_Full *GE 80"); 

$PARMS("The percentage of slots in use on the common page data set excee
ds the current Warning threshold. If this situation occurs more frequent
ly than once a day, common page data set utilization should be tracked c
arefully to determine if there is a growth trend. Possible responses mig
ht include adjustment of the threshold, replacement of the data set with
 a larger one, and service research to determine if there is a known sou
rce of CSA growth.");                                                   
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Common_PageDSPctFull_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Common Page Dataset Percent Full Warning Situation",
"*IF  *VALUE Page_Dataset_Activity.Dataset_Type *EQ Common *AND  *VALUE 
Page_Dataset_Activity.Percent_Full *GE 60 *AND  *VALUE Page_Dataset_Acti
vity.Percent_Full *LT 80"); 

$PARMS("The percentage of slots in use on a local page data set exceeds 
the current Critical threshold. When usage approaches 30%, paging effici
ency begins to decline, and blocked paging disappears at about 35% occup
ancy. Once this situation occurs, PAGEADD another data set. If the curre
nt PAGTOTL setting in IEASYSxx does not allow another data set to be add
ed, it should be increased before the next IPL.");                      
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Local_PageDS_PctFull_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Local Page Dataset Percent Full Critical Situation",
"*IF  *VALUE Page_Dataset_Activity.Dataset_Type *EQ Local *AND  *VALUE P
age_Dataset_Activity.Percent_Full *GE 35"); 

$PARMS("The percentage of slots in use on a local page data set exceeds 
the current Warning threshold. When usage approaches 30%, paging efficie
ncy begins to decline, and blocked paging disappears at about 35% occupa
ncy. Once this situation occurs, prepare to PAGEADD another data set if 
the Critical threshold is passed. If the current PAGTOTL setting in IEAS
YSxx does not allow another data set to be added, it should be increased
 before the next IPL.");                                                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Local_PageDS_PctFull_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Local Page Dataset Percent Full Warning Situation",
"*IF  *VALUE Page_Dataset_Activity.Dataset_Type *EQ Local *AND  *VALUE P
age_Dataset_Activity.Percent_Full *GE 25 *AND  *VALUE Page_Dataset_Activ
ity.Percent_Full *LT 35"); 

$PARMS("LPAR (PR/SM) overhead exceeds the current Critical threshold. Po
ssible causes include saturation of the CPU capacity leading to excessiv
e overhead switching CPUs between LPARs. This can be compounded when the
re are too many logical processors assigned to an LPAR. IF the PR/SM ove
rhead is confined to one LPAR, consider reducing the number of logical p
rocessors in that LPAR.");                                              
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_LPAR_OverheadPercent_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"LPAR Overhead Percent Critical Situation",
"*IF  *VALUE System_CPU_Utilization.Partition_Overhead% *GE 20"); 

$PARMS("LPAR (PR/SM) overhead exceeds the current Warning threshold. Pos
sible causes include saturation of the CPU capacity leading to excessive
 overhead switching CPUs between LPARs. This can be compounded when ther
e are too many logical processors assigned to an LPAR. IF the PR/SM over
head is confined to one LPAR, consider reducing the number of logical pr
ocessors in that LPAR.");                                               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_LPAR_OverheadPercent_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"LPAR Overhead Percent Warning Situation",
"*IF  *VALUE System_CPU_Utilization.Partition_Overhead% *GE 10 *AND  *VA
LUE System_CPU_Utilization.Partition_Overhead% *LT 20"); 

$PARMS("The response time for a DASD device exceeds the current Critical
 threshold. This situation is disabled by default and should be activate
d only when attempting to solve a problem where excessive DASD response 
time is likely to be a cause.");                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Response_Time_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD device response time critical situation",
"*IF  *VALUE DASD_MVS_Devices.Response *GE 1000000000"); 

$PARMS("The response time for a DASD device exceeds the current Warning 
threshold. This situation is disabled by default and should be activated
 only when attempting to solve a problem where excessive DASD response t
ime is likely to be a cause.");                                         
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_DASD_Response_Time_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DASD device response time warning situation",
"*IF  *VALUE DASD_MVS_Devices.Response *GE 1000000000"); 

$PARMS("The number of tape devices that have dropped ready exceeds the c
urrent Critical threshold. Check the devices and attempt to make the ind
icated devices ready. If this is not possible, report this condition as 
a hardware problem.");                                                  
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Dropped_Ready_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Drive Dropped Ready Critical Situation",
"*IF  *VALUE Tape_Drives.Dropped_Ready *GE 5"); 

$PARMS("The number of tape devices that have dropped ready exceeds the c
urrent Warning threshold. Check the devices and attempt to make the indi
cated devices ready. If this is not possible, report this condition as a
 hardware problem.");                                                   
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Dropped_Ready_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Drive Dropped Ready Warning Situation",
"*IF  *VALUE Tape_Drives.Dropped_Ready *GT 0 *AND  *VALUE Tape_Drives.Dr
opped_Ready *LT 5"); 

$PARMS("The number of recoverable (temporary) errors on a tape device ex
ceeds the current Critical threshold. This could be either a media probl
em or a device problem. If no procedures are in place to deal with such 
a problem, report it to a media or storage management specialist.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Temp_Errors_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Temporary Errors Critical Situation",
"*IF  *VALUE Tape_Drives.Temporary_Errors *GE 30"); 

$PARMS("The number of recoverable (temporary) errors on a tape device ex
ceeds the current Warning threshold. This could be either a media proble
m or a device problem. Monitor the situation carefully to see if it degr
ades further. If it does worsen, follow any existing procedures to deal 
with such a problem, or report it to a media or storage management speci
alist.");                                                               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Temp_Errors_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Temporary Errors Warning Situation",
"*IF  *VALUE Tape_Drives.Temporary_Errors *GE 5 *AND  *VALUE Tape_Drives
.Temporary_Errors *LT 30"); 

$PARMS("The number of tape drives not responding exceeds the Critical th
reshold. If this condition is persistent and the device(s) cannot be act
ivated by varying them online, open a hardware incident and have the tap
e subsystem checked for hardware errors.
");                            INSERT INTO O4SRV.TSITDESC (SITNAME,ADVIS
E,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOC
FLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,O
BJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESER
VED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_Tape_Not_Responding_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Drive Not Responding Critical Situation",
"*IF  *VALUE Tape_Drives.Not_Responding *GE 5"); 

$PARMS("The number of tape drives not responding exceeds the Warning thr
eshold. If this condition is persistent and the device(s) cannot be acti
vated by varying them online, open a hardware incident and have the tape
 subsystem checked for hardware errors.
");                             INSERT INTO O4SRV.TSITDESC (SITNAME,ADVI
SE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LO
CFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,
OBJECTLOCK,PRNAMES,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESE
RVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT) 
VALUES("OS390_Tape_Not_Responding_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Tape Drive Not Responding Warning Situation",
"*IF  *VALUE Tape_Drives.Not_Responding *GT 0 *AND  *VALUE Tape_Drives.N
ot_Responding *LT 5"); 

$PARMS("Tape Mount Pending Time exceeding thresholds may require contact
ing operations to ensure that the MOUNT request has been recognized by p
ersonnel responsible for mounting tapes on the requested tape unit(s)");
                                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Mount_Pend_Time_Crit",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060213083542000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"OS39",
"E",
"0",
"000500",
"",
"",
"*NONE",
"ATOM=TAPEDRVS.VOLSER;~",
"",
"Tape Mount Pending Time Critical",
"*IF *VALUE Tape_Drives.Tape_Mount_Wait_Time *GT 1200"); 

$PARMS("Tape Mount Pending Time exceeding thresholds may require contact
ing operations to ensure that the MOUNT request has been recognized by p
ersonnel responsible for mounting tapes on the requested tape unit(s)");
                                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Tape_Mount_Pend_Time_Warn",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060213083550000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"OS39",
"E",
"0",
"000200",
"",
"",
"*NONE",
"ATOM=TAPEDRVS.VOLSER;~",
"",
"Tape Mount Pending Time Warning",
"*IF *VALUE Tape_Drives.Tape_Mount_Wait_Time *GT 600 *AND *VALUE Tape_Dr
ives.Tape_Mount_Wait_Time *LT 1200"); 


$PARMS("Set the critical threshold for the unreferenced interval count. 
The value can be 1 to 2540.         
Because lower values indicate resource contention, the unreferenced inte
rval count (UIC) is an alert where the critical threshold must be less t
han the warning value.
");                                                               
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Unref_Interval_Cnt_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Unreferenced Interval Count Critical Situation",
"*IF  *VALUE System_Paging_Activity.Unreferenced_Interval_Count *LE 10")
; 

$PARMS("Set the warning threshold for the unreferenced interval count. T
he value can be 1 to 2540.
Because lower values indicate resource contention, the unreferenced inte
rval count (UIC) is an alert where the warning threshold must be greater
 than the critical.                                           ");                                                                
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Unref_Interval_Cnt_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Unreferenced Interval Count Warning Situation",
"*IF  *VALUE System_Paging_Activity.Unreferenced_Interval_Count *LT 20 
*AND  *VALUE System_Paging_Activity.Unreferenced_Interval_Count *GT 10")
; 

$PARMS('The amount of "unowned" storage in the Common Storage Area  (CSA
) exceeds the Critical threshold. Unowned CSA is caused when an address 
space terminates without freeing its CSA.  Although it may be used by ot
her address spaces, the unowned storage can cause CSA to become fragment
ed.  Identifying and freeing unowned (and unused) CSA may help prevent s
ystem failure when CSA becomes overallocated. Contact the systems progra
mmer to verify where storage is taken.');
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Unowned_Common_Stor_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Amount of unowned common storage critical situation",
"*IF  *VALUE Common_Storage.Area *EQ CSA *AND  *VALUE Common_Storage.Uno
wned *GE 1000000000"); 

$PARMS('The amount of "unowned" storage in the Common Services Area (CSA
) exceeds the Warning threshold. Unowned CSA is caused when an address s
pace terminates without freeing its CSA.  Although it may be used by oth
er address spaces, the unowned storage can cause CSA to become fragmente
d.  Identifying and freeing unowned (and unused) CSA may help prevent sy
stem failure when CSA becomes overallocated.');
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Unowned_Common_Stor_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Amount of unowned common storage warning situation",
"*IF  *VALUE Common_Storage.Area *EQ CSA *AND  *VALUE Common_Storage.Uno
wned *GE 1000000000"); 

$PARMS("The number of undispatched tasks exceeds the Critical threshold.
 This threshold should be at least equal to three times the number of [l
ogical] processors in the configuration. No particular action is necessa
ry, but if the condition persists for more than an hour a capacity upgra
de may be necessary. Check also to see if any important service classes 
are missing their goals.");                                             
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Undispatched_Tasks_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Undispatched Tasks Critical Situation",
"*IF  *VALUE System_CPU_Utilization.Undispatched_Tasks *GE 20"); 

$PARMS("The number of undispatched tasks exceeds the Warning threshold. 
This threshold should be at least equal to the number of [logical] proce
ssors in the configuration. No particular action is necessary.");       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Undispatched_Tasks_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Undispatched Tasks Warning Situation",
"*IF  *VALUE System_CPU_Utilization.Undispatched_Tasks *GE 05 *AND  *VAL
UE System_CPU_Utilization.Undispatched_Tasks *LT 20"); 

$PARMS("This alert displays if the global resource serialization (GRS) 
complex is broken.  If the GRS complex is broken, it may be necessary to
 go to the console, and then attempt to restart GRS (see Vary GRS in the
 z/OS commands).  Display the status of the channel-to-channel adapters,
 or the connections to the coupling facility if using GRS star, on each 
system by entering D GRS.");                                   
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_GRS_Broken_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"GRS Broken Critical Situation",
"*IF  *VALUE Operator_Alerts.GRS_Status *EQ Broken"); 
$PARMS("This alert displays if the global resource serialization (GRS) 
complex is broken.  If the GRS complex is broken, it may be necessary to
 go to the console, and then attempt to restart GRS (see Vary GRS in the
 z/OS commands).  Display the status of the channel-to-channel adapters,
 or the connections to the coupling facility if using GRS star, on each 
system by entering D GRS.");                                   
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_GRS_Broken_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"GRS Broken Warning Situation",
"*IF  *VALUE Operator_Alerts.GRS_Status *EQ Broken");

$PARMS("LPAR CPU Management Overhead or, Effective Weight Index have exc
eeded thresholds. These conditions may or may not be of immediate concer
n. In the case of LPAR CPU Management Overhead, if the number of configu
red LPARs is substantial, this condition may arise. If the condition is 
chronic, you may consider reducing the number of configured LPARs. In th
e case of Effective Weight Index, you may want to adjust the LPAR Weight
 if the LPAR's workload are not meeting expected service levels.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_LPAR_Status_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"LPAR Status Indicators Critical Situation",
"*IF  (  *VALUE LPAR_Clusters.LPAR_Name *NE _CLTotal *AND  *VALUE LPAR_C
lusters.LPAR_Name *NE _CPTotal *AND  *VALUE LPAR_Clusters.LPAR_Name *NE 
PHYSICAL *AND *VALUE LPAR_Clusters.Effective_Weight_Index *LT 0.9 *AND *
VALUE LPAR_Clusters.Effective_Weight_Index *GE 0.0 ) *OR  (  *VALUE LPAR
_Clusters.LPAR_Name *NE _CLTotal *AND  *VALUE LPAR_Clusters.LPAR_Name *N
E _CPTotal *AND  *VALUE LPAR_Clusters.LPAR_Name *NE PHYSICAL *AND  *VALU
E LPAR_Clusters.Host_LPAR_Flag *EQ Y *AND  *VALUE LPAR_Clusters.CPC_CPU_
Overhead *GT 15.0 )");                                  

$PARMS("LPAR CPU Management Overhead or, Effective Weight Index have exc
eeded thresholds. These conditions may or may not be of immediate concer
n. In the case of LPAR CPU Management Overhead, if the number of configu
red LPARs is substantial, this condition may arise. If the conditions pe
rsist, you may consider reducing the number of configured LPARs. In the 
case of Effective Weight Index, you may want to adjust LPAR Weights if t
he LPAR's workload are not meeting expected service levels.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_LPAR_Status_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"LPAR Status Indicators Warning Situation",
"*IF  (  *VALUE LPAR_Clusters.LPAR_Name *NE _CLTotal *AND  *VALUE LPAR_C
lusters.LPAR_Name *NE _CPTotal *AND  *VALUE LPAR_Clusters.LPAR_Name *NE 
PHYSICAL *AND *VALUE LPAR_Clusters.Effective_Weight_Index *EQ 0.9 ) *OR 
(  *VALUE LPAR_Clusters.LPAR_Name *NE _CLTotal *AND  *VALUE LPAR_Cluster
s.LPAR_Name *NE _CPTotal *AND  *VALUE LPAR_Clusters.LPAR_Name *NE PHYSIC
AL *AND  *VALUE LPAR_Clusters.Host_LPAR_Flag *EQ Y *AND  *VALUE LPAR_Clu
sters.CPC_CPU_Overhead *GT 10.0 )");                                  
 
$PARMS("ENQueue delay is high and has remained so for over a minute.  Ch
eck the details to determine who is holding the ENQ.  If it is a batch j
ob that can be canceled and requeued, the deadlock can be broken by doin
g so.  If it is a started task or on-line user, a system programmer shou
ld be called.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_GlobalEnqueueReserve_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System Global Enqueue and Reserve Critical",
"*IF  *VALUE Enqueues.Maximum_Wait_Time *GT 60 *OR *VALUE Enqueues.Wait_
Time *GT 60");

$PARMS("ENQueue delay is high.  Check the details to determine who is ho
lding the ENQ.  If it is a batch job that can be canceled and requeued,
the deadlock can be broken by doing so.  If it is a started task or on-l
ine user, a system programmer should be called.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_GlobalEnqueueReserve_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System Global Enqueue and Reserve Warning",
"*IF ( *VALUE Enqueues.Maximum_Wait_Time *GT 30 *AND *VALUE Enqueues.Max
imum_Wait_Time *LE 60 )  *OR  ( *VALUE Enqueues.Wait_Time *GT 30 *AND *V
ALUE Enqueues.Wait_Time *LE 60 )");


$PARMS("PLPA Page Dataset Percent Full situation indicates that the Page
able Link Pack Area page dataset is full beyond the Critical threshold a
nd may require further action. Because pages can spill to the common pag
e dataset when the PLPA dataset fills up, the PLPA dataset may be delibe
rately made small (often defined as just a cylinder) and will always fil
l up. Since the full condition may be expected as normal, this situation
 is disabled by default.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_PLPA_PageDS_PctFull_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"PLPA Page Dataset Percent Full Critical",
"*IF ( *VALUE Page_Dataset_Activity.Percent_Full *LT 0 *AND  *VALUE Page
_Dataset_Activity.Dataset_Type *EQ PLPA )");

$PARMS("PLPA Page Dataset Percent Full situation indicates that the Page
able Link Pack Area page dataset is full beyond the Warning threshold an
d may require further action.  Because pages can spill to the common pag
e dataset when the PLPA dataset fills up, the PLPA dataset may be delibe
rately made small (often defined as just a cylinder) and will always fil
l up. Since the full condition may be expected as normal, this situation
 is disabled by default.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_PLPA_PageDS_PctFull_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"PLPA Page Dataset Percent Full Warning",
"*IF ( *VALUE Page_Dataset_Activity.Percent_Full *LT 0 *AND  *VALUE Page
_Dataset_Activity.Dataset_Type *EQ PLPA)");

$PARMS("The current paging rate exceeds the Critical threshold. This sit
uation is disabled by default and should be activated only when necessar
y to characterize a chronic excessive paging problem.
");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Page_Rate_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Page Rate Critical",
"*IF ( *VALUE Page_Dataset_Activity.Page_Rate *LT 0 )");

$PARMS("The current paging rate exceeds the Warning threshold.  This sit
uation is disabled by default and should be activated only when necessar
y to characterize a chronic excessive paging problem.
");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_Page_Rate_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Page Rate Warning",
"*IF ( *VALUE Page_Dataset_Activity.Page_Rate *LT 0 )");

$PARMS("The system page rate exceeds the Critical threshold. Excessive p
aging may increase application wait and response time. Because system pa
ge rate is dependent on processor type, real storage configuration, and 
workload you may need to adjust your paging system based on your install
ation defined service requirements. This situation is disabled by defaul
t and should be activated only to diagnose a chronic high paging rate.
");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_System_Page_Rate_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System Page Rate Critical",
"*IF ( *VALUE System_Paging_Activity.System_Page_Rate *LT 0 )");

$PARMS("The system page rate exceeds the Warning threshold.  Excessive p
aging may increase application wait and response time. Because system pa
ge rate is dependent on processor type, real storage configuration, and 
workload you may need to adjust your paging system based on your install
ation defined service requirements. This situation is disabled by defaul
t and should be activated only to diagnose a chronic high paging rate.
");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("OS390_System_Page_Rate_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"System Page Rate Warning",
"*IF ( *VALUE System_Paging_Activity.System_Page_Rate *LT 0 )");

$PARMS('ADVICE("km5:"+$ISITSTSH.SITNAME$);'); 
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KM5_CPU_Loop_Warn",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080521122237000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"km5_",
"E",
"0",
"000500",
"",
"",
"*NONE",
"COUNT=2;TFWD=Y;TDST=0;~",
"",
"Detect potential address spaces in CPU Loop",
"*IF *VALUE Address_Space_Bottlenecks.CPU_Loop_Index *GT 95.0");

/*********************************************************************/
/*                                                                   */
/*   Crypto KCG product provided situations  Start                   */
/*                                                                   */
/*********************************************************************/

/* ** RECORD 1 ** */
$PARMS
(
"Access to the cryptographic key dataset has been disabled.  Access is n
ormally disabled when a new master key or CKDS is being initialized. Acc
ess to the dataset should be temporary and enabled after key management 
operations are completed."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020123220714000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.CKDSAccess *EQ Disabled",                /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_CKDS_Access_Disabled",                         /* SITNAME */
   "",                                                     /* SOURCE */
   "Access to CKDS is disabled"                              /* TEXT */
  );

/* ** RECORD 2 ** */

$PARMS
(
"The Cryptographic Key Dataset (CKDS) is a VSAM linear dataset used to s
tore keys used for encryption and authentication.  The dataset is now at
 80% of its maximum capacity.  A new dataset should be created using a n
ew master key and all keys contained in the full dataset should be reenc
iphered into the new dataset.  The name of the current CKDS is shown in 
the CKDSname attribute.  Refer to the ICSF Administration Guide for furt
her details."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124222641000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.Status *EQ Active *AND  *VALUE ICSF.CKDS_80Full *EQ
 Yes",                                                        /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_CKDS_80PCT_Full",                              /* SITNAME */
   "",                                                     /* SOURCE */
   "The cryptographic key dataset is 80% full"               /* TEXT */
  );

/* ** RECORD 3 ** */

$PARMS
(
"An internal monitor error has been detected.  Contact IBM Software Supp
ort with the event attributes to report the error and for assistance in 
problem correction. MonStatus=Unknown indicates the KM5EXIT3 exit has no
t been installed in the ICSF subsystem. MonStatus=Overrun indicates that
 an internal queue overflow has been detected.  This error can be cleare
d by recycling ICSF."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020509133934000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.MonStatus *NE Enabled",                  /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_Internal_Error",                               /* SITNAME */
   "",                                                     /* SOURCE */
   "An internal monitoring error has occurred"               /* TEXT */
  );

/* ** RECORD 4 ** */

$PARMS
(
"A valid master key must be loaded into at least one of the cryptographi
c coprocessors.  Use the ICSF ISPF dialog, TKE, or the service element c
onsole to load the master key into each cryptographic coprocessor.  A di
fferent master key may be loaded into coprocessors shared by PRSM Logica
l Partitions.  Each LPAR is associated with a separate Domain Index to i
solate cryptographic keys. For PCI coprocessors, the master key must be 
the same value as the Symmetric-keys Master Key (SYM-MK)."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124082615000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.Status *EQ Active *AND  *VALUE ICSF.CCMKeyOK *EQ No
",                                                            /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_Invalid_Master_Key",                           /* SITNAME */
   "",                                                     /* SOURCE */
   "A valid master key has not been loaded into a coprocessor"
  );

/* ** RECORD 5 ** */

$PARMS
(
"The Key Management Master Key (KMMK) and Signature Master Key (SMK) val
ues are invalid.  Ensure that the KMMK and SMK are loaded into each copr
ocessor.  For PCI coprocessors, the SMK Key must be the same value used 
for the Asymmetric-keys Master Key (ASYM-MK).  Use the KMMKey and SMKey 
attributes to validate the values of the verification hash patterns for 
these keys."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124083233000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.PKAMKeys *EQ Invalid",                   /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_Invalid_PKA_Master_Keys",                      /* SITNAME */
   "",                                                     /* SOURCE */
   "The public key algorthm master keys are invalid"         /* TEXT */
  );

/* ** RECORD 6 ** */

$PARMS
(
"At least one cryptographic coprocessor must be online for cryptographic
 services to become available.  Verify that at least one coprocessor has
 been configured for the z/OS system.  Use the service element console t
o configure coprocessors for use by systems."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124082703000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.Status *EQ Active *AND  *VALUE ICSF.1_CC *EQ No",
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_No_Coprocessors",                              /* SITNAME */
   "",                                                     /* SOURCE */
   "No cryptographic coprocessors are online"                /* TEXT */
  );

/* ** RECORD 7 ** */
$PARMS
(
"No PCI cryptographic coprocessors are available.  Several Public Key Al
gorithm (PKA) service calls will not function without a PCI coprocessor 
available.  Since PCI coprocessors are optimized for PKA operations,PKA 
services will run slower on CMOS coprocessors."
);
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020123230942000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.1_PCI *EQ No",                           /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_No_PCI_Coprocessors",                          /* SITNAME */
   "",                                                     /* SOURCE */
   "No PCI cryptographic coprocessors are online"            /* TEXT */
  );

/* ** RECORD 8 ** */

$PARMS
(
"At least one PCI coprocessor was detected but was not online or active.
 PCI coprocessors are optimized for Public Key Algorithm (PKA) operation
s and will run slower on CMOS coprocessors.  Several PKA services will n
ot run without a PCI coprocessor available. For PCI coprocessors, the SM
K Key must be the same value used for the ASYM-MK. Also, The SYM-MK for 
each PCI coprocessor must be the same as the DES master key used on the 
CMOS coprocessors"
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020123231013000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.1_PCI *EQ Yes *AND  *VALUE ICSF.PCIStatus *NE Activ
e",                                                           /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_PCI_Unavailable",                              /* SITNAME */
   "",                                                     /* SOURCE */
   "At least 1 PCI coprocessor is available but inactive"    /* TEXT */
  );

/* ** RECORD 9 ** */

$PARMS
(
"The Public Key Algorithm (PKA) service calls are disabled.  The service
s should only be disabled to update PKA Key Management Master Key(KMMK),
 Signature Master Key (SMK), or management of the Public Key Dataset(PKD
S).  PKA services calls should be enabled after PKA management operation
s are completed."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124225102000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.Status *EQ Active *AND  *VALUE ICSF.PKACall *EQ Dis
abled",                                                       /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_PKA_Services_Disabled",                        /* SITNAME */
   "",                                                     /* SOURCE */
   "Public Key Algorithm service calls are disabled"         /* TEXT */
  );

/* ** RECORD 10 ** */

$PARMS
(
"The Public Key Dataset (PKDS) is a VSAM dataset used to store Public Ke
y Algorithm (PKA) keys used for encryption and authentication. Read oper
ations have been temporarily disabled for management operations on the P
KDS.  Read access to the PKDS should be restored following completion of
 management operations.  The PKDSname attribute display the name of the 
current PKDS"
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124082918000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.PKDSRead *EQ Disabled",                  /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_PKDS_Read_Disabled",                           /* SITNAME */
   "",                                                     /* SOURCE */
   "Read operations on the Public Key Dataset (PKDS) are disabled"
  );

/* ** RECORD 11 ** */

$PARMS
(
"The Public Key Dataset (PKDS) is a VSAM dataset used to store Public Ke
y Algorithm keys used for encryption and authentication.  Write access t
o the dataset has been temporarily disabled to allow key management oper
ations to occur.  Write access should be enabled following completion of
 PKDS key management operations.  The PKDSname attribute displays the na
me of the current PKDS."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020124082934000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.PKDSWrite *EQ Disabled",                 /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_PKDS_Write_Disabled",                          /* SITNAME */
   "",                                                     /* SOURCE */
   "Public Key Dataset (PKDS) write operations are disabled"
  );

/* ** RECORD 12 ** */

$PARMS
(
"Cryptographic services are unavailable.  Ensure that cryptographic copr
ocessors are online and available to this system. Also verify that a val
id master key has been loaded in each coprocessor configured for this sy
stem."
);

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "0W00000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020123212859000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE ICSF.CryptoSvcs *EQ Inactive",                /* PDT */
   "",                                                    /* PRNAMES */
   "Cryp",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Crypto_Service_Unavailable",                          /* SITNAME */
   "",                                                     /* SOURCE */
   "Cryptographic services unavailable"                      /* TEXT */
  );


/*********************************************************************/
/*                                                                   */
/*   z/OS UNIX System Services product provided situations - Start   */
/*                                                                   */
/*********************************************************************/
$PARMS("Root Directory missing. A system programmer should be notified."
);                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Check_Missing_UNIX_Mount_Point",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1051103073826000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV452",
"Chec",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Raise critical alert if specified mount point is missing",
"*IF *MISSING USS_Mounted_File_Systems.Mount_Point *EQ ( / )"); 

$PARMS("UNIX System Services Kernel CPU utilization exceeds the current 
threshold defined as excessive.  This condition may or may not be a matt
er of immediate concern.  It may indicate a Process or address space in 
a loop requesting Kernel services.  Look for Processes or addresses spac
es with abnormally high CPU utilization.");
                                                      
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Excess_UNIX_Kernel_CPU_Time",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124938000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV834",
"Exce",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when the UNIX kernel is using more than 50% CPU",
"*IF *VALUE USS_Kernel.CPU% *GT 50"); 

$PARMS("CPU utilization attributable to UNIX work for the indicated Proc
ess exceeds the current threshold defined as excessive.  This condition 
may or may not be a matter of immediate concern.  It may indicate the Pr
ocess is in a loop requesting UNIX System Services.");

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Excess_Process_UNIX_Run_Time",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124937000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV392",
"Exce",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when a process exceeds 50% UNIX run time",
"*IF *VALUE USS_Processes.UNIX_Run_Time% *GT 50"); 

$PARMS("CPU utilization attributable to execution of z/OS UNIX System Se
rvices Kernel code exceeds the current threshold defined as excessive.  
This condition may or may not be a matter of immediate concern.  It may 
indicate the Address Space is in a loop requesting UNIX System Services.
");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Excess_UNIX_System_Time",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124939000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV492",
"Exce",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when a dubbed address space exceeds 50% UNIX system time",
"*IF *VALUE USS_Address_Spaces.UNIX_System_Time% *GT 50"); 

$PARMS("Address Space CPU utilization attributable to UNIX work exceeds 
the current threshold defined as excessive.  This condition may or may n
ot be a matter of immediate concern.  It may indicate the Address Space 
is in a loop.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Excess_UNIX_User_Time",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124938000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV492",
"Exce",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when a dubbed address space exceeds 50% UNIX user time",
"*IF *VALUE USS_Address_Spaces.UNIX_User_Time% *GT 50"); 

$PARMS("ENQueue Contention time has reached its Critical threshold.  Che
ck the details to determine who is holding the ENQueue.  If it is a batc
h job that can be canceled and requeued, the deadlock can be broken by d
oing so.  If it is a started task, UNIX Process, or on-line user, a syst
em programmer should be notified.");                                                        

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_ENQ_Contention_Critical",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124939000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV41",
"UNIX",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when an HFS ENQ contention has lasted 30 seconds or more",
"*IF *VALUE USS_HFS_ENQ_Contention.Time *GE 30"); 

$PARMS("ENQueue Contention time has reached its Warning threshold.  Chec
k the details to determine who is holding the ENQueue.  If it is a batch
 job that can be canceled and requeued, the deadlock can be broken by do
ing so.  If it is a started task, UNIX Process, or on-line user, a syste
m programmer should be notified.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_ENQ_Contention_Warning",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218125055000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV41 MV806",
"UNIX",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when an HFS ENQ contention has lasted 10 seconds or more",
"*IF *VALUE USS_HFS_ENQ_Contention.Time *GE 10 *AND *VALUE USS_HFS_ENQ_C
ontention.Time *LT 30"); 

$PARMS("Free Space in the indicated File System has reached its Critical
 threshold.  The File System space should be extended.  This can be acco
mplished with UNIX System Services commands.  If this condition becomes 
chronic, a system programmer should be notified.");                                                        

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_File_System_FreeSpace_Crit",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1051103112259000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV985",
"UNIX",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when any file system has less than 10% free space",
"*IF *VALUE USS_Mounted_File_Systems.Percent_Used *GE 90"); 

$PARMS("Free Space in the indicated File System has reached its Warning 
threshold.  Consider extending the File System space.  This can be accom
plished with UNIX System Services commands.  If this condition becomes c
hronic, a system programmer should be notified.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_File_System_FreeSpace_Warn",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1051103112306000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV985 MV242",
"UNIX",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect when any file system has less than 20% free space",
"*IF *VALUE USS_Mounted_File_Systems.Percent_Used *GE 80 *AND  *VALUE US
S_Mounted_File_Systems.Percent_Used *LT 90"); 

$PARMS("The indicated Logged-On user has been idle for a length of time 
that exceeds the current threshold.  This condition may or may not be a 
matter of immediate concern.  Consult installation procedures for approp
riate action.");

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_Logged_On_User_Idle",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124938000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV767",
"UNIX",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect a logged on user with excessive idle time",
"*IF *VALUE USS_Logged_on_Users.Idle_Time_Mins *GT 480"); 

$PARMS("The inetd daemon is not active.  The inetd daemon provides UNIX 
networking services.  Start the inetd daemon.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Missing_UNIX_inetd_Process",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124938000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV644",
"Miss",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect missing inetd process",
"*IF *MISSING USS_Processes.Command_Name *EQ ( inetd )"); 

$PARMS("The indicated File System is in a Quiesced state.  This conditio
n may or may not be a matter of immediate concern.  For example, this co
uld be due to an HSM Backup Recovery in progress.  If this condition per
sists, a system programmer should be notified.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Quiecsed_UNIX_File_System",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1051103112318000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV218",
"Quie",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect a quiesced file system",
"*IF *VALUE USS_Mounted_File_Systems.Status *EQ Quiesced"); 

$PARMS("The number of possible Processes has reached its Critical thresh
old. If the maximum is reached, no more Processes can be started.  If th
is condition is due to expected growth, increase the maximum value.  Oth
erwise a system programmer should be notified.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Shortage_of_UNIX_Processes_Crit",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1010103143942000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV545",
"Shor",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Check if current number of processes very close to MAXPROCSYS",
"*IF *VALUE USS_Kernel.Used_Processes *GE 90"); 

$PARMS("The number of possible Processes has reached its Warning thresho
ld. If the maximum is reached, no more Processes can be started.  If thi
s condition is due to expected growth, increase the maximum value.  Othe
rwise a system programmer should be notified.");
                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Shortage_of_UNIX_Processes_Warn",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1010110122352000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV545",
"Shor",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Check if current number of processes approaching MAXPROCSYS",
"*IF *VALUE USS_Kernel.Used_Processes *GE 80 *AND *VALUE USS_Kernel.Used
_Processes *LT 90"); 

$PARMS("The inetd daemon is active.  The inetd daemon provides UNIX netw
orking services.  Consult installation procedures for appropriate action
.  If the inetd daemon should be active, then stop this situation.");

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("Unwanted_UNIX_inetd_Process",
?,
"0W000000000000000000000000000000#u000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1001218124938000",
"V410",
"SYSADMIN",
"",
"",
"",
"",
"MV641",
"UNIX",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Detect unwanted inetd process",
"*IF *VALUE USS_Processes.Command_Name *EQ inetd");

/*********************************************************************/
/*   Start -                                                         */
/*   z/OS UNIX System Services product provided situations           */
/*   for Sockets support in V420                                     */
/*                                                                   */
/*********************************************************************/
$PARMS("The number of UNIX Sockets in use has reached its Critical thres
hold. If the maximum is reached, UNIX System Services functionality will 
 be impacted. System programmer help is needed immediately. Consider inc
reasing the value of NETWORK DOMAINNAME(AF_UNIX)- MAXSOCKETS(). Use the 
SETOMVS RESET command to dynamically change the MAXSOCKETS value or to m
ake a permanent change, edit the BPXPRMxx member in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_Max_Sockets_Critical",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330154616000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"UNIX Sockets in use Critical",
"*IF *VALUE USS_Kernel.USock_Curr_Pct *GE 95.0"); 

$PARMS("The number of UNIX Sockets in use has reached its Warning thresh
old. If the maximum is reached, UNIX System Services functionality will 
be impacted. Consider increasing the value of NETWORK DOMAINNAME(AF_UNIX
)- MAXSOCKETS(). Use the SETOMVS RESET command to dynamically change the
 MAXSOCKETS value or to make a permanent change, edit the BPXPRMxx membe
r in SYS1.PARMLIB.");                                                       
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_Max_Sockets_Warning",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330155435000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"UNIX Sockets in use Warning",
"*IF *VALUE USS_Kernel.USock_Curr_Pct *GE 80.0 *AND *VALUE USS_Kernel.US
ock_Curr_Pct *LT 95.0"); 

$PARMS("The number of Internet Sockets in use has reached its Critical t
hreshold. If the maximum is reached, UNIX System Services will not be ac
cessible by Internet connections. System programmer help is needed immed
iately. Consider increasing the value of NETWORK DOMAINNAME(AF_INET)- MA
XSOCKETS(). Use the SETOMVS RESET command to dynamically change the MAXS
OCKETS value or to make a permanent change, edit the BPXPRMxx member in 
SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET_Max_Sockets_Critical",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330160020000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet Sockets in use Critical",
"*IF *VALUE USS_Kernel.ISock_Curr_Pct *GE 95.0"); 

$PARMS("The number of Internet Sockets in use has reached its Warning th
reshold. If the maximum is reached, UNIX System Services will not be acc
essible by Internet connections. Consider increasing the value of NETWOR
K DOMAINNAME(AF_INET)- MAXSOCKETS(). Use the SETOMVS RESET command to dy
namically change the MAXSOCKETS value or to make a permanent change, edi
t the BPXPRMxx member in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET_Max_Sockets_Warning",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330155712000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet Sockets in use Warning",
"*IF *VALUE USS_Kernel.ISock_Curr_Pct *GE 80.0 *AND *VALUE USS_Kernel.IS
ock_Curr_Pct *LT 95.0"); 

$PARMS("The number of Internet v6 Sockets in use has reached its Critica
l threshold. If the maximum is reached, UNIX System Services will not be
 accessible by Internet v6 connections. System programmer help is needed
 immediately. Consider increasing the value of NETWORK DOMAINNAME(AF_INE
T6)- MAXSOCKETS(). Use the SETOMVS RESET command to dynamically change t
he MAXSOCKETS value or to make a permanent change, edit the BPXPRMxx mem
ber in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET6_Max_Sockets_Critical",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330160447000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet v6 Sockets in use Critical",
"*IF *VALUE USS_Kernel.I6Sock_Curr_Pct *GE 95.0"); 

$PARMS("The number of Internet v6 Sockets in use has reached its Warning
 threshold. If the maximum is reached, UNIX System Services will not be 
accessible by Internet V6 connections. Consider increasing the value of 
NETWORK DOMAINNAME(AF_INET6)- MAXSOCKETS(). Use the SETOMVS RESET comman
d to dynamically change the MAXSOCKETS value or to make a permanent chan
ge, edit the BPXPRMxx member in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET6_Max_Sockets_Warning",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330160258000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet v6 Sockets in use Warning",
"*IF *VALUE USS_Kernel.I6Sock_Curr_Pct *GE 80.0 *AND *VALUE USS_Kernel.I
6Sock_Curr_Pct *LT 95.0"); 

/*********************************************************************/
/*   End -                                                           */
/*   z/OS UNIX System Services product provided situations           */
/*   for Sockets support in V420                                     */
/*                                                                   */
/*********************************************************************/

/*********************************************************************/
/*                                                                   */
/*   z/OS UNIX System Services product provided situations - End     */
/*                                                                   */
/*********************************************************************/ 

UPDATE O4SRV.TSITDESC
   SET AFFINITIES = '0W000000000000000000000000000000#u000000000'
   WHERE AFFINITIES LIKE '00000000000000000000001*' ;





/*********************************************************************/
/*                                                                   */
/*    COPYRIGHT (C) 2001              CANDLE CORPORATION,  U.S.A.    */
/*    ALL RIGHTS RESERVED.       USE PERMISSIBLE BY LICENSE ONLY.    */
/*                                                                   */
/*********************************************************************/
/*                                                                   */
/*  NAME:     KOSSSITF                                               */
/*                                                                   */
/*  PURPOSE:  OS SYSPLEX SEED DATA SOURCE FOR MVS CMS                */
/*                                                                   */
/*  HISTORY:                                                         */
/*                                                                   */
/*    DATE    WHO  CHG  DESCRIPTION                                  */
/*  --------  ---  ---  -------------------------------------------  */
/*  07/25/01  NL        CREATED.                                     */
/*  05/23/02  NL   @01  QOS5004 DR#1-17121801 (workaround) The       */
/*                      MVS_CFStructToMVS_Requests_Warn Product      */
/*                      Provided Situation is too complex for CNP    */
/*                      situation editor.                            */
/*  06/05/02  NL   @02  QOS5006 DR#1-17527701 (workaround) The       */
/*                      OS_CMD_CF_Systems_Perform_Crit Product       */
/*                      Provided Situation is too complex for CNP    */
/*                      situation editor.                            */
/*  10/05/05  BDK  @03  Moved the expert advise to the insert        */
/*                      statements below.  Eliminated the separate   */
/*                      update statements that were used for advise. */
/*                      Done to accomodate ITM6.1 globalization.     */
/*                      M5310BAS                                     */
/*  07/21/08  BDK  @04  Add DASD Filter Warn situation to alert      */
/*                      users when either no data is collected       */
/*                      or too many devices are collected            */
/*  08/07/08  mjr  @05  Remove references to TMANTMPL, TTMPLSIT,     */
/*                      and TTMPLSTA                                 */
/*  01/20/11  jpy  @06  Migrate HealthChecker Situations             */
/*  04/07/13  jpy  @07  Add zAware Analysis Situations & Update CPU  */
/*                      Loop Warn and Storage Shortage Warning       */
/*                                                                   */                                                                 
/*********************************************************************/

/* ** RECORD 1 ** @03*/

$PARMS("Coupling facility structures have failed.  An immediate rebuild
is necessary.  If another coupling facility is available as a backup, it
 should be made the primary facility.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125085625000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Structures.Structure_Status *EQ Failed",    /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStruct_Status_Crit",                            /* SITNAME */
   ?,                                                      /* ADVISE */  
   "Coupling Facility Structures Status Critical"            /* TEXT */
  );

/* ** RECORD 2 ** @03*/

$PARMS("Coupling facility structures are about to fail.  A rebuild may s
oon be necessary.  If another coupling facility is available as a backup
, it should be made the primary facility.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125085641000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Structures.Structure_Status *NE ActiveInUse *AND *VALU
E CF_Structures.Structure_Status *NE ActivePersistent *AND *VALUE CF_Str
uctures.Structure_Status *NE ActiveDuplexAlternate *AND *VALUE CF_Struct
ures.Structure_Status *NE ActiveDuplexPrimary *AND *VALUE CF_Structures.
Structure_Status *NE Defined *AND *VALUE CF_Structures.Structure_Status 
*NE Failed *AND *VALUE CF_Structures.Structure_Status *NE PolicyChange *
AND *VALUE CF_Structures.Structure_Status *NE Transitional", 
                                                              /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStruct_Status_Warn",                            /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structures Status Warning"             /* TEXT */
  );

/* ** RECORD 3 ** @03*/

$PARMS("Coupling facility false contention for lock structures has reach
ed a high level.  False contention should be less than half of total loc
k contention or less than 0.5% of total lock requests.  If this conditio
n occurs frequently, the size of the lock structure should be increased.
");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125085657000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Structures.False_Lock_Table_Entry_Contention_Count *GT
 100",                                                        /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStructStat_FalseLock_Crit",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structure Statistics Critical"         /* TEXT */
  );

/* ** RECORD 4 ** @03*/

$PARMS("Coupling facility false contention for lock structures is about
to reach a high level.  False contention should be less than half of tot
al lock contention or less than 0.5% of total lock requests.  If this co
ndition occurs frequently, the size of the lock structure should be incr
eased.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125085728000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Structures.False_Lock_Table_Entry_Contention_Count *GT
 0 *AND *VALUE CF_Structures.False_Lock_Table_Entry_Contention_Count *LE
 100",                                                        /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStructStat_FalseLock_Warn",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structure Statistics Warning"          /* TEXT */
  );

/* ** RECORD 5 ** @03*/

$PARMS("The coupling facility performance has deteriorated severely.  Ch
eck the status of the coupling links and the performance data for the co
upling facility machine or LPAR.  A link may be down or a processor may
be offline or malfunctioning.  If the coupling facility is in an LPAR wi
th shared processors, the overall CPC may be fully loaded, thus causing
the LPAR weights to come into effect.  If more LPs are assigned to the C
F than its share of total weight can support, try varying a LP offline."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125085900000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Structure_to_MVS_System.Average_Queued_Request_Time *G
T 100 *OR *VALUE CF_Structure_to_MVS_System.Request_Rates *GT 1000",
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStructToMVS_Requests_Crit",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structure to z/OS Requests Critical"   /* TEXT */
  );

/* ** RECORD 6 ** @03*/

$PARMS("The coupling facility performance has deteriorated to the extent
 that requests may begin to time out or otherwise fail.  Check the statu
s of the coupling links and the performance data for the coupling facili
ty machine or LPAR.  You may have exhausted the current capacity.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961127061446000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF  (  *VALUE CF_Structure_to_MVS_System.Average_Queued_Request_Tim
e *GT 20.0 *AND  *VALUE CF_Structure_to_MVS_System.Average_Queued_Reques
t_Time *LE 100.0 ) *OR  (  *VALUE CF_Structure_to_MVS_System.Request_Rat
es *GT 500.0 *AND  *VALUE CF_Structure_to_MVS_System.Request_Rates *LE 1
000.0 ) *OR   *VALUE CF_Structure_to_MVS_System.Requests_Converted *GT 5
0",                                                       /* PDT @01 */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStructToMVS_Requests_Warn",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structure to z/OS Requests Warning"    /* TEXT */
  );

/* ** RECORD 7 ** @03*/

$PARMS("Coupling facility connections are failing and rebuild is not wor
king.  If another coupling facility is available as a backup, it should
be made the primary facility.  Check the links and the status of the cou
pling facility hardware.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090006000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Clients.Connection_Status *EQ Failing",     /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStructUsers_Connect_Crit",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structure Users Connectivity Status Critical"
  );

/* ** RECORD 8 ** @03*/

$PARMS("Coupling facility connections are failing and rebuild is in effe
ct.  If another coupling facility is available as a backup, it should be
 made the primary facility.  Check the links and the status of the coupl
ing facility hardware.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090313000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Clients.Connection_Status *EQ ConnectedRebuild *OR *VA
LUE CF_Clients.Connection_Problem_Flag *GT 0",                /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFStructUsers_Connect_Warn",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Structure Users Connectivity Status Warning"
  );

/* ** RECORD 9 ** @03*/

$PARMS("Coupling facility may be in an overload condition.  Check the pe
rformance data for the coupling facility and, if it is unacceptable, det
ermine if some large structures can be replicated in another facility to
 reduce the data rate.  The long term solution may require an increase i
n coupling facility capacity or a technology upgrade to faster coupling
links.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090412000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Systems.CPU_Percent *GT 95 *OR *VALUE CF_Systems.Statu
s *EQ Failed *OR *VALUE CF_Systems.I/Os_Per_Second *GT 5000", /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFSystems_Performance_Crit",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Systems Performance Critical"          /* TEXT */
  );

/* ** RECORD 10 ** @03*/

$PARMS("A coupling facility may be in an overload condition.  Check the
performance data for the coupling facility and, if it is unacceptable, d
etermine if some large structures can be replicated in another facility
to reduce the data rate.  The long term solution may require an increase
 in coupling facility capacity or a technology upgrade to faster couplin
g links.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090425000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF (  *VALUE CF_Systems.CPU_Percent *GT 80.0 *AND  *VALUE CF_System
s.CPU_Percent *LE 95.0 ) *OR  (  *VALUE CF_Systems.I/Os_Per_Second *GT 2
000 *AND  *VALUE CF_Systems.I/Os_Per_Second *LE 5000.0 ) *OR   *VALUE CF
_Systems.Status *EQ Reconcile  *OR   *VALUE CF_Systems.Structure_Count_O
ut_Policy *GT 0",                                             /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFSystems_Performance_Warn",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility Systems Performance Warning"           /* TEXT */
  );

/* ** RECORD 11 ** @03*/

$PARMS("Coupling facility path contention exceeds 95%.  Severe performan
ce degradation will continue until action is taken to reduce the traffic
 or increase the data bandwidth to the coupling facility.  Traffic may b
e reduced by adding coupling facilities; bandwidth may be increased by u
sing more links or faster links.  See the IBM Redbook 'OS/390 Parallel S
ysplex Configuration Volume 2: Cookbook', Publication number SG24-5638 f
or details and further recommendations.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108090822000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE CF_Path.Contention_Percent *GT 95",            /* PDT */
   "MV750",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFSystemPaths_Busy_Crit",                         /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility System Paths Critical"                 /* TEXT */
  );

/* ** RECORD 12 ** @03*/

$PARMS("Coupling facility path contention is high, or a link is down.  P
erformance degradation may continue until action is taken to reduce the
traffic or increase the data bandwidth to the coupling facility.  Traffi
c may be reduced by adding coupling facilities; bandwidth may be increas
ed by using more links or faster links.  See the IBM Redbook 'OS/390 Par
allel Sysplex Configuration Volume 2: Cookbook', Publication number SG24
-5638 for details and further recommendations.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108091146000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF  ( *VALUE CF_Path.Contention_Percent *GT 60 *AND *VALUE CF_Path.
Contention_Percent *LE 95 )  *OR *VALUE CF_Path.Status *EQ NotOperationa
l",                                                           /* PDT */
   "MV264 MV800 MV465",                                   /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_CFSystemPaths_Busy_Warn",                         /* SITNAME */
   ?,                                                      /* ADVISE */
   "Coupling Facility System Paths Warning"                  /* TEXT */
  );

/* ** RECORD 13 ** @03*/

$PARMS("GRS response time exceeds the high threshold, usually 25 millise
conds.  If no hardware problem is indicated, there is probably a bottlen
eck in one of the connected systems, causing the GRS token to become sta
lled.  If the sysplex is a parallel sysplex, this kind of problem can be
 eliminated by changing to a GRS Star configuration, using the coupling
facility to hold and exchange GRS data across all systems in the sysplex
.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090443000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                               /* LSTUSRPRF */
   "*IF *VALUE GRS.Actual_Response_Time *GT 25",              /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_GRS_RespTime_Crit",                               /* SITNAME */
   ?,                                                      /* ADVISE */
   "GRS Systems Response Time Critical"                      /* TEXT */
  );

/* ** RECORD 14 ** @03*/

$PARMS("GRS response time is high or the GRS ring is inactive.  Use oper
ator commands to display GRS status and attempt to restart the GRS ring.
  If no hardware problem is indicated, there is probably a bottleneck in
 one of the connected systems, causing the GRS token to become stalled.
 If the sysplex is a parallel sysplex, this kind of problem can be elimi
nated by changing to a GRS Star configuration, using the coupling facili
ty to hold and exchange GRS data across all systems in the sysplex.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090457000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF ( *VALUE GRS.Actual_Response_Time *GT 15 *AND *VALUE GRS.Actual_
Response_Time *LE 25 )  *OR *VALUE GRS.Status *EQ Inactive",  /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_GRS_RespTime_Warn",                               /* SITNAME */
   ?,                                                      /* ADVISE */
   "GRS Systems Response Time Warning"                       /* TEXT */
  );

/* ** RECORD 15 ** @03*/

$PARMS("XCF connection to one or more systems has been lost.  Check that
 the systems are up, then use operator commands to try to restart the co
nnections.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108092028000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE XCF_Members.Status *EQ Missing",               /* PDT */
   "MV800",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_XCFGroupMembers_Status_Crit",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Group Members Critical"   /* TEXT */
  );

/* ** RECORD 16 ** @03*/

$PARMS("XCF connection to one or more systems has failed.  Use operator
commands to try to restart the connections.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108092242000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE XCF_Members.Status *EQ Failed",                /* PDT */
   "MV522",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_XCFGroupMembers_Status_Warn",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Group Members Warning"    /* TEXT */
  );

/* ** RECORD 17 ** @03*/

$PARMS("An XCF path is experiencing a very high number of retries.  A fa
ilure may occur soon.  If another path is available, it should be brough
t online.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108092447000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE XCF_Path.Retry_Percent *GT 95",                /* PDT */
   "MV320",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_XCFSystemPaths_Crit",                             /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Paths Critical"           /* TEXT */
  );

/* ** RECORD 18 ** @03*/

$PARMS("An XCF path is experiencing a high number of retries.  A failure
 may occur soon.  If another path is available, it should be brought onl
ine.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108092823000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF  ( *VALUE XCF_Path.Retry_Percent *GT 80 *AND *VALUE XCF_Path.Ret
ry_Percent *LE 95 )  *OR *VALUE XCF_Path.Status *GT 0X07",    /* PDT */
   "MV941 MV371 MV737",                                   /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "MVS_XCFSystemPaths_Warn",                             /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Paths Warning"            /* TEXT */
  );

/* ** RECORD 19 ** @03*/

$PARMS("The coupling facility is experiencing a very high activity rate
or has failed.  Use the details view to determine which problem is occur
ring.  If the status is 'failed', switch to the secondary coupling facil
ity and restart and rebuild the failed one.  In the case of high request
 rate or CPU usage, bring the situation to the attention of a system pro
grammer.  Reconfiguration or load balancing may be necessary.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "SE 'OS CF System &CF_Systems.CF_Name I/Os Per Second has reached &CF
_Systems.I/Os_Per_Second, or CPU Percent has reached &CF_Systems.CPU_Per
cent, or Status is &CF_Systems.Status',USER=(XXXXXX)",        /* CMD */
   "Y",                                                       /* HUB */
   "65535",                                              /* LSTCCSID */
   "0970520093106000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF   *VALUE CF_Systems.CPU_Percent *GT 95  *OR   *VALUE CF_Systems.
Status *EQ Failed   *OR   *VALUE CF_Systems.I/Os_Per_Second *GT 5000",
                                                          /* PDT @02 */
   "MV268 MV730 MV955",                                   /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "OS_CMD_CF_Systems_Perform_Crit",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Sysplex Automation for CF Systems Performance Critical"  /* TEXT */
  );

/* ** RECORD 20 ** @03*/

$PARMS("DASD contention on a device exceeds the threshold of 0.500.  Giv
e this information to a system programmer or DASD specialist.  If the de
vice is on a cached storage subsystem with RAID, this may not be much of
 a problem.  If that is the case, the threshold should be adjusted to an
 appropriate value for the subsystem.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "SE 'OS DASD Average Contention Index for DASD Group &Sysplex_DASD.Gr
oup_Name has reached &Sysplex_DASD.Average_Device_Contention_Index',USER
=(XXXXXX)",                                                   /* CMD */
   "Y",                                                       /* HUB */
   "65535",                                              /* LSTCCSID */
   "0970520093057000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                               /* LSTUSRPRF */
   "*IF *VALUE Sysplex_DASD.Average_Device_Contention_Index *GT .500",
   "MV464",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "OS_CMD_DASD_Device_ContIdx_Warn",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Sysplex Automation for DASD Device Contention Index Warning"
  );

/* ** RECORD 21 ** @03*/

$PARMS("A service class is failing to meet its goal.  If this situation
persists, the person responsible for the Workload Manager service defini
tion should determine if the missed goal needs to be changed.  Bottlenec
k analysis of the service class should provide useful information.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "SE 'OS WLM Performance Index for Service Class &Sysplex_WLM_Service_
Class_Period.Service_Class Period &Sysplex_WLM_Service_Class_Period.Peri
od has reached &Sysplex_WLM_Service_Class_Period.Performance_Index',USER
=(XXXXXX)",                                                   /* CMD */
   "Y",                                                       /* HUB */
   "65535",                                              /* LSTCCSID */
   "0970520093055000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE Sysplex_WLM_Service_Class_Period.Performance_Index *GT 1.
50",                                                          /* PDT */
   "P2",                                                  /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "OS_CMD_WLM_Performance_Idx_Crit",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "Sysplex Automation for Workloads Performance Index Critical"
  );

/* ** RECORD 22 ** @03*/

$PARMS("DASD contention on a device exceeds the threshold of 0.500.  Giv
e this information to a system programmer or DASD specialist.  If the de
vice is on a cached storage subsystem with RAID, this may not be much of a
 a problem.  If that is the case, the threshold should be adjusted to an
 appropriate value for the subsystem.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961127130815000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE Sysplex_DASD.Average_Device_Contention_Index *GT .500",
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_DASD_Dev_ContIndx_Warn",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "DASD Device Contention Index Warning"                    /* TEXT */
  );

/* ** RECORD 23 ** @03*/

$PARMS("A DASD volume is in a 'Boxed' or 'Not Ready' status and is not a
vailable.  If needed data sets are on the device and no backup devices a
re available, a system or subsystem failure may occur.  If you cannot us
e the VARY command to return the device to online status, there may be a
 hardware malfunction and a Severity 1 or 2 hardware incident should be
opened with the hardware vendor.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961126101149000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                               /* LSTUSRPRF */
   "*IF *VALUE Sysplex_DASD_Device.Vary_Status *EQ Boxed *OR *VALUE Sysp
lex_DASD_Device.Vary_Status *EQ NotReady",                    /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_DASDSys_VaryStatus_Warn",                     /* SITNAME */
   ?,                                                      /* ADVISE */
   "DASD System Vary Status Warning"                         /* TEXT */
  );

/* ** RECORD 24 ** @03*/

$PARMS("ENQueue delay is high and has remained so for over a minute.  Ch
eck the details to determine who is holding the ENQ.  If it is a batch j
ob that can be canceled and requeued, the deadlock can be broken by doin
g so.  If it is a started task or on-line user, a system programmer shou
ld be called.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090617000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE Global_Enqueues.Maximum_Wait_Time *GT 60 *OR *VALUE Globa
l_Enqueues.Wait_Time *GT 60",                                 /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_GlobalEnq_Wait_Crit",                         /* SITNAME */
   ?,                                                      /* ADVISE */
   "Sysplex Global Enqueue Wait Critical"                    /* TEXT */
  );

/* ** RECORD 25 ** @03*/

$PARMS("ENQueue delay is high.  Check the details to determine who is ho
lding the ENQ.  If it is a batch job that can be canceled and requeued,
the deadlock can be broken by doing so.  If it is a started task or on-l
ine user, a system programmer should be called.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961125090633000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF ( *VALUE Global_Enqueues.Maximum_Wait_Time *GT 30 *AND *VALUE Gl
obal_Enqueues.Maximum_Wait_Time *LE 60 ) *OR ( *VALUE Global_Enqueues.Wa
it_Time *GT 30 *AND *VALUE Global_Enqueues.Wait_Time *LE 60 )",
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_GlobalEnq_Wait_Warn",                         /* SITNAME */
   ?,                                                      /* ADVISE */
   "Sysplex Global Enqueue Wait Warning"                     /* TEXT */
  );

/* ** RECORD 26 ** @03*/

$PARMS("A service class is failing to meet its goal.  If this situation
persists, the person responsible for the Workload Manager service defini
tion should determine if the missed goal needs to be changed.  Bottlenec
k analysis of the service class should provide useful information.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961127130816000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE Sysplex_WLM_Service_Class_Period.Performance_Index *GT 1.
50",                                                          /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_Workloads_PerfIdx_Crit",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Service Class Performance Index Critical"                /* TEXT */
  );

/* ** RECORD 27 ** @03*/

$PARMS("A service class is failing to meet its goal.  If this situation
persists, the person responsible for the Workload Manager service defini
tion should determine if the missed goal needs to be changed.  Bottlenec
k analysis of the service class should provide useful information.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961127130821000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE Sysplex_WLM_Service_Class_Period.Performance_Index *GT 1.
20  *AND *VALUE Sysplex_WLM_Service_Class_Period.Performance_Index *LE 1
.50",                                                         /* PDT */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_Workloads_PerfIdx_Warn",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Service Class Performance Index Warning"                 /* TEXT */
  );

/* ** RECORD 28 ** @03*/

$PARMS("There is a problem in XCF.  A system programmer should be contac
ted to research and correct the problem.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108111406000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE XCF_Group.Problem_Count *GT 0",                /* PDT */
   "MV591",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_XCFGroups_Warn",                              /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Groups Warning"           /* TEXT */
  );

/* ** RECORD 29 ** @03*/

$PARMS("XCF is missing.  Cross-system communication within the sysplex i
s disabled.  A system programmer should be contacted to determine why XC
F is down and to restore it as soon as possible.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108111659000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE XCF_System.Status *EQ Missing",                /* PDT */
   "MV44",                                                /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_XCFSystems_Status_Crit",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Systems Critical"         /* TEXT */
  );

/* ** RECORD 30 ** @03*/

$PARMS("The XCF system status indicates that XCF is being shut down.  A
sysplex communication failure can be expected imminently.  System progra
mmer help is required to determine why the shutdown is occurring and to
restart the facility as soon as possible.");
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   ADVISE,
   TEXT
  )
VALUES
  ("1000000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNY",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "65535",                                              /* LSTCCSID */
   "0961108112007000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "KM5",                                             /* LSTUSRPRF */
   "*IF *VALUE XCF_System.Status *EQ BeingRemoved",           /* PDT */
   "MV392",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "Sysplex_XCFSystems_Status_Warn",                      /* SITNAME */
   ?,                                                      /* ADVISE */
   "Cross System Coupling Facility Systems Warning"          /* TEXT */
  );

/* ** RECORD 31 ** @04*/

$PARMS('ADVICE("km5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES('KM5_No_Sysplex_DASD_Filter_Warn',
?,
"1000000000000000000000000000000000########F",
"",
"NNN",
"*YES",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080724153140000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"000500",
"",
"",
"*NONE",
"TFWD=Y;OV=N;TDST=0;~",
"",
"Sysplex DASD filter is not active",
"*IF *COUNT Sysplex_DASD_Group.Volume_Serial_Number *EQ 1 *AND *VALUE Sy
splex_DASD_Group.Volume_Serial_Number *EQ $none$"); 

/* ** RECORD 32 ** @04*/

$PARMS('ADVICE("km5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES('KM5_Weak_Plex_DASD_Filter_Warn',
?,
"1000000000000000000000000000000000########F",
"",
"NNN",
"*YES",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080724153032000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"000500",
"",
"",
"*NONE",
"TFWD=Y;OV=N;TDST=0;~",
"",
"Sysplex DASD Filter device count high",
"*IF *COUNT Sysplex_DASD_Group.Volume_Serial_Number *GT 1000"); 


/* ** RECORD 33 ** @04*/

$PARMS("*NONE");                                                        
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KM5_Model_Sysplex_DASD_Filter",
?,
"1000000000000000000000000000000000########F",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080722161207000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"TFWD=Y;OV=N;SEV=Unknown;TDST=0;~",
"",
"A sample situation to limit Sysplex DASD device collection",
"*IF *VALUE DASD_Device_Collection_Filtering.Average_Response_Time *GT 0
.0 *AND *VALUE DASD_Device_Collection_Filtering.I/O_Rate *GT 0.0"); 


/* ** RECORD 34 ** @06*/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000007##########",
   "",
   "*NO",
   "",
   "en_US",
   "1140202141549000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Health_Check_Status.Status *NE Active",
   "E",
   "0",
   "010000",
   "*NONE",
   "KM5_HealthChecker_Problems",
   "Km5:KM5_510_PII1_1000",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("KM5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
 
 /* ** RECORD 35 ** @06*/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000007##########",
   "",
   "*NO",
   "",
   "en_US",
   "1140202142345000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Health_Checks.Result *EQ 12",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_High_Severity_Check",
   "Km5:KM5_510_PII1_1001",
   "NNN",
   "TFWD=Y;OV=N;SEV=Critical;TDST=0;~",
   'ADVICE("KM5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  ); 

/* ** RECORD 36 ** @07*/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426003401000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.Anomaly_Score_02 *GE 101.0", 
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_zAware_Analysis_Crit",
   "Anomaly Score (02) exceeds the critical threshold",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

/* ** RECORD 37 ** @07*/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426003812000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.Anomaly_Score_02 *GE 99.6 *AND *VALUE
 KM5_zAware_Analysis.Anomaly_Score_02 *LT 101.0",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_zAware_Analysis_Warn",
   "Anomaly Score (02) exceeds the warning threshold",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
/* ** RECORD 38 ** @07*/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426004329000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.zAware_Client_Status *NE Active_Clien
t",
   "E",
   "0",
   "010000",
   "*NONE",
   "KM5_zAware_Client_Status",
   "Client Status is not active",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

/* ** RECORD 39 ** @07*/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426023918000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.zAware_Server_Status *NE Active",
   "E",
   "0",
   "010000",
   "*NONE",
   "KM5_zAware_Server_Status",
   "Server Status is not active",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
/*********************************************************************/ 
/*                                                                   */ 
/*    COPYRIGHT (C) 2001              CANDLE CORPORATION,  U.S.A.    */ 
/*    ALL RIGHTS RESERVED.       USE PERMISSIBLE BY LICENSE ONLY.    */ 
/*                                                                   */ 
/*********************************************************************/ 
/*                                                                   */ 
/*  NAME:     KOSDOBJA                                               */ 
/*                                                                   */ 
/*  PURPOSE:  OS SYSPLEX SEED DATA SOURCE FOR MVS CMS                */ 
/*                                                                   */ 
/*  HISTORY:                                                         */ 
/*                                                                   */ 
/*    DATE    WHO  CHG  DESCRIPTION                                  */ 
/*  --------  ---  ---  -------------------------------------------  */ 
/*  07/25/01  NL        CREATED.                                     */  
/*  02/13/14  JPY       Removed all unnecessary inserts              */
/*                      for distribution purpose and added one for   */
/*                      KM5_Model_Sysplex_DASD_Filter                */ 
/*  06/23/14  JPY       Removed  KM5_Model_Sysplex_DASD_Filter from  */
/*                      O4SRV.TOBJACCL table to disable distribution */
/*                                                                   */ 
/*********************************************************************/ 

INSERT INTO O4SRV.TOBJACCL                                              
  (HUB,                                                                 
   LSTDATE,                                                             
   LSTRELEASE,                                                          
   LSTUSRPRF,                                                           
   NODEL,                                                               
   OBJCLASS,                                                            
   OBJNAME,                                                             
   QIBCLASSID                                                           
  )                                                                     
VALUES                                                                  
  ("Y",                                                       /* HUB */ 
   "1080724153140000",                                    /* LSTDATE */ 
   "V420",                                             /* LSTRELEASE */ 
   "KM5",                                               /* LSTUSRPRF */ 
   "*MVS_SYSPLEX",                                          /* NODEL */ 
   "5140",                                               /* OBJCLASS */ 
   "KM5_No_Sysplex_DASD_Filter_Warn",                     /* OBJNAME */ 
   "5535"                                              /* QIBCLASSID */ 
  );                                                                    
                                                                     
INSERT INTO O4SRV.TOBJACCL                                             
  (HUB,                                                                
   LSTDATE,                                                            
   LSTRELEASE,                                                         
   LSTUSRPRF,                                                          
   NODEL,                                                              
   OBJCLASS,                                                           
   OBJNAME,                                                           
   QIBCLASSID                                                          
  )                                                                    
VALUES                                                                 
  ("Y",                                                       /* HUB */
   "1080724153032000",                                    /* LSTDATE */
   "V420",                                             /* LSTRELEASE */
   "KM5",                                               /* LSTUSRPRF */
   "*MVS_SYSPLEX",                                          /* NODEL */
   "5140",                                               /* OBJCLASS */
   "KM5_Weak_Plex_DASD_Filter_Warn",                      /* OBJNAME */
   "5535"                                              /* QIBCLASSID */
  );


/*********************************************************************/
/*                                                                   */
/* Update previously seeded TOBJACCL (distribution) Sysplex entries  */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_No_Sysplex_DASD_Filter_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_Weak_Plex_DASD_Filter_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);	 



UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53145"
    WHERE SITNAME = "Check_Missing_UNIX_Mount_Point";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Check_Missing_UNIX_Mount_Point";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53146"
    WHERE SITNAME = "Crypto_CKDS_80PCT_Full";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_CKDS_80PCT_Full";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53147"
    WHERE SITNAME = "Crypto_CKDS_Access_Disabled";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_CKDS_Access_Disabled";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53148"
    WHERE SITNAME = "Crypto_Internal_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_Internal_Error";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53149"
    WHERE SITNAME = "Crypto_Invalid_Master_Key";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_Invalid_Master_Key";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53150"
    WHERE SITNAME = "Crypto_Invalid_PKA_Master_Keys";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_Invalid_PKA_Master_Keys";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53151"
    WHERE SITNAME = "Crypto_No_Coprocessors";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_No_Coprocessors";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53152"
    WHERE SITNAME = "Crypto_No_PCI_Coprocessors";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_No_PCI_Coprocessors";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53153"
    WHERE SITNAME = "Crypto_PCI_Unavailable";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_PCI_Unavailable";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53154"
    WHERE SITNAME = "Crypto_PKA_Services_Disabled";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_PKA_Services_Disabled";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53155"
    WHERE SITNAME = "Crypto_PKDS_Read_Disabled";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_PKDS_Read_Disabled";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53156"
    WHERE SITNAME = "Crypto_PKDS_Write_Disabled";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_PKDS_Write_Disabled";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53157"
    WHERE SITNAME = "Crypto_Service_Unavailable";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Crypto_Service_Unavailable";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53158"
    WHERE SITNAME = "Excess_Process_UNIX_Run_Time";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Excess_Process_UNIX_Run_Time";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53159"
    WHERE SITNAME = "Excess_UNIX_Kernel_CPU_Time";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Excess_UNIX_Kernel_CPU_Time";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53160"
    WHERE SITNAME = "Excess_UNIX_System_Time";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Excess_UNIX_System_Time";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53161"
    WHERE SITNAME = "Excess_UNIX_User_Time";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Excess_UNIX_User_Time";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53162"
    WHERE SITNAME = "MVS_CFStructStat_FalseLock_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStructStat_FalseLock_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53163"
    WHERE SITNAME = "MVS_CFStructStat_FalseLock_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStructStat_FalseLock_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53164"
    WHERE SITNAME = "MVS_CFStructToMVS_Requests_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStructToMVS_Requests_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53165"
    WHERE SITNAME = "MVS_CFStructToMVS_Requests_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStructToMVS_Requests_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53166"
    WHERE SITNAME = "MVS_CFStructUsers_Connect_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStructUsers_Connect_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53167"
    WHERE SITNAME = "MVS_CFStructUsers_Connect_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStructUsers_Connect_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53168"
    WHERE SITNAME = "MVS_CFStruct_Status_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStruct_Status_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53169"
    WHERE SITNAME = "MVS_CFStruct_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFStruct_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53170"
    WHERE SITNAME = "MVS_CFSystemPaths_Busy_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFSystemPaths_Busy_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53171"
    WHERE SITNAME = "MVS_CFSystemPaths_Busy_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFSystemPaths_Busy_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53172"
    WHERE SITNAME = "MVS_CFSystems_Performance_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFSystems_Performance_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53173"
    WHERE SITNAME = "MVS_CFSystems_Performance_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_CFSystems_Performance_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53174"
    WHERE SITNAME = "MVS_GRS_RespTime_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_GRS_RespTime_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53175"
    WHERE SITNAME = "MVS_GRS_RespTime_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_GRS_RespTime_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53176"
    WHERE SITNAME = "MVS_XCFGroupMembers_Status_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_XCFGroupMembers_Status_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53177"
    WHERE SITNAME = "MVS_XCFGroupMembers_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_XCFGroupMembers_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53178"
    WHERE SITNAME = "MVS_XCFSystemPaths_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_XCFSystemPaths_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53179"
    WHERE SITNAME = "MVS_XCFSystemPaths_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MVS_XCFSystemPaths_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53180"
    WHERE SITNAME = "Missing_UNIX_inetd_Process";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Missing_UNIX_inetd_Process";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53181"
    WHERE SITNAME = "OS390_Allocated_CSA_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Allocated_CSA_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53182"
    WHERE SITNAME = "OS390_Allocated_CSA_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Allocated_CSA_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53183"
    WHERE SITNAME = "OS390_Available_Frames_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Available_Frames_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53184"
    WHERE SITNAME = "OS390_Available_Frames_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Available_Frames_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53185"
    WHERE SITNAME = "OS390_AvgCPU_Pct_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_AvgCPU_Pct_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53186"
    WHERE SITNAME = "OS390_AvgCPU_Pct_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_AvgCPU_Pct_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53187"
    WHERE SITNAME = "OS390_CSA_Growth_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_CSA_Growth_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53188"
    WHERE SITNAME = "OS390_CSA_Growth_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_CSA_Growth_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53189"
    WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53190"
    WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53191"
    WHERE SITNAME = "OS390_Cache_Read_HitPct_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Cache_Read_HitPct_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53192"
    WHERE SITNAME = "OS390_Cache_Read_HitPct_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Cache_Read_HitPct_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53193"
    WHERE SITNAME = "OS390_Cache_Write_HitPct_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Cache_Write_HitPct_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53194"
    WHERE SITNAME = "OS390_Cache_Write_HitPct_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Cache_Write_HitPct_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53195"
    WHERE SITNAME = "OS390_ChannelComplexBusy_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_ChannelComplexBusy_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53196"
    WHERE SITNAME = "OS390_ChannelComplexBusy_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_ChannelComplexBusy_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53197"
    WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53198"
    WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53199"
    WHERE SITNAME = "OS390_Channel_Path_Offline_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Channel_Path_Offline_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53200"
    WHERE SITNAME = "OS390_Channel_Path_Offline_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Channel_Path_Offline_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53201"
    WHERE SITNAME = "OS390_Common_PageDSPctFull_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Common_PageDSPctFull_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53202"
    WHERE SITNAME = "OS390_Common_PageDSPctFull_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Common_PageDSPctFull_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53203"
    WHERE SITNAME = "OS390_DASD_Busy_Percent_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Busy_Percent_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53204"
    WHERE SITNAME = "OS390_DASD_Busy_Percent_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Busy_Percent_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53205"
    WHERE SITNAME = "OS390_DASD_Dropped_Ready_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Dropped_Ready_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53206"
    WHERE SITNAME = "OS390_DASD_Dropped_Ready_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Dropped_Ready_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53207"
    WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53208"
    WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53209"
    WHERE SITNAME = "OS390_DASD_Not_Responding_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Not_Responding_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53210"
    WHERE SITNAME = "OS390_DASD_Not_Responding_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Not_Responding_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53211"
    WHERE SITNAME = "OS390_DASD_Response_Time_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Response_Time_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53212"
    WHERE SITNAME = "OS390_DASD_Response_Time_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_DASD_Response_Time_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53213"
    WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53214"
    WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53215"
    WHERE SITNAME = "OS390_Frames_Online_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Frames_Online_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53216"
    WHERE SITNAME = "OS390_Frames_Online_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Frames_Online_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53217"
    WHERE SITNAME = "OS390_GRS_Broken_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_GRS_Broken_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53218"
    WHERE SITNAME = "OS390_GRS_Broken_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_GRS_Broken_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53219"
    WHERE SITNAME = "OS390_GTF_Active_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_GTF_Active_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53220"
    WHERE SITNAME = "OS390_GTF_Active_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_GTF_Active_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53221"
    WHERE SITNAME = "OS390_GlobalEnqueueReserve_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_GlobalEnqueueReserve_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53222"
    WHERE SITNAME = "OS390_GlobalEnqueueReserve_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_GlobalEnqueueReserve_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53223"
    WHERE SITNAME = "OS390_HSM_RecallWait_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_HSM_RecallWait_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53224"
    WHERE SITNAME = "OS390_HSM_RecallWait_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_HSM_RecallWait_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53225"
    WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53226"
    WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53227"
    WHERE SITNAME = "OS390_LPAR_OverheadPercent_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_LPAR_OverheadPercent_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53228"
    WHERE SITNAME = "OS390_LPAR_OverheadPercent_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_LPAR_OverheadPercent_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53229"
    WHERE SITNAME = "OS390_LPAR_Status_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_LPAR_Status_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53230"
    WHERE SITNAME = "OS390_LPAR_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_LPAR_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53231"
    WHERE SITNAME = "OS390_Local_PageDS_Errors_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Local_PageDS_Errors_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53232"
    WHERE SITNAME = "OS390_Local_PageDS_Errors_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Local_PageDS_Errors_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53233"
    WHERE SITNAME = "OS390_Local_PageDS_PctFull_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Local_PageDS_PctFull_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53234"
    WHERE SITNAME = "OS390_Local_PageDS_PctFull_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Local_PageDS_PctFull_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53235"
    WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53236"
    WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53239"
    WHERE SITNAME = "OS390_OLTEP_Active_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_OLTEP_Active_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53240"
    WHERE SITNAME = "OS390_OLTEP_Active_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_OLTEP_Active_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53241"
    WHERE SITNAME = "OS390_Outstanding_WTORs_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Outstanding_WTORs_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53242"
    WHERE SITNAME = "OS390_Outstanding_WTORs_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Outstanding_WTORs_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53243"
    WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53244"
    WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53245"
    WHERE SITNAME = "OS390_PageDSNotOperational_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_PageDSNotOperational_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53246"
    WHERE SITNAME = "OS390_PageDSNotOperational_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_PageDSNotOperational_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53247"
    WHERE SITNAME = "OS390_Page_Rate_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Page_Rate_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53248"
    WHERE SITNAME = "OS390_Page_Rate_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Page_Rate_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53249"
    WHERE SITNAME = "OS390_Physical_CPUs_Online_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Physical_CPUs_Online_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53250"
    WHERE SITNAME = "OS390_Physical_CPUs_Online_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Physical_CPUs_Online_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53251"
    WHERE SITNAME = "OS390_RMF_Not_Active_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_RMF_Not_Active_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53252"
    WHERE SITNAME = "OS390_RMF_Not_Active_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_RMF_Not_Active_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53253"
    WHERE SITNAME = "OS390_SMF_Not_Recording_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_SMF_Not_Recording_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53254"
    WHERE SITNAME = "OS390_SMF_Not_Recording_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_SMF_Not_Recording_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53255"
    WHERE SITNAME = "OS390_Syslog_Not_Recording_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Syslog_Not_Recording_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53256"
    WHERE SITNAME = "OS390_Syslog_Not_Recording_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Syslog_Not_Recording_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53257"
    WHERE SITNAME = "OS390_System_PageFaultRate_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_System_PageFaultRate_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53258"
    WHERE SITNAME = "OS390_System_PageFaultRate_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_System_PageFaultRate_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53259"
    WHERE SITNAME = "OS390_System_Page_Rate_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_System_Page_Rate_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53260"
    WHERE SITNAME = "OS390_System_Page_Rate_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_System_Page_Rate_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53261"
    WHERE SITNAME = "OS390_Tape_Dropped_Ready_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Dropped_Ready_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53262"
    WHERE SITNAME = "OS390_Tape_Dropped_Ready_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Dropped_Ready_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53263"
    WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53264"
    WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53265"
    WHERE SITNAME = "OS390_Tape_Not_Responding_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Not_Responding_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53266"
    WHERE SITNAME = "OS390_Tape_Not_Responding_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Not_Responding_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53267"
    WHERE SITNAME = "OS390_Tape_Permanent_Error_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Permanent_Error_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53268"
    WHERE SITNAME = "OS390_Tape_Permanent_Error_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Permanent_Error_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53269"
    WHERE SITNAME = "OS390_Tape_Temp_Errors_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Temp_Errors_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53270"
    WHERE SITNAME = "OS390_Tape_Temp_Errors_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Tape_Temp_Errors_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53271"
    WHERE SITNAME = "OS390_Undispatched_Tasks_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Undispatched_Tasks_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53272"
    WHERE SITNAME = "OS390_Undispatched_Tasks_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Undispatched_Tasks_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53273"
    WHERE SITNAME = "OS390_Unowned_Common_Stor_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Unowned_Common_Stor_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53274"
    WHERE SITNAME = "OS390_Unowned_Common_Stor_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Unowned_Common_Stor_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53275"
    WHERE SITNAME = "OS390_Unref_Interval_Cnt_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Unref_Interval_Cnt_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53276"
    WHERE SITNAME = "OS390_Unref_Interval_Cnt_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_Unref_Interval_Cnt_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53281"
    WHERE SITNAME = "OS390_WTO_Buffers_Left_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_WTO_Buffers_Left_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53282"
    WHERE SITNAME = "OS390_WTO_Buffers_Left_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS390_WTO_Buffers_Left_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53283"
    WHERE SITNAME = "OS_CMD_CF_Systems_Perform_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS_CMD_CF_Systems_Perform_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53284"
    WHERE SITNAME = "OS_CMD_DASD_Device_ContIdx_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS_CMD_DASD_Device_ContIdx_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53285"
    WHERE SITNAME = "OS_CMD_WLM_Performance_Idx_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "OS_CMD_WLM_Performance_Idx_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53286"
    WHERE SITNAME = "Quiecsed_UNIX_File_System";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Quiecsed_UNIX_File_System";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53287"
    WHERE SITNAME = "Shortage_of_UNIX_Processes_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Shortage_of_UNIX_Processes_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53288"
    WHERE SITNAME = "Shortage_of_UNIX_Processes_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Shortage_of_UNIX_Processes_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53289"
    WHERE SITNAME = "Sysplex_DASDSys_VaryStatus_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_DASDSys_VaryStatus_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53290"
    WHERE SITNAME = "Sysplex_DASD_Dev_ContIndx_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_DASD_Dev_ContIndx_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53291"
    WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53292"
    WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53293"
    WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53294"
    WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53295"
    WHERE SITNAME = "Sysplex_XCFGroups_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_XCFGroups_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53296"
    WHERE SITNAME = "Sysplex_XCFSystems_Status_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_XCFSystems_Status_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53297"
    WHERE SITNAME = "Sysplex_XCFSystems_Status_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Sysplex_XCFSystems_Status_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53298"
    WHERE SITNAME = "UNIX_ENQ_Contention_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_ENQ_Contention_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53299"
    WHERE SITNAME = "UNIX_ENQ_Contention_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_ENQ_Contention_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53300"
    WHERE SITNAME = "UNIX_File_System_FreeSpace_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_File_System_FreeSpace_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53301"
    WHERE SITNAME = "UNIX_File_System_FreeSpace_Warn";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_File_System_FreeSpace_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53302"
    WHERE SITNAME = "UNIX_Logged_On_User_Idle";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_Logged_On_User_Idle";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53303"
    WHERE SITNAME = "Unwanted_UNIX_inetd_Process";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Unwanted_UNIX_inetd_Process";
                                                                        
                                                                       
/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on build km5420_d8182a_DCUT3   mjr07-08 */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4090"
    WHERE SITNAME = "INET6_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET6_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4091"
    WHERE SITNAME = "INET6_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET6_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4092"
    WHERE SITNAME = "INET_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4093"
    WHERE SITNAME = "INET_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4094"
    WHERE SITNAME = "KM5_CPU_Loop_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4095"
    WHERE SITNAME = "UNIX_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4096"
    WHERE SITNAME = "UNIX_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_Max_Sockets_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_KM5_420_DC3D_1068"
    WHERE SITNAME = "KM5_Model_Sysplex_DASD_Filter";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KM5_Model_Sysplex_DASD_Filter";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_KM5_420_DC3D_1069"
    WHERE SITNAME = "KM5_No_Sysplex_DASD_Filter_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_KM5_420_DC3D_1070"
    WHERE SITNAME = "KM5_Weak_Plex_DASD_Filter_Warn";


/*********************************************************************/
/*                                                                   */
/* Start of OMEGAMON XE for z/OS to Tivoli Enterprise                */ 
/* Console(TEC) and Netcool/OMNIbus event severity mapping.          */
/*                                                                   */
/* Setting SITINFO column with SEV= parm will map the severity.      */
/*                                                                   */
/*********************************************************************/
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Check_Missing_UNIX_Mount_Point";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_CKDS_Access_Disabled";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_CKDS_80PCT_Full";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Internal_Error";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Invalid_Master_Key";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Invalid_PKA_Master_Keys";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_No_Coprocessors";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_No_PCI_Coprocessors";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_PCI_Unavailable";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_PKA_Services_Disabled";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_PKDS_Read_Disabled";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_PKDS_Write_Disabled";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Service_Unavailable";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Excess_Process_UNIX_Run_Time";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Excess_UNIX_Kernel_CPU_Time";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Excess_UNIX_System_Time";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Excess_UNIX_User_Time";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "INET_Max_Sockets_Critical";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "INET_Max_Sockets_Warning";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "INET6_Max_Sockets_Critical";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "INET6_Max_Sockets_Warning";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "COUNT=2;TFWD=Y;TDST=0;SEV=Warning~"
WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Missing_UNIX_inetd_Process";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStruct_Status_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStruct_Status_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStructStat_FalseLock_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStructStat_FalseLock_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStructToMVS_Requests_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStructToMVS_Requests_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStructUsers_Connect_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStructUsers_Connect_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFSystems_Performance_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFSystems_Performance_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFSystemPaths_Busy_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFSystemPaths_Busy_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_GRS_RespTime_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_GRS_RespTime_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_XCFGroupMembers_Status_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_XCFGroupMembers_Status_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_XCFSystemPaths_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_XCFSystemPaths_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS_CMD_CF_Systems_Perform_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS_CMD_DASD_Device_ContIdx_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS_CMD_WLM_Performance_Idx_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Allocated_CSA_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Allocated_CSA_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Available_Frames_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Available_Frames_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_AvgCPU_Pct_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_AvgCPU_Pct_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Cache_Read_HitPct_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Cache_Read_HitPct_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Cache_Write_HitPct_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Cache_Write_HitPct_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Channel_Path_Offline_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Channel_Path_Offline_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_ChannelComplexBusy_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_ChannelComplexBusy_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Common_PageDSPctFull_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Common_PageDSPctFull_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_CSA_Growth_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_CSA_Growth_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Busy_Percent_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Busy_Percent_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Dropped_Ready_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Dropped_Ready_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Not_Responding_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Not_Responding_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Response_Time_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Response_Time_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Frames_Online_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Frames_Online_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_GlobalEnqueueReserve_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_GlobalEnqueueReserve_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_GRS_Broken_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_GRS_Broken_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_GTF_Active_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_GTF_Active_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_HSM_RecallWait_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_HSM_RecallWait_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Local_PageDS_Errors_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Local_PageDS_Errors_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Local_PageDS_PctFull_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Local_PageDS_PctFull_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_LPAR_OverheadPercent_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_LPAR_OverheadPercent_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_LPAR_Status_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_LPAR_Status_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Outstanding_WTORs_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Outstanding_WTORs_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_OLTEP_Active_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_OLTEP_Active_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Page_Rate_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Page_Rate_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_PageDSNotOperational_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_PageDSNotOperational_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Physical_CPUs_Online_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Physical_CPUs_Online_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_RMF_Not_Active_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_RMF_Not_Active_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Syslog_Not_Recording_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Syslog_Not_Recording_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_System_Page_Rate_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_System_Page_Rate_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_System_PageFaultRate_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_System_PageFaultRate_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_SMF_Not_Recording_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_SMF_Not_Recording_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Dropped_Ready_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Dropped_Ready_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical;ATOM=TAPEDRVS.VOLSER;~"
WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning;ATOM=TAPEDRVS.VOLSER;~"
WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Not_Responding_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Not_Responding_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Permanent_Error_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Permanent_Error_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Temp_Errors_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Temp_Errors_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Undispatched_Tasks_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Undispatched_Tasks_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Unowned_Common_Stor_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Unowned_Common_Stor_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Unref_Interval_Cnt_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Unref_Interval_Cnt_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_WTO_Buffers_Left_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_WTO_Buffers_Left_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Quiecsed_UNIX_File_System";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Shortage_of_UNIX_Processes_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Shortage_of_UNIX_Processes_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_DASD_Dev_ContIndx_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_DASDSys_VaryStatus_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_XCFGroups_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Sysplex_XCFSystems_Status_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_XCFSystems_Status_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Unwanted_UNIX_inetd_Process";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_ENQ_Contention_Critical";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "UNIX_ENQ_Contention_Warning";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_File_System_FreeSpace_Crit";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "UNIX_File_System_FreeSpace_Warn";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_Logged_On_User_Idle";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_Max_Sockets_Critical";
 
UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "UNIX_Max_Sockets_Warning";

/* @04 */
UPDATE O4SRV.TSITDESC
SET   SITINFO = "TFWD=Y;OV=N;TDST=0;SEV=Warning~"
WHERE SITNAME = "KM5_No_Sysplex_DASD_Filter_Warn";

/* @04 */
UPDATE O4SRV.TSITDESC
SET   SITINFO = "TFWD=Y;OV=N;TDST=0;SEV=Warning~"
WHERE SITNAME = "KM5_Weak_Plex_DASD_Filter_Warn";

/*********************************************************************/
/*                                                                   */
/*   KM5 product provided situations Updates for V420 Interim        */
/*   Feature 1 Upgrade        mjr08-09                               */
/*                                                                   */
/*********************************************************************/
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090724144626000",
   "V420",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE System_CPU_Utilization.Average_Unused_Group_MSUs *LE 
0 *AND *VALUE System_CPU_Utilization.LPAR_Group_Capacity_Limit *GT 0 ) *
OR ( *VALUE System_CPU_Utilization.Percent_LPAR_MSU_Capacity *GE 100.0 )
 )",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_LPAR_Cap_Warn",
   "Detect capping of an LPAR",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727145440000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Common_Storage_SubKey.Record_Type *EQ Summary *AND ( 
( ( *VALUE KM5_Common_Storage_SubKey.Area *EQ CSA *AND *VALUE KM5_Common
_Storage_SubKey.Free_Storage_Total *LT 1024 ) *OR ( *VALUE KM5_Common_St
orage_SubKey.Area *EQ ECSA *AND *VALUE KM5_Common_Storage_SubKey.Free_St
orage_Total *LT 4096 ) ) )",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Avail_CSA_Warning",
   "Available common storage shortage",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727150128000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE HiperDispatch_Management.System_MVS_Pct *GT 95.000",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_HDSP_MVS_Pct_Busy_Warning",
   "Overall System utilization running HiperDispatch is excessive",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727145832000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Address_Space_Storage_SubKey.Address_Space_Name *EQ D
81* *AND *VALUE KM5_Address_Space_Storage_SubKey.Record_Type *EQ Total *
AND *VALUE KM5_Address_Space_Storage_SubKey.Percent_LSQA_Allocated *GT 8
4.0",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Job_Avail_LSQA_Warning",
   "Available LSQA is below a threshold",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727145432000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Address_Space_Storage_SubKey.Address_Space_Name *EQ D
81* *AND *VALUE KM5_Address_Space_Storage_SubKey.Subpool *EQ 241 *AND *V
ALUE KM5_Address_Space_Storage_SubKey.Allocation *GT 4096 *AND *VALUE KM
5_Address_Space_Storage_SubKey.Storage_Key *EQ 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Job_Subp_Key_Use_Warning",
   "Address Space storage utilization by subpool threshold exceeded",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727144334000",
   "V420",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE System_CPU_Utilization.Average_Unused_Group_MSUs *LT 
5 *AND *VALUE System_CPU_Utilization.LPAR_Group_Capacity_Limit *GT 0 ) *
OR ( *VALUE System_CPU_Utilization.Percent_LPAR_MSU_Capacity *GT 95.0 ) 
)",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_LPAR_MSU_Warn",
   "LPAR 4-Hour Rolling Average is high",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090729161407000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Storage_Shortage_Status.Storage_Shortage_Level *EQ Wa
rning *OR *VALUE KM5_Storage_Shortage_Status.Storage_Shortage_Level *EQ
 Appl_Warning",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Storage_Shortage_Warning",
   "Critical Memory Alert",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090729161617000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Storage_Shortage_Status.Storage_Shortage_Level *EQ Cr
itical",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Storage_Shortage_Critical",
   "Critical Memory Alert",
   "NNN",
   "TFWD=Y;OV=N;TDST=0;SEV=Critical~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

/*********************************************************************/
/*                                                                   */
/*   JES SPOOL product provided situations   IBM Spec                */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

/* ** RECORD 1 ** */


$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                       

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "%IBM.STATIC007          000000000F000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1210214094636000",                                    /* LSTDATE */
   "",                                                 /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF *VALUE JES_Spool_Details.Tracks_Percent_Used *GE 80", /* PDT */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "JES_Spool_Allocated_Pct_Crit",                        /* SITNAME */
   "",                                                     /* SOURCE */
   "JES Spool Allocated %"                                   /* TEXT */
  );
  
/*********************************************************************/
/*                                                                   */
/*   UNIX System Services zFS product provided situations            */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

/* ** RECORD 1 ** */
$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                       

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "%IBM.STATIC007          000000000500000000",       /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1200225094636000",                                    /* LSTDATE */
   "",                                                 /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE KM5_zFS_User_Cache.Free_Pages *LE 5000",      /* PDT */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Free_Space_In_zFS_User_Cache",                        /* SITNAME */
   "",                                                     /* SOURCE */
   "Monitor zFS User Cache Free Pages"                       /* TEXT */
  );
    

/*                                          */
/* ** M5ASCPUTLH HISTORICAL COLLECTION ** */
/* ** ADDRESS SPACE CPU UTILIZATION HISTORY */
/* ** OA59993                               */
/*                                          */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5ASCPUTLH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5ASCPUTLH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165134000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5ASCPUTLH 
   WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5ASCPUTLH",23) 
   AND SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)' ,
   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5ASCPUTLH" ,                            /* SITNAME */
   "Address Space CPU Utilization History"                   /* TEXT */
  );
/*                                        */
/* ** M5ASCPUTLH HISTORICAL DISTRIBUTION* */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165134000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5ASCPUTLH",                              /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** M5STGCDTH HISTORICAL COLLECTION     */
/* ** COMMON STORAGE UTILIZATION HISTORY  */
/* ** OA59993                             */
/*                                        */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5STGCDTH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5STGCDTH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165241000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5STGCDTH 
   WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5STGCDTH",22) 
   AND SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)',

   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5STGCDTH" ,                             /* SITNAME */
   "Common Storage Utilization History"                      /* TEXT */
  );
/*                                        */
/* ** M5STGCDTH HISTORICAL DISTRIBUTION*  */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165241000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5STGCDTH",                               /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** M5STGFDTH HISTORICAL COLLECTION     */
/* ** REAL STORAGE UTILIZATION HISTORY    */
/* ** OA59993                             */
/*                                        */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5STGFDTH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5STGFDTH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165510000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5STGFDTH 
  WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5STGFDTH",22) 
   AND SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)',
   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5STGFDTH" ,                           /* SITNAME */
   "Real Storage Utilization History"                        /* TEXT */
  );
/*                                        */
/* ** M5STGFDTH HISTORICAL DISTRIBUTION* */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165510000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5STGFDTH",                               /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** M5STGDETH HISTORICAL COLLECTION     */
/* ** KM5_STORAGE_DETAILS_HISTORY         */
/* ** OA59993                             */
/*                                        */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5STGDETH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5STGDETH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165343000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5STGDETH 
  WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5STGDETH",22) AND 
   SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)',
   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5STGDETH" ,                             /* SITNAME */
   "Storage Details History"                                 /* TEXT */
  );
/*                                        */
/* ** M5STGDETH HISTORICAL DISTRIBUTION*  */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165343000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5STGDETH",                               /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** KM5WLMEL HISTORICAL COLLECTION      */
/* ** WLM LPAR Extended Metrics HISTORY   */
/* ** OA59993                             */
/* AS PER IBM SPEC THIS TABLE IS NOW      */
/* DEPRECATED; YSZS-1344 ENSURES DELETE   */
/* - INSERTS GONE                         */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_KM5WLMEL";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_KM5WLMEL";

/*                                         */
/* ** KM5WLMES HISTORICAL COLLECTION       */
/* ** WLM SYSPLEX Extended Metrics HISTORY */
/* ** OA60283                              */
/* AS PER IBM SPEC THIS TABLE IS NOW       */
/* DEPRECATED; YSZS-1344 ENSURES DELETE    */
/* - INSERTS GONE                          */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_KM5WLMES";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_KM5WLMES";

/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on 420 IF1 Drop 3b             mjr09-09 */
/*                                                                   */
/*********************************************************************/
  UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1364"
    WHERE SITNAME = "KM5_Avail_CSA_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1365"
    WHERE SITNAME = "KM5_HDSP_MVS_Pct_Busy_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1366"
    WHERE SITNAME = "KM5_Job_Avail_LSQA_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1367"
    WHERE SITNAME = "KM5_Job_Subp_Key_Use_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1368"
    WHERE SITNAME = "KM5_LPAR_Cap_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1369"
    WHERE SITNAME = "KM5_LPAR_MSU_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1370"
    WHERE SITNAME = "KM5_Storage_Shortage_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1371"
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";
/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on V5R1 Drop 1                 mhp07-11 */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_510_PII1_1000"
    WHERE SITNAME = "KM5_HealthChecker_Problems";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_510_PII1_1001"
    WHERE SITNAME = "KM5_High_Severity_Check";
/*********************************************************************/
/*                                                                   */
/* Update formula for CPU Loop Warn Km5 Storage Shortage Warning     */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
    SET PDT = "*IF *VALUE Address_Space_Bottlenecks.CPU_Loop_Index *GT 9
8.0"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "COUNT=3;TFWD=Y;OV=N;SEV=Warning;TDST=0;~"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
    SET LSTDATE = "1130403114618000"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
    SET LSTRELEASE = "V510"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";	

UPDATE O4SRV.TSITDESC
    SET PDT = "*IF ( ( *VALUE KM5_Storage_Shortage_Status.Storage_Shorta
ge_Level *EQ Appl_Warning *AND *VALUE KM5_Storage_Shortage_Status.Events
_Status *EQ Active_Events ) *OR ( *VALUE KM5_Storage_Shortage_Status.Sto
rage_Shortage_Level *EQ Warning *AND *VALUE KM5_Storage_Shortage_Status.
Events_Status *EQ Active_Events ) )"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";	

UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";

UPDATE O4SRV.TSITDESC
    SET LSTDATE = "1140205130614000"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";

UPDATE O4SRV.TSITDESC
    SET LSTRELEASE = "V510"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";	


/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on V5R1 zAware Drop 1 ZAW1 kjk/jpy05-13 */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1041"
    WHERE SITNAME = "KM5_zAware_Analysis_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1042"
    WHERE SITNAME = "KM5_zAware_Analysis_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1043"
    WHERE SITNAME = "KM5_zAware_Client_Status";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1044"
    WHERE SITNAME = "KM5_zAware_Server_Status";

/*********************************************************************/
/*                                                                   */
/* Update zAware & Storage Shortage Alerts  Sits       JPY 02/05/14  */
/*                                                                   */
/*********************************************************************/
	
UPDATE O4SRV.TSITDESC
    SET REEV_TIME = "000500" 
    WHERE SITNAME = "KM5_zAware_Analysis_Crit";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Critical;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Analysis_Crit";	
UPDATE O4SRV.TSITDESC
    SET REEV_TIME = "000500" 
    WHERE SITNAME = "KM5_zAware_Analysis_Warn";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Analysis_Warn";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Client_Status";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Server_Status";	
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Critical;TDST=0;~"  
    WHERE SITNAME = "KM5_Storage_Shortage_Critical";	

/*********************************************************************/
/*                                                                   */
/*   JES SPOOL product provided situations                           */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "JES_Spool_Allocated_Pct_Crit";	

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "JES_Spool_Allocated_Pct_Crit";	


/*********************************************************************/
/*                                                                   */
/*   UNIX System Services zFS product provided situations            */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Free_Space_In_zFS_User_Cache";	

/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 07-21-2020   */
/*                                                                                  */
/************************************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_203_17_22_49_1098"
    WHERE SITNAME = "Free_Space_In_zFS_User_Cache";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_203_17_22_49_1099"
    WHERE SITNAME = "JES_Spool_Allocated_Pct_Crit";

/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 09-22-2020   */
/*                            FP0006                                                */
/************************************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1356"
    WHERE SITNAME = "UADVISOR_KM5_M5ASCPUTLH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1357"
    WHERE SITNAME = "UADVISOR_KM5_M5STGCDTH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1358"
    WHERE SITNAME = "UADVISOR_KM5_M5STGDETH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1359"
    WHERE SITNAME = "UADVISOR_KM5_M5STGFDTH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_267_11_23_4_1000"
    WHERE SITNAME = "UADVISOR_KM5_KM5WLMEL";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_273_9_49_27_1016"
    WHERE SITNAME = "UADVISOR_KM5_KM5WLMEL";

/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 10-28-2020   */
/*                            FP0007                                                */
/************************************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_302_18_10_50_1166"
    WHERE SITNAME = "UADVISOR_KM5_KM5WLMEL";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_302_18_10_50_1167"
    WHERE SITNAME = "UADVISOR_KM5_KM5WLMES";
