******************************************************************
*                                                                *
* Licensed material - Property of IBM and Rocket Software        *
*                                                                *
* © Copyright Rocket Software, Inc. 2019                         *
* © Copyright IBM Corporation 2005, 2018                         *
*                                                                *
*   File created by Helper Version 07.085                        *
*                                                                *
*   Data generated for Tivoli Enterprise Portal V180 and above   *
*                                                                *
*   Input Data from asoverview.dat                               *
*                                                                *
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_Overview                  *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Overview;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Overview;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Address Space resource utilization overview;
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=ASTYPE
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=JCPUPCT
* COLUMNS=JTCBPCT
* COLUMNS=JSRBPCT
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Overview';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Address_Space_Overview';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Overview',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Address Space Overview',
  'Address Space resource utilization overview',
  'Candle',
  '1150305065317000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=ASTYPE@table1.column5.name=SVCCLASS@table1.column6.name=SVCCLASP@table1.column7.name=ASID@table1.column8.name=JESJOBID@table1.column9.name=CPUPCT@table1.column10.name=TCBPCT@table1.column11.name=SRBPCT@table1.column12.name=IFAPCT@table1.column13.name=IFACPPCT@table1.column14.name=SUPPCT@table1.column15.name=SUPCPPCT@table1.column16.name=INDECPUP@table1.column17.name=INDEIFAP@table1.column18.name=INDEIFCP@table1.column19.name=INDESUPP@table1.column20.name=INDESUCP@table1.column21.name=DEPECPUP@table1.column22.name=DEPEIFAP@table1.column23.name=DEPEIFCP@table1.column24.name=DEPESUPP@table1.column25.name=DEPESUCP@table1.column26.name=JCPUPCT@table1.column27.name=JTCBPCT@table1.column28.name=JSRBPCT@table1.column29.name=JOBSTART@table1.column30.name=JELAPTM@table1.column31.name=JPROGRESS@table1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065317000',
   '_ KCJ',
   'Address_Space_Overview',
   'Address Space Overview'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Address_Space_Overview',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Address_Space_Overview',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asoverview410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Address_Space_Overview                  *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  05/04/06 JFIED      No changes beyond "versioning" required *
* *                       for link to v410 copy of 'Address Space* 
* *                       CPU Utilization'                       *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Overview:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=Address Space Overview;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Address Space resource utilization overview (V410);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=ASTYPE
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=JCPUPCT
* COLUMNS=JTCBPCT
* COLUMNS=JSRBPCT
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:410' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Address_Space_Overview:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Overview:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'D',
  'Address Space Overview',
  'Address Space resource utilization overview (V410)',
  'Candle',
  '1150305065317000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=ASTYPE@table1.column5.name=SVCCLASS@table1.column6.name=SVCCLASP@table1.column7.name=ASID@table1.column8.name=JESJOBID@table1.column9.name=CPUPCT@table1.column10.name=TCBPCT@table1.column11.name=SRBPCT@table1.column12.name=IFAPCT@table1.column13.name=IFACPPCT@table1.column14.name=SUPPCT@table1.column15.name=SUPCPPCT@table1.column16.name=INDECPUP@table1.column17.name=INDEIFAP@table1.column18.name=INDEIFCP@table1.column19.name=INDESUPP@table1.column20.name=INDESUCP@table1.column21.name=DEPECPUP@table1.column22.name=DEPEIFAP@table1.column23.name=DEPEIFCP@table1.column24.name=DEPESUPP@table1.column25.name=DEPESUCP@table1.column26.name=JCPUPCT@table1.column27.name=JTCBPCT@table1.column28.name=JSRBPCT@table1.column29.name=JOBSTART@table1.column30.name=JELAPTM@table1.column31.name=JPROGRESS@table1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000008000000000',
   32,
   259,
   '1150305065317000',
   '_ KCJ',
   'Address_Space_Overview:410',
   'Address Space Overview'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:410',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Address_Space_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Address_Space_Overview:410',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asoverview420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Address_Space_Overview                  *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  05/04/06 JFIED      No changes beyond "versioning" required *
* *                       for link to v410 copy of 'Address Space* 
* *                       CPU Utilization'                       *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *  05/21/08 BKEALY     Add product provided situation          *
* *                       km5_CPU_Loop_Warn.  M5420BAS           *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Overview:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Overview;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Address Space resource utilization overview (V420);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=ASTYPE
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=JCPUPCT
* COLUMNS=JTCBPCT
* COLUMNS=JSRBPCT
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* PRED=ORIGINNODE = $NODE$;
* SITNAME KM5_CPU_Loop_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_CPU_Loop_Warn' AND 
 TEMPLATE = 'Address_Space_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:420' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Address_Space_Overview:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Overview:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'D',
  'Address Space Overview',
  'Address Space resource utilization overview (V420)',
  'IBM',
  '1150305065318000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=ASTYPE@table1.column5.name=SVCCLASS@table1.column6.name=SVCCLASP@table1.column7.name=ASID@table1.column8.name=JESJOBID@table1.column9.name=CPUPCT@table1.column10.name=TCBPCT@table1.column11.name=SRBPCT@table1.column12.name=IFAPCT@table1.column13.name=IFACPPCT@table1.column14.name=SUPPCT@table1.column15.name=SUPCPPCT@table1.column16.name=INDECPUP@table1.column17.name=INDEIFAP@table1.column18.name=INDEIFCP@table1.column19.name=INDESUPP@table1.column20.name=INDESUCP@table1.column21.name=DEPECPUP@table1.column22.name=DEPEIFAP@table1.column23.name=DEPEIFCP@table1.column24.name=DEPESUPP@table1.column25.name=DEPESUCP@table1.column26.name=JCPUPCT@table1.column27.name=JTCBPCT@table1.column28.name=JSRBPCT@table1.column29.name=JOBSTART@table1.column30.name=JELAPTM@table1.column31.name=JPROGRESS@table1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000G000000000',
   32,
   259,
   '1150305065318000',
   '_ KCJ',
   'Address_Space_Overview:420',
   'Address Space Overview'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:420',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Address_Space_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_CPU_Loop_Warn',
   'Warning',
   'Address_Space_Overview:420',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asoverview5100.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            5100                                    *
* *  Report:             Address_Space_Overview                  *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  05/04/06 JFIED      No changes beyond "versioning" required *
* *                       for link to v410 copy of 'Address Space* 
* *                       CPU Utilization'                       *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *  05/21/08 BKEALY     Add product provided situation          *
* *                       km5_CPU_Loop_Warn.  M5420BAS           *
* *  07/28/08 mryan      Set to READONLY                         *
* *  02/13/12 ilardiro   Add columns TCBSRBP, IFAWPHTP & IIPWPHTP*
* *                      M5510 Interim Fix 1                     *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Overview:5100;
* AFFINITY=0W000000000000000000000000000000100000yQ0a7;
* NAME=Address Space Overview;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Address Space resource utilization overview (5100);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=ASTYPE
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=JCPUPCT
* COLUMNS=JTCBPCT
* COLUMNS=JSRBPCT
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=TCBSRBP
* COLUMNS=IIPWPHTP
* COLUMNS=IFAWPHTP
* PRED=ORIGINNODE = $NODE$;
* SITNAME KM5_CPU_Loop_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Overview:5100';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_CPU_Loop_Warn' AND 
 TEMPLATE = 'Address_Space_Overview:5100';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Address_Space_Overview:5100' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Address_Space_Overview:5100';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Overview:5100',
  'KM5',
  '0W000000000000000000000000000000100000yQ0a7',
  'D',
  'Address Space Overview',
  'Address Space resource utilization overview (5100)',
  'IBM',
  '1150305065318000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=ASTYPE@table1.column5.name=SVCCLASS@table1.column6.name=SVCCLASP@table1.column7.name=ASID@table1.column8.name=JESJOBID@table1.column9.name=CPUPCT@table1.column10.name=TCBPCT@table1.column11.name=SRBPCT@table1.column12.name=IFAPCT@table1.column13.name=IFACPPCT@table1.column14.name=SUPPCT@table1.column15.name=SUPCPPCT@table1.column16.name=INDECPUP@table1.column17.name=INDEIFAP@table1.column18.name=INDEIFCP@table1.column19.name=INDESUPP@table1.column20.name=INDESUCP@table1.column21.name=DEPECPUP@table1.column22.name=DEPEIFAP@table1.column23.name=DEPEIFCP@table1.column24.name=DEPESUPP@table1.column25.name=DEPESUCP@table1.column26.name=JCPUPCT@table1.column27.name=JTCBPCT@table1.column28.name=JSRBPCT@table1.column29.name=JOBSTART@table1.column30.name=JELAPTM@table1.column31.name=JPROGRESS@table1.column32.name=TCBSRBP@table1.column33.name=IIPWPHTP@table1.column34.name=IFAWPHTP@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W000000000000000000000000000000100000yQ0a7',
   32,
   259,
   '1150305065318000',
   '_ KCJ',
   'Address_Space_Overview:5100',
   'Address Space Overview'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Address_Space_Overview:5100',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Address_Space_Overview:5100',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_CPU_Loop_Warn',
   'Warning',
   'Address_Space_Overview:5100',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asoverviewasid420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Address_Space_Overview_ASID             *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/11/08 DELLIS    New based on asoverview410.dat           *
* *                      Filter based on asid                    *    
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Overview_ASID:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Overview ASID;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space resource utilization overview for ASID (420);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=ASTYPE
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=JCPUPCT
* COLUMNS=JTCBPCT
* COLUMNS=JSRBPCT
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Overview_ASID:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Overview_ASID:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Address Space Overview ASID',
  'Address Space resource utilization overview for ASID (420)',
  'IBM',
  '1150305065319000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=ASTYPE@table1.column5.name=SVCCLASS@table1.column6.name=SVCCLASP@table1.column7.name=ASID@table1.column8.name=JESJOBID@table1.column9.name=CPUPCT@table1.column10.name=TCBPCT@table1.column11.name=SRBPCT@table1.column12.name=IFAPCT@table1.column13.name=IFACPPCT@table1.column14.name=SUPPCT@table1.column15.name=SUPCPPCT@table1.column16.name=INDECPUP@table1.column17.name=INDEIFAP@table1.column18.name=INDEIFCP@table1.column19.name=INDESUPP@table1.column20.name=INDESUCP@table1.column21.name=DEPECPUP@table1.column22.name=DEPEIFAP@table1.column23.name=DEPEIFCP@table1.column24.name=DEPESUPP@table1.column25.name=DEPESUCP@table1.column26.name=JCPUPCT@table1.column27.name=JTCBPCT@table1.column28.name=JSRBPCT@table1.column29.name=JOBSTART@table1.column30.name=JELAPTM@table1.column31.name=JPROGRESS@table1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asoverviewasid5100.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            5100                                    *
* *  Report:             Address_Space_Overview_ASID             *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/11/08 DELLIS    New based on asoverview410.dat           *
* *                      Filter based on asid                    *    
* *  07/28/08 mryan      Set to READONLY                         *
* *  02/13/12 ilardiro  Add columns TCBSRBP, IFAWPHTP & IIPWPHTP *
* *                      M5510 Interim Fix 1                     *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Overview_ASID:5100;
* AFFINITY=0W000000000000000000000000000000100000yQ0a7;
* NAME=Address Space Overview ASID;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space resource utilization overview for ASID (5100);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=ASTYPE
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=JCPUPCT
* COLUMNS=JTCBPCT
* COLUMNS=JSRBPCT
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=TCBSRBP
* COLUMNS=IIPWPHTP
* COLUMNS=IFAWPHTP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Overview_ASID:5100';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Overview_ASID:5100',
  'KM5',
  '0W000000000000000000000000000000100000yQ0a7',
  'P',
  'Address Space Overview ASID',
  'Address Space resource utilization overview for ASID (5100)',
  'IBM',
  '1150305065319000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=ASTYPE@table1.column5.name=SVCCLASS@table1.column6.name=SVCCLASP@table1.column7.name=ASID@table1.column8.name=JESJOBID@table1.column9.name=CPUPCT@table1.column10.name=TCBPCT@table1.column11.name=SRBPCT@table1.column12.name=IFAPCT@table1.column13.name=IFACPPCT@table1.column14.name=SUPPCT@table1.column15.name=SUPCPPCT@table1.column16.name=INDECPUP@table1.column17.name=INDEIFAP@table1.column18.name=INDEIFCP@table1.column19.name=INDESUPP@table1.column20.name=INDESUCP@table1.column21.name=DEPECPUP@table1.column22.name=DEPEIFAP@table1.column23.name=DEPEIFCP@table1.column24.name=DEPESUPP@table1.column25.name=DEPESUCP@table1.column26.name=JCPUPCT@table1.column27.name=JTCBPCT@table1.column28.name=JSRBPCT@table1.column29.name=JOBSTART@table1.column30.name=JELAPTM@table1.column31.name=JPROGRESS@table1.column32.name=TCBSRBP@table1.column33.name=IIPWPHTP@table1.column34.name=IFAWPHTP@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuut.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_CPU_Utilization           *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *                                                              *
* *  06/08/01 29697.1    Remove SRBTM,CPUTM,TCBTM cols from query* 
* *                      They are unnamed cols in odi            *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_CPU_Utilization;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space CPU Utilization;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for each active address space;
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_Utilization';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_Utilization',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space CPU Utilization',
  'CPU utilization measures for each active address space',
  'Candle',
  '1150305065319000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCUNKNA@table1.column33.name=ENCUNKNI@table1.column34.name=JCPUPCT@table1.column35.name=JCPUTM@table1.column36.name=JTCBPCT@table1.column37.name=JTCBTM@table1.column38.name=JSRBPCT@table1.column39.name=JSRBTM@table1.column40.name=JASSTPCT@table1.column41.name=JASSTM@table1.column42.name=JPHTMPCT@table1.column43.name=JPHTM@table1.column44.name=JOBSTART@table1.column45.name=JELAPTM@table1.column46.name=JPROGRESS@table1.column47.name=ASTYPE@table1.columnCount=47@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuut410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Address_Space_CPU_Utilization           *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned         *
* *                       for M5410                              *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *                                                              *
* *  06/08/01 29697.1    Remove SRBTM,CPUTM,TCBTM cols from query* 
* *                      They are unnamed cols in odi            *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_CPU_Utilizatn:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=Address Space CPU Utilization;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for active address spaces (V410);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* COLUMNS=IORATE
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_Utilizatn:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_Utilizatn:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'Address Space CPU Utilization',
  'CPU utilization measures for active address spaces (V410)',
  'IBM',
  '1150305065320000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCUNKNA@table1.column33.name=ENCUNKNI@table1.column34.name=JCPUPCT@table1.column35.name=JCPUTM@table1.column36.name=JTCBPCT@table1.column37.name=JTCBTM@table1.column38.name=JSRBPCT@table1.column39.name=JSRBTM@table1.column40.name=JASSTPCT@table1.column41.name=JASSTM@table1.column42.name=JPHTMPCT@table1.column43.name=JPHTM@table1.column44.name=JOBSTART@table1.column45.name=JELAPTM@table1.column46.name=JPROGRESS@table1.column47.name=ASTYPE@table1.column48.name=IORATE@table1.columnCount=48@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuut4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Address_Space_CPU_Utilization             *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned           *
* *                       for M5410                                *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support in M5410                *
* *                                                                *
* *  06/08/01 29697.1    Remove SRBTM,CPUTM,TCBTM cols from query  * 
* *                      They are unnamed cols in odi              *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_Utilizatn:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Address Space CPU Utilization;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for active address spaces (V4201);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI  
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* COLUMNS=IORATE
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_Utilizatn:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_Utilizatn:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Address Space CPU Utilization',
  'CPU utilization measures for active address spaces (V4201)',
  'IBM',
  '1150305065320000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=JCPUPCT@table1.column37.name=JCPUTM@table1.column38.name=JTCBPCT@table1.column39.name=JTCBTM@table1.column40.name=JSRBPCT@table1.column41.name=JSRBTM@table1.column42.name=JASSTPCT@table1.column43.name=JASSTM@table1.column44.name=JPHTMPCT@table1.column45.name=JPHTM@table1.column46.name=JOBSTART@table1.column47.name=JELAPTM@table1.column48.name=JPROGRESS@table1.column49.name=ASTYPE@table1.column50.name=IORATE@table1.columnCount=50@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuut5100.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5100                                      *
* *  Report:             Address_Space_CPU_Utilization             *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned           *
* *                       for M5410                                *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support in M5410                *
* *                                                                *
* *  06/08/01 29697.1    Remove SRBTM,CPUTM,TCBTM cols from query  * 
* *                      They are unnamed cols in odi              *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *  02/13/12 ilardiro   Add columns TCBSRBP, IFAWPHTP & IIPWPHTP  *
* *                      M5510 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_Utilizatn:5100;
* AFFINITY=0W000000000000000000000000000000100000yQ0a7;
* NAME=Address Space CPU Utilization;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for active address spaces (V5100);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI  
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* COLUMNS=IORATE
* COLUMNS=TCBSRBP
* COLUMNS=IIPWPHTP
* COLUMNS=IFAWPHTP
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_Utilizatn:5100';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_Utilizatn:5100',
  'KM5',
  '0W000000000000000000000000000000100000yQ0a7',
  'P',
  'Address Space CPU Utilization',
  'CPU utilization measures for active address spaces (V5100)',
  'IBM',
  '1150305065320000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=JCPUPCT@table1.column37.name=JCPUTM@table1.column38.name=JTCBPCT@table1.column39.name=JTCBTM@table1.column40.name=JSRBPCT@table1.column41.name=JSRBTM@table1.column42.name=JASSTPCT@table1.column43.name=JASSTM@table1.column44.name=JPHTMPCT@table1.column45.name=JPHTM@table1.column46.name=JOBSTART@table1.column47.name=JELAPTM@table1.column48.name=JPROGRESS@table1.column49.name=ASTYPE@table1.column50.name=IORATE@table1.column51.name=TCBSRBP@table1.column52.name=IIPWPHTP@table1.column53.name=IFAWPHTP@table1.columnCount=53@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuut5101.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5101                                     *
* *  Report:             Address_Space_CPU_Utilization             *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned           *
* *                       for M5410                                *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support in M5410                *
* *                                                                *
* *  06/08/01 29697.1    Remove SRBTM,CPUTM,TCBTM cols from query  * 
* *                      They are unnamed cols in odi              *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *  02/13/12 ilardiro   Add columns TCBSRBP, IFAWPHTP & IIPWPHTP  *
* *                      M5510 Interim Fix 1                       *
* *  02/13/14 ilardiro   Add columns CPUMVSN and CPULPARN          *
* *                      M5510 feature 209605 OA44405              *
* *  05/01/14 ilardiro   Correct Name and Desc resource ids        *
* *                      cmvc defect 210489                        *
* *                                                                *
* ******************************************************************
* *                                                                *
* * If a new version of this query is created and used for a new   *
* * workspace or workspace version update                          *
* * src\candle\km5\resources\Km5Ids.java and Km5Bundle.java with   *
* * new 'IDs' for tthe IDENT= and DESC= strings and replace the    *
* * English with these IDs before running Km5Bundle.java and       *
* * BuildPresentation.  A new AFFINITY will be needed as well.     *
* *                                                                *
* * note: KM5__510_IF2_1389, "Address_Space_CPU_Utilizatn:5101"    * 
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5__510_IF2_1389;
* AFFINITY=0W00000000000000000000000000000040000000000;
* NAME=Km5:KM5__510_IF2_1386;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Km5:KM5__510_IF2_1390;
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI  
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* COLUMNS=IORATE
* COLUMNS=TCBSRBP
* COLUMNS=IIPWPHTP
* COLUMNS=IFAWPHTP
* COLUMNS=CPUMVSN 
* COLUMNS=CPULPARN
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5__510_IF2_1389';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5__510_IF2_1389',
  'KM5',
  '0W00000000000000000000000000000040000000000',
  'P',
  'Km5:KM5__510_IF2_1386',
  'Km5:KM5__510_IF2_1390',
  'IBM',
  '1150305065321000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=JCPUPCT@table1.column37.name=JCPUTM@table1.column38.name=JTCBPCT@table1.column39.name=JTCBTM@table1.column40.name=JSRBPCT@table1.column41.name=JSRBTM@table1.column42.name=JASSTPCT@table1.column43.name=JASSTM@table1.column44.name=JPHTMPCT@table1.column45.name=JPHTM@table1.column46.name=JOBSTART@table1.column47.name=JELAPTM@table1.column48.name=JPROGRESS@table1.column49.name=ASTYPE@table1.column50.name=IORATE@table1.column51.name=TCBSRBP@table1.column52.name=IIPWPHTP@table1.column53.name=IFAWPHTP@table1.column54.name=CPUMVSN@table1.column55.name=CPULPARN@table1.columnCount=55@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpusc.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_CPU_Utilization for a     * 
* *                      specified Service Class.                *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_CPU_for_Serv_Class;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space CPU for Serv Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for Address Spaces in a Service Class;
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=TCBPCT
* COLUMNS=TCBTM
* COLUMNS=SRBPCT
* COLUMNS=SRBTM
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCCLASS = $LINKSVCL$;
* PRED=AND SVCCLASP = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_Serv_Class';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_Serv_Class',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space CPU for Serv Class',
  'CPU utilization measures for Address Spaces in a Service Class',
  'Candle',
  '1150305065321000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=CPUTM@table1.column10.name=TCBPCT@table1.column11.name=TCBTM@table1.column12.name=SRBPCT@table1.column13.name=SRBTM@table1.column14.name=IFAPCT@table1.column15.name=IFACPPCT@table1.column16.name=SUPPCT@table1.column17.name=SUPCPPCT@table1.column18.name=INDECPUP@table1.column19.name=INDEIFAP@table1.column20.name=INDEIFCP@table1.column21.name=INDESUPP@table1.column22.name=INDESUCP@table1.column23.name=DEPECPUP@table1.column24.name=DEPEIFAP@table1.column25.name=DEPEIFCP@table1.column26.name=DEPESUPP@table1.column27.name=DEPESUCP@table1.column28.name=ENCTOTAL@table1.column29.name=ENCTOTA@table1.column30.name=ENCTOTI@table1.column31.name=ENCINDA@table1.column32.name=ENCINDI@table1.column33.name=ENCDEPA@table1.column34.name=ENCDEPI@table1.column35.name=ENCUNKNA@table1.column36.name=ENCUNKNI@table1.columnCount=36@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCCLASS@filter2.operator=EQ@filter2.value=$LINKSVCL$@filter3.connector=AND@filter3.column=SVCCLASP@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpusc410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Address_Space_CPU_Utilization for a     * 
* *                      specified Service Class.                *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned         *
* *                       for M5410                              *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support in M5410              *
* *  08/04/06 RPERINI    Removed columns CPUTM,SRBTM,TCBTM       *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_CPU_for_SrvCl:410;   
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=Address Space CPU for Serv Class;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization for Address Spaces in a Service Class (V410);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=IORATE
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCCLASS = $LINKSVCL$;
* PRED=AND SVCCLASP = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_SrvCl:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_SrvCl:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'Address Space CPU for Serv Class',
  'CPU utilization for Address Spaces in a Service Class (V410)',
  'IBM',
  '1150305065322000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCUNKNA@table1.column33.name=ENCUNKNI@table1.column34.name=IORATE@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCCLASS@filter2.operator=EQ@filter2.value=$LINKSVCL$@filter3.connector=AND@filter3.column=SVCCLASP@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpusc4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Address_Space_CPU_Utilization for a       * 
* *                      specified Service Class.                  *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned           *
* *                       for M5410                                *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support in M5410                *
* *  08/04/06 RPERINI    Removed columns CPUTM,SRBTM,TCBTM         *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_for_SrvCl:4201;   
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Address Space CPU for Serv Class;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization for Address Spaces in a Service Class (V4201);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI  
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=IORATE
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCCLASS = $LINKSVCL$;
* PRED=AND SVCCLASP = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_SrvCl:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_SrvCl:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Address Space CPU for Serv Class',
  'CPU utilization for Address Spaces in a Service Class (V4201)',
  'IBM',
  '1150305065322000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=IORATE@table1.columnCount=36@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCCLASS@filter2.operator=EQ@filter2.value=$LINKSVCL$@filter3.connector=AND@filter3.column=SVCCLASP@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpusc5100.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5100                                      *
* *  Report:             Address_Space_CPU_Utilization for a       * 
* *                      specified Service Class.                  *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  05/04/06 JFIED      Added IORATE column & Versioned           *
* *                       for M5410                                *
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support in M5410                *
* *  08/04/06 RPERINI    Removed columns CPUTM,SRBTM,TCBTM         *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *  02/13/12 ilardiro   Add columns TCBSRBP, IFAWPHTP & IIPWPHTP  *
* *                      M5510 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_for_SrvCl:5100;   
* AFFINITY=0W000000000000000000000000000000100000yQ0a7;
* NAME=Address Space CPU for Serv Class;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization for Address Spaces in a Service Class (V5100);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT  
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI  
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=IORATE
* COLUMNS=TCBSRBP
* COLUMNS=IIPWPHTP
* COLUMNS=IFAWPHTP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCCLASS = $LINKSVCL$;
* PRED=AND SVCCLASP = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_SrvCl:5100';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_SrvCl:5100',
  'KM5',
  '0W000000000000000000000000000000100000yQ0a7',
  'P',
  'Address Space CPU for Serv Class',
  'CPU utilization for Address Spaces in a Service Class (V5100)',
  'IBM',
  '1150305065322000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=IORATE@table1.column37.name=TCBSRBP@table1.column38.name=IIPWPHTP@table1.column39.name=IFAWPHTP@table1.columnCount=39@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCCLASS@filter2.operator=EQ@filter2.value=$LINKSVCL$@filter3.connector=AND@filter3.column=SVCCLASP@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuas.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Address_Space_CPU_Utilization for a     * 
* *                      specified ASID                          *
* *  Table:              ASCPUUTIL                               *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,         *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP *
* *                       for zIIP support                       *
* *                                                              *
* *  08/04/06 RPERINI    Removed columns CPUTM,SRBTM,TCBTM       *
* *                                                              *
* *  04/01/08 JFIED      Added predicate for JOBNAME             * 
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_CPU_for_ASID;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space CPU for ASID;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for a specified ASID;
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND JOBNAME = $LINKJOBN$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_ASID';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_ASID',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space CPU for ASID',
  'CPU utilization measures for a specified ASID',
  'Candle',
  '1150305065323000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCUNKNA@table1.column33.name=ENCUNKNI@table1.column34.name=JCPUPCT@table1.column35.name=JCPUTM@table1.column36.name=JTCBPCT@table1.column37.name=JTCBTM@table1.column38.name=JSRBPCT@table1.column39.name=JSRBTM@table1.column40.name=JASSTPCT@table1.column41.name=JASSTM@table1.column42.name=JPHTMPCT@table1.column43.name=JPHTM@table1.column44.name=JOBSTART@table1.column45.name=JELAPTM@table1.column46.name=JPROGRESS@table1.column47.name=ASTYPE@table1.columnCount=47@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=JOBNAME@filter3.operator=EQ@filter3.value=$LINKJOBN$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuas4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Address_Space_CPU_Utilization for a       * 
* *                      specified ASID                            *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support                         *
* *                                                                *
* *  08/04/06 RPERINI    Removed columns CPUTM,SRBTM,TCBTM         *
* *                                                                *
* *  04/01/08 JFIED      Added predicate for JOBNAME               * 
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_for_ASID:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Address Space CPU for ASID;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for a specified ASID (V4201);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND JOBNAME = $LINKJOBN$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_ASID:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_ASID:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Address Space CPU for ASID',
  'CPU utilization measures for a specified ASID (V4201)',
  'Candle',
  '1150305065323000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=JCPUPCT@table1.column37.name=JCPUTM@table1.column38.name=JTCBPCT@table1.column39.name=JTCBTM@table1.column40.name=JSRBPCT@table1.column41.name=JSRBTM@table1.column42.name=JASSTPCT@table1.column43.name=JASSTM@table1.column44.name=JPHTMPCT@table1.column45.name=JPHTM@table1.column46.name=JOBSTART@table1.column47.name=JELAPTM@table1.column48.name=JPROGRESS@table1.column49.name=ASTYPE@table1.columnCount=49@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=JOBNAME@filter3.operator=EQ@filter3.value=$LINKJOBN$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascpuas5100.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5100                                      *
* *  Report:             Address_Space_CPU_Utilization for a       * 
* *                      specified ASID                            *
* *  Table:              ASCPUUTIL                                 *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUPCPPCT,           *
* *                       INDESUPP, INDESUCP, DEPESUPP, DEPESUCP   *
* *                       for zIIP support                         *
* *                                                                *
* *  08/04/06 RPERINI    Removed columns CPUTM,SRBTM,TCBTM         *
* *                                                                *
* *  04/01/08 JFIED      Added predicate for JOBNAME               * 
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns ENCWDEPA & ENCWDEPI for       *
* *                      M5420 Interim Fix 1                       *
* *  02/13/12 ILARDIRO   Add columns TCBSRBP, IFAWPHTP & IIPWPHTP  *
* *                      M5510 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_for_ASID:5100;
* AFFINITY=0W000000000000000000000000000000100000yQ0a7;
* NAME=Address Space CPU for ASID;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPU utilization measures for a specified ASID (V5100);
* TABLE=KM5.ASCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME
* COLUMNS=STEPNAME
* COLUMNS=PROCSTEP
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=ASID
* COLUMNS=JESJOBID
* COLUMNS=CPUPCT
* COLUMNS=TCBPCT
* COLUMNS=SRBPCT
* COLUMNS=IFAPCT
* COLUMNS=IFACPPCT
* COLUMNS=SUPPCT  
* COLUMNS=SUPCPPCT
* COLUMNS=INDECPUP
* COLUMNS=INDEIFAP
* COLUMNS=INDEIFCP
* COLUMNS=INDESUPP
* COLUMNS=INDESUCP
* COLUMNS=DEPECPUP
* COLUMNS=DEPEIFAP
* COLUMNS=DEPEIFCP
* COLUMNS=DEPESUPP
* COLUMNS=DEPESUCP
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA 
* COLUMNS=ENCTOTI 
* COLUMNS=ENCINDA 
* COLUMNS=ENCINDI 
* COLUMNS=ENCDEPA 
* COLUMNS=ENCDEPI 
* COLUMNS=ENCWDEPA 
* COLUMNS=ENCWDEPI 
* COLUMNS=ENCUNKNA
* COLUMNS=ENCUNKNI
* COLUMNS=JCPUPCT
* COLUMNS=JCPUTM
* COLUMNS=JTCBPCT
* COLUMNS=JTCBTM
* COLUMNS=JSRBPCT
* COLUMNS=JSRBTM
* COLUMNS=JASSTPCT
* COLUMNS=JASSTM
* COLUMNS=JPHTMPCT
* COLUMNS=JPHTM
* COLUMNS=JOBSTART
* COLUMNS=JELAPTM
* COLUMNS=JPROGRESS
* COLUMNS=ASTYPE
* COLUMNS=TCBSRBP
* COLUMNS=IIPWPHTP
* COLUMNS=IFAWPHTP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND JOBNAME = $LINKJOBN$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_for_ASID:5100';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_for_ASID:5100',
  'KM5',
  '0W000000000000000000000000000000100000yQ0a7',
  'P',
  'Address Space CPU for ASID',
  'CPU utilization measures for a specified ASID (V5100)',
  'Candle',
  '1150305065324000',
'at=$THRUNODE$@table1.name=ASCPUUTIL@table1.column1.name=JOBNAME@table1.column2.name=STEPNAME@table1.column3.name=PROCSTEP@table1.column4.name=SVCCLASS@table1.column5.name=SVCCLASP@table1.column6.name=ASID@table1.column7.name=JESJOBID@table1.column8.name=CPUPCT@table1.column9.name=TCBPCT@table1.column10.name=SRBPCT@table1.column11.name=IFAPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPPCT@table1.column14.name=SUPCPPCT@table1.column15.name=INDECPUP@table1.column16.name=INDEIFAP@table1.column17.name=INDEIFCP@table1.column18.name=INDESUPP@table1.column19.name=INDESUCP@table1.column20.name=DEPECPUP@table1.column21.name=DEPEIFAP@table1.column22.name=DEPEIFCP@table1.column23.name=DEPESUPP@table1.column24.name=DEPESUCP@table1.column25.name=ENCTOTAL@table1.column26.name=ENCTOTA@table1.column27.name=ENCTOTI@table1.column28.name=ENCINDA@table1.column29.name=ENCINDI@table1.column30.name=ENCDEPA@table1.column31.name=ENCDEPI@table1.column32.name=ENCWDEPA@table1.column33.name=ENCWDEPI@table1.column34.name=ENCUNKNA@table1.column35.name=ENCUNKNI@table1.column36.name=JCPUPCT@table1.column37.name=JCPUTM@table1.column38.name=JTCBPCT@table1.column39.name=JTCBTM@table1.column40.name=JSRBPCT@table1.column41.name=JSRBTM@table1.column42.name=JASSTPCT@table1.column43.name=JASSTM@table1.column44.name=JPHTMPCT@table1.column45.name=JPHTM@table1.column46.name=JOBSTART@table1.column47.name=JELAPTM@table1.column48.name=JPROGRESS@table1.column49.name=ASTYPE@table1.column50.name=TCBSRBP@table1.column51.name=IIPWPHTP@table1.column52.name=IFAWPHTP@table1.columnCount=52@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=JOBNAME@filter3.operator=EQ@filter3.value=$LINKJOBN$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascsunow.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310 and above                           *
* *  Report:             Address Space Common Storage - Unowned/ *
* *                       Orphaned Elements                      *
* *  Table:              ASCSEDET                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Space_ComStor_Orphaned;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Common Storage - Orphaned Elements;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Common Storage - Orphaned Elements;
* TABLE=KM5.ASCSUNOW;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=JOBNAME
* COLUMNS=ASID      
* COLUMNS=AREA   
* COLUMNS=STARTADR
* COLUMNS=ENDADR  
* COLUMNS=SIZE    
* COLUMNS=AGE     
* COLUMNS=AGEUNITS
* COLUMNS=FIXED   
* COLUMNS=SUBPOOL 
* COLUMNS=STGKEY  
* COLUMNS=RETURNAD
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_ComStor_Orphaned';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_ComStor_Orphaned',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Common Storage - Orphaned Elements',
  'Address Space Common Storage - Orphaned Elements',
  'Candle',
  '1150305065324000',
'at=$THRUNODE$@table1.name=ASCSUNOW@table1.column1.name=ORIGINNODE@table1.column2.name=JOBNAME@table1.column3.name=ASID@table1.column4.name=AREA@table1.column5.name=STARTADR@table1.column6.name=ENDADR@table1.column7.name=SIZE@table1.column8.name=AGE@table1.column9.name=AGEUNITS@table1.column10.name=FIXED@table1.column11.name=SUBPOOL@table1.column12.name=STGKEY@table1.column13.name=RETURNAD@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascsown.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310 and above                           *
* *  Report:             Address Space Common Storage - Active   *
* *                       Users                                  *
* *  Table:              ASCSOWN                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Space_ComStor_Act_Usrs;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Common Storage - Active Users;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Common Storage - Active Users;
* TABLE=KM5.ASCSOWN;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=JOBNAME
* COLUMNS=ASID
* COLUMNS=CSAORPH       
* COLUMNS=CSAUSED 
* COLUMNS=CSAPCT  
* COLUMNS=ECSAORPH   
* COLUMNS=ECSAUSED
* COLUMNS=ECSAPCT
* COLUMNS=SQAORPH    
* COLUMNS=SQAUSED 
* COLUMNS=SQAPCT 
* COLUMNS=ESQAORPH    
* COLUMNS=ESQAUSED
* COLUMNS=ESQAPCT 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_ComStor_Act_Usrs';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_ComStor_Act_Usrs',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Common Storage - Active Users',
  'Address Space Common Storage - Active Users',
  'Candle',
  '1150305065324000',
'at=$THRUNODE$@table1.name=ASCSOWN@table1.column1.name=ORIGINNODE@table1.column2.name=JOBNAME@table1.column3.name=ASID@table1.column4.name=CSAORPH@table1.column5.name=CSAUSED@table1.column6.name=CSAPCT@table1.column7.name=ECSAORPH@table1.column8.name=ECSAUSED@table1.column9.name=ECSAPCT@table1.column10.name=SQAORPH@table1.column11.name=SQAUSED@table1.column12.name=SQAPCT@table1.column13.name=ESQAORPH@table1.column14.name=ESQAUSED@table1.column15.name=ESQAPCT@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascsownd.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310 and above                           *
* *  Report:             Address Space Common Storage -          *
* *                       Allocation Details (for specified job) *
* *  Table:              ASCSOWND                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Space_ComStor_Alloc_Detl;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Common Storage - Allocation Details;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Common Storage - Allocation Details;
* TABLE=KM5.ASCSOWND;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=JOBNAME
* COLUMNS=ASID      
* COLUMNS=AREA     
* COLUMNS=STARTADR 
* COLUMNS=ENDADR   
* COLUMNS=SIZE 
* COLUMNS=AGE     
* COLUMNS=AGEUNITS
* COLUMNS=FIXED   
* COLUMNS=SUBPOOL 
* COLUMNS=STGKEY      
* COLUMNS=RETURNAD 
* PRED=ORIGINNODE = $NODE$;
* PRED=AND JOBNAME = $LINKJOBN$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_ComStor_Alloc_Detl';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_ComStor_Alloc_Detl',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Common Storage - Allocation Details',
  'Address Space Common Storage - Allocation Details',
  'Candle',
  '1150305065325000',
'at=$THRUNODE$@table1.name=ASCSOWND@table1.column1.name=ORIGINNODE@table1.column2.name=JOBNAME@table1.column3.name=ASID@table1.column4.name=AREA@table1.column5.name=STARTADR@table1.column6.name=ENDADR@table1.column7.name=SIZE@table1.column8.name=AGE@table1.column9.name=AGEUNITS@table1.column10.name=FIXED@table1.column11.name=SUBPOOL@table1.column12.name=STGKEY@table1.column13.name=RETURNAD@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=JOBNAME@filter2.operator=EQ@filter2.value=$LINKJOBN$@filter3.connector=AND@filter3.column=ASID@filter3.operator=EQ@filter3.value=$LINKASID$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascstrnd.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310 and above                           *
* *  Report:             Address Space Common Storage - Usage    *
* *                       Trend Details (for specified job)      *
* *  Table:              ASCSOWND                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Space_ComStor_Trend_Det;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Common Storage - Trend Details;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Common Storage - Trend Details;
* TABLE=KM5.ASCSTRND;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=JOBNAME
* COLUMNS=ASID      
* COLUMNS=AREA
* COLUMNS=DATE
* COLUMNS=TIME   
* COLUMNS=INUSE    
* COLUMNS=INUSEPCT 
* PRED=ORIGINNODE = $NODE$;
* PRED=AND JOBNAME = $LINKJOBN$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_ComStor_Trend_Det';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_ComStor_Trend_Det',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Common Storage - Trend Details',
  'Address Space Common Storage - Trend Details',
  'Candle',
  '1150305065325000',
'at=$THRUNODE$@table1.name=ASCSTRND@table1.column1.name=ORIGINNODE@table1.column2.name=JOBNAME@table1.column3.name=ASID@table1.column4.name=AREA@table1.column5.name=DATE@table1.column6.name=TIME@table1.column7.name=INUSE@table1.column8.name=INUSEPCT@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=JOBNAME@filter2.operator=EQ@filter2.value=$LINKJOBN$@filter3.connector=AND@filter3.column=ASID@filter3.operator=EQ@filter3.value=$LINKASID$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascsownasidjb420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420 and above                           *
* *  Report:             Address Space Common Storage - ASID     *
* *                                                              *
* *  Table:              ASCSOWN                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Space_ComStor_ASID:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Common Storage - ASID;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Common Storage - ASID (420);
* TABLE=KM5.ASCSOWN;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=JOBNAME
* COLUMNS=ASID
* COLUMNS=CSAORPH       
* COLUMNS=CSAUSED 
* COLUMNS=CSAPCT  
* COLUMNS=ECSAORPH   
* COLUMNS=ECSAUSED
* COLUMNS=ECSAPCT
* COLUMNS=SQAORPH    
* COLUMNS=SQAUSED 
* COLUMNS=SQAPCT 
* COLUMNS=ESQAORPH    
* COLUMNS=ESQAUSED
* COLUMNS=ESQAPCT 
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND JOBNAME = $LINKJOBN$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_ComStor_ASID:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_ComStor_ASID:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Address Space Common Storage - ASID',
  'Address Space Common Storage - ASID (420)',
  'IBM',
  '1150305065326000',
'at=$THRUNODE$@table1.name=ASCSOWN@table1.column1.name=ORIGINNODE@table1.column2.name=JOBNAME@table1.column3.name=ASID@table1.column4.name=CSAORPH@table1.column5.name=CSAUSED@table1.column6.name=CSAPCT@table1.column7.name=ECSAORPH@table1.column8.name=ECSAUSED@table1.column9.name=ECSAPCT@table1.column10.name=SQAORPH@table1.column11.name=SQAUSED@table1.column12.name=SQAPCT@table1.column13.name=ESQAORPH@table1.column14.name=ESQAUSED@table1.column15.name=ESQAPCT@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=JOBNAME@filter3.operator=EQ@filter3.value=$LINKJOBN$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnDet.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Detail                                 *
* *  Table:              ASGNWAIT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns ADXAAOSP, ADXWTSUWP       *
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS30_Bottlenecks_Detail;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Bottlenecks Detail;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis Detail at the address space level;
* TABLE=KM5.ASGNWAIT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID      
* COLUMNS=ASNAME    
* COLUMNS=ASSTEP    
* COLUMNS=ASPROCSTEP
* COLUMNS=ASCLSNAME 
* COLUMNS=ADXACPP   
* COLUMNS=ADXAAOIP
* COLUMNS=ADXAAOSP
* COLUMNS=ADXWTCPWP 
* COLUMNS=ADXWTIFWP
* COLUMNS=ADXWTSUWP
* COLUMNS=ASSUMAIOP 
* COLUMNS=ASSUMQIOP
* COLUMNS=ASSUMENQP
* COLUMNS=ADXDLTMPP  
* COLUMNS=ADXWTRGPP
* COLUMNS=ADXWTVIOP  
* COLUMNS=ADXWTCOMP 
* COLUMNS=ADXWTHSPP 
* COLUMNS=ADXWTPAGP 
* COLUMNS=ADXWTXMEP 
* COLUMNS=ADXWTSHRP 
* COLUMNS=ADXSVPAGP 
* COLUMNS=ADXSVSWIP 
* COLUMNS=ADXSVMPLP 
* COLUMNS=ADXJESCANP
* COLUMNS=ADXJESDELP
* COLUMNS=ADXJESJSTP
* COLUMNS=ADXJESPSOP
* COLUMNS=ADXJESTQUP
* COLUMNS=ADXHSMBKPP
* COLUMNS=ADXHSMCILP
* COLUMNS=ADXHSMDLDP
* COLUMNS=ADXHSMHLSP
* COLUMNS=ADXHSMMIGP
* COLUMNS=ADXHSMRCLP
* COLUMNS=ADXHSMRCRP
* COLUMNS=ADXHSMRCVP
* COLUMNS=ADXSWPAPSP
* COLUMNS=ADXSWPAUXP
* COLUMNS=ADXSWPCSSP
* COLUMNS=ADXSWPDETP
* COLUMNS=ADXSWPEEXP
* COLUMNS=ADXSWPEXCP
* COLUMNS=ADXSWPLONP
* COLUMNS=ADXSWPOLSP
* COLUMNS=ADXSWPRDYP
* COLUMNS=ADXSWPREQP
* COLUMNS=ADXSWPRSTP
* COLUMNS=ADXSWPSPSP
* COLUMNS=ADXSWPSWIP
* COLUMNS=ADXSWPTINP
* COLUMNS=ADXSWPTOUP
* COLUMNS=ADXSWPTSWP
* COLUMNS=ADXSWPUNIP
* COLUMNS=ADXSWPOM1P
* COLUMNS=ADXSWPOM2P
* COLUMNS=ADXSWPINRP
* COLUMNS=ADXWTECBP
* COLUMNS=ADXWTECSP
* COLUMNS=ADXWTSTIP
* COLUMNS=ADXWTLCKP
* COLUMNS=ADXCRPMUP
* COLUMNS=ADXCRPMWP
* COLUMNS=ADXCRPAUP
* COLUMNS=ADXCRPAWP
* COLUMNS=ADXWTWTOP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND ASNAME = $LINKASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS30_Bottlenecks_Detail';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS30_Bottlenecks_Detail',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Bottlenecks Detail',
  'Bottleneck Analysis Detail at the address space level',
  'Candle',
  '1150305065326000',
'at=$THRUNODE$@table1.name=ASGNWAIT@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=ASSTEP@table1.column5.name=ASPROCSTEP@table1.column6.name=ASCLSNAME@table1.column7.name=ADXACPP@table1.column8.name=ADXAAOIP@table1.column9.name=ADXAAOSP@table1.column10.name=ADXWTCPWP@table1.column11.name=ADXWTIFWP@table1.column12.name=ADXWTSUWP@table1.column13.name=ASSUMAIOP@table1.column14.name=ASSUMQIOP@table1.column15.name=ASSUMENQP@table1.column16.name=ADXDLTMPP@table1.column17.name=ADXWTRGPP@table1.column18.name=ADXWTVIOP@table1.column19.name=ADXWTCOMP@table1.column20.name=ADXWTHSPP@table1.column21.name=ADXWTPAGP@table1.column22.name=ADXWTXMEP@table1.column23.name=ADXWTSHRP@table1.column24.name=ADXSVPAGP@table1.column25.name=ADXSVSWIP@table1.column26.name=ADXSVMPLP@table1.column27.name=ADXJESCANP@table1.column28.name=ADXJESDELP@table1.column29.name=ADXJESJSTP@table1.column30.name=ADXJESPSOP@table1.column31.name=ADXJESTQUP@table1.column32.name=ADXHSMBKPP@table1.column33.name=ADXHSMCILP@table1.column34.name=ADXHSMDLDP@table1.column35.name=ADXHSMHLSP@table1.column36.name=ADXHSMMIGP@table1.column37.name=ADXHSMRCLP@table1.column38.name=ADXHSMRCRP@table1.column39.name=ADXHSMRCVP@table1.column40.name=ADXSWPAPSP@table1.column41.name=ADXSWPAUXP@table1.column42.name=ADXSWPCSSP@table1.column43.name=ADXSWPDETP@table1.column44.name=ADXSWPEEXP@table1.column45.name=ADXSWPEXCP@table1.column46.name=ADXSWPLONP@table1.column47.name=ADXSWPOLSP@table1.column48.name=ADXSWPRDYP@table1.column49.name=ADXSWPREQP@table1.column50.name=ADXSWPRSTP@table1.column51.name=ADXSWPSPSP@table1.column52.name=ADXSWPSWIP@table1.column53.name=ADXSWPTINP@table1.column54.name=ADXSWPTOUP@table1.column55.name=ADXSWPTSWP@table1.column56.name=ADXSWPUNIP@table1.column57.name=ADXSWPOM1P@table1.column58.name=ADXSWPOM2P@table1.column59.name=ADXSWPINRP@table1.column60.name=ADXWTECBP@table1.column61.name=ADXWTECSP@table1.column62.name=ADXWTSTIP@table1.column63.name=ADXWTLCKP@table1.column64.name=ADXCRPMUP@table1.column65.name=ADXCRPMWP@table1.column66.name=ADXCRPAUP@table1.column67.name=ADXCRPAWP@table1.column68.name=ADXWTWTOP@table1.columnCount=68@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=ASNAME@filter3.operator=EQ@filter3.value=$LINKASNAME$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnDet420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Detail                                 *
* *  Table:              ASGNWAIT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns ADXAAOSP, ADXWTSUWP       *
* *                       for zIIP support in M5410              *
* *  05/15/08 BKEALY     Add column ADXLPIDX for CPU Loop Index  *
* *                       M5420BAS                               *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS30_Bottlenecks_Detail:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Bottlenecks Detail;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis Detail at the address space level (420);
* TABLE=KM5.ASGNWAIT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID      
* COLUMNS=ASNAME    
* COLUMNS=ASSTEP    
* COLUMNS=ASPROCSTEP
* COLUMNS=ASCLSNAME 
* COLUMNS=ADXACPP   
* COLUMNS=ADXAAOIP
* COLUMNS=ADXAAOSP
* COLUMNS=ADXWTCPWP 
* COLUMNS=ADXWTIFWP
* COLUMNS=ADXWTSUWP
* COLUMNS=ADXLPIDX
* COLUMNS=ASSUMAIOP 
* COLUMNS=ASSUMQIOP
* COLUMNS=ASSUMENQP
* COLUMNS=ADXDLTMPP  
* COLUMNS=ADXWTRGPP
* COLUMNS=ADXWTVIOP  
* COLUMNS=ADXWTCOMP 
* COLUMNS=ADXWTHSPP 
* COLUMNS=ADXWTPAGP 
* COLUMNS=ADXWTXMEP 
* COLUMNS=ADXWTSHRP 
* COLUMNS=ADXSVPAGP 
* COLUMNS=ADXSVSWIP 
* COLUMNS=ADXSVMPLP 
* COLUMNS=ADXJESCANP
* COLUMNS=ADXJESDELP
* COLUMNS=ADXJESJSTP
* COLUMNS=ADXJESPSOP
* COLUMNS=ADXJESTQUP
* COLUMNS=ADXHSMBKPP
* COLUMNS=ADXHSMCILP
* COLUMNS=ADXHSMDLDP
* COLUMNS=ADXHSMHLSP
* COLUMNS=ADXHSMMIGP
* COLUMNS=ADXHSMRCLP
* COLUMNS=ADXHSMRCRP
* COLUMNS=ADXHSMRCVP
* COLUMNS=ADXSWPAPSP
* COLUMNS=ADXSWPAUXP
* COLUMNS=ADXSWPCSSP
* COLUMNS=ADXSWPDETP
* COLUMNS=ADXSWPEEXP
* COLUMNS=ADXSWPEXCP
* COLUMNS=ADXSWPLONP
* COLUMNS=ADXSWPOLSP
* COLUMNS=ADXSWPRDYP
* COLUMNS=ADXSWPREQP
* COLUMNS=ADXSWPRSTP
* COLUMNS=ADXSWPSPSP
* COLUMNS=ADXSWPSWIP
* COLUMNS=ADXSWPTINP
* COLUMNS=ADXSWPTOUP
* COLUMNS=ADXSWPTSWP
* COLUMNS=ADXSWPUNIP
* COLUMNS=ADXSWPOM1P
* COLUMNS=ADXSWPOM2P
* COLUMNS=ADXSWPINRP
* COLUMNS=ADXWTECBP
* COLUMNS=ADXWTECSP
* COLUMNS=ADXWTSTIP
* COLUMNS=ADXWTLCKP
* COLUMNS=ADXCRPMUP
* COLUMNS=ADXCRPMWP
* COLUMNS=ADXCRPAUP
* COLUMNS=ADXCRPAWP
* COLUMNS=ADXWTWTOP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND ASNAME = $LINKASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS30_Bottlenecks_Detail:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS30_Bottlenecks_Detail:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Address Space Bottlenecks Detail',
  'Bottleneck Analysis Detail at the address space level (420)',
  'IBM',
  '1150305065327000',
'at=$THRUNODE$@table1.name=ASGNWAIT@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=ASSTEP@table1.column5.name=ASPROCSTEP@table1.column6.name=ASCLSNAME@table1.column7.name=ADXACPP@table1.column8.name=ADXAAOIP@table1.column9.name=ADXAAOSP@table1.column10.name=ADXWTCPWP@table1.column11.name=ADXWTIFWP@table1.column12.name=ADXWTSUWP@table1.column13.name=ADXLPIDX@table1.column14.name=ASSUMAIOP@table1.column15.name=ASSUMQIOP@table1.column16.name=ASSUMENQP@table1.column17.name=ADXDLTMPP@table1.column18.name=ADXWTRGPP@table1.column19.name=ADXWTVIOP@table1.column20.name=ADXWTCOMP@table1.column21.name=ADXWTHSPP@table1.column22.name=ADXWTPAGP@table1.column23.name=ADXWTXMEP@table1.column24.name=ADXWTSHRP@table1.column25.name=ADXSVPAGP@table1.column26.name=ADXSVSWIP@table1.column27.name=ADXSVMPLP@table1.column28.name=ADXJESCANP@table1.column29.name=ADXJESDELP@table1.column30.name=ADXJESJSTP@table1.column31.name=ADXJESPSOP@table1.column32.name=ADXJESTQUP@table1.column33.name=ADXHSMBKPP@table1.column34.name=ADXHSMCILP@table1.column35.name=ADXHSMDLDP@table1.column36.name=ADXHSMHLSP@table1.column37.name=ADXHSMMIGP@table1.column38.name=ADXHSMRCLP@table1.column39.name=ADXHSMRCRP@table1.column40.name=ADXHSMRCVP@table1.column41.name=ADXSWPAPSP@table1.column42.name=ADXSWPAUXP@table1.column43.name=ADXSWPCSSP@table1.column44.name=ADXSWPDETP@table1.column45.name=ADXSWPEEXP@table1.column46.name=ADXSWPEXCP@table1.column47.name=ADXSWPLONP@table1.column48.name=ADXSWPOLSP@table1.column49.name=ADXSWPRDYP@table1.column50.name=ADXSWPREQP@table1.column51.name=ADXSWPRSTP@table1.column52.name=ADXSWPSPSP@table1.column53.name=ADXSWPSWIP@table1.column54.name=ADXSWPTINP@table1.column55.name=ADXSWPTOUP@table1.column56.name=ADXSWPTSWP@table1.column57.name=ADXSWPUNIP@table1.column58.name=ADXSWPOM1P@table1.column59.name=ADXSWPOM2P@table1.column60.name=ADXSWPINRP@table1.column61.name=ADXWTECBP@table1.column62.name=ADXWTECSP@table1.column63.name=ADXWTSTIP@table1.column64.name=ADXWTLCKP@table1.column65.name=ADXCRPMUP@table1.column66.name=ADXCRPMWP@table1.column67.name=ADXCRPAUP@table1.column68.name=ADXCRPAWP@table1.column69.name=ADXWTWTOP@table1.columnCount=69@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=ASNAME@filter3.operator=EQ@filter3.value=$LINKASNAME$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnDetX.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Multi-row inverted Detail for one ASID *
* *  Table:              ASGNWAIX                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS40_Bottlenecks_Detail_MultiRow;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Bottlenecks multiple row format;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis Detail (multi-row) for one ASID;
* TABLE=KM5.ASGNWAIX;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID
* COLUMNS=ASNAME
* COLUMNS=RESATTR
* COLUMNS=RESPCT
* COLUMNS=RESNAME
* COLUMNS=IODEVCNT
* COLUMNS=ENQUECNT
* COLUMNS=LINKVALS
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;
* PRED=AND ASNAME = $LINKASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS40_Bottlenecks_Detail_MultiRow';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS40_Bottlenecks_Detail_MultiRow',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Bottlenecks multiple row format',
  'Bottleneck Analysis Detail (multi-row) for one ASID',
  'Candle',
  '1150305065327000',
'at=$THRUNODE$@table1.name=ASGNWAIX@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=RESATTR@table1.column5.name=RESPCT@table1.column6.name=RESNAME@table1.column7.name=IODEVCNT@table1.column8.name=ENQUECNT@table1.column9.name=LINKVALS@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=ASNAME@filter3.operator=EQ@filter3.value=$LINKASNAME$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnSum.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Summary                                *
* *  Table:              ASGNWAIT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns ADXAAOSP, ADXWTSUWP       *
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS10_Bottlenecks_Summary;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Bottlenecks Summary;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis Summary at the address space level;
* TABLE=KM5.ASGNWAIT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID   
* COLUMNS=ASNAME    
* COLUMNS=ASSTEP    
* COLUMNS=ASPROCSTEP
* COLUMNS=ASTYPE     
* COLUMNS=ASCLSNAME 
* COLUMNS=PERIODNUM 
* COLUMNS=ADXACPP   
* COLUMNS=ADXAAOIP
* COLUMNS=ADXAAOSP
* COLUMNS=ADXWTCPWP
* COLUMNS=ADXWTIFWP
* COLUMNS=ADXWTSUWP
* COLUMNS=ASSUMAIOP 
* COLUMNS=ASSUMQIOP
* COLUMNS=ASSUMENQP
* COLUMNS=ADXDLTMPP
* COLUMNS=ADXWTRGPP  
* COLUMNS=ADXWTPAGSP
* COLUMNS=ADXSVSUMP 
* COLUMNS=ADXJESSUMP
* COLUMNS=ADXHSMSUMP
* COLUMNS=ADXSWPSUMP
* COLUMNS=ADXWTECBP
* COLUMNS=ADXWTECSP
* COLUMNS=ADXWTSTIP
* COLUMNS=ADXWTLCKP
* COLUMNS=ADXCRPMUP
* COLUMNS=ADXCRPMWP
* COLUMNS=ADXCRPAUP
* COLUMNS=ADXCRPAWP
* COLUMNS=ADXWTWTOP
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS10_Bottlenecks_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS10_Bottlenecks_Summary',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Bottlenecks Summary',
  'Bottleneck Analysis Summary at the address space level',
  'Candle',
  '1150305065327000',
'at=$THRUNODE$@table1.name=ASGNWAIT@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=ASSTEP@table1.column5.name=ASPROCSTEP@table1.column6.name=ASTYPE@table1.column7.name=ASCLSNAME@table1.column8.name=PERIODNUM@table1.column9.name=ADXACPP@table1.column10.name=ADXAAOIP@table1.column11.name=ADXAAOSP@table1.column12.name=ADXWTCPWP@table1.column13.name=ADXWTIFWP@table1.column14.name=ADXWTSUWP@table1.column15.name=ASSUMAIOP@table1.column16.name=ASSUMQIOP@table1.column17.name=ASSUMENQP@table1.column18.name=ADXDLTMPP@table1.column19.name=ADXWTRGPP@table1.column20.name=ADXWTPAGSP@table1.column21.name=ADXSVSUMP@table1.column22.name=ADXJESSUMP@table1.column23.name=ADXHSMSUMP@table1.column24.name=ADXSWPSUMP@table1.column25.name=ADXWTECBP@table1.column26.name=ADXWTECSP@table1.column27.name=ADXWTSTIP@table1.column28.name=ADXWTLCKP@table1.column29.name=ADXCRPMUP@table1.column30.name=ADXCRPMWP@table1.column31.name=ADXCRPAUP@table1.column32.name=ADXCRPAWP@table1.column33.name=ADXWTWTOP@table1.columnCount=33@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnSum420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Summary                                *
* *  Table:              ASGNWAIT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns ADXAAOSP, ADXWTSUWP       *
* *                       for zIIP support in M5410              *
* *  05/15/08 BKEALY     Add column ADXLPIDX for CPU Loop Index  *
* *                       M5420BAS                               *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS10_Bottlenecks_Summary:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Bottlenecks Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis Summary at the address space level (420);
* TABLE=KM5.ASGNWAIT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID   
* COLUMNS=ASNAME    
* COLUMNS=ASSTEP    
* COLUMNS=ASPROCSTEP
* COLUMNS=ASTYPE     
* COLUMNS=ASCLSNAME 
* COLUMNS=PERIODNUM 
* COLUMNS=ADXACPP   
* COLUMNS=ADXAAOIP
* COLUMNS=ADXAAOSP
* COLUMNS=ADXWTCPWP
* COLUMNS=ADXWTIFWP
* COLUMNS=ADXWTSUWP
* COLUMNS=ADXLPIDX
* COLUMNS=ASSUMAIOP 
* COLUMNS=ASSUMQIOP
* COLUMNS=ASSUMENQP
* COLUMNS=ADXDLTMPP
* COLUMNS=ADXWTRGPP  
* COLUMNS=ADXWTPAGSP
* COLUMNS=ADXSVSUMP 
* COLUMNS=ADXJESSUMP
* COLUMNS=ADXHSMSUMP
* COLUMNS=ADXSWPSUMP
* COLUMNS=ADXWTECBP
* COLUMNS=ADXWTECSP
* COLUMNS=ADXWTSTIP
* COLUMNS=ADXWTLCKP
* COLUMNS=ADXCRPMUP
* COLUMNS=ADXCRPMWP
* COLUMNS=ADXCRPAUP
* COLUMNS=ADXCRPAWP
* COLUMNS=ADXWTWTOP
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS10_Bottlenecks_Summary:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS10_Bottlenecks_Summary:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Address Space Bottlenecks Summary',
  'Bottleneck Analysis Summary at the address space level (420)',
  'IBM',
  '1150305065328000',
'at=$THRUNODE$@table1.name=ASGNWAIT@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=ASSTEP@table1.column5.name=ASPROCSTEP@table1.column6.name=ASTYPE@table1.column7.name=ASCLSNAME@table1.column8.name=PERIODNUM@table1.column9.name=ADXACPP@table1.column10.name=ADXAAOIP@table1.column11.name=ADXAAOSP@table1.column12.name=ADXWTCPWP@table1.column13.name=ADXWTIFWP@table1.column14.name=ADXWTSUWP@table1.column15.name=ADXLPIDX@table1.column16.name=ASSUMAIOP@table1.column17.name=ASSUMQIOP@table1.column18.name=ASSUMENQP@table1.column19.name=ADXDLTMPP@table1.column20.name=ADXWTRGPP@table1.column21.name=ADXWTPAGSP@table1.column22.name=ADXSVSUMP@table1.column23.name=ADXJESSUMP@table1.column24.name=ADXHSMSUMP@table1.column25.name=ADXSWPSUMP@table1.column26.name=ADXWTECBP@table1.column27.name=ADXWTECSP@table1.column28.name=ADXWTSTIP@table1.column29.name=ADXWTLCKP@table1.column30.name=ADXCRPMUP@table1.column31.name=ADXCRPMWP@table1.column32.name=ADXCRPAUP@table1.column33.name=ADXCRPAWP@table1.column34.name=ADXWTWTOP@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnSumSC.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Summary for Service Class / Period     *
* *  Table:              ASGNWAIT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns ADXAAOSP, ADXWTSUWP       *
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS20_Bottlenecks_SvCls_Period;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Bottlenecks for Service Class/Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis for Serv Class Period address spaces;
* TABLE=KM5.ASGNWAIT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID   
* COLUMNS=ASNAME    
* COLUMNS=ASSTEP    
* COLUMNS=ASPROCSTEP
* COLUMNS=ASTYPE     
* COLUMNS=ASCLSNAME 
* COLUMNS=PERIODNUM 
* COLUMNS=ADXACPP   
* COLUMNS=ADXAAOIP
* COLUMNS=ADXAAOSP
* COLUMNS=ADXWTCPWP
* COLUMNS=ADXWTIFWP
* COLUMNS=ADXWTSUWP
* COLUMNS=ASSUMAIOP 
* COLUMNS=ASSUMQIOP
* COLUMNS=ASSUMENQP
* COLUMNS=ADXDLTMPP
* COLUMNS=ADXWTRGPP  
* COLUMNS=ADXWTPAGSP
* COLUMNS=ADXSVSUMP 
* COLUMNS=ADXJESSUMP
* COLUMNS=ADXHSMSUMP
* COLUMNS=ADXSWPSUMP
* COLUMNS=ADXWTECBP
* COLUMNS=ADXWTECSP
* COLUMNS=ADXWTSTIP
* COLUMNS=ADXWTLCKP
* COLUMNS=ADXCRPMUP
* COLUMNS=ADXCRPMWP
* COLUMNS=ADXCRPAUP
* COLUMNS=ADXCRPAWP
* COLUMNS=ADXWTWTOP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASCLSNAME = $LINKSVCL$;
* PRED=AND PERIODNUM = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS20_Bottlenecks_SvCls_Period';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS20_Bottlenecks_SvCls_Period',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Bottlenecks for Service Class/Period',
  'Bottleneck Analysis for Serv Class Period address spaces',
  'Candle',
  '1150305065328000',
'at=$THRUNODE$@table1.name=ASGNWAIT@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=ASSTEP@table1.column5.name=ASPROCSTEP@table1.column6.name=ASTYPE@table1.column7.name=ASCLSNAME@table1.column8.name=PERIODNUM@table1.column9.name=ADXACPP@table1.column10.name=ADXAAOIP@table1.column11.name=ADXAAOSP@table1.column12.name=ADXWTCPWP@table1.column13.name=ADXWTIFWP@table1.column14.name=ADXWTSUWP@table1.column15.name=ASSUMAIOP@table1.column16.name=ASSUMQIOP@table1.column17.name=ASSUMENQP@table1.column18.name=ADXDLTMPP@table1.column19.name=ADXWTRGPP@table1.column20.name=ADXWTPAGSP@table1.column21.name=ADXSVSUMP@table1.column22.name=ADXJESSUMP@table1.column23.name=ADXHSMSUMP@table1.column24.name=ADXSWPSUMP@table1.column25.name=ADXWTECBP@table1.column26.name=ADXWTECSP@table1.column27.name=ADXWTSTIP@table1.column28.name=ADXWTLCKP@table1.column29.name=ADXCRPMUP@table1.column30.name=ADXCRPMWP@table1.column31.name=ADXCRPAUP@table1.column32.name=ADXCRPAWP@table1.column33.name=ADXWTWTOP@table1.columnCount=33@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASCLSNAME@filter2.operator=EQ@filter2.value=$LINKSVCL$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asbnSumSC420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Address Space Bottleneck Analysis       *
* *                       Summary for Service Class / Period     *
* *  Table:              ASGNWAIT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns ADXAAOSP, ADXWTSUWP       *
* *                       for zIIP support in M5410              *
* *  05/15/08 BKEALY     Add column ADXLPIDX for CPU Loop Index  *
* *                       M5420BAS                               *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=AS20_Bottlenecks_SvCls_Period:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Bottlenecks for Service Class/Period;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Bottleneck Analysis for Serv Class Period address spaces (420);
* TABLE=KM5.ASGNWAIT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE
* COLUMNS=ASID   
* COLUMNS=ASNAME    
* COLUMNS=ASSTEP    
* COLUMNS=ASPROCSTEP
* COLUMNS=ASTYPE     
* COLUMNS=ASCLSNAME 
* COLUMNS=PERIODNUM 
* COLUMNS=ADXACPP   
* COLUMNS=ADXAAOIP
* COLUMNS=ADXAAOSP
* COLUMNS=ADXWTCPWP
* COLUMNS=ADXWTIFWP
* COLUMNS=ADXWTSUWP
* COLUMNS=ADXLPIDX
* COLUMNS=ASSUMAIOP 
* COLUMNS=ASSUMQIOP
* COLUMNS=ASSUMENQP
* COLUMNS=ADXDLTMPP
* COLUMNS=ADXWTRGPP  
* COLUMNS=ADXWTPAGSP
* COLUMNS=ADXSVSUMP 
* COLUMNS=ADXJESSUMP
* COLUMNS=ADXHSMSUMP
* COLUMNS=ADXSWPSUMP
* COLUMNS=ADXWTECBP
* COLUMNS=ADXWTECSP
* COLUMNS=ADXWTSTIP
* COLUMNS=ADXWTLCKP
* COLUMNS=ADXCRPMUP
* COLUMNS=ADXCRPMWP
* COLUMNS=ADXCRPAUP
* COLUMNS=ADXCRPAWP
* COLUMNS=ADXWTWTOP
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASCLSNAME = $LINKSVCL$;
* PRED=AND PERIODNUM = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'AS20_Bottlenecks_SvCls_Period:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'AS20_Bottlenecks_SvCls_Period:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Address Space Bottlenecks for Service Class/Period',
  'Bottleneck Analysis for Serv Class Period address spaces (420)',
  'IBM',
  '1150305065328000',
'at=$THRUNODE$@table1.name=ASGNWAIT@table1.column1.name=ORIGINNODE@table1.column2.name=ASID@table1.column3.name=ASNAME@table1.column4.name=ASSTEP@table1.column5.name=ASPROCSTEP@table1.column6.name=ASTYPE@table1.column7.name=ASCLSNAME@table1.column8.name=PERIODNUM@table1.column9.name=ADXACPP@table1.column10.name=ADXAAOIP@table1.column11.name=ADXAAOSP@table1.column12.name=ADXWTCPWP@table1.column13.name=ADXWTIFWP@table1.column14.name=ADXWTSUWP@table1.column15.name=ADXLPIDX@table1.column16.name=ASSUMAIOP@table1.column17.name=ASSUMQIOP@table1.column18.name=ASSUMENQP@table1.column19.name=ADXDLTMPP@table1.column20.name=ADXWTRGPP@table1.column21.name=ADXWTPAGSP@table1.column22.name=ADXSVSUMP@table1.column23.name=ADXJESSUMP@table1.column24.name=ADXHSMSUMP@table1.column25.name=ADXSWPSUMP@table1.column26.name=ADXWTECBP@table1.column27.name=ADXWTECSP@table1.column28.name=ADXWTSTIP@table1.column29.name=ADXWTLCKP@table1.column30.name=ADXCRPMUP@table1.column31.name=ADXCRPMWP@table1.column32.name=ADXCRPAUP@table1.column33.name=ADXCRPAWP@table1.column34.name=ADXWTWTOP@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASCLSNAME@filter2.operator=EQ@filter2.value=$LINKSVCL$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asiaimpc.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Impact Analysis Data for a Favored      *
* *                      Address Space                           *
* *  Table:              ASIAIMPC                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added column IAM_SUP for                *
* *                       zIIP support in M5410                  *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM3_IA_Data_for_Favored_AS;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Impact Analysis Data for a Favored Address Space;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Retrieve Impact Analysis Data for a Favored Address Space;
* TABLE=KM5.ASIAIMPC;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;
* COLUMNS=IAL_TYPE;
* COLUMNS=IAL_JNAME;
* COLUMNS=IAL_ASID;
* COLUMNS=IAM_JNAME;
* COLUMNS=IAM_ASID;
* COLUMNS=IAM_SVCNAM;
* COLUMNS=IAM_PCT;
* COLUMNS=IAM_CPU;
* COLUMNS=IAM_IFA;
* COLUMNS=IAM_SUP;
* COLUMNS=IAM_ENQ;
* COLUMNS=IAM_IO;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND IAL_TYPE = "AS";
* PRED=AND IAL_ASID = $LINKASID$;
* PRED=AND IAL_JNAME = $LINKASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM3_IA_Data_for_Favored_AS';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM3_IA_Data_for_Favored_AS',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Impact Analysis Data for a Favored Address Space',
  'Retrieve Impact Analysis Data for a Favored Address Space',
  'Candle',
  '1150305065329000',
'at=$THRUNODE$@table1.name=ASIAIMPC@table1.column1.name=ORIGINNODE@table1.column2.name=IAL_TYPE@table1.column3.name=IAL_JNAME@table1.column4.name=IAL_ASID@table1.column5.name=IAM_JNAME@table1.column6.name=IAM_ASID@table1.column7.name=IAM_SVCNAM@table1.column8.name=IAM_PCT@table1.column9.name=IAM_CPU@table1.column10.name=IAM_IFA@table1.column11.name=IAM_SUP@table1.column12.name=IAM_ENQ@table1.column13.name=IAM_IO@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=IAL_TYPE@filter2.operator=EQ@filter2.value=AS@filter2.type=S@filter3.connector=AND@filter3.column=IAL_ASID@filter3.operator=EQ@filter3.value=$LINKASID$@filter4.connector=AND@filter4.column=IAL_JNAME@filter4.operator=EQ@filter4.value=$LINKASNAME$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ASINSPCT.DAT
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Inspect Address Space CPU Use           *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Inspect_Address_Space_CPU_Use;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Inspect Address Space CPU Use;
* DESC=Inspect CPU Use for selected ASID;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* HISTORY=Z;
* TABLE=KM5.ASINSPCT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE 
* COLUMNS=ASIDIN
* COLUMNS=JOBNAMEIN
* COLUMNS=SAMPIN
* COLUMNS=INTVALIN
* COLUMNS=SAMPREQ    
* COLUMNS=SAMPINTVAL 
* COLUMNS=SAMPTAKEN  
* COLUMNS=SAMPUSED   
* COLUMNS=ROW
* COLUMNS=PROGRAM       
* COLUMNS=TCBADDR    
* COLUMNS=TCBPCT
* COLUMNS=TCBEND     
* COLUMNS=LMODNAME   
* COLUMNS=LMODADDR   
* COLUMNS=LMODASIDX
* COLUMNS=LMODASIDN
* COLUMNS=LMODJN
* COLUMNS=LMODPCTJ    
* COLUMNS=LMODPCTT
* COLUMNS=CSECTNAME  
* COLUMNS=CSECTOFSET 
* COLUMNS=CSECTADDR  
* COLUMNS=CSECTPCTL
* COLUMNS=CSECTPCTT
* COLUMNS=CSECTPCTJ
* COLUMNS=GROFFSET
* COLUMNS=GRPCT
* COLUMNS=MESSAGE
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASIDIN = $LINKASID$;
* PRED=AND JOBNAMEIN = $LINKJOB$;
* PRED=AND SAMPIN = $SAMPLES$;
* PRED=AND INTVALIN = $INTERVAL$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Inspect_Address_Space_CPU_Use';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Inspect_Address_Space_CPU_Use',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Inspect Address Space CPU Use',
  'Inspect CPU Use for selected ASID',
  'IBM',
  '1150305065329000',
'at=$THRUNODE$@table1.name=ASINSPCT@table1.column1.name=ORIGINNODE@table1.column2.name=ASIDIN@table1.column3.name=JOBNAMEIN@table1.column4.name=SAMPIN@table1.column5.name=INTVALIN@table1.column6.name=SAMPREQ@table1.column7.name=SAMPINTVAL@table1.column8.name=SAMPTAKEN@table1.column9.name=SAMPUSED@table1.column10.name=ROW@table1.column11.name=PROGRAM@table1.column12.name=TCBADDR@table1.column13.name=TCBPCT@table1.column14.name=TCBEND@table1.column15.name=LMODNAME@table1.column16.name=LMODADDR@table1.column17.name=LMODASIDX@table1.column18.name=LMODASIDN@table1.column19.name=LMODJN@table1.column20.name=LMODPCTJ@table1.column21.name=LMODPCTT@table1.column22.name=CSECTNAME@table1.column23.name=CSECTOFSET@table1.column24.name=CSECTADDR@table1.column25.name=CSECTPCTL@table1.column26.name=CSECTPCTT@table1.column27.name=CSECTPCTJ@table1.column28.name=GROFFSET@table1.column29.name=GRPCT@table1.column30.name=MESSAGE@table1.columnCount=30@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASIDIN@filter2.operator=EQ@filter2.value=$LINKASID$@filter3.connector=AND@filter3.column=JOBNAMEIN@filter3.operator=EQ@filter3.value=$LINKJOB$@filter4.connector=AND@filter4.column=SAMPIN@filter4.operator=EQ@filter4.value=$SAMPLES$@filter5.connector=AND@filter5.column=INTVALIN@filter5.operator=EQ@filter5.value=$INTERVAL$@filterCount=5@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asrealst.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_Real_Storage              *
* *  Table:              ASREALSTOR                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Real_Storage_data;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Real Storage;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Real storage areas utilization measures for each Address Space;
* TABLE=KM5.ASREALSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, SWPSTAT, MGTSTAT, TOTCFRAM, TOTFFRAM;
* COLUMNS=TOTEFRAM, TOTHFRAM, NVIOSLOT, VIOSLOT, USERDSPC;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Real_Storage_data';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Real_Storage_data',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Real Storage',
  'Real storage areas utilization measures for each Address Space',
  'Candle',
  '1150305065329000',
'at=$THRUNODE$@table1.name=ASREALSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=SWPSTAT@table1.column4.name=MGTSTAT@table1.column5.name=TOTCFRAM@table1.column6.name=TOTFFRAM@table1.column7.name=TOTEFRAM@table1.column8.name=TOTHFRAM@table1.column9.name=NVIOSLOT@table1.column10.name=VIOSLOT@table1.column11.name=USERDSPC@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from assumry.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_Summary                   *
* *  Table:              ASUMRY                                  *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Summary;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Summary;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space activity counts Like number of address spaces by type;
* TABLE=KM5.ASSUMRY;
* AT=$THRUNODE$;
* COLUMNS=ASIDCNT
* COLUMNS=STCCNT
* COLUMNS=BATCHCNT
* COLUMNS=TSOCNT
* COLUMNS=APPCCNT
* COLUMNS=ENCTOTAL
* COLUMNS=ENCTOTA
* COLUMNS=ENCTOTI
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Summary',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Summary',
  'Address Space activity counts Like number of address spaces by type',
  'Candle',
  '1150305065330000',
'at=$THRUNODE$@table1.name=ASSUMRY@table1.column1.name=ASIDCNT@table1.column2.name=STCCNT@table1.column3.name=BATCHCNT@table1.column4.name=TSOCNT@table1.column5.name=APPCCNT@table1.column6.name=ENCTOTAL@table1.column7.name=ENCTOTA@table1.column8.name=ENCTOTI@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asvirtst.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_Virt_Storage              *
* *  Table:              ASVIRTSTOR                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Virtual_Storage;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Virtual Storage;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Virtual storage area utilization measures for each Address Space;
* TABLE=KM5.ASVIRTSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, STEPNAME, SWPSTAT, MGTSTAT;
* COLUMNS=LOWFIXED, LOWVIRT, EXFIXED, EXVIRT;
* COLUMNS=ABFIXED, ABVIRT, TOTFIXED, TOTVIRT, ABMAX, ABINUSE;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Virtual_Storage';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Virtual_Storage',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Virtual Storage',
  'Virtual storage area utilization measures for each Address Space',
  'Candle',
  '1150305065330000',
'at=$THRUNODE$@table1.name=ASVIRTSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=STEPNAME@table1.column5.name=SWPSTAT@table1.column6.name=MGTSTAT@table1.column7.name=LOWFIXED@table1.column8.name=LOWVIRT@table1.column9.name=EXFIXED@table1.column10.name=EXVIRT@table1.column11.name=ABFIXED@table1.column12.name=ABVIRT@table1.column13.name=TOTFIXED@table1.column14.name=TOTVIRT@table1.column15.name=ABMAX@table1.column16.name=ABINUSE@table1.columnCount=16@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asvirtstjb.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_Virt_Stor_Job             *
* *  Table:              ASVIRTSTOR                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Virtual_Stor_Job;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Virtual Stor Job;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Virtual storage area utilization measures for each Address Space;
* TABLE=KM5.ASVIRTSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, STEPNAME, SWPSTAT, MGTSTAT;
* COLUMNS=LOWFIXED, LOWVIRT, EXFIXED, EXVIRT;
* COLUMNS=ABFIXED, ABVIRT, TOTFIXED, TOTVIRT, ABMAX, ABINUSE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Virtual_Stor_Job';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Virtual_Stor_Job',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Virtual Stor Job',
  'Virtual storage area utilization measures for each Address Space',
  'Candle',
  '1150305065331000',
'at=$THRUNODE$@table1.name=ASVIRTSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=STEPNAME@table1.column5.name=SWPSTAT@table1.column6.name=MGTSTAT@table1.column7.name=LOWFIXED@table1.column8.name=LOWVIRT@table1.column9.name=EXFIXED@table1.column10.name=EXVIRT@table1.column11.name=ABFIXED@table1.column12.name=ABVIRT@table1.column13.name=TOTFIXED@table1.column14.name=TOTVIRT@table1.column15.name=ABMAX@table1.column16.name=ABINUSE@table1.columnCount=16@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$LINKASID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asstor.dat
*
*   Only Delete Statements generated
*


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Real_Storage';

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asstorasid420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Address_Space_Storage_ASID:420          *
* *  Table:              ASREALSTOR                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Real_Stor_ASID:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Address Space Real Storage for ASID;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage area utilization measures for selected Address Space (420);
* TABLE=KM5.ASREALSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, SWPSTAT, MGTSTAT, TOTCFRAM, TOTFFRAM;
* COLUMNS=TOTEFRAM, TOTHFRAM, NVIOSLOT, VIOSLOT, USERDSPC;
* COLUMNS=ASID;
* COLUMNS=STATUS, WSETSIZE, PGINSEC, PGOUTSEC, SPAGVIEWS;
* COLUMNS=DISPPRTY, HIGHUIC, CENTSHARPG, OTHRAXSLOT;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASNAME = $LINKASNAME$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Real_Stor_ASID:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Real_Stor_ASID:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Address Space Real Storage for ASID',
  'Storage area utilization measures for selected Address Space (420)',
  'IBM',
  '1150305065332000',
'at=$THRUNODE$@table1.name=ASREALSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=SWPSTAT@table1.column4.name=MGTSTAT@table1.column5.name=TOTCFRAM@table1.column6.name=TOTFFRAM@table1.column7.name=TOTEFRAM@table1.column8.name=TOTHFRAM@table1.column9.name=NVIOSLOT@table1.column10.name=VIOSLOT@table1.column11.name=USERDSPC@table1.column12.name=ASID@table1.column13.name=STATUS@table1.column14.name=WSETSIZE@table1.column15.name=PGINSEC@table1.column16.name=PGOUTSEC@table1.column17.name=SPAGVIEWS@table1.column18.name=DISPPRTY@table1.column19.name=HIGHUIC@table1.column20.name=CENTSHARPG@table1.column21.name=OTHRAXSLOT@table1.columnCount=21@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASNAME@filter2.operator=EQ@filter2.value=$LINKASNAME$@filter3.connector=AND@filter3.column=ASID@filter3.operator=EQ@filter3.value=$LINKASID$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asstorjb.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address_Space_Storage_Job               *
* *  Table:              ASREALSTOR                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Address_Space_Real_Storage_Job;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Address Space Real Storage Job;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage area utilization measures for each Address Space;
* TABLE=KM5.ASREALSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, SWPSTAT, MGTSTAT, TOTCFRAM, TOTFFRAM;
* COLUMNS=TOTEFRAM, TOTHFRAM, NVIOSLOT, VIOSLOT, USERDSPC;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASNAME = $LINKASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Real_Storage_Job';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Real_Storage_Job',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Address Space Real Storage Job',
  'Storage area utilization measures for each Address Space',
  'Candle',
  '1150305065332000',
'at=$THRUNODE$@table1.name=ASREALSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=SWPSTAT@table1.column4.name=MGTSTAT@table1.column5.name=TOTCFRAM@table1.column6.name=TOTFFRAM@table1.column7.name=TOTEFRAM@table1.column8.name=TOTHFRAM@table1.column9.name=NVIOSLOT@table1.column10.name=VIOSLOT@table1.column11.name=USERDSPC@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASNAME@filter2.operator=EQ@filter2.value=$LINKASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asstorsk4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             KM5_Address_Space_Storage_SubKey          *
* *  Table:              KM5ASSTGSK                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  02/27/09 JFIED      Created for M5420 Interim Fix 1           *
* *  12/31/09 JFIED      Add LPRIVAVAIL, EPRIVAVAIL, PRIVAVAIL     *
* *  03/01/11 JFIED      Add PRED=AND ASID = $LINKASID$;           *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Addr_Space_Stg_SubKey:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Address Space Stg Subpool Key;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Storage by Subpool Key (V4201);
* TABLE=KM5.KM5ASSTGSK; 
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, RECTYPE, PGMNAME, PGMNUM;       
* COLUMNS=SUBPOOL, STGKEY, ALLOCATION, PCTUSED, REALSTOR;  
* COLUMNS=ALLOCBLKS, ADDRLBLK, FREESTOR, FREEBLKS, LGFREEBLK;      
* COLUMNS=USAGE, LSQATOTL, LSQAALLOC, LSQAAVAIL, LSQALARGE, PCTLSQA; 
* COLUMNS=ELSQATOTL, ELSQAALLOC, ELSQAAVAIL, ELSQALARGE, PCTELSQA;  
* COLUMNS=LPRIVAVAIL, EPRIVAVAIL, PRIVAVAIL;  
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ASNAME = $LINKASNAME$;
* PRED=AND ASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_Stg_SubKey:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_Stg_SubKey:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Address Space Stg Subpool Key',
  'Address Space Storage by Subpool Key (V4201)',
  'IBM',
  '1150305065332000',
'at=$THRUNODE$@table1.name=KM5ASSTGSK@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=RECTYPE@table1.column5.name=PGMNAME@table1.column6.name=PGMNUM@table1.column7.name=SUBPOOL@table1.column8.name=STGKEY@table1.column9.name=ALLOCATION@table1.column10.name=PCTUSED@table1.column11.name=REALSTOR@table1.column12.name=ALLOCBLKS@table1.column13.name=ADDRLBLK@table1.column14.name=FREESTOR@table1.column15.name=FREEBLKS@table1.column16.name=LGFREEBLK@table1.column17.name=USAGE@table1.column18.name=LSQATOTL@table1.column19.name=LSQAALLOC@table1.column20.name=LSQAAVAIL@table1.column21.name=LSQALARGE@table1.column22.name=PCTLSQA@table1.column23.name=ELSQATOTL@table1.column24.name=ELSQAALLOC@table1.column25.name=ELSQAAVAIL@table1.column26.name=ELSQALARGE@table1.column27.name=PCTELSQA@table1.column28.name=LPRIVAVAIL@table1.column29.name=EPRIVAVAIL@table1.column30.name=PRIVAVAIL@table1.columnCount=30@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASNAME@filter2.operator=EQ@filter2.value=$LINKASNAME$@filter3.connector=AND@filter3.column=ASID@filter3.operator=EQ@filter3.value=$LINKASID$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from asstorskact4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             KM5_Addr_Space_Stg_SubKey                 *
* *  Table:              KM5ASSTGSK                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/23/09 JFIED      Created for M5420 Interim Fix 1           *
* *  09/08/09 mjr        Correct name of situation.  DR113679      *
* *  12/31/09 JFIED      Add LPRIVAVAIL, EPRIVAVAIL, PRIVAVAIL     *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Addr_Space_Stg_SubKey_Act:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000; 
* NAME=Address Space Stg Subp Key Act;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Storage by Subpool Key - Active Jobs (V4201);
* TABLE=KM5.KM5ASSTGSK;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, RECTYPE, PGMNAME, PGMNUM;       
* COLUMNS=SUBPOOL, STGKEY, ALLOCATION, PCTUSED, REALSTOR;  
* COLUMNS=ALLOCBLKS, ADDRLBLK, FREESTOR, FREEBLKS, LGFREEBLK;      
* COLUMNS=USAGE, LSQATOTL, LSQAALLOC, LSQAAVAIL, LSQALARGE, PCTLSQA; 
* COLUMNS=ELSQATOTL, ELSQAALLOC, ELSQAAVAIL, ELSQALARGE, PCTELSQA;
* COLUMNS=LPRIVAVAIL, EPRIVAVAIL, PRIVAVAIL;    
* PRED=ORIGINNODE = $NODE$;
* SITNAME KM5_Job_Avail_LSQA_Warning Warning;
* SITNAME KM5_Job_Subp_Key_Use_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Space_Stg_SubKey_Act:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_Job_Avail_LSQA_Warning' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_Job_Subp_Key_Use_Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Space_Stg_SubKey_Act:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Address Space Stg Subp Key Act',
  'Address Space Storage by Subpool Key - Active Jobs (V4201)',
  'IBM',
  '1150305065333000',
'at=$THRUNODE$@table1.name=KM5ASSTGSK@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=RECTYPE@table1.column5.name=PGMNAME@table1.column6.name=PGMNUM@table1.column7.name=SUBPOOL@table1.column8.name=STGKEY@table1.column9.name=ALLOCATION@table1.column10.name=PCTUSED@table1.column11.name=REALSTOR@table1.column12.name=ALLOCBLKS@table1.column13.name=ADDRLBLK@table1.column14.name=FREESTOR@table1.column15.name=FREEBLKS@table1.column16.name=LGFREEBLK@table1.column17.name=USAGE@table1.column18.name=LSQATOTL@table1.column19.name=LSQAALLOC@table1.column20.name=LSQAAVAIL@table1.column21.name=LSQALARGE@table1.column22.name=PCTLSQA@table1.column23.name=ELSQATOTL@table1.column24.name=ELSQAALLOC@table1.column25.name=ELSQAAVAIL@table1.column26.name=ELSQALARGE@table1.column27.name=PCTELSQA@table1.column28.name=LPRIVAVAIL@table1.column29.name=EPRIVAVAIL@table1.column30.name=PRIVAVAIL@table1.columnCount=30@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_Job_Avail_LSQA_Warning',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_Job_Subp_Key_Use_Warning',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from chnpaths.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Channel_Path_Activity                   *
* *  Table:              chnpaths                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column name(s): *
* *                       CLNAME                                 *
* *  08/04/06 RPERINI    Removed columns LPARTIME,COMPXTIME      *
* *  20/27/06 DEE        DR38379 Ren OS390_Channel_LPAR_Busy_Pct *
* *                      to OS390_Channel_LPAR_BusyPct_Crit/Warn *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Channel_Path_Activity;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Channel Path Activity;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Channel path activity measures at the system level;
* TABLE=KM5.CHNPATHS;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, RMFSTART, MODE, SAMPCNT, CPMF, PATHID, TYPE;      
* COLUMNS=SHARED, ONLINE, CONFIGURED, LPARPCT;  
* COLUMNS=COMPXPCT, DCMSTAT, CLNAME;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_ChannelComplexBusy_Crit Critical;
* SITNAME OS390_ChannelComplexBusy_Warn Warning;
* SITNAME OS390_Channel_LPAR_BusyPct_Crit Critical;
* SITNAME OS390_Channel_LPAR_BusyPct_Warn Warning;
* SITNAME OS390_Channel_Path_Offline_Crit Critical;
* SITNAME OS390_Channel_Path_Offline_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ChannelComplexBusy_Crit' AND 
 TEMPLATE = 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ChannelComplexBusy_Warn' AND 
 TEMPLATE = 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Channel_LPAR_BusyPct_Crit' AND 
 TEMPLATE = 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Channel_LPAR_BusyPct_Warn' AND 
 TEMPLATE = 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Channel_Path_Offline_Crit' AND 
 TEMPLATE = 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Channel_Path_Offline_Warn' AND 
 TEMPLATE = 'Channel_Path_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Channel_Path_Activity' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Channel_Path_Activity';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Channel_Path_Activity',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Channel Path Activity',
  'Channel path activity measures at the system level',
  'Candle',
  '1150305065333000',
'at=$THRUNODE$@table1.name=CHNPATHS@table1.column1.name=ORIGINNODE@table1.column2.name=RMFSTART@table1.column3.name=MODE@table1.column4.name=SAMPCNT@table1.column5.name=CPMF@table1.column6.name=PATHID@table1.column7.name=TYPE@table1.column8.name=SHARED@table1.column9.name=ONLINE@table1.column10.name=CONFIGURED@table1.column11.name=LPARPCT@table1.column12.name=COMPXPCT@table1.column13.name=DCMSTAT@table1.column14.name=CLNAME@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065333000',
   '_ KCJ',
   'Channel_Path_Activity',
   'Channel Path Activity'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Channel_Path_Activity',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Channel_Path_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ChannelComplexBusy_Crit',
   'Critical',
   'Channel_Path_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ChannelComplexBusy_Warn',
   'Warning',
   'Channel_Path_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Channel_LPAR_BusyPct_Crit',
   'Critical',
   'Channel_Path_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Channel_LPAR_BusyPct_Warn',
   'Warning',
   'Channel_Path_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Channel_Path_Offline_Crit',
   'Critical',
   'Channel_Path_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Channel_Path_Offline_Warn',
   'Warning',
   'Channel_Path_Activity',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from comstor.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Common_Storage                          *
* *  Table:              COMSTOR                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Common_Storage;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Common Storage;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Common storage areas utilization measures systemwide;
* TABLE=KM5.COMSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AREA, ALLOCATE, ALLOCPCT, INUSE, INUSEPCT;
* COLUMNS=TOTSIZE, UNOWNED, GROWTH, SQAOVRFL, ESQAOVRFL;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Allocated_CSA_Crit Critical;
* SITNAME OS390_Allocated_CSA_Warn Warning;
* SITNAME OS390_ECSA_Allocation_Pct_Crit Critical;
* SITNAME OS390_ECSA_Allocation_Pct_Warn Warning;
* SITNAME OS390_CSA_Growth_Crit Critical;
* SITNAME OS390_CSA_Growth_Warn Warning;
* SITNAME OS390_Unowned_Common_Stor_Crit Critical;
* SITNAME OS390_Unowned_Common_Stor_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Allocated_CSA_Crit' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Allocated_CSA_Warn' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ECSA_Allocation_Pct_Crit' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ECSA_Allocation_Pct_Warn' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_CSA_Growth_Crit' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_CSA_Growth_Warn' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unowned_Common_Stor_Crit' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unowned_Common_Stor_Warn' AND 
 TEMPLATE = 'Common_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Common_Storage';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Common_Storage',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Common Storage',
  'Common storage areas utilization measures systemwide',
  'Candle',
  '1150305065334000',
'at=$THRUNODE$@table1.name=COMSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=AREA@table1.column3.name=ALLOCATE@table1.column4.name=ALLOCPCT@table1.column5.name=INUSE@table1.column6.name=INUSEPCT@table1.column7.name=TOTSIZE@table1.column8.name=UNOWNED@table1.column9.name=GROWTH@table1.column10.name=SQAOVRFL@table1.column11.name=ESQAOVRFL@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065334000',
   '_ KCJ',
   'Common_Storage',
   'Common Storage'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Common_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Allocated_CSA_Crit',
   'Critical',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Allocated_CSA_Warn',
   'Warning',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ECSA_Allocation_Pct_Crit',
   'Critical',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ECSA_Allocation_Pct_Warn',
   'Warning',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_CSA_Growth_Crit',
   'Critical',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_CSA_Growth_Warn',
   'Warning',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unowned_Common_Stor_Crit',
   'Critical',
   'Common_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unowned_Common_Stor_Warn',
   'Warning',
   'Common_Storage',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from comstor4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Common_Storage                            *
* *  Table:              COMSTOR                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  * 
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/28/08 mryan      Set to READONLY                           *
* *  02/27/09 JFIED      Add INITSIZE column for M5420             *
* *                      Interim Fix 1                             *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Common_Storage:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Common Storage;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Common storage areas utilization measures systemwide (V4201);
* TABLE=KM5.COMSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AREA, ALLOCATE, ALLOCPCT, INUSE, INUSEPCT;
* COLUMNS=TOTSIZE, UNOWNED, GROWTH, SQAOVRFL, ESQAOVRFL;
* COLUMNS=INITSIZE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Allocated_CSA_Crit Critical;
* SITNAME OS390_Allocated_CSA_Warn Warning;
* SITNAME OS390_ECSA_Allocation_Pct_Crit Critical;
* SITNAME OS390_ECSA_Allocation_Pct_Warn Warning;
* SITNAME OS390_CSA_Growth_Crit Critical;
* SITNAME OS390_CSA_Growth_Warn Warning;
* SITNAME OS390_Unowned_Common_Stor_Crit Critical;
* SITNAME OS390_Unowned_Common_Stor_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Allocated_CSA_Crit' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Allocated_CSA_Warn' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ECSA_Allocation_Pct_Crit' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ECSA_Allocation_Pct_Warn' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_CSA_Growth_Crit' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_CSA_Growth_Warn' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unowned_Common_Stor_Crit' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unowned_Common_Stor_Warn' AND 
 TEMPLATE = 'Common_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Common_Storage:4201' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Common_Storage:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Common_Storage:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'D',
  'Common Storage',
  'Common storage areas utilization measures systemwide (V4201)',
  'IBM',
  '1150305065334000',
'at=$THRUNODE$@table1.name=COMSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=AREA@table1.column3.name=ALLOCATE@table1.column4.name=ALLOCPCT@table1.column5.name=INUSE@table1.column6.name=INUSEPCT@table1.column7.name=TOTSIZE@table1.column8.name=UNOWNED@table1.column9.name=GROWTH@table1.column10.name=SQAOVRFL@table1.column11.name=ESQAOVRFL@table1.column12.name=INITSIZE@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000W000000000',
   32,
   259,
   '1150305065334000',
   '_ KCJ',
   'Common_Storage:4201',
   'Common Storage'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Common_Storage:4201',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Common_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Allocated_CSA_Crit',
   'Critical',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Allocated_CSA_Warn',
   'Warning',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ECSA_Allocation_Pct_Crit',
   'Critical',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ECSA_Allocation_Pct_Warn',
   'Warning',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_CSA_Growth_Crit',
   'Critical',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_CSA_Growth_Warn',
   'Warning',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unowned_Common_Stor_Crit',
   'Critical',
   'Common_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unowned_Common_Stor_Warn',
   'Warning',
   'Common_Storage:4201',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from comstrsk4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             KM5_Common_Storage_SubKey                 *
* *  Table:              KM5CMSTGSK                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  02/27/09 JFIED      Created for M5420 Interim Fix 1           *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Common_Storage_SubKey:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Common Storage Subpool Key;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Common Storage by Subpool Key (V4201);
* TABLE=KM5.KM5CMSTGSK;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AREA, RECTYPE, SUBPOOL, STGKEY;    
* COLUMNS=EXTENTS, ALLOCSTG, ALOCPCTARA, STORUSED;  
* COLUMNS=STORUSEPAR, STORUSEPAL, LGFREEBLK, LGFREBKPCT;
* COLUMNS=FREESTOR, FREESTORPT, TOTSIZE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME KM5_Avail_CSA_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Common_Storage_SubKey:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_Avail_CSA_Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Common_Storage_SubKey:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Common Storage Subpool Key',
  'Common Storage by Subpool Key (V4201)',
  'IBM',
  '1150305065334000',
'at=$THRUNODE$@table1.name=KM5CMSTGSK@table1.column1.name=ORIGINNODE@table1.column2.name=AREA@table1.column3.name=RECTYPE@table1.column4.name=SUBPOOL@table1.column5.name=STGKEY@table1.column6.name=EXTENTS@table1.column7.name=ALLOCSTG@table1.column8.name=ALOCPCTARA@table1.column9.name=STORUSED@table1.column10.name=STORUSEPAR@table1.column11.name=STORUSEPAL@table1.column12.name=LGFREEBLK@table1.column13.name=LGFREBKPCT@table1.column14.name=FREESTOR@table1.column15.name=FREESTORPT@table1.column16.name=TOTSIZE@table1.columnCount=16@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_Avail_CSA_Warning',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dasdmdev.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             DASD_MVS_Devices                        *
* *  Table:              DASDMVSDEV                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IORATE, PAVCOUNT, OPENALLOC, STRGROUP,  *
* *                      LCUNUM, DEVBUSY, CUBUSY, DIRPBUSY,      *
* *                      IOSQUEUE, IOPEND, IOCONN, IODISCON,     *
* *                      and PCTRESERVE.                         *
* *  02/15/06 RPERI      Added HYPERPAV column                   *
* *  08/04/06 RPERINI    Removed columns TOTIOTIME,TOTIOCOUNT,   *
* *                      TOTBUSYTM, READHITCOUNT, TOTREAD,       *
* *                      WRITHITCNT, TOTWRITE, FASTHITCOUNT,     *
* *                      TOTFAST                                 *
* *                                                              *
* *  10/17/06 DEE        DR 37389 Ren OS390_Cache_FastWrite_HitPt*
* *                      to OS390_Cache_FastWriteHitPt_Crit/Warn *
* *  07/28/08 mryan      Set to READONLY                         *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=DASD_MVS_Devices;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=DASD MVS Devices;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Device activity measures for each DASD device.;
* TABLE=KM5.DASDMVSDEV;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ADDRESS, VOLSER, STRGROUP, RESPTIME;
* COLUMNS=IORATE, CACHSTAT, PCTRESERVE, PAVCOUNT, OPENALLOC;
* COLUMNS=DEVBUSY, CUBUSY, DIRPBUSY, LCUNUM, MODEL, IOSQUEUE;
* COLUMNS=IOPEND, IOCONN, IODISCON;
* COLUMNS=PCTBUSY, READHIT;
* COLUMNS=WRITEHIT, FASTHIT HYPERPAV;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Cache_Read_HitPct_Crit Critical;
* SITNAME OS390_Cache_Read_HitPct_Warn Warning;
* SITNAME OS390_Cache_Write_HitPct_Crit Critical;
* SITNAME OS390_Cache_Write_HitPct_Warn Warning;
* SITNAME OS390_Cache_FastWriteHitPt_Crit Critical;
* SITNAME OS390_Cache_FastWriteHitPt_Warn Warning;
* SITNAME OS390_DASD_Busy_Percent_Crit Critical;
* SITNAME OS390_DASD_Busy_Percent_Warn Warning;
* SITNAME OS390_DASD_Response_Time_Crit Critical;
* SITNAME OS390_DASD_Response_Time_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Cache_Read_HitPct_Crit' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Cache_Read_HitPct_Warn' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Cache_Write_HitPct_Crit' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Cache_Write_HitPct_Warn' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Cache_FastWriteHitPt_Crit' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Cache_FastWriteHitPt_Warn' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Busy_Percent_Crit' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Busy_Percent_Warn' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Response_Time_Crit' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Response_Time_Warn' AND 
 TEMPLATE = 'DASD_MVS_Devices';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS_Devices' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'DASD_MVS_Devices';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'DASD_MVS_Devices',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'DASD MVS Devices',
  'Device activity measures for each DASD device.',
  'Candle',
  '1150305065335000',
'at=$THRUNODE$@table1.name=DASDMVSDEV@table1.column1.name=ORIGINNODE@table1.column2.name=ADDRESS@table1.column3.name=VOLSER@table1.column4.name=STRGROUP@table1.column5.name=RESPTIME@table1.column6.name=IORATE@table1.column7.name=CACHSTAT@table1.column8.name=PCTRESERVE@table1.column9.name=PAVCOUNT@table1.column10.name=OPENALLOC@table1.column11.name=DEVBUSY@table1.column12.name=CUBUSY@table1.column13.name=DIRPBUSY@table1.column14.name=LCUNUM@table1.column15.name=MODEL@table1.column16.name=IOSQUEUE@table1.column17.name=IOPEND@table1.column18.name=IOCONN@table1.column19.name=IODISCON@table1.column20.name=PCTBUSY@table1.column21.name=READHIT@table1.column22.name=WRITEHIT@table1.column23.name=FASTHIT@table1.column24.name=HYPERPAV@table1.columnCount=24@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065335000',
   '_ KCJ',
   'DASD_MVS_Devices',
   'DASD MVS Devices'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS_Devices',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'DASD_MVS_Devices',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Cache_Read_HitPct_Crit',
   'Critical',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Cache_Read_HitPct_Warn',
   'Warning',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Cache_Write_HitPct_Crit',
   'Critical',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Cache_Write_HitPct_Warn',
   'Warning',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Cache_FastWriteHitPt_Crit',
   'Critical',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Cache_FastWriteHitPt_Warn',
   'Warning',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Busy_Percent_Crit',
   'Critical',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Busy_Percent_Warn',
   'Warning',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Response_Time_Crit',
   'Critical',
   'DASD_MVS_Devices',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Response_Time_Warn',
   'Warning',
   'DASD_MVS_Devices',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dasdmdev1.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             DASD_MVS_Devices report for one volser  *
* *  Table:              DASDMVSDEV                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IORATE, PAVCOUNT, OPENALLOC, STRGROUP,  *
* *                      LCUNUM, DEVBUSY, CUBUSY, DIRPBUSY,      *
* *                      IOSQUEUE, IOPEND, IOCONN, IODISCON,     *
* *                      and PCTRESERVE.                         *
* *  02/15/06 RPERINI    Added HYPERPAV column                   *
* *  08/04/06 RPERINI    Removed columns TOTIOTIME,TOTIOCOUNT,   *
* *                      TOTBUSYTM, READHITCOUNT, TOTREAD,       *
* *                      WRITHITCNT, TOTWRITE, FASTHITCOUNT,     *
* *                      TOTFAST                                 *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=DASD_MVS_Devices_1Volser;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=DASD MVS Devices report for one volser;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Device activity measures for one volser;
* TABLE=KM5.DASDMVSDEV;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ADDRESS, VOLSER, STRGROUP, RESPTIME;
* COLUMNS=IORATE, CACHSTAT, PCTRESERVE, PAVCOUNT, OPENALLOC;
* COLUMNS=DEVBUSY, CUBUSY, DIRPBUSY, LCUNUM, MODEL, IOSQUEUE;
* COLUMNS=IOPEND, IOCONN, IODISCON;
* COLUMNS=PCTBUSY, READHIT;
* COLUMNS=WRITEHIT, FASTHIT, HYPERPAV;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND VOLSER = $LINKVOLS$;


DELETE FROM KFWQUERY   WHERE ID       =
 'DASD_MVS_Devices_1Volser';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'DASD_MVS_Devices_1Volser',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'DASD MVS Devices report for one volser',
  'Device activity measures for one volser',
  'Candle',
  '1150305065335000',
'at=$THRUNODE$@table1.name=DASDMVSDEV@table1.column1.name=ORIGINNODE@table1.column2.name=ADDRESS@table1.column3.name=VOLSER@table1.column4.name=STRGROUP@table1.column5.name=RESPTIME@table1.column6.name=IORATE@table1.column7.name=CACHSTAT@table1.column8.name=PCTRESERVE@table1.column9.name=PAVCOUNT@table1.column10.name=OPENALLOC@table1.column11.name=DEVBUSY@table1.column12.name=CUBUSY@table1.column13.name=DIRPBUSY@table1.column14.name=LCUNUM@table1.column15.name=MODEL@table1.column16.name=IOSQUEUE@table1.column17.name=IOPEND@table1.column18.name=IOCONN@table1.column19.name=IODISCON@table1.column20.name=PCTBUSY@table1.column21.name=READHIT@table1.column22.name=WRITEHIT@table1.column23.name=FASTHIT@table1.column24.name=HYPERPAV@table1.columnCount=24@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=VOLSER@filter2.operator=EQ@filter2.value=$LINKVOLS$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dasdmvs.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             DASD_MVS                                *
* *  Table:              DASD_MVS                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *     
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=DASD_MVS;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=DASD MVS;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=DASD activity overview for this MVS image.;
* TABLE=KM5.DASD_MVS;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, DROPRDY, NOTRESP, NDPRECON, IDXVTOC, CACHDEACT;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_DASD_Dropped_Ready_Crit Critical;
* SITNAME OS390_DASD_Dropped_Ready_Warn Warning;
* SITNAME OS390_DASD_Not_Responding_Crit Critical;
* SITNAME OS390_DASD_Not_Responding_Warn Warning;
* SITNAME OS390_Indexed_VTOC_Lost_Crit Critical;
* SITNAME OS390_Indexed_VTOC_Lost_Warn Warning;
* SITNAME OS390_DASD_NoDynamicReconn_Crit Critical;
* SITNAME OS390_DASD_NoDynamicReconn_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Dropped_Ready_Crit' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Dropped_Ready_Warn' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Not_Responding_Crit' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_Not_Responding_Warn' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Indexed_VTOC_Lost_Crit' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Indexed_VTOC_Lost_Warn' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_NoDynamicReconn_Crit' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_DASD_NoDynamicReconn_Warn' AND 
 TEMPLATE = 'DASD_MVS';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'DASD_MVS' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'DASD_MVS';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'DASD_MVS',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'DASD MVS',
  'DASD activity overview for this MVS image.',
  'Candle',
  '1150305065336000',
'at=$THRUNODE$@table1.name=DASD_MVS@table1.column1.name=ORIGINNODE@table1.column2.name=DROPRDY@table1.column3.name=NOTRESP@table1.column4.name=NDPRECON@table1.column5.name=IDXVTOC@table1.column6.name=CACHDEACT@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065336000',
   '_ KCJ',
   'DASD_MVS',
   'DASD MVS'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'DASD_MVS',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'DASD_MVS',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Dropped_Ready_Crit',
   'Critical',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Dropped_Ready_Warn',
   'Warning',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Not_Responding_Crit',
   'Critical',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_Not_Responding_Warn',
   'Warning',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Indexed_VTOC_Lost_Crit',
   'Critical',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Indexed_VTOC_Lost_Warn',
   'Warning',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_NoDynamicReconn_Crit',
   'Critical',
   'DASD_MVS',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_DASD_NoDynamicReconn_Warn',
   'Warning',
   'DASD_MVS',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from encasid.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enclave Information for a specified ASID*
* *  Table:              ENCTABLE                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,    * 
* *                       SUCTM for zIIP support in M5410        *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enclave_Information_for_ASID;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enclave Information for ASID;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enclave Information for a specified ASID;
* TABLE=KM5.ENCTABLE;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* PRED=ORIGINNODE = $NODE$;
* PRED=AND OASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Information_for_ASID';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Information_for_ASID',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Enclave Information for ASID',
  'Enclave Information for a specified ASID',
  'Candle',
  '1150305065336000',
'at=$THRUNODE$@table1.name=ENCTABLE@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.columnCount=24@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=OASID@filter2.operator=EQ@filter2.value=$LINKASID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from encasid4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Enclave Information for a specified ASID  *
* *  Table:              ENCTABLE                                  *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,      * 
* *                       SUCTM for zIIP support in M5410          *
* *  07/28/08 mryan      Set to READONLY                           *
* *  08/05/09 JFIED      Add columns INDETOKEN, NUMWRKNCLV for     *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0 
* IDENT=Enclave_Information_for_ASID:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Enclave Information for ASID;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enclave Information for a specified ASID (V4201);
* TABLE=KM5.ENCTABLE;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* COLUMNS=INDETOKEN 
* COLUMNS=NUMWRKNCLV
* PRED=ORIGINNODE = $NODE$;
* PRED=AND OASID = $LINKASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Information_for_ASID:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Information_for_ASID:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Enclave Information for ASID',
  'Enclave Information for a specified ASID (V4201)',
  'IBM',
  '1150305065337000',
'at=$THRUNODE$@table1.name=ENCTABLE@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.column25.name=INDETOKEN@table1.column26.name=NUMWRKNCLV@table1.columnCount=26@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=OASID@filter2.operator=EQ@filter2.value=$LINKASID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from encsvcpr.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enclave Information for a specified     * 
* *                      Service Class and Period.               *
* *  Table:              ENCTABLE                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,    * 
* *                       SUCTM for zIIP support in M5410        *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enclave_Info_for_Serv_Class_Pr;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enclave Info for Serv Class Pr;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enclave Information for a specified Service Class and Period;
* TABLE=KM5.ENCTABLE;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCCLASS = $LINKCLS$;
* PRED=AND SVCCLASP = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Info_for_Serv_Class_Pr';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Info_for_Serv_Class_Pr',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Enclave Info for Serv Class Pr',
  'Enclave Information for a specified Service Class and Period',
  'Candle',
  '1150305065337000',
'at=$THRUNODE$@table1.name=ENCTABLE@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.columnCount=24@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCCLASS@filter2.operator=EQ@filter2.value=$LINKCLS$@filter3.connector=AND@filter3.column=SVCCLASP@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from encsvcpr4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Enclave Information for a specified       * 
* *                      Service Class and Period.                 *
* *  Table:              ENCTABLE                                  *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,      * 
* *                       SUCTM for zIIP support in M5410          *
* *  07/28/08 mryan      Set to READONLY                           *
* *  08/05/09 JFIED      Add columns INDETOKEN, NUMWRKNCLV for     *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Enclave_Info_for_Serv_Class_Pr:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Enclave Info for Serv Class Pr;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enclave Info for a specified Service Class and Period (V4201);
* TABLE=KM5.ENCTABLE;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* COLUMNS=INDETOKEN 
* COLUMNS=NUMWRKNCLV
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCCLASS = $LINKCLS$;
* PRED=AND SVCCLASP = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Info_for_Serv_Class_Pr:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Info_for_Serv_Class_Pr:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Enclave Info for Serv Class Pr',
  'Enclave Info for a specified Service Class and Period (V4201)',
  'IBM',
  '1150305065337000',
'at=$THRUNODE$@table1.name=ENCTABLE@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.column25.name=INDETOKEN@table1.column26.name=NUMWRKNCLV@table1.columnCount=26@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCCLASS@filter2.operator=EQ@filter2.value=$LINKCLS$@filter3.connector=AND@filter3.column=SVCCLASP@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enctable.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enclave Information                     *
* *  Table:              ENCTABLE                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,    * 
* *                       SUCTM for zIIP support in M5410        *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enclave_Information;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enclave Information;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Enclave Information;
* TABLE=KM5.ENCTABLE;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Information';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Enclave_Information';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Information',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Enclave Information',
  'Enclave Information',
  'Candle',
  '1150305065338000',
'at=$THRUNODE$@table1.name=ENCTABLE@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.columnCount=24@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065338000',
   '_ KCJ',
   'Enclave_Information',
   'Enclave Information'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Enclave_Information',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Enclave_Information',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enctable4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Enclave Information                       *
* *  Table:              ENCTABLE                                  *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,      * 
* *                       SUCTM for zIIP support in M5410          *
* *  07/28/08 mryan      Set to READONLY                           *
* *  08/05/09 JFIED      Add columns INDETOKEN, NUMWRKNCLV for     *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0              
* IDENT=Enclave_Information:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Enclave Information;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Enclave Information (V4201);
* TABLE=KM5.ENCTABLE;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* COLUMNS=INDETOKEN 
* COLUMNS=NUMWRKNCLV
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Information:4201';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enclave_Information:4201' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Enclave_Information:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Information:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'D',
  'Enclave Information',
  'Enclave Information (V4201)',
  'IBM',
  '1150305065338000',
'at=$THRUNODE$@table1.name=ENCTABLE@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.column25.name=INDETOKEN@table1.column26.name=NUMWRKNCLV@table1.columnCount=26@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000W000000000',
   32,
   259,
   '1150305065338000',
   '_ KCJ',
   'Enclave_Information:4201',
   'Enclave Information'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enclave_Information:4201',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Enclave_Information:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Enclave_Information:4201',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from encdetail.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enclave Details                         *
* *  Table:              ENCDETL                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,    * 
* *                       SUCTM for zIIP support in M5410        *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enclave_Details;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enclave Details;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enclave Details;
* TABLE=KM5.ENCDETL;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* COLUMNS=ECDTRXN
* COLUMNS=ECDUSER
* COLUMNS=ECDTRXC
* COLUMNS=ECDNET
* COLUMNS=ECDLU
* COLUMNS=ECDPLAN
* COLUMNS=ECDPCKG
* COLUMNS=ECDCNCTN
* COLUMNS=ECDCOLL
* COLUMNS=ECDCORR
* COLUMNS=ECDSUBT
* COLUMNS=ECDFCN
* COLUMNS=ECDSUBN
* COLUMNS=ECDSSPM
* COLUMNS=ECDACCT
* COLUMNS=ECDPROCN
* COLUMNS=ECDPERFM
* COLUMNS=ECDSSPRI
* COLUMNS=ECDPRCES
* COLUMNS=ECDSCHED
* COLUMNS=ECDSSCOL
* PRED=ORIGINNODE = $NODE$;
* PRED=AND OASID = $OASID$;
* PRED=AND TOKEN = $TOKEN$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Details',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Enclave Details',
  'Enclave Details',
  'IBM',
  '1150305065338000',
'at=$THRUNODE$@table1.name=ENCDETL@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.column25.name=ECDTRXN@table1.column26.name=ECDUSER@table1.column27.name=ECDTRXC@table1.column28.name=ECDNET@table1.column29.name=ECDLU@table1.column30.name=ECDPLAN@table1.column31.name=ECDPCKG@table1.column32.name=ECDCNCTN@table1.column33.name=ECDCOLL@table1.column34.name=ECDCORR@table1.column35.name=ECDSUBT@table1.column36.name=ECDFCN@table1.column37.name=ECDSUBN@table1.column38.name=ECDSSPM@table1.column39.name=ECDACCT@table1.column40.name=ECDPROCN@table1.column41.name=ECDPERFM@table1.column42.name=ECDSSPRI@table1.column43.name=ECDPRCES@table1.column44.name=ECDSCHED@table1.column45.name=ECDSSCOL@table1.columnCount=45@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=OASID@filter2.operator=EQ@filter2.value=$OASID$@filter3.connector=AND@filter3.column=TOKEN@filter3.operator=EQ@filter3.value=$TOKEN$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from encdetail4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Enclave Details                           *
* *  Table:              ENCDETL                                   *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns SUPPCT, SUCPCT, SUPTM,      * 
* *                       SUCTM for zIIP support in M5410          *
* *  07/28/08 mryan      Set to READONLY                           *
* *  08/05/09 JFIED      Add columns INDETOKEN, NUMWRKNCLV for     *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0 
* IDENT=Enclave_Details:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Enclave Details;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enclave Details (V4201);
* TABLE=KM5.ENCDETL;
* AT=$THRUNODE$;
* COLUMNS=TOKEN
* COLUMNS=OSYSTEM
* COLUMNS=OJOBNAME
* COLUMNS=OJESJBID
* COLUMNS=OASID
* COLUMNS=SUBTYPE
* COLUMNS=TYPE
* COLUMNS=STATUS
* COLUMNS=EXPTOKEN
* COLUMNS=SVCCLASS
* COLUMNS=SVCCLASP
* COLUMNS=RPTCLASS
* COLUMNS=RESGROUP
* COLUMNS=WORKLOAD
* COLUMNS=CPUPCT
* COLUMNS=CPUTM
* COLUMNS=IFAPCT
* COLUMNS=IFATM
* COLUMNS=IFCPCT
* COLUMNS=IFCTM
* COLUMNS=SUPPCT
* COLUMNS=SUCPCT
* COLUMNS=SUPTM 
* COLUMNS=SUCTM
* COLUMNS=ECDTRXN
* COLUMNS=ECDUSER
* COLUMNS=ECDTRXC
* COLUMNS=ECDNET
* COLUMNS=ECDLU
* COLUMNS=ECDPLAN
* COLUMNS=ECDPCKG
* COLUMNS=ECDCNCTN
* COLUMNS=ECDCOLL
* COLUMNS=ECDCORR
* COLUMNS=ECDSUBT
* COLUMNS=ECDFCN
* COLUMNS=ECDSUBN
* COLUMNS=ECDSSPM
* COLUMNS=ECDACCT
* COLUMNS=ECDPROCN
* COLUMNS=ECDPERFM
* COLUMNS=ECDSSPRI
* COLUMNS=ECDPRCES
* COLUMNS=ECDSCHED
* COLUMNS=ECDSSCOL
* COLUMNS=INDETOKEN 
* COLUMNS=NUMWRKNCLV
* PRED=ORIGINNODE = $NODE$;
* PRED=AND OASID = $OASID$;
* PRED=AND TOKEN = $TOKEN$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enclave_Details:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enclave_Details:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Enclave Details',
  'Enclave Details (V4201)',
  'IBM',
  '1150305065339000',
'at=$THRUNODE$@table1.name=ENCDETL@table1.column1.name=TOKEN@table1.column2.name=OSYSTEM@table1.column3.name=OJOBNAME@table1.column4.name=OJESJBID@table1.column5.name=OASID@table1.column6.name=SUBTYPE@table1.column7.name=TYPE@table1.column8.name=STATUS@table1.column9.name=EXPTOKEN@table1.column10.name=SVCCLASS@table1.column11.name=SVCCLASP@table1.column12.name=RPTCLASS@table1.column13.name=RESGROUP@table1.column14.name=WORKLOAD@table1.column15.name=CPUPCT@table1.column16.name=CPUTM@table1.column17.name=IFAPCT@table1.column18.name=IFATM@table1.column19.name=IFCPCT@table1.column20.name=IFCTM@table1.column21.name=SUPPCT@table1.column22.name=SUCPCT@table1.column23.name=SUPTM@table1.column24.name=SUCTM@table1.column25.name=ECDTRXN@table1.column26.name=ECDUSER@table1.column27.name=ECDTRXC@table1.column28.name=ECDNET@table1.column29.name=ECDLU@table1.column30.name=ECDPLAN@table1.column31.name=ECDPCKG@table1.column32.name=ECDCNCTN@table1.column33.name=ECDCOLL@table1.column34.name=ECDCORR@table1.column35.name=ECDSUBT@table1.column36.name=ECDFCN@table1.column37.name=ECDSUBN@table1.column38.name=ECDSSPM@table1.column39.name=ECDACCT@table1.column40.name=ECDPROCN@table1.column41.name=ECDPERFM@table1.column42.name=ECDSSPRI@table1.column43.name=ECDPRCES@table1.column44.name=ECDSCHED@table1.column45.name=ECDSSCOL@table1.column46.name=INDETOKEN@table1.column47.name=NUMWRKNCLV@table1.columnCount=47@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=OASID@filter2.operator=EQ@filter2.value=$OASID$@filter3.connector=AND@filter3.column=TOKEN@filter3.operator=EQ@filter3.value=$TOKEN$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enqueued.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enqueues and Reserves Detail for MVS    *
* *                      System                                  *
* *  Table:              ENQUEUE                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enq_and_Res_Detail_for_MVS_Sys;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enqueue and Reserve Detail;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enqueue conflicts and reserved resources for this MVS image;
* TABLE=KM5.ENQUEUE;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, OWNINGAS, WAITINGAS, SYSNAME, SWAPPED;
* COLUMNS=TYPE, ASID, WAITTIME, MAJORNAME, MINORNAME;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND MAJORNAME = $ENQUEUE.MAJORNAME$;
* PRED=AND MINORNAME = $ENQUEUE.MINORNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enq_and_Res_Detail_for_MVS_Sys';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enq_and_Res_Detail_for_MVS_Sys',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Enqueue and Reserve Detail',
  'Enqueue conflicts and reserved resources for this MVS image',
  'Candle',
  '1150305065339000',
'at=$THRUNODE$@table1.name=ENQUEUE@table1.column1.name=ORIGINNODE@table1.column2.name=OWNINGAS@table1.column3.name=WAITINGAS@table1.column4.name=SYSNAME@table1.column5.name=SWAPPED@table1.column6.name=TYPE@table1.column7.name=ASID@table1.column8.name=WAITTIME@table1.column9.name=MAJORNAME@table1.column10.name=MINORNAME@table1.columnCount=10@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=MAJORNAME@filter2.operator=EQ@filter2.value=$ENQUEUE.MAJORNAME$@filter3.connector=AND@filter3.column=MINORNAME@filter3.operator=EQ@filter3.value=$ENQUEUE.MINORNAME$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enqueues.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enqueues and Reserves Summary for MVS   *
* *                      System                                  *
* *  Table:              ENQUEUE                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enq_and_Res_Summary_for_MVS_Sys;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enqueue and Reserve Summary;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Enqueue conflicts and reserved resources for this MVS image;
* TABLE=KM5.ENQUEUE;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, MAJORNAME, MINORNAME, SUM(OWNTASKCT);
* COLUMNS=SUM(WAITTASKCT), MAX(MAXWAITTM);
* PRED=ORIGINNODE = $NODE$;
* GROUP=MAJORNAME, MINORNAME;
* SITNAME=OS390_GlobalEnqueueReserve_Crit Critical;
* SITNAME=OS390_GlobalEnqueueReserve_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enq_and_Res_Summary_for_MVS_Sys';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GlobalEnqueueReserve_Crit' AND 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GlobalEnqueueReserve_Warn' AND 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Enq_and_Res_Summary_for_MVS_Sys';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enq_and_Res_Summary_for_MVS_Sys',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Enqueue and Reserve Summary',
  'Enqueue conflicts and reserved resources for this MVS image',
  'Candle',
  '1150305065340000',
'at=$THRUNODE$@table1.name=ENQUEUE@table1.column1.name=ORIGINNODE@table1.column2.name=MAJORNAME@table1.column3.name=MINORNAME@table1.column4.name=SUM(OWNTASKCT)@table1.column5.name=SUM(WAITTASKCT)@table1.column6.name=MAX(MAXWAITTM)@table1.columnCount=6@tableCount=1@group1.column=MAJORNAME@group2.column=MINORNAME@groupCount=2@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065340000',
   '_ KCJ',
   'Enq_and_Res_Summary_for_MVS_Sys',
   'Enqueue and Reserve Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Enq_and_Res_Summary_for_MVS_Sys',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GlobalEnqueueReserve_Crit',
   'Critical',
   'Enq_and_Res_Summary_for_MVS_Sys',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GlobalEnqueueReserve_Warn',
   'Warning',
   'Enq_and_Res_Summary_for_MVS_Sys',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enqueues420.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            420                                       *
* *  Report:             Enqueues and Reserves Summary for MVS     *
* *                      System                                    *
* *  Table:              ENQUEUE                                   *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Enq_and_Res_Summary_for_MVS_Sys:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Enqueue, Reserve, and Lock Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Enqueue, Reserve, and Lock Summary for this MVS image (V420);
* TABLE=KM5.ENQUEUE;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, MAJORNAME, MINORNAME, SUM(OWNTASKCT);
* COLUMNS=SUM(WAITTASKCT), MAX(MAXWAITTM);
* PRED=ORIGINNODE = $NODE$;
* GROUP=MAJORNAME, MINORNAME;
* SITNAME=OS390_GlobalEnqueueReserve_Crit Critical;
* SITNAME=OS390_GlobalEnqueueReserve_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enq_and_Res_Summary_for_MVS_Sys:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GlobalEnqueueReserve_Crit' AND 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GlobalEnqueueReserve_Warn' AND 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Enq_and_Res_Summary_for_MVS_Sys:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enq_and_Res_Summary_for_MVS_Sys:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'D',
  'Enqueue, Reserve, and Lock Summary',
  'Enqueue, Reserve, and Lock Summary for this MVS image (V420)',
  'IBM',
  '1150305065340000',
'at=$THRUNODE$@table1.name=ENQUEUE@table1.column1.name=ORIGINNODE@table1.column2.name=MAJORNAME@table1.column3.name=MINORNAME@table1.column4.name=SUM(OWNTASKCT)@table1.column5.name=SUM(WAITTASKCT)@table1.column6.name=MAX(MAXWAITTM)@table1.columnCount=6@tableCount=1@group1.column=MAJORNAME@group2.column=MINORNAME@groupCount=2@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000G000000000',
   32,
   259,
   '1150305065340000',
   '_ KCJ',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Enqueue, Reserve, and Lock Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Enq_and_Res_Summary_for_MVS_Sys:420',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GlobalEnqueueReserve_Crit',
   'Critical',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GlobalEnqueueReserve_Warn',
   'Warning',
   'Enq_and_Res_Summary_for_MVS_Sys:420',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enqueuedjb420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Enqueues and Reserves Detail for MVS    *
* *                      System for waiting or owning jobname    *
* *  Table:              ENQUEUE                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enq_and_Res_Detail_for_Job:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Enqueue and Reserve Detail for Job;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enqueue conflicts and reserved resources for this job (420);
* TABLE=KM5.ENQUEUE;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, OWNINGAS, WAITINGAS, SYSNAME, SWAPPED;
* COLUMNS=TYPE, ASID, WAITTIME, MAJORNAME, MINORNAME;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND OWNINGAS = $LINKASNAME$;
* PRED=OR ORIGINNODE = $NODE$;
* PRED=AND WAITINGAS = $LINKASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enq_and_Res_Detail_for_Job:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enq_and_Res_Detail_for_Job:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Enqueue and Reserve Detail for Job',
  'Enqueue conflicts and reserved resources for this job (420)',
  'IBM',
  '1150305065341000',
'at=$THRUNODE$@table1.name=ENQUEUE@table1.column1.name=ORIGINNODE@table1.column2.name=OWNINGAS@table1.column3.name=WAITINGAS@table1.column4.name=SYSNAME@table1.column5.name=SWAPPED@table1.column6.name=TYPE@table1.column7.name=ASID@table1.column8.name=WAITTIME@table1.column9.name=MAJORNAME@table1.column10.name=MINORNAME@table1.columnCount=10@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=OWNINGAS@filter2.operator=EQ@filter2.value=$LINKASNAME$@filter3.connector=OR@filter3.column=ORIGINNODE@filter3.operator=EQ@filter3.value=$NODE$@filter4.connector=AND@filter4.column=WAITINGAS@filter4.operator=EQ@filter4.value=$LINKASNAME$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from spinlock420.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            420                                       *
* *  Report:             Spind Lock Activity                       *
* *  Table:              SPINLOCK                                  *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Spin_Lock_Activity:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Spin Lock Activity;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show spin locks and their waiters (V420);
* TABLE=KM5.SPINLOCK;
* AT=$THRUNODE$;
* COLUMNS=RESNAME, MODE, HELDPCT, JOBNAME, ASID, REQADDR;
* COLUMNS=SPINPCT;
* COLUMNS=SAMPSEC, RMFSTAT, ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Spin_Lock_Activity:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Spin_Lock_Activity:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Spin Lock Activity',
  'Show spin locks and their waiters (V420)',
  'IBM',
  '1150305065341000',
'at=$THRUNODE$@table1.name=SPINLOCK@table1.column1.name=RESNAME@table1.column2.name=MODE@table1.column3.name=HELDPCT@table1.column4.name=JOBNAME@table1.column5.name=ASID@table1.column6.name=REQADDR@table1.column7.name=SPINPCT@table1.column8.name=SAMPSEC@table1.column9.name=RMFSTAT@table1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from suslock420.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            420                                       *
* *  Report:             Suspend Lock Activity                     *
* *  Table:              SUSLOCK                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Suspend_Lock_Activity:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Suspend Lock Activity;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show suspend locks and their users (V420);
* TABLE=KM5.SUSLOCK;
* AT=$THRUNODE$;
* COLUMNS=RESNAME, LOCKTYPE, JOBNAME, ASID, REQADDR;
* COLUMNS=HELDPCT, INTERPCT, DISPPCT, SUSPPCT;
* COLUMNS=SAMPSEC, RMFSTAT, ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Suspend_Lock_Activity:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Suspend_Lock_Activity:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Suspend Lock Activity',
  'Show suspend locks and their users (V420)',
  'IBM',
  '1150305065341000',
'at=$THRUNODE$@table1.name=SUSLOCK@table1.column1.name=RESNAME@table1.column2.name=LOCKTYPE@table1.column3.name=JOBNAME@table1.column4.name=ASID@table1.column5.name=REQADDR@table1.column6.name=HELDPCT@table1.column7.name=INTERPCT@table1.column8.name=DISPPCT@table1.column9.name=SUSPPCT@table1.column10.name=SAMPSEC@table1.column11.name=RMFSTAT@table1.column12.name=ORIGINNODE@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from enqueue1.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enqueue Summary for a Major Name        *
* *  Table:              ENQUEUE                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Enqueue_Summary_MajorName;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Enqueue Summary for a Major Name;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enqueue conflicts for a Major Name;
* TABLE=KM5.ENQUEUE;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, MAJORNAME, MINORNAME, SUM(OWNTASKCT);
* COLUMNS=SUM(WAITTASKCT), MAX(MAXWAITTM);
* PRED=ORIGINNODE = $NODE$;
* PRED=AND MAJORNAME = $LINKENQS$;
* GROUP=MAJORNAME, MINORNAME;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enqueue_Summary_MajorName';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enqueue_Summary_MajorName',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Enqueue Summary for a Major Name',
  'Enqueue conflicts for a Major Name',
  'Candle',
  '1150305065342000',
'at=$THRUNODE$@table1.name=ENQUEUE@table1.column1.name=ORIGINNODE@table1.column2.name=MAJORNAME@table1.column3.name=MINORNAME@table1.column4.name=SUM(OWNTASKCT)@table1.column5.name=SUM(WAITTASKCT)@table1.column6.name=MAX(MAXWAITTM)@table1.columnCount=6@tableCount=1@group1.column=MAJORNAME@group2.column=MINORNAME@groupCount=2@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=MAJORNAME@filter2.operator=EQ@filter2.value=$LINKENQS$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from lpclust.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             LPAR Clusters                           *
* *  Table:              LPCLUST                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=LPAR_Clusters;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=LPAR Clusters;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=LPAR Clusters Information;
* TABLE=KM5.LPCLUST;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CLNAME, LPNAME, LPPCPU, LPCPOVHD, LPCRWGT; 
* COLUMNS=LPPWGTP, LPCPUIDX, LPVELO, LPLWGTP, LPVELOIDX, LPLCPU; 
* COLUMNS=LPREADYP, LPWLMCPUM, LPINWGT, LPMXWGT, LPMNWGT; 
* COLUMNS= LPLCPON, LPLCPOFF, LPLCPRSV, LPLCPSBY, LPCAP, LPCAPCT;
* COLUMNS=LPWAITF, LPCPSTAT, LPSTATUS, LPNUM, LPHOST, CPCMODEL;
* COLUMNS=CPCSERIAL, HOSTLPNAME, CPCPCPU, CPCPOVHD, CPCCRWGT; 
* COLUMNS=CPCCPS, CPCICPS, CPCMSUS, LPSTOR;
* COLUMNS=CPCSTOR, CLLPCOUNT, LPINTTIME; 
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_LPAR_Status_Crit Critical;
* SITNAME OS390_LPAR_Status_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'LPAR_Clusters';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Crit' AND 
 TEMPLATE = 'LPAR_Clusters';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Warn' AND 
 TEMPLATE = 'LPAR_Clusters';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'LPAR_Clusters';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'LPAR_Clusters',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'LPAR Clusters',
  'LPAR Clusters Information',
  'Candle',
  '1150305065342000',
'at=$THRUNODE$@table1.name=LPCLUST@table1.column1.name=ORIGINNODE@table1.column2.name=CLNAME@table1.column3.name=LPNAME@table1.column4.name=LPPCPU@table1.column5.name=LPCPOVHD@table1.column6.name=LPCRWGT@table1.column7.name=LPPWGTP@table1.column8.name=LPCPUIDX@table1.column9.name=LPVELO@table1.column10.name=LPLWGTP@table1.column11.name=LPVELOIDX@table1.column12.name=LPLCPU@table1.column13.name=LPREADYP@table1.column14.name=LPWLMCPUM@table1.column15.name=LPINWGT@table1.column16.name=LPMXWGT@table1.column17.name=LPMNWGT@table1.column18.name=LPLCPON@table1.column19.name=LPLCPOFF@table1.column20.name=LPLCPRSV@table1.column21.name=LPLCPSBY@table1.column22.name=LPCAP@table1.column23.name=LPCAPCT@table1.column24.name=LPWAITF@table1.column25.name=LPCPSTAT@table1.column26.name=LPSTATUS@table1.column27.name=LPNUM@table1.column28.name=LPHOST@table1.column29.name=CPCMODEL@table1.column30.name=CPCSERIAL@table1.column31.name=HOSTLPNAME@table1.column32.name=CPCPCPU@table1.column33.name=CPCPOVHD@table1.column34.name=CPCCRWGT@table1.column35.name=CPCCPS@table1.column36.name=CPCICPS@table1.column37.name=CPCMSUS@table1.column38.name=LPSTOR@table1.column39.name=CPCSTOR@table1.column40.name=CLLPCOUNT@table1.column41.name=LPINTTIME@table1.columnCount=41@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065342000',
   '_ KCJ',
   'LPAR_Clusters',
   'LPAR Clusters'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'LPAR_Clusters',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_Status_Crit',
   'Critical',
   'LPAR_Clusters',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_Status_Warn',
   'Warning',
   'LPAR_Clusters',
   0
);


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from lpclust420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             LPAR Clusters                           *
* *  Table:              LPCLUST                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Date     who	       description                             *
* *  -------  ---------  --------------------------------------- *
* *  11Feb08  SXS,LGH    V420, Add LPMDCAP, LPMDCAPP, LPMDCAPT,  *
* *                            ... LPMDMSU, LPMDMSUP, LPMDMSUT,  *
* *                   	     ... LPMDOCOD and LPMDCBU          *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=LPAR_Clusters:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=LPAR Clusters;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=LPAR Clusters Information (V420);
* TABLE=KM5.LPCLUST;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CLNAME, LPNAME, LPPCPU, LPCPOVHD, LPCRWGT; 
* COLUMNS=LPPWGTP, LPCPUIDX, LPVELO, LPLWGTP, LPVELOIDX, LPLCPU; 
* COLUMNS=LPREADYP, LPWLMCPUM, LPINWGT, LPMXWGT, LPMNWGT; 
* COLUMNS= LPLCPON, LPLCPOFF, LPLCPRSV, LPLCPSBY, LPCAP, LPCAPCT;
* COLUMNS=LPWAITF, LPCPSTAT, LPSTATUS, LPNUM, LPHOST, CPCMODEL;
* COLUMNS=CPCSERIAL, HOSTLPNAME, CPCPCPU, CPCPOVHD, CPCCRWGT; 
* COLUMNS=CPCCPS, CPCICPS, CPCMSUS, LPSTOR;
* COLUMNS=CPCSTOR, CLLPCOUNT, LPINTTIME; 
* COLUMNS=LPMDCAP, LPMDCAPP, LPMDCAPT, LPMDMSU, LPMDMSUP;
* COLUMNS=LPMDMSUT, LPMDOCOD, LPMDCBU;    
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_LPAR_Status_Crit Critical;
* SITNAME OS390_LPAR_Status_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'LPAR_Clusters:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Crit' AND 
 TEMPLATE = 'LPAR_Clusters:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Warn' AND 
 TEMPLATE = 'LPAR_Clusters:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:420' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'LPAR_Clusters:420';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'LPAR_Clusters:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'D',
  'LPAR Clusters',
  'LPAR Clusters Information (V420)',
  'Candle',
  '1150305065342000',
'at=$THRUNODE$@table1.name=LPCLUST@table1.column1.name=ORIGINNODE@table1.column2.name=CLNAME@table1.column3.name=LPNAME@table1.column4.name=LPPCPU@table1.column5.name=LPCPOVHD@table1.column6.name=LPCRWGT@table1.column7.name=LPPWGTP@table1.column8.name=LPCPUIDX@table1.column9.name=LPVELO@table1.column10.name=LPLWGTP@table1.column11.name=LPVELOIDX@table1.column12.name=LPLCPU@table1.column13.name=LPREADYP@table1.column14.name=LPWLMCPUM@table1.column15.name=LPINWGT@table1.column16.name=LPMXWGT@table1.column17.name=LPMNWGT@table1.column18.name=LPLCPON@table1.column19.name=LPLCPOFF@table1.column20.name=LPLCPRSV@table1.column21.name=LPLCPSBY@table1.column22.name=LPCAP@table1.column23.name=LPCAPCT@table1.column24.name=LPWAITF@table1.column25.name=LPCPSTAT@table1.column26.name=LPSTATUS@table1.column27.name=LPNUM@table1.column28.name=LPHOST@table1.column29.name=CPCMODEL@table1.column30.name=CPCSERIAL@table1.column31.name=HOSTLPNAME@table1.column32.name=CPCPCPU@table1.column33.name=CPCPOVHD@table1.column34.name=CPCCRWGT@table1.column35.name=CPCCPS@table1.column36.name=CPCICPS@table1.column37.name=CPCMSUS@table1.column38.name=LPSTOR@table1.column39.name=CPCSTOR@table1.column40.name=CLLPCOUNT@table1.column41.name=LPINTTIME@table1.column42.name=LPMDCAP@table1.column43.name=LPMDCAPP@table1.column44.name=LPMDCAPT@table1.column45.name=LPMDMSU@table1.column46.name=LPMDMSUP@table1.column47.name=LPMDMSUT@table1.column48.name=LPMDOCOD@table1.column49.name=LPMDCBU@table1.columnCount=49@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000G000000000',
   32,
   259,
   '1150305065342000',
   '_ KCJ',
   'LPAR_Clusters:420',
   'LPAR Clusters'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:420',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'LPAR_Clusters:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_Status_Crit',
   'Critical',
   'LPAR_Clusters:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_Status_Warn',
   'Warning',
   'LPAR_Clusters:420',
   0
);


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from lpclust2.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             LPAR assigned to a Clusters             *
* *  Table:              LPCLUST                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Cluster_LPARs;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Cluster LPARs;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=LPARs assigned to a Cluster;
* TABLE=KM5.LPCLUST;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CLNAME, LPNAME, LPPCPU, LPCPOVHD, LPCRWGT; 
* COLUMNS=LPPWGTP, LPCPUIDX, LPVELO, LPLWGTP, LPVELOIDX, LPLCPU; 
* COLUMNS=LPREADYP, LPWLMCPUM, LPINWGT, LPMXWGT, LPMNWGT; 
* COLUMNS= LPLCPON, LPLCPOFF, LPLCPRSV, LPLCPSBY, LPCAP, LPCAPCT;
* COLUMNS=LPWAITF, LPCPSTAT, LPSTATUS, LPNUM, LPHOST, CPCMODEL;
* COLUMNS=CPCSERIAL, HOSTLPNAME, CPCPCPU, CPCPOVHD, CPCCRWGT; 
* COLUMNS=CPCCPS, CPCICPS, CPCMSUS, LPSTOR;
* COLUMNS=CPCSTOR, CLLPCOUNT, LPINTTIME; 
* PRED=ORIGINNODE = $NODE$; 
* PRED=AND CLNAME = $CLUSTER$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Cluster_LPARs';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Cluster_LPARs',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Cluster LPARs',
  'LPARs assigned to a Cluster',
  'Candle',
  '1150305065343000',
'at=$THRUNODE$@table1.name=LPCLUST@table1.column1.name=ORIGINNODE@table1.column2.name=CLNAME@table1.column3.name=LPNAME@table1.column4.name=LPPCPU@table1.column5.name=LPCPOVHD@table1.column6.name=LPCRWGT@table1.column7.name=LPPWGTP@table1.column8.name=LPCPUIDX@table1.column9.name=LPVELO@table1.column10.name=LPLWGTP@table1.column11.name=LPVELOIDX@table1.column12.name=LPLCPU@table1.column13.name=LPREADYP@table1.column14.name=LPWLMCPUM@table1.column15.name=LPINWGT@table1.column16.name=LPMXWGT@table1.column17.name=LPMNWGT@table1.column18.name=LPLCPON@table1.column19.name=LPLCPOFF@table1.column20.name=LPLCPRSV@table1.column21.name=LPLCPSBY@table1.column22.name=LPCAP@table1.column23.name=LPCAPCT@table1.column24.name=LPWAITF@table1.column25.name=LPCPSTAT@table1.column26.name=LPSTATUS@table1.column27.name=LPNUM@table1.column28.name=LPHOST@table1.column29.name=CPCMODEL@table1.column30.name=CPCSERIAL@table1.column31.name=HOSTLPNAME@table1.column32.name=CPCPCPU@table1.column33.name=CPCPOVHD@table1.column34.name=CPCCRWGT@table1.column35.name=CPCCPS@table1.column36.name=CPCICPS@table1.column37.name=CPCMSUS@table1.column38.name=LPSTOR@table1.column39.name=CPCSTOR@table1.column40.name=CLLPCOUNT@table1.column41.name=LPINTTIME@table1.columnCount=41@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CLNAME@filter2.operator=EQ@filter2.value=$CLUSTER$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from lpclust.odi.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560      (OA59519)                      *
* *  Report:             LPAR Clusters                           *
* *  Table:              LPCLUST                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Date     who	       description                             *
* *  -------  ---------  --------------------------------------- *
* *  11Feb08  SXS,LGH    V420, Add LPMDCAP, LPMDCAPP, LPMDCAPT,  *
* *                            ... LPMDMSU, LPMDMSUP, LPMDMSUT,  *
* *                   	     ... LPMDOCOD and LPMDCBU          *
* *  07/28/08 mryan      Set to READONLY                         *
* *  06/15/20 IFX        Add PU type attribute (OA59519)         *
* *  07/13/20 jflores    TEP Update (YSZS-896)                   *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=LPAR_Clusters:560;
* AFFINITY=%IBM.STATIC007          000000000t00000000;
* NAME=LPAR Clusters;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=LPAR Clusters Information (V560);
* TABLE=KM5.LPCLUST;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;
* *  Data collection agent node name.
* COLUMNS=LPNAME;
* *  Name of the LPAR for this row of data. A value of "_CPTotal" indicates that this is a CPC summary data row. A value of "_CLTotal" indicates that this is a Cluster summary data row.
* COLUMNS=HOSTLPNAME;
* *  Name of the LPAR for the "HOST" system (i.e. the system where the data has been collected).
* COLUMNS=LPWLMCPUM;
* *  Indicates (YES/NO) if the LPAR is enabled for IRD WLM CPU Management.
* COLUMNS=LPREADYP;
* *  Percent of time the LPAR had "ready" work and was not dispatched.
* COLUMNS=LPVELO;
* *  Actual Logical Weight Percent for the LPAR. It is a measure of how well the LPAR is able to obtain processor resource (e.g. velocity).
* *  Formula:  = Logical %CPU / (Logical %CPU + CPU %Ready)
* COLUMNS=LPLCPU;
* *  The percent of time that the LPAR was utilizing online logical processors.
* COLUMNS=LPCRWGT;
* *  Current shared processor WEIGHT assigned to the LPAR/Cluster. In a shared physical processor configuration, WEIGHT will determine the relative importance of the LPAR for the allocation of processor resources. This is the currently assigned Weight for an LPAR that is enabled for WLM LPAR CPU Weight Management.
* COLUMNS=LPINWGT;
* *  Shared processor WEIGHT assigned to the LPAR at initialization.
* COLUMNS=LPMXWGT;
* *  Defined maximum shared processor WEIGHT that can be assigned to the LPAR by IRD WLM LPAR Weight CPU Management.
* COLUMNS=LPMNWGT;
* *  Defined minimum shared processor WEIGHT that can be assigned to the LPAR by IRD WLM LPAR Weight CPU Management.
* COLUMNS=LPPWGTP;
* *  Current shared processor Weight as a percent of total CPC Weight.
* COLUMNS=LPLCPON;
* *  Number of logical processors currently online to this LPAR.
* COLUMNS=LPLCPOFF;
* *  Number of logical processors currently offline to this LPAR (i.e. varied offline by WLM LPAR Vary CPU Management).
* COLUMNS=LPLCPRSV;
* *  Number of configured logical processors that cannot be varied online to this LPAR. That is, a configuration change would be required to make this "processor" available (e.g. Capacity Upgrade on Demand or, CUoD).
* COLUMNS=LPLCPSBY;
* *  Number of logical processors that are not online to the LPAR, but could be varied online (via Operator intervention).
* COLUMNS=LPCAP;
* *  LPAR CAPping status as defined by the LPAR configuration. Possible values are NONE (no capping), HARD (traditional LPAR capping) and SOFT (software license capping).
* COLUMNS=LPCAPCT;
* *  Defined SOFT CAPping Percent.
* COLUMNS=LPPCPU;
* *  Percent of physical processor resource utilized by the LPAR/Cluster, excluding LPAR Management utilization.
* COLUMNS=LPCPOVHD;
* *  Percent of physical processor resource utilized by the LPAR/Cluster for LPAR Management.
* COLUMNS=LPSTOR;
* *  Amount of Central Storage (in megabytes) assigned to this LPAR.
* COLUMNS=LPCPUIDX;
* *  Ratio of Physical %CPU (actual) to Current Weight Percent (i.e. target).
* COLUMNS=LPLWGTP;
* *  The demand that the LPAR could place on it's online logical processors relative to the LPAR's defined (physical) Weight.
* *  Formula: = (Physical %Weight * #Physical CPs) / (#Logical Processors * 100)
* COLUMNS=LPWAITF;
* *  LPAR Processor(s) Wait Completion Flag.
* COLUMNS=LPCPSTAT;
* *  LPAR Processor(s) Status Flag (SHR = Shared, DED = Dedicated, *  MIX = Both Shared and Dedicated)
* COLUMNS=LPSTATUS;
* *  LPAR Status (Active / Deactivated).
* COLUMNS=LPNUM;
* *  LPAR Number.
* COLUMNS=CPCCPS;
* *  Physical CP-Type processors that are on-line for this Central Processing Complex (CPC).
* COLUMNS=CPCICPS;
* *  Physical ICF/IFL/IFA/zIIP-type processors that are on-line for this Central Processing Complex (CPC).
* COLUMNS=CPCCRWGT;
* *  Sum of Weights assigned to LPARs that are active and sharing CP-Type processors (CPs) on the CPC.
* COLUMNS=CPCPCPU;
* *  Total CP-Type physical processor utilization on the CPC.
* COLUMNS=CPCPOVHD;
* *  Total CP-Type physical processor utilized for LPAR management overhead.
* COLUMNS=CPCMSUS;
* *  Total CP-Type processor capacity in millions of service units (MSUs) per hour.
* COLUMNS=CPCDSPTIME;
* *  CPC CP Processor Dispatch Time
* COLUMNS=CLLPCOUNT;
* *  In an Cluster summary data row, this is the number of LPARs that are assigned to the LPAR Cluster. In an LPAR data row, this number is zero.
* COLUMNS=LPINTTIME;
* *  Data collection time interval duration (in seconds).
* COLUMNS=LPONLTIME;
* *  Logical processors online time (in seconds).
* COLUMNS=LPDSPTIME;
* *  Logical processor dispatch time (in seconds).
* COLUMNS=LPRDYTIME;
* *  Logical processor Ready time (in seconds). The amount of time the LPAR had "ready" work and was not dispatched.
* COLUMNS=LPWAITIME;
* *  Logical processor WAIT time (in seconds). The amount of time the LPAR was idle (i.e. no work to do, PSW Wait bit on).
* COLUMNS=LPOVHTIME;
* *  The amount of time utilized for LPAR Management (in seconds).
* COLUMNS=LPVELOIDX;
* *  The ratio of actual (effective) LPAR weight to LPAR target weight (e.g. velocity index).
* *  Formula: = Effective %Weight / Logical %Weight
* COLUMNS=CPCSTOR;
* *  Total Central Storage (in megabytes) assigned to LPARs that are sharing/using CP-Type processors.
* COLUMNS=CLNAME;
* *  The name of the LPAR Cluster that this LPAR is assigned to. Cluster name is composed by appending to the LPAR Sysplex name 4 characters of CPC Serial Number and 4 characters of CPC
* *  Model number (e.g. xxxxxxxx.ssss.tttt, where xxxxxxxx is the Sysplex Name, ssss are the last 4 characters of CPC Serial# and, tttt are the first 4 characters of the CPC Model#). A value of "_CPTotal" indicates that this is a CPC summary data row.
* COLUMNS=CPCMODEL;
* *  CPC Model Number (e.g. 2064-103).
* COLUMNS=CPCSERIAL;
* *  CPC Serial Number (e.g. 010123).
* COLUMNS=LPSMFID;
* *  LPAR SMF ID as defined in the IEASYM or IEASYS parm lib members. Currently no value is being provided in this field. It is defined for future use.
* COLUMNS=LPHOST;
* *  An indicator (Y/N) that identifies the Host LPAR data row.
* COLUMNS=LPMDCAP;
* *  The processor model capacity ID representing the service the CPC is currently capable of delivering
* COLUMNS=LPMDCAPP;
* *  The processor model capacity ID representing the service the CPC is capable of delivering, exclusive of capacity temporarily added through On/Off Capacity on Demand (OOCoD) and capacity temporarily replaced through Capacity Backup (CBU).
* COLUMNS=LPMDCAPT;
* *  The processor model capacity ID representing the service that the CPC is capable of delivering by adding the Model Permanent Capacity and capacity added through On/Off Capacity on Demand (OOCoD) but excluding any capacity added through Capacity Backup (CBU).
* COLUMNS=LPMDMSU;
* *  The processor model capacity, in MSUs, that the CPC is currently capable of delivering
* COLUMNS=LPMDMSUP;
* *  The processor model capacity, in MSUs, that the CPC is capable of delivering, exclusive of capacity temporarily added through On/Off Capacity on Demand (OOCoD) and capacity temporarily replaced through Capacity Backup (CBU).
* COLUMNS=LPMDMSUT;
* *  The processor model capacity, in MSUs, that the CPC is capable of delivering by adding the Model Permanent Capacity and capacity added through On/Off Capacity on Demand (OOCoD) but excluding any capacity added through Capacity Backup (CBU).
* COLUMNS=LPMDOCOD;
* *  Indication of whether On/Off Capacity on Demand (OOCoD) or Capacity Provisioning Manager (CPM) adjustments have been made (Yes or No)
* COLUMNS=LPMDCBU;
* *  Indication of whether Capacity Backup (CBU) adjustments have been made (Yes or No)
* COLUMNS=PUTYPE;
* *  Type of processor unit associated with this row's attributes: GCP, zIIP, ICF or IFL
* ORDER DESCENDING CLNAME;
* ORDER ASCENDING LPNAME;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_LPAR_Status_Crit Critical;
* SITNAME OS390_LPAR_Status_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'LPAR_Clusters:560';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Warn' AND 
 TEMPLATE = 'KFW_NODE';




*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-896\LPCLUST-IBM.ODI.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560      (OA60576)                      *
* *  Report:             LPAR Clusters                           *
* *  Table:              LPCLUST                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *                                                              *
* *  Date     who	       description                             *
* *  -------  ---------  --------------------------------------- *
* *  11Feb08  SXS,LGH    V420, Add LPMDCAP, LPMDCAPP, LPMDCAPT,  *
* *                            ... LPMDMSU, LPMDMSUP, LPMDMSUT,  *
* *                   	     ... LPMDOCOD and LPMDCBU          *
* *  07/28/08 mryan      Set to READONLY                         *
* *  06/15/20 IFX        Add PU type attribute (OA59519)         *
* *  07/13/20 jflores    TEP Update (YSZS-896)                   *
* *  02/09/21 jflores    Rename PUTYPE to LPCPCLASS for V550     *
* *                      compatibility                           *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=LPAR_Clusters:5605;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=19;
* NAME=LPAR Clusters;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=LPAR Clusters Information (V5605);
* TABLE=KM5.LPCLUST;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;
* *  Data collection agent node name.
* COLUMNS=LPNAME;
* *  Name of the LPAR for this row of data. A value of "_CPTotal" 
* *  indicates that this is a CPC summary data row. A value of "_CLTotal"
* *  indicates that this is a Cluster summary data row.
* COLUMNS=HOSTLPNAME;
* *  Name of the LPAR for the "HOST" system (i.e. the system where the 
* *  data has been collected).
* COLUMNS=LPWLMCPUM;
* *  Indicates (YES/NO) if the LPAR is enabled for IRD WLM CPU 
* *  Management.
* COLUMNS=LPREADYP;
* *  Percent of time the LPAR had "ready" work and was not dispatched.
* COLUMNS=LPVELO;
* *  Actual Logical Weight Percent for the LPAR. It is a measure of how
* *  well the LPAR is able to obtain processor resource (e.g. velocity).
* *  Formula:  = Logical %CPU / (Logical %CPU + CPU %Ready)
* COLUMNS=LPLCPU;
* *  The percent of time that the LPAR was utilizing online logical 
* *  processors.
* COLUMNS=LPCRWGT;
* *  Current shared processor WEIGHT assigned to the LPAR/Cluster. In a 
* *  shared physical processor configuration, WEIGHT will determine the 
* *  relative importance of the LPAR for the allocation of processor 
* *  resources. This is the currently assigned Weight for an LPAR that 
* *  is enabled for WLM LPAR CPU Weight Management.
* COLUMNS=LPINWGT;
* *  Shared processor WEIGHT assigned to the LPAR at initialization.
* COLUMNS=LPMXWGT;
* *  Defined maximum shared processor WEIGHT that can be assigned to the 
* *  LPAR by IRD WLM LPAR Weight CPU Management.
* COLUMNS=LPMNWGT;
* *  Defined minimum shared processor WEIGHT that can be assigned to the 
* *  LPAR by IRD WLM LPAR Weight CPU Management.
* COLUMNS=LPPWGTP;
* *  Current shared processor Weight as a percent of total CPC Weight.
* COLUMNS=LPLCPON;
* *  Number of logical processors currently online to this LPAR.
* COLUMNS=LPLCPOFF;
* *  Number of logical processors currently offline to this LPAR 
* *  (i.e. varied offline by WLM LPAR Vary CPU Management).
* COLUMNS=LPLCPRSV;
* *  Number of configured logical processors that cannot be varied online 
* *  to this LPAR. That is, a configuration change would be required to 
* *  make this "processor" available (e.g. Capacity Upgrade on Demand or,
* *  CUoD).
* COLUMNS=LPLCPSBY;
* *  Number of logical processors that are not online to the LPAR, but 
* *  could be varied online (via Operator intervention).
* COLUMNS=LPCAP;
* *  LPAR CAPping status as defined by the LPAR configuration. Possible 
* *  values are NONE (no capping), HARD (traditional LPAR capping) and 
* *  SOFT (software license capping).
* COLUMNS=LPCAPCT;
* *  Defined SOFT CAPping Percent.
* COLUMNS=LPPCPU;
* *  Percent of physical processor resource utilized by the LPAR/Cluster, 
* *  excluding LPAR Management utilization.
* COLUMNS=LPCPOVHD;
* *  Percent of physical processor resource utilized by the LPAR/Cluster 
* *  for LPAR Management.
* COLUMNS=LPSTOR;
* *  Amount of Central Storage (in megabytes) assigned to this LPAR.
* COLUMNS=LPCPUIDX;
* *  Ratio of Physical %CPU (actual) to Current Weight Percent 
* *  (i.e. target).
* COLUMNS=LPLWGTP;
* *  The demand that the LPAR could place on it's online logical 
* *  processors relative to the LPAR's defined (physical) Weight.
* *  Formula: 
* *    (Physical %Weight * #Physical CPs) / (#Logical Processors * 100)
* COLUMNS=LPWAITF;
* *  LPAR Processor(s) Wait Completion Flag.
* COLUMNS=LPCPSTAT;
* *  LPAR Processor(s) Status Flag (SHR = Shared, DED = Dedicated, 
* *  MIX = Both Shared and Dedicated)
* COLUMNS=LPSTATUS;
* *  LPAR Status (Active / Deactivated).
* COLUMNS=LPNUM;
* *  LPAR Number.
* COLUMNS=CPCCPS;
* *  Physical CP-Type processors that are on-line for this Central 
* *  Processing Complex (CPC).
* COLUMNS=CPCICPS;
* *  Physical ICF/IFL/IFA/zIIP-type processors that are on-line for this 
* *  Central Processing Complex (CPC).
* COLUMNS=CPCCRWGT;
* *  Sum of Weights assigned to LPARs that are active and sharing CP-Type
* *  processors (CPs) on the CPC.
* COLUMNS=CPCPCPU;
* *  Total CP-Type physical processor utilization on the CPC.
* COLUMNS=CPCPOVHD;
* *  Total CP-Type physical processor utilized for LPAR management 
* *  overhead.
* COLUMNS=CPCMSUS;
* *  Total CP-Type processor capacity in millions of service units (MSUs)
* *  per hour.
* COLUMNS=CPCDSPTIME;
* *  CPC CP Processor Dispatch Time
* COLUMNS=CLLPCOUNT;
* *  In an Cluster summary data row, this is the number of LPARs that are 
* *  assigned to the LPAR Cluster. In an LPAR data row, this number is 
* *  zero.
* COLUMNS=LPINTTIME;
* *  Data collection time interval duration (in seconds).
* COLUMNS=LPONLTIME;
* *  Logical processors online time (in seconds).
* COLUMNS=LPDSPTIME;
* *  Logical processor dispatch time (in seconds).
* COLUMNS=LPRDYTIME;
* *  Logical processor Ready time (in seconds). The amount of time the 
* *  LPAR had "ready" work and was not dispatched.
* COLUMNS=LPWAITIME;
* *  Logical processor WAIT time (in seconds). The amount of time the 
* *  LPAR was idle (i.e. no work to do, PSW Wait bit on).
* COLUMNS=LPOVHTIME;
* *  The amount of time utilized for LPAR Management (in seconds).
* COLUMNS=LPVELOIDX;
* *  The ratio of actual (effective) LPAR weight to LPAR target weight 
* *  (e.g. velocity index).
* *  Formula: = Effective %Weight / Logical %Weight
* COLUMNS=CPCSTOR;
* *  Total Central Storage (in megabytes) assigned to LPARs that are 
* *  sharing/using CP-Type processors.
* COLUMNS=CLNAME;
* *  The name of the LPAR Cluster that this LPAR is assigned to. Cluster 
* *  name is composed by appending to the LPAR Sysplex name 4 characters 
* *  of CPC Serial Number and 4 characters of CPC
* *  Model number (e.g. xxxxxxxx.ssss.tttt, where xxxxxxxx is the Sysplex 
* *  Name, ssss are the last 4 characters of CPC Serial# and, tttt are 
* *  the first 4 characters of the CPC Model#). A value of "_CPTotal" 
* *  indicates that this is a CPC summary data row.
* COLUMNS=CPCMODEL;
* *  CPC Model Number (e.g. 2064-103).
* COLUMNS=CPCSERIAL;
* *  CPC Serial Number (e.g. 010123).
* COLUMNS=LPSMFID;
* *  LPAR SMF ID as defined in the IEASYM or IEASYS parm lib members. 
* *  Currently no value is being provided in this field. It is defined 
* *  for future use.
* COLUMNS=LPHOST;
* *  An indicator (Y/N) that identifies the Host LPAR data row.
* COLUMNS=LPMDCAP;
* *  The processor model capacity ID representing the service the CPC is 
* *  currently capable of delivering
* COLUMNS=LPMDCAPP;
* *  The processor model capacity ID representing the service the CPC is 
* *  capable of delivering, exclusive of capacity temporarily added 
* *  through On/Off Capacity on Demand (OOCoD) and capacity temporarily 
* *  replaced through Capacity Backup (CBU).
* COLUMNS=LPMDCAPT;
* *  The processor model capacity ID representing the service that the 
* *  CPC is capable of delivering by adding the Model Permanent Capacity 
* *  and capacity added through On/Off Capacity on Demand (OOCoD) but 
* *  excluding any capacity added through Capacity Backup (CBU).
* COLUMNS=LPMDMSU;
* *  The processor model capacity, in MSUs, that the CPC is currently 
* *  capable of delivering
* COLUMNS=LPMDMSUP;
* *  The processor model capacity, in MSUs, that the CPC is capable of 
* *  delivering, exclusive of capacity temporarily added through On/Off 
* *  Capacity on Demand (OOCoD) and capacity temporarily replaced through
* *  Capacity Backup (CBU).
* COLUMNS=LPMDMSUT;
* *  The processor model capacity, in MSUs, that the CPC is capable of 
* *  delivering by adding the Model Permanent Capacity and capacity added
* *  through On/Off Capacity on Demand (OOCoD) but excluding any capacity
* *  added through Capacity Backup (CBU).
* COLUMNS=LPMDOCOD;
* *  Indication of whether On/Off Capacity on Demand (OOCoD) or Capacity
* *  Provisioning Manager (CPM) adjustments have been made (Yes or No)
* COLUMNS=LPMDCBU;
* *  Indication of whether Capacity Backup (CBU) adjustments have been 
* *  made (Yes or No)
* COLUMNS=LPCPCLASS;
* *  Type of processor unit associated with this row's attributes: 
* *  GCP, zIIP, ICF or IFL
* ORDER DESCENDING CLNAME;
* ORDER ASCENDING LPNAME;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_LPAR_Status_Crit Critical;
* SITNAME OS390_LPAR_Status_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'LPAR_Clusters:5605';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'LPAR_Clusters:5605';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_Status_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'LPAR_Clusters:5605';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'LPAR_Clusters:5605' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'LPAR_Clusters:5605';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'LPAR_Clusters:5605',
  'KM5',
  '%IBM.STATIC007          000000000J000000000',
  'D',
  'LPAR Clusters',
  'LPAR Clusters Information (V5605)',
  'IBM',
  '1210223112911000',
'at=$THRUNODE$@table1.name=LPCLUST@table1.column1.name=ORIGINNODE@table1.column2.name=LPNAME@table1.column3.name=HOSTLPNAME@table1.column4.name=LPWLMCPUM@table1.column5.name=LPREADYP@table1.column6.name=LPVELO@table1.column7.name=LPLCPU@table1.column8.name=LPCRWGT@table1.column9.name=LPINWGT@table1.column10.name=LPMXWGT@table1.column11.name=LPMNWGT@table1.column12.name=LPPWGTP@table1.column13.name=LPLCPON@table1.column14.name=LPLCPOFF@table1.column15.name=LPLCPRSV@table1.column16.name=LPLCPSBY@table1.column17.name=LPCAP@table1.column18.name=LPCAPCT@table1.column19.name=LPPCPU@table1.column20.name=LPCPOVHD@table1.column21.name=LPSTOR@table1.column22.name=LPCPUIDX@table1.column23.name=LPLWGTP@table1.column24.name=LPWAITF@table1.column25.name=LPCPSTAT@table1.column26.name=LPSTATUS@table1.column27.name=LPNUM@table1.column28.name=CPCCPS@table1.column29.name=CPCICPS@table1.column30.name=CPCCRWGT@table1.column31.name=CPCPCPU@table1.column32.name=CPCPOVHD@table1.column33.name=CPCMSUS@table1.column34.name=CPCDSPTIME@table1.column35.name=CLLPCOUNT@table1.column36.name=LPINTTIME@table1.column37.name=LPONLTIME@table1.column38.name=LPDSPTIME@table1.column39.name=LPRDYTIME@table1.column40.name=LPWAITIME@table1.column41.name=LPOVHTIME@table1.column42.name=LPVELOIDX@table1.column43.name=CPCSTOR@table1.column44.name=CLNAME@table1.column45.name=CPCMODEL@table1.column46.name=CPCSERIAL@table1.column47.name=LPSMFID@table1.column48.name=LPHOST@table1.column49.name=LPMDCAP@table1.column50.name=LPMDCAPP@table1.column51.name=LPMDCAPT@table1.column52.name=LPMDMSU@table1.column53.name=LPMDMSUP@table1.column54.name=LPMDMSUT@table1.column55.name=LPMDOCOD@table1.column56.name=LPMDCBU@table1.column57.name=LPCPCLASS@table1.columnCount=57@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=CLNAME@order1.sequence=DESCENDING@order2.column=LPNAME@order2.sequence=ASCENDING@orderCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC007          000000000J000000000',
   32,
   259,
   '1210223112911000',
   '_ KCJ',
   'LPAR_Clusters:5605',
   'LPAR Clusters'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'LPAR_Clusters:5605',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'LPAR_Clusters:5605',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_Status_Crit',
   'Critical',
   'LPAR_Clusters:5605',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_Status_Warn',
   'Warning',
   'LPAR_Clusters:5605',
   0
);



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mwlmpr.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             WLM_Service_Class_Resource              *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support                           *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Service_Class_Resources;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=WLM Service Class Resources;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=WLM Service Class Resources information for this MVS image.;
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* COLUMNS=CLSNAME, PERIODNUM, PERGLTYP, PERPCTLE, PERGIMP;
* COLUMNS=PERGVAL, PERDUR, PERAVRSP, PERHINDX, PERHACT, PCTCPU;
* COLUMNS=PCTIFA, PCTIFC, PCTSUP, PCTSUC, IORATE, IOPRI, CSSPRI;
* COLUMNS=AVGSTOR, WKLNAME, RESGNAME, CLSDESC, WKLDESC, CLSFLAG;
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* ORDER=CLSNAME;
* ORDER=PERIODNUM;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Resources';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'WLM_Service_Class_Resources';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Service_Class_Resources',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'WLM Service Class Resources',
  'WLM Service Class Resources information for this MVS image.',
  'Candle',
  '1150305065343000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=ORIGINNODE@table1.columnCount=25@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=CLSNAME@order1.sequence=ASCENDING@order2.column=PERIODNUM@order2.sequence=ASCENDING@orderCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065343000',
   '_ KCJ',
   'WLM_Service_Class_Resources',
   'WLM Service Class Resources'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'WLM_Service_Class_Resources',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'WLM_Service_Class_Resources',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mwlmpr410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             WLM_Service_Class_Resource              *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  05/04/06 JFIED      No changes beyond "versioning" required *
* *                      for link to v410 copy of 'Address Space * 
* *                      CPU for Service Class'                  *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support                           *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Service_Class_Resources:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=WLM Service Class Resources;
* USER=IBM; 
* READONLY=Y;
* VISIBLE=Y;
* DESC=WLM Service Class Resources information for this MVS image (V410);
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* COLUMNS=CLSNAME, PERIODNUM, PERGLTYP, PERPCTLE, PERGIMP;
* COLUMNS=PERGVAL, PERDUR, PERAVRSP, PERHINDX, PERHACT, PCTCPU;
* COLUMNS=PCTIFA, PCTIFC, PCTSUP, PCTSUC, IORATE, IOPRI, CSSPRI;
* COLUMNS=AVGSTOR, WKLNAME, RESGNAME, CLSDESC, WKLDESC, CLSFLAG;
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* ORDER=CLSNAME;
* ORDER=PERIODNUM;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Resources:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:410' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'WLM_Service_Class_Resources:410';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Service_Class_Resources:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'D',
  'WLM Service Class Resources',
  'WLM Service Class Resources information for this MVS image (V410)',
  'IBM',
  '1150305065344000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=ORIGINNODE@table1.columnCount=25@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=CLSNAME@order1.sequence=ASCENDING@order2.column=PERIODNUM@order2.sequence=ASCENDING@orderCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000008000000000',
   32,
   259,
   '1150305065344000',
   '_ KCJ',
   'WLM_Service_Class_Resources:410',
   'WLM Service Class Resources'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:410',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'WLM_Service_Class_Resources:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'WLM_Service_Class_Resources:410',
   256
);



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mwlmpr420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             WLM_Service_Class_Resource              *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  05/04/06 JFIED      No changes beyond "versioning" required *
* *                      for link to v410 copy of 'Address Space * 
* *                      CPU for Service Class'                  *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support                           *
* *  02/13/08 SSANT      Add v420 PROMOPCNT for WLM Blocked      * 
* *                          ... Workload support                *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Service_Class_Resources:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=WLM Service Class Resources;
* USER=IBM; 
* READONLY=Y;
* VISIBLE=Y;
* DESC=WLM Service Class Resources information for this MVS image (V420);
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* COLUMNS=CLSNAME, PERIODNUM, PERGLTYP, PERPCTLE, PERGIMP;
* COLUMNS=PERGVAL, PERDUR, PERAVRSP, PERHINDX, PERHACT, PCTCPU;
* COLUMNS=PCTIFA, PCTIFC, PCTSUP, PCTSUC, IORATE, IOPRI, CSSPRI;
* COLUMNS=AVGSTOR, WKLNAME, RESGNAME, CLSDESC, WKLDESC, CLSFLAG;
* COLUMNS=ORIGINNODE;
* COLUMNS=PROMOPCNT; 
* PRED=ORIGINNODE = $NODE$;
* ORDER=CLSNAME;
* ORDER=PERIODNUM;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Resources:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:420' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'WLM_Service_Class_Resources:420';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Service_Class_Resources:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'D',
  'WLM Service Class Resources',
  'WLM Service Class Resources information for this MVS image (V420)',
  'IBM',
  '1150305065344000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=ORIGINNODE@table1.column26.name=PROMOPCNT@table1.columnCount=26@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=CLSNAME@order1.sequence=ASCENDING@order2.column=PERIODNUM@order2.sequence=ASCENDING@orderCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000G000000000',
   32,
   259,
   '1150305065344000',
   '_ KCJ',
   'WLM_Service_Class_Resources:420',
   'WLM Service Class Resources'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:420',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'WLM_Service_Class_Resources:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'WLM_Service_Class_Resources:420',
   256
);


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1159\MWLMPR.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             WLM_Service_Class_Resource              *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  05/04/06 JFIED      No changes beyond "versioning" required *
* *                      for link to v410 copy of 'Address Space * 
* *                      CPU for Service Class'                  *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support                           *
* *  02/13/08 SSANT      Add v420 PROMOPCNT for WLM Blocked      * 
* *                          ... Workload support                *
* *  07/28/08 mryan      Set to READONLY                         *
* *  02/21/21 jflores    V550 Compatibility - OA60576            *
* *                      COLUMNS=CPUCRIT, STORCRIT.              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Service_Class_Resources:560;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=14;
* NAME=WLM Service Class Resources;
* USER=IBM; 
* READONLY=Y;
* VISIBLE=Y;
* DESC=WLM Service Class Resources information for this MVS image (V560);
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* *       Service\Class
* COLUMNS=CLSNAME;
* *       Period
* COLUMNS=PERIODNUM;
* *       Goal\Type
* COLUMNS=PERGLTYP;
* *       Goal\Percentile
* COLUMNS=PERPCTLE;
* *       Goal\Importance
* COLUMNS=PERGIMP;
* *       Goal\Value
* COLUMNS=PERGVAL;
* *       Duration
* COLUMNS=PERDUR;
* *       Average\Response_Time
* COLUMNS=PERAVRSP;
* *       Performance\Index
* COLUMNS=PERHINDX;
* *       Actual\Host
* COLUMNS=PERHACT;
* *       Percent\CPU
* COLUMNS=PCTCPU;
* *       Percent\IFA
* COLUMNS=PCTIFA;
* *  Percentage IFA (Integrated Facility for Applications) resource
* *  used by the service class period. The value is normalized to
* *  reflect the faster speed of an IFA compared to a standard CP
* *  if LPAR is dispatched on a "knee-capped" processor.  This column
* *  is only valid on z/OS Version 1.6 and later.
* *       Percent\IFA_on_CP
* COLUMNS=PCTIFC;
* *  Percentage standard CP resource used by the service class period
* *  performing IFA-related work. This occurs when IFACrossOver=YES
* *  is specified in IEAOPTxx. This column is only valis on z/OS
* *  Version 1.6 and later.
* *       Percent\zIIP
* COLUMNS=PCTSUP;
* *  The percentage of all zIIP resource used
* *  by this service class period.  This column
* *  is only valid on z/OS Version 1.6 and later.
* *       Percent\zIIP_on_CP
* COLUMNS=PCTSUC;
* *  Percentage standard CP resource used by the service class period
* *  performing zIIP/SUP-related work.  This column is only valid on
* *  z/OS version 1.6 and later.
* *       I/O_Rate
* COLUMNS=IORATE;
* *       I/O_Priority
* COLUMNS=IOPRI;
* *  Average IOS (i.e. UCB/Control Unit) DASD I/O Priority observed
* *  for address spaces with I/O Activity for a given Service Class
* *  Period (SCP). A value of "Unavailable" will be reported for SCPs
* *  with no observed I/O activity or, if I/O priority management
* *  is set to NO in the WLM policy.
* *       CSS_Priority
* COLUMNS=CSSPRI;
* *  Average Channel Subsystem (CSS) DASD I/O priority observed for
* *  address spaces with I/O Activity for a given Service Class
* *  Period (SCP). A value of "Unavailable" will be reported for
* *  SCPs with no observed I/O activity or, if CSS I/O priority
* *  management is disabled in the CPC Reset Profile.
* *       Average\Storage
* COLUMNS=AVGSTOR;
* *       Workload
* COLUMNS=WKLNAME;
* *       Resource\Group
* COLUMNS=RESGNAME;
* *       Service_Class\Description
* COLUMNS=CLSDESC;
* *       Workload\Description
* COLUMNS=WKLDESC;
* *       Class\Flag
* COLUMNS=CLSFLAG;
* *       CPU\Critical
* COLUMNS=CPUCRIT;
* *  Indicates whether address spaces running in a service class are
* *  CPU protected or "critical".  Valid values are:
* *       Storage\Critical
* COLUMNS=STORCRIT;
* *  Indicates whether address spaces running in a service class are
* *  storage protected or "critical".  Valid values are:
* *       Managed\System
* COLUMNS=ORIGINNODE;
* *       Promoted\Percent
* COLUMNS=PROMOPCNT;
* *  Percentage of time that work in this service
* *  class ran at a promoted dispatching priority.
* *       IFA\Service_Units
* COLUMNS=PERIFASU;
* *  IFA service units as standard CP service units.
* *  This column is only valid on z/OS Version 1.6 and later
* *       IFA_On_CP\Service_Units
* COLUMNS=PERIFCSU;
* *  IFA on CP SUs as standard CP service units.
* *  This column is only valid on z/OS Version 1.6 and later
* *       zIIP\Service_Units
* COLUMNS=PERSUPSU;
* *  zIIP service units as standard CP service units
* *  This column is only valid on z/OS Version 1.6 and later
* *       zIIP_On_CP\Service_Units
* COLUMNS=PERSUCSU;
* *  zIIP on CP SUs as standard CP service units.
* *  This column is only valid on z/OS Version 1.6 and later
* *       *
* PRED=ORIGINNODE = $NODE$;
* ORDER=CLSNAME;
* ORDER=PERIODNUM;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Resources:560';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Service_Class_Resources:560' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'WLM_Service_Class_Resources:560';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Service_Class_Resources:560',
  'KM5',
  '%IBM.STATIC007          000000000E000000000',
  'D',
  'WLM Service Class Resources',
  'WLM Service Class Resources information for this MVS image (V560)',
  'IBM',
  '1210221164942000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=CPUCRIT@table1.column26.name=STORCRIT@table1.column27.name=ORIGINNODE@table1.column28.name=PROMOPCNT@table1.column29.name=PERIFASU@table1.column30.name=PERIFCSU@table1.column31.name=PERSUPSU@table1.column32.name=PERSUCSU@table1.columnCount=32@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=CLSNAME@order1.sequence=ASCENDING@order2.column=PERIODNUM@order2.sequence=ASCENDING@orderCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC007          000000000E000000000',
   32,
   259,
   '1210221164942000',
   '_ KCJ',
   'WLM_Service_Class_Resources:560',
   'WLM Service Class Resources'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Service_Class_Resources:560',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'WLM_Service_Class_Resources:560',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'WLM_Service_Class_Resources:560',
   256
);



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from operalrt.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Operator_Alerts                         *
* *  Table:              DASD_MVS                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Operator_Alerts;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Operator Alerts;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Miscellaneous Operator Alerts for this MVS image.;
* TABLE=KM5.OPERALRT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, SYSLNREC, RMFNACT, SMFNREC, WTOBUFRM, OPRREPLY;
* COLUMNS=GTFACT, OLTEPACT, ASVTSLOT, HSMRCL, GRSSTATUS;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_GRS_Broken_Crit Critical;
* SITNAME OS390_GRS_Broken_Warn Warning;
* SITNAME OS390_GTF_Active_Crit Critical;
* SITNAME OS390_GTF_Active_Warn Warning;
* SITNAME OS390_HSM_RecallWait_Crit Critical;
* SITNAME OS390_HSM_RecallWait_Warn Warning;
* SITNAME OS390_OLTEP_Active_Crit Critical;
* SITNAME OS390_OLTEP_Active_Warn Warning;
* SITNAME OS390_Outstanding_WTORs_Crit Critical;
* SITNAME OS390_Outstanding_WTORs_Warn Warning;
* SITNAME OS390_RMF_Not_Active_Crit Critical;
* SITNAME OS390_RMF_Not_Active_Warn Warning;
* SITNAME OS390_SMF_Not_Recording_Crit Critical;
* SITNAME OS390_SMF_Not_Recording_Warn Warning;
* SITNAME OS390_Max_ASIDs_in_Use_Crit Critical;
* SITNAME OS390_Max_ASIDs_in_Use_Warn Warning;
* SITNAME OS390_Syslog_Not_Recording_Crit Critical;
* SITNAME OS390_Syslog_Not_Recording_Warn Warning;
* SITNAME OS390_WTO_Buffers_Left_Crit Critical;
* SITNAME OS390_WTO_Buffers_Left_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GRS_Broken_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GRS_Broken_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GTF_Active_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_GTF_Active_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_HSM_RecallWait_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_HSM_RecallWait_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_OLTEP_Active_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_OLTEP_Active_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Outstanding_WTORs_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Outstanding_WTORs_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_RMF_Not_Active_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_RMF_Not_Active_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_SMF_Not_Recording_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_SMF_Not_Recording_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Max_ASIDs_in_Use_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Max_ASIDs_in_Use_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Syslog_Not_Recording_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Syslog_Not_Recording_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_WTO_Buffers_Left_Crit' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_WTO_Buffers_Left_Warn' AND 
 TEMPLATE = 'Operator_Alerts';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Operator_Alerts' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Operator_Alerts';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Operator_Alerts',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Operator Alerts',
  'Miscellaneous Operator Alerts for this MVS image.',
  'Candle',
  '1150305065345000',
'at=$THRUNODE$@table1.name=OPERALRT@table1.column1.name=ORIGINNODE@table1.column2.name=SYSLNREC@table1.column3.name=RMFNACT@table1.column4.name=SMFNREC@table1.column5.name=WTOBUFRM@table1.column6.name=OPRREPLY@table1.column7.name=GTFACT@table1.column8.name=OLTEPACT@table1.column9.name=ASVTSLOT@table1.column10.name=HSMRCL@table1.column11.name=GRSSTATUS@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065345000',
   '_ KCJ',
   'Operator_Alerts',
   'Operator Alerts'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Operator_Alerts',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Operator_Alerts',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GRS_Broken_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GRS_Broken_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GTF_Active_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_GTF_Active_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_HSM_RecallWait_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_HSM_RecallWait_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_OLTEP_Active_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_OLTEP_Active_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Outstanding_WTORs_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Outstanding_WTORs_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_RMF_Not_Active_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_RMF_Not_Active_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_SMF_Not_Recording_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_SMF_Not_Recording_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Max_ASIDs_in_Use_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Max_ASIDs_in_Use_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Syslog_Not_Recording_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Syslog_Not_Recording_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_WTO_Buffers_Left_Crit',
   'Critical',
   'Operator_Alerts',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_WTO_Buffers_Left_Warn',
   'Warning',
   'Operator_Alerts',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from pageds.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Page_Dataset_Activity                   *
* *  Table:              pageds                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* * 10/17/06 DEE   DR37389 Rename OS390_Common_PageDS_PctFull_   *
* *                to OS390_Common_PageDSPctFull_Crit/Warn       *
* * 07/28/08 mryan Set to READONLY                               *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Page_Dataset_Activity;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Page Dataset Activity;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Page dataset activity measures at the system level;
* TABLE=KM5.PAGEDS;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, DSTYPE, VOLSER, ADDRESS, PCTFULL, RESPTIME;
* COLUMNS=ERRORS, PAGERATE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Local_PageDS_Errors_Crit Critical;
* SITNAME OS390_Local_PageDS_Errors_Warn Warning;
* SITNAME OS390_Common_PageDSPctFull_Crit Critical;
* SITNAME OS390_Common_PageDSPctFull_Warn Warning;
* SITNAME OS390_Local_PageDS_PctFull_Crit Critical;
* SITNAME OS390_Local_PageDS_PctFull_Warn Warning;
* SITNAME OS390_PLPA_PageDS_PctFull_Crit Critical;
* SITNAME OS390_PLPA_PageDS_PctFull_Warn Warning;
* SITNAME OS390_Page_Rate_Crit Critical;
* SITNAME OS390_Page_Rate_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Local_PageDS_Errors_Crit' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Local_PageDS_Errors_Warn' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Common_PageDSPctFull_Crit' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Common_PageDSPctFull_Warn' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Local_PageDS_PctFull_Crit' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Local_PageDS_PctFull_Warn' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_PLPA_PageDS_PctFull_Crit' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_PLPA_PageDS_PctFull_Warn' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Page_Rate_Crit' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Page_Rate_Warn' AND 
 TEMPLATE = 'Page_Dataset_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Page_Dataset_Activity' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Page_Dataset_Activity';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Page_Dataset_Activity',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Page Dataset Activity',
  'Page dataset activity measures at the system level',
  'Candle',
  '1150305065345000',
'at=$THRUNODE$@table1.name=PAGEDS@table1.column1.name=ORIGINNODE@table1.column2.name=DSTYPE@table1.column3.name=VOLSER@table1.column4.name=ADDRESS@table1.column5.name=PCTFULL@table1.column6.name=RESPTIME@table1.column7.name=ERRORS@table1.column8.name=PAGERATE@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065345000',
   '_ KCJ',
   'Page_Dataset_Activity',
   'Page Dataset Activity'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Page_Dataset_Activity',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Page_Dataset_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Local_PageDS_Errors_Crit',
   'Critical',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Local_PageDS_Errors_Warn',
   'Warning',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Common_PageDSPctFull_Crit',
   'Critical',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Common_PageDSPctFull_Warn',
   'Warning',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Local_PageDS_PctFull_Crit',
   'Critical',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Local_PageDS_PctFull_Warn',
   'Warning',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_PLPA_PageDS_PctFull_Crit',
   'Critical',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_PLPA_PageDS_PctFull_Warn',
   'Warning',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Page_Rate_Crit',
   'Critical',
   'Page_Dataset_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Page_Rate_Warn',
   'Warning',
   'Page_Dataset_Activity',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from paging.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             System_Paging_Activity                  *
* *  Table:              pageds                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=System_Paging_Activity;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=System Paging Activity;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Paging activity at the system level;
* TABLE=KM5.PAGING;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, PGFAULT, ESPGMOVE, PAGERATE, DSNOTOPER, UNREFINT;
* COLUMNS=ASMQLEN;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_PageDSNotOperational_Crit Critical;
* SITNAME OS390_PageDSNotOperational_Warn Warning;
* SITNAME OS390_System_PageFaultRate_Crit Critical;
* SITNAME OS390_System_PageFaultRate_Warn Warning;
* SITNAME OS390_ASM_Queue_Length_Crit Critical;
* SITNAME OS390_ASM_Queue_Length_Warn Warning;
* SITNAME OS390_System_Page_Rate_Crit Critical;
* SITNAME OS390_System_Page_Rate_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_PageDSNotOperational_Crit' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_PageDSNotOperational_Warn' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_System_PageFaultRate_Crit' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_System_PageFaultRate_Warn' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ASM_Queue_Length_Crit' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_ASM_Queue_Length_Warn' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_System_Page_Rate_Crit' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_System_Page_Rate_Warn' AND 
 TEMPLATE = 'System_Paging_Activity';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_Paging_Activity' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'System_Paging_Activity';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'System_Paging_Activity',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'System Paging Activity',
  'Paging activity at the system level',
  'Candle',
  '1150305065345000',
'at=$THRUNODE$@table1.name=PAGING@table1.column1.name=ORIGINNODE@table1.column2.name=PGFAULT@table1.column3.name=ESPGMOVE@table1.column4.name=PAGERATE@table1.column5.name=DSNOTOPER@table1.column6.name=UNREFINT@table1.column7.name=ASMQLEN@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065345000',
   '_ KCJ',
   'System_Paging_Activity',
   'System Paging Activity'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_Paging_Activity',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'System_Paging_Activity',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_PageDSNotOperational_Crit',
   'Critical',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_PageDSNotOperational_Warn',
   'Warning',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_System_PageFaultRate_Crit',
   'Critical',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_System_PageFaultRate_Warn',
   'Warning',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ASM_Queue_Length_Crit',
   'Critical',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_ASM_Queue_Length_Warn',
   'Warning',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_System_Page_Rate_Crit',
   'Critical',
   'System_Paging_Activity',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_System_Page_Rate_Warn',
   'Warning',
   'System_Paging_Activity',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realstor.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Real_Storage                            *
* *  Table:              REALSTOR                                *
* *  07/11/08 mryan      Correct VISISBLE to VISIBLE             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/12/15 DGOLD      Removed column RESERVE1                 *
* *                                                              *
* ****************************************************************
* IDENT=Real_Storage;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Real Storage;
* DESC=Real storage areas utilization measures systemwide;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* TABLE=KM5.REALSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE 
* COLUMNS=STORTYPE
* COLUMNS=ONLINEFR
* COLUMNS=OFFLINEFR
* COLUMNS=TOTFRAMES   
* COLUMNS=AVAILFR    
* COLUMNS=UNREFINT
* COLUMNS=MIGAGE
* COLUMNS=MIGRATE
* COLUMNS=MIGCOUNT
* COLUMNS=PGFREXP
* COLUMNS=PGFREXPCNT
* COLUMNS=PGTOEXP
* COLUMNS=PGTOEXPCNT
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Available_Frames_Crit Critical;
* SITNAME OS390_Available_Frames_Warn Warning;
* SITNAME OS390_Frames_Online_Crit Critical;
* SITNAME OS390_Frames_Online_Warn Warning;
* SITNAME OS390_Unref_Interval_Cnt_Crit Critical;
* SITNAME OS390_Unref_Interval_Cnt_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Available_Frames_Crit' AND 
 TEMPLATE = 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Available_Frames_Warn' AND 
 TEMPLATE = 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Frames_Online_Crit' AND 
 TEMPLATE = 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Frames_Online_Warn' AND 
 TEMPLATE = 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unref_Interval_Cnt_Crit' AND 
 TEMPLATE = 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unref_Interval_Cnt_Warn' AND 
 TEMPLATE = 'Real_Storage';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Real_Storage';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Real_Storage',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Real Storage',
  'Real storage areas utilization measures systemwide',
  'IBM',
  '1150305065346000',
'at=$THRUNODE$@table1.name=REALSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=STORTYPE@table1.column3.name=ONLINEFR@table1.column4.name=OFFLINEFR@table1.column5.name=TOTFRAMES@table1.column6.name=AVAILFR@table1.column7.name=UNREFINT@table1.column8.name=MIGAGE@table1.column9.name=MIGRATE@table1.column10.name=MIGCOUNT@table1.column11.name=PGFREXP@table1.column12.name=PGFREXPCNT@table1.column13.name=PGTOEXP@table1.column14.name=PGTOEXPCNT@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065346000',
   '_ KCJ',
   'Real_Storage',
   'Real Storage'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Real_Storage',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Available_Frames_Crit',
   'Critical',
   'Real_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Available_Frames_Warn',
   'Warning',
   'Real_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Frames_Online_Crit',
   'Critical',
   'Real_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Frames_Online_Warn',
   'Warning',
   'Real_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unref_Interval_Cnt_Crit',
   'Critical',
   'Real_Storage',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unref_Interval_Cnt_Warn',
   'Warning',
   'Real_Storage',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realstor410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Real_Storage                            *
* *  Table:              REALSTOR                                *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  04/24/06 DELLI      Added columns STARTADDR, ENDADDR,       * 
* *                       AREAFRAMES, AREAFIXFR, AREASIZEK,      *
* *                       TOTFIXR for M5410                      *
* *  08/04/06 RPERINI    Removed columns MIGCOUNT, PGFREXPCNT,   *
* *                      PGTOEXPCNT                              *
* *  07/11/08 mryan      Correct VISISBLE to VISIBLE             *
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/12/15 DGOLD      Removed column RESERVE1                 *
* *                                                              *
* *                                                              *
* ****************************************************************
* IDENT=Real_Storage:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=Real Storage;
* DESC=Real storage areas utilization measures systemwide (V410);
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* TABLE=KM5.REALSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE 
* COLUMNS=STORTYPE
* COLUMNS=STARTADDR
* COLUMNS=ENDADDR  
* COLUMNS=AREAFRAMES
* COLUMNS=AREAFIXFR
* COLUMNS=AREASIZEK
* COLUMNS=ONLINEFR
* COLUMNS=OFFLINEFR
* COLUMNS=TOTFRAMES   
* COLUMNS=TOTFIXFR
* COLUMNS=AVAILFR    
* COLUMNS=UNREFINT
* COLUMNS=MIGAGE
* COLUMNS=MIGRATE
* COLUMNS=PGFREXP
* COLUMNS=PGTOEXP
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Available_Frames_Crit Critical;
* SITNAME OS390_Available_Frames_Warn Warning;
* SITNAME OS390_Frames_Online_Crit Critical;
* SITNAME OS390_Frames_Online_Warn Warning;
* SITNAME OS390_Unref_Interval_Cnt_Crit Critical;
* SITNAME OS390_Unref_Interval_Cnt_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Available_Frames_Crit' AND 
 TEMPLATE = 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Available_Frames_Warn' AND 
 TEMPLATE = 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Frames_Online_Crit' AND 
 TEMPLATE = 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Frames_Online_Warn' AND 
 TEMPLATE = 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unref_Interval_Cnt_Crit' AND 
 TEMPLATE = 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unref_Interval_Cnt_Warn' AND 
 TEMPLATE = 'Real_Storage:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:410' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Real_Storage:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Real_Storage:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'D',
  'Real Storage',
  'Real storage areas utilization measures systemwide (V410)',
  'IBM',
  '1150305065346000',
'at=$THRUNODE$@table1.name=REALSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=STORTYPE@table1.column3.name=STARTADDR@table1.column4.name=ENDADDR@table1.column5.name=AREAFRAMES@table1.column6.name=AREAFIXFR@table1.column7.name=AREASIZEK@table1.column8.name=ONLINEFR@table1.column9.name=OFFLINEFR@table1.column10.name=TOTFRAMES@table1.column11.name=TOTFIXFR@table1.column12.name=AVAILFR@table1.column13.name=UNREFINT@table1.column14.name=MIGAGE@table1.column15.name=MIGRATE@table1.column16.name=PGFREXP@table1.column17.name=PGTOEXP@table1.columnCount=17@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000008000000000',
   32,
   259,
   '1150305065346000',
   '_ KCJ',
   'Real_Storage:410',
   'Real Storage'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:410',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Real_Storage:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Available_Frames_Crit',
   'Critical',
   'Real_Storage:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Available_Frames_Warn',
   'Warning',
   'Real_Storage:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Frames_Online_Crit',
   'Critical',
   'Real_Storage:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Frames_Online_Warn',
   'Warning',
   'Real_Storage:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unref_Interval_Cnt_Crit',
   'Critical',
   'Real_Storage:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unref_Interval_Cnt_Warn',
   'Warning',
   'Real_Storage:410',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from realstor4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             Real_Storage                              *
* *  Table:              REALSTOR                                  *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  04/24/06 DELLI      Added columns STARTADDR, ENDADDR,         * 
* *                       AREAFRAMES, AREAFIXFR, AREASIZEK,        *
* *                       TOTFIXR for M5410                        *
* *  08/04/06 RPERINI    Removed columns MIGCOUNT, PGFREXPCNT,     *
* *                      PGTOEXPCNT                                *
* *  07/11/08 mryan      Correct VISISBLE to VISIBLE               *
* *  07/28/08 mryan      Set to READONLY                           *
* *  08/12/15 DGOLD      Removed column RESERVE1                   *
* *  02/27/09 JFIED      Add FRMSUSEPCT column for M5420           *
* *                      Interim Fix 1                             * 
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Real_Storage:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Real Storage;
* DESC=Real storage areas utilization measures systemwide (V4201);
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* TABLE=KM5.REALSTOR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE 
* COLUMNS=STORTYPE
* COLUMNS=STARTADDR
* COLUMNS=ENDADDR  
* COLUMNS=AREAFRAMES
* COLUMNS=AREAFIXFR
* COLUMNS=AREASIZEK
* COLUMNS=ONLINEFR
* COLUMNS=OFFLINEFR
* COLUMNS=TOTFRAMES   
* COLUMNS=TOTFIXFR
* COLUMNS=AVAILFR    
* COLUMNS=UNREFINT
* COLUMNS=MIGAGE
* COLUMNS=MIGRATE
* COLUMNS=PGFREXP
* COLUMNS=PGTOEXP
* COLUMNS=FRMSUSEPCT
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Available_Frames_Crit Critical;
* SITNAME OS390_Available_Frames_Warn Warning;
* SITNAME OS390_Frames_Online_Crit Critical;
* SITNAME OS390_Frames_Online_Warn Warning;
* SITNAME OS390_Unref_Interval_Cnt_Crit Critical;
* SITNAME OS390_Unref_Interval_Cnt_Warn Warning;
* SITNAME KM5_Storage_Shortage_Warning Warning;
* SITNAME KM5_Storage_Shortage_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Available_Frames_Crit' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Available_Frames_Warn' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Frames_Online_Crit' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Frames_Online_Warn' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unref_Interval_Cnt_Crit' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Unref_Interval_Cnt_Warn' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_Storage_Shortage_Warning' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_Storage_Shortage_Critical' AND 
 TEMPLATE = 'Real_Storage:4201';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Real_Storage:4201' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Real_Storage:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Real_Storage:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'D',
  'Real Storage',
  'Real storage areas utilization measures systemwide (V4201)',
  'IBM',
  '1150305065347000',
'at=$THRUNODE$@table1.name=REALSTOR@table1.column1.name=ORIGINNODE@table1.column2.name=STORTYPE@table1.column3.name=STARTADDR@table1.column4.name=ENDADDR@table1.column5.name=AREAFRAMES@table1.column6.name=AREAFIXFR@table1.column7.name=AREASIZEK@table1.column8.name=ONLINEFR@table1.column9.name=OFFLINEFR@table1.column10.name=TOTFRAMES@table1.column11.name=TOTFIXFR@table1.column12.name=AVAILFR@table1.column13.name=UNREFINT@table1.column14.name=MIGAGE@table1.column15.name=MIGRATE@table1.column16.name=PGFREXP@table1.column17.name=PGTOEXP@table1.column18.name=FRMSUSEPCT@table1.columnCount=18@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000W000000000',
   32,
   259,
   '1150305065347000',
   '_ KCJ',
   'Real_Storage:4201',
   'Real Storage'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Real_Storage:4201',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Real_Storage:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Available_Frames_Crit',
   'Critical',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Available_Frames_Warn',
   'Warning',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Frames_Online_Crit',
   'Critical',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Frames_Online_Warn',
   'Warning',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unref_Interval_Cnt_Crit',
   'Critical',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Unref_Interval_Cnt_Warn',
   'Warning',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_Storage_Shortage_Warning',
   'Warning',
   'Real_Storage:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_Storage_Shortage_Critical',
   'Critical',
   'Real_Storage:4201',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from storstatD4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             KM5_Storage_Shortage_Details              *
* *  Table:              KM5STGSTAT                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  08/14/09 SSANT      Created for M5420 Interim Fix 1           *
* *  09/08/09 mjr        Add predicate shlevel filter.    dr113220 *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Storage_Shortage_Details:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Storage Shortage Details;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage Shortage Details (V4201);
* TABLE=KM5.KM5STGSTAT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, RECTYPE, STGSHTYPE, STGSHLEVL;    
* COLUMNS=FRAMETYPE, EVENTRATE, TIMESPAN, FRAMESREQD, FRAMESUSED;     
* COLUMNS=FRAMESRPCT, TIMEEVENT, EVENTSTAT;  
* PRED=ORIGINNODE = $NODE$;
* PRED=AND STGSHTYPE = $DETLSHTYPE$;
* PRED=AND TIMEEVENT = $DETLEVTIME$;
* PRED=AND RECTYPE = $DETLRECTYPE$;
* PRED=AND STGSHLEVL = $DETLSHLEVL$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Storage_Shortage_Details:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Storage_Shortage_Details:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Storage Shortage Details',
  'Storage Shortage Details (V4201)',
  'IBM',
  '1150305065347000',
'at=$THRUNODE$@table1.name=KM5STGSTAT@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=RECTYPE@table1.column5.name=STGSHTYPE@table1.column6.name=STGSHLEVL@table1.column7.name=FRAMETYPE@table1.column8.name=EVENTRATE@table1.column9.name=TIMESPAN@table1.column10.name=FRAMESREQD@table1.column11.name=FRAMESUSED@table1.column12.name=FRAMESRPCT@table1.column13.name=TIMEEVENT@table1.column14.name=EVENTSTAT@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=STGSHTYPE@filter2.operator=EQ@filter2.value=$DETLSHTYPE$@filter3.connector=AND@filter3.column=TIMEEVENT@filter3.operator=EQ@filter3.value=$DETLEVTIME$@filter4.connector=AND@filter4.column=RECTYPE@filter4.operator=EQ@filter4.value=$DETLRECTYPE$@filter5.connector=AND@filter5.column=STGSHLEVL@filter5.operator=EQ@filter5.value=$DETLSHLEVL$@filterCount=5@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from storstatS4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             KM5_Storage_Shortage_Summary              *
* *  Table:              KM5STGSTAT                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  08/14/09 SSANT      Created for M5420 Interim Fix 1           *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Storage_Shortage_Summary:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Storage Shortage Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage Shortage Summary (V4201);
* TABLE=KM5.KM5STGSTAT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, RECTYPE, STGSHTYPE, STGSHLEVL;    
* COLUMNS=FRAMETYPE, EVENTRATE, TIMESPAN, FRAMESREQD, FRAMESUSED;     
* COLUMNS=FRAMESRPCT, TIMEEVENT, EVENTSTAT;  
* PRED=ORIGINNODE = $NODE$;
* PRED=AND RECTYPE = $SUMMRECTYPE$;
* PRED=AND EVENTSTAT = $SUMMEVSTAT$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Storage_Shortage_Summary:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Storage_Shortage_Summary:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Storage Shortage Summary',
  'Storage Shortage Summary (V4201)',
  'IBM',
  '1150305065348000',
'at=$THRUNODE$@table1.name=KM5STGSTAT@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=RECTYPE@table1.column5.name=STGSHTYPE@table1.column6.name=STGSHLEVL@table1.column7.name=FRAMETYPE@table1.column8.name=EVENTRATE@table1.column9.name=TIMESPAN@table1.column10.name=FRAMESREQD@table1.column11.name=FRAMESUSED@table1.column12.name=FRAMESRPCT@table1.column13.name=TIMEEVENT@table1.column14.name=EVENTSTAT@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=RECTYPE@filter2.operator=EQ@filter2.value=$SUMMRECTYPE$@filter3.connector=AND@filter3.column=EVENTSTAT@filter3.operator=EQ@filter3.value=$SUMMEVSTAT$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from storstatT4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             KM5_Storage_Shortage_Trends               *
* *  Table:              KM5STGSTAT                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  08/14/09 SSANT      Created for M5420 Interim Fix 1           *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Storage_Shortage_Trends:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=Storage Shortage Trends;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage Shortage Trends (V4201);
* TABLE=KM5.KM5STGSTAT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, ASNAME, ASID, RECTYPE, STGSHTYPE, STGSHLEVL;    
* COLUMNS=FRAMETYPE, EVENTRATE, TIMESPAN, FRAMESREQD, FRAMESUSED;     
* COLUMNS=FRAMESRPCT, TIMEEVENT, EVENTSTAT;  
* PRED=ORIGINNODE = $NODE$;
* PRED=AND STGSHTYPE = $TRENDSHTYPE$;
* PRED=AND RECTYPE = $TRENDRECTYPE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Storage_Shortage_Trends:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Storage_Shortage_Trends:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'Storage Shortage Trends',
  'Storage Shortage Trends (V4201)',
  'IBM',
  '1150305065348000',
'at=$THRUNODE$@table1.name=KM5STGSTAT@table1.column1.name=ORIGINNODE@table1.column2.name=ASNAME@table1.column3.name=ASID@table1.column4.name=RECTYPE@table1.column5.name=STGSHTYPE@table1.column6.name=STGSHLEVL@table1.column7.name=FRAMETYPE@table1.column8.name=EVENTRATE@table1.column9.name=TIMESPAN@table1.column10.name=FRAMESREQD@table1.column11.name=FRAMESUSED@table1.column12.name=FRAMESRPCT@table1.column13.name=TIMEEVENT@table1.column14.name=EVENTSTAT@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=STGSHTYPE@filter2.operator=EQ@filter2.value=$TRENDSHTYPE$@filter3.connector=AND@filter3.column=RECTYPE@filter3.operator=EQ@filter3.value=$TRENDRECTYPE$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from syscpuut.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             System_CPU_Utilization                  *
* *  Table:              SYSCPUUTIL                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns AVGSUPPCT, AVGSUPCPP,     *
* *                       SUPONLINE, SUPOFFLINE, SUPHONORPR,     *
* *                       SUPRELPSPD for zIIP support in M5410   *
* *  08/04/06 RPERINI    Removed columns TOTIFATM, TOTIFACPTM    *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=System_CPU_Utilization;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=System CPU Utilization;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Overall MVS image CPU utilization measures;
* TABLE=KM5.SYSCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AVGCPUPCT, RMFMVSCPU, RMFLPARCPU, TOTTCBPCT;
* COLUMNS=TOTSRBPCT, AVGIFAPCT, AVGIFACPP, AVGSUPPCT, AVGSUPCPP;
* COLUMNS=MVSOVRHD, ROLLAVG, UNDISPTSK, LCPDPCT, PCPDPCT, OVHDPCT;
* COLUMNS=CPUONLINE, CPUOFFLINE, PCPUCOUNT, IFAONLINE, IFAOFFLINE;
* COLUMNS=SUPONLINE, SUPOFFLINE, CPUFLAG, TOTENCPCT, WLMMODE;
* COLUMNS=IFACROSSVR, IFAHONORPR, IFARELPSPD;
* COLUMNS=SUPHONORPR, SUPRELPSPD;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_AvgCPU_Pct_Crit Critical;
* SITNAME OS390_AvgCPU_Pct_Warn Warning;
* SITNAME OS390_LPAR_OverheadPercent_Crit Critical;
* SITNAME OS390_LPAR_OverheadPercent_Warn Warning;
* SITNAME OS390_Undispatched_Tasks_Crit Critical;
* SITNAME OS390_Undispatched_Tasks_Warn Warning;
* SITNAME OS390_Physical_CPUs_Online_Crit Critical;
* SITNAME OS390_Physical_CPUs_Online_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'System_CPU_Utilization';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'System_CPU_Utilization',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'System CPU Utilization',
  'Overall MVS image CPU utilization measures',
  'Candle',
  '1150305065348000',
'at=$THRUNODE$@table1.name=SYSCPUUTIL@table1.column1.name=ORIGINNODE@table1.column2.name=AVGCPUPCT@table1.column3.name=RMFMVSCPU@table1.column4.name=RMFLPARCPU@table1.column5.name=TOTTCBPCT@table1.column6.name=TOTSRBPCT@table1.column7.name=AVGIFAPCT@table1.column8.name=AVGIFACPP@table1.column9.name=AVGSUPPCT@table1.column10.name=AVGSUPCPP@table1.column11.name=MVSOVRHD@table1.column12.name=ROLLAVG@table1.column13.name=UNDISPTSK@table1.column14.name=LCPDPCT@table1.column15.name=PCPDPCT@table1.column16.name=OVHDPCT@table1.column17.name=CPUONLINE@table1.column18.name=CPUOFFLINE@table1.column19.name=PCPUCOUNT@table1.column20.name=IFAONLINE@table1.column21.name=IFAOFFLINE@table1.column22.name=SUPONLINE@table1.column23.name=SUPOFFLINE@table1.column24.name=CPUFLAG@table1.column25.name=TOTENCPCT@table1.column26.name=WLMMODE@table1.column27.name=IFACROSSVR@table1.column28.name=IFAHONORPR@table1.column29.name=IFARELPSPD@table1.column30.name=SUPHONORPR@table1.column31.name=SUPRELPSPD@table1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065348000',
   '_ KCJ',
   'System_CPU_Utilization',
   'System CPU Utilization'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'System_CPU_Utilization',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Crit',
   'Critical',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Warn',
   'Warning',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Crit',
   'Critical',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Warn',
   'Warning',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Crit',
   'Critical',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Warn',
   'Warning',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Crit',
   'Critical',
   'System_CPU_Utilization',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Warn',
   'Warning',
   'System_CPU_Utilization',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from syscpuut410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             System_CPU_Utilization                  *
* *  Table:              SYSCPUUTIL                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/28/06 LHART      Added columns AVGSUPPCT, AVGSUPCPP,     *
* *                       SUPONLINE, SUPOFFLINE, SUPHONORPR,     *
* *                       SUPRELPSPD for zIIP support in M5410   *
* *  08/04/06 RPERINI    Removed columns TOTIFATM, TOTIFACPTM    *
* *  08/15/07 BKEALY     Add column VCMMODE for VCM support      *
* *                       in M5410, OAxxxxx, UAxxxxx             *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=System_CPU_Utilization:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=System CPU Utilization;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Overall MVS image CPU utilization measures (V410);
* TABLE=KM5.SYSCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AVGCPUPCT, RMFMVSCPU, RMFLPARCPU, TOTTCBPCT;
* COLUMNS=TOTSRBPCT, AVGIFAPCT, AVGIFACPP, AVGSUPPCT, AVGSUPCPP;
* COLUMNS=MVSOVRHD, ROLLAVG, VCMMODE;
* COLUMNS=LCPDPCT, PCPDPCT, OVHDPCT, UNDISPTSK;
* COLUMNS=CPUONLINE, CPUOFFLINE, PCPUCOUNT, IFAONLINE, IFAOFFLINE;
* COLUMNS=SUPONLINE, SUPOFFLINE, CPUFLAG, TOTENCPCT, WLMMODE;
* COLUMNS=IFACROSSVR, IFAHONORPR, IFARELPSPD;
* COLUMNS=SUPHONORPR, SUPRELPSPD;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_AvgCPU_Pct_Crit Critical;
* SITNAME OS390_AvgCPU_Pct_Warn Warning;
* SITNAME OS390_LPAR_OverheadPercent_Crit Critical;
* SITNAME OS390_LPAR_OverheadPercent_Warn Warning;
* SITNAME OS390_Undispatched_Tasks_Crit Critical;
* SITNAME OS390_Undispatched_Tasks_Warn Warning;
* SITNAME OS390_Physical_CPUs_Online_Crit Critical;
* SITNAME OS390_Physical_CPUs_Online_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:410' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'System_CPU_Utilization:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'System_CPU_Utilization:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'D',
  'System CPU Utilization',
  'Overall MVS image CPU utilization measures (V410)',
  'Candle',
  '1150305065349000',
'at=$THRUNODE$@table1.name=SYSCPUUTIL@table1.column1.name=ORIGINNODE@table1.column2.name=AVGCPUPCT@table1.column3.name=RMFMVSCPU@table1.column4.name=RMFLPARCPU@table1.column5.name=TOTTCBPCT@table1.column6.name=TOTSRBPCT@table1.column7.name=AVGIFAPCT@table1.column8.name=AVGIFACPP@table1.column9.name=AVGSUPPCT@table1.column10.name=AVGSUPCPP@table1.column11.name=MVSOVRHD@table1.column12.name=ROLLAVG@table1.column13.name=VCMMODE@table1.column14.name=LCPDPCT@table1.column15.name=PCPDPCT@table1.column16.name=OVHDPCT@table1.column17.name=UNDISPTSK@table1.column18.name=CPUONLINE@table1.column19.name=CPUOFFLINE@table1.column20.name=PCPUCOUNT@table1.column21.name=IFAONLINE@table1.column22.name=IFAOFFLINE@table1.column23.name=SUPONLINE@table1.column24.name=SUPOFFLINE@table1.column25.name=CPUFLAG@table1.column26.name=TOTENCPCT@table1.column27.name=WLMMODE@table1.column28.name=IFACROSSVR@table1.column29.name=IFAHONORPR@table1.column30.name=IFARELPSPD@table1.column31.name=SUPHONORPR@table1.column32.name=SUPRELPSPD@table1.columnCount=32@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000008000000000',
   32,
   259,
   '1150305065349000',
   '_ KCJ',
   'System_CPU_Utilization:410',
   'System CPU Utilization'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:410',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'System_CPU_Utilization:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Crit',
   'Critical',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Warn',
   'Warning',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Crit',
   'Critical',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Warn',
   'Warning',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Crit',
   'Critical',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Warn',
   'Warning',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Crit',
   'Critical',
   'System_CPU_Utilization:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Warn',
   'Warning',
   'System_CPU_Utilization:410',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from syscpuut4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             System_CPU_Utilization                    *
* *  Table:              SYSCPUUTIL                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns AVGSUPPCT, AVGSUPCPP,       *
* *                       SUPONLINE, SUPOFFLINE, SUPHONORPR,       *
* *                       SUPRELPSPD for zIIP support in M5410     *
* *  08/04/06 RPERINI    Removed columns TOTIFATM, TOTIFACPTM      *
* *  08/15/07 BKEALY     Add column VCMMODE for VCM support        *
* *                       in M5410, OAxxxxx, UAxxxxx               *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns PCTMSUCP, LPARGRPCAP,         *
* *                      LPARGRPNAM, GRPLPARLIM, AVGUGPMSUS for    *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=System_CPU_Utilization:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=System CPU Utilization;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Overall MVS image CPU utilization measures (V4201);
* TABLE=KM5.SYSCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AVGCPUPCT, RMFMVSCPU, RMFLPARCPU, TOTTCBPCT;
* COLUMNS=TOTSRBPCT, AVGIFAPCT, AVGIFACPP, AVGSUPPCT, AVGSUPCPP;
* COLUMNS=MVSOVRHD, ROLLAVG; 
* COLUMNS=PCTMSUCP, LPARGRPCAP, LPARGRPNAM, GRPLPARLIM, AVGUGPMSUS;
* COLUMNS=VCMMODE;
* COLUMNS=LCPDPCT, PCPDPCT, OVHDPCT, UNDISPTSK;
* COLUMNS=CPUONLINE, CPUOFFLINE, PCPUCOUNT, IFAONLINE, IFAOFFLINE;
* COLUMNS=SUPONLINE, SUPOFFLINE, CPUFLAG, TOTENCPCT, WLMMODE;
* COLUMNS=IFACROSSVR, IFAHONORPR, IFARELPSPD;
* COLUMNS=SUPHONORPR, SUPRELPSPD;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_AvgCPU_Pct_Crit Critical;
* SITNAME OS390_AvgCPU_Pct_Warn Warning;
* SITNAME OS390_LPAR_OverheadPercent_Crit Critical;
* SITNAME OS390_LPAR_OverheadPercent_Warn Warning;
* SITNAME OS390_Undispatched_Tasks_Crit Critical;
* SITNAME OS390_Undispatched_Tasks_Warn Warning;
* SITNAME OS390_Physical_CPUs_Online_Crit Critical;
* SITNAME OS390_Physical_CPUs_Online_Warn Warning;
* SITNAME KM5_LPAR_Cap_Warn Warning;
* SITNAME KM5_LPAR_MSU_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Crit' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_LPAR_Cap_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_LPAR_MSU_Warn' AND 
 TEMPLATE = 'System_CPU_Utilization:4201';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'System_CPU_Utilization:4201' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'System_CPU_Utilization:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'System_CPU_Utilization:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'D',
  'System CPU Utilization',
  'Overall MVS image CPU utilization measures (V4201)',
  'Candle',
  '1150305065349000',
'at=$THRUNODE$@table1.name=SYSCPUUTIL@table1.column1.name=ORIGINNODE@table1.column2.name=AVGCPUPCT@table1.column3.name=RMFMVSCPU@table1.column4.name=RMFLPARCPU@table1.column5.name=TOTTCBPCT@table1.column6.name=TOTSRBPCT@table1.column7.name=AVGIFAPCT@table1.column8.name=AVGIFACPP@table1.column9.name=AVGSUPPCT@table1.column10.name=AVGSUPCPP@table1.column11.name=MVSOVRHD@table1.column12.name=ROLLAVG@table1.column13.name=PCTMSUCP@table1.column14.name=LPARGRPCAP@table1.column15.name=LPARGRPNAM@table1.column16.name=GRPLPARLIM@table1.column17.name=AVGUGPMSUS@table1.column18.name=VCMMODE@table1.column19.name=LCPDPCT@table1.column20.name=PCPDPCT@table1.column21.name=OVHDPCT@table1.column22.name=UNDISPTSK@table1.column23.name=CPUONLINE@table1.column24.name=CPUOFFLINE@table1.column25.name=PCPUCOUNT@table1.column26.name=IFAONLINE@table1.column27.name=IFAOFFLINE@table1.column28.name=SUPONLINE@table1.column29.name=SUPOFFLINE@table1.column30.name=CPUFLAG@table1.column31.name=TOTENCPCT@table1.column32.name=WLMMODE@table1.column33.name=IFACROSSVR@table1.column34.name=IFAHONORPR@table1.column35.name=IFARELPSPD@table1.column36.name=SUPHONORPR@table1.column37.name=SUPRELPSPD@table1.columnCount=37@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000W000000000',
   32,
   259,
   '1150305065349000',
   '_ KCJ',
   'System_CPU_Utilization:4201',
   'System CPU Utilization'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'System_CPU_Utilization:4201',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'System_CPU_Utilization:4201',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Crit',
   'Critical',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Warn',
   'Warning',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Crit',
   'Critical',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Warn',
   'Warning',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Crit',
   'Critical',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Warn',
   'Warning',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Crit',
   'Critical',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Warn',
   'Warning',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_LPAR_Cap_Warn',
   'Warning',
   'System_CPU_Utilization:4201',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_LPAR_MSU_Warn',
   'Warning',
   'System_CPU_Utilization:4201',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from syscpuut5101.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5101                                      *
* *  Report:             System_CPU_Utilization                    *
* *  Table:              SYSCPUUTIL                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  06/28/06 LHART      Added columns AVGSUPPCT, AVGSUPCPP,       *
* *                       SUPONLINE, SUPOFFLINE, SUPHONORPR,       *
* *                       SUPRELPSPD for zIIP support in M5410     *
* *  08/04/06 RPERINI    Removed columns TOTIFATM, TOTIFACPTM      *
* *  08/15/07 BKEALY     Add column VCMMODE for VCM support        *
* *                       in M5410, OAxxxxx, UAxxxxx               *
* *  07/28/08 mryan      Set to READONLY                           *
* *  07/31/09 JFIED      Add columns PCTMSUCP, LPARGRPCAP,         *
* *                      LPARGRPNAM, GRPLPARLIM, AVGUGPMSUS for    *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *  02/16/14 ilardiro   Add column RMFMVSCSN (with VISIBLE=N to   *
* *                      avoid additioanal nav-tree leaf/branch    *
* *                      due to globalized previous query versions)*
* *                      feature 209605  OA44405                   *
* *  05/01/14 ilardiro   Correct Desc resource id                  *
* *                      cmvc defect 210489                        *
* *                                                                *
* ******************************************************************
* *                                                                *
* * If a new version of this query is created and used for a new   *
* * workspace or workspace version update                          *
* * src\candle\km5\resources\Km5Ids.java and Km5Bundle.java with   *
* * new 'IDs' for tthe IDENT= and DESC= strings and replace the    *
* * English with these IDs before running Km5Bundle.java and       *
* * BuildPresentation.  A new AFFINITY will be needed as well.     *
* *                                                                *
* * note: KM5__510_IF2_1387, "System_CPU_Utilization:5101"         * 
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5__510_IF2_1387;
* AFFINITY=0W00000000000000000000000000000040000000000;
* NAME=Km5:KM52827;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Km5:KM5__510_IF2_1388;
* TABLE=KM5.SYSCPUUTIL;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, AVGCPUPCT, RMFMVSCPU, RMFLPARCPU, TOTTCBPCT;
* COLUMNS=TOTSRBPCT, AVGIFAPCT, AVGIFACPP, AVGSUPPCT, AVGSUPCPP;
* COLUMNS=MVSOVRHD, ROLLAVG; 
* COLUMNS=PCTMSUCP, LPARGRPCAP, LPARGRPNAM, GRPLPARLIM, AVGUGPMSUS;
* COLUMNS=VCMMODE;
* COLUMNS=LCPDPCT, PCPDPCT, OVHDPCT, UNDISPTSK;
* COLUMNS=CPUONLINE, CPUOFFLINE, PCPUCOUNT, IFAONLINE, IFAOFFLINE;
* COLUMNS=SUPONLINE, SUPOFFLINE, CPUFLAG, TOTENCPCT, WLMMODE;
* COLUMNS=IFACROSSVR, IFAHONORPR, IFARELPSPD;
* COLUMNS=SUPHONORPR, SUPRELPSPD, RMFMVSCSN;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_AvgCPU_Pct_Crit Critical;
* SITNAME OS390_AvgCPU_Pct_Warn Warning;
* SITNAME OS390_LPAR_OverheadPercent_Crit Critical;
* SITNAME OS390_LPAR_OverheadPercent_Warn Warning;
* SITNAME OS390_Undispatched_Tasks_Crit Critical;
* SITNAME OS390_Undispatched_Tasks_Warn Warning;
* SITNAME OS390_Physical_CPUs_Online_Crit Critical;
* SITNAME OS390_Physical_CPUs_Online_Warn Warning;
* SITNAME KM5_LPAR_Cap_Warn Warning;
* SITNAME KM5_LPAR_MSU_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5__510_IF2_1387';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_AvgCPU_Pct_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_LPAR_OverheadPercent_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Undispatched_Tasks_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Physical_CPUs_Online_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_LPAR_Cap_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_LPAR_MSU_Warn' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5__510_IF2_1387',
  'KM5',
  '0W00000000000000000000000000000040000000000',
  'P',
  'Km5:KM52827',
  'Km5:KM5__510_IF2_1388',
  'Candle',
  '1150305065350000',
'at=$THRUNODE$@table1.name=SYSCPUUTIL@table1.column1.name=ORIGINNODE@table1.column2.name=AVGCPUPCT@table1.column3.name=RMFMVSCPU@table1.column4.name=RMFLPARCPU@table1.column5.name=TOTTCBPCT@table1.column6.name=TOTSRBPCT@table1.column7.name=AVGIFAPCT@table1.column8.name=AVGIFACPP@table1.column9.name=AVGSUPPCT@table1.column10.name=AVGSUPCPP@table1.column11.name=MVSOVRHD@table1.column12.name=ROLLAVG@table1.column13.name=PCTMSUCP@table1.column14.name=LPARGRPCAP@table1.column15.name=LPARGRPNAM@table1.column16.name=GRPLPARLIM@table1.column17.name=AVGUGPMSUS@table1.column18.name=VCMMODE@table1.column19.name=LCPDPCT@table1.column20.name=PCPDPCT@table1.column21.name=OVHDPCT@table1.column22.name=UNDISPTSK@table1.column23.name=CPUONLINE@table1.column24.name=CPUOFFLINE@table1.column25.name=PCPUCOUNT@table1.column26.name=IFAONLINE@table1.column27.name=IFAOFFLINE@table1.column28.name=SUPONLINE@table1.column29.name=SUPOFFLINE@table1.column30.name=CPUFLAG@table1.column31.name=TOTENCPCT@table1.column32.name=WLMMODE@table1.column33.name=IFACROSSVR@table1.column34.name=IFAHONORPR@table1.column35.name=IFARELPSPD@table1.column36.name=SUPHONORPR@table1.column37.name=SUPRELPSPD@table1.column38.name=RMFMVSCSN@table1.columnCount=38@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Crit',
   'Critical',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_AvgCPU_Pct_Warn',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Crit',
   'Critical',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_LPAR_OverheadPercent_Warn',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Crit',
   'Critical',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Undispatched_Tasks_Warn',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Crit',
   'Critical',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Physical_CPUs_Online_Warn',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_LPAR_Cap_Warn',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_LPAR_MSU_Warn',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from tapedrvs.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Tape_Drives                             *
* *  Table:              TAPEDRVS                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  10/17/06 DEE   DR37389 Rename OS390_Tape_Permanent_Errors_  *
* *                 to OS390_Tape_Permanent_Error_Crit/Warn      *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Tape_Drives;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Tape Drives;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Tape device status and activity for this MVS image.;
* TABLE=KM5.TAPEDRVS;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, DRPREADY, TPMTWAIT, NOTRESPND, DDRSWP, ADDRESS;
* COLUMNS=VOLSER, USER, STATUS, IOCOUNT, PRMERR, TEMPERR;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Tape_Permanent_Error_Crit Critical;
* SITNAME OS390_Tape_Permanent_Error_Warn Warning;
* SITNAME OS390_Tape_Dropped_Ready_Crit Critical;
* SITNAME OS390_Tape_Dropped_Ready_Warn Warning;
* SITNAME OS390_Tape_Temp_Errors_Crit Critical;
* SITNAME OS390_Tape_Temp_Errors_Warn Warning;
* SITNAME OS390_Tape_Not_Responding_Crit Critical;
* SITNAME OS390_Tape_Not_Responding_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Permanent_Error_Crit' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Permanent_Error_Warn' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Dropped_Ready_Crit' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Dropped_Ready_Warn' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Temp_Errors_Crit' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Temp_Errors_Warn' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Not_Responding_Crit' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Not_Responding_Warn' AND 
 TEMPLATE = 'Tape_Drives';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Tape_Drives';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Tape_Drives',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Tape Drives',
  'Tape device status and activity for this MVS image.',
  'Candle',
  '1150305065350000',
'at=$THRUNODE$@table1.name=TAPEDRVS@table1.column1.name=ORIGINNODE@table1.column2.name=DRPREADY@table1.column3.name=TPMTWAIT@table1.column4.name=NOTRESPND@table1.column5.name=DDRSWP@table1.column6.name=ADDRESS@table1.column7.name=VOLSER@table1.column8.name=USER@table1.column9.name=STATUS@table1.column10.name=IOCOUNT@table1.column11.name=PRMERR@table1.column12.name=TEMPERR@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065350000',
   '_ KCJ',
   'Tape_Drives',
   'Tape Drives'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Tape_Drives',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Permanent_Error_Crit',
   'Critical',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Permanent_Error_Warn',
   'Warning',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Dropped_Ready_Crit',
   'Critical',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Dropped_Ready_Warn',
   'Warning',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Temp_Errors_Crit',
   'Critical',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Temp_Errors_Warn',
   'Warning',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Not_Responding_Crit',
   'Critical',
   'Tape_Drives',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Not_Responding_Warn',
   'Warning',
   'Tape_Drives',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from tapedrvs410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Tape_Drives                             *
* *  Table:              TAPEDRVS                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IORATE, PAVCOUNT, OPENALLOC, STRGROUP,  *
* *                      LCUNUM, DEVBUSY, CUBUSY, DIRPBUSY,      *
* *                      IOSQUEUE, IOPEND, IOCONN, IODISCON,     *
* *                      and PCTRESERVE.                         * 
* *  04/15/06 LHART      Added TPMTWTTM column and               *
* *                      Tape_Mount_Pend... SITNAMES for M5410   *
* *  10/17/06 DEE   DR37389 Rename OS390_Tape_Permanent_Errors_  *
* *                 to OS390_Tape_Permanent_Error_Crit/Warn      *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Tape_Drives:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=Tape Drives;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Tape device status and activity for this MVS image (V410);
* TABLE=KM5.TAPEDRVS;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, DRPREADY, TPMTWAIT, NOTRESPND, DDRSWP, ADDRESS;
* COLUMNS=VOLSER, USER, STATUS, IOCOUNT, PRMERR, TEMPERR, TPMTWTTM;
* PRED=ORIGINNODE = $NODE$;
* SITNAME OS390_Tape_Permanent_Error_Crit Critical;
* SITNAME OS390_Tape_Permanent_Error_Warn Warning;
* SITNAME OS390_Tape_Dropped_Ready_Crit Critical;
* SITNAME OS390_Tape_Dropped_Ready_Warn Warning;
* SITNAME OS390_Tape_Temp_Errors_Crit Critical;
* SITNAME OS390_Tape_Temp_Errors_Warn Warning;
* SITNAME OS390_Tape_Not_Responding_Crit Critical;
* SITNAME OS390_Tape_Not_Responding_Warn Warning;
* SITNAME OS390_Tape_Mount_Pend_Time_Crit Critical;
* SITNAME OS390_Tape_Mount_Pend_Time_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Permanent_Error_Crit' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Permanent_Error_Warn' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Dropped_Ready_Crit' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Dropped_Ready_Warn' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Temp_Errors_Crit' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Temp_Errors_Warn' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Not_Responding_Crit' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Not_Responding_Warn' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Mount_Pend_Time_Crit' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'OS390_Tape_Mount_Pend_Time_Warn' AND 
 TEMPLATE = 'Tape_Drives:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Tape_Drives:410' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Tape_Drives:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Tape_Drives:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'D',
  'Tape Drives',
  'Tape device status and activity for this MVS image (V410)',
  'IBM',
  '1150305065350000',
'at=$THRUNODE$@table1.name=TAPEDRVS@table1.column1.name=ORIGINNODE@table1.column2.name=DRPREADY@table1.column3.name=TPMTWAIT@table1.column4.name=NOTRESPND@table1.column5.name=DDRSWP@table1.column6.name=ADDRESS@table1.column7.name=VOLSER@table1.column8.name=USER@table1.column9.name=STATUS@table1.column10.name=IOCOUNT@table1.column11.name=PRMERR@table1.column12.name=TEMPERR@table1.column13.name=TPMTWTTM@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000008000000000',
   32,
   259,
   '1150305065350000',
   '_ KCJ',
   'Tape_Drives:410',
   'Tape Drives'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Tape_Drives:410',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Tape_Drives:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Permanent_Error_Crit',
   'Critical',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Permanent_Error_Warn',
   'Warning',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Dropped_Ready_Crit',
   'Critical',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Dropped_Ready_Warn',
   'Warning',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Temp_Errors_Crit',
   'Critical',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Temp_Errors_Warn',
   'Warning',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Not_Responding_Crit',
   'Critical',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Not_Responding_Warn',
   'Warning',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Mount_Pend_Time_Crit',
   'Critical',
   'Tape_Drives:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'OS390_Tape_Mount_Pend_Time_Warn',
   'Warning',
   'Tape_Drives:410',
   0
);


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vcmlpar410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             HiperDispatch_Details                   *
* *  Table:              VCMLPAR                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM LPAR level     *
* *                      (NOTE: VCM is Vertical CPU Management)  * 
* *                      information in M5410, OAxxxxx, UAxxxxx  *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=HiperDispatch_LPAR:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=HiperDispatch LPAR;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=LPAR Level information for HiperDispatch Management (V410);
* TABLE=KM5.VCMLPAR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, VCMMODE, LPARNAME, LPARCLUS, LPARGRP;
* COLUMNS=LCPUTYPE, CURWGT, MINWGT, MAXWGT;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LPAR:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LPAR:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'HiperDispatch LPAR',
  'LPAR Level information for HiperDispatch Management (V410)',
  'IBM',
  '1150305065351000',
'at=$THRUNODE$@table1.name=VCMLPAR@table1.column1.name=ORIGINNODE@table1.column2.name=VCMMODE@table1.column3.name=LPARNAME@table1.column4.name=LPARCLUS@table1.column5.name=LPARGRP@table1.column6.name=LCPUTYPE@table1.column7.name=CURWGT@table1.column8.name=MINWGT@table1.column9.name=MAXWGT@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vcmlpar4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             HiperDispatch_Details                     *
* *  Table:              VCMLPAR                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM LPAR level       *
* *                      (NOTE: VCM is Vertical CPU Management)    * 
* *                      information in M5410, OAxxxxx, UAxxxxx    *
* *  07/28/08 mryan      Set to READONLY                           *
* *  02/27/09 JFIED      Add SYSMVSPCT & SYSPCPDPCT columns for    *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=HiperDispatch_LPAR:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=HiperDispatch LPAR;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=LPAR Level information for HiperDispatch Management (V4201);
* TABLE=KM5.VCMLPAR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, VCMMODE, LPARNAME, LPARCLUS, LPARGRP;
* COLUMNS=LCPUTYPE, CURWGT, MINWGT, MAXWGT, SYSMVSPCT, SYSPCPDPCT;
* PRED=ORIGINNODE = $NODE$;
* SITNAME KM5_HDSP_MVS_Pct_Busy_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LPAR:4201';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_HDSP_MVS_Pct_Busy_Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LPAR:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'HiperDispatch LPAR',
  'LPAR Level information for HiperDispatch Management (V4201)',
  'IBM',
  '1150305065351000',
'at=$THRUNODE$@table1.name=VCMLPAR@table1.column1.name=ORIGINNODE@table1.column2.name=VCMMODE@table1.column3.name=LPARNAME@table1.column4.name=LPARCLUS@table1.column5.name=LPARGRP@table1.column6.name=LCPUTYPE@table1.column7.name=CURWGT@table1.column8.name=MINWGT@table1.column9.name=MAXWGT@table1.column10.name=SYSMVSPCT@table1.column11.name=SYSPCPDPCT@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_HDSP_MVS_Pct_Busy_Warning',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1298\VCMLPAR.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             HiperDispatch_Details                   *
* *  Table:              VCMLPAR                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM Processor level*
* *                      (NOTE: VCM is Vertical CPU Management)  * 
* *                      information in M5410, OAxxxxx, UAxxxxx  *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *  03/02/21 jflores    Co-existence for IBM Spec OA60576       *
* *                      V550 Compatibility (OA60576 YSZS-1298)  *
* *                      Use VCMLPAR instead of VCMLCPU which    *
* *                      includes columns of VCMLCPU             *
* *                      Hiperdispatch LCPU/LPAR queries use data*
* *                      in one table, but kept separate to avoid*
* *                      SITNAME conflicts.                      *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=HiperDispatch_LPAR:560;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=19;
* NAME=HiperDispatch LPAR;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=LPAR Level information for HiperDispatch Management (V560);
* TABLE=KM5.VCMLPAR;
* AT=$THRUNODE$;
* * COLUMNS=ORIGINNODE, VCMMODE, LPARNAME, LPARCLUS, LPARGRP;
* * COLUMNS=LCPUTYPE, CURWGT, MINWGT, MAXWGT, SYSMVSPCT, SYSPCPDPCT;
* *       Managed\System
* COLUMNS=ORIGINNODE;
* *       Managed system name where this data is collected .  It has
* *       the format <plexname>:<smfid>:MVSSYS. Where
* *       <plexname> is the sysplex this LPAR resides in
* *       <smfid>    is this LPAR's system management
* *                  facility name.
* *       HiperDispatch_Management
* COLUMNS=VCMMODE;
* *       Enumerated data type:
* *       Unavailable=0  HiperDispatch is not supported on this LPAR.
* *                      Either the required hardware is not installed
* *                      or the operating system does not support it.
* *       On=1           This LPAR is in HiperDispatch Mgmt mode
* *       Off=2,         This LPAR is not in HiperDispatch mode.
* *                      This could be due to either of two reasons.
* *                      The user may not have enabled it in
* *                      SYS1.PARMLIB.  The LPAR may not have
* *                      enough work to warrant it.
* * 
* *       This value will be repeated in all the rows of this table
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *       Logical Processor name as defined in the hardware console.
* * 
* *       This value will be repeated in all the rows of this table
* *       LPAR_Cluster
* COLUMNS=LPARCLUS;
* *       Logical Processor Cluster Name as defined in the hardware
* *       console.  LPARs that are members of the same cluster may
* *       share Central Processor and channel resources through the
* *       Intelligent Resource Director.
* * 
* *       This value will be repeated in all the rows of this table
* *       LPAR_Group
* COLUMNS=LPARGRP;
* *       Logical Processor Group name as defined in the hardware
* *       console.  LPARs in the same group may have a group capacity
* *       defined.  The sum of 4 hour rolling MSUs for the group may
* *       not exceed the group capacity.  LPARs may also have
* *       individual capacity limits.  An LPAR could be capped if
* *       either its individual limit is reached or the group total is
* *       reached.
* * 
* *       This value will be repeated in all the rows of this table
* *       Processor_Type
* COLUMNS=LCPUTYPE;
* *       Logical Processor Type.  Allowed values are:
* *       Standard=0, - standard processor
* *       zAAP=2,     - specialty processor for JAVA workloads
* *       zIIP=5,     - specialty processor mostly used by DB2
* *                     but can be used by other workloads.
* *       Current_Weight
* COLUMNS=CURWGT;
* *       Current weight for logical processors of this type in this
* *       LPAR.  The range is 0 - 999 for shared processors.  If LPAR
* *       uses dedicated CPs then 65,535.  If the associated processor
* *       type is not used in the LPAR then this value will be set to
* *       "undefined".  This will be done in the ODI via an
* *       enumeration which will assign "undefined"=-1.
* *       Minimum_Weight
* COLUMNS=MINWGT;
* *       Minimum weight that can be assigned to the set of logical
* *       CPUs of the associated type within the logical partition.
* *       The weight is in the range 0-999;
* *       except that it is 65,535 if the logical partition uses
* *       dedicated CPUs, and zero if no minimum weight was specified.
* *       If this processor type is not present in this LPAR the
* *       weight will be set to "undefined".  This will be done in the
* *       ODI via an enumeration which will assign "undefined"=-1.
* *       Maximum_Weight
* COLUMNS=MAXWGT;
* *       Maximum weight that can be assigned to the set of logical
* *       CPUs of the associated type within the logical partition.
* *       The weight is in the range 0-999; except that it is 65,535
* *       if the logical partition uses dedicated CPUs, and zero if no
* *       maximum weight was specified.  If this processor type is not
* *       present in this LPAR the weight will be set to "undefined".
* *       This will be done in the ODI via an enumeration which will
* *       assign "undefined"=-1.
* *       System_MVS_Pct
* COLUMNS=SYSMVSPCT;
* *       Formatted to 3 decimal places, this is the percentage of
* *       time that physical processors were dispatched to
* *       the logical processors in the LPAR, as viewed by z/OS.
* * 
* *       The value is calculated as:
* * 
* *              (Online Time - (Wait Time + Parked Time) * 100,000)
* *       MVS% = ---------------------------------------------------
* *                           Online Time - Parked Time
* * 
* *       Wait Time = LCCAWTIM, Parked Time = LCCX_TimeParked
* *       Online Time = logical processor online time as observed by
* *                     PR/SM and returned by Diagnose 204
* *       All 3 times are the sum of the values for all logical
* *       processors in the LPAR
* *       System_PCPD_Pct
* COLUMNS=SYSPCPDPCT;
* *       Formatted to 3 decimal places, this is the percentage of
* *       time that physical processors were dispatched to all of
* *       the logical processors in the LPAR, as viewed by PR/SM.
* *       Measurement_Interval
* COLUMNS=MEASUREINT;
* *       Formatted to 3 decimal places, this is the measurement
* *       interval for the data in this table.
* PRED=ORIGINNODE = $NODE$;
* SITNAME KM5_HDSP_MVS_Pct_Busy_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LPAR:560';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_HDSP_MVS_Pct_Busy_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LPAR:560',
  'KM5',
  '%IBM.STATIC007          000000000J000000000',
  'P',
  'HiperDispatch LPAR',
  'LPAR Level information for HiperDispatch Management (V560)',
  'IBM',
  '1210303191041000',
'at=$THRUNODE$@table1.name=VCMLPAR@table1.column1.name=ORIGINNODE@table1.column2.name=VCMMODE@table1.column3.name=LPARNAME@table1.column4.name=LPARCLUS@table1.column5.name=LPARGRP@table1.column6.name=LCPUTYPE@table1.column7.name=CURWGT@table1.column8.name=MINWGT@table1.column9.name=MAXWGT@table1.column10.name=SYSMVSPCT@table1.column11.name=SYSPCPDPCT@table1.column12.name=MEASUREINT@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_HDSP_MVS_Pct_Busy_Warning',
   'Warning',
   'KFW_NODE',
   0
);



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vcmlcpu410.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             HiperDispatch_Details                   *
* *  Table:              VCMLCPU                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM Processor level*
* *                      (NOTE: VCM is Vertical CPU Management)  * 
* *                      information in M5410, OAxxxxx, UAxxxxx  *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=HiperDispatch_LCPU:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=HiperDispatch LCPU;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Logical Processor level data for HiperDispatch Management (V410);
* TABLE=KM5.VCMLCPU;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CPUTYPE, LCPUID, VCMPRTY, SHAREPCT;
* COLUMNS=PCPDPCT, MGMTPCT, STATUS;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LCPU:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LCPU:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'HiperDispatch LCPU',
  'Logical Processor level data for HiperDispatch Management (V410)',
  'IBM',
  '1150305065352000',
'at=$THRUNODE$@table1.name=VCMLCPU@table1.column1.name=ORIGINNODE@table1.column2.name=CPUTYPE@table1.column3.name=LCPUID@table1.column4.name=VCMPRTY@table1.column5.name=SHAREPCT@table1.column6.name=PCPDPCT@table1.column7.name=MGMTPCT@table1.column8.name=STATUS@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vcmlcpu4201.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            4201                                      *
* *  Report:             HiperDispatch_Details                     *
* *  Table:              VCMLCPU                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM Processor level  *
* *                      (NOTE: VCM is Vertical CPU Management)    * 
* *                      information in M5410, OAxxxxx, UAxxxxx    *
* *  07/28/08 mryan      Set to READONLY                           *
* *  02/27/09 JFIED      Add MVSPCT & PARKEDPCT columns for        *
* *                      M5420 Interim Fix 1                       *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=HiperDispatch_LCPU:4201;
* AFFINITY=0W0000000000000000000000000000000W000000000;
* NAME=HiperDispatch LCPU;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Logical Processor level data for HiperDispatch Management (V4201);
* TABLE=KM5.VCMLCPU;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CPUTYPE, LCPUID, VCMPRTY, SHAREPCT;
* COLUMNS=PCPDPCT, MGMTPCT, STATUS, MVSPCT, PARKEDPCT;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LCPU:4201';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LCPU:4201',
  'KM5',
  '0W0000000000000000000000000000000W000000000',
  'P',
  'HiperDispatch LCPU',
  'Logical Processor level data for HiperDispatch Management (V4201)',
  'IBM',
  '1150305065352000',
'at=$THRUNODE$@table1.name=VCMLCPU@table1.column1.name=ORIGINNODE@table1.column2.name=CPUTYPE@table1.column3.name=LCPUID@table1.column4.name=VCMPRTY@table1.column5.name=SHAREPCT@table1.column6.name=PCPDPCT@table1.column7.name=MGMTPCT@table1.column8.name=STATUS@table1.column9.name=MVSPCT@table1.column10.name=PARKEDPCT@table1.columnCount=10@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from vcmlcpu5302.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5302                                      *
* *  Report:             HiperDispatch_Details                     *
* *  Table:              VCMLCPU                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM Processor level  *
* *                      (NOTE: VCM is Vertical CPU Management)    * 
* *                      information in M5410, OAxxxxx, UAxxxxx    *
* *  07/28/08 mryan      Set to READONLY                           *
* *  02/27/09 JFIED      Add MVSPCT & PARKEDPCT columns for        *
* *                      M5420 Interim Fix 1                       *
* *  02/23/15 JPY        Added new attribute LCPUTHRD for M5530IF2 *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=HiperDispatch_LCPU:5302;
* AFFINITY=0W000000000000000000000000000000m0000000000;
* NAME=HiperDispatch LCPU;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Logical Processor level data for HiperDispatch Management (V5302);
* TABLE=KM5.VCMLCPU;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CPUTYPE, LCPUID, VCMPRTY, SHAREPCT;
* COLUMNS=PCPDPCT, MGMTPCT, STATUS, MVSPCT, PARKEDPCT, LCPUTHRD;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LCPU:5302';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LCPU:5302',
  'KM5',
  '0W000000000000000000000000000000m0000000000',
  'P',
  'HiperDispatch LCPU',
  'Logical Processor level data for HiperDispatch Management (V5302)',
  'IBM',
  '1150305065353000',
'at=$THRUNODE$@table1.name=VCMLCPU@table1.column1.name=ORIGINNODE@table1.column2.name=CPUTYPE@table1.column3.name=LCPUID@table1.column4.name=VCMPRTY@table1.column5.name=SHAREPCT@table1.column6.name=PCPDPCT@table1.column7.name=MGMTPCT@table1.column8.name=STATUS@table1.column9.name=MVSPCT@table1.column10.name=PARKEDPCT@table1.column11.name=LCPUTHRD@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1298\VCMLCPU.dta.txt
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            560                                       *
* *  Report:             HiperDispatch_Details                     *
* *  Table:              VCMLCPU                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/10/07 BKEALY     New table supporting VCM Processor level  *
* *                      (NOTE: VCM is Vertical CPU Management)    * 
* *                      information in M5410, OAxxxxx, UAxxxxx    *
* *  07/28/08 mryan      Set to READONLY                           *
* *  02/27/09 JFIED      Add MVSPCT & PARKEDPCT columns for        *
* *                      M5420 Interim Fix 1                       *
* *  02/23/15 JPY        Added new attribute LCPUTHRD for M5530IF2 *
* *  03/02/21 jflores    Co-existence for IBM Spec OA60576         *
* *                      V550 Compatibility (OA60576 YSZS-1298)    *
* *                      Use VCMLPAR instead of VCMLCPU which      *
* *                      includes columns of VCMLCPU               *
* *                      Hiperdispatch LCPU/LPAR queries use data  *
* *                      in one table, but kept separate to avoid  *
* *                      SITNAME conflicts.                        *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=HiperDispatch_LCPU:560;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=19;
* NAME=HiperDispatch LCPU;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Logical Processor level data for HiperDispatch Management (V560);
* TABLE=KM5.VCMLPAR;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, CPUTYPE, LCPUID, VCMPRTY, SHAREPCT;
* COLUMNS=PCPDPCT, MGMTPCT, STATUS, MVSPCT, PARKEDPCT, LCPUTHRD;
* *       Managed\System
* COLUMNS=ORIGINNODE;
* *       Managed system name where this data is collected .  It has
* *       the format <plexname>:<smfid>:MVSSYS. Where
* *       <plexname> is the sysplex this LPAR resides in
* *       <smfid>    is this LPARs system management
* *                  facility name.
* *       CPU_Type
* COLUMNS=CPUTYPE;
* *       Type of processor.  This field will be an enumerated data
* *       type
* *       Standard=0, Standard processor
* *       zAAP=2, zAAP processor for JAVA workloads
* *       zIIP=5, zIIP processor for mostly DB2 workloads
* *       LCPU_ID
* COLUMNS=LCPUID;
* *       Logical CPU ID.  This will be a hexadecimal formatted value.
* *       HiperDispatch_Priority
* COLUMNS=VCMPRTY;
* *       The VCM priority of work dispatched on the logical
* *       processor.  This is an enumerated data type the assigned
* *       values are
* *       High=1
* *       Medium=2
* *       Low=3
* *       The exact internal formula for determining if a CPU is High,
* *       Medium, or Low is still subject to change.  The early
* *       threshold is 90%.  That is if 90% of a processor's execution
* *       time is spent running High priority work then it is
* *       designated a High processor.  If 90% of a processor's
* *       execution time is spent running either High or Medium
* *       priority work then it is designated a Medium processor.  All
* *       other processors are Low priority.
* *       Share_Percent
* COLUMNS=SHAREPCT;
* *       Formatted to 1 decimal places, this is the percentage of a
* *       physical processor that the logical processors are entitled
* *       to receive.  For Vertically polarized, High priority logical
* *       processors this should be  100%.  Low priority logical
* *       processors should be 0%.  Medium priority logical processors
* *       will have share % proportional to their Polar Weight.
* *       Physical_CP_Dispatch_Pct
* COLUMNS=PCPDPCT;
* *       Formatted to 3 decimal places, this is the percentage of
* *       time that a physical processor was dispatched to this
* *       logical processor.
* *       Management_Percent
* COLUMNS=MGMTPCT;
* *       Formatted to 3 decimal places, this is the percentage of
* *       physical processor time spent in this logical processor
* *       managing this LPAR.
* *       Status
* COLUMNS=STATUS;
* *       Status of the Logical Processor.  This is an enumerated d
* *       type.  The allowed values are:
* *       Online=1, the logical processor is configured and allowed
* *                 have work dispatched on it.
* *       Offline=2, the logical processor is configured but is
* *                 currently not available for work to be dispatch
* *                 Intelligent Resource Director has likely
* *                 reduced this partition's relative weight in
* *                 favor of other partitions.
* *       Parked=3, This logical processor has been temporarily mad
* *                 unavailable for work by HiperDispatch.  Only as
* *                 many CPUs are unparked as can be efficiently used,
* *                 otherwise performance benefits from HiperDispatch
* *                 may be lost (e.g. it doesn't make sense to unpark
* *                 5 CPUs when the available workload would only use
* *                 1.5 of them on average).
* *       Park Pending=4, The logical processor is in the process of
* *                 being parked.
* *       Reserved=5, The logical processor is configured for this
* *                 LPAR but has never been activated.
* *       MVS_Pct
* COLUMNS=MVSPCT;
* *       Formatted to 3 decimal places, this is the percentage of
* *       time that a physical processor was dispatched to this
* *       logical processor as viewed by z/OS
* * 
* *       The value is calculated as:
* * 
* *              (Online Time - (Wait Time + Parked Time) * 100,000)
* *       MVS% = ---------------------------------------------------
* *                           Online Time - Parked Time
* * 
* *       Wait Time = LCCAWTIM, Parked Time = LCCX_TimeParked
* *       Online Time = logical processor online time as observed by
* *                     PR/SM and returned by Diagnose 204
* *       Parked_Pct
* COLUMNS=PARKEDPCT;
* *       Formatted to 3 decimal places, this is the percentage of
* *       time that a logical processor was parked by HiperDispatch.
* * 
* *       The value is calculated as:
* * 
* *              Parked Time * 100,000
* *       MVS% = ---------------------
* *                   Online Time
* * 
* *       Parked Time = LCCX_TimeParked
* *       Online Time = logical processor online time as observed by
* *                     PR/SM and returned by Diagnose 204
* *       LCPU_Thread
* COLUMNS=LCPUTHRD;
* *       Multi-Threading thread number.  Expected value is 0 or 1
* *       for zIIP processors.
* *       Measurement_Interval
* COLUMNS=MEASUREINT;
* *       Formatted to 3 decimal places, this is the measurement
* *       interval for the data in this table.
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'HiperDispatch_LCPU:560';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'HiperDispatch_LCPU:560',
  'KM5',
  '%IBM.STATIC007          000000000J000000000',
  'P',
  'HiperDispatch LCPU',
  'Logical Processor level data for HiperDispatch Management (V560)',
  'IBM',
  '1210303174648000',
'at=$THRUNODE$@table1.name=VCMLPAR@table1.column1.name=ORIGINNODE@table1.column2.name=CPUTYPE@table1.column3.name=LCPUID@table1.column4.name=VCMPRTY@table1.column5.name=SHAREPCT@table1.column6.name=PCPDPCT@table1.column7.name=MGMTPCT@table1.column8.name=STATUS@table1.column9.name=MVSPCT@table1.column10.name=PARKEDPCT@table1.column11.name=LCPUTHRD@table1.column12.name=ORIGINNODE@table1.column13.name=CPUTYPE@table1.column14.name=LCPUID@table1.column15.name=VCMPRTY@table1.column16.name=SHAREPCT@table1.column17.name=PCPDPCT@table1.column18.name=MGMTPCT@table1.column19.name=STATUS@table1.column20.name=MVSPCT@table1.column21.name=PARKEDPCT@table1.column22.name=LCPUTHRD@table1.column23.name=MEASUREINT@table1.columnCount=23@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from wlmscpr.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             WLM_Service_Class_Resource for a        * 
* *                      specified Service Class and Period      *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support in M5410                  *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Serv_Class_for_Serv_Class_Pr;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=WLM Serv Class for Serv Class Pr;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=WLM Service Class info for specified Service Class and Period.;
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* COLUMNS=CLSNAME, PERIODNUM, PERGLTYP, PERPCTLE, PERGIMP;
* COLUMNS=PERGVAL, PERDUR, PERAVRSP, PERHINDX, PERHACT, PCTCPU;
* COLUMNS=PCTIFA, PCTIFC, PCTSUP, PCTSUC, IORATE, IOPRI, CSSPRI;
* COLUMNS=AVGSTOR, WKLNAME, RESGNAME, CLSDESC, WKLDESC, CLSFLAG;
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $LINKCLS$;
* PRED=AND PERIODNUM = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Serv_Class_for_Serv_Class_Pr';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Serv_Class_for_Serv_Class_Pr',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'WLM Serv Class for Serv Class Pr',
  'WLM Service Class info for specified Service Class and Period.',
  'Candle',
  '1150305065353000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=ORIGINNODE@table1.columnCount=25@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CLSNAME@filter2.operator=EQ@filter2.value=$LINKCLS$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from wlmscpr420.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             WLM_Service_Class_Resource for a        * 
* *                      specified Service Class and Period      *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support in M5410                  *
* *  07/28/08 mryan      Set to READONLY                         *
* *  09/08/08 bkealy     Add v420 PROMOPCNT for WLM Blocked      * 
* *                          ... Workload support                *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Serv_Class_for_Serv_Class_Pr:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=WLM Serv Class for Serv Class Pr;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=WLM Service Class info for specified Service Class and Period. (V420);
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* COLUMNS=CLSNAME, PERIODNUM, PERGLTYP, PERPCTLE, PERGIMP;
* COLUMNS=PERGVAL, PERDUR, PERAVRSP, PERHINDX, PERHACT, PCTCPU;
* COLUMNS=PCTIFA, PCTIFC, PCTSUP, PCTSUC, IORATE, IOPRI, CSSPRI;
* COLUMNS=AVGSTOR, WKLNAME, RESGNAME, CLSDESC, WKLDESC, CLSFLAG;
* COLUMNS=PROMOPCNT;
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $LINKCLS$;
* PRED=AND PERIODNUM = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Serv_Class_for_Serv_Class_Pr:420';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Serv_Class_for_Serv_Class_Pr:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'WLM Serv Class for Serv Class Pr',
  'WLM Service Class info for specified Service Class and Period. (V420)',
  'Candle',
  '1150305065353000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=PROMOPCNT@table1.column26.name=ORIGINNODE@table1.columnCount=26@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CLSNAME@filter2.operator=EQ@filter2.value=$LINKCLS$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1159\MWLMPR-1.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560  V550 Compatibility - OA60576       *
* *  Report:             WLM_Service_Class_Resource for a        * 
* *                      specified Service Class and Period      *
* *  Table:              MWLMPR                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  03/18/03 SSANT      Added the following new column names:   *
* *                      IOPRI, CSSPRI                           *
* *  06/28/06 LHART      Added columns PCTSUP, PCTSUC for        * 
* *                       zIIP support in M5410                  *
* *  07/28/08 mryan      Set to READONLY                         *
* *  02/21/21 jflores    V550 Compatibility - OA60576            *
* *                      COLUMNS=CPUCRIT, STORCRIT.              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WLM_Serv_Class_for_Serv_Class_Pr:560;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=14;
* NAME=WLM Serv Class for Serv Class Pr;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=WLM Service Class info for specified Service Class and Period. (V560);
* AT=$THRUNODE$;
* TABLE=KM5.MWLMPR;
* *       Service\Class
* COLUMNS=CLSNAME;
* *       Period
* COLUMNS=PERIODNUM;
* *       Goal\Type
* COLUMNS=PERGLTYP;
* *       Goal\Percentile
* COLUMNS=PERPCTLE;
* *       Goal\Importance
* COLUMNS=PERGIMP;
* *       Goal\Value
* COLUMNS=PERGVAL;
* *       Duration
* COLUMNS=PERDUR;
* *       Average\Response_Time
* COLUMNS=PERAVRSP;
* *       Performance\Index
* COLUMNS=PERHINDX;
* *       Actual\Host
* COLUMNS=PERHACT;
* *       Percent\CPU
* COLUMNS=PCTCPU;
* *       Percent\IFA
* COLUMNS=PCTIFA;
* *  Percentage IFA (Integrated Facility for Applications) resource
* *  used by the service class period. The value is normalized to
* *  reflect the faster speed of an IFA compared to a standard CP
* *  if LPAR is dispatched on a "knee-capped" processor.  This column
* *  is only valid on z/OS Version 1.6 and later.
* *       Percent\IFA_on_CP
* COLUMNS=PCTIFC;
* *  Percentage standard CP resource used by the service class period
* *  performing IFA-related work. This occurs when IFACrossOver=YES
* *  is specified in IEAOPTxx. This column is only valis on z/OS
* *  Version 1.6 and later.
* *       Percent\zIIP
* COLUMNS=PCTSUP;
* *  The percentage of all zIIP resource used
* *  by this service class period.  This column
* *  is only valid on z/OS Version 1.6 and later.
* *       Percent\zIIP_on_CP
* COLUMNS=PCTSUC;
* *  Percentage standard CP resource used by the service class period
* *  performing zIIP/SUP-related work.  This column is only valid on
* *  z/OS version 1.6 and later.
* *       I/O_Rate
* COLUMNS=IORATE;
* *       I/O_Priority
* COLUMNS=IOPRI;
* *  Average IOS (i.e. UCB/Control Unit) DASD I/O Priority observed
* *  for address spaces with I/O Activity for a given Service Class
* *  Period (SCP). A value of "Unavailable" will be reported for SCPs
* *  with no observed I/O activity or, if I/O priority management
* *  is set to NO in the WLM policy.
* *       CSS_Priority
* COLUMNS=CSSPRI;
* *  Average Channel Subsystem (CSS) DASD I/O priority observed for
* *  address spaces with I/O Activity for a given Service Class
* *  Period (SCP). A value of "Unavailable" will be reported for
* *  SCPs with no observed I/O activity or, if CSS I/O priority
* *  management is disabled in the CPC Reset Profile.
* *       Average\Storage
* COLUMNS=AVGSTOR;
* *       Workload
* COLUMNS=WKLNAME;
* *       Resource\Group
* COLUMNS=RESGNAME;
* *       Service_Class\Description
* COLUMNS=CLSDESC;
* *       Workload\Description
* COLUMNS=WKLDESC;
* *       Class\Flag
* COLUMNS=CLSFLAG;
* *       CPU\Critical
* COLUMNS=CPUCRIT;
* *  Indicates whether address spaces running in a service class are
* *  CPU protected or "critical".  Valid values are:
* *       Storage\Critical
* COLUMNS=STORCRIT;
* *  Indicates whether address spaces running in a service class are
* *  storage protected or "critical".  Valid values are:
* *       Managed\System
* COLUMNS=ORIGINNODE;
* *       Promoted\Percent
* COLUMNS=PROMOPCNT;
* *  Percentage of time that work in this service
* *  class ran at a promoted dispatching priority.
* *       IFA\Service_Units
* COLUMNS=PERIFASU;
* *  IFA service units as standard CP service units.
* *  This column is only valid on z/OS Version 1.6 and later
* *       IFA_On_CP\Service_Units
* COLUMNS=PERIFCSU;
* *  IFA on CP SUs as standard CP service units.
* *  This column is only valid on z/OS Version 1.6 and later
* *       zIIP\Service_Units
* COLUMNS=PERSUPSU;
* *  zIIP service units as standard CP service units
* *  This column is only valid on z/OS Version 1.6 and later
* *       zIIP_On_CP\Service_Units
* COLUMNS=PERSUCSU;
* *  zIIP on CP SUs as standard CP service units.
* *  This column is only valid on z/OS Version 1.6 and later
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $LINKCLS$;
* PRED=AND PERIODNUM = $LINKPR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Serv_Class_for_Serv_Class_Pr:560';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Serv_Class_for_Serv_Class_Pr:560',
  'KM5',
  '%IBM.STATIC007          000000000E000000000',
  'P',
  'WLM Serv Class for Serv Class Pr',
  'WLM Service Class info for specified Service Class and Period. (V560)',
  'IBM',
  '1210221171314000',
'at=$THRUNODE$@table1.name=MWLMPR@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERGLTYP@table1.column4.name=PERPCTLE@table1.column5.name=PERGIMP@table1.column6.name=PERGVAL@table1.column7.name=PERDUR@table1.column8.name=PERAVRSP@table1.column9.name=PERHINDX@table1.column10.name=PERHACT@table1.column11.name=PCTCPU@table1.column12.name=PCTIFA@table1.column13.name=PCTIFC@table1.column14.name=PCTSUP@table1.column15.name=PCTSUC@table1.column16.name=IORATE@table1.column17.name=IOPRI@table1.column18.name=CSSPRI@table1.column19.name=AVGSTOR@table1.column20.name=WKLNAME@table1.column21.name=RESGNAME@table1.column22.name=CLSDESC@table1.column23.name=WKLDESC@table1.column24.name=CLSFLAG@table1.column25.name=CPUCRIT@table1.column26.name=STORCRIT@table1.column27.name=ORIGINNODE@table1.column28.name=PROMOPCNT@table1.column29.name=PERIFASU@table1.column30.name=PERIFCSU@table1.column31.name=PERSUPSU@table1.column32.name=PERSUCSU@table1.columnCount=32@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CLSNAME@filter2.operator=EQ@filter2.value=$LINKCLS$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$LINKPR$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from zawal5101.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5101                                      *
* *  Report:             KM5_z/Aware_Analysis                      *
* *  Table:              KM5ZAWAL                                  *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  11/06/12 JPY        Created for M5510 Interim Fix 1           *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=zAware_Analysis:5101;
* AFFINITY=0W00000000000000000000000000000020000000000;
* NAME=zAware Analysis;
* USER=IBM;
* READONLY=Y;
* VISIBLE=Y;
* DESC=zAware Analysis (V5101);
* TABLE=KM5.KM5ZAWAL;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE, PLXNAME, SYSNAME, SMFID;
* COLUMNS=ZAISLOC, ZAISPORT, ZAICSTAT, ZAISSTAT, ZAISVER;     
* COLUMNS=INVSIZE, INVTIME, ANSCORE, UNIQMSG, INVTIME012;
* COLUMNS=ANSCORE012, UNIQMSG012, INVTIME013, ANSCORE013;  
* COLUMNS=UNIQMSG013, INVTIME014, ANSCORE014, UNIQMSG014;
* COLUMNS=INVTIME015, ANSCORE015, UNIQMSG015, INVTIME016;
* COLUMNS=ANSCORE016, UNIQMSG016;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KM5_zAware_Analysis_Crit Critical;
* SITNAME=KM5_zAware_Analysis_Warn Warning;
* SITNAME=KM5_zAware_Client_Status Warning;
* SITNAME=KM5_zAware_Server_Status Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'zAware_Analysis:5101';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_zAware_Analysis_Crit' AND 
 TEMPLATE = 'zAware_Analysis:5101';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_zAware_Analysis_Warn' AND 
 TEMPLATE = 'zAware_Analysis:5101';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_zAware_Client_Status' AND 
 TEMPLATE = 'zAware_Analysis:5101';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_zAware_Server_Status' AND 
 TEMPLATE = 'zAware_Analysis:5101';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zAware_Analysis:5101' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'zAware_Analysis:5101';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zAware_Analysis:5101',
  'KM5',
  '0W00000000000000000000000000000020000000000',
  'D',
  'zAware Analysis',
  'zAware Analysis (V5101)',
  'IBM',
  '1150305065354000',
'at=$THRUNODE$@table1.name=KM5ZAWAL@table1.column1.name=ORIGINNODE@table1.column2.name=PLXNAME@table1.column3.name=SYSNAME@table1.column4.name=SMFID@table1.column5.name=ZAISLOC@table1.column6.name=ZAISPORT@table1.column7.name=ZAICSTAT@table1.column8.name=ZAISSTAT@table1.column9.name=ZAISVER@table1.column10.name=INVSIZE@table1.column11.name=INVTIME@table1.column12.name=ANSCORE@table1.column13.name=UNIQMSG@table1.column14.name=INVTIME012@table1.column15.name=ANSCORE012@table1.column16.name=UNIQMSG012@table1.column17.name=INVTIME013@table1.column18.name=ANSCORE013@table1.column19.name=UNIQMSG013@table1.column20.name=INVTIME014@table1.column21.name=ANSCORE014@table1.column22.name=UNIQMSG014@table1.column23.name=INVTIME015@table1.column24.name=ANSCORE015@table1.column25.name=UNIQMSG015@table1.column26.name=INVTIME016@table1.column27.name=ANSCORE016@table1.column28.name=UNIQMSG016@table1.columnCount=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000020000000000',
   32,
   259,
   '1150305065354000',
   '_ KCJ',
   'zAware_Analysis:5101',
   'zAware Analysis'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zAware_Analysis:5101',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'zAware_Analysis:5101',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_zAware_Analysis_Crit',
   'Critical',
   'zAware_Analysis:5101',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_zAware_Analysis_Warn',
   'Warning',
   'zAware_Analysis:5101',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_zAware_Client_Status',
   'Warning',
   'zAware_Analysis:5101',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_zAware_Server_Status',
   'Warning',
   'zAware_Analysis:5101',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ascputlh5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Address_Space_CPU_Utilization_History *
* *  Table:              M5ASCPUTLH                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_CPU_Utilization_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Address Space CPU Utilization History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space CPU Utilization History(V5300);
* TABLE=KM5.M5ASCPUTLH; 
* AT=$THRUNODE$;   
* COLUMNS=ORIGINNODE, SMFID, JOBNAME, CPUPCT, TCBPCT, SVCCLASS;       
* COLUMNS=SVCCLASP, ASID, JCPUTM, JASSTPCT, JPHTMPCT, IFACPPCT;
* COLUMNS=SUPCPPCT, TCBSRBP, IFAWPHTP, IIPWPHTP, TIMEONCP, CPEAPPLP;
* COLUMNS=RECETIME, RECSTIME; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_CPU_Utilization_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_CPU_Utilization_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Address Space CPU Utilization History',
  'Address Space CPU Utilization History(V5300)',
  'IBM',
  '1150305065354000',
'at=$THRUNODE$@table1.name=M5ASCPUTLH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=JOBNAME@table1.column4.name=CPUPCT@table1.column5.name=TCBPCT@table1.column6.name=SVCCLASS@table1.column7.name=SVCCLASP@table1.column8.name=ASID@table1.column9.name=JCPUTM@table1.column10.name=JASSTPCT@table1.column11.name=JPHTMPCT@table1.column12.name=IFACPPCT@table1.column13.name=SUPCPPCT@table1.column14.name=TCBSRBP@table1.column15.name=IFAWPHTP@table1.column16.name=IIPWPHTP@table1.column17.name=TIMEONCP@table1.column18.name=CPEAPPLP@table1.column19.name=RECETIME@table1.column20.name=RECSTIME@table1.columnCount=20@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from cpcdeth5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_CPC_LPAR_Details_History              *
* *  Table:              M5CPCDETH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=CPC_LPAR_Details_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=CPC LPAR Details History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPC LPAR Details History(V5300);
* TABLE=KM5.M5CPCDETH; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, LPNAME, CPCSERIAL, LPARCPTYPE, LPARMSUDEF;       
* COLUMNS=LPARMSUACT, LPARDEFIND, LPARCPUWIN, LPARCPUNUM, LPARCPUWMN;
* COLUMNS=LPARCPUWMX, LPARCPUWGT, PHYSCPUTOT, PHYSCPUEFF, PHYSCPUOVH;
* COLUMNS=LOGCCPUTOT, LOGCCPUEFF, LPARGRPNAM, LPARGRPLIM, LPARGRP4HI;
* COLUMNS=LPARGRPUNU, LPARGRPTCP, LPARTIMCAP, LPARGRPMIN, LPARGRPMAX;
* COLUMNS=LPARCAPPCT, LPAR4HRAVG, LPAR4HRMAX, LPARCSTR, LPARCLUST;
* COLUMNS=LPARHDNMHI, LPARHDNMMD, LPARHDNMLO, LPARHDPCNT, LPARABSCAP;
* COLUMNS=LPARCAPOPT, LPARCAPIOP, RECETIME, RECSTIME, SAMPSEC;
* COLUMNS=RMFSTAT; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CPC_LPAR_Details_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CPC_LPAR_Details_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'CPC LPAR Details History',
  'CPC LPAR Details History(V5300)',
  'IBM',
  '1150305065355000',
'at=$THRUNODE$@table1.name=M5CPCDETH@table1.column1.name=ORIGINNODE@table1.column2.name=LPNAME@table1.column3.name=CPCSERIAL@table1.column4.name=LPARCPTYPE@table1.column5.name=LPARMSUDEF@table1.column6.name=LPARMSUACT@table1.column7.name=LPARDEFIND@table1.column8.name=LPARCPUWIN@table1.column9.name=LPARCPUNUM@table1.column10.name=LPARCPUWMN@table1.column11.name=LPARCPUWMX@table1.column12.name=LPARCPUWGT@table1.column13.name=PHYSCPUTOT@table1.column14.name=PHYSCPUEFF@table1.column15.name=PHYSCPUOVH@table1.column16.name=LOGCCPUTOT@table1.column17.name=LOGCCPUEFF@table1.column18.name=LPARGRPNAM@table1.column19.name=LPARGRPLIM@table1.column20.name=LPARGRP4HI@table1.column21.name=LPARGRPUNU@table1.column22.name=LPARGRPTCP@table1.column23.name=LPARTIMCAP@table1.column24.name=LPARGRPMIN@table1.column25.name=LPARGRPMAX@table1.column26.name=LPARCAPPCT@table1.column27.name=LPAR4HRAVG@table1.column28.name=LPAR4HRMAX@table1.column29.name=LPARCSTR@table1.column30.name=LPARCLUST@table1.column31.name=LPARHDNMHI@table1.column32.name=LPARHDNMMD@table1.column33.name=LPARHDNMLO@table1.column34.name=LPARHDPCNT@table1.column35.name=LPARABSCAP@table1.column36.name=LPARCAPOPT@table1.column37.name=LPARCAPIOP@table1.column38.name=RECETIME@table1.column39.name=RECSTIME@table1.column40.name=SAMPSEC@table1.column41.name=RMFSTAT@table1.columnCount=41@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from cpcsumh5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_CPC_LPAR_Summary_History              *
* *  Table:              M5CPCSUMH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=CPC_LPAR_Summary_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=CPU LPAR Summary History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=CPC LPAR Summary History(V5300);
* TABLE=KM5.M5CPCSUMH; 
* AT=$THRUNODE$;    
* COLUMNS=ORIGINNODE, LPNAME, CPCSERIAL, PCTMSUCP, CAPADJUST;       
* COLUMNS=CAPADJRSN, LPPCPU, LPPAPU, LPPIPU, LPPFPU;
* COLUMNS=LPPXPU, RECETIME, RECSTIME, SAMPSEC, RMFSTAT;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CPC_LPAR_Summary_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CPC_LPAR_Summary_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'CPU LPAR Summary History',
  'CPC LPAR Summary History(V5300)',
  'IBM',
  '1150305065355000',
'at=$THRUNODE$@table1.name=M5CPCSUMH@table1.column1.name=ORIGINNODE@table1.column2.name=LPNAME@table1.column3.name=CPCSERIAL@table1.column4.name=PCTMSUCP@table1.column5.name=CAPADJUST@table1.column6.name=CAPADJRSN@table1.column7.name=LPPCPU@table1.column8.name=LPPAPU@table1.column9.name=LPPIPU@table1.column10.name=LPPFPU@table1.column11.name=LPPXPU@table1.column12.name=RECETIME@table1.column13.name=RECSTIME@table1.column14.name=SAMPSEC@table1.column15.name=RMFSTAT@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dlysdth5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Address_Space_Delay_Summary_History   *
* *  Table:              M5DLYSDTH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Address_Space_Delay_Summary_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Address Space Delay Summary History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Address Space Delay Summary History(V5300);
* TABLE=KM5.M5DLYSDTH; 
* AT=$THRUNODE$;      
* COLUMNS=ORIGINNODE, SMFID, JOBNAME, SVCCLASS, ASID;
* COLUMNS=PCTVELOCTY, PCTTOTUSNG, PCTGCPUSNG, PCTAAPUSNG;
* COLUMNS=PCTIIPUSNG, PCTACPUSNG, PCTICPUSNG, PCTTOTDELY;
* COLUMNS=PCTCPUDELY, PCTGCPDELY, PCTAAPDELY, PCTIIPDELY;
* COLUMNS=PCTIDLE, PCTUNKNOWN, PCTDEVUSNG, PCTDEVWAIT;
* COLUMNS=PCTDEV1WAT, DEV1VOLSER, PCTDEV2WAT, DEV2VOLSER;
* COLUMNS=PCTDEV3WAT, DEV3VOLSER, PCTDEV4WAT, DEV4VOLSER;
* COLUMNS=PCTSTRWAIT, PCTSTR1WAT, PCTSTR2WAT, PCTSTR3WAT;
* COLUMNS=PCTSTR4WAT, PCTSTR5WAT, PCTSTR6WAT, PCTSTR7WAT;
* COLUMNS=PCTSTR8WAT, PCTSUBWAIT, PCTJESWAIT, PCTJS1WAIT;
* COLUMNS=JS1WAITRSN, PCTJS2WAIT, JS2WAITRSN, PCTHSMWAIT;
* COLUMNS=PCTHS1WAIT, HS1WAITRSN, PCTHS2WAIT, HS2WAITRSN;
* COLUMNS=PCTXCFWAIT, PCTOPRWAIT, PCTMNTWAIT, PCTRPLWAIT;
* COLUMNS=PCTQUIWAIT, PCTENQWAIT, PCTCAPWAIT, CLSNAME;
* COLUMNS=GCPJOBIMP1, GCPPCTIMP1, GCPJOBIMP2, GCPPCTIMP2;
* COLUMNS=GCPJOBIMP3, GCPPCTIMP3, AAPJOBIMP1, AAPPCTIMP1;
* COLUMNS=AAPJOBIMP2, AAPPCTIMP2, AAPJOBIMP3, AAPPCTIMP3;
* COLUMNS=IIPJOBIMP1, IIPPCTIMP1, IIPJOBIMP2, IIPPCTIMP2;
* COLUMNS=IIPJOBIMP3, IIPPCTIMP3, RECETIME, RECSTIME;      
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Address_Space_Delay_Summary_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Address_Space_Delay_Summary_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Address Space Delay Summary History',
  'Address Space Delay Summary History(V5300)',
  'IBM',
  '1150305065356000',
'at=$THRUNODE$@table1.name=M5DLYSDTH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=JOBNAME@table1.column4.name=SVCCLASS@table1.column5.name=ASID@table1.column6.name=PCTVELOCTY@table1.column7.name=PCTTOTUSNG@table1.column8.name=PCTGCPUSNG@table1.column9.name=PCTAAPUSNG@table1.column10.name=PCTIIPUSNG@table1.column11.name=PCTACPUSNG@table1.column12.name=PCTICPUSNG@table1.column13.name=PCTTOTDELY@table1.column14.name=PCTCPUDELY@table1.column15.name=PCTGCPDELY@table1.column16.name=PCTAAPDELY@table1.column17.name=PCTIIPDELY@table1.column18.name=PCTIDLE@table1.column19.name=PCTUNKNOWN@table1.column20.name=PCTDEVUSNG@table1.column21.name=PCTDEVWAIT@table1.column22.name=PCTDEV1WAT@table1.column23.name=DEV1VOLSER@table1.column24.name=PCTDEV2WAT@table1.column25.name=DEV2VOLSER@table1.column26.name=PCTDEV3WAT@table1.column27.name=DEV3VOLSER@table1.column28.name=PCTDEV4WAT@table1.column29.name=DEV4VOLSER@table1.column30.name=PCTSTRWAIT@table1.column31.name=PCTSTR1WAT@table1.column32.name=PCTSTR2WAT@table1.column33.name=PCTSTR3WAT@table1.column34.name=PCTSTR4WAT@table1.column35.name=PCTSTR5WAT@table1.column36.name=PCTSTR6WAT@table1.column37.name=PCTSTR7WAT@table1.column38.name=PCTSTR8WAT@table1.column39.name=PCTSUBWAIT@table1.column40.name=PCTJESWAIT@table1.column41.name=PCTJS1WAIT@table1.column42.name=JS1WAITRSN@table1.column43.name=PCTJS2WAIT@table1.column44.name=JS2WAITRSN@table1.column45.name=PCTHSMWAIT@table1.column46.name=PCTHS1WAIT@table1.column47.name=HS1WAITRSN@table1.column48.name=PCTHS2WAIT@table1.column49.name=HS2WAITRSN@table1.column50.name=PCTXCFWAIT@table1.column51.name=PCTOPRWAIT@table1.column52.name=PCTMNTWAIT@table1.column53.name=PCTRPLWAIT@table1.column54.name=PCTQUIWAIT@table1.column55.name=PCTENQWAIT@table1.column56.name=PCTCAPWAIT@table1.column57.name=CLSNAME@table1.column58.name=GCPJOBIMP1@table1.column59.name=GCPPCTIMP1@table1.column60.name=GCPJOBIMP2@table1.column61.name=GCPPCTIMP2@table1.column62.name=GCPJOBIMP3@table1.column63.name=GCPPCTIMP3@table1.column64.name=AAPJOBIMP1@table1.column65.name=AAPPCTIMP1@table1.column66.name=AAPJOBIMP2@table1.column67.name=AAPPCTIMP2@table1.column68.name=AAPJOBIMP3@table1.column69.name=AAPPCTIMP3@table1.column70.name=IIPJOBIMP1@table1.column71.name=IIPPCTIMP1@table1.column72.name=IIPJOBIMP2@table1.column73.name=IIPPCTIMP2@table1.column74.name=IIPJOBIMP3@table1.column75.name=IIPPCTIMP3@table1.column76.name=RECETIME@table1.column77.name=RECSTIME@table1.columnCount=77@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from km5devj5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Device_Job_History                    *
* *  Table:              KM5DEVJ                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  11/14/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5_Device_JobH:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Device Job History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Device Job History(V5300);
* TABLE=KM5.KM5DEVJ; 
* AT=$THRUNODE$;   
* COLUMNS=ORIGINNODE, SMFID, VOLSER, DEVNUM, JOBNAME;       
* COLUMNS=ASID, CLASS, USEPCT, DELPCT, CLSNAME, RECETIME;
* COLUMNS=RECSTIME, SAMPSEC, RMFSTAT; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_Device_JobH:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5_Device_JobH:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Device Job History',
  'Device Job History(V5300)',
  'IBM',
  '1150305065356000',
'at=$THRUNODE$@table1.name=KM5DEVJ@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=VOLSER@table1.column4.name=DEVNUM@table1.column5.name=JOBNAME@table1.column6.name=ASID@table1.column7.name=CLASS@table1.column8.name=USEPCT@table1.column9.name=DELPCT@table1.column10.name=CLSNAME@table1.column11.name=RECETIME@table1.column12.name=RECSTIME@table1.column13.name=SAMPSEC@table1.column14.name=RMFSTAT@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from km5devr5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Device_Resource_History               *
* *  Table:              KM5DEVR                                   *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  11/14/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5_Device_ResourceH:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Device Resource History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Device Resource History(V5300);
* TABLE=KM5.KM5DEVR; 
* AT=$THRUNODE$;   
* COLUMNS=ORIGINNODE, SMFID, VOLSER, DEVNUM, DEVTYPE;       
* COLUMNS=CUTYPE, STATUS, PAVCNT, LCUNUM, ACTPCT, CONPCT;
* COLUMNS=DISPCT, PENDPCT, DBPCT, CMRPCT, CUPCT, SWPPCT;
* COLUMNS=RESPTIME, IOSQTIME, IOINTEN, RECETIME;
* COLUMNS=RECSTIME, SAMPSEC, RMFSTAT; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_Device_ResourceH:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5_Device_ResourceH:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Device Resource History',
  'Device Resource History(V5300)',
  'IBM',
  '1150305065356000',
'at=$THRUNODE$@table1.name=KM5DEVR@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=VOLSER@table1.column4.name=DEVNUM@table1.column5.name=DEVTYPE@table1.column6.name=CUTYPE@table1.column7.name=STATUS@table1.column8.name=PAVCNT@table1.column9.name=LCUNUM@table1.column10.name=ACTPCT@table1.column11.name=CONPCT@table1.column12.name=DISPCT@table1.column13.name=PENDPCT@table1.column14.name=DBPCT@table1.column15.name=CMRPCT@table1.column16.name=CUPCT@table1.column17.name=SWPPCT@table1.column18.name=RESPTIME@table1.column19.name=IOSQTIME@table1.column20.name=IOINTEN@table1.column21.name=RECETIME@table1.column22.name=RECSTIME@table1.column23.name=SAMPSEC@table1.column24.name=RMFSTAT@table1.columnCount=24@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mwlmprh5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_WLM_Service_Class_Resources_History   *
* *  Table:              M5MWLMPRH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=WLM_Service_Class_Resources_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=WLM Service Class Resources History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=WLM Service Class Resource History(V5300);
* TABLE=KM5.M5MWLMPRH; 
* AT=$THRUNODE$;      
* COLUMNS=ORIGINNODE, CLSNAME, PERIODNUM, PERDUR, PERGLTYP, PERPCTLE;       
* COLUMNS=PERGIMP, PERGVAL, PERAVRSP, RESGNAME, WKLDNAME, SVCLSURATE;
* COLUMNS=CLSDESC, PERHINDX, PERHACT, RECETIME, RECSTIME, RECRDTM;
* COLUMNS=TRANRATE, AVGWTIME, AVGXTIME, SAMPSEC, RMFSTAT; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Resources_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Service_Class_Resources_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'WLM Service Class Resources History',
  'WLM Service Class Resource History(V5300)',
  'IBM',
  '1150305065357000',
'at=$THRUNODE$@table1.name=M5MWLMPRH@table1.column1.name=ORIGINNODE@table1.column2.name=CLSNAME@table1.column3.name=PERIODNUM@table1.column4.name=PERDUR@table1.column5.name=PERGLTYP@table1.column6.name=PERPCTLE@table1.column7.name=PERGIMP@table1.column8.name=PERGVAL@table1.column9.name=PERAVRSP@table1.column10.name=RESGNAME@table1.column11.name=WKLDNAME@table1.column12.name=SVCLSURATE@table1.column13.name=CLSDESC@table1.column14.name=PERHINDX@table1.column15.name=PERHACT@table1.column16.name=RECETIME@table1.column17.name=RECSTIME@table1.column18.name=RECRDTM@table1.column19.name=TRANRATE@table1.column20.name=AVGWTIME@table1.column21.name=AVGXTIME@table1.column22.name=SAMPSEC@table1.column23.name=RMFSTAT@table1.columnCount=23@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from stgcdth5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Common_Storage_Utilization_History    *
* *  Table:              M5STGCDTH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Common_Storage_Utilization_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Common Storage Utilization History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Common Storage Utilization History(V5300);
* TABLE=KM5.M5STGCDTH; 
* AT=$THRUNODE$;      
* COLUMNS=ORIGINNODE, SMFID, JOBNAME, SVCCLASS, ASID, PCTCSAUSE;       
* COLUMNS=PCTECSUSE, PCTSQAUSE, PCTESQUSE, AMTCSAUSE, AMTECSUSE;
* COLUMNS=AMTSQAUSE, AMTESQUSE, RECETIME, RECSTIME;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Common_Storage_Utilization_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Common_Storage_Utilization_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Common Storage Utilization History',
  'Common Storage Utilization History(V5300)',
  'IBM',
  '1150305065357000',
'at=$THRUNODE$@table1.name=M5STGCDTH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=JOBNAME@table1.column4.name=SVCCLASS@table1.column5.name=ASID@table1.column6.name=PCTCSAUSE@table1.column7.name=PCTECSUSE@table1.column8.name=PCTSQAUSE@table1.column9.name=PCTESQUSE@table1.column10.name=AMTCSAUSE@table1.column11.name=AMTECSUSE@table1.column12.name=AMTSQAUSE@table1.column13.name=AMTESQUSE@table1.column14.name=RECETIME@table1.column15.name=RECSTIME@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from stgdeth5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Storage_Details_History               *
* *  Table:              M5STGDETH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Storage_Details_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Storage Details History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage Details History(V5300);
* TABLE=KM5.M5STGDETH; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, SMFID, JOBNAME, ASID, ASTYPE, CLSNAME;       
* COLUMNS=PERIODNUM, AVGMOBJ, AVGMOBJHVC, AVGMOBJHVS, AVGMOBJHVP;  
* COLUMNS=AVGMOBJ1MF, AVG1MFXFR, AVG1MPGFR, AVG1MPGCS, AVGSTOR;
* COLUMNS=AVGSTORHVC, AVGSTORHVS, AVGSTORHVP, HWSTORHVC, MEMLIMIT;
* COLUMNS=RECETIME, RECSTIME; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Storage_Details_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Storage_Details_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Storage Details History',
  'Storage Details History(V5300)',
  'IBM',
  '1150305065357000',
'at=$THRUNODE$@table1.name=M5STGDETH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=JOBNAME@table1.column4.name=ASID@table1.column5.name=ASTYPE@table1.column6.name=CLSNAME@table1.column7.name=PERIODNUM@table1.column8.name=AVGMOBJ@table1.column9.name=AVGMOBJHVC@table1.column10.name=AVGMOBJHVS@table1.column11.name=AVGMOBJHVP@table1.column12.name=AVGMOBJ1MF@table1.column13.name=AVG1MFXFR@table1.column14.name=AVG1MPGFR@table1.column15.name=AVG1MPGCS@table1.column16.name=AVGSTOR@table1.column17.name=AVGSTORHVC@table1.column18.name=AVGSTORHVS@table1.column19.name=AVGSTORHVP@table1.column20.name=HWSTORHVC@table1.column21.name=MEMLIMIT@table1.column22.name=RECETIME@table1.column23.name=RECSTIME@table1.columnCount=23@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from stgfdth5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Real_Storage_Utilization_History      *
* *  Table:              M5STGFDTH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Real_Storage_Utilization_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Real Storage Utilization History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Real Storage Utilization History(V5300);
* TABLE=KM5.M5STGFDTH; 
* AT=$THRUNODE$;    
* COLUMNS=ORIGINNODE, SMFID, JOBNAME, ASID, SVCCLASS, FRAMESTOTL;       
* COLUMNS=FRAMESACTV, FRAMESIDLE, FRAMESWSET, FRAMESFIXD, FRAMESDIV;  
* COLUMNS=AUXSLOTS, PAGEINRATE, SHPGINRATE, TOTSHRPGVW, TOTSHRPGVL;
* COLUMNS=SHRPGVRATE, NUMMOBJALO, NUM1MBFRAM, RECETIME, RECSTIME;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Real_Storage_Utilization_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Real_Storage_Utilization_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Real Storage Utilization History',
  'Real Storage Utilization History(V5300)',
  'IBM',
  '1150305065358000',
'at=$THRUNODE$@table1.name=M5STGFDTH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=JOBNAME@table1.column4.name=ASID@table1.column5.name=SVCCLASS@table1.column6.name=FRAMESTOTL@table1.column7.name=FRAMESACTV@table1.column8.name=FRAMESIDLE@table1.column9.name=FRAMESWSET@table1.column10.name=FRAMESFIXD@table1.column11.name=FRAMESDIV@table1.column12.name=AUXSLOTS@table1.column13.name=PAGEINRATE@table1.column14.name=SHPGINRATE@table1.column15.name=TOTSHRPGVW@table1.column16.name=TOTSHRPGVL@table1.column17.name=SHRPGVRATE@table1.column18.name=NUMMOBJALO@table1.column19.name=NUM1MBFRAM@table1.column20.name=RECETIME@table1.column21.name=RECSTIME@table1.columnCount=21@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from stgsumh5300.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5300                                      *
* *  Report:             KM5_Storage_Summary_History               *
* *  Table:              M5STGSUMH                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  10/17/13 JPY        Created for M5530                         *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Storage_Summary_History:5300;
* AFFINITY=0W000000000000000000000000000000u0000000000;
* NAME=Storage Summary History;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Storage Summary History(V5300);
* TABLE=KM5.M5STGSUMH; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, SMFID, AVGMOBJHVC, AVGMOBJHVS, AVGHVSCS;       
* COLUMNS=PCTHVSUSE, AVGHVCCS, PCTHVCUSE, AVGHVCFXFR, AVGHVSAUX;  
* COLUMNS=AVGHVCAUX, AVGMOBJ1MF, AVGMOBJC1M, AVGMOBJC1I, AVG1MPGCS;
* COLUMNS=PCT1MPMOBJ, AVG1MFMOBJ, AVG1MP4KPF, AVG1MHVCCS, AVG1MHVCOR;
* COLUMNS=PCT1MFLF, AVG1MPMOBJ, AVG1MP4KP, AVG1MFLFPG, AVG1MPFAIL;
* COLUMNS=AVG1MPCONV, PCT1MFMOBJ, RECETIME, RECSTIME; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Storage_Summary_History:5300';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Storage_Summary_History:5300',
  'KM5',
  '0W000000000000000000000000000000u0000000000',
  'P',
  'Storage Summary History',
  'Storage Summary History(V5300)',
  'IBM',
  '1150305065358000',
'at=$THRUNODE$@table1.name=M5STGSUMH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=AVGMOBJHVC@table1.column4.name=AVGMOBJHVS@table1.column5.name=AVGHVSCS@table1.column6.name=PCTHVSUSE@table1.column7.name=AVGHVCCS@table1.column8.name=PCTHVCUSE@table1.column9.name=AVGHVCFXFR@table1.column10.name=AVGHVSAUX@table1.column11.name=AVGHVCAUX@table1.column12.name=AVGMOBJ1MF@table1.column13.name=AVGMOBJC1M@table1.column14.name=AVGMOBJC1I@table1.column15.name=AVG1MPGCS@table1.column16.name=PCT1MPMOBJ@table1.column17.name=AVG1MFMOBJ@table1.column18.name=AVG1MP4KPF@table1.column19.name=AVG1MHVCCS@table1.column20.name=AVG1MHVCOR@table1.column21.name=PCT1MFLF@table1.column22.name=AVG1MPMOBJ@table1.column23.name=AVG1MP4KP@table1.column24.name=AVG1MFLFPG@table1.column25.name=AVG1MPFAIL@table1.column26.name=AVG1MPCONV@table1.column27.name=PCT1MFMOBJ@table1.column28.name=RECETIME@table1.column29.name=RECSTIME@table1.columnCount=29@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from km5mths5302.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5302                                      *
* *  Report:             KM5_MultiThreading_Summary                *
* *  Table:              KM5THRSUML                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  02/23/15 JPY        Created for M5530IF2                      *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=MultiThreading_Summary:5302;
* AFFINITY=0W000000000000000000000000000000m0000000000;
* NAME=MultiThreading Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=MultiThreading Summary(V5302);
* TABLE=KM5.KM5THRSUML; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, SYSNAME, LPARNAME, SMFID, TOTCORES;       
* COLUMNS=TOTTHREADS, MEASUREINT, CLSCORTYPE, CLSMTMODE;  
* COLUMNS=CLSMAXCAPF, CLSCAPF, CLSAVGTD, CLSTOTSHRP;
* COLUMNS=CLSLPARBSY, CLSMVSBSY, CLSMTPROD, CLSMTUTIL;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'MultiThreading_Summary:5302';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'MultiThreading_Summary:5302',
  'KM5',
  '0W000000000000000000000000000000m0000000000',
  'P',
  'MultiThreading Summary',
  'MultiThreading Summary(V5302)',
  'IBM',
  '1150305065359000',
'at=$THRUNODE$@table1.name=KM5THRSUML@table1.column1.name=ORIGINNODE@table1.column2.name=SYSNAME@table1.column3.name=LPARNAME@table1.column4.name=SMFID@table1.column5.name=TOTCORES@table1.column6.name=TOTTHREADS@table1.column7.name=MEASUREINT@table1.column8.name=CLSCORTYPE@table1.column9.name=CLSMTMODE@table1.column10.name=CLSMAXCAPF@table1.column11.name=CLSCAPF@table1.column12.name=CLSAVGTD@table1.column13.name=CLSTOTSHRP@table1.column14.name=CLSLPARBSY@table1.column15.name=CLSMVSBSY@table1.column16.name=CLSMTPROD@table1.column17.name=CLSMTUTIL@table1.columnCount=17@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from KM5THRSUML.txt
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            56008                                     *
* *  Report:             KM5_MultiThreading_Summary                *
* *  Table:              KM5THRSUML                                *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  02/23/15 JPY        Created for M5530IF2                      *
* *  03/05/21 KBEAU      Modified for IBM Spec                     *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=MultiThreading_Summary:56008;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=19;
* NAME=MultiThreading Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=MultiThreading Summary (V56008);
* TABLE=KM5.KM5THRSUML; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE
* COLUMNS=SYSNAME
* COLUMNS=LPARNAME
* COLUMNS=SMFID
* COLUMNS=TOTCORES
* COLUMNS=TOTTHREADS
* COLUMNS=MEASUREINT
* COLUMNS=CLSCORTYPE
* COLUMNS=CLSMTMODE
* COLUMNS=CLSMAXCAPF
* COLUMNS=CLSCAPF
* COLUMNS=CLSAVGTD
* COLUMNS=CLSTOTSHRP
* COLUMNS=CLSLPARBSY
* COLUMNS=CLSMVSBSY
* COLUMNS=CLSMTPROD
* COLUMNS=CLSMTUTIL
* COLUMNS=COREID
* COLUMNS=CORETYPE
* COLUMNS=THREADNUM
* COLUMNS=COREPRTY
* COLUMNS=CORESHRP
* COLUMNS=CORONLINE
* COLUMNS=THRDPARKED
* COLUMNS=CORLPARBSY
* COLUMNS=THRDMVSBSY
* COLUMNS=CORMTPROD
* COLUMNS=CORMTUTIL
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'MultiThreading_Summary:56008';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'MultiThreading_Summary:56008',
  'KM5',
  '%IBM.STATIC007          000000000J000000000',
  'P',
  'MultiThreading Summary',
  'MultiThreading Summary (V56008)',
  'IBM',
  '1210305161114000',
'at=$THRUNODE$@table1.name=KM5THRSUML@table1.column1.name=ORIGINNODE@table1.column2.name=SYSNAME@table1.column3.name=LPARNAME@table1.column4.name=SMFID@table1.column5.name=TOTCORES@table1.column6.name=TOTTHREADS@table1.column7.name=MEASUREINT@table1.column8.name=CLSCORTYPE@table1.column9.name=CLSMTMODE@table1.column10.name=CLSMAXCAPF@table1.column11.name=CLSCAPF@table1.column12.name=CLSAVGTD@table1.column13.name=CLSTOTSHRP@table1.column14.name=CLSLPARBSY@table1.column15.name=CLSMVSBSY@table1.column16.name=CLSMTPROD@table1.column17.name=CLSMTUTIL@table1.column18.name=COREID@table1.column19.name=CORETYPE@table1.column20.name=THREADNUM@table1.column21.name=COREPRTY@table1.column22.name=CORESHRP@table1.column23.name=CORONLINE@table1.column24.name=THRDPARKED@table1.column25.name=CORLPARBSY@table1.column26.name=THRDMVSBSY@table1.column27.name=CORMTPROD@table1.column28.name=CORMTUTIL@table1.columnCount=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from km5mthd5302.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            5302                                      *
* *  Report:             KM5_MultiThreading_Details                *
* *  Table:              KM5THRDET                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  02/23/15 JPY        Created for M5530IF2                      *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=MultiThreading_Details:5302;
* AFFINITY=0W000000000000000000000000000000m0000000000;
* NAME=MultiThreading Details;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=MultiThreading Details(V5302);
* TABLE=KM5.KM5THRDET; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, SYSNAME, LPARNAME, SMFID, COREID, CORETYPE;       
* COLUMNS=THREADNUM, COREPRTY, CORESHRP, CORONLINE, THRDPARKED;  
* COLUMNS=CORLPARBSY, THRDMVSBSY, CORMTPROD, CORMTUTIL;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'MultiThreading_Details:5302';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'MultiThreading_Details:5302',
  'KM5',
  '0W000000000000000000000000000000m0000000000',
  'P',
  'MultiThreading Details',
  'MultiThreading Details(V5302)',
  'IBM',
  '1150305065359000',
'at=$THRUNODE$@table1.name=KM5THRDET@table1.column1.name=ORIGINNODE@table1.column2.name=SYSNAME@table1.column3.name=LPARNAME@table1.column4.name=SMFID@table1.column5.name=COREID@table1.column6.name=CORETYPE@table1.column7.name=THREADNUM@table1.column8.name=COREPRTY@table1.column9.name=CORESHRP@table1.column10.name=CORONLINE@table1.column11.name=THRDPARKED@table1.column12.name=CORLPARBSY@table1.column13.name=THRDMVSBSY@table1.column14.name=CORMTPROD@table1.column15.name=CORMTUTIL@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from KM5WTILPAR.txt
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            56008                                     *
* *  Report:             Warning_Track_Interrupt_LPAR              *
* *  Table:              KM5WTILPAR                                *
* *  Notes:                                                        *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  03/05/21 KBEAU      Created  for IBM Spec                     *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Warning_Track_Interrupt_LPAR:56008;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=19;
* NAME=Warning Track Interrupt;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Warning Track Interrupt summary for a given system (V56008);
* TABLE=KM5.KM5WTILPAR; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE
* COLUMNS=LPARNAME
* COLUMNS=SMFID
* COLUMNS=MEASUREINT
* COLUMNS=CORETYPE
* COLUMNS=WTISUCCCNT
* COLUMNS=WTISUCCPCT
* COLUMNS=WTIUNSCCNT
* COLUMNS=WTIUNSCPCT
* COLUMNS=WTIUNDISPT
* COLUMNS=WTIUNDISPP
* COLUMNS=SIGPCOUNT
* COLUMNS=SIGPRATE
* COLUMNS=CPCNAME
* COLUMNS=CPCSERIAL
* COLUMNS=SYSPLEXNAM
* COLUMNS=COREID
* COLUMNS=THREADNUM
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Warning_Track_Interrupt_LPAR:56008';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Warning_Track_Interrupt_LPAR:56008',
  'KM5',
  '%IBM.STATIC007          000000000J000000000',
  'P',
  'Warning Track Interrupt',
  'Warning Track Interrupt summary for a given system (V56008)',
  'IBM',
  '1210308125253000',
'at=$THRUNODE$@table1.name=KM5WTILPAR@table1.column1.name=ORIGINNODE@table1.column2.name=LPARNAME@table1.column3.name=SMFID@table1.column4.name=MEASUREINT@table1.column5.name=CORETYPE@table1.column6.name=WTISUCCCNT@table1.column7.name=WTISUCCPCT@table1.column8.name=WTIUNSCCNT@table1.column9.name=WTIUNSCPCT@table1.column10.name=WTIUNDISPT@table1.column11.name=WTIUNDISPP@table1.column12.name=SIGPCOUNT@table1.column13.name=SIGPRATE@table1.column14.name=CPCNAME@table1.column15.name=CPCSERIAL@table1.column16.name=SYSPLEXNAM@table1.column17.name=COREID@table1.column18.name=THREADNUM@table1.columnCount=18@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from km5flmd53020.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            53020                                     *
* *  Report:             KM5_StorageClassMemory_Details            *
* *  Table:              KM5SCMDET                                 *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/20/15 JPY        Created for M5530IF2                      *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5_StorageClassMemory_Details:53020;
* AFFINITY=%IBM.STATIC007          000000000C00000000;
* NAME=StorageClassMemory Details;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=StorageClassMemory Details(V53020);
* TABLE=KM5.KM5SCMDET; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, SYSNAME, LPARNAME, SMFID, JOBNAME, ASID;       
* COLUMNS=TOTBLOCKS, TOT4KRQCMP, TOT1MRQCMP, TOT4KWRCMP, TOT1MWRCMP;  
* COLUMNS=TOTPAGINS, TOT1MPINS, TOTPAGOUTS, TOT1MPOUTS;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_StorageClassMemory_Details:53020';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5_StorageClassMemory_Details:53020',
  'KM5',
  '%IBM.STATIC007',
  'P',
  'StorageClassMemory Details',
  'StorageClassMemory Details(V53020)',
  'IBM',
  '1150819081936000',
'at=$THRUNODE$@table1.name=KM5SCMDET@table1.column1.name=ORIGINNODE@table1.column2.name=SYSNAME@table1.column3.name=LPARNAME@table1.column4.name=SMFID@table1.column5.name=JOBNAME@table1.column6.name=ASID@table1.column7.name=TOTBLOCKS@table1.column8.name=TOT4KRQCMP@table1.column9.name=TOT1MRQCMP@table1.column10.name=TOT4KWRCMP@table1.column11.name=TOT1MWRCMP@table1.column12.name=TOTPAGINS@table1.column13.name=TOT1MPINS@table1.column14.name=TOTPAGOUTS@table1.column15.name=TOT1MPOUTS@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from KM5SCMSUMH.txt
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            56008                                     *
* *  Report:             SCM_Device_Summary                        *
* *  Table:              KM5SCMSUMM                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  03/04/21 KBEAU      Created for IBM Spec                      *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=SCM_Device_Summary:56008;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=19;
* NAME=SCM Device Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=StorageClassMemory Device Summary (V56008);
* TABLE=KM5.KM5SCMSUMH; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=SSCHTOTAL;
* COLUMNS=SSCHRATE;
* COLUMNS=PENDTIME;
* COLUMNS=IOPQTIME;
* COLUMNS=ICMRTIME;
* COLUMNS=CARDID;
* COLUMNS=PCTUTILL;
* COLUMNS=PCTUTILC;
* COLUMNS=BYTESREADL;
* COLUMNS=BYTESREADC;
* COLUMNS=BYTESWRITL;
* COLUMNS=BYTESWRITC;
* COLUMNS=REQRATEL;
* COLUMNS=REQRATEC;
* COLUMNS=AVGRESPTML;
* COLUMNS=AVGRESPTMC;
* COLUMNS=AVGIOPQTMC;
* COLUMNS=REQTOTALL;
* COLUMNS=REQTOTALC;
* COLUMNS=RECETIME;
* COLUMNS=RECSTIME;
* COLUMNS=SAMPSEC;
* COLUMNS=RMFSTAT;
* COLUMNS=BYTE8READL;
* COLUMNS=BYTE8READC;
* COLUMNS=BYTE8WRITL;
* COLUMNS=BYTE8WRITC;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SMFID = $SMFID$;
* PARMS="SUMRWRTYPE","REALTIME",8;


DELETE FROM KFWQUERY   WHERE ID       =
 'SCM_Device_Summary:56008';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'SCM_Device_Summary:56008',
  'KM5',
  '%IBM.STATIC007          000000000J000000000',
  'P',
  'SCM Device Summary',
  'StorageClassMemory Device Summary (V56008)',
  'IBM',
  '1210311155339000',
'at=$THRUNODE$@table1.name=KM5SCMSUMH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=SSCHTOTAL@table1.column4.name=SSCHRATE@table1.column5.name=PENDTIME@table1.column6.name=IOPQTIME@table1.column7.name=ICMRTIME@table1.column8.name=CARDID@table1.column9.name=PCTUTILL@table1.column10.name=PCTUTILC@table1.column11.name=BYTESREADL@table1.column12.name=BYTESREADC@table1.column13.name=BYTESWRITL@table1.column14.name=BYTESWRITC@table1.column15.name=REQRATEL@table1.column16.name=REQRATEC@table1.column17.name=AVGRESPTML@table1.column18.name=AVGRESPTMC@table1.column19.name=AVGIOPQTMC@table1.column20.name=REQTOTALL@table1.column21.name=REQTOTALC@table1.column22.name=RECETIME@table1.column23.name=RECSTIME@table1.column24.name=SAMPSEC@table1.column25.name=RMFSTAT@table1.column26.name=BYTE8READL@table1.column27.name=BYTE8READC@table1.column28.name=BYTE8WRITL@table1.column29.name=BYTE8WRITC@table1.columnCount=29@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SMFID@filter2.operator=EQ@filter2.value=$SMFID$@filterCount=2@parma1.value="SUMRWRTYPE","REALTIME",8@parmaCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from km5flms53020.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            53020                                     *
* *  Report:             KM5_StorageClassMemory_Summary            *
* *  Table:              KM5SCMSUMM                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  07/20/15 JPY        Created for M5530IF2                      *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5_StorageClassMemory_Summary:53020;
* AFFINITY=%IBM.STATIC007          000000000C00000000;
* NAME=StorageClassMemory Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=StorageClassMemory Summary(V53020);
* TABLE=KM5.KM5SCMSUMM; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, SYSNAME, LPARNAME, SMFID, MEASUREINT, SCMSVCTIME;       
* COLUMNS=PAGSVCTIME, SCMPAGPUSE, TOTALALLOC, TOTALINUSE, PCTUSED;  
* COLUMNS=BACKSHRGRP, BACKSHRPGS, BACKCMNPGS, WR1MDEMOTE, ACTIOTHRSH;
* COLUMNS=ERRORBLCKS, TOT4KRQCMP, TOT1MRQCMP, TOT4KWRCMP, TOT1MWRCMP;
* COLUMNS=TOTPAGINS, TOT1MPINS, TOTPAGOUTS, TOT1MPOUTS, DEFNFLTPGS;
* COLUMNS=DEFPFLTPGS;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_StorageClassMemory_Summary:53020';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5_StorageClassMemory_Summary:53020',
  'KM5',
  '%IBM.STATIC007',
  'P',
  'StorageClassMemory Summary',
  'StorageClassMemory Summary(V53020)',
  'IBM',
  '1150819081938000',
'at=$THRUNODE$@table1.name=KM5SCMSUMM@table1.column1.name=ORIGINNODE@table1.column2.name=SYSNAME@table1.column3.name=LPARNAME@table1.column4.name=SMFID@table1.column5.name=MEASUREINT@table1.column6.name=SCMSVCTIME@table1.column7.name=PAGSVCTIME@table1.column8.name=SCMPAGPUSE@table1.column9.name=TOTALALLOC@table1.column10.name=TOTALINUSE@table1.column11.name=PCTUSED@table1.column12.name=BACKSHRGRP@table1.column13.name=BACKSHRPGS@table1.column14.name=BACKCMNPGS@table1.column15.name=WR1MDEMOTE@table1.column16.name=ACTIOTHRSH@table1.column17.name=ERRORBLCKS@table1.column18.name=TOT4KRQCMP@table1.column19.name=TOT1MRQCMP@table1.column20.name=TOT4KWRCMP@table1.column21.name=TOT1MWRCMP@table1.column22.name=TOTPAGINS@table1.column23.name=TOT1MPINS@table1.column24.name=TOTPAGOUTS@table1.column25.name=TOT1MPOUTS@table1.column26.name=DEFNFLTPGS@table1.column27.name=DEFPFLTPGS@table1.columnCount=27@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from msucap53020.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            53020                                     *
* *  Report:             KM5_License_Manager_MSU_WLM_Cap           *
* *  Table:              KM5MSUCAP                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* *  Change Log:                                                   *
* *  Date     Name       Description                               *
* *  -------- ---------- ------------------------------------------*
* *  08/19/15 JPY        Created for M5530IF2                      *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=KM5_License_Manager_MSU_WLM_Cap:53020;
* AFFINITY=%IBM.STATIC007          000000000C00000000;
* NAME=License Manager MSU WLM Cap Summary;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=License Manager MSU WLM Cap Summary(V53020);
* TABLE=KM5.KM5MSUCAP; 
* AT=$THRUNODE$;  
* COLUMNS=ORIGINNODE, RECTYPE, ROLLAVG, LPARDEFCAP, AVGPCTCAP, AVGPCTUNC;       
* COLUMNS=LPARLIMBAS, LPARCAPLIM, PCTMSUCP, LPARGRPNAM, LPARGRPCAP;  
* COLUMNS=GRPLPARLIM, AVGUGPMSUS, AVGGRPMSUS, AVGGRPPUSE, TIMEPERIOD;
* COLUMNS=PCTTIMEUNC, UNCAPPMSUS, PCTLPARUNC, PCTTIMECAP, CAPPMSUS;
* COLUMNS=PCTLPARCAP, UNUSGRPMSU, USEDGRPMSU, PCTGRPUSED, ROWCOUNT;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_License_Manager_MSU_WLM_Cap:53020';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5_License_Manager_MSU_WLM_Cap:53020',
  'KM5',
  '%IBM.STATIC007',
  'P',
  'License Manager MSU WLM Cap Summary',
  'License Manager MSU WLM Cap Summary(V53020)',
  'IBM',
  '1150819081939000',
'at=$THRUNODE$@table1.name=KM5MSUCAP@table1.column1.name=ORIGINNODE@table1.column2.name=RECTYPE@table1.column3.name=ROLLAVG@table1.column4.name=LPARDEFCAP@table1.column5.name=AVGPCTCAP@table1.column6.name=AVGPCTUNC@table1.column7.name=LPARLIMBAS@table1.column8.name=LPARCAPLIM@table1.column9.name=PCTMSUCP@table1.column10.name=LPARGRPNAM@table1.column11.name=LPARGRPCAP@table1.column12.name=GRPLPARLIM@table1.column13.name=AVGUGPMSUS@table1.column14.name=AVGGRPMSUS@table1.column15.name=AVGGRPPUSE@table1.column16.name=TIMEPERIOD@table1.column17.name=PCTTIMEUNC@table1.column18.name=UNCAPPMSUS@table1.column19.name=PCTLPARUNC@table1.column20.name=PCTTIMECAP@table1.column21.name=CAPPMSUS@table1.column22.name=PCTLPARCAP@table1.column23.name=UNUSGRPMSU@table1.column24.name=USEDGRPMSU@table1.column25.name=PCTGRPUSED@table1.column26.name=ROWCOUNT@table1.columnCount=26@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgicsf0.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             ICSF Subsystem Status                   *
* *  Table:              KM5.ICSF                                *
* *  Characteristics:    Cross-system query.                     *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoCROSSYS00;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Cross-system Cryptographic Coprocessors;
* USER=KM5_310;
* DESC=Cross-system Cryptographic Coprocessors;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.ICSF;
* AT=$THRUNODE$;
* COLUMNS=SMFID,STATUS,CRYPTO,CCMK,CCHW,CMOS,PCI,PCISTAT,PRSM;
* COLUMNS=CICSWAITL,DES,CKDSPCT,CDMF,PKAMK,KMMK0,KMMK1;
* COLUMNS=SMK0,SMK1,VERSION,ASID,SSMODE,CCC,CKDSACCESS,PKACALL;
* COLUMNS=PKDSREAD,PKDSWRITE,DOMAINIDX,CKDSN,PKDSN,WLDSN;
* COLUMNS=MKVER,MK,PKAKMMK,PKASMK,MONSTATUS,AVGWAIT,SCEDBLED;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoCROSSYS00';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoCROSSYS00',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Cross-system Cryptographic Coprocessors',
  'Cross-system Cryptographic Coprocessors',
  'KM5_310',
  '1150305065400000',
'at=$THRUNODE$@table1.name=ICSF@table1.column1.name=SMFID@table1.column2.name=STATUS@table1.column3.name=CRYPTO@table1.column4.name=CCMK@table1.column5.name=CCHW@table1.column6.name=CMOS@table1.column7.name=PCI@table1.column8.name=PCISTAT@table1.column9.name=PRSM@table1.column10.name=CICSWAITL@table1.column11.name=DES@table1.column12.name=CKDSPCT@table1.column13.name=CDMF@table1.column14.name=PKAMK@table1.column15.name=KMMK0@table1.column16.name=KMMK1@table1.column17.name=SMK0@table1.column18.name=SMK1@table1.column19.name=VERSION@table1.column20.name=ASID@table1.column21.name=SSMODE@table1.column22.name=CCC@table1.column23.name=CKDSACCESS@table1.column24.name=PKACALL@table1.column25.name=PKDSREAD@table1.column26.name=PKDSWRITE@table1.column27.name=DOMAINIDX@table1.column28.name=CKDSN@table1.column29.name=PKDSN@table1.column30.name=WLDSN@table1.column31.name=MKVER@table1.column32.name=MK@table1.column33.name=PKAKMMK@table1.column34.name=PKASMK@table1.column35.name=MONSTATUS@table1.column36.name=AVGWAIT@table1.column37.name=SCEDBLED@table1.columnCount=37@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgicsf1.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             ICSF Subsystem Status                   *
* *  Table:              KM5.ICSF                                *
* *  Characteristics:    System specific query.                  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoICSF1;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Cryptographic Coprocessors
* USER=KM5_310
* DESC=ICSF Subsystem Status Report
* NODETYPE=MVSSYS;
* READONLY=Y;
* VISIBLE=Y;
* *
* TABLE=KM5.ICSF;
* AT=$THRUNODE$;
* COLUMNS=SMFID,STATUS,CRYPTO,CCMK,CCHW,CMOS,PCI,PCISTAT,PRSM;
* COLUMNS=CICSWAITL,DES,CKDSPCT,CDMF,PKAMK,KMMK0,KMMK1;
* COLUMNS=SMK0,SMK1,VERSION,ASID,SSMODE,CCC,CKDSACCESS,PKACALL;
* COLUMNS=PKDSREAD,PKDSWRITE,DOMAINIDX,CKDSN,PKDSN,WLDSN;
* COLUMNS=MKVER,MK,PKAKMMK,PKASMK,MONSTATUS,AVGWAIT,SCEDBLED;
* PRED=ORIGINNODE = $NODE$;
* *
* SITNAME Crypto_CKDS_Access_Disabled Warning;
* SITNAME Crypto_CKDS_80PCT_Full Critical;
* SITNAME Crypto_Internal_Error Critical;
* SITNAME Crypto_Invalid_Master_Key Critical;
* SITNAME Crypto_Invalid_PKA_Master_Keys Critical;
* SITNAME Crypto_No_Coprocessors Critical;
* SITNAME Crypto_No_PCI_Coprocessors Warning;
* SITNAME Crypto_PCI_Unavailable Critical;
* SITNAME Crypto_PKA_Services_Disabled Warning;
* SITNAME Crypto_PKDS_Read_Disabled Warning;
* SITNAME Crypto_PKDS_Write_Disabled Warning;
* SITNAME Crypto_Service_Unavailable Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_CKDS_Access_Disabled' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_CKDS_80PCT_Full' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_Internal_Error' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_Invalid_Master_Key' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_Invalid_PKA_Master_Keys' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_No_Coprocessors' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_No_PCI_Coprocessors' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_PCI_Unavailable' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_PKA_Services_Disabled' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_PKDS_Read_Disabled' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_PKDS_Write_Disabled' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Crypto_Service_Unavailable' AND 
 TEMPLATE = 'CryptoICSF1';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CryptoICSF1' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'CryptoICSF1';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoICSF1',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'D',
  'Cryptographic Coprocessors',
  'ICSF Subsystem Status Report',
  'KM5_310',
  '1150305065400000',
'at=$THRUNODE$@table1.name=ICSF@table1.column1.name=SMFID@table1.column2.name=STATUS@table1.column3.name=CRYPTO@table1.column4.name=CCMK@table1.column5.name=CCHW@table1.column6.name=CMOS@table1.column7.name=PCI@table1.column8.name=PCISTAT@table1.column9.name=PRSM@table1.column10.name=CICSWAITL@table1.column11.name=DES@table1.column12.name=CKDSPCT@table1.column13.name=CDMF@table1.column14.name=PKAMK@table1.column15.name=KMMK0@table1.column16.name=KMMK1@table1.column17.name=SMK0@table1.column18.name=SMK1@table1.column19.name=VERSION@table1.column20.name=ASID@table1.column21.name=SSMODE@table1.column22.name=CCC@table1.column23.name=CKDSACCESS@table1.column24.name=PKACALL@table1.column25.name=PKDSREAD@table1.column26.name=PKDSWRITE@table1.column27.name=DOMAINIDX@table1.column28.name=CKDSN@table1.column29.name=PKDSN@table1.column30.name=WLDSN@table1.column31.name=MKVER@table1.column32.name=MK@table1.column33.name=PKAKMMK@table1.column34.name=PKASMK@table1.column35.name=MONSTATUS@table1.column36.name=AVGWAIT@table1.column37.name=SCEDBLED@table1.columnCount=37@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=MVSSYS@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000000000000000',
   32,
   259,
   '1150305065400000',
   '_ KCJ',
   'CryptoICSF1',
   'Cryptographic Coprocessors'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CryptoICSF1',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'CryptoICSF1',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_CKDS_Access_Disabled',
   'Warning',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_CKDS_80PCT_Full',
   'Critical',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_Internal_Error',
   'Critical',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_Invalid_Master_Key',
   'Critical',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_Invalid_PKA_Master_Keys',
   'Critical',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_No_Coprocessors',
   'Critical',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_No_PCI_Coprocessors',
   'Warning',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_PCI_Unavailable',
   'Critical',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_PKA_Services_Disabled',
   'Warning',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_PKDS_Read_Disabled',
   'Warning',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_PKDS_Write_Disabled',
   'Warning',
   'CryptoICSF1',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Crypto_Service_Unavailable',
   'Critical',
   'CryptoICSF1',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgsvcd0.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            310                                     *
* *  Report:             Service Call Performance                *
* *  Table:              KM5.SVCDET                              *
* *  Characteristics:    Cross-system query.                     *
* *  Change Log:                                                 *
* *    Date     Defect   Who    Description                      *
* *  ---------+---------+------+-------------------------------- *
* *  07/08/08 | 76157   |bkealy| Helper changed to using single  *
* *           |         |      | quotes.  PARMS= must now use    *
* *           |         |      | double quotes.                  * 
* *  07/28/08 | 78874   |mryan | Set to READONLY                 *
* ****************************************************************
* IDENT=CryptoSVCDET00;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Cross-System Service Calls;
* USER=KM5_310;
* DESC=Service Call Performance by System;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.SVCDET;
* AT=$THRUNODE$;
* COLUMNS=SMFID,ARRATE,SVCTIME,PENDING,BYTES;
* * DR76157
* PARMS="CG","SYSSUMMARY",10;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoSVCDET00';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoSVCDET00',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Cross-System Service Calls',
  'Service Call Performance by System',
  'KM5_310',
  '1150305065401000',
'at=$THRUNODE$@table1.name=SVCDET@table1.column1.name=SMFID@table1.column2.name=ARRATE@table1.column3.name=SVCTIME@table1.column4.name=PENDING@table1.column5.name=BYTES@table1.columnCount=5@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@parma1.value="CG","SYSSUMMARY",10@parmaCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgsvcd1.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Service Call Performance                *
* *  Table:              KM5.SVCDET                              *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoSVCDET01;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Service Call Performance;
* USER=KM5_310;
* DESC=Performance By Service Call;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.SVCDET;
* AT=$THRUNODE$;
* COLUMNS=SVCCALL,SVCDESC,SMFID;
* COLUMNS=ARRATE,SVCTIME,PENDING;
* COLUMNS=BYTES;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoSVCDET01';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoSVCDET01',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Service Call Performance',
  'Performance By Service Call',
  'KM5_310',
  '1150305065401000',
'at=$THRUNODE$@table1.name=SVCDET@table1.column1.name=SVCCALL@table1.column2.name=SVCDESC@table1.column3.name=SMFID@table1.column4.name=ARRATE@table1.column5.name=SVCTIME@table1.column6.name=PENDING@table1.column7.name=BYTES@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgsvcd2.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Top 10 Service calls by ARRATE          *
* *  Table:              KM5.SVCDET                              *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoSVCDET02;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Arrival Rate;
* USER=KM5_310;
* DESC=Top 10 Arrivals per Minute by Service Call;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.SVCDET;
* AT=$THRUNODE$;
* COLUMNS=SVCDESC;
* COLUMNS=ARRATE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ARRATE > 0;
* PRED=AND LAST(10);
* ORDER=ARRATE;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoSVCDET02';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoSVCDET02',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Arrival Rate',
  'Top 10 Arrivals per Minute by Service Call',
  'KM5_310',
  '1150305065402000',
'at=$THRUNODE$@table1.name=SVCDET@table1.column1.name=SVCDESC@table1.column2.name=ARRATE@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ARRATE@filter2.operator=GT@filter2.value=0@filter2.type=I@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=ARRATE@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgsvcd3.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Top 10 Service calls by SVCTIME         *
* *  Table:              KM5.SVCDET                              *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoSVCDET03;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=ServiceTime;
* USER=KM5_310;
* DESC=Top 10 Average Service Call Time per Service Call;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.SVCDET;
* AT=$THRUNODE$;
* COLUMNS=SVCTIME;
* COLUMNS=SVCDESC;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCTIME > 0.0;
* PRED=AND LAST(10);
* ORDER=SVCTIME;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoSVCDET03';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoSVCDET03',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'ServiceTime',
  'Top 10 Average Service Call Time per Service Call',
  'KM5_310',
  '1150305065402000',
'at=$THRUNODE$@table1.name=SVCDET@table1.column1.name=SVCTIME@table1.column2.name=SVCDESC@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCTIME@filter2.operator=GT@filter2.value=0.0@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=SVCTIME@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgsvcd4.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Top 10 Service calls by PENDING         *
* *  Table:              KM5.SVCDET                              *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoSVCDET04;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Pending;
* USER=KM5_310;
* DESC=Top 10 Average Number of Calls Pending per Service Call;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.SVCDET;
* AT=$THRUNODE$;
* COLUMNS=SVCDESC;
* COLUMNS=PENDING;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND PENDING > 0;
* PRED=AND LAST(10);
* ORDER=PENDING;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoSVCDET04';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoSVCDET04',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Pending',
  'Top 10 Average Number of Calls Pending per Service Call',
  'KM5_310',
  '1150305065402000',
'at=$THRUNODE$@table1.name=SVCDET@table1.column1.name=SVCDESC@table1.column2.name=PENDING@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=PENDING@filter2.operator=GT@filter2.value=0@filter2.type=I@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=PENDING@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgsvcd5.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Top 10 Service calls by BYTES           *
* *  Table:              KM5.SVCDET                              *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CrytpoSVCDET05;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Bytes;
* USER=KM5_310;
* DESC=Top 10 Average Number of Bytes Processed by Service Call;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.SVCDET;
* AT=$THRUNODE$;
* COLUMNS=SVCDESC;
* COLUMNS=BYTES;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND BYTES > 0;
* PRED=AND LAST(10);
* ORDER=BYTES;


DELETE FROM KFWQUERY   WHERE ID       =
 'CrytpoSVCDET05';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CrytpoSVCDET05',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Bytes',
  'Top 10 Average Number of Bytes Processed by Service Call',
  'KM5_310',
  '1150305065403000',
'at=$THRUNODE$@table1.name=SVCDET@table1.column1.name=SVCDESC@table1.column2.name=BYTES@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=BYTES@filter2.operator=GT@filter2.value=0@filter2.type=I@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=BYTES@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgtopu0.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Cross-System Performance by Top Users   *
* *  Table:              KM5.TOPUSER                             *
* *  Characteristics:    Cross-system query.                     *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoTOPUSER00;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Cross-System Top Users;
* USER=KM5_310;
* DESC=Top Users by System;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.TOPUSER;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME,SMFID;
* COLUMNS=ARRATE,SVCTIME,PENDING,BYTES;
* COLUMNS=SVCCALL,SVCDESC;
* ORDER=D ARRATE;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoTOPUSER00';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoTOPUSER00',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Cross-System Top Users',
  'Top Users by System',
  'KM5_310',
  '1150305065403000',
'at=$THRUNODE$@table1.name=TOPUSER@table1.column1.name=JOBNAME@table1.column2.name=SMFID@table1.column3.name=ARRATE@table1.column4.name=SVCTIME@table1.column5.name=PENDING@table1.column6.name=BYTES@table1.column7.name=SVCCALL@table1.column8.name=SVCDESC@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=ARRATE@order1.sequence=DESCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgtopu1.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Performance by Top Users                *
* *  Table:              KM5.TOPUSER                             *
* *  Characteristics:    Single system                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoTOPUSER01;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Top User Performance;
* USER=KM5_310;
* DESC=Top User Performance by Jobname;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.TOPUSER;
* AT=$THRUNODE$;
* COLUMNS=SMFID,JOBNAME;
* COLUMNS=ARRATE,SVCTIME,PENDING,BYTES;
* COLUMNS=SVCCALL,SVCDESC;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoTOPUSER01';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoTOPUSER01',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Top User Performance',
  'Top User Performance by Jobname',
  'KM5_310',
  '1150305065403000',
'at=$THRUNODE$@table1.name=TOPUSER@table1.column1.name=SMFID@table1.column2.name=JOBNAME@table1.column3.name=ARRATE@table1.column4.name=SVCTIME@table1.column5.name=PENDING@table1.column6.name=BYTES@table1.column7.name=SVCCALL@table1.column8.name=SVCDESC@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgtopu2.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Performance of Top 10 Users by ARRATE   *
* *  Table:              KM5.TOPUSER                             *
* *  Characteristics:    Single system                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CrytpoTOPUSER02;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Arrival Rate;
* USER=KM5_310;
* DESC=Top 10 Arrivals per Minute by Jobname;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.TOPUSER;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME;
* COLUMNS=ARRATE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ARRATE > 0;
* PRED=AND LAST(10);
* ORDER=ARRATE;


DELETE FROM KFWQUERY   WHERE ID       =
 'CrytpoTOPUSER02';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CrytpoTOPUSER02',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Arrival Rate',
  'Top 10 Arrivals per Minute by Jobname',
  'KM5_310',
  '1150305065404000',
'at=$THRUNODE$@table1.name=TOPUSER@table1.column1.name=JOBNAME@table1.column2.name=ARRATE@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ARRATE@filter2.operator=GT@filter2.value=0@filter2.type=I@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=ARRATE@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgtopu3.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Performance of Top 10 Users by SVCTIME  *
* *  Table:              KM5.TOPUSER                             *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoTOPUSER03;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=ServiceTime;
* USER=KM5_310;
* DESC=Top 10 Average Service Call Time by Jobname;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.TOPUSER;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME;
* COLUMNS=SVCTIME;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND SVCTIME > 0.0;
* PRED=AND LAST(10);
* ORDER=SVCTIME;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoTOPUSER03';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoTOPUSER03',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'ServiceTime',
  'Top 10 Average Service Call Time by Jobname',
  'KM5_310',
  '1150305065404000',
'at=$THRUNODE$@table1.name=TOPUSER@table1.column1.name=JOBNAME@table1.column2.name=SVCTIME@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=SVCTIME@filter2.operator=GT@filter2.value=0.0@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=SVCTIME@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgtopu4.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Performance of Top 10 Users by PENDING  *
* *  Table:              KM5.TOPUSER                             *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoTOPUSER04;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Pending;
* USER=KM5_310;
* DESC=Top 10 Average Number of Calls Pending by Jobname;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.TOPUSER;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME;
* COLUMNS=PENDING;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND PENDING > 0;
* PRED=AND LAST(10);
* ORDER=PENDING;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoTOPUSER04';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoTOPUSER04',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Pending',
  'Top 10 Average Number of Calls Pending by Jobname',
  'KM5_310',
  '1150305065405000',
'at=$THRUNODE$@table1.name=TOPUSER@table1.column1.name=JOBNAME@table1.column2.name=PENDING@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=PENDING@filter2.operator=GT@filter2.value=0@filter2.type=I@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=PENDING@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from kcgtopu5.dat
*
* ****************************************************************
* *  Product:            KCG                                     *
* *  Version:            all                                     *
* *  Report:             Performance of Top 10 Users by BYTES    *
* *  Table:              KM5.TOPUSER                             *
* *  Characteristics:    Single System                           *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=CryptoTOPUSER05;
* AFFINITY=0W00000000000000000000000000000000000000000;
* NAME=Bytes;
* USER=KM5_310;
* DESC=Top 10 Average Number of Bytes Processed by Jobname;
* READONLY=Y;
* VISIBLE=N;
* *
* TABLE=KM5.TOPUSER;
* AT=$THRUNODE$;
* COLUMNS=JOBNAME;
* COLUMNS=BYTES;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND BYTES > 0;
* PRED=AND LAST(10);
* ORDER=BYTES;


DELETE FROM KFWQUERY   WHERE ID       =
 'CryptoTOPUSER05';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CryptoTOPUSER05',
  'KM5',
  '0W00000000000000000000000000000000000000000',
  'P',
  'Bytes',
  'Top 10 Average Number of Bytes Processed by Jobname',
  'KM5_310',
  '1150305065405000',
'at=$THRUNODE$@table1.name=TOPUSER@table1.column1.name=JOBNAME@table1.column2.name=BYTES@table1.columnCount=2@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=BYTES@filter2.operator=GT@filter2.value=0@filter2.type=I@filter3.connector=AND@filter3.column=@filter3.operator=EQ@filter3.value=LAST(10)@filterCount=3@order1.column=BYTES@order1.sequence=ASCENDING@orderCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfpolcy.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Coupling Facility Policy Report for Sysp*
* *  Table:              MCFPOLCY                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=CF_Policy_Report_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Coupling Facility Policy Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Activation dates for CF policy;
* TABLE=KM5.MCFPOLCY;
* AT=$THRUNODE$;
* COLUMNS=PCY_NAME, STARTTIME, REFORMAT, ORIGINNODE;


DELETE FROM KFWQUERY   WHERE ID       =
 'CF_Policy_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Policy_Report_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'CF_Policy_Report_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CF_Policy_Report_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Coupling Facility Policy Data for Sysplex',
  'Activation dates for CF policy',
  'Candle',
  '1150305065406000',
'at=$THRUNODE$@table1.name=MCFPOLCY@table1.column1.name=PCY_NAME@table1.column2.name=STARTTIME@table1.column3.name=REFORMAT@table1.column4.name=ORIGINNODE@table1.columnCount=4@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065406000',
   '_ KCJ',
   'CF_Policy_Report_for_Sysplex',
   'Coupling Facility Policy Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Policy_Report_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'CF_Policy_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'CF_Policy_Report_for_Sysplex',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfpath.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Paths Report for CF System in Sysplex   *
* *  Table:              MCFPATH                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Paths_Rpt_for_CF_Sys_in_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Paths Data for CF System in Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=I/O rate and path contention for each path of selected CF to MVS;
* TABLE=KM5.MCFPATH;
* AT=$THRUNODE$;
* COLUMNS=MVSNAME, CHANPATHID, STATUS, IOPERSEC, ORIGINNODE, BUSYPERCNT;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CFNAME = $MCFSYS.CFNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Paths_Rpt_for_CF_Sys_in_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Paths_Rpt_for_CF_Sys_in_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Paths Data for CF System in Sysplex',
  'I/O rate and path contention for each path of selected CF to MVS',
  'Candle',
  '1150305065406000',
'at=$THRUNODE$@table1.name=MCFPATH@table1.column1.name=MVSNAME@table1.column2.name=CHANPATHID@table1.column3.name=STATUS@table1.column4.name=IOPERSEC@table1.column5.name=ORIGINNODE@table1.column6.name=BUSYPERCNT@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=CFNAME@filter1.operator=EQ@filter1.value=$MCFSYS.CFNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1132\MCFPATDT.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Paths Report for CF System in Sysplex   *
* *  Table:              MCFPATDT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *                                                              *
* *  Change Log:                                                 *
* *  Date       Name       Description                           *
* *  --------   ---------- --------------------------------------*
* *  2021-03-04 jflores    Initial putpart; Co-existence for     *
* *                        IBM Spec OA60576 V550 Compatibility   *
* *                        (YSZS-1322)                           *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Paths_Rpt_for_CF_Sys_in_Sysplex:560;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=14;
* NAME=Paths Data for CF System in Sysplex;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Path for each path of selected CF to MVS (V560);
* TABLE=KM5.MCFPATDT;
* AT=$THRUNODE$;
* *       CF_Name
* COLUMNS=CFNAME;
* *       System_Name
* COLUMNS=SYSTEMNME;
* *       Path_ID
* COLUMNS=PATHID;
* *       Path_type
* COLUMNS=PATHTYPE;
* *       Path_Operation_Mode
* COLUMNS=PATHOPMD;
* *       Path_Degraded
* COLUMNS=PATHDEGD;
* *       Path_Distance
* COLUMNS=PATHDIST;
* *       Path_CHID
* COLUMNS=PATHPCHD;
* *       Path_Adapter_ID
* COLUMNS=PATHADID;
* *       Path_Adapter_Port_Number
* COLUMNS=PATHADPN;
* *       Path_IOP_IDs
* COLUMNS=PATHIOID;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CFNAME = $MCFSYS.CFNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Paths_Rpt_for_CF_Sys_in_Sysplex:560';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Paths_Rpt_for_CF_Sys_in_Sysplex:560',
  'KM5',
  '%IBM.STATIC006          000000000E000000000',
  'P',
  'Paths Data for CF System in Sysplex',
  'Path for each path of selected CF to MVS (V560)',
  'IBM',
  '1210304150239000',
'at=$THRUNODE$@table1.name=MCFPATDT@table1.column1.name=CFNAME@table1.column2.name=SYSTEMNME@table1.column3.name=PATHID@table1.column4.name=PATHTYPE@table1.column5.name=PATHOPMD@table1.column6.name=PATHDEGD@table1.column7.name=PATHDIST@table1.column8.name=PATHPCHD@table1.column9.name=PATHADID@table1.column10.name=PATHADPN@table1.column11.name=PATHIOID@table1.column12.name=ORIGINNODE@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CFNAME@filter2.operator=EQ@filter2.value=$MCFSYS.CFNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');




*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfsmvs.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             MVS Systems Report for CF Structure     *
* *  Table:              MCFSMVS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=MVS_Sys_Rpt_for_CF_Structure;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=MVS Systems Data for CF Structure;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=I/O request activity from each MVS image for selected struct;
* TABLE=KM5.MCFSMVS;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, MVSSYSTEM, USERCOUNT, AVASYREQTM, AVSYNREQTM;
* COLUMNS=AVQUEREQTM, TLREQCT, REQRATE, REQCNVRTD, ORIGINNODE; 
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;  
* PRED=AND CFNAME = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'MVS_Sys_Rpt_for_CF_Structure';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'MVS_Sys_Rpt_for_CF_Structure',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'MVS Systems Data for CF Structure',
  'I/O request activity from each MVS image for selected struct',
  'Candle',
  '1150305065406000',
'at=$THRUNODE$@table1.name=MCFSMVS@table1.column1.name=STRUCTNAME@table1.column2.name=MVSSYSTEM@table1.column3.name=USERCOUNT@table1.column4.name=AVASYREQTM@table1.column5.name=AVSYNREQTM@table1.column6.name=AVQUEREQTM@table1.column7.name=TLREQCT@table1.column8.name=REQRATE@table1.column9.name=REQCNVRTD@table1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.connector=AND@filter1.column=STRUCTNAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CFNAME@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfsstat.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Statistics Report for CF System in Syspl*
* *  Table:              MCFSYS                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Stats_Rpt_for_CF_Sys_in_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Statistics Data for CF System in Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=detailed performance indicators the selected CF;
* TABLE=KM5.MCFSYS;
* AT=$THRUNODE$;
* COLUMNS=VOLATILITY, SYNCOPDLY, FAILEDOPTM, ALOCSUBCHN, USEDSUBCHN;
* COLUMNS=MAXSUBCHN, ASYNCRQMN, SYNCRQMN, SACONVSMN, PCTCONVRT;  
* COLUMNS=TOTRQINTV, PCTRQSYNC, PCTRQASYN, HI1ASRSTR, HI2ASRSTR; 
* COLUMNS=HI3ASRSTR, HI1SYRSTR, HI2SYRSTR, HI3SYRSTR, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CFNAME = $MCFSYS.CFNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Rpt_for_CF_Sys_in_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Stats_Rpt_for_CF_Sys_in_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Statistics Data for CF System in Sysplex',
  'detailed performance indicators the selected CF',
  'Candle',
  '1150305065407000',
'at=$THRUNODE$@table1.name=MCFSYS@table1.column1.name=VOLATILITY@table1.column2.name=SYNCOPDLY@table1.column3.name=FAILEDOPTM@table1.column4.name=ALOCSUBCHN@table1.column5.name=USEDSUBCHN@table1.column6.name=MAXSUBCHN@table1.column7.name=ASYNCRQMN@table1.column8.name=SYNCRQMN@table1.column9.name=SACONVSMN@table1.column10.name=PCTCONVRT@table1.column11.name=TOTRQINTV@table1.column12.name=PCTRQSYNC@table1.column13.name=PCTRQASYN@table1.column14.name=HI1ASRSTR@table1.column15.name=HI2ASRSTR@table1.column16.name=HI3ASRSTR@table1.column17.name=HI1SYRSTR@table1.column18.name=HI2SYRSTR@table1.column19.name=HI3SYRSTR@table1.column20.name=ORIGINNODE@table1.columnCount=20@tableCount=1@filter1.connector=AND@filter1.column=CFNAME@filter1.operator=EQ@filter1.value=$MCFSYS.CFNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfstrct.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Coupling Facility Structures Report for *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=CF_Structures_Report_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Coupling Facility Structures Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Basic performance indicators for every active struct in Sysplex;
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, CFSYSTEM, STRUCTYPE, STATUS, ASYNCRQMN;
* COLUMNS=SYNCRQMN, MAXUSERS, TOTALUSERS, PRBLMUSERS, STGSIZE; 
* COLUMNS=PCNTCFSTG, ELEMENTCT, DUPLEX, AUTOALT, ORIGINNODE; 
* * COLUMNS=SDATETIME, EDATETIME;
* SITNAME=MVS_CFStruct_Status_Crit Critical;
* SITNAME=MVS_CFStruct_Status_Warn Warning;
* SITNAME=MVS_CFStructStat_FalseLock_Crit Critical;
* SITNAME=MVS_CFStructStat_FalseLock_Warn Warning;
* SITNAME=MVS_CFStructToMVS_Requests_Crit Critical;
* SITNAME=MVS_CFStructToMVS_Requests_Warn Warning;
* SITNAME=MVS_CFStructUsers_Connect_Crit Critical;
* SITNAME=MVS_CFStructUsers_Connect_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStruct_Status_Crit' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStruct_Status_Warn' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructStat_FalseLock_Crit' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructStat_FalseLock_Warn' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructToMVS_Requests_Crit' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructToMVS_Requests_Warn' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructUsers_Connect_Crit' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructUsers_Connect_Warn' AND 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Structures_Report_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'CF_Structures_Report_for_Sysplex';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CF_Structures_Report_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Coupling Facility Structures Data for Sysplex',
  'Basic performance indicators for every active struct in Sysplex',
  'Candle',
  '1150305065407000',
'at=$THRUNODE$@table1.name=MCFSTRCT@table1.column1.name=STRUCTNAME@table1.column2.name=CFSYSTEM@table1.column3.name=STRUCTYPE@table1.column4.name=STATUS@table1.column5.name=ASYNCRQMN@table1.column6.name=SYNCRQMN@table1.column7.name=MAXUSERS@table1.column8.name=TOTALUSERS@table1.column9.name=PRBLMUSERS@table1.column10.name=STGSIZE@table1.column11.name=PCNTCFSTG@table1.column12.name=ELEMENTCT@table1.column13.name=DUPLEX@table1.column14.name=AUTOALT@table1.column15.name=ORIGINNODE@table1.columnCount=15@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065407000',
   '_ KCJ',
   'CF_Structures_Report_for_Sysplex',
   'Coupling Facility Structures Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Structures_Report_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'CF_Structures_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStruct_Status_Crit',
   'Critical',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStruct_Status_Warn',
   'Warning',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructStat_FalseLock_Crit',
   'Critical',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructStat_FalseLock_Warn',
   'Warning',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructToMVS_Requests_Crit',
   'Critical',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructToMVS_Requests_Warn',
   'Warning',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructUsers_Connect_Crit',
   'Critical',
   'CF_Structures_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructUsers_Connect_Warn',
   'Warning',
   'CF_Structures_Report_for_Sysplex',
   0
);


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfstrstatl.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Statistics Report for CF Structure      *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Stats_Report_for_CF_Structure_L;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Statistics Data for CF List Structure;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailed characteristics for the selected structure;
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, STRUCTYPE, CFSYSTEM, STGSIZE, UTILZDSTG;
* COLUMNS=MINSTRSIZE, MAXSTRSIZE, ASYNCRQMN, SYNCRQMN, SACONVSMN;
* COLUMNS=PCTCONVRT, TOTRQINTV, PCTRQSYNC, PCTRQASYN, DUMPCONT;  
* COLUMNS=TOTQREQ, PCTQREQ, LKTBLENTCT, LKTBENCTCT, FLKTBCNTCT;  
* COLUMNS=DATAELSZ, DUMPTBSZ, REBLDPCT, ENELRATIO, MAXDLESIZE;   
* COLUMNS=MAXLSELMCT, LSELEMNTCT, MAXLSENTCT, IULSENTCT;         
* COLUMNS=PREFERENCE, EXCLUSION, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CFSYSTEM = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Report_for_CF_Structure_L';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Stats_Report_for_CF_Structure_L',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Statistics Data for CF List Structure',
  'Detailed characteristics for the selected structure',
  'Candle',
  '1150305065408000',
'at=$THRUNODE$@table1.name=MCFSTRCT@table1.column1.name=STRUCTNAME@table1.column2.name=STRUCTYPE@table1.column3.name=CFSYSTEM@table1.column4.name=STGSIZE@table1.column5.name=UTILZDSTG@table1.column6.name=MINSTRSIZE@table1.column7.name=MAXSTRSIZE@table1.column8.name=ASYNCRQMN@table1.column9.name=SYNCRQMN@table1.column10.name=SACONVSMN@table1.column11.name=PCTCONVRT@table1.column12.name=TOTRQINTV@table1.column13.name=PCTRQSYNC@table1.column14.name=PCTRQASYN@table1.column15.name=DUMPCONT@table1.column16.name=TOTQREQ@table1.column17.name=PCTQREQ@table1.column18.name=LKTBLENTCT@table1.column19.name=LKTBENCTCT@table1.column20.name=FLKTBCNTCT@table1.column21.name=DATAELSZ@table1.column22.name=DUMPTBSZ@table1.column23.name=REBLDPCT@table1.column24.name=ENELRATIO@table1.column25.name=MAXDLESIZE@table1.column26.name=MAXLSELMCT@table1.column27.name=LSELEMNTCT@table1.column28.name=MAXLSENTCT@table1.column29.name=IULSENTCT@table1.column30.name=PREFERENCE@table1.column31.name=EXCLUSION@table1.column32.name=ORIGINNODE@table1.columnCount=32@tableCount=1@filter1.connector=AND@filter1.column=STRUCTNAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CFSYSTEM@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfstrstatc.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Statistics Report for CF Structure      *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Stats_Report_for_CF_Structure_C;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Statistics Data for CF Cache Structure;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailed characteristics for the selected structure;
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, STRUCTYPE, CFSYSTEM, STGSIZE, UTILZDSTG;     
* COLUMNS=MINSTRSIZE, MAXSTRSIZE, ASYNCRQMN, SYNCRQMN, SACONVSMN;  
* COLUMNS=PCTCONVRT, TOTRQINTV, PCTRQSYNC, PCTRQASYN, DUMPCONT;    
* COLUMNS=TOTQREQ, PCTQREQ, DATAELSZ, DUMPTBSZ, REBLDPCT;          
* COLUMNS=DRELRATIO, CASTOUTBEG, CASTOUTEND, DIRENTRYCT, DAELEMENT;
* COLUMNS=STGCLASS, PREFERENCE, EXCLUSION, ORIGINNODE;             
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CFSYSTEM = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Report_for_CF_Structure_C';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Stats_Report_for_CF_Structure_C',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Statistics Data for CF Cache Structure',
  'Detailed characteristics for the selected structure',
  'Candle',
  '1150305065408000',
'at=$THRUNODE$@table1.name=MCFSTRCT@table1.column1.name=STRUCTNAME@table1.column2.name=STRUCTYPE@table1.column3.name=CFSYSTEM@table1.column4.name=STGSIZE@table1.column5.name=UTILZDSTG@table1.column6.name=MINSTRSIZE@table1.column7.name=MAXSTRSIZE@table1.column8.name=ASYNCRQMN@table1.column9.name=SYNCRQMN@table1.column10.name=SACONVSMN@table1.column11.name=PCTCONVRT@table1.column12.name=TOTRQINTV@table1.column13.name=PCTRQSYNC@table1.column14.name=PCTRQASYN@table1.column15.name=DUMPCONT@table1.column16.name=TOTQREQ@table1.column17.name=PCTQREQ@table1.column18.name=DATAELSZ@table1.column19.name=DUMPTBSZ@table1.column20.name=REBLDPCT@table1.column21.name=DRELRATIO@table1.column22.name=CASTOUTBEG@table1.column23.name=CASTOUTEND@table1.column24.name=DIRENTRYCT@table1.column25.name=DAELEMENT@table1.column26.name=STGCLASS@table1.column27.name=PREFERENCE@table1.column28.name=EXCLUSION@table1.column29.name=ORIGINNODE@table1.columnCount=29@tableCount=1@filter1.connector=AND@filter1.column=STRUCTNAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CFSYSTEM@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfsys.dat
*
* ****************************************************************
* *  Product:            KM5                                      *
* *  Version:            310                                     *
* *  Report:             Coupling Facility Systems Report        *
* *  Table:              MCFSYS                                  *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* ****************************************************************
* IDENT=Coupling_Facility_Systems_Report;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Coupling Facility Systems Data for Sysplex;
* USER=Candle;
* DESC=Show Coupling Facility systems in this sysplex 
* READONLY=Y;
* TABLE=KM5.MCFSYS;
* COLUMNS=CFNAME, CFLEVEL, CONNMVSCT, STRCTINPOL, STRCTOTPOL;
* COLUMNS=CPUPERCENT, ALLOCSTG, STGUSED, TOTSTGCTL, FRECTLSPC;
* COLUMNS=IOPERSEC, STATUS, DUMPTBLSZ, DUMPTBLIUS, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* SITNAME=MVS_CFSystems_Performance_Crit Critical;
* SITNAME=MVS_CFSystems_Performance_Warn Warning;
* SITNAME=MVS_CFSystemPaths_Busy_Crit Critical;
* SITNAME=MVS_CFSystemPaths_Busy_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Coupling_Facility_Systems_Report';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystems_Performance_Crit' AND 
 TEMPLATE = 'Coupling_Facility_Systems_Report';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystems_Performance_Warn' AND 
 TEMPLATE = 'Coupling_Facility_Systems_Report';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystemPaths_Busy_Crit' AND 
 TEMPLATE = 'Coupling_Facility_Systems_Report';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystemPaths_Busy_Warn' AND 
 TEMPLATE = 'Coupling_Facility_Systems_Report';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Systems_Report' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Coupling_Facility_Systems_Report';

INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Coupling_Facility_Systems_Report',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Coupling Facility Systems Data for Sysplex',
  'Show Coupling Facility systems in this sysplex ',
  'Candle',
  '1150305065408000',
'at=$THRUNODE$@table1.name=MCFSYS@table1.column1.name=CFNAME@table1.column2.name=CFLEVEL@table1.column3.name=CONNMVSCT@table1.column4.name=STRCTINPOL@table1.column5.name=STRCTOTPOL@table1.column6.name=CPUPERCENT@table1.column7.name=ALLOCSTG@table1.column8.name=STGUSED@table1.column9.name=TOTSTGCTL@table1.column10.name=FRECTLSPC@table1.column11.name=IOPERSEC@table1.column12.name=STATUS@table1.column13.name=DUMPTBLSZ@table1.column14.name=DUMPTBLIUS@table1.column15.name=ORIGINNODE@table1.columnCount=15@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065408000',
   '_ KCJ',
   'Coupling_Facility_Systems_Report',
   'Coupling Facility Systems Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Systems_Report',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Coupling_Facility_Systems_Report',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystems_Performance_Crit',
   'Critical',
   'Coupling_Facility_Systems_Report',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystems_Performance_Warn',
   'Warning',
   'Coupling_Facility_Systems_Report',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystemPaths_Busy_Crit',
   'Critical',
   'Coupling_Facility_Systems_Report',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystemPaths_Busy_Warn',
   'Warning',
   'Coupling_Facility_Systems_Report',
   0
);


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mplxcf.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            510                                     *
* *  Report:             Sysplexes Coupling Facility             *
* *  Table:              MPLXCF                                  *
* *  Characteristics:    Executed by KM5PLEX/KM5P1AG IRA         *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  07/16/10 JFIED      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* ****************************************************************
* IDENT=Sysplexes_Coupling_Facility;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Sysplexes Coupling Facility;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show Managed Sysplexes 
* TABLE=KM5.MPLXCF;
* COLUMNS=PLXNAME, THRUNODE, STRUCTNAME;
* COLUMNS=CFSYSTEM, PRBLMUSERS, TOTALUSERS, ORIGINNODE;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Sysplexes_Coupling_Facility';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Sysplexes_Coupling_Facility',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Sysplexes Coupling Facility',
  'Show Managed Sysplexes ',
  'IBM',
  '1150305065409000',
'at=$THRUNODE$@table1.name=MPLXCF@table1.column1.name=PLXNAME@table1.column2.name=THRUNODE@table1.column3.name=STRUCTNAME@table1.column4.name=CFSYSTEM@table1.column5.name=PRBLMUSERS@table1.column6.name=TOTALUSERS@table1.column7.name=ORIGINNODE@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mcfclient.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Users Report for CF Structure           *
* *  Table:              MCFCLIENT                               *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  02/15/06 RPERI      Added connection attributes             *
* *  07/28/08 mryan      Set to READONLY                         *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Users_Report_for_CF_Structure;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Users Data for CF Structure;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Connection status of user address spaces for selected struct;
* TABLE=KM5.MCFCLIENT;
* AT=$THRUNODE$;
* COLUMNS=ADDRSPACE, ASID, CONN_NAME, MVS_NAME, CONNSTATUS;
* COLUMNS=ALLOWREBLD, DUPLEXING, ALLOWALTER, ALLOWAUTO, SUSPEND; 
* COLUMNS=MAX(CONN_PROB);
* PRED=STR_NAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CF_NAME = $MCFSTRCT.CFSYSTEM$;
* GROUP=ADDRSPACE, ASID, CONN_NAME, CONNSTATUS, MVS_NAME;


DELETE FROM KFWQUERY   WHERE ID       =
 'Users_Report_for_CF_Structure';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Users_Report_for_CF_Structure',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Users Data for CF Structure',
  'Connection status of user address spaces for selected struct',
  'Candle',
  '1150305065409000',
'at=$THRUNODE$@table1.name=MCFCLIENT@table1.column1.name=ADDRSPACE@table1.column2.name=ASID@table1.column3.name=CONN_NAME@table1.column4.name=MVS_NAME@table1.column5.name=CONNSTATUS@table1.column6.name=ALLOWREBLD@table1.column7.name=DUPLEXING@table1.column8.name=ALLOWALTER@table1.column9.name=ALLOWAUTO@table1.column10.name=SUSPEND@table1.column11.name=MAX(CONN_PROB)@table1.columnCount=11@tableCount=1@group1.column=ADDRSPACE@group2.column=ASID@group3.column=CONN_NAME@group4.column=CONNSTATUS@group5.column=MVS_NAME@groupCount=5@filter1.connector=AND@filter1.column=STR_NAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CF_NAME@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1166\MCFCLIENT.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Users Report for CF Structure           *
* *  Table:              MCFCLIENT                               *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  02/15/06 RPERI      Added connection attributes             *
* *  07/28/08 mryan      Set to READONLY                         *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Users_Report_for_CF_Structure:5608;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=1;
* NAME=Users Data for CF Structure;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Connection status of user address spaces for selected struct;
* TABLE=KM5.MCFCLIENT;
* AT=$THRUNODE$;
* COLUMNS=ADDRSPACE, ASID, CONN_NAME, MVS_NAME, CONNSTATUS;
* COLUMNS=ALLOWREBLD, DUPLEXING, ALLOWALTER, ALLOWAUTO, SUSPEND; 
* COLUMNS=MAX(CONN_PROB);
* PRED=STR_NAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CF_NAME = $MCFSTRCT.CFSYSTEM$;
* GROUP=ADDRSPACE, ASID, CONN_NAME, CONNSTATUS, MVS_NAME;


DELETE FROM KFWQUERY   WHERE ID       =
 'Users_Report_for_CF_Structure:5608';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Users_Report_for_CF_Structure:5608',
  'KM5',
  '%IBM.STATIC006          0000000001000000000',
  'P',
  'Users Data for CF Structure',
  'Connection status of user address spaces for selected struct',
  'Candle',
  '1210217125652000',
'at=$THRUNODE$@table1.name=MCFCLIENT@table1.column1.name=ADDRSPACE@table1.column2.name=ASID@table1.column3.name=CONN_NAME@table1.column4.name=MVS_NAME@table1.column5.name=CONNSTATUS@table1.column6.name=ALLOWREBLD@table1.column7.name=DUPLEXING@table1.column8.name=ALLOWALTER@table1.column9.name=ALLOWAUTO@table1.column10.name=SUSPEND@table1.column11.name=MAX(CONN_PROB)@table1.columnCount=11@tableCount=1@group1.column=ADDRSPACE@group2.column=ASID@group3.column=CONN_NAME@group4.column=CONNSTATUS@group5.column=MVS_NAME@groupCount=5@filter1.connector=AND@filter1.column=STR_NAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CF_NAME@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from mcfstrct1.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Coupling Facility Structures Report for *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      ADD Columns: IULKENTCT, READRATE,       *
* *                                   WRITERATE, CASTOUTRT       *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=CF_Strucs_Reprt_for_Sysplex:560;
* AFFINITY=%IBM.STATIC006          000000000100000000;
* NAME=Coupling Facility Structures Data for Sysplex (V560);
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Basic performance indicators for every active struct in Sysplex (V560);
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, CFSYSTEM, STRUCTYPE, STATUS, ASYNCRQMN;
* COLUMNS=SYNCRQMN, MAXUSERS, TOTALUSERS, PRBLMUSERS, STGSIZE;
* COLUMNS=PCNTCFSTG, ELEMENTCT, DUPLEX, AUTOALT, ORIGINNODE;
* COLUMNS=IULKENTCT, READRATE, WRITERATE, CASTOUTRT;
* * COLUMNS=SDATETIME, EDATETIME;
* SITNAME=MVS_CFStruct_Status_Crit Critical;
* SITNAME=MVS_CFStruct_Status_Warn Warning;
* SITNAME=MVS_CFStructStat_FalseLock_Crit Critical;
* SITNAME=MVS_CFStructStat_FalseLock_Warn Warning;
* SITNAME=MVS_CFStructToMVS_Requests_Crit Critical;
* SITNAME=MVS_CFStructToMVS_Requests_Warn Warning;
* SITNAME=MVS_CFStructUsers_Connect_Crit Critical;
* SITNAME=MVS_CFStructUsers_Connect_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'CF_Strucs_Reprt_for_Sysplex:560';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStruct_Status_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStruct_Status_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructStat_FalseLock_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructStat_FalseLock_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructToMVS_Requests_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructToMVS_Requests_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructUsers_Connect_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructUsers_Connect_Warn' AND 
 TEMPLATE = 'KFW_NODE';


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from mcfstrct2.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Statistics Report for CF Structure      *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      ADD Columns: IULKENTCT, READRATE,       *
* *                                   WRITERATE, CASTOUTRT       *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Stats_Reprt_for_CF_Struc_C:560;
* AFFINITY=%IBM.STATIC006          000000000100000000;
* NAME=Statistics Data for CF Cache Structure (V560);
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailed characteristics for the selected structure (V560);
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, STRUCTYPE, CFSYSTEM, STGSIZE, UTILZDSTG;
* COLUMNS=MINSTRSIZE, MAXSTRSIZE, ASYNCRQMN, SYNCRQMN, SACONVSMN;
* COLUMNS=PCTCONVRT, TOTRQINTV, PCTRQSYNC, PCTRQASYN, DUMPCONT;
* COLUMNS=TOTQREQ, PCTQREQ, DATAELSZ, DUMPTBSZ, REBLDPCT;
* COLUMNS=DRELRATIO, CASTOUTBEG, CASTOUTEND, DIRENTRYCT, DAELEMENT;
* COLUMNS=STGCLASS, PREFERENCE, EXCLUSION, ORIGINNODE;
* COLUMNS=IULKENTCT, READRATE, WRITERATE, CASTOUTRT;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CFSYSTEM = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Reprt_for_CF_Struc_C:560';



*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from mcfstrct3.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Statistics Report for CF Structure      *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      ADD Columns: IULKENTCT, READRATE,       *
* *                                   WRITERATE, CASTOUTRT       *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Stats_Reprt_for_CF_Struc_L:560;
* AFFINITY=%IBM.STATIC006          000000000100000000;
* NAME=Statistics Data for CF List Structure (V560);
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailed characteristics for the selected structure (V560);
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* COLUMNS=STRUCTNAME, STRUCTYPE, CFSYSTEM, STGSIZE, UTILZDSTG;
* COLUMNS=MINSTRSIZE, MAXSTRSIZE, ASYNCRQMN, SYNCRQMN, SACONVSMN;
* COLUMNS=PCTCONVRT, TOTRQINTV, PCTRQSYNC, PCTRQASYN, DUMPCONT;
* COLUMNS=TOTQREQ, PCTQREQ, LKTBLENTCT, LKTBENCTCT, FLKTBCNTCT;
* COLUMNS=DATAELSZ, DUMPTBSZ, REBLDPCT, ENELRATIO, MAXDLESIZE;
* COLUMNS=MAXLSELMCT, LSELEMNTCT, MAXLSENTCT, IULSENTCT;
* COLUMNS=PREFERENCE, EXCLUSION, ORIGINNODE;
* COLUMNS=IULKENTCT, READRATE, WRITERATE, CASTOUTRT;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CFSYSTEM = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Reprt_for_CF_Struc_L:560';



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1166\MCFSTRCT1.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Coupling Facility Structures Report for *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      ADD Columns: IULKENTCT, READRATE,       *
* *                                   WRITERATE, CASTOUTRT       *
* *                                                              *
* *  02/12/21 jflores    Co-existence for IBM Spec OA60576       *
* *                      V550 Compatibility (OA60576 YSZS-1141)  *
* *                      Change enelratio  & drelratio from      *
* *                         15 to 20 bytes                       *
* *                      Break out column lockentr was lockentr  *
* *                         + listentr.  Added column listentr   *
* *                      Add column strctstat (Structure Status  *
* *                         Basic)                               *
* *                      Add column CFSTORPCT (CF Storage        *
* *                         Percent)                             *
* *                      Add column STRSTORP (Utilized Structure *
* *                          Storage Percent)                    *
* *                      Rename column writerate to writrate     *
* *                      Rename column castoutrt to castrate     *
* *                                                              * 
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=CF_Strucs_Reprt_for_Sysplex:56014;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=14;
* NAME=Coupling Facility Structures Data for Sysplex;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Performance indicators for all active structs in Sysplex (V56014);
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* * COLUMNS=STRUCTNAME; COLUMNS=CFSYSTEM; COLUMNS=STRUCTYPE; COLUMNS=STATUS;
* * COLUMNS=ASYNCRQMN; COLUMNS=SYNCRQMN; COLUMNS=MAXUSERS; COLUMNS=TOTALUSERS;
* * COLUMNS=PRBLMUSERS; COLUMNS=STGSIZE; COLUMNS=PCNTCFSTG; COLUMNS=ELEMENTCT;
* * COLUMNS=DUPLEX; COLUMNS=AUTOALT; COLUMNS=ORIGINNODE; COLUMNS=LOCKENTR;
* * COLUMNS=READRATE; COLUMNS=WRITRATE; COLUMNS=CASTRATE;
* *       Structure\Name
* COLUMNS=STRUCTNAME;
* *       Name of the structure. Valid format is a simple text
* *       string of 1 through 16 characters; for example, IXCSTR1.
* *       CF\Name
* COLUMNS=CFSYSTEM;
* *       Name of the coupling facility where the structure is
* *       located. Valid format is a simple text string of 1 through
* *       8 characters; for example, COUPLER1.
* *       Structure\Type
* COLUMNS=STRUCTYPE;
* *       Type of structure (cache, list or lock). The format is a
* *       single character. Valid displayed (and stored) values are:
* *       Cache (C) List (L) Lock (T)
* *       Structure\Status
* COLUMNS=STATUS;
* *       Current status of the structure. Valid values are:
* *       ActiveDuplexPrimary, ActiveDuplexAlternate, ActiveInUse,
* *       ActivePersistent, Defined, PolicyChange, Transitional,
* *       Failed, HoldingConnectivity, HoldingDumpPend, Maintmode,
* *       RebuildActive, RebuildStopped, RebuildOldStr,
* *       RebuildNewStr, RebuildQuiesce, RebuildComplete,
* *       RebuildCleanup, RebuildStartOperator,
* *       RebuildStartConnector, RebuildLostOldFacility,
* *       RebuildFailed, RebuildStoppedOperator,
* *       RebuildStoppedConnector, RebuildLostNewFacility,
* *       RebuildOldStrFailed
* *       Maximum\Users
* COLUMNS=MAXUSERS;
* *       Maximum number of users that may connect to the structure.
* *       Valid value is an integer in the range of 0 through 32767,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 64.
* *       Total\Users
* COLUMNS=TOTALUSERS;
* *       Total number of users connected to the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 8.
* *       Problem\Users
* COLUMNS=PRBLMUSERS;
* *       Number of users that are connected to the structure in an
* *       exception state. The address space is not in an exception
* *       state, but the connection is. Valid value is an integer in
* *       the range of 0 through 2147483647, and can include the use
* *       of the *A VG, *MAX, *MIN, or *SUM functions. An example is
* *       2.
* *       Storage_Size
* COLUMNS=STGSIZE;
* *       Storage size currently allocated to the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. The value is expressed in 4K pages for
* *       attribute purposes. 12 8 pages = 512.0 K bytes. An example
* *       is 128.
* *       Percent_CF\Storage\Size
* COLUMNS=PCNTCFSTG;
* *       Storage Size Percentage of the total coupling facility
* *       allocated to the structure. Valid value is a numeric value
* *       in the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Utilized_Storage_Size
* * COLUMNS=UTILZDSTG;
* *       Size Percentage of the structure storage actually in use,
* *       for list structures; for cache structures the rate of
* *       changed objects for the last interval in total changed
* *       objects (entries and data elements) per second. Value is a
* *       numeric value in the range of 0.0 through 100.0, to one
* *       decimal point precision.
* *       Element\Count
* COLUMNS=ELEMENTCT;
* *       Element Count Number of data elements in a cache or queues
* *       in a list. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 880.
* *       Minimum_Structure_Size
* * COLUMNS=MINSTRSIZE;
* *       Size Minimum size of the i structure. Valid value is an
* *       integer in the range of 0 through 2147483647, and can
* *       include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. The value is expressed in 4K pages for
* *       attribute purposes. The number is scaled to K or
* *       Megapages. An example is 128.
* *       Maximum_Structure_Size
* * COLUMNS=MAXSTRSIZE;
* *       Maximum Structure Size Maximum size of the structure.
* *       Valid value is an integer in the range of 0 through
* *       2147483647, and can include the use of the *AVG, *MAX,
* *       *MIN, or *SUM functions. The value is expressed in 4K
* *       pages. An example is 256.
* *       First_Castout_Class
* COLUMNS=CASTOUTBEG;
* *       (RMF metric) Number of CASTOUT processings per second.
* *       Castout is the process of writing changed cache data to
* *       permanent storage. This rate is of interest for store-in
* *       cache structures (for example, DB2 global buffer pool
* *       structures) in determi ning the volume of changed data
* *       being removed from the structure. The format is an
* *       integer.
* *       Last_Castout_Class
* * COLUMNS=CASTOUTEND;
* *       Class Name of the last castout class found in the cache
* *       structure. Castout classes are integers (0, 1, 2, etc.).
* *       This attribute lists the last one assigned to this
* *       structure, if any. An example is 0.
* *       Directory_Entry_Count
* * COLUMNS=DIRENTRYCT;
* *       Number of directory entries in the cache structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 224.
* *       Data_Area_Element
* * COLUMNS=DAELEMENT;
* *       Number of data area elements in the cache structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 880.
* *       Storage_Classes
* * COLUMNS=STGCLASS;
* *       Highest storage class used by the structure. Storage
* *       classes are in the range 0 to this value. Valid value is
* *       an integer in the range 0 through 255.
* *       Maximum_Data_List_Entry_Size
* * COLUMNS=MAXDLESIZE;
* *       Entry Size Maximum number of data elements per list entry.
* *       Valid value is an integer in the range of 0 through
* *       2147483647, and can include the use of the *AVG, *MAX,
* *       *MIN, or *SUM functions. An example is 10.
* *       Maximum_List_Set_Elements
* * COLUMNS=MAXLSELMCT;
* *       Elements Maximum number of data elements in the list
* *       structure. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 167.
* *       List_Set_Element_Count
* * COLUMNS=LSELEMNTCT;
* *       Count Number of elements in the list structure currently
* *       in use. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 24.
* *       Maximum_List_Set_Entry_Count
* * COLUMNS=MAXLSENTCT;
* *       Maximum List Set Entry Count Maximum number of
* *       list set entries in the structure. Valid value is
* *       an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN,
* *       or *SUM functions. An example is 193.
* *       In_Use_List_Set_Entry_Count
* * COLUMNS=IULSENTCT;
* *       Number of list set entries currently in use in the
* *       structure. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 19.
* *       Lock_Table_Entry_Count
* * COLUMNS=LKTBLENTCT;
* *       Number of lock table entries in the list structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 0.
* *       Lock_Table_Entry_Contention_Count
* * COLUMNS=LKTBENCTCT;
* *       Number of lock requests that encountered contention on a
* *       lock table entry. Valid value is an integer in the range
* *       of 0 through 2147483647, and can include the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 0.
* *       False_Lock_Table_Entry_Contention_Count
* * COLUMNS=FLKTBCNTCT;
* *       Number of lock requests that encountered contention due to
* *       storage constraints. If this number is high, more list
* *       table entries should be allocated. Valid value is an
* *       integer in the range of 0 through 2147483647, and can
* *       include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 4.
* *       CF_Preferences
* * COLUMNS=PREFERENCE;
* *       Indicates the names in order of preference where the
* *       structure would like to be allocated. Valid format is a
* *       simple text string of 1 through 35 characters.
* *       Structure_Exclusions
* * COLUMNS=EXCLUSION;
* *       Indicates the structure names in order of preference that
* *       the structure would like to avoid having allocated in the
* *       coupling facility system. Valid format is a simple text
* *       string of 1 through 67 characters.
* *       Start_Date_Time
* * COLUMNS=SDATETIME;
* *       End_Date_Time
* * COLUMNS=EDATETIME;
* *       Asynchronous_Requests_per_minute
* COLUMNS=ASYNCRQMN;
* *       Rate of asynchronous operations for this structure during
* *       the last interval. An asynchronous request is a request
* *       where the application does not wait for the request, but
* *       waits to be notified of the completion of the request
* *       either by an ECB (event control block) post or an entry
* *       into an exit routine. An asynchronous request is issued
* *       when the request is expected to take significant time to
* *       complete. Valid value is numeric and is a real number,
* *       with a maximum of 4 digits, to one decimal point
* *       precision; for example, 839.2.
* *       Synchronous_Requests_per_minute
* COLUMNS=SYNCRQMN;
* *       Rate of synchronous operations for this structure during
* *       the last interval. A synchronous request is one that is
* *       expected to complete so quickly that the requesting
* *       application would rather wait for completion than do other
* *       w ork. Valid value is a number in the range of 0 through
* *       2147483647, to one decimal point precision, including the
* *       use of the *AVG, *MAX, *MIN, or *SUM functions. An example
* *       is 9.2.
* *       Percent_Converted
* COLUMNS=PCTCONVRT;
* *       Percentage of total requests for this structure in the
* *       last interval that were converted from synchronous to
* *       asynchronous requests. Valid value is a numeric value in
* *       the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Dump_Contention
* * COLUMNS=DUMPCONT;
* *       Count of operations that were queued for dump
* *       serialization. Valid value is a numeric value in the range
* *       of 0 through 2147483647, and can include the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 0.
* *       Total_Queued_Requests
* * COLUMNS=TOTQREQ;
* *       Count of all operations that were queued in the last
* *       interval. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 1389.
* *       Percent_Queued_Requests
* COLUMNS=PCTQREQ;
* *       Percentage of total requests for this structure in the
* *       last interval that were queued. Valid value is a numeric
* *       value in the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Data_Element_Size
* * COLUMNS=DATAELSZ;
* *       Size in bytes of data elements in the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 2048.
* *       Dump_Table_Size
* * COLUMNS=DUMPTBSZ;
* *       Size in 4K blocks of dump table space used for this
* *       structure. Valid value is a numeric value in the range of
* *       0 through 2147483647, to one decimal point precision, and
* *       can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An exampl e is 0.
* *       Rebuild_Percent
* * COLUMNS=REBLDPCT;
* *       Percentage of failed weighted connections at which rebuild
* *       should be automatically started by the system. Valid
* *       values are numeric values in the range 0.0 through 100.0,
* *       to one decimal point precision,. An example is 35.5.
* *       Entry_Element_Ratio
* * COLUMNS=ENELRATIO;
* *       Entry-to-element target ratio for list structures. Valid
* *       format is a numeric ratio from 1 through 10 characters;
* *       for example 193:167.
* *       Directory_Element_Ratio
* * COLUMNS=DRELRATIO;
* *       Directory-to-element target ratio for cache structures.
* *       Valid format is a numeric ratio from 1 through 10
* *       characters; for example, 224:880.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       A sysplex in your enterprise that is being monitored by
* *       Tivoli OMEGAMON XE for z/OS agents. Valid value is a
* *       character string with a maximum length of 32 bytes, in the
* *       format <plexname>:MVS:SYSPLEX.
* *       Synch_Asynch_Convs_per_min
* COLUMNS=SACONVSMN;
* *       Rate of synchronous operations that were converted to
* *       asynchronous requests for this structure during a one
* *       minute period. Valid value is a count that is expressed to
* *       one decimal place.
* *       Total_Request_Cnt_this_interval
* * COLUMNS=TOTRQINTV;
* *       Total number of synchronous and asynchronous operations
* *       for this structure during this interval period. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       to one decimal point precision, including the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 9.2.
* *       Percent_Total_Requests_Synch
* COLUMNS=PCTRQSYNC;
* *       The percentage of the total requests that were synchronous
* *       operations for this structure during this interval period.
* *       Valid value is a percentage that is expressed to one
* *       decimal place.
* *       Percent_Total_Requests_Asynch
* * COLUMNS=PCTRQASYN;
* *       Percentage of the total requests that were asynchronous
* *       operations for this structure during this interval period.
* *       Valid value is a percentage that is expressed to one
* *       decimal place.
* *       Duplex
* COLUMNS=DUPLEX;
* *       Indicates the status of duplexing rebuild for this
* *       structure. Possible values are:
* *       AutoAlter
* COLUMNS=AUTOALT;
* *       Specifies the status of system-initiated alters for this
* *       structure. Yes indicates that system-initiated alters
* *       (automatic alter) are allowed for this structure; No
* *       indicates that system-initiated alters (automatic alter) are
* *       not allowed for this s tructure.
* *       Structure\Status_Basic
* *COLUMNS=STRCTSTAT;
* *       (RMF metric) Current status of the structure. Valid
* *       displayed (and stored) values are: Active (1) ActivePrime
* *       (2) ActiveSec (3) InActv (4) New (6) RebuildPrime (7)
* *       RebuildSec (8) UnAlloc (5) Unavailable (-1)
* *       CF_Storage_Percent
* *       (RMF metric) The percentage of the total coupling facility
* *       storage allocated to this structure. The format is an
* *       integer.
* *       Utilized_Structure_Storage_Percent
* *COLUMNS=STRSTORP;
* *       The percent of storage defined to this structure that is
* *       being utilized. The format is an integer.
* *       Read_Rate
* COLUMNS=READRATE;
* *       (RMF metric) Number of occurrences the coupling facility
* *       returned data on a read request by any connector (read
* *       hit) per second. Directory-only caches will always have a
* *       zero value reported since there is no data to be returned.
* *       The format is an i nteger.
* *       Write_Rate
* COLUMNS=WRITRATE;
* *       (RMF metric) Number of occurrences per second data has
* *       been written to the cache structure. Directory-only caches
* *       will always have a zero value reported since there are no
* *       data writes possible. The format is an integer.
* *       Castout_Rate
* COLUMNS=CASTRATE;
* *       (RMF metric) Number of CASTOUT processings per second.
* *       Castout is the process of writing changed cache data to
* *       permanent storage. This rate is of interest for store-in
* *       cache structures (for example, DB2 global buffer pool
* *       structures) in determining the volume of changed data
* *       being removed from the structure. The format is an
* *       integer.
* *       Actual_Lock_Entries
* COLUMNS=LOCKENTR;
* *       (RMF metric) Number of structure lock elements which are
* *       currently in use and reside in coupling facility real
* *       storage. The format is an integer.
* *       Actual_List_Entries
* COLUMNS=LISTENTR;
* *       (RMF metric) Number of structure list or directory entries
* *       which are currently in use and reside in coupling facility
* *       real storage. The format is an integer.
* SITNAME=MVS_CFStruct_Status_Crit Critical;
* SITNAME=MVS_CFStruct_Status_Warn Warning;
* SITNAME=MVS_CFStructStat_FalseLock_Crit Critical;
* SITNAME=MVS_CFStructStat_FalseLock_Warn Warning;
* SITNAME=MVS_CFStructToMVS_Requests_Crit Critical;
* SITNAME=MVS_CFStructToMVS_Requests_Warn Warning;
* SITNAME=MVS_CFStructUsers_Connect_Crit Critical;
* SITNAME=MVS_CFStructUsers_Connect_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStruct_Status_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStruct_Status_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructStat_FalseLock_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructStat_FalseLock_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructToMVS_Requests_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructToMVS_Requests_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructUsers_Connect_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFStructUsers_Connect_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'CF_Strucs_Reprt_for_Sysplex:56014' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'CF_Strucs_Reprt_for_Sysplex:56014';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'CF_Strucs_Reprt_for_Sysplex:56014',
  'KM5',
  '%IBM.STATIC006          000000000E000000000',
  'P',
  'Coupling Facility Structures Data for Sysplex',
  'Performance indicators for all active structs in Sysplex (V56014)',
  'IBM',
  '1210222170959000',
'at=$THRUNODE$@table1.name=MCFSTRCT@table1.column1.name=STRUCTNAME@table1.column2.name=CFSYSTEM@table1.column3.name=STRUCTYPE@table1.column4.name=STATUS@table1.column5.name=MAXUSERS@table1.column6.name=TOTALUSERS@table1.column7.name=PRBLMUSERS@table1.column8.name=STGSIZE@table1.column9.name=PCNTCFSTG@table1.column10.name=ELEMENTCT@table1.column11.name=CASTOUTBEG@table1.column12.name=ASYNCRQMN@table1.column13.name=SYNCRQMN@table1.column14.name=PCTCONVRT@table1.column15.name=PCTQREQ@table1.column16.name=ORIGINNODE@table1.column17.name=SACONVSMN@table1.column18.name=PCTRQSYNC@table1.column19.name=DUPLEX@table1.column20.name=AUTOALT@table1.column21.name=READRATE@table1.column22.name=WRITRATE@table1.column23.name=CASTRATE@table1.column24.name=LOCKENTR@table1.column25.name=LISTENTR@table1.columnCount=25@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC006          000000000E000000000',
   32,
   259,
   '1210222170959000',
   '_ KCJ',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   'Coupling Facility Structures Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'CF_Strucs_Reprt_for_Sysplex:56014',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStruct_Status_Crit',
   'Critical',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStruct_Status_Warn',
   'Warning',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructStat_FalseLock_Crit',
   'Critical',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructStat_FalseLock_Warn',
   'Warning',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructToMVS_Requests_Crit',
   'Critical',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructToMVS_Requests_Warn',
   'Warning',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructUsers_Connect_Crit',
   'Critical',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFStructUsers_Connect_Warn',
   'Warning',
   'CF_Strucs_Reprt_for_Sysplex:56014',
   0
);



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1166\MCFSTRCT2.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Statistics Report for CF Cache Structure*
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      ADD Columns: IULKENTCT, READRATE,       *
* *                                   WRITERATE, CASTOUTRT       *
* *                                                              *
* *  02/12/21 jflores    Co-existence for IBM Spec OA60576       *
* *                      V550 Compatibility (OA60576 YSZS-1141)  *
* *                      Change enelratio  & drelratio from      *
* *                         15 to 20 bytes                       *
* *                      Break out column lockentr was lockentr  *
* *                         + listentr.  Added column listentr   *
* *                      Add column strctstat (Structure Status  *
* *                         Basic)                               *
* *                      Add column CFSTORPCT (CF Storage        *
* *                         Percent)                             *
* *                      Add column STRSTORP (Utilized Structure *
* *                          Storage Percent)                    *
* *                      Rename column writerate to writrate     *
* *                      Rename column castoutrt to castrate     *
* *                                                              * 
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Stats_Reprt_for_CF_Struc_C:56014;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=14;
* NAME=Statistics Data for CF Cache Structure (V56014);
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Details of the selected CF Cache structure (V56014);
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* * COLUMNS=STRUCTNAME; COLUMNS=STRUCTYPE; COLUMNS=CFSYSTEM; COLUMNS=STGSIZE;
* * COLUMNS=UTILZDSTG; COLUMNS=MINSTRSIZE; COLUMNS=MAXSTRSIZE; COLUMNS=ASYNCRQMN;
* * COLUMNS=SYNCRQMN; COLUMNS=SACONVSMN; COLUMNS=PCTCONVRT; COLUMNS=TOTRQINTV;
* * COLUMNS=PCTRQSYNC; COLUMNS=PCTRQASYN; COLUMNS=DUMPCONT; COLUMNS=TOTQREQ;
* * COLUMNS=PCTQREQ; COLUMNS=DATAELSZ; COLUMNS=DUMPTBSZ; COLUMNS=REBLDPCT;
* * COLUMNS=DRELRATIO; COLUMNS=CASTOUTBEG; COLUMNS=CASTOUTEND; COLUMNS=DIRENTRYCT;
* * COLUMNS=DAELEMENT; COLUMNS=STGCLASS; COLUMNS=PREFERENCE; COLUMNS=EXCLUSION;
* * COLUMNS=ORIGINNODE; COLUMNS=LOCKENTR; COLUMNS=READRATE; COLUMNS=WRITRATE;
* * COLUMNS=CASTRATE;
* *       Structure\Name
* COLUMNS=STRUCTNAME;
* *       Name of the structure. Valid format is a simple text
* *       string of 1 through 16 characters; for example, IXCSTR1.
* *       Structure\Type
* COLUMNS=STRUCTYPE;
* *       Type of structure (cache, list or lock). The format is a
* *       single character. Valid displayed (and stored) values are:
* *       Cache (C) List (L) Lock (T)
* *       CF\Name
* COLUMNS=CFSYSTEM;
* *       Name of the coupling facility where the structure is
* *       located. Valid format is a simple text string of 1 through
* *       8 characters; for example, COUPLER1.
* *       Storage_Size
* COLUMNS=STGSIZE;
* *       Storage size currently allocated to the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. The value is expressed in 4K pages for
* *       attribute purposes. 12 8 pages = 512.0 K bytes. An example
* *       is 128.
* *       Utilized_Storage_Size
* COLUMNS=UTILZDSTG;
* *       Size Percentage of the structure storage actually in use,
* *       for list structures; for cache structures the rate of
* *       changed objects for the last interval in total changed
* *       objects (entries and data elements) per second. Value is a
* *       numeric value in the range of 0.0 through 100.0, to one
* *       decimal point precision.
* *       Minimum_Structure_Size
* COLUMNS=MINSTRSIZE;
* *       Size Minimum size of the i structure. Valid value is an
* *       integer in the range of 0 through 2147483647, and can
* *       include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. The value is expressed in 4K pages for
* *       attribute purposes. The number is scaled to K or
* *       Megapages. An example is 128.
* *       Maximum_Structure_Size
* COLUMNS=MAXSTRSIZE;
* *       Maximum Structure Size Maximum size of the structure.
* *       Valid value is an integer in the range of 0 through
* *       2147483647, and can include the use of the *AVG, *MAX,
* *       *MIN, or *SUM functions. The value is expressed in 4K
* *       pages. An example is 256.
* *       Asynchronous_Requests_per_minute
* COLUMNS=ASYNCRQMN;
* *       Rate of asynchronous operations for this structure during
* *       the last interval. An asynchronous request is a request
* *       where the application does not wait for the request, but
* *       waits to be notified of the completion of the request
* *       either by an ECB (event control block) post or an entry
* *       into an exit routine. An asynchronous request is issued
* *       when the request is expected to take significant time to
* *       complete. Valid value is numeric and is a real number,
* *       with a maximum of 4 digits, to one decimal point
* *       precision; for example, 839.2.
* *       Synchronous_Requests_per_minute
* COLUMNS=SYNCRQMN;
* *       Rate of synchronous operations for this structure during
* *       the last interval. A synchronous request is one that is
* *       expected to complete so quickly that the requesting
* *       application would rather wait for completion than do other
* *       w ork. Valid value is a number in the range of 0 through
* *       2147483647, to one decimal point precision, including the
* *       use of the *AVG, *MAX, *MIN, or *SUM functions. An example
* *       is 9.2.
* *       Synch_Asynch_Convs_per_min
* COLUMNS=SACONVSMN;
* *       Rate of synchronous operations that were converted to
* *       asynchronous requests for this structure during a one
* *       minute period. Valid value is a count that is expressed to
* *       one decimal place.
* *       Percent_Converted
* COLUMNS=PCTCONVRT;
* *       Percentage of total requests for this structure in the
* *       last interval that were converted from synchronous to
* *       asynchronous requests. Valid value is a numeric value in
* *       the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Total_Request_Cnt_this_interval
* COLUMNS=TOTRQINTV;
* *       Total number of synchronous and asynchronous operations
* *       for this structure during this interval period. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       to one decimal point precision, including the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 9.2.
* *       Percent_Total_Requests_Synch
* COLUMNS=PCTRQSYNC;
* *       The percentage of the total requests that were synchronous
* *       operations for this structure during this interval period.
* *       Valid value is a percentage that is expressed to one
* *       decimal place.
* *       Percent_Total_Requests_Asynch
* COLUMNS=PCTRQASYN;
* *       Percentage of the total requests that were asynchronous
* *       operations for this structure during this interval period.
* *       Valid value is a percentage that is expressed to one
* *       decimal place.
* *       Dump_Contention
* COLUMNS=DUMPCONT;
* *       Count of operations that were queued for dump
* *       serialization. Valid value is a numeric value in the range
* *       of 0 through 2147483647, and can include the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 0.
* *       Total_Queued_Requests
* COLUMNS=TOTQREQ;
* *       Count of all operations that were queued in the last
* *       interval. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 1389.
* *       Percent_Queued_Requests
* COLUMNS=PCTQREQ;
* *       Percentage of total requests for this structure in the
* *       last interval that were queued. Valid value is a numeric
* *       value in the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Data_Element_Size
* COLUMNS=DATAELSZ;
* *       Size in bytes of data elements in the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 2048.
* *       Dump_Table_Size
* COLUMNS=DUMPTBSZ;
* *       Size in 4K blocks of dump table space used for this
* *       structure. Valid value is a numeric value in the range of
* *       0 through 2147483647, to one decimal point precision, and
* *       can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An exampl e is 0.
* *       Rebuild_Percent
* COLUMNS=REBLDPCT;
* *       Percentage of failed weighted connections at which rebuild
* *       should be automatically started by the system. Valid
* *       values are numeric values in the range 0.0 through 100.0,
* *       to one decimal point precision,. An example is 35.5.
* *       Directory_Element_Ratio
* COLUMNS=DRELRATIO;
* *       Directory-to-element target ratio for cache structures.
* *       Valid format is a numeric ratio from 1 through 10
* *       characters; for example, 224:880.
* *       First_Castout_Class
* COLUMNS=CASTOUTBEG;
* *       (RMF metric) Number of CASTOUT processings per second.
* *       Castout is the process of writing changed cache data to
* *       permanent storage. This rate is of interest for store-in
* *       cache structures (for example, DB2 global buffer pool
* *       structures) in determi ning the volume of changed data
* *       being removed from the structure. The format is an
* *       integer.
* *       Last_Castout_Class
* COLUMNS=CASTOUTEND;
* *       Class Name of the last castout class found in the cache
* *       structure. Castout classes are integers (0, 1, 2, etc.).
* *       This attribute lists the last one assigned to this
* *       structure, if any. An example is 0.
* *       Directory_Entry_Count
* COLUMNS=DIRENTRYCT;
* *       Number of directory entries in the cache structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 224.
* *       Data_Area_Element
* COLUMNS=DAELEMENT;
* *       Number of data area elements in the cache structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 880.
* *       Storage_Classes
* COLUMNS=STGCLASS;
* *       Highest storage class used by the structure. Storage
* *       classes are in the range 0 to this value. Valid value is
* *       an integer in the range 0 through 255.
* *       CF_Preferences
* COLUMNS=PREFERENCE;
* *       Indicates the names in order of preference where the
* *       structure would like to be allocated. Valid format is a
* *       simple text string of 1 through 35 characters.
* *       Structure_Exclusions
* COLUMNS=EXCLUSION;
* *       Indicates the structure names in order of preference that
* *       the structure would like to avoid having allocated in the
* *       coupling facility system. Valid format is a simple text
* *       string of 1 through 67 characters.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       A sysplex in your enterprise that is being monitored by
* *       Tivoli OMEGAMON XE for z/OS agents. Valid value is a
* *       character string with a maximum length of 32 bytes, in the
* *       format <plexname>:MVS:SYSPLEX.
* *       Actual_Lock_Entries
* COLUMNS=LOCKENTR;
* *       (RMF metric) Number of structure lock elements which are
* *       currently in use and reside in coupling facility real
* *       storage. The format is an integer.
* *       Read_Rate
* COLUMNS=READRATE;
* *       (RMF metric) Number of occurrences the coupling facility
* *       returned data on a read request by any connector (read
* *       hit) per second. Directory-only caches will always have a
* *       zero value reported since there is no data to be returned.
* *       The format is an i nteger.
* *       Write_Rate
* COLUMNS=WRITRATE;
* *       (RMF metric) Number of occurrences per second data has
* *       been written to the cache structure. Directory-only caches
* *       will always have a zero value reported since there are no
* *       data writes possible. The format is an integer.
* *       Castout_Rate
* COLUMNS=CASTRATE;
* *       (RMF metric) Number of CASTOUT processings per second.
* *       Castout is the process of writing changed cache data to
* *       permanent storage. This rate is of interest for store-in
* *       cache structures (for example, DB2 global buffer pool
* *       structures) in determining the volume of changed data
* *       being removed from the structure. The format is an
* *       integer.
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CFSYSTEM = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Reprt_for_CF_Struc_C:56014';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Stats_Reprt_for_CF_Struc_C:56014',
  'KM5',
  '%IBM.STATIC006          000000000E000000000',
  'P',
  'Statistics Data for CF Cache Structure (V56014)',
  'Details of the selected CF Cache structure (V56014)',
  'IBM',
  '1210218095859000',
'at=$THRUNODE$@table1.name=MCFSTRCT@table1.column1.name=STRUCTNAME@table1.column2.name=STRUCTYPE@table1.column3.name=CFSYSTEM@table1.column4.name=STGSIZE@table1.column5.name=UTILZDSTG@table1.column6.name=MINSTRSIZE@table1.column7.name=MAXSTRSIZE@table1.column8.name=ASYNCRQMN@table1.column9.name=SYNCRQMN@table1.column10.name=SACONVSMN@table1.column11.name=PCTCONVRT@table1.column12.name=TOTRQINTV@table1.column13.name=PCTRQSYNC@table1.column14.name=PCTRQASYN@table1.column15.name=DUMPCONT@table1.column16.name=TOTQREQ@table1.column17.name=PCTQREQ@table1.column18.name=DATAELSZ@table1.column19.name=DUMPTBSZ@table1.column20.name=REBLDPCT@table1.column21.name=DRELRATIO@table1.column22.name=CASTOUTBEG@table1.column23.name=CASTOUTEND@table1.column24.name=DIRENTRYCT@table1.column25.name=DAELEMENT@table1.column26.name=STGCLASS@table1.column27.name=PREFERENCE@table1.column28.name=EXCLUSION@table1.column29.name=ORIGINNODE@table1.column30.name=LOCKENTR@table1.column31.name=READRATE@table1.column32.name=WRITRATE@table1.column33.name=CASTRATE@table1.columnCount=33@tableCount=1@filter1.connector=AND@filter1.column=STRUCTNAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CFSYSTEM@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1166\MCFSTRCT3.dta.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Statistics Report for CF List Structure *
* *  Table:              MCFSTRCT                                *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      ADD Columns: IULKENTCT, READRATE,       *
* *                                   WRITERATE, CASTOUTRT       *
* *                                                              *
* *  02/12/21 jflores    Co-existence for IBM Spec OA60576       *
* *                      V550 Compatibility (OA60576 YSZS-1141)  *
* *                      Change enelratio  & drelratio from      *
* *                         15 to 20 bytes                       *
* *                      Break out column lockentr was lockentr  *
* *                         + listentr.  Added column listentr   *
* *                      Add column strctstat (Structure Status  *
* *                         Basic)                               *
* *                      Add column CFSTORPCT (CF Storage        *
* *                         Percent)                             *
* *                      Add column STRSTORP (Utilized Structure *
* *                          Storage Percent)                    *
* *                      Rename column writerate to writrate     *
* *                      Rename column castoutrt to castrate     *
* *                                                              * 
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Stats_Reprt_for_CF_Struc_L:56014;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=14;
* NAME=Statistics Data for CF List Structure;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailes for the selected List or Lock structure (V56014);
* TABLE=KM5.MCFSTRCT;
* AT=$THRUNODE$;
* * COLUMNS=STRUCTNAME; COLUMNS=CFSYSTEM; COLUMNS=STRUCTYPE; COLUMNS=STATUS;
* * COLUMNS=MAXUSERS; COLUMNS=TOTALUSERS; COLUMNS=PRBLMUSERS; COLUMNS=STGSIZE;
* * COLUMNS=PCNTCFSTG; COLUMNS=UTILZDSTG; COLUMNS=ELEMENTCT; COLUMNS=MINSTRSIZE;
* * COLUMNS=MAXSTRSIZE; COLUMNS=CASTOUTBEG; COLUMNS=CASTOUTEND; COLUMNS=DIRENTRYCT;
* * COLUMNS=DAELEMENT; COLUMNS=STGCLASS; COLUMNS=MAXDLESIZE; COLUMNS=MAXLSELMCT;
* * COLUMNS=LSELEMNTCT; COLUMNS=MAXLSENTCT; COLUMNS=IULSENTCT; COLUMNS=LKTBLENTCT;
* * COLUMNS=LKTBENCTCT; COLUMNS=FLKTBCNTCT; COLUMNS=PREFERENCE; COLUMNS=EXCLUSION;
* * COLUMNS=SDATETIME; COLUMNS=EDATETIME; COLUMNS=ASYNCRQMN; COLUMNS=SYNCRQMN;
* * COLUMNS=PCTCONVRT; COLUMNS=DUMPCONT; COLUMNS=TOTQREQ; COLUMNS=PCTQREQ;
* * COLUMNS=DATAELSZ; COLUMNS=DUMPTBSZ; COLUMNS=REBLDPCT; COLUMNS=ENELRATIO;
* * COLUMNS=DRELRATIO; COLUMNS=ORIGINNODE; COLUMNS=SACONVSMN; COLUMNS=TOTRQINTV;
* * COLUMNS=PCTRQSYNC; COLUMNS=PCTRQASYN; COLUMNS=DUPLEX; COLUMNS=AUTOALT;
* * COLUMNS=STRCTSTAT; COLUMNS=STRSTORP; COLUMNS=READRATE; COLUMNS=WRITRATE;
* * COLUMNS=CASTRATE; COLUMNS=LOCKENTR; COLUMNS=LISTENTR;
* *       Structure\Name
* COLUMNS=STRUCTNAME;
* *       Name of the structure. Valid format is a simple text
* *       string of 1 through 16 characters; for example, IXCSTR1.
* *       CF\Name
* COLUMNS=CFSYSTEM;
* *       Name of the coupling facility where the structure is
* *       located. Valid format is a simple text string of 1 through
* *       8 characters; for example, COUPLER1.
* *       Structure\Type
* COLUMNS=STRUCTYPE;
* *       Type of structure (cache, list or lock). The format is a
* *       single character. Valid displayed (and stored) values are:
* *       Cache (C) List (L) Lock (T)
* *       Structure\Status
* COLUMNS=STATUS;
* *       Current status of the structure. Valid values are:
* *       ActiveDuplexPrimary, ActiveDuplexAlternate, ActiveInUse,
* *       ActivePersistent, Defined, PolicyChange, Transitional,
* *       Failed, HoldingConnectivity, HoldingDumpPend, Maintmode,
* *       RebuildActive, RebuildStopped, RebuildOldStr,
* *       RebuildNewStr, RebuildQuiesce, RebuildComplete,
* *       RebuildCleanup, RebuildStartOperator,
* *       RebuildStartConnector, RebuildLostOldFacility,
* *       RebuildFailed, RebuildStoppedOperator,
* *       RebuildStoppedConnector, RebuildLostNewFacility,
* *       RebuildOldStrFailed
* *       Maximum\Users
* COLUMNS=MAXUSERS;
* *       Maximum number of users that may connect to the structure.
* *       Valid value is an integer in the range of 0 through 32767,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 64.
* *       Total\Users
* COLUMNS=TOTALUSERS;
* *       Total number of users connected to the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 8.
* *       Problem\Users
* COLUMNS=PRBLMUSERS;
* *       Number of users that are connected to the structure in an
* *       exception state. The address space is not in an exception
* *       state, but the connection is. Valid value is an integer in
* *       the range of 0 through 2147483647, and can include the use
* *       of the *A VG, *MAX, *MIN, or *SUM functions. An example is
* *       2.
* *       Storage_Size
* COLUMNS=STGSIZE;
* *       Storage size currently allocated to the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. The value is expressed in 4K pages for
* *       attribute purposes. 12 8 pages = 512.0 K bytes. An example
* *       is 128.
* *       Percent_CF\Storage\Size
* COLUMNS=PCNTCFSTG;
* *       Storage Size Percentage of the total coupling facility
* *       allocated to the structure. Valid value is a numeric value
* *       in the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Utilized_Storage_Size
* COLUMNS=UTILZDSTG;
* *       Size Percentage of the structure storage actually in use,
* *       for list structures; for cache structures the rate of
* *       changed objects for the last interval in total changed
* *       objects (entries and data elements) per second. Value is a
* *       numeric value in the range of 0.0 through 100.0, to one
* *       decimal point precision.
* *       Element\Count
* COLUMNS=ELEMENTCT;
* *       Element Count Number of data elements in a cache or queues
* *       in a list. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 880.
* *       Minimum_Structure_Size
* COLUMNS=MINSTRSIZE;
* *       Size Minimum size of the i structure. Valid value is an
* *       integer in the range of 0 through 2147483647, and can
* *       include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. The value is expressed in 4K pages for
* *       attribute purposes. The number is scaled to K or
* *       Megapages. An example is 128.
* *       Maximum_Structure_Size
* COLUMNS=MAXSTRSIZE;
* *       Maximum Structure Size Maximum size of the structure.
* *       Valid value is an integer in the range of 0 through
* *       2147483647, and can include the use of the *AVG, *MAX,
* *       *MIN, or *SUM functions. The value is expressed in 4K
* *       pages. An example is 256.
* *       First_Castout_Class
* COLUMNS=CASTOUTBEG;
* *       (RMF metric) Number of CASTOUT processings per second.
* *       Castout is the process of writing changed cache data to
* *       permanent storage. This rate is of interest for store-in
* *       cache structures (for example, DB2 global buffer pool
* *       structures) in determi ning the volume of changed data
* *       being removed from the structure. The format is an
* *       integer.
* *       Last_Castout_Class
* COLUMNS=CASTOUTEND;
* *       Class Name of the last castout class found in the cache
* *       structure. Castout classes are integers (0, 1, 2, etc.).
* *       This attribute lists the last one assigned to this
* *       structure, if any. An example is 0.
* *       Directory_Entry_Count
* COLUMNS=DIRENTRYCT;
* *       Number of directory entries in the cache structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 224.
* *       Data_Area_Element
* COLUMNS=DAELEMENT;
* *       Number of data area elements in the cache structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 880.
* *       Storage_Classes
* COLUMNS=STGCLASS;
* *       Highest storage class used by the structure. Storage
* *       classes are in the range 0 to this value. Valid value is
* *       an integer in the range 0 through 255.
* *       Maximum_Data_List_Entry_Size
* COLUMNS=MAXDLESIZE;
* *       Entry Size Maximum number of data elements per list entry.
* *       Valid value is an integer in the range of 0 through
* *       2147483647, and can include the use of the *AVG, *MAX,
* *       *MIN, or *SUM functions. An example is 10.
* *       Maximum_List_Set_Elements
* COLUMNS=MAXLSELMCT;
* *       Elements Maximum number of data elements in the list
* *       structure. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 167.
* *       List_Set_Element_Count
* COLUMNS=LSELEMNTCT;
* *       Count Number of elements in the list structure currently
* *       in use. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 24.
* *       Maximum_List_Set_Entry_Count
* COLUMNS=MAXLSENTCT;
* *       Maximum List Set Entry Count Maximum number of
* *       list set entries in the structure. Valid value is
* *       an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN,
* *       or *SUM functions. An example is 193.
* *       In_Use_List_Set_Entry_Count
* COLUMNS=IULSENTCT;
* *       Number of list set entries currently in use in the
* *       structure. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 19.
* *       Lock_Table_Entry_Count
* COLUMNS=LKTBLENTCT;
* *       Number of lock table entries in the list structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 0.
* *       Lock_Table_Entry_Contention_Count
* COLUMNS=LKTBENCTCT;
* *       Number of lock requests that encountered contention on a
* *       lock table entry. Valid value is an integer in the range
* *       of 0 through 2147483647, and can include the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 0.
* *       False_Lock_Table_Entry_Contention_Count
* COLUMNS=FLKTBCNTCT;
* *       Number of lock requests that encountered contention due to
* *       storage constraints. If this number is high, more list
* *       table entries should be allocated. Valid value is an
* *       integer in the range of 0 through 2147483647, and can
* *       include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 4.
* *       CF_Preferences
* COLUMNS=PREFERENCE;
* *       Indicates the names in order of preference where the
* *       structure would like to be allocated. Valid format is a
* *       simple text string of 1 through 35 characters.
* *       Structure_Exclusions
* COLUMNS=EXCLUSION;
* *       Indicates the structure names in order of preference that
* *       the structure would like to avoid having allocated in the
* *       coupling facility system. Valid format is a simple text
* *       string of 1 through 67 characters.
* *       Start_Date_Time
* COLUMNS=SDATETIME;
* *       End_Date_Time
* COLUMNS=EDATETIME;
* *       Asynchronous_Requests_per_minute
* COLUMNS=ASYNCRQMN;
* *       Rate of asynchronous operations for this structure during
* *       the last interval. An asynchronous request is a request
* *       where the application does not wait for the request, but
* *       waits to be notified of the completion of the request
* *       either by an ECB (event control block) post or an entry
* *       into an exit routine. An asynchronous request is issued
* *       when the request is expected to take significant time to
* *       complete. Valid value is numeric and is a real number,
* *       with a maximum of 4 digits, to one decimal point
* *       precision; for example, 839.2.
* *       Synchronous_Requests_per_minute
* COLUMNS=SYNCRQMN;
* *       Rate of synchronous operations for this structure during
* *       the last interval. A synchronous request is one that is
* *       expected to complete so quickly that the requesting
* *       application would rather wait for completion than do other
* *       w ork. Valid value is a number in the range of 0 through
* *       2147483647, to one decimal point precision, including the
* *       use of the *AVG, *MAX, *MIN, or *SUM functions. An example
* *       is 9.2.
* *       Percent_Converted
* COLUMNS=PCTCONVRT;
* *       Percentage of total requests for this structure in the
* *       last interval that were converted from synchronous to
* *       asynchronous requests. Valid value is a numeric value in
* *       the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Dump_Contention
* COLUMNS=DUMPCONT;
* *       Count of operations that were queued for dump
* *       serialization. Valid value is a numeric value in the range
* *       of 0 through 2147483647, and can include the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 0.
* *       Total_Queued_Requests
* COLUMNS=TOTQREQ;
* *       Count of all operations that were queued in the last
* *       interval. Valid value is an integer in the range of 0
* *       through 2147483647, and can include the use of the *AVG,
* *       *MAX, *MIN, or *SUM functions. An example is 1389.
* *       Percent_Queued_Requests
* COLUMNS=PCTQREQ;
* *       Percentage of total requests for this structure in the
* *       last interval that were queued. Valid value is a numeric
* *       value in the range 0.0 through 100.0, to one decimal point
* *       precision.
* *       Data_Element_Size
* COLUMNS=DATAELSZ;
* *       Size in bytes of data elements in the structure. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       and can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An example is 2048.
* *       Dump_Table_Size
* COLUMNS=DUMPTBSZ;
* *       Size in 4K blocks of dump table space used for this
* *       structure. Valid value is a numeric value in the range of
* *       0 through 2147483647, to one decimal point precision, and
* *       can include the use of the *AVG, *MAX, *MIN, or *SUM
* *       functions. An exampl e is 0.
* *       Rebuild_Percent
* COLUMNS=REBLDPCT;
* *       Percentage of failed weighted connections at which rebuild
* *       should be automatically started by the system. Valid
* *       values are numeric values in the range 0.0 through 100.0,
* *       to one decimal point precision,. An example is 35.5.
* *       Entry_Element_Ratio
* COLUMNS=ENELRATIO;
* *       Entry-to-element target ratio for list structures. Valid
* *       format is a numeric ratio from 1 through 10 characters;
* *       for example 193:167.
* *       Directory_Element_Ratio
* COLUMNS=DRELRATIO;
* *       Directory-to-element target ratio for cache structures.
* *       Valid format is a numeric ratio from 1 through 10
* *       characters; for example, 224:880.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       A sysplex in your enterprise that is being monitored by
* *       Tivoli OMEGAMON XE for z/OS agents. Valid value is a
* *       character string with a maximum length of 32 bytes, in the
* *       format <plexname>:MVS:SYSPLEX.
* *       Synch_Asynch_Convs_per_min
* COLUMNS=SACONVSMN;
* *       Rate of synchronous operations that were converted to
* *       asynchronous requests for this structure during a one
* *       minute period. Valid value is a count that is expressed to
* *       one decimal place.
* *       Total_Request_Cnt_this_interval
* COLUMNS=TOTRQINTV;
* *       Total number of synchronous and asynchronous operations
* *       for this structure during this interval period. Valid
* *       value is an integer in the range of 0 through 2147483647,
* *       to one decimal point precision, including the use of the
* *       *AVG, *MAX, *MIN, or *SUM functions. An example is 9.2.
* *       Percent_Total_Requests_Synch
* COLUMNS=PCTRQSYNC;
* *       The percentage of the total requests that were synchronous
* *       operations for this structure during this interval period.
* *       Valid value is a percentage that is expressed to one
* *       decimal place.
* *       Percent_Total_Requests_Asynch
* COLUMNS=PCTRQASYN;
* *       Percentage of the total requests that were asynchronous
* *       operations for this structure during this interval period.
* *       Valid value is a percentage that is expressed to one
* *       decimal place.
* *       Duplex
* COLUMNS=DUPLEX;
* *       Indicates the status of duplexing rebuild for this
* *       structure. Possible values are:
* *       AutoAlter
* COLUMNS=AUTOALT;
* *       Specifies the status of system-initiated alters for this
* *       structure. Yes indicates that system-initiated alters
* *       (automatic alter) are allowed for this structure; No
* *       indicates that system-initiated alters (automatic alter) are
* *       not allowed for this s tructure.
* *       Structure\Status_Basic
* COLUMNS=STRCTSTAT;
* *       (RMF metric) Current status of the structure. Valid
* *       displayed (and stored) values are: Active (1) ActivePrime
* *       (2) ActiveSec (3) InActv (4) New (6) RebuildPrime (7)
* *       RebuildSec (8) UnAlloc (5) Unavailable (-1)
* *       CF_Storage_Percent
* *       (RMF metric) The percentage of the total coupling facility
* *       storage allocated to this structure. The format is an
* *       integer.
* *       Utilized_Structure_Storage_Percent
* COLUMNS=STRSTORP;
* *       The percent of storage defined to this structure that is
* *       being utilized. The format is an integer.
* *       Read_Rate
* COLUMNS=READRATE;
* *       (RMF metric) Number of occurrences the coupling facility
* *       returned data on a read request by any connector (read
* *       hit) per second. Directory-only caches will always have a
* *       zero value reported since there is no data to be returned.
* *       The format is an integer.
* *       Write_Rate
* COLUMNS=WRITRATE;
* *       (RMF metric) Number of occurrences per second data has
* *       been written to the cache structure. Directory-only caches
* *       will always have a zero value reported since there are no
* *       data writes possible. The format is an integer.
* *       Castout_Rate
* COLUMNS=CASTRATE;
* *       (RMF metric) Number of CASTOUT processings per second.
* *       Castout is the process of writing changed cache data to
* *       permanent storage. This rate is of interest for store-in
* *       cache structures (for example, DB2 global buffer pool
* *       structures) in determining the volume of changed data
* *       being removed from the structure. The format is an
* *       integer.
* *       Actual_Lock_Entries
* COLUMNS=LOCKENTR;
* *       (RMF metric) Number of structure lock elements which are
* *       currently in use and reside in coupling facility real
* *       storage. The format is an integer.
* *       Actual_List_Entries
* COLUMNS=LISTENTR;
* *       (RMF metric) Number of structure list or directory entries
* *       which are currently in use and reside in coupling facility
* *       real storage. The format is an integer.
* PRED=STRUCTNAME = $MCFSTRCT.STRUCTNAME$;
* PRED=AND CFSYSTEM = $MCFSTRCT.CFSYSTEM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Reprt_for_CF_Struc_L:56014';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Stats_Reprt_for_CF_Struc_L:56014',
  'KM5',
  '%IBM.STATIC006          000000000E000000000',
  'P',
  'Statistics Data for CF List Structure',
  'Detailed for the selected List or Lock structure (V56014)',
  'IBM',
  '1210216145447000',
'at=$THRUNODE$@table1.name=MCFSTRCT@table1.column1.name=STRUCTNAME@table1.column2.name=CFSYSTEM@table1.column3.name=STRUCTYPE@table1.column4.name=STATUS@table1.column5.name=MAXUSERS@table1.column6.name=TOTALUSERS@table1.column7.name=PRBLMUSERS@table1.column8.name=STGSIZE@table1.column9.name=PCNTCFSTG@table1.column10.name=UTILZDSTG@table1.column11.name=ELEMENTCT@table1.column12.name=MINSTRSIZE@table1.column13.name=MAXSTRSIZE@table1.column14.name=CASTOUTBEG@table1.column15.name=CASTOUTEND@table1.column16.name=DIRENTRYCT@table1.column17.name=DAELEMENT@table1.column18.name=STGCLASS@table1.column19.name=MAXDLESIZE@table1.column20.name=MAXLSELMCT@table1.column21.name=LSELEMNTCT@table1.column22.name=MAXLSENTCT@table1.column23.name=IULSENTCT@table1.column24.name=LKTBLENTCT@table1.column25.name=LKTBENCTCT@table1.column26.name=FLKTBCNTCT@table1.column27.name=PREFERENCE@table1.column28.name=EXCLUSION@table1.column29.name=SDATETIME@table1.column30.name=EDATETIME@table1.column31.name=ASYNCRQMN@table1.column32.name=SYNCRQMN@table1.column33.name=PCTCONVRT@table1.column34.name=DUMPCONT@table1.column35.name=TOTQREQ@table1.column36.name=PCTQREQ@table1.column37.name=DATAELSZ@table1.column38.name=DUMPTBSZ@table1.column39.name=REBLDPCT@table1.column40.name=ENELRATIO@table1.column41.name=DRELRATIO@table1.column42.name=ORIGINNODE@table1.column43.name=SACONVSMN@table1.column44.name=TOTRQINTV@table1.column45.name=PCTRQSYNC@table1.column46.name=PCTRQASYN@table1.column47.name=DUPLEX@table1.column48.name=AUTOALT@table1.column49.name=STRCTSTAT@table1.column50.name=STRSTORP@table1.column51.name=READRATE@table1.column52.name=WRITRATE@table1.column53.name=CASTRATE@table1.column54.name=LOCKENTR@table1.column55.name=LISTENTR@table1.columnCount=55@tableCount=1@filter1.connector=AND@filter1.column=STRUCTNAME@filter1.operator=EQ@filter1.value=$MCFSTRCT.STRUCTNAME$@filter2.connector=AND@filter2.column=CFSYSTEM@filter2.operator=EQ@filter2.value=$MCFSTRCT.CFSYSTEM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from mcfsys1.txt
*
* ****************************************************************
* *  Product:            KM5                                      *
* *  Version:            560                                     *
* *  Report:             Coupling Facility Systems Report        *
* *  Table:              MCFSYS                                  *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      Add following fields:                   *
* *                          ASYNCAVGST, ASYNCDLY, DEFLCPU,      *
* *                          SHRLCPU, DEDLCPU, AVGSHWGT,         *
* *                          PATHDLY, PATHCNT, PATHIDS           *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Coupling_Facility_Sys_Reprt:560;
* AFFINITY=%IBM.STATIC006          000000000100000000;
* NAME=Coupling Facility Systems Data for Sysplex (V560);
* USER=IBM;
* DESC=Show Coupling Facility systems in this sysplex (V560);
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.MCFSYS;
* COLUMNS=CFNAME, CFLEVEL, CONNMVSCT, STRCTINPOL, STRCTOTPOL;
* COLUMNS=CPUPERCENT, ALLOCSTG, STGUSED, TOTSTGCTL, FRECTLSPC;
* COLUMNS=IOPERSEC, STATUS, DUMPTBLSZ, DUMPTBLIUS, ORIGINNODE;
* COLUMNS=ASYNCAVGST, ASYNCDLY, DEFLCPU, SHRLCPU, DEDLCPU;
* COLUMNS=AVGSHWGT, PATHDLY, PATHCNT, PATHIDS;
* * COLUMNS=SDATETIME, EDATETIME;
* SITNAME=MVS_CFSystems_Performance_Crit Critical;
* SITNAME=MVS_CFSystems_Performance_Warn Warning;
* SITNAME=MVS_CFSystemPaths_Busy_Crit Critical;
* SITNAME=MVS_CFSystemPaths_Busy_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Coupling_Facility_Sys_Reprt:560';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystems_Performance_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystems_Performance_Warn' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystemPaths_Busy_Crit' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystemPaths_Busy_Warn' AND 
 TEMPLATE = 'KFW_NODE';



*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from mcfsys2.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Statistics Report for CF System in Syspl*
* *  Table:              MCFSYS                                  *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      Add following fields:                   *
* *                          ASYNCAVGST, ASYNCDLY, DEFLCPU,      *
* *                          SHRLCPU, DEDLCPU, AVGSHWGT,         *
* *                          PATHDLY, PATHCNT, PATHIDS           *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Stats_Rpt_CF_Sys_in_Sysplx:560;
* AFFINITY=%IBM.STATIC006          000000000100000000;
* NAME=Statistics Data for CF System in Sysplex (V560);
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailed performance indicators the selected CF (V560);
* TABLE=KM5.MCFSYS;
* AT=$THRUNODE$;
* COLUMNS=VOLATILITY, SYNCOPDLY, FAILEDOPTM, ALOCSUBCHN, USEDSUBCHN;
* COLUMNS=MAXSUBCHN, ASYNCRQMN, SYNCRQMN, SACONVSMN, PCTCONVRT;
* COLUMNS=TOTRQINTV, PCTRQSYNC, PCTRQASYN, HI1ASRSTR, HI2ASRSTR;
* COLUMNS=HI3ASRSTR, HI1SYRSTR, HI2SYRSTR, HI3SYRSTR, ORIGINNODE;
* COLUMNS=ASYNCAVGST, ASYNCDLY, DEFLCPU, SHRLCPU, DEDLCPU;
* COLUMNS=AVGSHWGT, PATHDLY, PATHCNT, PATHIDS;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CFNAME = $MCFSYS.CFNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Rpt_CF_Sys_in_Sysplx:560';



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1167\MCFSYS1.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Coupling Facility Systems Report        *
* *  Table:              MCFSYS                                  *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      Add following fields:                   *
* *                          ASYNCAVGST, ASYNCDLY, DEFLCPU,      *
* *                          SHRLCPU, DEDLCPU, AVGSHWGT,         *
* *                          PATHDLY, PATHCNT, PATHIDS           *
* *  02/15/21 jflores    Co-existence for IBM Spec OA60576       *
* *                      Rename ASYNCAVGST to CFASSRVT           *
* *                      Rename ASYNCDLY to CFASDLYP             *
* *                      Rename DEFLCPU to CFLOGPRDE             *
* *                      Rename SHRLCPU to CFLOGPRS              *
* *                      Rename DEDLCPU to CFLOGPRDD             *
* *                      Rename AVGSHWGT to CFSHPRWT             *
* *                      Rename PATHDLY to CFPTHDLP              *
* *                      Rename PATHCNT to CFPATHAV              *
* *                      Rename PATHIDS to CFPATHID              *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Coupling_Facility_Sys_Reprt:5608;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=14;
* NAME=Coupling Facility Systems Data for Sysplex;
* USER=IBM;
* DESC=Coupling Facility Systems in this sysplex (V5608);
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.MCFSYS;
* *       Paths_IDs
* COLUMNS=CFPATHID;
* *       Paths_Available
* COLUMNS=CFPATHAV;
* *       Paths_Delay_Percent
* COLUMNS=CFPTHDLP;
* *       CF_Name
* COLUMNS=CFNAME;
* *       CF_Level
* COLUMNS=CFLEVEL;
* *       Connected\MVS_System\Count
* COLUMNS=CONNMVSCT;
* *       Structure_Count\In_Policy
* COLUMNS=STRCTINPOL;
* *       Structure_Count\Out_Policy
* COLUMNS=STRCTOTPOL;
* *       CPU\Percent
* COLUMNS=CPUPERCENT;
* *       Allocated\Storage
* COLUMNS=ALLOCSTG;
* *       Percent\Utilized_Storage
* COLUMNS=STGUSED;
* *       Total_Control\Space
* COLUMNS=TOTSTGCTL;
* *       Free_Control_Space
* COLUMNS=FRECTLSPC;
* *       I/Os_Per\Second
* COLUMNS=IOPERSEC;
* *       Status
* COLUMNS=STATUS;
* *       Dump_Table\Size
* COLUMNS=DUMPTBLSZ;
* *       Dump\Table\In_Use
* COLUMNS=DUMPTBLIUS;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       Async_Avg_Service_Time
* COLUMNS=CFASSRVT;
* *       Async_Delay_Percent
* COLUMNS=CFASDLYP;
* *       Defined_Logical_Processors
* COLUMNS=CFLOGPRDE;
* *       Dedicated_Logical_Processors
* COLUMNS=CFLOGPRDD;
* *       Shared_Logical_Processors
* COLUMNS=CFLOGPRS;
* *       Avg_Shared_Processor_Weight
* COLUMNS=CFSHPRWT;
* SITNAME=MVS_CFSystems_Performance_Crit Critical;
* SITNAME=MVS_CFSystems_Performance_Warn Warning;
* SITNAME=MVS_CFSystemPaths_Busy_Crit Critical;
* SITNAME=MVS_CFSystemPaths_Busy_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Coupling_Facility_Sys_Reprt:5608';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystems_Performance_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystems_Performance_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystemPaths_Busy_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_CFSystemPaths_Busy_Warn' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Coupling_Facility_Sys_Reprt:5608' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Coupling_Facility_Sys_Reprt:5608';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Coupling_Facility_Sys_Reprt:5608',
  'KM5',
  '%IBM.STATIC006          000000000E000000000',
  'P',
  'Coupling Facility Systems Data for Sysplex',
  'Coupling Facility Systems in this sysplex (V5608)',
  'IBM',
  '1210222172108000',
'at=$THRUNODE$@table1.name=MCFSYS@table1.column1.name=CFPATHID@table1.column2.name=CFPATHAV@table1.column3.name=CFPTHDLP@table1.column4.name=CFNAME@table1.column5.name=CFLEVEL@table1.column6.name=CONNMVSCT@table1.column7.name=STRCTINPOL@table1.column8.name=STRCTOTPOL@table1.column9.name=CPUPERCENT@table1.column10.name=ALLOCSTG@table1.column11.name=STGUSED@table1.column12.name=TOTSTGCTL@table1.column13.name=FRECTLSPC@table1.column14.name=IOPERSEC@table1.column15.name=STATUS@table1.column16.name=DUMPTBLSZ@table1.column17.name=DUMPTBLIUS@table1.column18.name=ORIGINNODE@table1.column19.name=CFASSRVT@table1.column20.name=CFASDLYP@table1.column21.name=CFLOGPRDE@table1.column22.name=CFLOGPRDD@table1.column23.name=CFLOGPRS@table1.column24.name=CFSHPRWT@table1.columnCount=24@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC006          000000000E000000000',
   32,
   259,
   '1210222172108000',
   '_ KCJ',
   'Coupling_Facility_Sys_Reprt:5608',
   'Coupling Facility Systems Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Coupling_Facility_Sys_Reprt:5608',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Coupling_Facility_Sys_Reprt:5608',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystems_Performance_Crit',
   'Critical',
   'Coupling_Facility_Sys_Reprt:5608',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystems_Performance_Warn',
   'Warning',
   'Coupling_Facility_Sys_Reprt:5608',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystemPaths_Busy_Crit',
   'Critical',
   'Coupling_Facility_Sys_Reprt:5608',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_CFSystemPaths_Busy_Warn',
   'Warning',
   'Coupling_Facility_Sys_Reprt:5608',
   0
);



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1167\MCFSYS2.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             Statistics Report for CF System in Syspl*
* *  Table:              MCFSYS                                  *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/31/20 jflores    OA59519 (550 Parity)                    *
* *                      Add following fields:                   *
* *                          ASYNCAVGST, ASYNCDLY, DEFLCPU,      *
* *                          SHRLCPU, DEDLCPU, AVGSHWGT,         *
* *                          PATHDLY, PATHCNT, PATHIDS           *
* *  02/15/21 jflores    Co-existence for IBM Spec OA60576       *
* *                      Rename ASYNCAVGST to CFASSRVT           *
* *                      Rename ASYNCDLY to CFASDLYP             *
* *                      Rename DEFLCPU to CFLOGPRDE             *
* *                      Rename SHRLCPU to CFLOGPRS              *
* *                      Rename DEDLCPU to CFLOGPRDD             *
* *                      Rename AVGSHWGT to CFSHPRWT             *
* *                      Rename PATHDLY to CFPTHDLP              *
* *                      Rename PATHCNT to CFPATHAV              *
* *                      Rename PATHIDS to CFPATHID              *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=Stats_Rpt_CF_Sys_in_Sysplx:56008;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=14;
* NAME=Statistics Data for CF System in Sysplex (V56008);
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Detailed performance indicators the selected CF (V56008);
* TABLE=KM5.MCFSYS;
* AT=$THRUNODE$;
* *       Volatility_Status
* COLUMNS=VOLATILITY;
* *       Average_Sync_Operation_Delay
* COLUMNS=SYNCOPDLY;
* *       Average_Failed_Operation_Time
* COLUMNS=FAILEDOPTM;
* *       Sub-Channels_Allocated
* COLUMNS=ALOCSUBCHN;
* *       Sub-Channels_In_Use
* COLUMNS=USEDSUBCHN;
* *       Maximum_Sub-Channels
* COLUMNS=MAXSUBCHN;
* *       Asynchronous_Requests_per_minute
* COLUMNS=ASYNCRQMN;
* *       Synchronous_Requests_per_minute
* COLUMNS=SYNCRQMN;
* *       Synch_Asynch_Convs_per_min
* COLUMNS=SACONVSMN;
* *       Percent_Converted
* COLUMNS=PCTCONVRT;
* *       Total_Request_Cnt_this_interval
* COLUMNS=TOTRQINTV;
* *       Percent_Total_Requests_Synch
* COLUMNS=PCTRQSYNC;
* *       Percent_Total_Requests_Asynch
* COLUMNS=PCTRQASYN;
* *       Highest_1_Asynch\Request_Structure
* COLUMNS=HI1ASRSTR;
* *       Highest_2_Asynch\Request_Structure
* COLUMNS=HI2ASRSTR;
* *       Highest_3_Asynch\Request_Structure
* COLUMNS=HI3ASRSTR;
* *       Highest_1_Synch\Request_Structure
* COLUMNS=HI1SYRSTR;
* *       Highest_2_Synch\Request_Structure
* COLUMNS=HI2SYRSTR;
* *       Highest_3_Synch\Request_Structure
* COLUMNS=HI3SYRSTR;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       Async_Avg_Service_Time
* COLUMNS=CFASSRVT;
* *       Async_Delay_Percent
* COLUMNS=CFASDLYP;
* *       Defined_Logical_Processors
* COLUMNS=CFLOGPRDE;
* *       Shared_Logical_Processors
* COLUMNS=CFLOGPRS;
* *       Dedicated_Logical_Processors
* COLUMNS=CFLOGPRDD;
* *       Avg_Shared_Processor_Weight
* COLUMNS=CFSHPRWT;
* *       Paths_Delay_Percent
* COLUMNS=CFPTHDLP;
* *       Paths_Available
* COLUMNS=CFPATHAV;
* *       Paths_IDs
* COLUMNS=CFPATHID;
* PRED=CFNAME = $MCFSYS.CFNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Stats_Rpt_CF_Sys_in_Sysplx:56008';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Stats_Rpt_CF_Sys_in_Sysplx:56008',
  'KM5',
  '%IBM.STATIC006          000000000E000000000',
  'P',
  'Statistics Data for CF System in Sysplex (V56008)',
  'Detailed performance indicators the selected CF (V56008)',
  'IBM',
  '1210218104945000',
'at=$THRUNODE$@table1.name=MCFSYS@table1.column1.name=VOLATILITY@table1.column2.name=SYNCOPDLY@table1.column3.name=FAILEDOPTM@table1.column4.name=ALOCSUBCHN@table1.column5.name=USEDSUBCHN@table1.column6.name=MAXSUBCHN@table1.column7.name=ASYNCRQMN@table1.column8.name=SYNCRQMN@table1.column9.name=SACONVSMN@table1.column10.name=PCTCONVRT@table1.column11.name=TOTRQINTV@table1.column12.name=PCTRQSYNC@table1.column13.name=PCTRQASYN@table1.column14.name=HI1ASRSTR@table1.column15.name=HI2ASRSTR@table1.column16.name=HI3ASRSTR@table1.column17.name=HI1SYRSTR@table1.column18.name=HI2SYRSTR@table1.column19.name=HI3SYRSTR@table1.column20.name=ORIGINNODE@table1.column21.name=CFASSRVT@table1.column22.name=CFASDLYP@table1.column23.name=CFLOGPRDE@table1.column24.name=CFLOGPRS@table1.column25.name=CFLOGPRDD@table1.column26.name=CFSHPRWT@table1.column27.name=CFPTHDLP@table1.column28.name=CFPATHAV@table1.column29.name=CFPATHID@table1.columnCount=29@tableCount=1@filter1.connector=AND@filter1.column=CFNAME@filter1.operator=EQ@filter1.value=$MCFSYS.CFNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dasddev.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Shared DASD Devices Report For Group    *
* *  Table:              MDASD_GRP                               *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Shared_DASD_Dev_Rpt_For_Group;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Shared DASD Devices Data For Group;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Response time and busy percents shown for devices in group;
* TABLE=KM5.MDASD_GRP;
* AT=$THRUNODE$;
* COLUMNS=GROUPNAME, VOLSER, CUTYPE, DEVICETYPE, TRUEBUSY;
* COLUMNS=DEVCONTNDX, WRSTRESPTM, WRSTRESPTS, CUMIORATE;
* COLUMNS=WRSTDISCTM, WRSTDISCTS, ORIGINNODE;
* PRED=GROUPNAME = $MDASD_SYS.GROUPNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Shared_DASD_Dev_Rpt_For_Group';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Shared_DASD_Dev_Rpt_For_Group',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Shared DASD Devices Data For Group',
  'Response time and busy percents shown for devices in group',
  'Candle',
  '1150305065410000',
'at=$THRUNODE$@table1.name=MDASD_GRP@table1.column1.name=GROUPNAME@table1.column2.name=VOLSER@table1.column3.name=CUTYPE@table1.column4.name=DEVICETYPE@table1.column5.name=TRUEBUSY@table1.column6.name=DEVCONTNDX@table1.column7.name=WRSTRESPTM@table1.column8.name=WRSTRESPTS@table1.column9.name=CUMIORATE@table1.column10.name=WRSTDISCTM@table1.column11.name=WRSTDISCTS@table1.column12.name=ORIGINNODE@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=GROUPNAME@filter1.operator=EQ@filter1.value=$MDASD_SYS.GROUPNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dasdgrp.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Shared DASD Groups Report For Sysplex   *
* *  Table:              MDASD_SYS                               *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Shared_DASD_Grps_Rpt_For_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Shared DASD Groups Data For Sysplex;
* USER=Candle;
* VISIBLE=Y;
* DESC=Response time and busy percents shown for each DASD group;
* READONLY=Y;
* TABLE=KM5.MDASD_SYS;
* AT=$THRUNODE$;
* COLUMNS=GROUPNAME, AVGTRUBSY, HIGHTRUBSY, HITBSYVOL, AVGCONTNDX;
* COLUMNS=HICONTNDX, HICONDXVOL, ORIGINNODE;
* SITNAME=Sysplex_DASD_Dev_ContIndx_Warn Warning;
* SITNAME=Sysplex_DASDSys_VaryStatus_Warn Warning;
* SITNAME=KM5_No_Sysplex_DASD_Filter_Warn Warning;
* SITNAME=KM5_Weak_Plex_DASD_Filter_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Shared_DASD_Grps_Rpt_For_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_DASD_Dev_ContIndx_Warn' AND 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_DASDSys_VaryStatus_Warn' AND 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_No_Sysplex_DASD_Filter_Warn' AND 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_Weak_Plex_DASD_Filter_Warn' AND 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Shared_DASD_Grps_Rpt_For_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Shared_DASD_Grps_Rpt_For_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Shared DASD Groups Data For Sysplex',
  'Response time and busy percents shown for each DASD group',
  'Candle',
  '1150305065410000',
'at=$THRUNODE$@table1.name=MDASD_SYS@table1.column1.name=GROUPNAME@table1.column2.name=AVGTRUBSY@table1.column3.name=HIGHTRUBSY@table1.column4.name=HITBSYVOL@table1.column5.name=AVGCONTNDX@table1.column6.name=HICONTNDX@table1.column7.name=HICONDXVOL@table1.column8.name=ORIGINNODE@table1.columnCount=8@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065410000',
   '_ KCJ',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Shared DASD Groups Data For Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Shared_DASD_Grps_Rpt_For_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_DASD_Dev_ContIndx_Warn',
   'Warning',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_DASDSys_VaryStatus_Warn',
   'Warning',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_No_Sysplex_DASD_Filter_Warn',
   'Warning',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_Weak_Plex_DASD_Filter_Warn',
   'Warning',
   'Shared_DASD_Grps_Rpt_For_Sysplex',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dasdsys.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Shared DASD Systems Report For Device   *
* *  Table:              MDASD_DEV                               *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Shared_DASD_Sys_Rpt_For_Device;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Shared DASD Systems Data For Device;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Response time, busy percents shown for systems using device;
* TABLE=KM5.MDASD_DEV;
* AT=$THRUNODE$;
* COLUMNS=VOLSER, SYSTEM, ADDRESS, AVGRESPTM, TRUEBUSY, IORATE;
* COLUMNS=IOSQ, PENDTIME, CONNTIME, DISCTIME, INDXVTOC, VARYSTAT;
* COLUMNS=CACHSTAT, MOUNTSTAT, RECNFGSTAT, ORIGINNODE;
* PRED=VOLSER = $MDASD_GRP.VOLSER$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Shared_DASD_Sys_Rpt_For_Device';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Shared_DASD_Sys_Rpt_For_Device',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Shared DASD Systems Data For Device',
  'Response time, busy percents shown for systems using device',
  'Candle',
  '1150305065411000',
'at=$THRUNODE$@table1.name=MDASD_DEV@table1.column1.name=VOLSER@table1.column2.name=SYSTEM@table1.column3.name=ADDRESS@table1.column4.name=AVGRESPTM@table1.column5.name=TRUEBUSY@table1.column6.name=IORATE@table1.column7.name=IOSQ@table1.column8.name=PENDTIME@table1.column9.name=CONNTIME@table1.column10.name=DISCTIME@table1.column11.name=INDXVTOC@table1.column12.name=VARYSTAT@table1.column13.name=CACHSTAT@table1.column14.name=MOUNTSTAT@table1.column15.name=RECNFGSTAT@table1.column16.name=ORIGINNODE@table1.columnCount=16@tableCount=1@filter1.connector=AND@filter1.column=VOLSER@filter1.operator=EQ@filter1.value=$MDASD_GRP.VOLSER$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mplxdas.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Sysplexes DASD Report                   *
* *  Table:              MPLXDAS                                 *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/17/10 JYAPI      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* *                                                              *
* ****************************************************************
* IDENT=Sysplexes_DAS;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Sysplexes DASD Data;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show Managed Sysplexes 
* TABLE=KM5.MPLXDAS;
* COLUMNS=PLXNAME, THRUNODE, GROUPNAME;
* COLUMNS=HICONTNDX, HICONDXVOL, AVGCONTNDX, ORIGINNODE;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Sysplexes_DAS';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Sysplexes_DAS',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Sysplexes DASD Data',
  'Show Managed Sysplexes ',
  'Candle',
  '1150305065411000',
'at=$THRUNODE$@table1.name=MPLXDAS@table1.column1.name=PLXNAME@table1.column2.name=THRUNODE@table1.column3.name=GROUPNAME@table1.column4.name=HICONTNDX@table1.column5.name=HICONDXVOL@table1.column6.name=AVGCONTNDX@table1.column7.name=ORIGINNODE@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from grsring.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             GRS Ring Systems Report for Sysplex     *
* *  Table:              VGRS_TABLE                              *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=GRS_Ring_Sys_Rpt_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=GRS Ring Systems Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Systems in the ring and response time values are shown;
* TABLE=KM5.VGRS_TABLE;
* AT=$THRUNODE$;
* COLUMNS=GRSMVSNAME, GRSSTATUS, GRSACRSPTM, GRSEXRSPTM;
* COLUMNS=GRSRINGACC, GRSRSACUSZ, GRSRSAMXSZ, GRSTOLIMIT;
* COLUMNS=GRSRESMIL, GRS_MODE, ORIGINNODE;
* SITNAME=MVS_GRS_RespTime_Crit Critical;
* SITNAME=MVS_GRS_RespTime_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'GRS_Ring_Sys_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_GRS_RespTime_Crit' AND 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_GRS_RespTime_Warn' AND 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'GRS_Ring_Sys_Rpt_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'GRS_Ring_Sys_Rpt_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'GRS Ring Systems Data for Sysplex',
  'Systems in the ring and response time values are shown',
  'Candle',
  '1150305065411000',
'at=$THRUNODE$@table1.name=VGRS_TABLE@table1.column1.name=GRSMVSNAME@table1.column2.name=GRSSTATUS@table1.column3.name=GRSACRSPTM@table1.column4.name=GRSEXRSPTM@table1.column5.name=GRSRINGACC@table1.column6.name=GRSRSACUSZ@table1.column7.name=GRSRSAMXSZ@table1.column8.name=GRSTOLIMIT@table1.column9.name=GRSRESMIL@table1.column10.name=GRS_MODE@table1.column11.name=ORIGINNODE@table1.columnCount=11@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065411000',
   '_ KCJ',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   'GRS Ring Systems Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'GRS_Ring_Sys_Rpt_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_GRS_RespTime_Crit',
   'Critical',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_GRS_RespTime_Warn',
   'Warning',
   'GRS_Ring_Sys_Rpt_for_Sysplex',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mplxgrs.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Sysplexes GRS Report                    *
* *  Table:              MPLXGRS                                 *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/17/10 JYAPI      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* *                                                              *
* ****************************************************************
* IDENT=Sysplexes_GRS;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Sysplexes GRS Data;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show Managed Sysplexes 
* TABLE=KM5.MPLXGRS;
* COLUMNS=PLXNAME, THRUNODE, GRSACRSPTM;
* COLUMNS=GRSEXRSPTM, GRSRESMIL, ORIGINNODE;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Sysplexes_GRS';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Sysplexes_GRS',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Sysplexes GRS Data',
  'Show Managed Sysplexes ',
  'Candle',
  '1150305065412000',
'at=$THRUNODE$@table1.name=MPLXGRS@table1.column1.name=PLXNAME@table1.column2.name=THRUNODE@table1.column3.name=GRSACRSPTM@table1.column4.name=GRSEXRSPTM@table1.column5.name=GRSRESMIL@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mentrenq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Enterprise Global Enqueues Report       *
* *  Table:              MENTRENQ                                *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/17/10 JYAPI      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *  08/27/10 mryan      Remove PRED REPORT=YES to fix jhelper   *
* *                      errors.                                 *
* ****************************************************************
* IDENT=Enterprise_Global_Enqueue;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Enterprise Global Enqueue Data;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show enterprise wide enqueue conflicts
* TABLE=KM5.MENTRENQ;
* COLUMNS=MAJORNAME, MINORNAME, ENQPLEX;
* COLUMNS=OWNTASKCT, WAITTASKCT, MAXWAITTM, PLXNAME;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND REPORT = YES;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enterprise_Global_Enqueue';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enterprise_Global_Enqueue',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Enterprise Global Enqueue Data',
  'Show enterprise wide enqueue conflicts',
  'IBM',
  '1150305065412000',
'at=$THRUNODE$@table1.name=MENTRENQ@table1.column1.name=MAJORNAME@table1.column2.name=MINORNAME@table1.column3.name=ENQPLEX@table1.column4.name=OWNTASKCT@table1.column5.name=WAITTASKCT@table1.column6.name=MAXWAITTM@table1.column7.name=PLXNAME@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filter2.connector=AND@filter2.column=REPORT@filter2.operator=EQ@filter2.value=YES@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mentrenr.dat
*
* ****************************************************************
* *  Product:            KM5                                      *
* *  Version:            310                                     *
* *  Report:             Enterprise Enqueue and Reserve Report   *
* *  Table:              MENTRENQ                                *
* *  Characteristics:    Executed on Hub, no filters             *
* *  Navigation Pred:    WHERE MENTRENQ.MINORNAME = 'VDCTHLB4'   *
* *                        AND MENTRENQ.MAJORNAME = 'KLVGLOCK'   *
* *                        AND MENTRENQ.ENQPLEX = 'ENQPLEX1'     *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/27/10 mryan      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* ****************************************************************
* IDENT=Enterprise_Enqueue_Reserve;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Enterprise Enqueue and Reserve Data;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show enterprise wide conflicts participants
* TABLE=KM5.MENTRENQ;
* COLUMNS=OWNINGAS, WAITINGAS, PLXNAME, SYSNAME;
* COLUMNS=TRUEOWNER, SWAPPED, TYPE, ASID, WAITTIME;
* COLUMNS=ORIGINNODE, MAJORNAME;
* PRED=MAJORNAME = $MENTRENQ.MAJORNAME$;
* PRED=AND MINORNAME = $MENTRENQ.MINORNAME$;
* PRED=AND ENQPLEX = $MENTRENQ.ENQPLEX$;
* PRED=AND ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Enterprise_Enqueue_Reserve';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Enterprise_Enqueue_Reserve',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Enterprise Enqueue and Reserve Data',
  'Show enterprise wide conflicts participants',
  'IBM',
  '1150305065413000',
'at=$THRUNODE$@table1.name=MENTRENQ@table1.column1.name=OWNINGAS@table1.column2.name=WAITINGAS@table1.column3.name=PLXNAME@table1.column4.name=SYSNAME@table1.column5.name=TRUEOWNER@table1.column6.name=SWAPPED@table1.column7.name=TYPE@table1.column8.name=ASID@table1.column9.name=WAITTIME@table1.column10.name=ORIGINNODE@table1.column11.name=MAJORNAME@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=MAJORNAME@filter1.operator=EQ@filter1.value=$MENTRENQ.MAJORNAME$@filter2.connector=AND@filter2.column=MINORNAME@filter2.operator=EQ@filter2.value=$MENTRENQ.MINORNAME$@filter3.connector=AND@filter3.column=ENQPLEX@filter3.operator=EQ@filter3.value=$MENTRENQ.ENQPLEX$@filter4.connector=AND@filter4.column=ORIGINNODE@filter4.operator=EQ@filter4.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mglblenq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Global Enqueue Report for Sysplex       *
* *  Table:              MGLBLENQ                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  09/21/06 RPerini    TDW Support - Chg Report predicate to   *
* *                      Report = GNQ                            *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Global_Enqueue_Report_for_Sysple;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Global Enqueue Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Enqueue conflicts and reserved resources are shown;
* TABLE=KM5.MGLBLENQ;
* AT=$THRUNODE$;
* COLUMNS=MAJORNAME, MINORNAME, OWNTASKCT, WAITTASKCT, MAXWAITTM; 
* COLUMNS=ORIGINNODE;
* PRED=REPORT = GNQ;
* SITNAME=Sysplex_GlobalEnq_Wait_Crit Critical;
* SITNAME=Sysplex_GlobalEnq_Wait_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Global_Enqueue_Report_for_Sysple';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_GlobalEnq_Wait_Crit' AND 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_GlobalEnq_Wait_Warn' AND 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Global_Enqueue_Report_for_Sysple' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Global_Enqueue_Report_for_Sysple';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Global_Enqueue_Report_for_Sysple',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Global Enqueue Data for Sysplex',
  'Enqueue conflicts and reserved resources are shown',
  'Candle',
  '1150305065413000',
'at=$THRUNODE$@table1.name=MGLBLENQ@table1.column1.name=MAJORNAME@table1.column2.name=MINORNAME@table1.column3.name=OWNTASKCT@table1.column4.name=WAITTASKCT@table1.column5.name=MAXWAITTM@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=REPORT@filter1.operator=EQ@filter1.value=GNQ@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065413000',
   '_ KCJ',
   'Global_Enqueue_Report_for_Sysple',
   'Global Enqueue Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Global_Enqueue_Report_for_Sysple',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Global_Enqueue_Report_for_Sysple',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_GlobalEnq_Wait_Crit',
   'Critical',
   'Global_Enqueue_Report_for_Sysple',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_GlobalEnq_Wait_Warn',
   'Warning',
   'Global_Enqueue_Report_for_Sysple',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mglblenr.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Global Enqueue and Reserve Report       *
* *  Table:              MGLBLENQ                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  09/21/06 RPerini    TDW Support - Chg Report predicate to   *
* *                      Report = ENR                            *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Global_Enq_and_Reserve_Report;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Global Enqueue and Reserve Data;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Enqueue conflicts and reserved resources are shown;
* TABLE=KM5.MGLBLENQ;
* AT=$THRUNODE$;
* COLUMNS=OWNINGAS, WAITINGAS, SYSNAME, SWAPPED, TYPE, ASID;
* COLUMNS=WAITTIME, MAJORNAME, MINORNAME, ORIGINNODE; 
* PRED=MAJORNAME = $MGLBLENQ.MAJORNAME$;
* PRED=AND MINORNAME = $MGLBLENQ.MINORNAME$;
* PRED=AND REPORT = ENR;


DELETE FROM KFWQUERY   WHERE ID       =
 'Global_Enq_and_Reserve_Report';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Global_Enq_and_Reserve_Report',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Global Enqueue and Reserve Data',
  'Enqueue conflicts and reserved resources are shown',
  'Candle',
  '1150305065413000',
'at=$THRUNODE$@table1.name=MGLBLENQ@table1.column1.name=OWNINGAS@table1.column2.name=WAITINGAS@table1.column3.name=SYSNAME@table1.column4.name=SWAPPED@table1.column5.name=TYPE@table1.column6.name=ASID@table1.column7.name=WAITTIME@table1.column8.name=MAJORNAME@table1.column9.name=MINORNAME@table1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.connector=AND@filter1.column=MAJORNAME@filter1.operator=EQ@filter1.value=$MGLBLENQ.MAJORNAME$@filter2.connector=AND@filter2.column=MINORNAME@filter2.operator=EQ@filter2.value=$MGLBLENQ.MINORNAME$@filter3.connector=AND@filter3.column=REPORT@filter3.operator=EQ@filter3.value=ENR@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mplxenq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Sysplexes Global Enqueue Report         *
* *  Table:              MPLXENQ                                 *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/17/10 JYAPI      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* *                                                              *
* ****************************************************************
* IDENT=Sysplexes_Global_Enqueue;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Sysplexes Global Enqueue Data;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show Managed Sysplexes 
* TABLE=KM5.MPLXENQ;
* COLUMNS=PLXNAME, THRUNODE, MAXWAITTM;
* COLUMNS=MAJORNAME, MINORNAME, WAITTASKCT, ORIGINNODE;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Sysplexes_Global_Enqueue';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Sysplexes_Global_Enqueue',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Sysplexes Global Enqueue Data',
  'Show Managed Sysplexes ',
  'Candle',
  '1150305065414000',
'at=$THRUNODE$@table1.name=MPLXENQ@table1.column1.name=PLXNAME@table1.column2.name=THRUNODE@table1.column3.name=MAXWAITTM@table1.column4.name=MAJORNAME@table1.column5.name=MINORNAME@table1.column6.name=WAITTASKCT@table1.column7.name=ORIGINNODE@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mplxwlm.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Sysplexes Workload Report               *
* *  Table:              MPLXWLM                                 *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/17/10 JYAPI      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* *                                                              *
* ****************************************************************
* IDENT=Sysplexes_Workloads;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Sysplexes Workloads Data
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show Managed Sysplexes 
* TABLE=KM5.MPLXWLM;
* COLUMNS=PLXNAME, THRUNODE, CLSNAME;
* COLUMNS=PERHINDX, PERHACT, PERGOAL, PERGIMP, ORIGINNODE;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Sysplexes_Workloads';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Sysplexes_Workloads',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Sysplexes Workloads Data',
  'Show Managed Sysplexes ',
  'Candle',
  '1150305065414000',
'at=$THRUNODE$@table1.name=MPLXWLM@table1.column1.name=PLXNAME@table1.column2.name=THRUNODE@table1.column3.name=CLSNAME@table1.column4.name=PERHINDX@table1.column5.name=PERHACT@table1.column6.name=PERGOAL@table1.column7.name=PERGIMP@table1.column8.name=ORIGINNODE@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from rcaddrs.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Spaces Report for Report Class  *
* *  Table:              MADDSPC                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns SUPPCNT, SUCPCNT          * 
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Spcs_Rpt_for_Report_Class;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Address Spaces Data for Report Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Peformance indicators each addrs space in selected report class;
* TABLE=KM5.MADDSPC;
* AT=$THRUNODE$;
* COLUMNS=ASRCNAME, ASNAME, VSYSTEMNAM, ASID, CLSNAME, VELOCITY;
* COLUMNS=PAGERATE, ASCSTOR, ASESTOR, IORATE, CPUPCNT;
* COLUMNS=IFAPCNT, IFCPCNT, SUPPCNT, SUCPCNT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=ASRCNAME = $MRPTCLS.ASRCNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Spcs_Rpt_for_Report_Class';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Spcs_Rpt_for_Report_Class',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Address Spaces Data for Report Class',
  'Peformance indicators each addrs space in selected report class',
  'Candle',
  '1150305065415000',
'at=$THRUNODE$@table1.name=MADDSPC@table1.column1.name=ASRCNAME@table1.column2.name=ASNAME@table1.column3.name=VSYSTEMNAM@table1.column4.name=ASID@table1.column5.name=CLSNAME@table1.column6.name=VELOCITY@table1.column7.name=PAGERATE@table1.column8.name=ASCSTOR@table1.column9.name=ASESTOR@table1.column10.name=IORATE@table1.column11.name=CPUPCNT@table1.column12.name=IFAPCNT@table1.column13.name=IFCPCNT@table1.column14.name=SUPPCNT@table1.column15.name=SUCPCNT@table1.column16.name=ORIGINNODE@table1.columnCount=16@tableCount=1@filter1.connector=AND@filter1.column=ASRCNAME@filter1.operator=EQ@filter1.value=$MRPTCLS.ASRCNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from repcls.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Report Classes Report for Sysplex       *
* *  Table:              MRPTCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Report_Classes_Rpt_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Report Classes Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Peformance indicators for each report class in current policy;
* TABLE=KM5.MRPTCLS;
* AT=$THRUNODE$;
* COLUMNS=ASRCNAME, ASCOUNT, VELOCITY, PAGERATE, IORATE, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;


DELETE FROM KFWQUERY   WHERE ID       =
 'Report_Classes_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Report_Classes_Rpt_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Report_Classes_Rpt_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Report_Classes_Rpt_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Report Classes Data for Sysplex',
  'Peformance indicators for each report class in current policy',
  'Candle',
  '1150305065415000',
'at=$THRUNODE$@table1.name=MRPTCLS@table1.column1.name=ASRCNAME@table1.column2.name=ASCOUNT@table1.column3.name=VELOCITY@table1.column4.name=PAGERATE@table1.column5.name=IORATE@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065415000',
   '_ KCJ',
   'Report_Classes_Rpt_for_Sysplex',
   'Report Classes Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Report_Classes_Rpt_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Report_Classes_Rpt_for_Sysplex',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from resgrps.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Resource Groups Report for Sysplex      *
* *  Table:              MRESGRP                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns SUPUTIL, SUCUTIL          * 
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Resource_Groups_Rpt_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Resource Groups Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Capacity usage for each resource group in the active policy;
* TABLE=KM5.MRESGRP;
* AT=$THRUNODE$;
* COLUMNS=RESGRPNAME, RESGRPDESC, MAXCAPAC, MINCAPAC, CAPUTIL;
* COLUMNS=MAXGRPCAPU, IFAUTIL, IFCUTIL, SUPUTIL, SUCUTIL, ORIGINNODE;
* PRED=CLSNAME = GROUP;


DELETE FROM KFWQUERY   WHERE ID       =
 'Resource_Groups_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Resource_Groups_Rpt_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Resource_Groups_Rpt_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Resource_Groups_Rpt_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Resource Groups Data for Sysplex',
  'Capacity usage for each resource group in the active policy',
  'Candle',
  '1150305065415000',
'at=$THRUNODE$@table1.name=MRESGRP@table1.column1.name=RESGRPNAME@table1.column2.name=RESGRPDESC@table1.column3.name=MAXCAPAC@table1.column4.name=MINCAPAC@table1.column5.name=CAPUTIL@table1.column6.name=MAXGRPCAPU@table1.column7.name=IFAUTIL@table1.column8.name=IFCUTIL@table1.column9.name=SUPUTIL@table1.column10.name=SUCUTIL@table1.column11.name=ORIGINNODE@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=GROUP@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065415000',
   '_ KCJ',
   'Resource_Groups_Rpt_for_Sysplex',
   'Resource Groups Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Resource_Groups_Rpt_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Resource_Groups_Rpt_for_Sysplex',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from rgsrvcls.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Service Classes Report for Resource Grou*
* *  Table:              MRESGRP                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns SUPUTIL, SUCUTIL          * 
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Serv_Class_Rpt_for_Res_Groups;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Service Classes Data for Resource Groups;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Capacity usage for each serv class in selected resource group;
* TABLE=KM5.MRESGRP;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, MAXGRPCAPU, CAPUTIL, IFAUTIL, IFCUTIL;
* COLUMNS=SUPUTIL, SUCUTIL, ORIGINNODE;
* PRED=RESGRPNAME = $MRESGRP.RESGRPNAME$;
* PRED=AND CLSNAME <> GROUP;


DELETE FROM KFWQUERY   WHERE ID       =
 'Serv_Class_Rpt_for_Res_Groups';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Serv_Class_Rpt_for_Res_Groups',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Service Classes Data for Resource Groups',
  'Capacity usage for each serv class in selected resource group',
  'Candle',
  '1150305065416000',
'at=$THRUNODE$@table1.name=MRESGRP@table1.column1.name=CLSNAME@table1.column2.name=MAXGRPCAPU@table1.column3.name=CAPUTIL@table1.column4.name=IFAUTIL@table1.column5.name=IFCUTIL@table1.column6.name=SUPUTIL@table1.column7.name=SUCUTIL@table1.column8.name=ORIGINNODE@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=RESGRPNAME@filter1.operator=EQ@filter1.value=$MRESGRP.RESGRPNAME$@filter2.connector=AND@filter2.column=CLSNAME@filter2.operator=NE@filter2.value=GROUP@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scadrsp.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Spaces Report for Service Class *
* *  Table:              MADDSPC                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns SUPPCNT, SUCPCNT          * 
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Spcs_Rpt_for_Service_Class;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Address Spaces Data for Service Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Performance indicators for addrs spaces of selected serv class;
* TABLE=KM5.MADDSPC;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, ASNAME, VSYSTEMNAM, ASID, ASRCNAME, VELOCITY;
* COLUMNS=PAGERATE, ASCSTOR, ASESTOR, IORATE, CPUPCNT, IFAPCNT;
* COLUMNS=IFCPCNT, CLSFLAG, ASTYPE, SUPPCNT, SUCPCNT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Spcs_Rpt_for_Service_Class';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Spcs_Rpt_for_Service_Class',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Address Spaces Data for Service Class',
  'Performance indicators for addrs spaces of selected serv class',
  'Candle',
  '1150305065416000',
'at=$THRUNODE$@table1.name=MADDSPC@table1.column1.name=CLSNAME@table1.column2.name=ASNAME@table1.column3.name=VSYSTEMNAM@table1.column4.name=ASID@table1.column5.name=ASRCNAME@table1.column6.name=VELOCITY@table1.column7.name=PAGERATE@table1.column8.name=ASCSTOR@table1.column9.name=ASESTOR@table1.column10.name=IORATE@table1.column11.name=CPUPCNT@table1.column12.name=IFAPCNT@table1.column13.name=IFCPCNT@table1.column14.name=CLSFLAG@table1.column15.name=ASTYPE@table1.column16.name=SUPPCNT@table1.column17.name=SUCPCNT@table1.column18.name=ORIGINNODE@table1.columnCount=18@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scpadrsp.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Address Spaces Report for Service Class *
* *  Table:              MADDSPC                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns SUPPCNT, SUCPCNT          * 
* *                       for zIIP support in M5410              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Addr_Spcs_Rpt_for_Serv_Class_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Address Spaces Data for Service Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Performance indicators for addrs spaces of selected prd, srv cls;
* TABLE=KM5.MADDSPC;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERIODNUM, ASNAME, VSYSTEMNAM, ASID, ASRCNAME;
* COLUMNS=VELOCITY, PAGERATE, ASCSTOR, ASESTOR, IORATE, CPUPCNT;
* COLUMNS=IFAPCNT, IFCPCNT, SUPPCNT, SUCPCNT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Addr_Spcs_Rpt_for_Serv_Class_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Addr_Spcs_Rpt_for_Serv_Class_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Address Spaces Data for Service Class Period',
  'Performance indicators for addrs spaces of selected prd, srv cls',
  'Candle',
  '1150305065417000',
'at=$THRUNODE$@table1.name=MADDSPC@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=ASNAME@table1.column4.name=VSYSTEMNAM@table1.column5.name=ASID@table1.column6.name=ASRCNAME@table1.column7.name=VELOCITY@table1.column8.name=PAGERATE@table1.column9.name=ASCSTOR@table1.column10.name=ASESTOR@table1.column11.name=IORATE@table1.column12.name=CPUPCNT@table1.column13.name=IFAPCNT@table1.column14.name=IFCPCNT@table1.column15.name=SUPPCNT@table1.column16.name=SUCPCNT@table1.column17.name=ORIGINNODE@table1.columnCount=17@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=EQ@filter2.value=$MSRVCLS.PERIODNUM$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scperiod.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Periods Report for Service Class        *
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* * ============================================================ *
* * Maintenance Log                                              *
* * Date      | Who   | ID | Description                         *
* * ----------+-------+----+------------------------------------ *
* * 07/21/05  | BKEALY| @01| Remove PERUNIT column from M5.      *
* *           |       |    | Defect 11547 complaints about       *
* *           |       |    | missing flyover.                    *
* * 08/01/06  | PERINI|    | TDW SUPPORT (ADD PREDICATE)         *
* *           |       |    |                                     *
* * 07/28/08  |  mryan|    | Set to READONLY                     *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Periods_Report_for_Service_Class;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Periods Data for Service Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Performance indicators for each period of selected serv class;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERIODNUM, PERTRNRATE, PERAVRSP, PERVELOC;
* COLUMNS=PERGIMP, PERDUR, PERGLTYP, PERGOAL, PERHACT, PERHINDX;
* COLUMNS=ORIGINNODE;
* * columns=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM <> 9;
* PRED=AND LEVEL = SYSPLEX;


DELETE FROM KFWQUERY   WHERE ID       =
 'Periods_Report_for_Service_Class';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Periods_Report_for_Service_Class',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Periods Data for Service Class',
  'Performance indicators for each period of selected serv class',
  'Candle',
  '1150305065417000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PERTRNRATE@table1.column4.name=PERAVRSP@table1.column5.name=PERVELOC@table1.column6.name=PERGIMP@table1.column7.name=PERDUR@table1.column8.name=PERGLTYP@table1.column9.name=PERGOAL@table1.column10.name=PERHACT@table1.column11.name=PERHINDX@table1.column12.name=ORIGINNODE@table1.columnCount=12@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=NE@filter2.value=9@filter2.type=I@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSPLEX@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scpwkfl.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Workflow Analysis Report for Service Cla*
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns PDXAOSP, PDXASCP,         * 
* *                        PDXWTSUWP for zIIP support in M5410   *
* *                                                              * 
* *  08/01/06 perini     TDW SUPPORT (ADD PREDICATE)             *
* *                                                              *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkflow_Anal_Rpt_for_Serv_Cls_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Data for Service Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis for the selected period of the service class;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=PDXACPP, PDXWTCPWP, PDXAOIP, PDXAICP, PDXWTIFWP;
* COLUMNS=PDXAOSP, PDXASCP, PDXWTSUWP;
* COLUMNS=PDXDLRGPP, PDXWTCOMP, PDXWTHSPP;
* COLUMNS=PDXWTPAGP, PDXWTVIOP, PDXWTXMEP, PERSUMENQP, PERSUMAIOP;
* COLUMNS=PERSUMQIOP, PDXSUMJESP, PDXHSMRCLP, PDXHSMBMGP;
* COLUMNS=PDXHSMOTHP, PDXSWPNOTP, PDXSWPRDYP, PDXWTECBP, PDXWTECSP;
* COLUMNS=PDXWTSTIP, PDXWTLCKP, PDXWTWTOP, PDXWTTMPP, PDXWTOTHP; 
* COLUMNS=PDXCRPMUP, PDXCRPMWP, PDXCRPAUP, PDXCRPAWP, PDXSVPAGP;
* COLUMNS=PDXSVMPLP, PDXSVSWIP;
* COLUMNS=CLSNAME, PERIODNUM, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;
* PRED=AND LEVEL = SYSPLEX;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkflow_Anal_Rpt_for_Serv_Cls_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkflow_Anal_Rpt_for_Serv_Cls_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Data for Service Class Period',
  'Workflow analysis for the selected period of the service class',
  'Candle',
  '1150305065417000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=PDXACPP@table1.column2.name=PDXWTCPWP@table1.column3.name=PDXAOIP@table1.column4.name=PDXAICP@table1.column5.name=PDXWTIFWP@table1.column6.name=PDXAOSP@table1.column7.name=PDXASCP@table1.column8.name=PDXWTSUWP@table1.column9.name=PDXDLRGPP@table1.column10.name=PDXWTCOMP@table1.column11.name=PDXWTHSPP@table1.column12.name=PDXWTPAGP@table1.column13.name=PDXWTVIOP@table1.column14.name=PDXWTXMEP@table1.column15.name=PERSUMENQP@table1.column16.name=PERSUMAIOP@table1.column17.name=PERSUMQIOP@table1.column18.name=PDXSUMJESP@table1.column19.name=PDXHSMRCLP@table1.column20.name=PDXHSMBMGP@table1.column21.name=PDXHSMOTHP@table1.column22.name=PDXSWPNOTP@table1.column23.name=PDXSWPRDYP@table1.column24.name=PDXWTECBP@table1.column25.name=PDXWTECSP@table1.column26.name=PDXWTSTIP@table1.column27.name=PDXWTLCKP@table1.column28.name=PDXWTWTOP@table1.column29.name=PDXWTTMPP@table1.column30.name=PDXWTOTHP@table1.column31.name=PDXCRPMUP@table1.column32.name=PDXCRPMWP@table1.column33.name=PDXCRPAUP@table1.column34.name=PDXCRPAWP@table1.column35.name=PDXSVPAGP@table1.column36.name=PDXSVMPLP@table1.column37.name=PDXSVSWIP@table1.column38.name=CLSNAME@table1.column39.name=PERIODNUM@table1.column40.name=ORIGINNODE@table1.columnCount=40@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=EQ@filter2.value=$MSRVCLS.PERIODNUM$@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSPLEX@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scpwkflio.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis I/O Report for Service*
* *  Table:              MWFAIO                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  08/23/06 RPerini    TDW Support - Add LEVEL predicate       *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis I/O Data for Service Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis I/O details for selected prd of service class;
* TABLE=KM5.MWFAIO;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERIODNUM, PDEVNUM, PDEVTYPE, PDEVVOLSER;
* COLUMNS=PDEVACTPCT, PDEVWATPCT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;
* PRED=AND LEVEL = SYSPLEX;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis I/O Data for Service Class Period',
  'Workflow analysis I/O details for selected prd of service class',
  'Candle',
  '1150305065418000',
'at=$THRUNODE$@table1.name=MWFAIO@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PDEVNUM@table1.column4.name=PDEVTYPE@table1.column5.name=PDEVVOLSER@table1.column6.name=PDEVACTPCT@table1.column7.name=PDEVWATPCT@table1.column8.name=ORIGINNODE@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=EQ@filter2.value=$MSRVCLS.PERIODNUM$@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSPLEX@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scpwkflnq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis Enqueue Report for Ser*
* *  Table:              MWFAENQ                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  09/06/06 RPerini    TDW Support - Add LEVEL predicate       *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Enqueue Data for Service Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis enq details for selected prd of service class;
* TABLE=KM5.MWFAENQ;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERIODNUM, PNQMAJNAME, PNQPERCENT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;
* PRED=AND LEVEL = SYSPLEX;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Enqueue Data for Service Class Period',
  'Workflow analysis enq details for selected prd of service class',
  'Candle',
  '1150305065418000',
'at=$THRUNODE$@table1.name=MWFAENQ@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PNQMAJNAME@table1.column4.name=PNQPERCENT@table1.column5.name=ORIGINNODE@table1.columnCount=5@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=EQ@filter2.value=$MSRVCLS.PERIODNUM$@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSPLEX@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scsprd.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Periods Report for Sevice Class System  *
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  08/01/06 PERINI     TDW SUPPORT (ADD PREDICATE)             *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              *  
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Prds_Rpt_for_Sevice_Class_System;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Periods Data for Sevice Class System;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Performance indicators for each prd of selected Srv Cls and MVS;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, SYSNAME, PERIODNUM, PERTRNRATE, PERAVRSP;
* COLUMNS=PERVELOC, PERGIMP, PERDUR, PERGLTYP, PERGOAL, PERHACT;
* COLUMNS=PERHINDX, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND LEVEL = SYSTEM;
* PRED=AND PERIODNUM <> 9;


DELETE FROM KFWQUERY   WHERE ID       =
 'Prds_Rpt_for_Sevice_Class_System';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Prds_Rpt_for_Sevice_Class_System',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Periods Data for Sevice Class System',
  'Performance indicators for each prd of selected Srv Cls and MVS',
  'Candle',
  '1150305065419000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=CLSNAME@table1.column2.name=SYSNAME@table1.column3.name=PERIODNUM@table1.column4.name=PERTRNRATE@table1.column5.name=PERAVRSP@table1.column6.name=PERVELOC@table1.column7.name=PERGIMP@table1.column8.name=PERDUR@table1.column9.name=PERGLTYP@table1.column10.name=PERGOAL@table1.column11.name=PERHACT@table1.column12.name=PERHINDX@table1.column13.name=ORIGINNODE@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSTEM@filter4.connector=AND@filter4.column=PERIODNUM@filter4.operator=NE@filter4.value=9@filter4.type=I@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scspwkfl.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis Report for System Sevi*
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns PDXAOSP, PDXASCP,         * 
* *                        PDXWTSUWP for zIIP support in M5410   *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              * 
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_Rpt_for_Sys_Srv_Cls_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Data for System Service Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis for selected period, Service Class and MVS;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=PDXACPP, PDXWTCPWP, PDXAOIP, PDXAICP, PDXWTIFWP;
* COLUMNS=PDXAOSP, PDXASCP, PDXWTSUWP;
* COLUMNS=PDXDLRGPP, PDXWTCOMP, PDXWTHSPP;
* COLUMNS=PDXWTPAGP, PDXWTVIOP, PDXWTXMEP, PERSUMENQP, PERSUMAIOP;
* COLUMNS=PERSUMQIOP, PDXSUMJESP, PDXHSMRCLP, PDXHSMBMGP, PDXHSMOTHP;
* COLUMNS=PDXSWPNOTP, PDXSWPRDYP, PDXWTECBP, PDXWTECSP, PDXWTSTIP;
* COLUMNS=PDXWTLCKP, PDXWTWTOP, PDXWTTMPP, PDXWTOTHP;
* COLUMNS=PDXCRPMUP, PDXCRPMWP, PDXCRPAUP, PDXCRPAWP, PDXSVPAGP;
* COLUMNS=PDXSVMPLP, PDXSVSWIP;
* COLUMNS=CLSNAME, SYSNAME, PERIODNUM, LEVEL, ORIGINNODE; 
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;   
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;
* PRED=AND LEVEL = SYSTEM;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_Rpt_for_Sys_Srv_Cls_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_Rpt_for_Sys_Srv_Cls_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Data for System Service Class Period',
  'Workflow analysis for selected period, Service Class and MVS',
  'Candle',
  '1150305065419000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=PDXACPP@table1.column2.name=PDXWTCPWP@table1.column3.name=PDXAOIP@table1.column4.name=PDXAICP@table1.column5.name=PDXWTIFWP@table1.column6.name=PDXAOSP@table1.column7.name=PDXASCP@table1.column8.name=PDXWTSUWP@table1.column9.name=PDXDLRGPP@table1.column10.name=PDXWTCOMP@table1.column11.name=PDXWTHSPP@table1.column12.name=PDXWTPAGP@table1.column13.name=PDXWTVIOP@table1.column14.name=PDXWTXMEP@table1.column15.name=PERSUMENQP@table1.column16.name=PERSUMAIOP@table1.column17.name=PERSUMQIOP@table1.column18.name=PDXSUMJESP@table1.column19.name=PDXHSMRCLP@table1.column20.name=PDXHSMBMGP@table1.column21.name=PDXHSMOTHP@table1.column22.name=PDXSWPNOTP@table1.column23.name=PDXSWPRDYP@table1.column24.name=PDXWTECBP@table1.column25.name=PDXWTECSP@table1.column26.name=PDXWTSTIP@table1.column27.name=PDXWTLCKP@table1.column28.name=PDXWTWTOP@table1.column29.name=PDXWTTMPP@table1.column30.name=PDXWTOTHP@table1.column31.name=PDXCRPMUP@table1.column32.name=PDXCRPMWP@table1.column33.name=PDXCRPAUP@table1.column34.name=PDXCRPAWP@table1.column35.name=PDXSVPAGP@table1.column36.name=PDXSVMPLP@table1.column37.name=PDXSVSWIP@table1.column38.name=CLSNAME@table1.column39.name=SYSNAME@table1.column40.name=PERIODNUM@table1.column41.name=LEVEL@table1.column42.name=ORIGINNODE@table1.columnCount=42@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$MSRVCLS.PERIODNUM$@filter4.connector=AND@filter4.column=LEVEL@filter4.operator=EQ@filter4.value=SYSTEM@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scspwkio.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis I/O Report for System *
* *  Table:              MWFAIO                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WkfAnl_I/O_Rpt_for_Sys_SvCls_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis I/O Data for System Service Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis I/O details for selected prd, Serv Cls, MVS;
* TABLE=KM5.MWFAIO;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, SYSNAME, PERIODNUM, PDEVNUM, PDEVTYPE, PDEVVOLSER;
* COLUMNS=PDEVACTPCT, PDEVWATPCT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;
* PRED=AND LEVEL = SYSTEM;


DELETE FROM KFWQUERY   WHERE ID       =
 'WkfAnl_I/O_Rpt_for_Sys_SvCls_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WkfAnl_I/O_Rpt_for_Sys_SvCls_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis I/O Data for System Service Class Period',
  'Workflow analysis I/O details for selected prd, Serv Cls, MVS',
  'Candle',
  '1150305065419000',
'at=$THRUNODE$@table1.name=MWFAIO@table1.column1.name=CLSNAME@table1.column2.name=SYSNAME@table1.column3.name=PERIODNUM@table1.column4.name=PDEVNUM@table1.column5.name=PDEVTYPE@table1.column6.name=PDEVVOLSER@table1.column7.name=PDEVACTPCT@table1.column8.name=PDEVWATPCT@table1.column9.name=ORIGINNODE@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$MSRVCLS.PERIODNUM$@filter4.connector=AND@filter4.column=LEVEL@filter4.operator=EQ@filter4.value=SYSTEM@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scspwknq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis Enqueue Report for Sys*
* *  Table:              MWFAENQ                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=WkfAnl_Enq_Rpt_for_Sys_SvCls_Prd;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Enqueue Data for System Sevice Class Period;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis enq details for selected prd, Serv Class, MVS;
* TABLE=KM5.MWFAENQ;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, SYSNAME, PERIODNUM, PNQMAJNAME, PNQPERCENT;
* COLUMNS=ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;   
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND PERIODNUM = $MSRVCLS.PERIODNUM$;
* PRED=AND LEVEL = SYSTEM;


DELETE FROM KFWQUERY   WHERE ID       =
 'WkfAnl_Enq_Rpt_for_Sys_SvCls_Prd';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WkfAnl_Enq_Rpt_for_Sys_SvCls_Prd',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Enqueue Data for System Sevice Class Period',
  'Workflow analysis enq details for selected prd, Serv Class, MVS',
  'Candle',
  '1150305065420000',
'at=$THRUNODE$@table1.name=MWFAENQ@table1.column1.name=CLSNAME@table1.column2.name=SYSNAME@table1.column3.name=PERIODNUM@table1.column4.name=PNQMAJNAME@table1.column5.name=PNQPERCENT@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$MSRVCLS.PERIODNUM$@filter4.connector=AND@filter4.column=LEVEL@filter4.operator=EQ@filter4.value=SYSTEM@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scssbwkfl.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Subsystem Workflow Analysis Report for S*
* *  Table:              MSSWFA                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Subsys_WkfAnl_Rpt_for_SrvCls_Sys;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Subsystem Workflow Analysis Data for Service Class System;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Subsystem Workflow Analysis for selected srv cls on selected MVS;
* TABLE=KM5.MSSWFA;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, SYSNAME, SUBSAMPTYP, SUBSYSTP, SUBACTIVEP;
* COLUMNS=SUBREADYP, SUBIDLEP, SUBLCKWTP, SUBIOWAITP, SUBCNVWTP;
* COLUMNS=SUBDSTWTP, SUBLCLSESP, SUBNETSESP, SUBPLXSESP, SUBTMRWTP;
* COLUMNS=SUBPRDWTP, SUBUNKWTP, SUBCONTLP, SUBCONTPP, SUBCONTNP;
* COLUMNS=ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND LEVEL = SYSTEM;


DELETE FROM KFWQUERY   WHERE ID       =
 'Subsys_WkfAnl_Rpt_for_SrvCls_Sys';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Subsys_WkfAnl_Rpt_for_SrvCls_Sys',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Subsystem Workflow Analysis Data for Service Class System',
  'Subsystem Workflow Analysis for selected srv cls on selected MVS',
  'Candle',
  '1150305065420000',
'at=$THRUNODE$@table1.name=MSSWFA@table1.column1.name=CLSNAME@table1.column2.name=SYSNAME@table1.column3.name=SUBSAMPTYP@table1.column4.name=SUBSYSTP@table1.column5.name=SUBACTIVEP@table1.column6.name=SUBREADYP@table1.column7.name=SUBIDLEP@table1.column8.name=SUBLCKWTP@table1.column9.name=SUBIOWAITP@table1.column10.name=SUBCNVWTP@table1.column11.name=SUBDSTWTP@table1.column12.name=SUBLCLSESP@table1.column13.name=SUBNETSESP@table1.column14.name=SUBPLXSESP@table1.column15.name=SUBTMRWTP@table1.column16.name=SUBPRDWTP@table1.column17.name=SUBUNKWTP@table1.column18.name=SUBCONTLP@table1.column19.name=SUBCONTPP@table1.column20.name=SUBCONTNP@table1.column21.name=ORIGINNODE@table1.columnCount=21@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSTEM@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scsubwkfl.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            KM5                                     *
* *  Report:             Subsystem Workflow Analysis Report for S*
* *  Table:              MSSWFA                                  *
* *  Notes:                                                      * 
* *     Special Handling This report should only be linked to    *
* *                      rows of Service Class report of type    *
* *                      CLSFLAG=0 (Transaction). A stretch for  * 
* *                      Catalina!                               * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Subsys_Wkfl_Anl_Rpt_for_Srv_Cls;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Subsystem Workflow Analysis Data for Service Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Subsystem Workflow analysis for all prds of selected serv class;
* TABLE=KM5.MSSWFA;
* AT=$THRUNODE$;
* COLUMNS=SUBSAMPTYP, SUBSYSTP, SUBACTIVEP, SUBREADYP, SUBIDLEP;
* COLUMNS=SUBLCKWTP, SUBIOWAITP, SUBCNVWTP, SUBDSTWTP, SUBLCLSESP;
* COLUMNS=SUBNETSESP, SUBPLXSESP, SUBTMRWTP, SUBPRDWTP, SUBUNKWTP;
* COLUMNS=SUBCONTLP, SUBCONTPP, SUBCONTNP, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Subsys_Wkfl_Anl_Rpt_for_Srv_Cls';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Subsys_Wkfl_Anl_Rpt_for_Srv_Cls',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Subsystem Workflow Analysis Data for Service Class',
  'Subsystem Workflow analysis for all prds of selected serv class',
  'Candle',
  '1150305065420000',
'at=$THRUNODE$@table1.name=MSSWFA@table1.column1.name=SUBSAMPTYP@table1.column2.name=SUBSYSTP@table1.column3.name=SUBACTIVEP@table1.column4.name=SUBREADYP@table1.column5.name=SUBIDLEP@table1.column6.name=SUBLCKWTP@table1.column7.name=SUBIOWAITP@table1.column8.name=SUBCNVWTP@table1.column9.name=SUBDSTWTP@table1.column10.name=SUBLCLSESP@table1.column11.name=SUBNETSESP@table1.column12.name=SUBPLXSESP@table1.column13.name=SUBTMRWTP@table1.column14.name=SUBPRDWTP@table1.column15.name=SUBUNKWTP@table1.column16.name=SUBCONTLP@table1.column17.name=SUBCONTPP@table1.column18.name=SUBCONTNP@table1.column19.name=ORIGINNODE@table1.columnCount=19@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scswkfl.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Workflow Analysis Report for Service Cla*
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns PDXAOSP, PDXASCP,         * 
* *                        PDXWTSUWP for zIIP support in M5410   *
* *                                                              * 
* *  08/01/06 PERINI     TDW SUPPORT (ADD PREDICATE)             *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkf_Anl_Rpt_for_Srv_Cls_System;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Data for Service Class System;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow Analysis for selected serv cls on selected MVS image;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=PDXACPP, PDXWTCPWP, PDXAOIP, PDXAICP, PDXWTIFWP;
* COLUMNS=PDXAOSP, PDXASCP, PDXWTSUWP;
* COLUMNS=PDXDLRGPP, PDXWTCOMP, PDXWTHSPP;
* COLUMNS=PDXWTPAGP, PDXWTVIOP, PDXWTXMEP, PERSUMENQP, PERSUMAIOP;
* COLUMNS=PERSUMQIOP, PDXSUMJESP, PDXHSMRCLP, PDXHSMBMGP, PDXHSMOTHP;
* COLUMNS=PDXSWPNOTP, PDXSWPRDYP, PDXWTECBP, PDXWTECSP, PDXWTSTIP;
* COLUMNS=PDXWTLCKP, PDXWTWTOP, PDXWTTMPP, PDXWTOTHP;
* COLUMNS=PDXCRPMUP, PDXCRPMWP, PDXCRPAUP, PDXCRPAWP, PDXSVPAGP;
* COLUMNS=PDXSVMPLP, PDXSVSWIP;
* COLUMNS=CLSNAME, PERIODNUM, SYSNAME, LEVEL, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$; 
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND PERIODNUM = 9;
* PRED=AND LEVEL = SYSTEM;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkf_Anl_Rpt_for_Srv_Cls_System';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkf_Anl_Rpt_for_Srv_Cls_System',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Data for Service Class System',
  'Workflow Analysis for selected serv cls on selected MVS image',
  'Candle',
  '1150305065421000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=PDXACPP@table1.column2.name=PDXWTCPWP@table1.column3.name=PDXAOIP@table1.column4.name=PDXAICP@table1.column5.name=PDXWTIFWP@table1.column6.name=PDXAOSP@table1.column7.name=PDXASCP@table1.column8.name=PDXWTSUWP@table1.column9.name=PDXDLRGPP@table1.column10.name=PDXWTCOMP@table1.column11.name=PDXWTHSPP@table1.column12.name=PDXWTPAGP@table1.column13.name=PDXWTVIOP@table1.column14.name=PDXWTXMEP@table1.column15.name=PERSUMENQP@table1.column16.name=PERSUMAIOP@table1.column17.name=PERSUMQIOP@table1.column18.name=PDXSUMJESP@table1.column19.name=PDXHSMRCLP@table1.column20.name=PDXHSMBMGP@table1.column21.name=PDXHSMOTHP@table1.column22.name=PDXSWPNOTP@table1.column23.name=PDXSWPRDYP@table1.column24.name=PDXWTECBP@table1.column25.name=PDXWTECSP@table1.column26.name=PDXWTSTIP@table1.column27.name=PDXWTLCKP@table1.column28.name=PDXWTWTOP@table1.column29.name=PDXWTTMPP@table1.column30.name=PDXWTOTHP@table1.column31.name=PDXCRPMUP@table1.column32.name=PDXCRPMWP@table1.column33.name=PDXCRPAUP@table1.column34.name=PDXCRPAWP@table1.column35.name=PDXSVPAGP@table1.column36.name=PDXSVMPLP@table1.column37.name=PDXSVSWIP@table1.column38.name=CLSNAME@table1.column39.name=PERIODNUM@table1.column40.name=SYSNAME@table1.column41.name=LEVEL@table1.column42.name=ORIGINNODE@table1.columnCount=42@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=9@filter3.type=I@filter4.connector=AND@filter4.column=LEVEL@filter4.operator=EQ@filter4.value=SYSTEM@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scswkflio.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis I/O Report for Service*
* *  Table:              MWFAIO                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Sys;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis I/O Data for Service Class System;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow Analysis I/O details for selected serv cls on select MVS;
* TABLE=KM5.MWFAIO;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, SYSNAME, PERIODNUM, PDEVNUM, PDEVTYPE, PDEVVOLSER;
* COLUMNS=PDEVACTPCT, PDEVWATPCT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$;
* PRED=AND PERIODNUM = "9";
* PRED=AND LEVEL = SYSTEM;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Sys';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Sys',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis I/O Data for Service Class System',
  'Workflow Analysis I/O details for selected serv cls on select MVS',
  'Candle',
  '1150305065421000',
'at=$THRUNODE$@table1.name=MWFAIO@table1.column1.name=CLSNAME@table1.column2.name=SYSNAME@table1.column3.name=PERIODNUM@table1.column4.name=PDEVNUM@table1.column5.name=PDEVTYPE@table1.column6.name=PDEVVOLSER@table1.column7.name=PDEVACTPCT@table1.column8.name=PDEVWATPCT@table1.column9.name=ORIGINNODE@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=9@filter3.type=S@filter4.connector=AND@filter4.column=LEVEL@filter4.operator=EQ@filter4.value=SYSTEM@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scswkflnq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis Enqueue Report for Ser*
* *  Table:              MWFAENQ                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  09/06/06 RPerini    TDW Support - Add PERIODNUM predicate   *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Sys;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Enqueue Data for Service Class System;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow Analysis enq details for selected serv cls on select MVS;
* TABLE=KM5.MWFAENQ;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, SYSNAME, PERIODNUM, PNQMAJNAME, PNQPERCENT;
* COLUMNS=ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;  
* PRED=AND SYSNAME = $MSRVCLS.SYSNAME$
* PRED=AND LEVEL = SYSTEM;
* PRED=AND PERIODNUM = 9;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Sys';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Sys',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Enqueue Data for Service Class System',
  'Workflow Analysis enq details for selected serv cls on select MVS',
  'Candle',
  '1150305065422000',
'at=$THRUNODE$@table1.name=MWFAENQ@table1.column1.name=CLSNAME@table1.column2.name=SYSNAME@table1.column3.name=PERIODNUM@table1.column4.name=PNQMAJNAME@table1.column5.name=PNQPERCENT@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=SYSNAME@filter2.operator=EQ@filter2.value=$MSRVCLS.SYSNAME$@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSTEM@filter4.connector=AND@filter4.column=PERIODNUM@filter4.operator=EQ@filter4.value=9@filter4.type=I@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scsystem.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Systems Report for Service Class        *
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* * ============================================================ *
* * Maintenance Log                                              *
* * Date      | Who   | ID | Description                         *
* * ----------+-------+----+------------------------------------ *
* * 07/21/05  | BKEALY| @01| Remove PERUNIT column from M5.      *
* *           |       |    | Defect 11547 complaints about       *
* *           |       |    | missing flyover.                    *
* * 08/01/06  | PERINI|    | TDW SUPPORT (ADD PREDICATE)         *
* *           |       |    |                                     *
* * 07/28/08  |  mryan|    | Set to READONLY                     *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Systems_Report_for_Service_Class;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Systems Data for Service Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Performance indicators for selected serv class on each MVS image;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=SYSNAME, PERGOAL, PERGIMP, PERHACT, PERHINDX, PERTRNRATE;
* COLUMNS=PERNACT, PERTACT, WKLNAME, CLSFLAG, CLSNAME, PERGLTYP;
* COLUMNS=ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND LEVEL = SYSTEM;
* PRED=AND PERIODNUM = 1;


DELETE FROM KFWQUERY   WHERE ID       =
 'Systems_Report_for_Service_Class';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Systems_Report_for_Service_Class',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Systems Data for Service Class',
  'Performance indicators for selected serv class on each MVS image',
  'Candle',
  '1150305065422000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=SYSNAME@table1.column2.name=PERGOAL@table1.column3.name=PERGIMP@table1.column4.name=PERHACT@table1.column5.name=PERHINDX@table1.column6.name=PERTRNRATE@table1.column7.name=PERNACT@table1.column8.name=PERTACT@table1.column9.name=WKLNAME@table1.column10.name=CLSFLAG@table1.column11.name=CLSNAME@table1.column12.name=PERGLTYP@table1.column13.name=ORIGINNODE@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=LEVEL@filter2.operator=EQ@filter2.value=SYSTEM@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=1@filter3.type=I@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scwkflio.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis I/O Report for Serice *
* *  Table:              MWFAIO                                  *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  08/23/06 RPerini    TDW Support - Add LEVEL predicate       *
* *  07/28/08 mryan      Set to READONLY                         *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkf_Anl_I/O_Rpt_for_Srv_Cls;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis I/O Data for Service Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis I/O details for all periods of selected srv cls;
* TABLE=KM5.MWFAIO;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERIODNUM, PDEVNUM, PDEVTYPE, PDEVVOLSER;
* COLUMNS=PDEVACTPCT, PDEVWATPCT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM = "9";
* PRED=AND LEVEL = SYSPLEX;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkf_Anl_I/O_Rpt_for_Srv_Cls';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkf_Anl_I/O_Rpt_for_Srv_Cls',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis I/O Data for Service Class',
  'Workflow analysis I/O details for all periods of selected srv cls',
  'Candle',
  '1150305065422000',
'at=$THRUNODE$@table1.name=MWFAIO@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PDEVNUM@table1.column4.name=PDEVTYPE@table1.column5.name=PDEVVOLSER@table1.column6.name=PDEVACTPCT@table1.column7.name=PDEVWATPCT@table1.column8.name=ORIGINNODE@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=EQ@filter2.value=9@filter2.type=S@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSPLEX@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scwkflnq.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Workflow Analysis Enqueue Report for Ser*
* *  Table:              MWFAENQ                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  09/06/06 RPerini    TDW Support - Add LEVEL and PERIODNUM   *
* *                      predicates.                             *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Plx;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Enqueue Data for Service Class Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis enq details for selected serv cls and sysplex;
* TABLE=KM5.MWFAENQ;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERIODNUM, PNQMAJNAME, PNQPERCENT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND LEVEL = SYSPLEX;
* PRED=AND PERIODNUM = 9;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Plx';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Plx',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Enqueue Data for Service Class Sysplex',
  'Workflow analysis enq details for selected serv cls and sysplex',
  'Candle',
  '1150305065423000',
'at=$THRUNODE$@table1.name=MWFAENQ@table1.column1.name=CLSNAME@table1.column2.name=PERIODNUM@table1.column3.name=PNQMAJNAME@table1.column4.name=PNQPERCENT@table1.column5.name=ORIGINNODE@table1.columnCount=5@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=LEVEL@filter2.operator=EQ@filter2.value=SYSPLEX@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=9@filter3.type=I@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from scwkflow.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Workflow Analysis Report for Service Cla*
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *     0   0    1    1    2    2    3 3                         *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  06/27/06 LHART      Added columns PDXAOSP, PDXASCP,         * 
* *                        PDXWTSUWP for zIIP support in M5410   *
* *  08/01/06 PERINI     TDW SUPPORT (ADD PREDICATE)             *
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *                                                              * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Wkfl_Anl_Rpt_for_Service_Class;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Workflow Analysis Data for Service Class;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Workflow analysis for all periods of the selected service class;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=PDXACPP, PDXWTCPWP, PDXAOIP, PDXAICP, PDXWTIFWP;
* COLUMNS=PDXAOSP, PDXASCP, PDXWTSUWP;
* COLUMNS=PDXDLRGPP, PDXWTCOMP, PDXWTHSPP;
* COLUMNS=PDXWTPAGP, PDXWTVIOP, PDXWTXMEP, PERSUMENQP, PERSUMAIOP;
* COLUMNS=PERSUMQIOP, PDXSUMJESP, PDXHSMRCLP, PDXHSMBMGP, PDXHSMOTHP;
* COLUMNS=PDXSWPNOTP, PDXSWPRDYP, PDXWTECBP, PDXWTECSP, PDXWTSTIP;
* COLUMNS=PDXWTLCKP, PDXWTWTOP, PDXWTTMPP, PDXWTOTHP;
* COLUMNS=PDXCRPMUP, PDXCRPMWP, PDXCRPAUP, PDXCRPAWP, PDXSVPAGP;
* COLUMNS=PDXSVMPLP, PDXSVSWIP;
* COLUMNS=CLSNAME, PERIODNUM, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=CLSNAME = $MSRVCLS.CLSNAME$;
* PRED=AND PERIODNUM = 9;
* PRED=AND LEVEL = SYSPLEX;


DELETE FROM KFWQUERY   WHERE ID       =
 'Wkfl_Anl_Rpt_for_Service_Class';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Wkfl_Anl_Rpt_for_Service_Class',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Workflow Analysis Data for Service Class',
  'Workflow analysis for all periods of the selected service class',
  'Candle',
  '1150305065423000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=PDXACPP@table1.column2.name=PDXWTCPWP@table1.column3.name=PDXAOIP@table1.column4.name=PDXAICP@table1.column5.name=PDXWTIFWP@table1.column6.name=PDXAOSP@table1.column7.name=PDXASCP@table1.column8.name=PDXWTSUWP@table1.column9.name=PDXDLRGPP@table1.column10.name=PDXWTCOMP@table1.column11.name=PDXWTHSPP@table1.column12.name=PDXWTPAGP@table1.column13.name=PDXWTVIOP@table1.column14.name=PDXWTXMEP@table1.column15.name=PERSUMENQP@table1.column16.name=PERSUMAIOP@table1.column17.name=PERSUMQIOP@table1.column18.name=PDXSUMJESP@table1.column19.name=PDXHSMRCLP@table1.column20.name=PDXHSMBMGP@table1.column21.name=PDXHSMOTHP@table1.column22.name=PDXSWPNOTP@table1.column23.name=PDXSWPRDYP@table1.column24.name=PDXWTECBP@table1.column25.name=PDXWTECSP@table1.column26.name=PDXWTSTIP@table1.column27.name=PDXWTLCKP@table1.column28.name=PDXWTWTOP@table1.column29.name=PDXWTTMPP@table1.column30.name=PDXWTOTHP@table1.column31.name=PDXCRPMUP@table1.column32.name=PDXCRPMWP@table1.column33.name=PDXCRPAUP@table1.column34.name=PDXCRPAWP@table1.column35.name=PDXSVPAGP@table1.column36.name=PDXSVMPLP@table1.column37.name=PDXSVSWIP@table1.column38.name=CLSNAME@table1.column39.name=PERIODNUM@table1.column40.name=ORIGINNODE@table1.columnCount=40@tableCount=1@filter1.connector=AND@filter1.column=CLSNAME@filter1.operator=EQ@filter1.value=$MSRVCLS.CLSNAME$@filter2.connector=AND@filter2.column=PERIODNUM@filter2.operator=EQ@filter2.value=9@filter2.type=I@filter3.connector=AND@filter3.column=LEVEL@filter3.operator=EQ@filter3.value=SYSPLEX@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from servcls.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            410                                     *
* *  Report:             Service Classes Report for Sysplex      *
* *  Table:              MSRVCLS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* * ============================================================ *
* * Maintenance Log                                              *
* * Date      | Who   | ID | Description                         *
* * ----------+-------+----+------------------------------------ *
* * 07/21/05  | BKEALY| @01| Remove PERUNIT column from M5.      *
* *           |       |    | Defect 11547 complaints about       *
* *           |       |    | missing flyover.                    *
* * 08/06/01  | PERINI|    | TDW SUPPORT (ADD PREDICATE)         *
* * 07/28/08  |  mryan|    | Set to READONLY                     *
* *           |       |    |                                     *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Service_Classes_Rpt_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Service Classes Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Period one performance stats for all serv cls in selected sysplex;
* TABLE=KM5.MSRVCLS;
* AT=$THRUNODE$;
* COLUMNS=CLSNAME, PERGOAL, PERGIMP, PERHACT, PERHINDX, PERWINDX;
* COLUMNS=PERTRNRATE, PERNACT, PERTACT, WKLNAME, CLSFLAG;
* COLUMNS=PERIODNUM, PERGLTYP, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=PERIODNUM <> 9;
* PRED=AND LEVEL = SYSPLEX;
* SITNAME=Sysplex_Workloads_PerfIdx_Crit Critical;
* SITNAME=Sysplex_Workloads_PerfIdx_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'Service_Classes_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_Workloads_PerfIdx_Crit' AND 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_Workloads_PerfIdx_Warn' AND 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Classes_Rpt_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Service_Classes_Rpt_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Service_Classes_Rpt_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Service Classes Data for Sysplex',
  'Period one performance stats for all serv cls in selected sysplex',
  'Candle',
  '1150305065423000',
'at=$THRUNODE$@table1.name=MSRVCLS@table1.column1.name=CLSNAME@table1.column2.name=PERGOAL@table1.column3.name=PERGIMP@table1.column4.name=PERHACT@table1.column5.name=PERHINDX@table1.column6.name=PERWINDX@table1.column7.name=PERTRNRATE@table1.column8.name=PERNACT@table1.column9.name=PERTACT@table1.column10.name=WKLNAME@table1.column11.name=CLSFLAG@table1.column12.name=PERIODNUM@table1.column13.name=PERGLTYP@table1.column14.name=ORIGINNODE@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=PERIODNUM@filter1.operator=NE@filter1.value=9@filter1.type=I@filter2.connector=AND@filter2.column=LEVEL@filter2.operator=EQ@filter2.value=SYSPLEX@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065423000',
   '_ KCJ',
   'Service_Classes_Rpt_for_Sysplex',
   'Service Classes Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Classes_Rpt_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Service_Classes_Rpt_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_Workloads_PerfIdx_Crit',
   'Critical',
   'Service_Classes_Rpt_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_Workloads_PerfIdx_Warn',
   'Warning',
   'Service_Classes_Rpt_for_Sysplex',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from servdef.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Service Definition Report for Sysplex   *
* *  Table:              MSRVDEF                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Service_Def_Report_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Service Definition Data for Sysplex; 
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Install and activate dates for WLM service Definition;
* TABLE=KM5.MSRVDEF;
* AT=$THRUNODE$;
* COLUMNS=SDFNAME, SDFINSDTTM, SDFINSTIME, POLNAME, POLACTDTTM;
* COLUMNS=POLACTTIME, POLACTUSER, POLACTSYS, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;


DELETE FROM KFWQUERY   WHERE ID       =
 'Service_Def_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'Service_Def_Report_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'Service_Def_Report_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Service_Def_Report_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'Service Definition Data for Sysplex',
  'Install and activate dates for WLM service Definition',
  'Candle',
  '1150305065424000',
'at=$THRUNODE$@table1.name=MSRVDEF@table1.column1.name=SDFNAME@table1.column2.name=SDFINSDTTM@table1.column3.name=SDFINSTIME@table1.column4.name=POLNAME@table1.column5.name=POLACTDTTM@table1.column6.name=POLACTTIME@table1.column7.name=POLACTUSER@table1.column8.name=POLACTSYS@table1.column9.name=ORIGINNODE@table1.columnCount=9@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065424000',
   '_ KCJ',
   'Service_Def_Report_for_Sysplex',
   'Service Definition Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'Service_Def_Report_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'Service_Def_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'Service_Def_Report_for_Sysplex',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from mplxxcf.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             Sysplexes XCF Report                    *
* *  Table:              MPLXXCF                                 *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *  08/17/10 JYAPI      Hub metaprobe to IRA conversion - v510  *      
* *                      Remove 'AT=*HUB' and                    *
* *                      add 'PRED=ORIGINNODE = ...'             * 
* *                                                              *
* *                                                              *
* ****************************************************************
* IDENT=Sysplexes_XCF;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Sysplexes XCF Data;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show Managed Sysplexes 
* TABLE=KM5.MPLXXCF;
* COLUMNS=PLXNAME, THRUNODE, GRP_NAME;
* COLUMNS=MEMBERCT, PROBCT, ORIGINNODE;
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;


DELETE FROM KFWQUERY   WHERE ID       =
 'Sysplexes_XCF';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Sysplexes_XCF',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Sysplexes XCF Data',
  'Show Managed Sysplexes ',
  'Candle',
  '1150305065424000',
'at=$THRUNODE$@table1.name=MPLXXCF@table1.column1.name=PLXNAME@table1.column2.name=THRUNODE@table1.column3.name=GRP_NAME@table1.column4.name=MEMBERCT@table1.column5.name=PROBCT@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from xcfgroups.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             XCF Groups Report for Sysplex           *
* *  Table:              MXCFGRP                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=XCF_Groups_Report_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=XCF Groups Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=For each XCF group show count of members and problem members;
* TABLE=KM5.MXCFGRP;
* AT=$THRUNODE$;
* COLUMNS=GRP_NAME, MEMBERCT, PROBCT, ORIGINNODE;
* SITNAME=MVS_XCFGroupMembers_Status_Crit Critical;
* SITNAME=MVS_XCFGroupMembers_Status_Warn Warning;
* SITNAME=Sysplex_XCFGroups_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'XCF_Groups_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_XCFGroupMembers_Status_Crit' AND 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_XCFGroupMembers_Status_Warn' AND 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_XCFGroups_Warn' AND 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Groups_Report_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'XCF_Groups_Report_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'XCF_Groups_Report_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'XCF Groups Data for Sysplex',
  'For each XCF group show count of members and problem members',
  'Candle',
  '1150305065425000',
'at=$THRUNODE$@table1.name=MXCFGRP@table1.column1.name=GRP_NAME@table1.column2.name=MEMBERCT@table1.column3.name=PROBCT@table1.column4.name=ORIGINNODE@table1.columnCount=4@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065425000',
   '_ KCJ',
   'XCF_Groups_Report_for_Sysplex',
   'XCF Groups Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Groups_Report_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'XCF_Groups_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_XCFGroupMembers_Status_Crit',
   'Critical',
   'XCF_Groups_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_XCFGroupMembers_Status_Warn',
   'Warning',
   'XCF_Groups_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_XCFGroups_Warn',
   'Warning',
   'XCF_Groups_Report_for_Sysplex',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from xcfmemb.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            420                                     *
* *  Report:             Members Report for XCF Group            *
* *  Table:              MXCFMBR                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=Members_Report_for_XCF_Group;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=Members Data for XCF Group;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Show members of the selected XCF group plus status;
* TABLE=KM5.MXCFMBR;
* AT=$THRUNODE$;
* COLUMNS=GRP_NAME, MBR_NAME, JOBNAME, SYS_NAME, STATUS;
* COLUMNS=SIGSENT, SIGRCVD, STATINTV, ORIGINNODE;
* PRED=GRP_NAME = $MXCFGRP.GRP_NAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Members_Report_for_XCF_Group';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Members_Report_for_XCF_Group',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'Members Data for XCF Group',
  'Show members of the selected XCF group plus status',
  'Candle',
  '1150305065425000',
'at=$THRUNODE$@table1.name=MXCFMBR@table1.column1.name=GRP_NAME@table1.column2.name=MBR_NAME@table1.column3.name=JOBNAME@table1.column4.name=SYS_NAME@table1.column5.name=STATUS@table1.column6.name=SIGSENT@table1.column7.name=SIGRCVD@table1.column8.name=STATINTV@table1.column9.name=ORIGINNODE@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=GRP_NAME@filter1.operator=EQ@filter1.value=$MXCFGRP.GRP_NAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from xcfpath.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             XCF Paths Report for Sysplex            *
* *  Table:              MXCFPATH                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=XCF_Paths_Report_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=XCF Paths Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=All XCF paths among MVS images are show with status;
* TABLE=KM5.MXCFPATH;
* AT=$THRUNODE$;
* COLUMNS=SYSTEMFR, DEVICEFR, SYSTEMTO, DEVICETO, TRANSCLS;
* COLUMNS=STATUS, RETRYPCT, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=REPORT = YES;


DELETE FROM KFWQUERY   WHERE ID       =
 'XCF_Paths_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Paths_Report_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'XCF_Paths_Report_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'XCF_Paths_Report_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'XCF Paths Data for Sysplex',
  'All XCF paths among MVS images are show with status',
  'Candle',
  '1150305065425000',
'at=$THRUNODE$@table1.name=MXCFPATH@table1.column1.name=SYSTEMFR@table1.column2.name=DEVICEFR@table1.column3.name=SYSTEMTO@table1.column4.name=DEVICETO@table1.column5.name=TRANSCLS@table1.column6.name=STATUS@table1.column7.name=RETRYPCT@table1.column8.name=ORIGINNODE@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=REPORT@filter1.operator=EQ@filter1.value=YES@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065425000',
   '_ KCJ',
   'XCF_Paths_Report_for_Sysplex',
   'XCF Paths Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Paths_Report_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'XCF_Paths_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'XCF_Paths_Report_for_Sysplex',
   256
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from xcfpath1.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             XCF Paths Report From System Device To  *
* *  Table:              MXCFPATH                                *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=XCF_Paths_Rpt_From_Sys_Dev_To;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=XCF Paths Data From System Device To;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=Present signal sent and path busy for single XCF path;
* TABLE=KM5.MXCFPATH;
* AT=$THRUNODE$;
* COLUMNS=VSYSTEM, RETRYLIM, MSGLIMIT, SIGSENT, BUSYCNT, SIGPEND;
* COLUMNS=STGUSED, RESTARTCT, SIGRCVD, SIGUNAVAIL, ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* PRED=SYSTEMFR = $MXCFPATH.SYSTEMFR$; 
* PRED=AND SYSTEMTO = $MXCFPATH.SYSTEMTO$;
* PRED=AND DEVICEFR = $MXCFPATH.DEVICEFR$;
* PRED=AND DEVICETO = $MXCFPATH.DEVICETO$;
* PRED=AND REPORT = YES;


DELETE FROM KFWQUERY   WHERE ID       =
 'XCF_Paths_Rpt_From_Sys_Dev_To';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'XCF_Paths_Rpt_From_Sys_Dev_To',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'XCF Paths Data From System Device To',
  'Present signal sent and path busy for single XCF path',
  'Candle',
  '1150305065426000',
'at=$THRUNODE$@table1.name=MXCFPATH@table1.column1.name=VSYSTEM@table1.column2.name=RETRYLIM@table1.column3.name=MSGLIMIT@table1.column4.name=SIGSENT@table1.column5.name=BUSYCNT@table1.column6.name=SIGPEND@table1.column7.name=STGUSED@table1.column8.name=RESTARTCT@table1.column9.name=SIGRCVD@table1.column10.name=SIGUNAVAIL@table1.column11.name=ORIGINNODE@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=SYSTEMFR@filter1.operator=EQ@filter1.value=$MXCFPATH.SYSTEMFR$@filter2.connector=AND@filter2.column=SYSTEMTO@filter2.operator=EQ@filter2.value=$MXCFPATH.SYSTEMTO$@filter3.connector=AND@filter3.column=DEVICEFR@filter3.operator=EQ@filter3.value=$MXCFPATH.DEVICEFR$@filter4.connector=AND@filter4.column=DEVICETO@filter4.operator=EQ@filter4.value=$MXCFPATH.DEVICETO$@filter5.connector=AND@filter5.column=REPORT@filter5.operator=EQ@filter5.value=YES@filterCount=5@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from xcfsys.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             XCF Systems Report for Sysplex          *
* *  Table:              MXCFSYS                                 *
* *  Notes:                                                      * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         * 
* ******1...5....0....5....0....5....0.2**************************
* IDENT=XCF_Systems_Report_for_Sysplex;
* AFFINITY=1000000000000000000000000000000000000000000;
* NAME=XCF Systems Data for Sysplex;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=Each MVS image in the Sysplex presents its XCF status;
* TABLE=KM5.MXCFSYS;
* AT=$THRUNODE$;
* COLUMNS=SYS_NAME, MON_INTVL, OPR_INTVL, STATUS, MVSVERS;
* COLUMNS=ORIGINNODE;
* * COLUMNS=SDATETIME, EDATETIME;
* SITNAME=MVS_XCFSystemPaths_Crit Critical;
* SITNAME=MVS_XCFSystemPaths_Warn Warning;
* SITNAME=Sysplex_XCFSystems_Status_Crit Critical;
* SITNAME=Sysplex_XCFSystems_Status_Warn Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'XCF_Systems_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_XCFSystemPaths_Crit' AND 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'MVS_XCFSystemPaths_Warn' AND 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_XCFSystems_Status_Crit' AND 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Sysplex_XCFSystems_Status_Warn' AND 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'XCF_Systems_Report_for_Sysplex' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'XCF_Systems_Report_for_Sysplex';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'XCF_Systems_Report_for_Sysplex',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'D',
  'XCF Systems Data for Sysplex',
  'Each MVS image in the Sysplex presents its XCF status',
  'Candle',
  '1150305065426000',
'at=$THRUNODE$@table1.name=MXCFSYS@table1.column1.name=SYS_NAME@table1.column2.name=MON_INTVL@table1.column3.name=OPR_INTVL@table1.column4.name=STATUS@table1.column5.name=MVSVERS@table1.column6.name=ORIGINNODE@table1.columnCount=6@tableCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '1000000000000000000000000000000000000000000',
   32,
   259,
   '1150305065426000',
   '_ KCJ',
   'XCF_Systems_Report_for_Sysplex',
   'XCF Systems Data for Sysplex'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'XCF_Systems_Report_for_Sysplex',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'XCF_Systems_Report_for_Sysplex',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_XCFSystemPaths_Crit',
   'Critical',
   'XCF_Systems_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'MVS_XCFSystemPaths_Warn',
   'Warning',
   'XCF_Systems_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_XCFSystems_Status_Crit',
   'Critical',
   'XCF_Systems_Report_for_Sysplex',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Sysplex_XCFSystems_Status_Warn',
   'Warning',
   'XCF_Systems_Report_for_Sysplex',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from xcfssta.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            310                                     *
* *  Report:             XCF Systems Statistics Report           *
* *  Table:              MXCFSYS                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$|*HUB] default is thrunode   *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend*
* *                      Sort direction is reset on next ORDER   *
* *     GROUP:           Mutually exclusive with ORDER           *
* *     PARMS:           Specify the parma values passed in SQL  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  07/28/08 mryan      Set to READONLY                         *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=XCF_Systems_Statistics_Report;                          
* AFFINITY=1000000000000000000000000000000000000000000;         
* NAME=XCF Systems Statistics Report;                           
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;                                                    
* DESC=XCF message traffic between MVS images;                  
* TABLE=KM5.MXCFSSTA;                                         
* AT=$THRUNODE$;                                                
* COLUMNS=SYS_NAME, SYSTEMFR, SYSTEMTO, TRANSCLS, SIGSENT;      
* COLUMNS=SIGRCVD, PATHUNVAIL, BUFFUNVAIL, BUFFLENGTH, PCT_FIT; 
* COLUMNS=PCT_SMALL, PCT_LARGE, PCT_DEGRAD, REPORT_SEQ;         
* COLUMNS=ORIGINNODE;                                           
* PRED=SYS_NAME = $MXCFSYS.SYS_NAME$;                           


DELETE FROM KFWQUERY   WHERE ID       =
 'XCF_Systems_Statistics_Report';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'XCF_Systems_Statistics_Report',
  'KM5',
  '1000000000000000000000000000000000000000000',
  'P',
  'XCF Systems Statistics Report',
  'XCF message traffic between MVS images',
  'Candle',
  '1150305065427000',
'at=$THRUNODE$@table1.name=MXCFSSTA@table1.column1.name=SYS_NAME@table1.column2.name=SYSTEMFR@table1.column3.name=SYSTEMTO@table1.column4.name=TRANSCLS@table1.column5.name=SIGSENT@table1.column6.name=SIGRCVD@table1.column7.name=PATHUNVAIL@table1.column8.name=BUFFUNVAIL@table1.column9.name=BUFFLENGTH@table1.column10.name=PCT_FIT@table1.column11.name=PCT_SMALL@table1.column12.name=PCT_LARGE@table1.column13.name=PCT_DEGRAD@table1.column14.name=REPORT_SEQ@table1.column15.name=ORIGINNODE@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=SYS_NAME@filter1.operator=EQ@filter1.value=$MXCFSYS.SYS_NAME$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from USSOVERV410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        USSOVERV (USS Overview)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2005/10/12 JRF Created for USS Overview Workspace
* * 2006/10/02 DEE Change Free_Space sit names to FreeSpace DR 26293.1
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=ZOS_UNIX_Sys_Serv_Overview:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=z/OS UNIX System Services Overview;
* USER=IBM;
* DESC=z/OS UNIX System Services Overview (V410); 
* READONLY=Y;
* VISIBLE=Y;
* TABLE=KM5.ASRESRC2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=ASID;
* *  ASID
* COLUMNS=ASNAME;
* *  A/S Name
* COLUMNS=CPUP;
* *  CPU Time%
* *
* ** USS SITNAME Statements ...
* *
* SITNAME=Excess_UNIX_System_Time Critical;
* SITNAME=Excess_UNIX_User_Time Critical;
* SITNAME=Check_Missing_UNIX_Mount_Point Critical;
* SITNAME=UNIX_ENQ_Contention_Critical Critical;
* SITNAME=UNIX_ENQ_Contention_Warning Warning;
* SITNAME=UNIX_File_System_FreeSpace_Crit Critical;
* SITNAME=UNIX_File_System_FreeSpace_Warn Warning;
* SITNAME=Quiecsed_UNIX_File_System Critical;
* SITNAME=Excess_UNIX_Kernel_CPU_Time Critical;
* SITNAME=Shortage_of_UNIX_Processes_Crit Critical;
* SITNAME=Shortage_of_UNIX_Processes_Warn Warning;
* SITNAME=Excess_Process_UNIX_Run_Time Critical;
* SITNAME=Missing_UNIX_inetd_Process Critical;
* SITNAME=Unwanted_UNIX_inetd_Process Critical;
* SITNAME=UNIX_Logged_On_User_Idle Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_UNIX_System_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_UNIX_User_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Check_Missing_UNIX_Mount_Point' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_ENQ_Contention_Critical' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_ENQ_Contention_Warning' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_File_System_FreeSpace_Crit' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_File_System_FreeSpace_Warn' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Quiecsed_UNIX_File_System' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_UNIX_Kernel_CPU_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Shortage_of_UNIX_Processes_Crit' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Shortage_of_UNIX_Processes_Warn' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_Process_UNIX_Run_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Missing_UNIX_inetd_Process' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Unwanted_UNIX_inetd_Process' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_Logged_On_User_Idle' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:410' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'ZOS_UNIX_Sys_Serv_Overview:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZOS_UNIX_Sys_Serv_Overview:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'D',
  'z/OS UNIX System Services Overview',
  'z/OS UNIX System Services Overview (V410)',
  'IBM',
  '1150305065427000',
'at=$THRUNODE$@table1.name=ASRESRC2@table1.column1.name=ASID@table1.column2.name=ASNAME@table1.column3.name=CPUP@table1.columnCount=3@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000008000000000',
   32,
   259,
   '1150305065427000',
   '_ KCJ',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   'z/OS UNIX System Services Overview'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:410',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_UNIX_System_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_UNIX_User_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Check_Missing_UNIX_Mount_Point',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_ENQ_Contention_Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_ENQ_Contention_Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_File_System_FreeSpace_Crit',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_File_System_FreeSpace_Warn',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Quiecsed_UNIX_File_System',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_UNIX_Kernel_CPU_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Shortage_of_UNIX_Processes_Crit',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Shortage_of_UNIX_Processes_Warn',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_Process_UNIX_Run_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Missing_UNIX_inetd_Process',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Unwanted_UNIX_inetd_Process',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_Logged_On_User_Idle',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:410',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from USSOVERV420.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      420
* * Table:        USSOVERV (USS Overview)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2005/10/12 JRF Created for USS Overview Workspace
* * 2006/10/02 DEE Change Free_Space sit names to FreeSpace DR 26293.1
* * 2008/04/21 JRF Add USS Sockets sits
* * 2008/07/28 mjr Set to READONLY
* *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=ZOS_UNIX_Sys_Serv_Overview:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=z/OS UNIX System Services Overview;
* USER=IBM;
* DESC=z/OS UNIX System Services Overview (V420); 
* READONLY=Y;
* VISIBLE=Y;
* TABLE=KM5.ASRESRC2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=ASID;
* *  ASID
* COLUMNS=ASNAME;
* *  A/S Name
* COLUMNS=CPUP;
* *  CPU Time%
* *
* ** USS SITNAME Statements ...
* *
* SITNAME=Excess_UNIX_System_Time Critical;
* SITNAME=Excess_UNIX_User_Time Critical;
* SITNAME=Check_Missing_UNIX_Mount_Point Critical;
* SITNAME=UNIX_ENQ_Contention_Critical Critical;
* SITNAME=UNIX_ENQ_Contention_Warning Warning;
* SITNAME=UNIX_File_System_FreeSpace_Crit Critical;
* SITNAME=UNIX_File_System_FreeSpace_Warn Warning;
* SITNAME=Quiecsed_UNIX_File_System Critical;
* SITNAME=Excess_UNIX_Kernel_CPU_Time Critical;
* SITNAME=Shortage_of_UNIX_Processes_Crit Critical;
* SITNAME=Shortage_of_UNIX_Processes_Warn Warning;
* SITNAME=Excess_Process_UNIX_Run_Time Critical;
* SITNAME=Missing_UNIX_inetd_Process Critical;
* SITNAME=Unwanted_UNIX_inetd_Process Critical;
* SITNAME=UNIX_Logged_On_User_Idle Critical;
* SITNAME=UNIX_Max_Sockets_Warning Warning;
* SITNAME=UNIX_Max_Sockets_Critical Critical;
* SITNAME=INET_Max_Sockets_Warning Warning;
* SITNAME=INET_Max_Sockets_Critical Critical;
* SITNAME=INET6_Max_Sockets_Warning Warning;
* SITNAME=INET6_Max_Sockets_Critical Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_UNIX_System_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_UNIX_User_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Check_Missing_UNIX_Mount_Point' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_ENQ_Contention_Critical' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_ENQ_Contention_Warning' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_File_System_FreeSpace_Crit' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_File_System_FreeSpace_Warn' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Quiecsed_UNIX_File_System' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_UNIX_Kernel_CPU_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Shortage_of_UNIX_Processes_Crit' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Shortage_of_UNIX_Processes_Warn' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Excess_Process_UNIX_Run_Time' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Missing_UNIX_inetd_Process' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'Unwanted_UNIX_inetd_Process' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_Logged_On_User_Idle' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_Max_Sockets_Warning' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'UNIX_Max_Sockets_Critical' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'INET_Max_Sockets_Warning' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'INET_Max_Sockets_Critical' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'INET6_Max_Sockets_Warning' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'INET6_Max_Sockets_Critical' AND 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'ZOS_UNIX_Sys_Serv_Overview:420' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'ZOS_UNIX_Sys_Serv_Overview:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'ZOS_UNIX_Sys_Serv_Overview:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'D',
  'z/OS UNIX System Services Overview',
  'z/OS UNIX System Services Overview (V420)',
  'IBM',
  '1150305065428000',
'at=$THRUNODE$@table1.name=ASRESRC2@table1.column1.name=ASID@table1.column2.name=ASNAME@table1.column3.name=CPUP@table1.columnCount=3@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W0000000000000000000000000000000G000000000',
   32,
   259,
   '1150305065428000',
   '_ KCJ',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   'z/OS UNIX System Services Overview'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'ZOS_UNIX_Sys_Serv_Overview:420',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_UNIX_System_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_UNIX_User_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Check_Missing_UNIX_Mount_Point',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_ENQ_Contention_Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_ENQ_Contention_Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_File_System_FreeSpace_Crit',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_File_System_FreeSpace_Warn',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Quiecsed_UNIX_File_System',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_UNIX_Kernel_CPU_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Shortage_of_UNIX_Processes_Crit',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Shortage_of_UNIX_Processes_Warn',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Excess_Process_UNIX_Run_Time',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Missing_UNIX_inetd_Process',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'Unwanted_UNIX_inetd_Process',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_Logged_On_User_Idle',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_Max_Sockets_Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'UNIX_Max_Sockets_Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'INET_Max_Sockets_Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'INET_Max_Sockets_Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'INET6_Max_Sockets_Warning',
   'Warning',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'INET6_Max_Sockets_Critical',
   'Critical',
   'ZOS_UNIX_Sys_Serv_Overview:420',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ASRESRC2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        ASRESRC2 ([Dubbed] Address Spaces)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Dropped "NAME=Dubbed Address Spaces" at the end of
* *                the file and fixed the earlier specification;
* *                Use ASID to link to Processes report rather than
* *                ASIDD (esp. since Processes report is
* *                no longer fetching the ASIDD column).
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/08/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=Dubbed_Address_Spaces:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=Dubbed Address Spaces;
* USER=IBM;
* DESC=Dubbed Address Spaces Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.ASRESRC2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=ASID;
* *  ASID
* COLUMNS=ASNAME;
* *  A/S Name
* COLUMNS=SPACETYPE;
* *  A/S Type
* COLUMNS=SHRPGTOT;
* *  Total Shared Pages
* COLUMNS=CSTORHOT;
* *  Hot Frames
* COLUMNS=CSTORWARM;
* *  Warm Frames
* COLUMNS=CSTORCOOL;
* *  Cool Frames
* COLUMNS=CSTORCOLD;
* *  Cold Frames
* COLUMNS=FIXEDPAGES;
* *  Total Fixed Pages
* COLUMNS=WORKINGSET;
* *  Working Set
* COLUMNS=CSTORFRAME;
* *  Central Storage Frames
* COLUMNS=ESTORFRAME;
* *  Expanded Storage Frames
* COLUMNS=STEPNAME;
* *  Step Name
* COLUMNS=OEUSERID;
* *  Userid
* COLUMNS=PERFGROUP;
* *  Performance Group
* COLUMNS=CLIENTTIM;
* *  Client Seconds
* COLUMNS=CPUTIME;
* *  CPU Seconds
* COLUMNS=HOMESRBTIM;
* *  Home SRB Seconds
* COLUMNS=SRBTIME;
* *  SRB Seconds
* COLUMNS=TCBTIME;
* *  TCB Seconds
* COLUMNS=ENCLVACTTM;
* *  Enclave Active Time
* COLUMNS=ENCLVCPUSV;
* *  Enclave CPU Service
* COLUMNS=ENCLVCPUTM;
* *  Enclave CPU Seconds
* COLUMNS=ENCLVTXNCT;
* *  Enclave TX Count
* COLUMNS=SERVCLASS;
* *  Service Class
* COLUMNS=UNIXSYS;
* *  UNIX System Time
* COLUMNS=UNIXSYSP;
* *  UNIX System Time%
* COLUMNS=UNIXUSER;
* *  UNIX User Time
* COLUMNS=UNIXUSERP;
* *  UNIX User Time%
* COLUMNS=CLIENTPCT;
* *  Client Time%
* COLUMNS=HOMESRBPCT;
* *  Home SRB Time%
* COLUMNS=TCBPCT;
* *  TCB Time%
* COLUMNS=SRBPCT;
* *  SRB Time%
* COLUMNS=CPUP;
* *  CPU Time%
* PRED=AND ASID = $OPS2.ASID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Dubbed_Address_Spaces:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Dubbed_Address_Spaces:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'Dubbed Address Spaces',
  'Dubbed Address Spaces Table (V410)',
  'IBM',
  '1150305065428000',
'at=$THRUNODE$@table1.name=ASRESRC2@table1.column1.name=ASID@table1.column2.name=ASNAME@table1.column3.name=SPACETYPE@table1.column4.name=SHRPGTOT@table1.column5.name=CSTORHOT@table1.column6.name=CSTORWARM@table1.column7.name=CSTORCOOL@table1.column8.name=CSTORCOLD@table1.column9.name=FIXEDPAGES@table1.column10.name=WORKINGSET@table1.column11.name=CSTORFRAME@table1.column12.name=ESTORFRAME@table1.column13.name=STEPNAME@table1.column14.name=OEUSERID@table1.column15.name=PERFGROUP@table1.column16.name=CLIENTTIM@table1.column17.name=CPUTIME@table1.column18.name=HOMESRBTIM@table1.column19.name=SRBTIME@table1.column20.name=TCBTIME@table1.column21.name=ENCLVACTTM@table1.column22.name=ENCLVCPUSV@table1.column23.name=ENCLVCPUTM@table1.column24.name=ENCLVTXNCT@table1.column25.name=SERVCLASS@table1.column26.name=UNIXSYS@table1.column27.name=UNIXSYSP@table1.column28.name=UNIXUSER@table1.column29.name=UNIXUSERP@table1.column30.name=CLIENTPCT@table1.column31.name=HOMESRBPCT@table1.column32.name=TCBPCT@table1.column33.name=SRBPCT@table1.column34.name=CPUP@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ASID@filter2.operator=EQ@filter2.value=$OPS2.ASID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OEKERNL2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                          in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OEKERNL2 (Kernel)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Moved the NAME fix forward.
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* *
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Kernel:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Kernel;
* USER=IBM;
* DESC=UNIX Kernel Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OEKERNL2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SYSCALLS;
* *  Number of Syscalls
* COLUMNS=SYSCALLSR;
* *  Syscall Rate
* COLUMNS=CPUTIME;
* *  CPU Seconds
* COLUMNS=CPUTIMEP;
* *  CPU%
* COLUMNS=ASCBIOSC;
* *  Number of I/Os
* COLUMNS=ASCBIOSCR;
* *  I/Os Rate
* COLUMNS=NUMPROC;
* *  Number of Processes
* COLUMNS=MAXPROC;
* *  Max Processes
* COLUMNS=PROCPCT;
* *  Used Processes
* COLUMNS=NUMID;
* *  Number of Active Userids
* COLUMNS=OSTARTNAME;
* *  Kernel Address Space
* COLUMNS=SHRPGCSSYS;
* *  Total Shared CSTOR Pages
* COLUMNS=SHRPGESSYS;
* *  Total Shared ESTOR Pages
* COLUMNS=SHRPGTTSYS;
* *  Total Shared Pages SYS
* COLUMNS=SHRPGFXSYS;
* *  Total Shared Fixed Pages
* COLUMNS=MSGQIDS;
* *  Message Queue IDs
* COLUMNS=MXMSGQIDS;
* *  Message Queue ID Limit
* COLUMNS=MSGQIDSP;
* *  Message Queue IDs%
* COLUMNS=SEMIDS;
* *  Semaphore IDs
* COLUMNS=MXSEMIDS;
* *  Semaphore ID Limit
* COLUMNS=SEMIDSP;
* *  Semaphore IDs%
* COLUMNS=SHMIDS;
* *  Shared Memory IDs
* COLUMNS=MXSHMIDS;
* *  Shared Memory ID Limit
* COLUMNS=SHMIDSP;
* *  Shared Memory IDs%
* COLUMNS=SHMPGS;
* *  Shared Memory Pages
* COLUMNS=MXSHMPGS;
* *  Shared Memory Pages Limit
* COLUMNS=SHMPGSP;
* *  Shared Memory Pages%
* COLUMNS=SHSTPGS;
* *  Shared Storage Pages
* COLUMNS=MXSHSTPGS;
* *  Shared Storage Pages Limit
* COLUMNS=SHSTPGSP;
* *  Shared Storage Pages%
* COLUMNS=MMPGS;
* *  mmap Storage Pages
* COLUMNS=MXMMPGS;
* *  mmap Storage Pages Limit
* COLUMNS=MMPGSP;
* *  mmap Storage Pages%
* COLUMNS=SYSNAME;
* *  sysname
* COLUMNS=VERSION;
* *  version
* COLUMNS=RELEASE;
* *  release


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Kernel:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Kernel:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Kernel',
  'UNIX Kernel Table (V410)',
  'IBM',
  '1150305065429000',
'at=$THRUNODE$@table1.name=OEKERNL2@table1.column1.name=SYSCALLS@table1.column2.name=SYSCALLSR@table1.column3.name=CPUTIME@table1.column4.name=CPUTIMEP@table1.column5.name=ASCBIOSC@table1.column6.name=ASCBIOSCR@table1.column7.name=NUMPROC@table1.column8.name=MAXPROC@table1.column9.name=PROCPCT@table1.column10.name=NUMID@table1.column11.name=OSTARTNAME@table1.column12.name=SHRPGCSSYS@table1.column13.name=SHRPGESSYS@table1.column14.name=SHRPGTTSYS@table1.column15.name=SHRPGFXSYS@table1.column16.name=MSGQIDS@table1.column17.name=MXMSGQIDS@table1.column18.name=MSGQIDSP@table1.column19.name=SEMIDS@table1.column20.name=MXSEMIDS@table1.column21.name=SEMIDSP@table1.column22.name=SHMIDS@table1.column23.name=MXSHMIDS@table1.column24.name=SHMIDSP@table1.column25.name=SHMPGS@table1.column26.name=MXSHMPGS@table1.column27.name=SHMPGSP@table1.column28.name=SHSTPGS@table1.column29.name=MXSHSTPGS@table1.column30.name=SHSTPGSP@table1.column31.name=MMPGS@table1.column32.name=MXMMPGS@table1.column33.name=MMPGSP@table1.column34.name=SYSNAME@table1.column35.name=VERSION@table1.column36.name=RELEASE@table1.columnCount=36@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OEKERNL2420.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                          in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEKERNL2 (Kernel)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Moved the NAME fix forward.
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* *
* * 2008/03/24 JRF Add Sockets usage, zfs ASname columns
* * 2008/07/28 mjr Set to READONLY
* *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=UNIX_Kernel:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=UNIX Kernel;
* USER=IBM;
* DESC=UNIX Kernel Table (V420);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OEKERNL2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SYSCALLS;
* *  Number of Syscalls
* COLUMNS=SYSCALLSR;
* *  Syscall Rate
* COLUMNS=CPUTIME;
* *  CPU Seconds
* COLUMNS=CPUTIMEP;
* *  CPU%
* COLUMNS=ASCBIOSC;
* *  Number of I/Os
* COLUMNS=ASCBIOSCR;
* *  I/Os Rate
* COLUMNS=NUMPROC;
* *  Number of Processes
* COLUMNS=MAXPROC;
* *  Max Processes
* COLUMNS=PROCPCT;
* *  Used Processes
* COLUMNS=NUMID;
* *  Number of Active Userids
* COLUMNS=OSTARTNAME;
* *  Kernel Address Space
* COLUMNS=SHRPGCSSYS;
* *  Total Shared CSTOR Pages
* COLUMNS=SHRPGESSYS;
* *  Total Shared ESTOR Pages
* COLUMNS=SHRPGTTSYS;
* *  Total Shared Pages SYS
* COLUMNS=SHRPGFXSYS;
* *  Total Shared Fixed Pages
* COLUMNS=MSGQIDS;
* *  Message Queue IDs
* COLUMNS=MXMSGQIDS;
* *  Message Queue ID Limit
* COLUMNS=MSGQIDSP;
* *  Message Queue IDs%
* COLUMNS=SEMIDS;
* *  Semaphore IDs
* COLUMNS=MXSEMIDS;
* *  Semaphore ID Limit
* COLUMNS=SEMIDSP;
* *  Semaphore IDs%
* COLUMNS=SHMIDS;
* *  Shared Memory IDs
* COLUMNS=MXSHMIDS;
* *  Shared Memory ID Limit
* COLUMNS=SHMIDSP;
* *  Shared Memory IDs%
* COLUMNS=SHMPGS;
* *  Shared Memory Pages
* COLUMNS=MXSHMPGS;
* *  Shared Memory Pages Limit
* COLUMNS=SHMPGSP;
* *  Shared Memory Pages%
* COLUMNS=SHSTPGS;
* *  Shared Storage Pages
* COLUMNS=MXSHSTPGS;
* *  Shared Storage Pages Limit
* COLUMNS=SHSTPGSP;
* *  Shared Storage Pages%
* COLUMNS=MMPGS;
* *  mmap Storage Pages
* COLUMNS=MXMMPGS;
* *  mmap Storage Pages Limit
* COLUMNS=MMPGSP;
* *  mmap Storage Pages%
* COLUMNS=SYSNAME;
* *  sysname
* COLUMNS=VERSION;
* *  version
* COLUMNS=RELEASE;
* *  release
* COLUMNS=ZFSASNAME;
* *  zFS AS name
* COLUMNS=USOCKMAX;
* *  Max UNIX Sockets  
* COLUMNS=USOCKCUR;
* *  UNIX Sockets used  
* COLUMNS=USOCKCURP; 
* *  UNIX Sockets used%
* COLUMNS=USOCKHWM;  
* *  UNIX Sockets high water mark 
* COLUMNS=USOCKHWMP; 
* *  UNIX Sockets high water mark% 
* COLUMNS=ISOCKMAX;  
* *  Max INET Sockets  
* COLUMNS=ISOCKCUR;
* *  INET Sockets used    
* COLUMNS=ISOCKCURP; 
* *  INET Sockets used%
* COLUMNS=ISOCKHWM;
* *  INET Sockets high water mark   
* COLUMNS=ISOCKHWMP; 
* *  INET Sockets high water mark% 
* COLUMNS=I6SOCKMAX; 
* *  Max INET6 Sockets  
* COLUMNS=I6SOCKCUR;
* *  INET6 Sockets used     
* COLUMNS=I6SOCKCURP;
* *  INET6 Sockets used%
* COLUMNS=I6SOCKHWM;
* *  INET6 Sockets high water mark    
* COLUMNS=I6SOCKHWMP;
* *  INET6 Sockets high water mark%   


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Kernel:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Kernel:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'UNIX Kernel',
  'UNIX Kernel Table (V420)',
  'IBM',
  '1150305065429000',
'at=$THRUNODE$@table1.name=OEKERNL2@table1.column1.name=SYSCALLS@table1.column2.name=SYSCALLSR@table1.column3.name=CPUTIME@table1.column4.name=CPUTIMEP@table1.column5.name=ASCBIOSC@table1.column6.name=ASCBIOSCR@table1.column7.name=NUMPROC@table1.column8.name=MAXPROC@table1.column9.name=PROCPCT@table1.column10.name=NUMID@table1.column11.name=OSTARTNAME@table1.column12.name=SHRPGCSSYS@table1.column13.name=SHRPGESSYS@table1.column14.name=SHRPGTTSYS@table1.column15.name=SHRPGFXSYS@table1.column16.name=MSGQIDS@table1.column17.name=MXMSGQIDS@table1.column18.name=MSGQIDSP@table1.column19.name=SEMIDS@table1.column20.name=MXSEMIDS@table1.column21.name=SEMIDSP@table1.column22.name=SHMIDS@table1.column23.name=MXSHMIDS@table1.column24.name=SHMIDSP@table1.column25.name=SHMPGS@table1.column26.name=MXSHMPGS@table1.column27.name=SHMPGSP@table1.column28.name=SHSTPGS@table1.column29.name=MXSHSTPGS@table1.column30.name=SHSTPGSP@table1.column31.name=MMPGS@table1.column32.name=MXMMPGS@table1.column33.name=MMPGSP@table1.column34.name=SYSNAME@table1.column35.name=VERSION@table1.column36.name=RELEASE@table1.column37.name=ZFSASNAME@table1.column38.name=USOCKMAX@table1.column39.name=USOCKCUR@table1.column40.name=USOCKCURP@table1.column41.name=USOCKHWM@table1.column42.name=USOCKHWMP@table1.column43.name=ISOCKMAX@table1.column44.name=ISOCKCUR@table1.column45.name=ISOCKCURP@table1.column46.name=ISOCKHWM@table1.column47.name=ISOCKHWMP@table1.column48.name=I6SOCKMAX@table1.column49.name=I6SOCKCUR@table1.column50.name=I6SOCKCURP@table1.column51.name=I6SOCKHWM@table1.column52.name=I6SOCKHWMP@table1.columnCount=52@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OEKERNL2421.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                          in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      421
* * Table:        OEKERNL2 (Kernel)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Moved the NAME fix forward.
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* *
* * 2008/03/24 JRF Add Sockets usage, zfs ASname columns
* * 2008/07/28 mjr Set to READONLY
* * 2010/03/26 JRF Add ASCBIOSX column for 421
* *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=UNIX_Kernel:421;
* AFFINITY=0W00000000000000000000000000000010000000000;
* NAME=UNIX Kernel;
* USER=IBM;
* DESC=UNIX Kernel Table (V421);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OEKERNL2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SYSCALLS;
* *  Number of Syscalls
* COLUMNS=SYSCALLSR;
* *  Syscall Rate
* COLUMNS=CPUTIME;
* *  CPU Seconds
* COLUMNS=CPUTIMEP;
* *  CPU%
* COLUMNS=ASCBIOSC;
* *  Number of I/Os
* COLUMNS=ASCBIOSCR;
* *  I/Os Rate
* COLUMNS=NUMPROC;
* *  Number of Processes
* COLUMNS=MAXPROC;
* *  Max Processes
* COLUMNS=PROCPCT;
* *  Used Processes
* COLUMNS=NUMID;
* *  Number of Active Userids
* COLUMNS=OSTARTNAME;
* *  Kernel Address Space
* COLUMNS=SHRPGCSSYS;
* *  Total Shared CSTOR Pages
* COLUMNS=SHRPGESSYS;
* *  Total Shared ESTOR Pages
* COLUMNS=SHRPGTTSYS;
* *  Total Shared Pages SYS
* COLUMNS=SHRPGFXSYS;
* *  Total Shared Fixed Pages
* COLUMNS=MSGQIDS;
* *  Message Queue IDs
* COLUMNS=MXMSGQIDS;
* *  Message Queue ID Limit
* COLUMNS=MSGQIDSP;
* *  Message Queue IDs%
* COLUMNS=SEMIDS;
* *  Semaphore IDs
* COLUMNS=MXSEMIDS;
* *  Semaphore ID Limit
* COLUMNS=SEMIDSP;
* *  Semaphore IDs%
* COLUMNS=SHMIDS;
* *  Shared Memory IDs
* COLUMNS=MXSHMIDS;
* *  Shared Memory ID Limit
* COLUMNS=SHMIDSP;
* *  Shared Memory IDs%
* COLUMNS=SHMPGS;
* *  Shared Memory Pages
* COLUMNS=MXSHMPGS;
* *  Shared Memory Pages Limit
* COLUMNS=SHMPGSP;
* *  Shared Memory Pages%
* COLUMNS=SHSTPGS;
* *  Shared Storage Pages
* COLUMNS=MXSHSTPGS;
* *  Shared Storage Pages Limit
* COLUMNS=SHSTPGSP;
* *  Shared Storage Pages%
* COLUMNS=MMPGS;
* *  mmap Storage Pages
* COLUMNS=MXMMPGS;
* *  mmap Storage Pages Limit
* COLUMNS=MMPGSP;
* *  mmap Storage Pages%
* COLUMNS=SYSNAME;
* *  sysname
* COLUMNS=VERSION;
* *  version
* COLUMNS=RELEASE;
* *  release
* COLUMNS=ZFSASNAME;
* *  zFS AS name
* COLUMNS=USOCKMAX;
* *  Max UNIX Sockets  
* COLUMNS=USOCKCUR;
* *  UNIX Sockets used  
* COLUMNS=USOCKCURP; 
* *  UNIX Sockets used%
* COLUMNS=USOCKHWM;  
* *  UNIX Sockets high water mark 
* COLUMNS=USOCKHWMP; 
* *  UNIX Sockets high water mark% 
* COLUMNS=ISOCKMAX;  
* *  Max INET Sockets  
* COLUMNS=ISOCKCUR;
* *  INET Sockets used    
* COLUMNS=ISOCKCURP; 
* *  INET Sockets used%
* COLUMNS=ISOCKHWM;
* *  INET Sockets high water mark   
* COLUMNS=ISOCKHWMP; 
* *  INET Sockets high water mark% 
* COLUMNS=I6SOCKMAX; 
* *  Max INET6 Sockets  
* COLUMNS=I6SOCKCUR;
* *  INET6 Sockets used     
* COLUMNS=I6SOCKCURP;
* *  INET6 Sockets used%
* COLUMNS=I6SOCKHWM;
* *  INET6 Sockets high water mark    
* COLUMNS=I6SOCKHWMP;
* *  INET6 Sockets high water mark%   
* COLUMNS=ASCBIOSX;
* *  Number of I/Os (64 bit number)


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Kernel:421';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Kernel:421',
  'KM5',
  '0W00000000000000000000000000000010000000000',
  'P',
  'UNIX Kernel',
  'UNIX Kernel Table (V421)',
  'IBM',
  '1150305065429000',
'at=$THRUNODE$@table1.name=OEKERNL2@table1.column1.name=SYSCALLS@table1.column2.name=SYSCALLSR@table1.column3.name=CPUTIME@table1.column4.name=CPUTIMEP@table1.column5.name=ASCBIOSC@table1.column6.name=ASCBIOSCR@table1.column7.name=NUMPROC@table1.column8.name=MAXPROC@table1.column9.name=PROCPCT@table1.column10.name=NUMID@table1.column11.name=OSTARTNAME@table1.column12.name=SHRPGCSSYS@table1.column13.name=SHRPGESSYS@table1.column14.name=SHRPGTTSYS@table1.column15.name=SHRPGFXSYS@table1.column16.name=MSGQIDS@table1.column17.name=MXMSGQIDS@table1.column18.name=MSGQIDSP@table1.column19.name=SEMIDS@table1.column20.name=MXSEMIDS@table1.column21.name=SEMIDSP@table1.column22.name=SHMIDS@table1.column23.name=MXSHMIDS@table1.column24.name=SHMIDSP@table1.column25.name=SHMPGS@table1.column26.name=MXSHMPGS@table1.column27.name=SHMPGSP@table1.column28.name=SHSTPGS@table1.column29.name=MXSHSTPGS@table1.column30.name=SHSTPGSP@table1.column31.name=MMPGS@table1.column32.name=MXMMPGS@table1.column33.name=MMPGSP@table1.column34.name=SYSNAME@table1.column35.name=VERSION@table1.column36.name=RELEASE@table1.column37.name=ZFSASNAME@table1.column38.name=USOCKMAX@table1.column39.name=USOCKCUR@table1.column40.name=USOCKCURP@table1.column41.name=USOCKHWM@table1.column42.name=USOCKHWMP@table1.column43.name=ISOCKMAX@table1.column44.name=ISOCKCUR@table1.column45.name=ISOCKCURP@table1.column46.name=ISOCKHWM@table1.column47.name=ISOCKHWMP@table1.column48.name=I6SOCKMAX@table1.column49.name=I6SOCKCUR@table1.column50.name=I6SOCKCURP@table1.column51.name=I6SOCKHWM@table1.column52.name=I6SOCKHWMP@table1.column53.name=ASCBIOSX@table1.columnCount=53@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OEKERNOV410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                          in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OEKERNL2 (Kernel)
* *
* *
* * Change Log:
* *
* * 2005/10/20 JRF UNIX Kernel view in the UNIX System Services 
* *                Overview work space. 
* * 2008/07/28 mjr Set to READONLY
* *                               
* *
* ******************************************************************
* IDENT=UNIX_Kernel_Overview:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Kernel Overview;
* USER=IBM;
* DESC=UNIX Kernel Overview (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OEKERNL2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SYSCALLSR;
* *  Syscall Rate
* COLUMNS=CPUTIMEP;
* *  CPU%
* COLUMNS=ASCBIOSCR;
* *  I/Os Rate
* COLUMNS=NUMPROC;
* *  Number of Processes
* COLUMNS=MAXPROC;
* *  Max Processes
* COLUMNS=PROCPCT;
* *  Used Processes%


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Kernel_Overview:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Kernel_Overview:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Kernel Overview',
  'UNIX Kernel Overview (V410)',
  'IBM',
  '1150305065430000',
'at=$THRUNODE$@table1.name=OEKERNL2@table1.column1.name=SYSCALLSR@table1.column2.name=CPUTIMEP@table1.column3.name=ASCBIOSCR@table1.column4.name=NUMPROC@table1.column5.name=MAXPROC@table1.column6.name=PROCPCT@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OEKERNOV420.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                          in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEKERNL2 (Kernel)
* *
* *
* * Change Log:
* *
* * 2005/10/20 JRF UNIX Kernel view in the UNIX System Services 
* *                Overview work space. 
* * 2008/03/24 JRF Add Sockets percent used columns
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Kernel_Overview:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=UNIX Kernel Overview;
* USER=IBM;
* DESC=UNIX Kernel Overview (V420);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OEKERNL2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SYSCALLSR;
* *  Syscall Rate
* COLUMNS=CPUTIMEP;
* *  CPU%
* COLUMNS=ASCBIOSCR;
* *  I/Os Rate
* COLUMNS=NUMPROC;
* *  Number of Processes
* COLUMNS=MAXPROC;
* *  Max Processes
* COLUMNS=PROCPCT;
* *  Used Processes%
* COLUMNS=ISOCKCURP;
* *  Used INET Sockets%
* COLUMNS=I6SOCKCURP;
* *  Used INET6 Sockets%
* COLUMNS=USOCKCURP;
* *  Used UNIX Sockets%


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Kernel_Overview:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Kernel_Overview:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'UNIX Kernel Overview',
  'UNIX Kernel Overview (V420)',
  'IBM',
  '1150305065430000',
'at=$THRUNODE$@table1.name=OEKERNL2@table1.column1.name=SYSCALLSR@table1.column2.name=CPUTIMEP@table1.column3.name=ASCBIOSCR@table1.column4.name=NUMPROC@table1.column5.name=MAXPROC@table1.column6.name=PROCPCT@table1.column7.name=ISOCKCURP@table1.column8.name=I6SOCKCURP@table1.column9.name=USOCKCURP@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OFILES2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OFILES2 (Files)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Move NAME=Files up front.
* * 2001/09/20 RLG Add STDEV column for link to Mounted File Systems
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Files:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Files;
* USER=IBM;
* DESC=UNIX Files Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OFILES2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=FILE;
* *  File
* COLUMNS=PATH;
* *  Path
* COLUMNS=NLINK;
* *  Links
* COLUMNS=UID;
* *  UID
* COLUMNS=OWNER;
* *  Owner
* COLUMNS=GID;
* *  GID
* COLUMNS=GROUP;
* *  Group
* COLUMNS=SIZEHI;
* *  SizeHi
* COLUMNS=SIZE;
* *  Size
* COLUMNS=SIZELO;
* *  SizeLo
* COLUMNS=BLKSIZE;
* *  Blocksize
* COLUMNS=BLOCKS;
* *  Blocks
* COLUMNS=TYPE;
* *  Type
* COLUMNS=ACCESS;
* *  Access
* COLUMNS=PERMITS;
* *  Permissions
* COLUMNS=ATIME;
* *  Last Accessed Time
* COLUMNS=MTIME;
* *  Last Changed Time
* COLUMNS=CREATETIME;
* *  Creation Time
* COLUMNS=EXTATTRS;
* *  Extended Attributes
* COLUMNS=STDEV;
* *  STDEV
* PRED=AND PATH = $NEXTPATH$;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Files:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Files:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Files',
  'UNIX Files Table (V410)',
  'IBM',
  '1150305065431000',
'at=$THRUNODE$@table1.name=OFILES2@table1.column1.name=FILE@table1.column2.name=PATH@table1.column3.name=NLINK@table1.column4.name=UID@table1.column5.name=OWNER@table1.column6.name=GID@table1.column7.name=GROUP@table1.column8.name=SIZEHI@table1.column9.name=SIZE@table1.column10.name=SIZELO@table1.column11.name=BLKSIZE@table1.column12.name=BLOCKS@table1.column13.name=TYPE@table1.column14.name=ACCESS@table1.column15.name=PERMITS@table1.column16.name=ATIME@table1.column17.name=MTIME@table1.column18.name=CREATETIME@table1.column19.name=EXTATTRS@table1.column20.name=STDEV@table1.columnCount=20@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=PATH@filter2.operator=EQ@filter2.value=$NEXTPATH$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OPS2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OPS2 (Processes)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg New column order; Changed "$VALIDATE05" to
* *                "$VALIDATE05$" (i.e. added the $ to the end);
* *                Dropped STARTT (Starting Time (I,4)) and
* *                ServTypeH (Server Type in Hex); Dropped
* *                "NAME=Processes" (near the end of the file) and
* *                fixed the earlier NAME= specification; Dropped AS
* *                ASID is now used for linkage.
* *
* * 2001/09/07 rlg Added SITNAME statements for PPSes.
* * 2001/09/19 rlg Added SITNAME statements for WebSphere
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Processes:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Processes;
* USER=IBM;
* DESC=UNIX Processes Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OPS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=CMDNAME;
* *  Command Name
* COLUMNS=JOBNAME;
* *  Jobname
* COLUMNS=ASID;
* *  ASID
* COLUMNS=PID;
* *  Process ID
* COLUMNS=PPID;
* *  Parent Process ID
* COLUMNS=UNIXRUNP;
* *  UNIX Run Time%
* COLUMNS=STATUS1;
* *  Process Status
* COLUMNS=STATUS3;
* *  Execution State
* COLUMNS=STATUS0;
* *  MVS Status
* COLUMNS=SID;
* *  Leader Session ID
* COLUMNS=PGPID;
* *  Process Group
* COLUMNS=FGPID;
* *  Foreground Process Group
* COLUMNS=EUID;
* *  Effective Userid
* COLUMNS=RUID;
* *  Real Userid
* COLUMNS=SUID;
* *  Saved Set Userid
* COLUMNS=EUIDC;
* *  Effective User
* COLUMNS=RUIDC;
* *  Real User
* COLUMNS=SUIDC;
* *  Saved Set User
* COLUMNS=EGID;
* *  Effective Group ID
* COLUMNS=RGID;
* *  Real Group ID
* COLUMNS=SGID;
* *  Saved Set Group ID
* COLUMNS=CONTTY;
* *  Terminal Device
* COLUMNS=SIZE;
* *  Total Size
* COLUMNS=USERT;
* *  User CPU Time
* COLUMNS=SYST;
* *  System CPU Time
* COLUMNS=UNIXRUN;
* *  UNIX Run Time
* COLUMNS=STARTT_C;
* *  Start Time
* COLUMNS=PATH;
* *  Path
* COLUMNS=CMD;
* *  Command
* COLUMNS=SERVNAME;
* *  Server Name
* COLUMNS=SERVTYPE;
* *  Server Type
* COLUMNS=SERVFLAGS;
* *  Server Flags
* COLUMNS=MAXVNODTKN;
* *  Maximum VNode Tokens
* COLUMNS=VNODETKNCT;
* *  Current VNode Tokens
* PRED=AND EGID = $VALIDATE05$;
* PRED=AND PPID = $CHILDPPID$;
* PRED=AND PID = $PARENTPID$;
* PRED=AND EUID = $USERPIDS$;
* PRED=AND ASID = $ASID2PID$;
* PRED=AND PID = $USER2PID$;
* PRED=AND STDEV = $MOUNTS2.STDEV$;
* *COLUMNS=ASIDD;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Processes:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Processes:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Processes',
  'UNIX Processes Table (V410)',
  'IBM',
  '1150305065431000',
'at=$THRUNODE$@table1.name=OPS2@table1.column1.name=CMDNAME@table1.column2.name=JOBNAME@table1.column3.name=ASID@table1.column4.name=PID@table1.column5.name=PPID@table1.column6.name=UNIXRUNP@table1.column7.name=STATUS1@table1.column8.name=STATUS3@table1.column9.name=STATUS0@table1.column10.name=SID@table1.column11.name=PGPID@table1.column12.name=FGPID@table1.column13.name=EUID@table1.column14.name=RUID@table1.column15.name=SUID@table1.column16.name=EUIDC@table1.column17.name=RUIDC@table1.column18.name=SUIDC@table1.column19.name=EGID@table1.column20.name=RGID@table1.column21.name=SGID@table1.column22.name=CONTTY@table1.column23.name=SIZE@table1.column24.name=USERT@table1.column25.name=SYST@table1.column26.name=UNIXRUN@table1.column27.name=STARTT_C@table1.column28.name=PATH@table1.column29.name=CMD@table1.column30.name=SERVNAME@table1.column31.name=SERVTYPE@table1.column32.name=SERVFLAGS@table1.column33.name=MAXVNODTKN@table1.column34.name=VNODETKNCT@table1.columnCount=34@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=EGID@filter2.operator=EQ@filter2.value=$VALIDATE05$@filter3.connector=AND@filter3.column=PPID@filter3.operator=EQ@filter3.value=$CHILDPPID$@filter4.connector=AND@filter4.column=PID@filter4.operator=EQ@filter4.value=$PARENTPID$@filter5.connector=AND@filter5.column=EUID@filter5.operator=EQ@filter5.value=$USERPIDS$@filter6.connector=AND@filter6.column=ASID@filter6.operator=EQ@filter6.value=$ASID2PID$@filter7.connector=AND@filter7.column=PID@filter7.operator=EQ@filter7.value=$USER2PID$@filter8.connector=AND@filter8.column=STDEV@filter8.operator=EQ@filter8.value=$MOUNTS2.STDEV$@filterCount=8@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OPS2OVR410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OPS2 (Processes)
* *
* *
* * Change Log:
* *
* * 2005/10/20 JRF UNIX Processes view in the UNIX System Services 
* *                Overview work space. 
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Processes_Overview:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Processes Overview;
* USER=IBM;
* DESC=UNIX Processes Overview (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OPS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=CMDNAME;
* *  Command Name
* COLUMNS=JOBNAME;
* *  Jobname
* COLUMNS=UNIXRUNP;
* *  UNIX Run Time%
* COLUMNS=STATUS1;
* *  Process Status
* COLUMNS=STATUS3;
* *  Execution State


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Processes_Overview:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Processes_Overview:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Processes Overview',
  'UNIX Processes Overview (V410)',
  'IBM',
  '1150305065432000',
'at=$THRUNODE$@table1.name=OPS2@table1.column1.name=CMDNAME@table1.column2.name=JOBNAME@table1.column3.name=UNIXRUNP@table1.column4.name=STATUS1@table1.column5.name=STATUS3@table1.columnCount=5@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OUSERS2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OUSERS2 (Logged on Users)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Moved the NAME fix forward.
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Logged_on_Users:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Logged on Users;
* USER=IBM;
* DESC=UNIX Logged on Users Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OUSERS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=LOGINNAME;
* *  Login Name
* COLUMNS=NAME;
* *  Name
* COLUMNS=TERMINAL;
* *  Terminal
* COLUMNS=USERID;
* *  UID
* COLUMNS=LOGINTIME;
* *  Login Time
* COLUMNS=IDLETIME;
* *  Idle Time Mins
* COLUMNS=RMTHOST;
* *  Remote Host
* COLUMNS=PID;
* *  Process ID


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Logged_on_Users:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Logged_on_Users:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Logged on Users',
  'UNIX Logged on Users Table (V410)',
  'IBM',
  '1150305065432000',
'at=$THRUNODE$@table1.name=OUSERS2@table1.column1.name=LOGINNAME@table1.column2.name=NAME@table1.column3.name=TERMINAL@table1.column4.name=USERID@table1.column5.name=LOGINTIME@table1.column6.name=IDLETIME@table1.column7.name=RMTHOST@table1.column8.name=PID@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OUSER2OVR410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        OUSERS2 (Logged on Users)
* *
* *
* * Change Log:
* *
* * 2005/10/20 JRF UNIX Logged-On Users view in the UNIX System 
* *                Services Overview work space. 
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Logged_on_Users_Ovr:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Logged on Users Overview;
* USER=IBM;
* DESC=UNIX Logged on Users Overview (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.OUSERS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=LOGINNAME;
* *  Login Name
* COLUMNS=NAME;
* *  Name
* COLUMNS=LOGINTIME;
* *  Login Time


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Logged_on_Users_Ovr:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Logged_on_Users_Ovr:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Logged on Users Overview',
  'UNIX Logged on Users Overview (V410)',
  'IBM',
  '1150305065432000',
'at=$THRUNODE$@table1.name=OUSERS2@table1.column1.name=LOGINNAME@table1.column2.name=NAME@table1.column3.name=LOGINTIME@table1.columnCount=3@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from MOUNTS2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        MOUNTS2 (Mounted File Systems)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Dropped "NAME=Dubbed Address Spaces" at the end o
* *                the file and fixed the earlier specification;
* *                Use ASID to link to Processes report rather than
* *                ASIDD (esp. since Processes report is
* *                no longer fetching the ASIDD column).
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* * 2001/09/19 rlg Add SITNAME statement for WebSphere
* * 2001/09/20 RLG Change PRED Mountpoint to STDEV for CNP Link
* *                 from Files Report
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Mounted_File_Systems:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Mounted File Systems;
* USER=IBM;
* DESC=UNIX Mounted File Systems Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.MOUNTS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=MNTPT;
* *  Mount Point
* COLUMNS=FSNAME;
* *  File System Name
* COLUMNS=VOLSER;
* *  VOLSER
* COLUMNS=MODE;
* *  Mode
* COLUMNS=SEC;
* *  Security
* COLUMNS=SETUID;
* *  SETUID
* COLUMNS=STATUS;
* *  Status
* COLUMNS=STATDUR;
* *  Status Duration
* COLUMNS=DDNAME;
* *  DDNAME
* COLUMNS=TSIZE;
* *  Total Size
* COLUMNS=TUSED;
* *  Total Used
* COLUMNS=PUSED;
* *  Percent Used
* COLUMNS=NUMMBRS;
* *  Members
* COLUMNS=SYSZENQWC;
* *  SYSZDSN ENQ Wait Cnt
* COLUMNS=SYSENQWC;
* *  SYSDSN ENQ Wait Cnt
* COLUMNS=SYSZENQW;
* *  SYSZDSN Wait Seconds
* COLUMNS=SYSENQW;
* *  SYSDSN Wait Seconds
* COLUMNS=SYSTEM;
* *  Own Sys
* COLUMNS=READS;
* *  Reads/S
* COLUMNS=WRITES;
* *  Writes/S
* COLUMNS=READIOS;
* *  Read I/Os/S
* COLUMNS=WRITEIOS;
* *  Writes I/Os/S
* COLUMNS=BYTESRD;
* *  Bytes Read/S
* COLUMNS=BYTESWR;
* *  Bytes Written/S
* COLUMNS=DIRIOS;
* *  Dir I/Os/S
* COLUMNS=QIESSYS;
* *  Quiesce Sys
* COLUMNS=QIESJOB;
* *  Quiesce Job
* COLUMNS=QIESPID;
* *  Quiesce PID
* COLUMNS=STDEV;
* *  STDEV
* PRED=AND PID = $OPS2.PID$;
* PRED=AND STDEV = $OFILES2.STDEV$;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Mounted_File_Systems:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Mounted_File_Systems:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Mounted File Systems',
  'UNIX Mounted File Systems Table (V410)',
  'IBM',
  '1150305065433000',
'at=$THRUNODE$@table1.name=MOUNTS2@table1.column1.name=MNTPT@table1.column2.name=FSNAME@table1.column3.name=VOLSER@table1.column4.name=MODE@table1.column5.name=SEC@table1.column6.name=SETUID@table1.column7.name=STATUS@table1.column8.name=STATDUR@table1.column9.name=DDNAME@table1.column10.name=TSIZE@table1.column11.name=TUSED@table1.column12.name=PUSED@table1.column13.name=NUMMBRS@table1.column14.name=SYSZENQWC@table1.column15.name=SYSENQWC@table1.column16.name=SYSZENQW@table1.column17.name=SYSENQW@table1.column18.name=SYSTEM@table1.column19.name=READS@table1.column20.name=WRITES@table1.column21.name=READIOS@table1.column22.name=WRITEIOS@table1.column23.name=BYTESRD@table1.column24.name=BYTESWR@table1.column25.name=DIRIOS@table1.column26.name=QIESSYS@table1.column27.name=QIESJOB@table1.column28.name=QIESPID@table1.column29.name=STDEV@table1.columnCount=29@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=PID@filter2.operator=EQ@filter2.value=$OPS2.PID$@filter3.connector=AND@filter3.column=STDEV@filter3.operator=EQ@filter3.value=$OFILES2.STDEV$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from C:\Users\jjimenez\OneDrive - Rocket Software, Inc\OMEGAMON\Yashin\YSZS-978\MOUNTS2560.dat
*
* ******************************************************************
* *
* *
* * Product:      KM5
* * Version:      560
* * Table:        MOUNTS2 (Mounted File Systems)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2001/08/31 rlg Dropped "NAME=Dubbed Address Spaces" at the end o
* *                the file and fixed the earlier specification;
* *                Use ASID to link to Processes report rather than
* *                ASIDD (esp. since Processes report is
* *                no longer fetching the ASIDD column).
* *
* * 2001/09/07 rlg Add SITNAME statements for PPSes.
* * 2001/09/19 rlg Add SITNAME statement for WebSphere
* * 2001/09/20 RLG Change PRED Mountpoint to STDEV for CNP Link
* *                 from Files Report
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* * 2020/08/18 jlf Solve navigation issue by discarding
* *                STDEV Column (YSZS-978)
* ******************************************************************
* IDENT=UNIX_Mounted_File_Systems:560;
* AFFINITY=%IBM.STATIC007          000000000400000000;
* NAME=UNIX Mounted File Systems;
* USER=IBM;
* DESC=UNIX Mounted File Systems Table (V560);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.MOUNTS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=MNTPT;
* *  Mount Point
* COLUMNS=FSNAME;
* *  File System Name
* COLUMNS=VOLSER;
* *  VOLSER
* COLUMNS=MODE;
* *  Mode
* COLUMNS=SEC;
* *  Security
* COLUMNS=SETUID;
* *  SETUID
* COLUMNS=STATUS;
* *  Status
* COLUMNS=STATDUR;
* *  Status Duration
* COLUMNS=DDNAME;
* *  DDNAME
* COLUMNS=TSIZE;
* *  Total Size
* COLUMNS=TUSED;
* *  Total Used
* COLUMNS=PUSED;
* *  Percent Used
* COLUMNS=NUMMBRS;
* *  Members
* COLUMNS=SYSZENQWC;
* *  SYSZDSN ENQ Wait Cnt
* COLUMNS=SYSENQWC;
* *  SYSDSN ENQ Wait Cnt
* COLUMNS=SYSZENQW;
* *  SYSZDSN Wait Seconds
* COLUMNS=SYSENQW;
* *  SYSDSN Wait Seconds
* COLUMNS=SYSTEM;
* *  Own Sys
* COLUMNS=READS;
* *  Reads/S
* COLUMNS=WRITES;
* *  Writes/S
* COLUMNS=READIOS;
* *  Read I/Os/S
* COLUMNS=WRITEIOS;
* *  Writes I/Os/S
* COLUMNS=BYTESRD;
* *  Bytes Read/S
* COLUMNS=BYTESWR;
* *  Bytes Written/S
* COLUMNS=DIRIOS;
* *  Dir I/Os/S
* COLUMNS=QIESSYS;
* *  Quiesce Sys
* COLUMNS=QIESJOB;
* *  Quiesce Job
* COLUMNS=QIESPID;
* *  Quiesce PID
* *--> YSZS-978 Discard: COLUMNS=STDEV;
* PRED=AND PID = $OPS2.PID$;
* PRED=AND STDEV = $OFILES2.STDEV$;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Mounted_File_Systems:560';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Mounted_File_Systems:560',
  'KM5',
  '%IBM.STATIC007',
  'P',
  'UNIX Mounted File Systems',
  'UNIX Mounted File Systems Table (V560)',
  'IBM',
  '1200819111158000',
'at=$THRUNODE$@table1.name=MOUNTS2@table1.column1.name=MNTPT@table1.column2.name=FSNAME@table1.column3.name=VOLSER@table1.column4.name=MODE@table1.column5.name=SEC@table1.column6.name=SETUID@table1.column7.name=STATUS@table1.column8.name=STATDUR@table1.column9.name=DDNAME@table1.column10.name=TSIZE@table1.column11.name=TUSED@table1.column12.name=PUSED@table1.column13.name=NUMMBRS@table1.column14.name=SYSZENQWC@table1.column15.name=SYSENQWC@table1.column16.name=SYSZENQW@table1.column17.name=SYSENQW@table1.column18.name=SYSTEM@table1.column19.name=READS@table1.column20.name=WRITES@table1.column21.name=READIOS@table1.column22.name=WRITEIOS@table1.column23.name=BYTESRD@table1.column24.name=BYTESWR@table1.column25.name=DIRIOS@table1.column26.name=QIESSYS@table1.column27.name=QIESJOB@table1.column28.name=QIESPID@table1.columnCount=28@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=PID@filter2.operator=EQ@filter2.value=$OPS2.PID$@filter3.connector=AND@filter3.column=STDEV@filter3.operator=EQ@filter3.value=$OFILES2.STDEV$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from MOUNTOVR410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        MOUNTS2 (Mounted File Systems)
* *
* *
* * Change Log:
* *
* * 2005/10/20 JRF UNIX Mounted File Systems Overview view in 
* *                the UNIX System Services Overview work space. 
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Mounted_File_Sys_Ovr:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Mounted File Sys Overview;
* USER=IBM;
* DESC=UNIX Mounted File Sys Overview (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.MOUNTS2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=MNTPT;
* *  Mount Point
* COLUMNS=FSNAME;
* *  File System Name
* COLUMNS=MODE;
* *  Mode
* COLUMNS=STATUS;
* *  Status


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Mounted_File_Sys_Ovr:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Mounted_File_Sys_Ovr:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Mounted File Sys Overview',
  'UNIX Mounted File Sys Overview (V410)',
  'IBM',
  '1150305065433000',
'at=$THRUNODE$@table1.name=MOUNTS2@table1.column1.name=MNTPT@table1.column2.name=FSNAME@table1.column3.name=MODE@table1.column4.name=STATUS@table1.columnCount=4@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from BPXPRM2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        BPXPRMxx (BPXPRMxx Values)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_BPXPRMxx_Values:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX BPXPRMxx Values;
* USER=IBM;
* DESC=UNIX BPXPRMxx Values Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.BPXPRM2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SOURCE;
* *  Source
* COLUMNS=PARM;
* *  Parameter
* COLUMNS=VALUE;
* *  Value
* ORDER=D SOURCE;
* ORDER=A PARM, VALUE;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_BPXPRMxx_Values:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_BPXPRMxx_Values:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX BPXPRMxx Values',
  'UNIX BPXPRMxx Values Table (V410)',
  'IBM',
  '1150305065433000',
'at=$THRUNODE$@table1.name=BPXPRM2@table1.column1.name=SOURCE@table1.column2.name=PARM@table1.column3.name=VALUE@table1.columnCount=3@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=SOURCE@order1.sequence=DESCENDING@order2.column=PARM@order2.sequence=ASCENDING@order3.column=VALUE@order3.sequence=ASCENDING@orderCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from bpxprm2_560.helper
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help. ...
* *
* *
* * Product:      KM5
* * Version:      560
* * Table:        BPXPRMxx (BPXPRMxx Values)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* * 2019/12/04 mjr Adding new fields
* *
* ******************************************************************
* IDENT=UNIX_BPXPRMxx_Values:560;
* AFFINITY=%IBM.STATIC007
* NAME=UNIX BPXPRMxx Values;
* USER=IBM;
* DESC=UNIX BPXPRMxx Values Table (V560);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.BPXPRM2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=SOURCE;
* *  Source
* COLUMNS=PARM;
* *  Parameter
* COLUMNS=VALUE;
* *  Value
* COLUMNS=USAGECURR,USAGEHIGH,USAGECURRP,USAGEHIGHP,VALUECHNG
* ORDER=D SOURCE;
* ORDER=A PARM, VALUE;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_BPXPRMxx_Values:560';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_BPXPRMxx_Values:560',
  'KM5',
  '%IBM.STATIC007',
  'P',
  'UNIX BPXPRMxx Values',
  'UNIX BPXPRMxx Values Table (V560)',
  'IBM',
  '1191204090824000',
'at=$THRUNODE$@table1.name=BPXPRM2@table1.column1.name=SOURCE@table1.col
umn2.name=PARM@table1.column3.name=VALUE@table1.column4.name=USAGECURR@t
able1.column5.name=USAGEHIGH@table1.column6.name=USAGECURRP@table1.colum
n7.name=USAGEHIGHP@table1.column8.name=VALUECHNG@table1.columnCount=8@ta
bleCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.opera
tor=EQ@filter1.value=$NODE$@filterCount=1@order1.column=SOURCE@order1.se
quence=DESCENDING@order2.column=PARM@order2.sequence=ASCENDING@order3.co
lumn=VALUE@order3.sequence=ASCENDING@orderCount=3@readonly=T@property1.n
ame=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from THREAD2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        THREAD2 (Threads)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_Threads:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX Threads;
* USER=IBM;
* DESC=UNIX Threads Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.THREAD2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=THID;
* *  Thread ID
* COLUMNS=THSEQ;
* *  Thread Sequence
* COLUMNS=UNIXRUN;
* *  UNIX Run Time
* COLUMNS=UNIXRUNP;
* *  UNIX Run Time%
* COLUMNS=PID;
* *  Process ID
* COLUMNS=PIDX;
* *  Process ID Hex
* COLUMNS=ASID;
* *  ASID
* COLUMNS=WEIGHT;
* *  Weight
* PRED=AND PID = $OPS2.PID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_Threads:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_Threads:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX Threads',
  'UNIX Threads Table (V410)',
  'IBM',
  '1150305065434000',
'at=$THRUNODE$@table1.name=THREAD2@table1.column1.name=THID@table1.column2.name=THSEQ@table1.column3.name=UNIXRUN@table1.column4.name=UNIXRUNP@table1.column5.name=PID@table1.column6.name=PIDX@table1.column7.name=ASID@table1.column8.name=WEIGHT@table1.columnCount=8@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=PID@filter2.operator=EQ@filter2.value=$OPS2.PID$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from HFSENQC2410.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program (a copy of which lives
* *                                        in "R:\Omegamon 2000\Help...
* *
* *
* * Product:      KM5
* * Version:      410
* * Table:        HFSENQC2 (HFS ENQ Contention)
* *
* *
* * Change Log:
* *
* * ----/--/--     Originally produced by one of Graham's tools.
* *
* * 2005/10/11 JRF Recreated from OE220 koe_kcj.sql (Original lost)
* * 2008/07/28 mjr Set to READONLY
* *
* ******************************************************************
* IDENT=UNIX_HFS_ENQ_Contention:410;
* AFFINITY=0W00000000000000000000000000000008000000000;
* NAME=UNIX HFS ENQ Contention;
* USER=IBM;
* DESC=UNIX HFS ENQ Contention Table (V410);
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.HFSENQC2;
* AT=$THRUNODE$;
* PRED=ORIGINNODE = $NODE$;
* COLUMNS=JOBNAME;
* *  Jobname
* COLUMNS=ASID;
* *  ASID
* COLUMNS=SYSTEM;
* *  System
* COLUMNS=STATUS;
* *  Status
* COLUMNS=EORS;
* *  Type
* COLUMNS=TIME;
* *  Time
* PRED=AND DSN = $MOUNTS2.FSNAME$;
* PRED=AND WHICH = $ENQSEL$;


DELETE FROM KFWQUERY   WHERE ID       =
 'UNIX_HFS_ENQ_Contention:410';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'UNIX_HFS_ENQ_Contention:410',
  'KM5',
  '0W00000000000000000000000000000008000000000',
  'P',
  'UNIX HFS ENQ Contention',
  'UNIX HFS ENQ Contention Table (V410)',
  'IBM',
  '1150305065434000',
'at=$THRUNODE$@table1.name=HFSENQC2@table1.column1.name=JOBNAME@table1.column2.name=ASID@table1.column3.name=SYSTEM@table1.column4.name=STATUS@table1.column5.name=EORS@table1.column6.name=TIME@table1.columnCount=6@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=DSN@filter2.operator=EQ@filter2.value=$MOUNTS2.FSNAME$@filter3.connector=AND@filter3.column=WHICH@filter3.operator=EQ@filter3.value=$ENQSEL$@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfsker.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSKER (zFS Kernel)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2008/02/13 MJR,SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* *
* ******************************************************************
* IDENT=USS_zFS_Kernel;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS Kernel;
* USER=IBM;
* DESC=USS zFS Kernel Statistics; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSKER;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=RECTYPE;            * Record type
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=OPNAME;             * Operation Name
* COLUMNS=OPCOUNT;            * Operation count
* COLUMNS=OPRATE;             * Operation rate
* COLUMNS=AVGWAIT;            * Average wait time
* COLUMNS=TOTOPER;            * Total Operations
* COLUMNS=TOTWAIT;            * Total wait time
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_Kernel';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_Kernel',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS Kernel',
  'USS zFS Kernel Statistics',
  'IBM',
  '1150305065435000',
'at=$THRUNODE$@table1.name=M5ZFSKER@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=RECTYPE@table1.column6.name=ZFSASNAME@table1.column7.name=SYSNAME@table1.column8.name=OPNAME@table1.column9.name=OPCOUNT@table1.column10.name=OPRATE@table1.column11.name=AVGWAIT@table1.column12.name=TOTOPER@table1.column13.name=TOTWAIT@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfskersum.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSKER (zFS Kernel)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2008/02/13 MJR,SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* * 2010/01/07 JRF Create new query for Summary records only   
* *
* ******************************************************************
* IDENT=USS_zFS_Kernel_Summ;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS Kernel Summary;
* USER=IBM;
* DESC=USS zFS Kernel Statistics Summary; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSKER;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=RECTYPE;            * Record type
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=OPNAME;             * Operation Name
* COLUMNS=OPCOUNT;            * Operation count
* COLUMNS=OPRATE;             * Operation rate
* COLUMNS=AVGWAIT;            * Average wait time
* COLUMNS=TOTOPER;            * Total Operations
* COLUMNS=TOTWAIT;            * Total wait time
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$;
* PRED=AND RECTYPE = 2;


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_Kernel_Summ';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_Kernel_Summ',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS Kernel Summary',
  'USS zFS Kernel Statistics Summary',
  'IBM',
  '1150305065435000',
'at=$THRUNODE$@table1.name=M5ZFSKER@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=RECTYPE@table1.column6.name=ZFSASNAME@table1.column7.name=SYSNAME@table1.column8.name=OPNAME@table1.column9.name=OPCOUNT@table1.column10.name=OPRATE@table1.column11.name=AVGWAIT@table1.column12.name=TOTOPER@table1.column13.name=TOTWAIT@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filter3.connector=AND@filter3.column=RECTYPE@filter3.operator=EQ@filter3.value=2@filter3.type=I@filterCount=3@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfsucd.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSUCD (zFS User cache dataspaces)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2008/02/13 MJR, SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* *
* ******************************************************************
* IDENT=USS_zFS_User_Cache_DS;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS User Cache Dataspace;
* USER=IBM;
* DESC=USS zFS User Cache Dataspace Statistics; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSUCD;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved   
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=NUMDSPACE;          * Dataspace count
* COLUMNS=PAGDSPACE;          * Pages per dataspace
* COLUMNS=LOCSEGSZ;           * Local segment size
* COLUMNS=REMSEGSZ;           * Remote segment size
* COLUMNS=PAGESIZE;           * Page size
* COLUMNS=CACHEPAGE;          * Cache pages   
* COLUMNS=FREEPAGE;           * Free Pages      
* COLUMNS=CACHESIZE;          * VM segment table size 
* COLUMNS=DSNAME;             * Dataspace name
* COLUMNS=DSALOCSG;           * Dataspace allocated segments
* COLUMNS=DSFREEPG;           * Dataspace free pages
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$; 


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_User_Cache_DS';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_User_Cache_DS',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS User Cache Dataspace',
  'USS zFS User Cache Dataspace Statistics',
  'IBM',
  '1150305065435000',
'at=$THRUNODE$@table1.name=M5ZFSUCD@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=ZFSASNAME@table1.column6.name=SYSNAME@table1.column7.name=NUMDSPACE@table1.column8.name=PAGDSPACE@table1.column9.name=LOCSEGSZ@table1.column10.name=REMSEGSZ@table1.column11.name=PAGESIZE@table1.column12.name=CACHEPAGE@table1.column13.name=FREEPAGE@table1.column14.name=CACHESIZE@table1.column15.name=DSNAME@table1.column16.name=DSALOCSG@table1.column17.name=DSFREEPG@table1.columnCount=17@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfssti.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSSTI (zFS Storage statistics)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2008/02/13 MJR,SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* *
* ******************************************************************
* IDENT=USS_zFS_Storage;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS Storage;
* USER=IBM;
* DESC=USS zFS Storage Statistics; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSSTI;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=TOTBYTES;           * Total bytes alloc-ed across all comps
* COLUMNS=TOTPIECES;          * Total pieces allocated
* COLUMNS=TOTAREQS;           * Total allocation requests
* COLUMNS=TOTFREQS;           * Total free requests
* COLUMNS=COMPBYTES;          * Bytes allocated for this component
* COLUMNS=COMPPIECES;         * Pieces allocated for this component
* COLUMNS=COMPAREQS;          * Allocation requests for this component
* COLUMNS=COMPFREQS;          * Free requests for this component
* COLUMNS=COMPDESC;           * Component description
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_Storage';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_Storage',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS Storage',
  'USS zFS Storage Statistics',
  'IBM',
  '1150305065436000',
'at=$THRUNODE$@table1.name=M5ZFSSTI@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=ZFSASNAME@table1.column6.name=SYSNAME@table1.column7.name=TOTBYTES@table1.column8.name=TOTPIECES@table1.column9.name=TOTAREQS@table1.column10.name=TOTFREQS@table1.column11.name=COMPBYTES@table1.column12.name=COMPPIECES@table1.column13.name=COMPAREQS@table1.column14.name=COMPFREQS@table1.column15.name=COMPDESC@table1.columnCount=15@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfsdci.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSDCI (zFS Directory Cache)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2008/03/14 MJR,SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* *
* ******************************************************************
* IDENT=USS_zFS_Directory_Cache;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS Directory Cache;
* USER=IBM;
* DESC=USS zFS Directory Cache; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSDCI;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=BUFFERS;            * Buffer count
* COLUMNS=BUFFSIZE;           * Buffer size
* COLUMNS=TOTALKB;            * Total kilobytes
* COLUMNS=REQUESTS;           * Requests to this cache
* COLUMNS=HITS;               * Hits found in this cache
* COLUMNS=RATIO;              * Hit ratio
* COLUMNS=DISCARDS;           * Cache discards
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_Directory_Cache';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_Directory_Cache',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS Directory Cache',
  'USS zFS Directory Cache',
  'IBM',
  '1150305065436000',
'at=$THRUNODE$@table1.name=M5ZFSDCI@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=ZFSASNAME@table1.column6.name=SYSNAME@table1.column7.name=BUFFERS@table1.column8.name=BUFFSIZE@table1.column9.name=TOTALKB@table1.column10.name=REQUESTS@table1.column11.name=HITS@table1.column12.name=RATIO@table1.column13.name=DISCARDS@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfsmci.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSMCI (zFS Metadata Cache)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 2008/03/14 MJR,SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* *
* ******************************************************************
* IDENT=USS_zFS_Metadata_Cache;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS Metadata Cache;
* USER=IBM;
* DESC=USS zFS Metadata Cache; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSMCI;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=PRIBUFF;            * Primary Buffer count
* COLUMNS=PRIBUFFSZ;          * Primary Buffer size
* COLUMNS=PRIKB;              * Primary kilobytes
* COLUMNS=PRIREQS;            * Primary requests
* COLUMNS=PRIHITS;            * Primary Hits found in this cache
* COLUMNS=PRIRATIO;           * Primary Hit ratio
* COLUMNS=PRIUPDTS;           * Primary cache updates
* COLUMNS=BACKBUFF;           * Backing Buffer count
* COLUMNS=BACKBUFFSZ;         * Backing Buffer size
* COLUMNS=BACKKB;             * Backing kilobytes
* COLUMNS=BACKREQS;           * Backing requests
* COLUMNS=BACKHITS;           * Backing Hits found in this cache
* COLUMNS=BACKRATIO;          * Backing Hit ratio
* COLUMNS=BACKDISCS;          * Backing cache updates 
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_Metadata_Cache';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_Metadata_Cache',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS Metadata Cache',
  'USS zFS Metadata Cache',
  'IBM',
  '1150305065437000',
'at=$THRUNODE$@table1.name=M5ZFSMCI@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=ZFSASNAME@table1.column6.name=SYSNAME@table1.column7.name=PRIBUFF@table1.column8.name=PRIBUFFSZ@table1.column9.name=PRIKB@table1.column10.name=PRIREQS@table1.column11.name=PRIHITS@table1.column12.name=PRIRATIO@table1.column13.name=PRIUPDTS@table1.column14.name=BACKBUFF@table1.column15.name=BACKBUFFSZ@table1.column16.name=BACKKB@table1.column17.name=BACKREQS@table1.column18.name=BACKHITS@table1.column19.name=BACKRATIO@table1.column20.name=BACKDISCS@table1.columnCount=20@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from oezfsuca.dat
*
* ******************************************************************
* *
* * Input to Pete Fowler's Helper Program 
* *                                      
* *
* *
* * Product:      KM5
* * Version:      420
* * Table:        OEZFSUCA (zFS User cache)
* *
* *
* * Change Log:
* *
* * ----/--/--     
* *
* * 22008/03/14 MJR,SXS Initial version
* * 2008/07/28 MJR Set to READONLY
* *
* ******************************************************************
* IDENT=USS_zFS_User_Cache;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=USS zFS User Cache;
* USER=IBM;
* DESC=USS zFS User Cache; 
* READONLY=Y;
* VISIBLE=N;
* TABLE=KM5.M5ZFSUCA;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;         * Identifier for node
* COLUMNS=SMFID;              * SMFID of system collected from
* COLUMNS=TIMESTAMP;          * Time zFS Kernel data was retrieved
* COLUMNS=COLINTVL;           * Collection interval
* COLUMNS=ZFSASNAME;          * zFS Address Space name
* COLUMNS=SYSNAME;            * System Name
* COLUMNS=REQTYPE;            * Request Type
* COLUMNS=SCHEDULES;          * Schedules count
* COLUMNS=SETATTRS;           * Setattrs count
* COLUMNS=FSYNCS;             * Fsyncs count
* COLUMNS=UNMAPS;             * Unmaps count
* COLUMNS=READS;              * Read count
* COLUMNS=ASYNCREAD;          * Async Read count
* COLUMNS=WRITES;             * Write count
* COLUMNS=GETATTRS;           * Getattrs count
* COLUMNS=FLUSHES;            * Flush count
* COLUMNS=SCHDELETE;          * Scheduled delete count
* COLUMNS=READFLT;            * Read fault count
* COLUMNS=WRITEFLT;           * Write fault count
* COLUMNS=READIOS;            * Read I/O count
* COLUMNS=SCHWRITE;           * Scheduled write count
* COLUMNS=ERRWRITE;           * Error write count
* COLUMNS=RECWRITE;           * Reclaim write count
* COLUMNS=READWAIT;           * Read wait count
* COLUMNS=WRITEWAIT;          * Write wait count
* COLUMNS=FSYNCWAIT;          * Fsync wait count
* COLUMNS=ERRORWAIT;          * Error wait count
* COLUMNS=RECLMWAIT;          * Reclaim wait count
* COLUMNS=RECLMSTEAL;         * Reclaim steal count
* COLUMNS=WAITSRECLM;         * Waits for Reclaim count
* COLUMNS=RDFLTRAT;           * Ratio of read faults to reads      
* COLUMNS=WRTFLTRAT;          * Ratio of write faults to writes     
* COLUMNS=RDWAITRAT;          * Ratio of read waits to reads  
* COLUMNS=WRTWAITRAT;         * Ratio of write waits to writes   
* COLUMNS=NUMDSPACE;          * Dataspace count
* COLUMNS=PAGDSPACE;          * Pages per dataspace
* COLUMNS=LOCSEGSZ;           * Local segment size
* COLUMNS=REMSEGSZ;           * Remote segment size
* COLUMNS=PAGESIZE;           * Page size
* COLUMNS=CACHEPAGE;          * Cache pages  
* COLUMNS=FREEPAGE;           * Free Pages 
* COLUMNS=CACHESIZE;          * VM segment table size
* PRED=ORIGINNODE = $NODE$;
* PRED=AND ZFSASNAME = $ZFSASNAME$;


DELETE FROM KFWQUERY   WHERE ID       =
 'USS_zFS_User_Cache';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'USS_zFS_User_Cache',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'USS zFS User Cache',
  'USS zFS User Cache',
  'IBM',
  '1150305065437000',
'at=$THRUNODE$@table1.name=M5ZFSUCA@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=TIMESTAMP@table1.column4.name=COLINTVL@table1.column5.name=ZFSASNAME@table1.column6.name=SYSNAME@table1.column7.name=REQTYPE@table1.column8.name=SCHEDULES@table1.column9.name=SETATTRS@table1.column10.name=FSYNCS@table1.column11.name=UNMAPS@table1.column12.name=READS@table1.column13.name=ASYNCREAD@table1.column14.name=WRITES@table1.column15.name=GETATTRS@table1.column16.name=FLUSHES@table1.column17.name=SCHDELETE@table1.column18.name=READFLT@table1.column19.name=WRITEFLT@table1.column20.name=READIOS@table1.column21.name=SCHWRITE@table1.column22.name=ERRWRITE@table1.column23.name=RECWRITE@table1.column24.name=READWAIT@table1.column25.name=WRITEWAIT@table1.column26.name=FSYNCWAIT@table1.column27.name=ERRORWAIT@table1.column28.name=RECLMWAIT@table1.column29.name=RECLMSTEAL@table1.column30.name=WAITSRECLM@table1.column31.name=RDFLTRAT@table1.column32.name=WRTFLTRAT@table1.column33.name=RDWAITRAT@table1.column34.name=WRTWAITRAT@table1.column35.name=NUMDSPACE@table1.column36.name=PAGDSPACE@table1.column37.name=LOCSEGSZ@table1.column38.name=REMSEGSZ@table1.column39.name=PAGESIZE@table1.column40.name=CACHEPAGE@table1.column41.name=FREEPAGE@table1.column42.name=CACHESIZE@table1.columnCount=42@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=ZFSASNAME@filter2.operator=EQ@filter2.value=$ZFSASNAME$@filterCount=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from dwl3270420.dat
*
* ******************************************************************
* *  Product:            KM5                                       *
* *  Version:            420                                       *
* *  Report:             Dynamic Link to TN3270                    *
* *  Table:              KM5DWL3270                                *
* *  Notes:                                                        * 
* *     AT:              [$THRUNODE$|*HUB] default is thrunode     *
* *     ORDER:           [ASCENDING|DESCENDING] default is ascend  *
* *                      Sort direction is reset on next ORDER     *
* *     GROUP:           Mutually exclusive with ORDER             *
* *     PARMS:           Specify the parma values passed in SQL    *
* *                                                                *
* * 2008/06/10 JRF Created for v420                                *
* * 2008/07/28 mjr Set to READONLY                                 *
* *                                                                *
* *     0   0    1    1    2    2    3    3    4    4    5    5    6
* ******1...5....0....5....0....5....0....5....0....5....0....5....0
* IDENT=Dynamic_Link_3270:420;
* AFFINITY=0W0000000000000000000000000000000G000000000;
* NAME=Dynamic Link to 3270;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=Dynamic Link to TN3270 Connection Data (V420);
* TABLE=KM5.KM5DWL3270;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;
* COLUMNS=HOSTIPADDR;
* COLUMNS=TN3270PORT;
* COLUMNS=LUGROUP;   
* COLUMNS=ZOS_AGTAP; 
* COLUMNS=USERDATA;  
* COLUMNS=EMU_TRMTY; 
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'Dynamic_Link_3270:420';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'Dynamic_Link_3270:420',
  'KM5',
  '0W0000000000000000000000000000000G000000000',
  'P',
  'Dynamic Link to 3270',
  'Dynamic Link to TN3270 Connection Data (V420)',
  'IBM',
  '1150305065437000',
'at=$THRUNODE$@table1.name=KM5DWL3270@table1.column1.name=ORIGINNODE@table1.column2.name=HOSTIPADDR@table1.column3.name=TN3270PORT@table1.column4.name=LUGROUP@table1.column5.name=ZOS_AGTAP@table1.column6.name=USERDATA@table1.column7.name=EMU_TRMTY@table1.columnCount=7@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from khlhchks.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            5.1.0                                   *
* *  Report:             Health Checks                           *
* *  Table:              HLHCHKS                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$] default is thrunode        *
* *     ORDER:           None                                    *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM5HLT_005;
* AFFINITY=0W00000000000000000000000000000010000000000;
* NAME=Health Checks;
* USER=IBM;
* VISIBLE=Y;
* DESC=Check information from Health Checker (V510);
* TABLE=KM5.HLHCHKS;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;            * Registered node name          *
* COLUMNS=TIMESTAMP;             * Time when sample taken        *
* COLUMNS=PLEXNAME;              * Name of sysplex               *
* COLUMNS=SMFID;                 * SMF Identifier for LPAR       *
* COLUMNS=SYSNAME;               * System Name                   *
* COLUMNS=CHECKPQET;             * Type: Normal or Deleted       *
* COLUMNS=CHECKNAME;             * Name of check                 *
* COLUMNS=CHECKOWN;              * Owner of check                *
* COLUMNS=CHECKSTATE;            * State of check                *
* COLUMNS=CHKSTATUS;             * Status of check               *
* COLUMNS=MSGTOKEN;              * Message token for links       *
* COLUMNS=RESULT;                * Numeric results value         *
* COLUMNS=DIAG1;                 * Hex diagnostics field 1       *
* COLUMNS=DIAG2;                 * Hex diagnostics field 2       *
* COLUMNS=DIAGFROM;              * Enumerated check status       *
* COLUMNS=GLOBAL;                * Global or Local type check    *
* COLUMNS=GLOBALSYS;             * System name if global         *
* COLUMNS=EXCCOUNT;              * Number of failures on last run*
* COLUMNS=RUNCOUNT;              * Number of times check ran     *
* COLUMNS=FAILCOUNT;             * Number of consec failures     *
* COLUMNS=SEVERITY;              * Severity of this check        *
* COLUMNS=SEVCODE;               * Numeric value for severity    *
* COLUMNS=WTOTYPE;               * Type of WTO to perform        *
* COLUMNS=MODIFIEDBY;            * Who/What modified check last  *
* COLUMNS=POLSTATUS;             * Policy Status                 *
* COLUMNS=WTONUM;                * Outstanding WTO requests      *
* COLUMNS=NUMCAT;                * Number of categories for chk  *
* COLUMNS=CATEGORY1;             * Category Identifier           *
* COLUMNS=CATEGORY2;             * Category Identifier           *
* COLUMNS=CATEGORY3;             * Category Identifier           *
* COLUMNS=CATEGORY4;             * Category Identifier           *
* COLUMNS=CATEGORY5;             * Category Identifier           *
* COLUMNS=CATEGORY6;             * Category Identifier           *
* COLUMNS=CATEGORY7;             * Category Identifier           *
* COLUMNS=CATEGORY8;             * Category Identifier           *
* COLUMNS=CATEGORY9;             * Category Identifier           *
* COLUMNS=CATEGORY10;            * Category Identifier           *
* COLUMNS=CATEGORY11;            * Category Identifier           *
* COLUMNS=CATEGORY12;            * Category Identifier           *
* COLUMNS=CATEGORY13;            * Category Identifier           *
* COLUMNS=CATEGORY14;            * Category Identifier           *
* COLUMNS=CATEGORY15;            * Category Identifier           *
* COLUMNS=CATEGORY16;            * Category Identifier           *
* COLUMNS=EXITNAME;              * Identifier for exit routine   *
* COLUMNS=MODNAME;               * Identifier for module name    *
* COLUMNS=MSGNAME;               * Identifier for message module *
* COLUMNS=USERDATE;              * Date last updated             *
* COLUMNS=DEFDATE;               * Date check was added          *
* COLUMNS=DEBUGMODE;             * Status of debug facility      *
* COLUMNS=STDTTIME;              * Timestamp when started        *
* COLUMNS=CHECKINTVL;            * Seconds between checks        *
* COLUMNS=NEXTTIME;              * Timestamp when next run       *
* COLUMNS=NEXTSCHI;              * Time remaining to next run    *
* COLUMNS=LOGDTTIME;             * Timestamp for last log write  *
* COLUMNS=DELDTTIME;             * Timestamp for when deleted    *
* COLUMNS=REASON;                * Reason for check existence    *
* COLUMNS=UPDREASON;             * Reason why it was updated     *
* COLUMNS=PARMAREA;              * Parameter Area                *
* COLUMNS=PROCNAME;              * Name of STC running checker   *
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KM5_High_Severity_Check Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5HLT_005';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_High_Severity_Check' AND 
 TEMPLATE = 'KM5HLT_005';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_005' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KM5HLT_005';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5HLT_005',
  'KM5',
  '0W00000000000000000000000000000010000000000',
  'D',
  'Health Checks',
  'Check information from Health Checker (V510)',
  'IBM',
  '1150305065438000',
'at=$THRUNODE$@table1.name=HLHCHKS@table1.column1.name=ORIGINNODE@table1.column2.name=TIMESTAMP@table1.column3.name=PLEXNAME@table1.column4.name=SMFID@table1.column5.name=SYSNAME@table1.column6.name=CHECKPQET@table1.column7.name=CHECKNAME@table1.column8.name=CHECKOWN@table1.column9.name=CHECKSTATE@table1.column10.name=CHKSTATUS@table1.column11.name=MSGTOKEN@table1.column12.name=RESULT@table1.column13.name=DIAG1@table1.column14.name=DIAG2@table1.column15.name=DIAGFROM@table1.column16.name=GLOBAL@table1.column17.name=GLOBALSYS@table1.column18.name=EXCCOUNT@table1.column19.name=RUNCOUNT@table1.column20.name=FAILCOUNT@table1.column21.name=SEVERITY@table1.column22.name=SEVCODE@table1.column23.name=WTOTYPE@table1.column24.name=MODIFIEDBY@table1.column25.name=POLSTATUS@table1.column26.name=WTONUM@table1.column27.name=NUMCAT@table1.column28.name=CATEGORY1@table1.column29.name=CATEGORY2@table1.column30.name=CATEGORY3@table1.column31.name=CATEGORY4@table1.column32.name=CATEGORY5@table1.column33.name=CATEGORY6@table1.column34.name=CATEGORY7@table1.column35.name=CATEGORY8@table1.column36.name=CATEGORY9@table1.column37.name=CATEGORY10@table1.column38.name=CATEGORY11@table1.column39.name=CATEGORY12@table1.column40.name=CATEGORY13@table1.column41.name=CATEGORY14@table1.column42.name=CATEGORY15@table1.column43.name=CATEGORY16@table1.column44.name=EXITNAME@table1.column45.name=MODNAME@table1.column46.name=MSGNAME@table1.column47.name=USERDATE@table1.column48.name=DEFDATE@table1.column49.name=DEBUGMODE@table1.column50.name=STDTTIME@table1.column51.name=CHECKINTVL@table1.column52.name=NEXTTIME@table1.column53.name=NEXTSCHI@table1.column54.name=LOGDTTIME@table1.column55.name=DELDTTIME@table1.column56.name=REASON@table1.column57.name=UPDREASON@table1.column58.name=PARMAREA@table1.column59.name=PROCNAME@table1.columnCount=59@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000010000000000',
   32,
   259,
   '1150305065438000',
   '_ KCJ',
   'KM5HLT_005',
   'Health Checks'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_005',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KM5HLT_005',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_High_Severity_Check',
   'Critical',
   'KM5HLT_005',
   0
);

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from khlhmsgt.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            5.1.0                                   *
* *  Report:             Health Check Messages                   *
* *  Table:              HLHMSGT                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$] default is thrunode        *
* *     ORDER:           None                                    *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM5HLT_010;
* AFFINITY=0W00000000000000000000000000000010000000000;
* NAME=Health Check Messages;
* USER=IBM;
* VISIBLE=N;
* DESC=Text messages for a given check (V510);
* TABLE=KM5.HLHMSGT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;            * Registered node name          *
* COLUMNS=TIMESTAMP;             * Time when sample taken        *
* COLUMNS=PLEXNAME;              * Name of sysplex               *
* COLUMNS=SMFID;                 * SMF Identifier for LPAR       *
* COLUMNS=SYSNAME;               * System Name                   *
* COLUMNS=MSGTOKEN;              * Message token used to match   *
* COLUMNS=CHECKNAME;             * Check Name                    *
* COLUMNS=CHECKOWN;              * Check Owner                   *
* COLUMNS=CHECKTEXT;             * Check Text                    *
* PRED=ORIGINNODE = $NODE$;
* PRED=AND MSGTOKEN = $TOKVAL$;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5HLT_010';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5HLT_010',
  'KM5',
  '0W00000000000000000000000000000010000000000',
  'P',
  'Health Check Messages',
  'Text messages for a given check (V510)',
  'IBM',
  '1150305065438000',
'at=$THRUNODE$@table1.name=HLHMSGT@table1.column1.name=ORIGINNODE@table1.column2.name=TIMESTAMP@table1.column3.name=PLEXNAME@table1.column4.name=SMFID@table1.column5.name=SYSNAME@table1.column6.name=MSGTOKEN@table1.column7.name=CHECKNAME@table1.column8.name=CHECKOWN@table1.column9.name=CHECKTEXT@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=MSGTOKEN@filter2.operator=EQ@filter2.value=$TOKVAL$@filterCount=2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 07.085
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from khlhstat.dat
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            5.1.0                                   *
* *  Report:             Health Check Status                     *
* *  Table:              HLHSTAT                                 *
* *  Notes:                                                      *
* *     AT:              [$THRUNODE$] default is thrunode        *
* *     ORDER:           None                                    *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM5HLT_001;
* AFFINITY=0W00000000000000000000000000000010000000000;
* NAME=Health Check Status;
* USER=IBM;
* VISIBLE=Y;
* DESC=Status information about Health Checker (V510);
* TABLE=KM5.HLHSTAT;
* AT=$THRUNODE$;
* COLUMNS=ORIGINNODE;            * Registered node name          *
* COLUMNS=TIMESTAMP;             * Time when sample taken        *
* COLUMNS=PLEXNAME;              * Name of sysplex               *
* COLUMNS=SMFID;                 * SMF Identifier for LPAR       *
* COLUMNS=SYSNAME;               * System Name                   *
* COLUMNS=PROCNAME;              * Name of HC procedure          *
* COLUMNS=TASKID;                * Task name for HC              *
* COLUMNS=STATUS;                * Status of HC                  *
* COLUMNS=VERSION;               * Version of system             *
* COLUMNS=EXOUT;                 * Outstanding Exception cnt     *
* COLUMNS=EXSEVNONE;             * Successful Exception cnt      *
* COLUMNS=EXSEVLOW;              * Low Severity exception cnt    *
* COLUMNS=EXSEVMED;              * Medium Severity exception cnt *
* COLUMNS=EXSEVHIGH;             * High Severity exceptino cnt   *
* COLUMNS=CHKSNOTDEL;            * Count of not deleted checks   *
* COLUMNS=CHKSDEL;               * Count of deleted checks       *
* COLUMNS=CHKSDELPND;            * Count of pending deleted chks *
* COLUMNS=CHKSELIG;              * Count of eligible checks      *
* COLUMNS=CHKSINELIG;            * Count of ineligible checks    *
* COLUMNS=PRMLIBMBRS;            * Parm Lib Members              *
* PRED=ORIGINNODE = $NODE$;
* SITNAME=KM5_HealthChecker_Problems Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5HLT_001';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'KM5_HealthChecker_Problems' AND 
 TEMPLATE = 'KM5HLT_001';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5HLT_001' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KM5HLT_001';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5HLT_001',
  'KM5',
  '0W00000000000000000000000000000010000000000',
  'D',
  'Health Check Status',
  'Status information about Health Checker (V510)',
  'IBM',
  '1150305065438000',
'at=$THRUNODE$@table1.name=HLHSTAT@table1.column1.name=ORIGINNODE@table1.column2.name=TIMESTAMP@table1.column3.name=PLEXNAME@table1.column4.name=SMFID@table1.column5.name=SYSNAME@table1.column6.name=PROCNAME@table1.column7.name=TASKID@table1.column8.name=STATUS@table1.column9.name=VERSION@table1.column10.name=EXOUT@table1.column11.name=EXSEVNONE@table1.column12.name=EXSEVLOW@table1.column13.name=EXSEVMED@table1.column14.name=EXSEVHIGH@table1.column15.name=CHKSNOTDEL@table1.column16.name=CHKSDEL@table1.column17.name=CHKSDELPND@table1.column18.name=CHKSELIG@table1.column19.name=CHKSINELIG@table1.column20.name=PRMLIBMBRS@table1.columnCount=20@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0W00000000000000000000000000000010000000000',
   32,
   259,
   '1150305065438000',
   '_ KCJ',
   'KM5HLT_001',
   'Health Check Status'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5HLT_001',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KM5HLT_001',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'KM5_HealthChecker_Problems',
   'Warning',
   'KM5HLT_001',
   0
);

******************************************************************
**                                                              **
** 03/11/21 JLF  Co-existence for M5550 - APAR OA60576          **
**               DELETE Queries no longer valid and will        **
**               create duplicate "JES Spool" workspaces        **
**               in Navigator.                                  **
**                                                              **
******************************************************************

DELETE FROM KFWQUERY   WHERE ID       =
 'JES_Spool:5603';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'JES_Spool:5603' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'JES_Spool:5603';

DELETE FROM KFWQUERY   WHERE ID       =
 'JES_Spool_Partitions:5603';

DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_JES_Spool:5603';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:5603' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KM5_JES_Spool:5603';

 DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_JES_Spool_Extents:5603';

DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_JES_Spool_Partitions:5603';

DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_JES_Spool:55015';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5_JES_Spool:55015' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KM5_JES_Spool:55015';

DELETE FROM KFWQUERY   WHERE ID       =
 'KM5_JES_Spool_Extents:55015';


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1121\KM5JEST.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560 and above                           *
* *  Report:             JES_Spool_System                        *
* *  Table:              KM5JES                                  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  02/05/20 jflores    Initial putpart.                        *
* *  02/14/21 JFlores   YSZS-1121 Change Navigator relative      *
* *                     position for JES Spool                   *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM5JES_Spool:5603;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=53;
* NAME=JES Spool;
* USER=Candle;
* READONLY=Y;
* VISIBLE=Y;
* DESC=JES Spool System (5603);
* TABLE=KM5.KM5JES;
* AT=$THRUNODE$;
* COLUMNS=JESNAME, TGNUM, TGUSE, TGPCT, TRKNUM, TRKUSE, TRKPCT;
* COLUMNS=ATGNUM, ATGUSE, ATGPCT, ATRKNUM, ATRKUSE, ATRKPCT;
* COLUMNS=PCOUNT, ECOUNT;
* SITNAME=JES_Spool_Allocated_Pct_Crit Critical;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND JESRTYPE = "T";


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5JES_Spool:5603';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JES_Spool_Allocated_Pct_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KM5JES_Spool:5603';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:5603' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KM5JES_Spool:5603';



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1121\KM5JESV.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560 and above                           *
* *  Report:             JES_Spool_Extents                       *
* *  Table:              KM5JES                                  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  02/05/20 jflores    Initial putpart.                        *
* *  02/14/21 JFlores   YSZS-1121 Change Navigator relative      *
* *                     position for JES Spool                   *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM5JES_Spool_Extents:5603;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=53;
* NAME=JES Spool Extents:5603;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=JES Spool Extents (5603);
* TABLE=KM5.KM5JES;
* AT=$THRUNODE$;
* COLUMNS=VJES3PNAME, VEXTSTATUS, VEXTID, VDSNAME, VTGNUM, VTGUSE;
* COLUMNS=VTGPCT, VTRKNUM, VTRKUSE, VTRKPCT, VTRKCYL, VTRKREC;
* COLUMNS=VTRKGRP, VEXTNUM, VTRKLOW, VTRKHIGH;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND JESRTYPE = "V";

DELETE FROM KFWQUERY   WHERE ID       =
 'KM5JES_Spool_Extents:5603';

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1121\KM5JESP.dat.txt
*
* ****************************************************************
* *  Product:            KM5                                     *
* *  Version:            560 and above                           *
* *  Report:             JES_Spool_Partitions                    *
* *  Table:              KM5JES                                  *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  02/05/20 jflores    Initial putpart.                        *
* *  04/06/20 jflores    Fix JESRTYPE to use "P" instead of "V"  *
* *                      to filter JES Partitions records.       *
* *  02/14/21 JFlores   YSZS-1121 Change Navigator relative      *
* *                     position for JES Spool                   *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=KM5JES_Spool_Partitions:5603;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=53;
* NAME=JES Spool Partitions:5603;
* USER=Candle;
* READONLY=Y;
* VISIBLE=N;
* DESC=JES Spool Partitions (5603);
* TABLE=KM5.KM5JES;
* AT=$THRUNODE$;
* COLUMNS=PARTNUM, PARTID, PTGNUM, PTGUSE, PTNUM, PTUSE, PTPCT;      
* COLUMNS=PATGNUM, PATGUSE, PATGPCT, PATRACKS, PATRACKU, PATRACKPCT;
* COLUMNS=PEXTNUM;    
* PRED=ORIGINNODE = $NODE$;
* PRED=AND JESRTYPE = "P";


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5JES_Spool_Partitions:5603';

******   Trailer   ***********************************************
**               DELETE Queries no longer valid and will        **
**               create duplicate "JES Spool" workspaces        **
**               in Navigator.                                  **
******************************************************************


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1121\KM5JESSPOLS.dat.txt
*
* * ******************************************************************
* * * Licensed Materials - Property of IBM                           *
* * * 5698-B6601                                                     *
* * * ® Copyright Rocket Software Inc., 2020                         *
* * *                                                                *
* * * US Government Users Restricted Rights - Use, duplication or    *
* * * disclosure restricted by GSA ADP Schedule Contract with        *
* * * IBM Corp.                                                      *
* * ******************************************************************
* * **                                                              **
* * ** Maintenance Log:                                             **
* * **                                                              **
* * ** Date     Who   ID  Description                               **
* * ** -------- ---- ---  ----------------------------------------- **
* * ** 12/14/20 JLF       Initial Development to support            **
* * **                    Co-existence for M5550 - APAR OA60576     **
* * ** 02/14/21 JFlores   YSZS-1121 Change Navigator relative       **
* * **                    position for JES Spool                    **
* * ******************************************************************
* * Agent=KM5JDAG                                                    *
* *                                                                  *
* *        0   0    1    1    2    2    3    3    4 4                *
* *********1...5....0....5....0....5....0....5....0.2*****************
* IDENT=KM5JES_Spool:55015;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=15;
* NAME=JES Spool;
* USER=IBM;
* DESC=JES Spool Totals (55015);
* VISIBLE=Y;
* READONLY=Y;
* TABLE=KM5.KM5JESSPOL;
* HISTORY=Z;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       SMF_ID
* COLUMNS=SMFID;
* *       JES_Subsystem_Type
* COLUMNS=SUBSYSTYPE;
* *       JES_Subsystem_Name
* COLUMNS=SUBSYSNAME;
* *       Track_Groups_Total
* COLUMNS=TRKGPTOT;
* *       Track_Groups_In_Use
* COLUMNS=TRKGPINUS;
* *       Track_Groups_Percent_Used
* COLUMNS=TRKGPPCTU;
* *       Track_Groups_Total_Active
* COLUMNS=TRKGPTOTA;
* *       Track_Groups_Active_In_Use
* COLUMNS=TRKGPINUSA;
* *       Tracks_Total
* COLUMNS=TRACKTOT;
* *       Tracks_In_Use
* COLUMNS=TRACKINUS;
* *       Tracks_Percent_Used
* COLUMNS=TRACKPCTU;
* *       Tracks_Total_Active
* COLUMNS=TRACKTOTA;
* *       Tracks_Active_In_Use
* COLUMNS=TRACKINUSA;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=JES_Spool_Allocated_Pct_Crit Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5JES_Spool:55015';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JES_Spool_Allocated_Pct_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KM5JES_Spool:55015';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KM5JES_Spool:55015' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KM5JES_Spool:55015';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5JES_Spool:55015',
  'KM5',
  '%IBM.STATIC007          000000000F000000000',
  'D',
  'JES Spool',
  'JES Spool Totals (55015)',
  'IBM',
  '1210218185612000',
'at=$THRUNODE$@table1.name=KM5JESSPOL@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=SUBSYSTYPE@table1.column4.name=SUBSYSNAME@table1.column5.name=TRKGPTOT@table1.column6.name=TRKGPINUS@table1.column7.name=TRKGPPCTU@table1.column8.name=TRKGPTOTA@table1.column9.name=TRKGPINUSA@table1.column10.name=TRACKTOT@table1.column11.name=TRACKINUS@table1.column12.name=TRACKPCTU@table1.column13.name=TRACKTOTA@table1.column14.name=TRACKINUSA@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=Z@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC007          000000000F000000000',
   32,
   259,
   '1210218185612000',
   '_ KCJ',
   'KM5JES_Spool:55015',
   'JES Spool'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KM5JES_Spool:55015',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KM5JES_Spool:55015',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JES_Spool_Allocated_Pct_Crit',
   'Critical',
   'KM5JES_Spool:55015',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1121\KM5JESSPOLX.dat.txt
*
* * ******************************************************************
* * * Licensed Materials - Property of IBM                           *
* * * 5698-B6601                                                     *
* * * ® Copyright Rocket Software Inc., 2020                         *
* * *                                                                *
* * * US Government Users Restricted Rights - Use, duplication or    *
* * * disclosure restricted by GSA ADP Schedule Contract with        *
* * * IBM Corp.                                                      *
* * ******************************************************************
* * **                                                              **
* * ** Maintenance Log:                                             **
* * **                                                              **
* * ** Date     Who   ID  Description                               **
* * ** -------- ---- ---  ----------------------------------------- **
* * ** 12/14/20 JLF       Initial Development to support            **
* * **                    Co-existence for M5550 - APAR OA60576     **
* * ** 02/14/21 JFlores   YSZS-1121 Change Navigator relative       **
* * **                    position for JES Spool                    **
* * ******************************************************************
* * Agent=KM5JDAG                                                    *
* *                                                                  *
* *        0   0    1    1    2    2    3    3    4 4                *
* *********1...5....0....5....0....5....0....5....0.2*****************
* IDENT=KM5JES_Spool_Extents:55015;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=15;
* NAME=JES Spool Extents:55015;
* USER=IBM;
* DESC=JES Spool Extents (55015);
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5JESSPOL;
* HISTORY=Z;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       SMF_ID
* COLUMNS=SMFID;
* *       JES_Subsystem_Type
* COLUMNS=SUBSYSTYPE;
* *       JES_Subsystem_Name
* COLUMNS=SUBSYSNAME;
* *       Spool_Extent
* COLUMNS=SPOOLXTENT;
* *       Extent_Status
* COLUMNS=EXTENTSTAT;
* *       Extent_Track_Groups_Total
* COLUMNS=SPLTGRPTOT;
* *       Extent_Track_Groups_In_Use
* COLUMNS=SPLTGRPIU;
* *       Extent_Track_Groups_Percent_Used
* COLUMNS=SPLTGRPPUS;
* *       Extent_Tracks_Total
* COLUMNS=SPLTRCKTOT;
* *       Extent_Tracks_In_Use
* COLUMNS=SPLTRCKIU;
* *       Extent_Tracks_Percent_Used
* COLUMNS=SPLTRCKPUS;
* *       Partition_Name
* COLUMNS=PARTNAME;
* PRED=ORIGINNODE = $NODE$;
* * ORDER=SPOOLXTENT;
* SITNAME=JES_Spool_Allocated_Pct_Crit Critical;


DELETE FROM KFWQUERY   WHERE ID       =
 'KM5JES_Spool_Extents:55015';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JES_Spool_Allocated_Pct_Crit' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KM5JES_Spool_Extents:55015',
  'KM5',
  '%IBM.STATIC007          000000000F000000000',
  'P',
  'JES Spool Extents:55015',
  'JES Spool Extents (55015)',
  'IBM',
  '1210218185558000',
'at=$THRUNODE$@table1.name=KM5JESSPOL@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=SUBSYSTYPE@table1.column4.name=SUBSYSNAME@table1.column5.name=SPOOLXTENT@table1.column6.name=EXTENTSTAT@table1.column7.name=SPLTGRPTOT@table1.column8.name=SPLTGRPIU@table1.column9.name=SPLTGRPPUS@table1.column10.name=SPLTRCKTOT@table1.column11.name=SPLTRCKIU@table1.column12.name=SPLTRCKPUS@table1.column13.name=PARTNAME@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=Z@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JES_Spool_Allocated_Pct_Crit',
   'Critical',
   'KFW_NODE',
   0
);



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1157\KM5PCIEH-1.dat
*
* ****************************************************************
* *  5698-B6601                                                  *
* *  � Copyright Rocket Software Inc. 2020                       *
* *  Product:            KM5                                     *
* *  Version:            560 and above                           *
* *  Report:             PCIE Historical Activity                *
* *  Table:              KM5PCIEH                                *
* *  Notes:                                                      *
* *                                                              *
* *        This table provides PCI Express (PCIE) Activity       *
* *        information for all types of PCIE functions that      *
* *        are allocated over the specified near-term history    *
* *        time periods.                                         *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  04/11/20 jflores    Initial putpart.                        *
* *  01/19/21 jflores    Upgrade sql generation using jhelper    *
* *                                                              *
* *     0   0    1    1    2    2    3 3                         *
* ******1...5....0....5....0....5....0.2**************************
* IDENT=PCIE_Historical_Activity:5604;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=54;
* NAME=PCIE Activity;
* USER=IBM;
* READONLY=Y;
* VISIBLE=N;
* DESC=PCIE Historical Activity (5604);
* TABLE=KM5.KM5PCIEH;
* AT=$THRUNODE$;
* *      Managed_System
* COLUMNS=ORIGINNODE;
* *  Managed system name where this data is collected .
* *  It has the format: <plexname>:<smfid>:MVSSYS.
* *  <plexname> is the sysplex this LPAR resides in.
* *  <smfid> is the system's SMF identifier
* *      SMF_ID
* COLUMNS=SMFID;
* *  The SMF ID associated with the system being queried.
* *      Function_ID
* COLUMNS=FCNID;
* *  The PCIE Function Identifier.  This is an alphanumeric string
* *  of no more than 4 characters.
* *      Function_CHID
* COLUMNS=FCNCHID;
* *  The Physical or virtual channel identifier for the
* *  PCIE function.  This is an alphanumeric string of no more than 4
* *  characters.
* *      Function_Type
* COLUMNS=FCNTYPE;
* *  Device type for the PCIE function which can be one of the
* *  following Types:
* *      Function_Jobname
* COLUMNS=FCNJOBNAME;
* *  The name of the job that allocated the PCIE function.
* *      Function_ASID
* COLUMNS=FCNASID;
* *  Address Space ID in hex of Job that allocated the PCIE function.
* *      Function_Status
* COLUMNS=FCNSTATUS;
* *  The Status of the PCIE function which can be one of the
* *  following Values:
* *      Allocation_Date
* COLUMNS=ALLOCDATE;
* *  The date when the PCIE function was allocated.
* *      Allocation_Time
* COLUMNS=ALLOCTIME;
* *  The date when the PCIE function was allocated.
* *      Allocation_Time_Percent
* COLUMNS=ALLOCTIMEP;
* *  The percentage of the reporting interval the PCIE function was
* *  allocated or in the process of de-allocation.
* *      PCI_Load_Rate
* COLUMNS=PCILOADRT;
* *  Rate of PCI Load operations that were executed within this
* *  reporting interval.
* *      PCI_Store_Rate
* COLUMNS=PCISTORRT;
* *  Rate of PCI Store operations that were executed within this
* *  reporting interval.
* *      PCI_Store_Block_Rate
* COLUMNS=PCISTORBRT;
* *  Rate of PCI Store Block operations that were executed within this
* *  reporting interval.
* *      PCI_Refresh_Rate
* COLUMNS=PCIREFRRT;
* *  Rate of Refresh PCI Translations that were executed within this
* *  reporting interval.
* *      Transfer_Read_Rate
* COLUMNS=TRREADRT;
* *  Read Transfer Rate
* *      Transfer_Write_Rate
* COLUMNS=TRWRITRT;
* *  Write Transfer Rate
* *      Packet_Receive_Rate
* COLUMNS=PACKRCVRT;
* *  Packet Receive Rate
* *      Packet_Xmit_Rate
* COLUMNS=PACKXMITRT;
* *  Packet Transmit Rate
* *      DMA_AS_Count
* COLUMNS=DMAASCNT;
* *  Count of the number of address spaces using DMA operations.
* *      HWA_Workunit_Rate
* COLUMNS=HWAWKUNIT;
* *  Hardware Accelerator work unit rate.
* *      HWA_Adapter_Util
* COLUMNS=HWAADPTUTL;
* *  Hardware Accelerator Adapter utilization.
* *      HWA_App_Type
* COLUMNS=HWAAPPTYPE;
* *  The type of hardware accelerator application.  This
* *  is an alphanumeric string of up to 16 characters.
* *      HWA_Transfer_Rate
* COLUMNS=HWATRRT;
* *  Hardware Accelerator transfer rate.
* *      HWA_Req_Exec_Time
* COLUMNS=HWARQEXTM;
* *  Hardware Accelerator request execution time.
* *      HWA_Req_Exec_TimeSD
* COLUMNS=HWARQEXTMS;
* *  Hardware Accelerator request execution time standard deviation.
* *      HWA_Req_Queue_Time
* COLUMNS=HWARQQTIM;
* *  Hardware Accelerator request queue time.
* *      HWA_Req_Queue_TimeSD
* COLUMNS=HWARQQTIMS;
* *  Hardware Accelerator request queue time standard deviation.
* *      HWA_Req_Size
* COLUMNS=HWARQSIZE;
* *  Hardware Accelerator request size.
* *      HWA_Comp_Req_Rate
* COLUMNS=HWACMPRQRT;
* *  Hardware Accelerator Application compression request rate.
* *      HWA_Comp_Throughput
* COLUMNS=HWACMPTHRU;
* *  Hardware Accelerator Application compression throughput.
* *      HWA_Comp_Ratio
* COLUMNS=HWACMPRATI;
* *  Hardware Accelerator Application compression ratio.
* *      HWA_Decomp_Req_Rate
* COLUMNS=HWADECRQRT;
* *  Hardware Accelerator Application decompression request rate.
* *      HWA_Decomp_Throughput
* COLUMNS=HWADECTHRU;
* *  Hardware Accelerator Application decompression throughput.
* *      HWA_Decomp_Ratio
* COLUMNS=HWADECRATI;
* *  Hardware Accelerator Application decompression ratio.
* *      HWA_BufPool_Size
* COLUMNS=HWABUFPSIZ;
* *  Hardware Accelerator Buffer Pool memory size.
* *      HWA_BufPool_Util
* COLUMNS=HWABUFPUTL;
* *  Hardware Accelerator Buffer Pool utilization.
* *      Time_Busy
* COLUMNS=TIMEBUSY;
* *  Time Busy % for Hardware Accelerator and Synchronous I/O.
* *      PNET_ID1 (Physical\Network\ID1)
* COLUMNS=PNETID1;
* *  The Physical Network Identifier that identifies the first port
* *  of the RoCE/RoCE-2 device or ISM function. This is an
* *  alphanumeric string of no more than 8 characters.
* *      PNET_ID2 (Physical\Network\ID2)
* COLUMNS=PNETID2;
* *  The Physical Network Identifier that identifies the second port
* *  of the RoCE/RoCE-2 device. This is an alphanumeric string of no
* *  more than 8 characters.
* *      Port_ID
* COLUMNS=PORTID;
* *  The Port ID for a RoCE/RoCE-2 device, ISM function or
* *  Synchronous I/O. This is an alphanumeric string
* *  of no more than 4 characters.
* *      SIO_Type_Model
* COLUMNS=SIOTYPMOD;
* *  The Type and Model of the storage controller the synchronous
* *  I/O links to. This is an alphanumeric string
* *  of no more than 12 characters.
* *      SIO_Serial_Num
* COLUMNS=SIOSERNUM;
* *  The Serial Number of the storage controller the synchronous
* *  I/O links to. This is an alphanumeric string
* *  of no more than 12 characters.
* *      SIO_Link_ID
* COLUMNS=SIOLINKID;
* *  The identifier of the synchronous I/O link that is configured
* *  in the storage controller. This is an alphanumeric string
* *  of no more than 4 characters.
* *      SIO_Time_Busy_CPC
* COLUMNS=SIOTIMBSYC;
* *  The percentage of time spent on synchronous I/O processing on
* *  the synchronous I/O link (CPC) this function is defined on.
* *      SIO_Req_Rate
* COLUMNS=SIORQRATE;
* *  The total number of synchronous I/O requests per second for
* *  this function.
* *      SIO_Req_Rate_CPC
* COLUMNS=SIORQRATEC;
* *  The total number of synchronous I/O requests per second for
* *  the synchronous I/O link (CPC) this function is defined on.
* *      SIO_Xfer_Read_Rate_CPC
* COLUMNS=SIOTRRDRTC;
* *  The total number of megabytes per second that were read from the
* *  storage controller for the synchronous I/O link (CPC) this
* *  function is defined on.
* *      SIO_Xfer_Read_Ratio
* COLUMNS=SIOTRRDRI;
* *  The number of megabytes read per request processed by this
* *  synchronous I/O function.
* *      SIO_Xfer_Read_Ratio_CPC
* COLUMNS=SIOTRRDRIC;
* *  The number of megabytes read per request processed by the
* *  synchronous I/O link (CPC) this function is defined on.
* *      SIO_Xfer_Write_Rate_CPC
* COLUMNS=SIOTRWRRTC;
* *  The total number of megabytes per second that were written to
* *  the storage controller for the synchronous I/O link (CPC) this
* *  function is defined on.
* *      SIO_Xfer_Write_Ratio
* COLUMNS=SIOTRWRRI;
* *  The number of megabytes written per request processed by this
* *  synchronous I/O function.
* *      SIO_Xfer_Write_Ratio_CPC
* COLUMNS=SIOTRWRRIC;
* *  The number of megabytes written per request processed by the
* *  synchronous I/O link (CPC) this function is defined on.
* *      SIO_Success_Pct
* COLUMNS=SIOSUCPCT;
* *  The percentage of synchronous I/O requests that completed
* *  successfuly for this function.
* *      SIO_Success_Pct_CPC
* COLUMNS=SIOSUCPCTC;
* *  The percentage of synchronous I/O requests that completed
* *  successfuly for the
* *  synchronous I/O link (CPC) this function is defined on.
* *      Recording_End_Time
* COLUMNS=RECETIME;
* *  Recording time of data represented by a given row.
* *  For RMF-based near-term history this will be the
* *  time of the end of the RMF Monitor III reporting
* *  interval.
* *      Recording_Start_Time
* COLUMNS=RECSTIME;
* *  Interval start recording time of data represented by a given row.
* *      Sample_Period
* COLUMNS=SAMPSEC;
* *  Sample period in seconds
* * 
* *  This attribute will not be presented in the workspace by default.
* * 
* *      RMF_Status
* COLUMNS=RMFSTAT;
* *  Status indications for availability of RMF and PCIE data.
* * 
* * This column added to circumvent the "ALIGNRIGHT inop if last
* * column" problem.
* *      *
* COLUMNS=LASTCOL;
* *
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'PCIE_Historical_Activity:5604';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'PCIE_Historical_Activity:5604',
  'KM5',
  '%IBM.STATIC007          000000000s000000000',
  'P',
  'PCIE Activity',
  'PCIE Historical Activity (5604)',
  'IBM',
  '1210127100653000',
'at=$THRUNODE$@table1.name=KM5PCIEH@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=FCNID@table1.column4.name=FCNCHID@table1.column5.name=FCNTYPE@table1.column6.name=FCNJOBNAME@table1.column7.name=FCNASID@table1.column8.name=FCNSTATUS@table1.column9.name=ALLOCDATE@table1.column10.name=ALLOCTIME@table1.column11.name=ALLOCTIMEP@table1.column12.name=PCILOADRT@table1.column13.name=PCISTORRT@table1.column14.name=PCISTORBRT@table1.column15.name=PCIREFRRT@table1.column16.name=TRREADRT@table1.column17.name=TRWRITRT@table1.column18.name=PACKRCVRT@table1.column19.name=PACKXMITRT@table1.column20.name=DMAASCNT@table1.column21.name=HWAWKUNIT@table1.column22.name=HWAADPTUTL@table1.column23.name=HWAAPPTYPE@table1.column24.name=HWATRRT@table1.column25.name=HWARQEXTM@table1.column26.name=HWARQEXTMS@table1.column27.name=HWARQQTIM@table1.column28.name=HWARQQTIMS@table1.column29.name=HWARQSIZE@table1.column30.name=HWACMPRQRT@table1.column31.name=HWACMPTHRU@table1.column32.name=HWACMPRATI@table1.column33.name=HWADECRQRT@table1.column34.name=HWADECTHRU@table1.column35.name=HWADECRATI@table1.column36.name=HWABUFPSIZ@table1.column37.name=HWABUFPUTL@table1.column38.name=TIMEBUSY@table1.column39.name=PNETID1@table1.column40.name=PNETID2@table1.column41.name=PORTID@table1.column42.name=SIOTYPMOD@table1.column43.name=SIOSERNUM@table1.column44.name=SIOLINKID@table1.column45.name=SIOTIMBSYC@table1.column46.name=SIORQRATE@table1.column47.name=SIORQRATEC@table1.column48.name=SIOTRRDRTC@table1.column49.name=SIOTRRDRI@table1.column50.name=SIOTRRDRIC@table1.column51.name=SIOTRWRRTC@table1.column52.name=SIOTRWRRI@table1.column53.name=SIOTRWRRIC@table1.column54.name=SIOSUCPCT@table1.column55.name=SIOSUCPCTC@table1.column56.name=RECETIME@table1.column57.name=RECSTIME@table1.column58.name=SAMPSEC@table1.column59.name=RMFSTAT@table1.column60.name=LASTCOL@table1.columnCount=60@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1157\PCIESUMM-dat.txt
*
* ******************************************************************
* * Licensed Materials - Property of IBM                           *
* * 5698-B6601                                                     *
* * ® Copyright Rocket Software Inc., 2020                         *
* *                                                                *
* * US Government Users Restricted Rights - Use, duplication or    *
* * disclosure restricted by GSA ADP Schedule Contract with        *
* * IBM Corp.                                                      *
* ******************************************************************
* *                                                                *
* *        This table provides PCI Express (PCIE) Activity         *
* *        information for all of PCIE functions that              *
* *        are allocated over the specified near-term history      *
* *        time periods.                                           *
* *                                                                *
* *        TEXT:      Device Type                                  *
* *        ENUM:      Unknown=-2                                   *
* *        ENUM:      Unavailable=-1                               *
* *        ENUM:      Hardware_Accelerator=1                       *
* *        ENUM:      SMC_Direct_Over_ISM=2                        *
* *        ENUM:      RoCE/RoCE_Express=3                          *
* *        ENUM:      RoCE_Express_2=4                             *
* *        ENUM:      zHyperLink=5                                 *
* *        ENUM:      zEDC_Data_Compression=6                      *
* *                                                                * 
* * Maintenance Log:                                               *
* *                                                                *
* * Date     Who   ID  Description                                 *
* * -------- ---- ---  -----------------------------------------   *
* * 01/19/21 JLF       Initial Development to support              *
* *                    Co-existence for IBM Spec                   *
* ******************************************************************
* *     Agent=KM5PSAG:560;                                         *
* *     IBM Spec equivalent for former KM5PCIEH of V560            *
* *                                                                *
* *        0   0    1    1    2    2    3    3    4 4              *
* *********1...5....0....5....0....5....0....5....0.2***************
* IDENT=PCIE_Device_Summary;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=14;
* NAME=PCIE Activity;
* USER=IBM;
* DESC=PCI Express Activity (5608);
* VISIBLE=Y;
* READONLY=Y;
* TABLE=KM5.KM5PCISUMM;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *       Managed System
* *       SMF_ID
* COLUMNS=SMFID;
* *       SMF ID
* *       Function_ID
* COLUMNS=FUNCTIONID;
* *       Function ID
* *       Channel_ID
* COLUMNS=CHANNELID;
* *       Channel ID
* *       Device_Type
* COLUMNS=DEVICETYPE;
* *       Device Type
* *       Job_Name
* COLUMNS=JOBNAME;
* *       Job Name
* *       ASID
* COLUMNS=ASID;
* *       ASID
* *       Function_Status
* COLUMNS=FUNCSTATUS;
* *       Function Status
* *       Allocation_Time_Percent
* COLUMNS=ALLOCTMPCT;
* *       Allocation Time Percent
* *       Allocation_Date
* COLUMNS=ALLOCDATE;
* *       Allocation Date
* *       Allocation_Time
* COLUMNS=ALLOCTIME;
* *       Allocation Time
* *       PCI_Load_Operations_Rate
* COLUMNS=PCILOADOPR;
* *       PCI Load Operations Rate
* *       PCI_Store_Operations_Rate
* COLUMNS=PCISTOROPR;
* *       PCI Store Operations Rate
* *       PCI_Store_Block_Operations_Rate
* COLUMNS=PCISTOBOPR;
* *       PCI Store Block Operations Rate
* *       PCI_Refresh_Operations_Rate
* COLUMNS=PCIREFROPR;
* *       PCI Refresh Operations Rate
* *       Transfer_Read_Rate
* COLUMNS=XFERREADRT;
* *       Transfer Read Rate
* *       Transfer_Write_Rate
* COLUMNS=XFERWRITRT;
* *       Transfer Write Rate
* *       HWA_Time_Busy_Percent
* COLUMNS=HWATMBUSYP;
* *       HWA Time Busy Percent
* *       HWA_Transfer_Rate
* COLUMNS=HWATMXFRRT;
* *       HWA Transfer Rate
* *       HWA_Request_Execution_Time
* COLUMNS=HWARQEXTIM;
* *       HWA Request Execution Time
* *       HWA_Request_Queue_Time
* COLUMNS=HWARQQTIME;
* *       HWA Request Queue Time
* *       HWA_Request_Size
* COLUMNS=HWARQSIZE;
* *       HWA Request Size
* *       HWA_Req_Exec_Time_Standard_Deviation
* COLUMNS=HWARQETMST;
* *       HWA Req Exec Time Standard Deviation
* *       HWA_Req_Q_Time_Standard_Deviation
* COLUMNS=HWARQQTMST;
* *       HWA Req Q Time Standard Deviation
* *       Application_Compression_Request_Rate
* COLUMNS=APPCOMPRQR;
* *       Application Compression Request Rate
* *       Application_Decompression_Request_Rate
* COLUMNS=APPDCMPRQR;
* *       Application Decompression Request Rate
* *       Application_Compression_Throughput_Rate
* COLUMNS=APPCOMPTHR;
* *       Application Compression Throughput Rate
* *       Application_Decompression_Throughput_Rate
* COLUMNS=APPDCMPTHR;
* *       Application Decompression Throughput Rate
* *       Application_Compression_Ratio
* COLUMNS=APPCOMPRTO;
* *       Application Compression Ratio
* *       Application_Decompression_Ratio
* COLUMNS=APPDCMPRTO;
* *       Application Decompression Ratio
* *       Buffer_Pool_Memory_Size
* COLUMNS=BUFFPOOLSZ;
* *       Buffer Pool Memory Size
* *       Buffer_Pool_Utilization_Percentage
* COLUMNS=BUFFPOOLUP;
* *       Buffer Pool Utilization Percentage
* *       Received_Packets_Rate
* COLUMNS=RCVPKTRATE;
* *       Received Packets Rate
* *       Transmitted_Packets_Rate
* COLUMNS=XMTPKTRATE;
* *       Transmitted Packets Rate
* *       Work_Unit_Rate
* COLUMNS=WKUNITRATE;
* *       Work Unit Rate
* *       Adapter_Utilization_Percentage
* COLUMNS=ADAPTUTILP;
* *       Adapter Utilization Percentage
* *       Physical_Network_ID_Port_1
* COLUMNS=PNETID1;
* *       Physical Network Port 1
* *       Physical_Network_ID_Port_2
* COLUMNS=PNETID2;
* *       Physical Network Port 2
* *       zHyperLink_Link_Port_ID
* COLUMNS=SIOPORTID;
* *       zHyperLink Link Port ID
* *       zHyperLink_Link_Serial_Number
* COLUMNS=SIOSERNUM;
* *       zHyperLink Link Serial Number
* *       zHyperLink_Link_Type-Model
* COLUMNS=SIOTYPEMOD;
* *       zHyperLink Link Type-Model
* *       zHyperLink_Percent_Time_Busy
* COLUMNS=SYNIOTBSYP;
* *       zHyperLink Percent Time Busy
* *       zHyperLink_Request_Rate
* COLUMNS=SYNIORRT;
* *       zHyperLink Request Rate
* *       zHyperLink_Request_Rate_CPC
* COLUMNS=SYNIORRTC;
* *       zHyperLink Request Rate (CPC)
* *       zHyperLink_Transfer_Read_Rate_CPC
* COLUMNS=SYNIOTRRC;
* *       zHyperLink Transfer Read Rate (CPC)
* *       zHyperLink_Transfer_Read_Ratio
* COLUMNS=SYNIOXRR;
* *       zHyperLink Transfer Read Ratio
* *       zHyperLink_Transfer_Read_Ratio_CPC
* COLUMNS=SYNIOXRRC;
* *       zHyperLink Transfer Read Ratio (CPC)
* *       zHyperLink_Transfer_Write_Rate_CPC
* COLUMNS=SYNIOTWRC;
* *       zHyperLink Transfer Write Rate (CPC)
* *       zHyperLink_Transfer_Write_Ratio
* COLUMNS=SYNIOXWR;
* *       zHyperLink Transfer Write Ratio
* *       zHyperLink_Transfer_Write_Ratio_CPC
* COLUMNS=SYNIOXWRC;
* *       zHyperLink Transfer Write Ratio (CPC)
* *       zHyperLink_Req_Success_Percent
* COLUMNS=SYNIOSRR;
* *       zHyperLink Req Success Percent
* *       zHyperLink_Req_Success_Percent_CPC
* COLUMNS=SYNIOSRRC;
* *       zHyperLink Req Success Percent (CPC)
* *       Number_DMA_Address_Spaces
* COLUMNS=NUMDMAAS;
* *       Number DMA Address Spaces
* *       Hardware_Accelerator_Type
* COLUMNS=HWATYPE;
* *       Hardware Accelerator Type
* *       Recording_End_Time
* COLUMNS=RECETIME;
* *       Recording End Time
* *       Recording_Start_Time
* COLUMNS=RECSTIME;
* *       Recording Start Time
* *       Sample_Period
* COLUMNS=SAMPSEC;
* *       Sample Period
* *       RMF_Status
* COLUMNS=RMFSTAT;
* *       RMF Status
* *       zHyperLink_Link_Serial_Num_Str
* COLUMNS=SIOSERNMS;
* *       zHyperLink Link Serial Number
* *       zHyperLink_Link_Type-Mod_Str
* COLUMNS=SIOTYPEMDS;
* *       zHyperLink Link Type-Model
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'PCIE_Device_Summary';


DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'PCIE_Device_Summary' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'PCIE_Device_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'PCIE_Device_Summary',
  'KM5',
  '%IBM.STATIC007          000000000E000000000',
  'D',
  'PCIE Activity',
  'PCI Express Activity (5608)',
  'IBM',
  '1210211080548000',
'at=$THRUNODE$@table1.name=KM5PCISUMM@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=FUNCTIONID@table1.column4.name=CHANNELID@table1.column5.name=DEVICETYPE@table1.column6.name=JOBNAME@table1.column7.name=ASID@table1.column8.name=FUNCSTATUS@table1.column9.name=ALLOCTMPCT@table1.column10.name=ALLOCDATE@table1.column11.name=ALLOCTIME@table1.column12.name=PCILOADOPR@table1.column13.name=PCISTOROPR@table1.column14.name=PCISTOBOPR@table1.column15.name=PCIREFROPR@table1.column16.name=XFERREADRT@table1.column17.name=XFERWRITRT@table1.column18.name=HWATMBUSYP@table1.column19.name=HWATMXFRRT@table1.column20.name=HWARQEXTIM@table1.column21.name=HWARQQTIME@table1.column22.name=HWARQSIZE@table1.column23.name=HWARQETMST@table1.column24.name=HWARQQTMST@table1.column25.name=APPCOMPRQR@table1.column26.name=APPDCMPRQR@table1.column27.name=APPCOMPTHR@table1.column28.name=APPDCMPTHR@table1.column29.name=APPCOMPRTO@table1.column30.name=APPDCMPRTO@table1.column31.name=BUFFPOOLSZ@table1.column32.name=BUFFPOOLUP@table1.column33.name=RCVPKTRATE@table1.column34.name=XMTPKTRATE@table1.column35.name=WKUNITRATE@table1.column36.name=ADAPTUTILP@table1.column37.name=PNETID1@table1.column38.name=PNETID2@table1.column39.name=SIOPORTID@table1.column40.name=SIOSERNUM@table1.column41.name=SIOTYPEMOD@table1.column42.name=SYNIOTBSYP@table1.column43.name=SYNIORRT@table1.column44.name=SYNIORRTC@table1.column45.name=SYNIOTRRC@table1.column46.name=SYNIOXRR@table1.column47.name=SYNIOXRRC@table1.column48.name=SYNIOTWRC@table1.column49.name=SYNIOXWR@table1.column50.name=SYNIOXWRC@table1.column51.name=SYNIOSRR@table1.column52.name=SYNIOSRRC@table1.column53.name=NUMDMAAS@table1.column54.name=HWATYPE@table1.column55.name=RECETIME@table1.column56.name=RECSTIME@table1.column57.name=SAMPSEC@table1.column58.name=RMFSTAT@table1.column59.name=SIOSERNMS@table1.column60.name=SIOTYPEMDS@table1.columnCount=60@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC007          000000000E000000000',
   32,
   259,
   '1210211080548000',
   '_ KCJ',
   'PCIE_Device_Summary',
   'PCIE Activity'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'PCIE_Device_Summary',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'PCIE_Device_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'PCIE_Device_Summary',
   256
);



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1070\KM5WLMELSC.dta.txt
*
* ****************************************************************
* * ® Copyright Rocket Software Inc. 2020                        *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Service Class for LPAR     *
* *  Table:              KM5WLMEL                                *
* *  OBJECT:             KM5_WLM_EXT_LPAR                        *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/20   jflores    OA59993 (550 Parity) Initial putpart    *
* *  10/16/20 jflores    OA60283 (550 Parity) Add Active Host    *
* *                                 and Performance Index        *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_Service_Class_Extended_LPAR;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=57;
* NAME=WLM Service Class Extended Data;
* USER=IBM;
* DESC=WLM Extended Service Class for LPAR;
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMEL;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being
* *  monitored by an IBM Z OMEGAMON Monitor for z/OS agent. Valid
* *  value is a character string with a maximum length of 32 bytes.
* *       Sysplex_Name
* COLUMNS=PLEXNAME;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMFID
* COLUMNS=SMFID;
* *  The SMF ID associated with the system being queried.
* *  Valid format is a simple text string from 1 through 4 characters;
* *  for example, SYS1.
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  The LPAR name associated with the system being queried.
* *  Valid format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  Format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  Format is integer which can be one of the following values:
* *       Workload
* COLUMNS=WRKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. For report
* *  classes a value of 0 is returned indicating all period data has
* *  been returned. A report class can span multiple service
* *  classes with varying periods, therefore reporting individual
* *  report class periods can result in misleading
* *  data being reported. For service classes, a value from 1-8 is
* *  returned.
* *       Total_Service_Units
* COLUMNS=SUSTOT;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Using_Samples
* COLUMNS=USINGSTOT;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delay_Samples
* COLUMNS=DELAYSTOT;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Service_Units
* COLUMNS=CPUSUSTOT;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Using_Samples
* COLUMNS=CPUUSETOT;
* *  Total CPU using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Delay_Samples
* COLUMNS=CPUDLYTOT;
* *  Total CPU delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Service_Units
* COLUMNS=ZPSUSTOT;
* *  Total zIIP service units reported as standard CP service units
* *  for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_On_CP_Service_Units
* COLUMNS=ZPCPSUSTOT;
* *  Total zIIP on CP Service Units reported as standard CP service
* *  units for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Using_Samples
* COLUMNS=ZPUSETOT;
* *  Total zIIP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_On_CP_Using_Samples
* COLUMNS=ZPCPUSETOT;
* *  Total zIIP on CP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Delay_Samples
* COLUMNS=ZPDLYTOT;
* *  Total zIIP delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Transactions
* COLUMNS=TRNSTOT;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *       Transaction_Exec_Time
* COLUMNS=TRNSEXTIM;
* *  Total transaction execution time for the WLM class period
* *  Valid value is a long long integer.
* *       Transaction_Queue_Time
* COLUMNS=TRNSQTIM;
* *  Total transaction queue time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Transaction_Elapsed_Time
* COLUMNS=TRNSELTM;
* *  Total transaction elapsed time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Subsystem_Active_Samples
* COLUMNS=SUBSACTTOT;
* *  Total subsystem active samples reported for the WLM class period.
* *  A valid value is an integer which can include the following:
* *       Subsystem_Delay_Samples
* COLUMNS=SUBSDLYTOT;
* *  Total subsytem delay samples reported for the WLM class period.
* *  A valid value is an integer which can include the following:
* *       MSO_Service_Units
* COLUMNS=MSOSUSTOT;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       SRB_Service_Units
* COLUMNS=SRBSUSTOT;
* *  Total SRB service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       DASD_Using_Samples
* COLUMNS=DASDUSETOT;
* *  Total DASD using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       DASD_Delay_Samples
* COLUMNS=DASDDLYTOT;
* *  Total DASD delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Service_Units
* COLUMNS=IOSUSTOT;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Connect_Time
* COLUMNS=IOCONNTIM;
* *  Total I/O connect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Disconnect_Time
* COLUMNS=IODISCTIM;
* *  Total I/O disconnect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Response_Time
* COLUMNS=IORESPTIM;
* *  Total I/O response time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       Class_Period_Goal_Duration
* COLUMNS=GOALDUR;
* *  The class period duration in unweighted CPU service units
* *  (that is, not multiplied by the service coefficients) per second.
* *  Format is an integer which can include the following values:
* *       Class_Period_Goal_Importance
* COLUMNS=GOALIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=GOALPCT;
* *  WLM goal percentage. A valid value is an integer.
* *       Goal_Type
* COLUMNS=GOALTYPE;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Units
* COLUMNS=GOALUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=GOALVALUE;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       I/O_Total
* COLUMNS=IOTOTAL;
* *  WLM class period total I/Os. A valid value is a long long integer
* *       I/O_Wait_Time_128ms
* COLUMNS=IOWAIT128;
* *  WLM class period I/O Wait time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       I/O_IOSQ_Time_128ms
* COLUMNS=IOIOSQ128;
* *  WLM class period I/O IOSQ time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Affinity_Time_1024ms
* COLUMNS=JEADT1024;
* *  WLM class period job affinity time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Converter_Time_1024ms
* COLUMNS=JECVT1024;
* *  WLM class period job converter time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Ineligible_Time_1024ms
* COLUMNS=JEIQT1024;
* *  WLM class period job ineligible time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Queue_Time_1024ms
* COLUMNS=JEQDT1024;
* *  WLM class period job queuing time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Response_Bucket_1
* COLUMNS=RESPBKT1;
* *  WLM class period percentile goal response bucket 1
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_2
* COLUMNS=RESPBKT2;
* *  WLM class period percentile goal response bucket 2
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_3
* COLUMNS=RESPBKT3;
* *  WLM class period percentile goal response bucket 3
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_4
* COLUMNS=RESPBKT4;
* *  WLM class period percentile goal response bucket 4
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_5
* COLUMNS=RESPBKT5;
* *  WLM class period percentile goal response bucket 5
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_6
* COLUMNS=RESPBKT6;
* *  WLM class period percentile goal response bucket 6
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_7
* COLUMNS=RESPBKT7;
* *  WLM class period percentile goal response bucket 7
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_8
* COLUMNS=RESPBKT8;
* *  WLM class period percentile goal response bucket 8
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_9
* COLUMNS=RESPBKT9;
* *  WLM class period percentile goal response bucket 9
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_10
* COLUMNS=RESPBKT10;
* *  WLM class period percentile goal response bucket 10
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_11
* COLUMNS=RESPBKT11;
* *  WLM class period percentile goal response bucket 11
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_12
* COLUMNS=RESPBKT12;
* *  WLM class period percentile goal response bucket 12
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_13
* COLUMNS=RESPBKT13;
* *  WLM class period percentile goal response bucket 13
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_14
* COLUMNS=RESPBKT14;
* *  WLM class period percentile goal response bucket 14
* *  A valid value is an integer which can include the following:
* *       Response_Time_1024ms
* COLUMNS=RESPT1024;
* *  WLM class period total response time in 1024 microsecond units.
* *  A valid value is an integer which can include the following:
* *       Total_Subsystem_Samples
* COLUMNS=TSSAMPLES;
* *  Total subsystem using/delay samples.
* *  A valid value is an integer which can include the following:
* *       Transaction_Completions
* COLUMNS=TRANCMPL;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Transactions_In_Goal
* COLUMNS=TRANIGOAL;
* *  WLM class period total transactions that completed inside the
* *  period percentage response time goal.
* *  A valid value is an integer which can include the following:
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Interval_Time
* COLUMNS=SAMPINTVL;
* *  Data collection time interval duration in one hundredth of
* *  a second that the metrics in this row represent.
* *  Valid value is a number to two decimal places accuracy.
* *       zAAP_Delay_Samples
* COLUMNS=ZAAPDELAYC;
* *  WLM class period zAAP delays sample count.
* *  A valid value is a long long integer.
* *       zAAP_On_CP_SU
* COLUMNS=ZAAPONCPSU;
* *  WLM class period ZAAP On CP service units.
* *  A valid value is a long long integer.
* *       zAAP_On_CP_Use_Samples
* COLUMNS=ZAAPONCPUC;
* *  WLM class period zAAP On CP Usings sample count.
* *  A valid value is a long long integer.
* *       zAAP_SU
* COLUMNS=ZAAPSU;
* *  WLM class period ZAAP service units.
* *  A valid value is a long long integer.
* *       zAAP_Using_Samples
* COLUMNS=ZAAPUSING;
* *  WLM class period zAAP usings sample count.
* *  A valid value is a long long integer.
* *       Actual_Host
* COLUMNS=ACTHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       0 if the goal type is Discret or Sysgoal. Valid value is a
* *       4 byte integer.
* *       For report classes, the possible values include:
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *       WLM Performance Index for Service Classes.
* *       Valid value is a number to two decimal places accuracy.
* *       For report classes, the possible values include:
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND PERIODNUM = $PERIODNUMX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Extended_LPAR';



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1159\KM5WLMCLRX.dta.txt
*
* ******************************************************************
* * Licensed Materials - Property of IBM                           *
* * 5698-B6601                                                     *
* * ® Copyright Rocket Software Inc., 2020                         *
* *                                                                *
* * US Government Users Restricted Rights - Use, duplication or    *
* * disclosure restricted by GSA ADP Schedule Contract with        *
* * IBM Corp.                                                      *
* ******************************************************************
* *                                                                *
* *  Product:            KM5                                       *
* *  Version:            560                                       *
* *  Report:             WLM Extended Service Class for LPAR       *
* *  Table:              KM5WLMCLRX                                *
* *  OBJECT:             WLM_Class_Raw_Extended_Metrics            *
* *  Characteristics:    Executed on Hub, no filters               *
* *                                                                * 
* * Maintenance Log:                                               *
* *                                                                *
* * Date     Who   ID  Description                                 *
* * -------- ---- ---  -----------------------------------------   *
* * 01/26/21 JLF       Initial Development to support              *
* *                    Co-existence for IBM Spec OA60576           *
* ******************************************************************
* *     Agent=KM5WRAG                                              *
* *     IBM Spec equivalent for former KM5WLMEL of V560            *
* *                                                                *
* *        0   0    1    1    2    2    3    3    4 4              *
* *********1...5....0....5....0....5....0....5....0.2***************
* IDENT=WLM_Service_Class_Extended_LPAR:56017;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=17;
* NAME=WLM Service Class Extended Data;
* USER=IBM;
* DESC=WLM Extended Service Class for LPAR (V560);
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMCLRX;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being
* *  monitored by an IBM Z OMEGAMON Monitor for z/OS agent. Valid
* *  value is a character string with a maximum length of 32 bytes.
* *       SMF_ID
* COLUMNS=SMFID;
* *  The SMF ID associated with the system being queried.
* *  Valid format is a simple text string from 1 through 4 characters;
* *  for example, SYS1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  Format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. For report
* *  classes a value of 0 is returned indicating all period data has
* *  been returned. A report class can span multiple service
* *  classes with varying periods, therefore reporting individual
* *  report class periods can result in misleading
* *  data being reported. For service classes, a value from 1-8 is
* *  returned.
* *       Goal_Importance
* COLUMNS=PERGIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  Format is integer which can be one of the following values:
* *       Goal_Type
* COLUMNS=PERGLTYP;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=PERGLVAL;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=PERPCTLE;
* *  WLM goal percentage. A valid value is an integer.
* *       Duration
* COLUMNS=PERDUR;
* *  The duration of the class period, measured in the number of
* *  unweighted CPU service units used per second. Unweighted CPU
* *  service units are not multiplied by the service coefficients.
* *  Format is an integer which can include the following values:
* *       Goal_Units
* COLUMNS=PERGLUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Total_Usings
* COLUMNS=TOTUSINGS;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delays
* COLUMNS=TOTDELAYS;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_CPU_Usings
* COLUMNS=TOTCPUSING;
* *  Total CPU using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_CPU_Delays
* COLUMNS=TOTCPDELAY;
* *  Total CPU delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_I/O_Usings
* COLUMNS=TOTIOUSING;
* *  Total DASD using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_I/O_Delays
* COLUMNS=TOTIODELAY;
* *  Total DASD delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Response_Time_1024_mics
* COLUMNS=RESPTIME;
* *  WLM class period total response time in 1024 microsecond units.
* *  A valid value is an integer which can include the following:
* *       Transactions_In_Goal
* COLUMNS=TXNSINGOAL;
* *  WLM class period total transactions that completed inside the
* *  period percentage response time goal.
* *  A valid value is an integer.
* *       Transaction_Completions
* COLUMNS=TRANSCOMP;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *       Transaction_Total
* COLUMNS=TRANSTOTAL;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *       Transaction_Queue_Time_1024_mics
* COLUMNS=TXNQUETIM;
* *  Total transaction queue time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Transaction_Execution_Time_1024_mics
* COLUMNS=TXNEXECTIM;
* *  Total transaction execution time for the WLM class period
* *  Valid value is a long long integer.
* *       Transaction_Elapsed_Time_1024_mics
* COLUMNS=TXNELAPTIM;
* *  Total transaction elapsed time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Total_SUs
* COLUMNS=TOTSUS;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_SUs
* COLUMNS=CPUSUS;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_SUs
* COLUMNS=ZIIPSUS;
* *  Total zIIP service units reported as standard CP service units
* *  for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_SUs
* COLUMNS=ZAAPSUS;
* *  WLM class period ZAAP service units.
* *  A valid value is a long long integer.
* *       zIIP_On_CP_SUs
* COLUMNS=ZICPSUS;
* *  Total zIIP on CP Service Units reported as standard CP service
* *  units for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_On_CP_SUs
* COLUMNS=ZACPSUS;
* *  WLM class period ZAAP On CP service units.
* *  A valid value is a long long integer.
* *       I/O_SUs
* COLUMNS=IOSUS;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       MSO_SUs
* COLUMNS=MSOSUS;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       SRB_SUs
* COLUMNS=SRBSUS;
* *  Total SRB service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Using_Count
* COLUMNS=ZIIPUSECNT;
* *  Total zIIP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_Using_Count
* COLUMNS=ZAAPUSECNT;
* *  WLM class period zAAP usings sample count.
* *  A valid value is a long long integer.
* *       zIIP_Delay_Count
* COLUMNS=ZIIPDLYCNT;
* *  Total zIIP delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_Delay_Count
* COLUMNS=ZAAPDLYCNT;
* *  WLM class period zAAP delays sample count.
* *  A valid value is a long long integer.
* *       zIIP_On_CP_Using_Count
* COLUMNS=ZICPUSECNT;
* *  Total zIIP on CP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_On_CP_Using_Count
* COLUMNS=ZACPUSECNT;
* *  WLM class period zAAP On CP Usings sample count.
* *  A valid value is a long long integer.
* *       I/O_Response_Time_128_mics
* COLUMNS=IORESPTIME;
* *  Total I/O response time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       I/O_IOSQ_Time_128_mics
* COLUMNS=IOIOSQTIME;
* *  WLM class period I/O IOSQ time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       I/O_Connect_Time_128_mics
* COLUMNS=IOCONNTIME;
* *  Total I/O connect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       I/O_Disconnect_Time_128_mics
* COLUMNS=IODISCTIME;
* *  Total I/O disconnect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       I/O_Wait_Time_128_mics
* COLUMNS=IOWAITTIME;
* *  WLM class period I/O Wait time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Queue_Time_1024_mics
* COLUMNS=JOBQUETIME;
* *  WLM class period job queuing time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Affinity_Time_1024_mics
* COLUMNS=JOBAFFTIME;
* *  WLM class period job affinity time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Converter_Time_1024_mics
* COLUMNS=JOBCNVTIME;
* *  WLM class period job converter time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Ineligible_Time_1024_mics
* COLUMNS=JOBINLTIME;
* *  WLM class period job ineligible time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Subsystem_Total_Usings
* COLUMNS=SUBSYSUSET;
* *  Total subsystem active samples reported for the WLM class period.
* *  A valid value is an integer.
* *       Subsystem_Total_Delays
* COLUMNS=SUBSYSDLYT;
* *  Total subsytem delay samples reported for the WLM class period.
* *  A valid value is an integer.
* *       Resource_Group_Name
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Workload_Name
* COLUMNS=WORKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Reporting_Interval
* COLUMNS=REPRTINTVL;
* *  Data collection time interval duration in one hundredth of
* *  a second that the metrics in this row represent.
* *  Valid value is a number to two decimal places accuracy.
* *       Sysplex_Name
* COLUMNS=SYSPLEXNAM;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  The LPAR name associated with the system being queried.
* *  Valid format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       I/O_Total
* COLUMNS=IOTOTAL;
* *  WLM class period percentile goal response bucket 1
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_1
* COLUMNS=RESPBKT01;
* *  WLM class period percentile goal response bucket 1
* *  A valid value is an integer.
* *       Response_Bucket_2
* COLUMNS=RESPBKT02;
* *  WLM class period percentile goal response bucket 2
* *  A valid value is an integer.
* *       Response_Bucket_3
* COLUMNS=RESPBKT03;
* *  WLM class period percentile goal response bucket 3
* *  A valid value is an integer.
* *       Response_Bucket_4
* COLUMNS=RESPBKT04;
* *  WLM class period percentile goal response bucket 4
* *  A valid value is an integer.
* *       Response_Bucket_5
* COLUMNS=RESPBKT05;
* *  WLM class period percentile goal response bucket 5
* *  A valid value is an integer.
* *       Response_Bucket_6
* COLUMNS=RESPBKT06;
* *  WLM class period percentile goal response bucket 6
* *  A valid value is an integer.
* *       Response_Bucket_7
* COLUMNS=RESPBKT07;
* *  WLM class period percentile goal response bucket 7
* *  A valid value is an integer.
* *       Response_Bucket_8
* COLUMNS=RESPBKT08;
* *  WLM class period percentile goal response bucket 8
* *  A valid value is an integer.
* *       Response_Bucket_9
* COLUMNS=RESPBKT09;
* *  WLM class period percentile goal response bucket 9
* *  A valid value is an integer.
* *       Response_Bucket_10
* COLUMNS=RESPBKT10;
* *  WLM class period percentile goal response bucket 10
* *  A valid value is an integer.
* *       Response_Bucket_11
* COLUMNS=RESPBKT11;
* *  WLM class period percentile goal response bucket 11
* *  A valid value is an integer.
* *       Response_Bucket_12
* COLUMNS=RESPBKT12;
* *  WLM class period percentile goal response bucket 12
* *  A valid value is an integer.
* *       Response_Bucket_13
* COLUMNS=RESPBKT13;
* *  WLM class period percentile goal response bucket 13
* *  A valid value is an integer.
* *       Response_Bucket_14
* COLUMNS=RESPBKT14;
* *  WLM class period percentile goal response bucket 14
* *  A valid value is an integer.
* *       Total_Subsystem_Samples
* COLUMNS=SUBSYSSAMT;
* *  Total subsystem using/delay samples.
* *  A valid value is an integer.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND PERIODNUM = $PERIODNUMX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Service_Class_Extended_LPAR:56017';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Service_Class_Extended_LPAR:56017',
  'KM5',
  '%IBM.STATIC007          000000000H000000000',
  'P',
  'WLM Service Class Extended Data',
  'WLM Extended Service Class for LPAR (V560)',
  'IBM',
  '1210126083223000',
'at=$THRUNODE$@table1.name=KM5WLMCLRX@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=CLSNAME@table1.column4.name=PERIODNUM@table1.column5.name=PERGIMP@table1.column6.name=CLSTYPE@table1.column7.name=PERGLTYP@table1.column8.name=PERGLVAL@table1.column9.name=PERPCTLE@table1.column10.name=PERDUR@table1.column11.name=PERGLUNIT@table1.column12.name=TOTUSINGS@table1.column13.name=TOTDELAYS@table1.column14.name=TOTCPUSING@table1.column15.name=TOTCPDELAY@table1.column16.name=TOTIOUSING@table1.column17.name=TOTIODELAY@table1.column18.name=RESPTIME@table1.column19.name=TXNSINGOAL@table1.column20.name=TRANSCOMP@table1.column21.name=TRANSTOTAL@table1.column22.name=TXNQUETIM@table1.column23.name=TXNEXECTIM@table1.column24.name=TXNELAPTIM@table1.column25.name=TOTSUS@table1.column26.name=CPUSUS@table1.column27.name=ZIIPSUS@table1.column28.name=ZAAPSUS@table1.column29.name=ZICPSUS@table1.column30.name=ZACPSUS@table1.column31.name=IOSUS@table1.column32.name=MSOSUS@table1.column33.name=SRBSUS@table1.column34.name=ZIIPUSECNT@table1.column35.name=ZAAPUSECNT@table1.column36.name=ZIIPDLYCNT@table1.column37.name=ZAAPDLYCNT@table1.column38.name=ZICPUSECNT@table1.column39.name=ZACPUSECNT@table1.column40.name=IORESPTIME@table1.column41.name=IOIOSQTIME@table1.column42.name=IOCONNTIME@table1.column43.name=IODISCTIME@table1.column44.name=IOWAITTIME@table1.column45.name=JOBQUETIME@table1.column46.name=JOBAFFTIME@table1.column47.name=JOBCNVTIME@table1.column48.name=JOBINLTIME@table1.column49.name=SUBSYSUSET@table1.column50.name=SUBSYSDLYT@table1.column51.name=RESGRPNAME@table1.column52.name=WORKLDNAME@table1.column53.name=REPRTINTVL@table1.column54.name=SYSPLEXNAM@table1.column55.name=LPARNAME@table1.column56.name=IOTOTAL@table1.column57.name=RESPBKT01@table1.column58.name=RESPBKT02@table1.column59.name=RESPBKT03@table1.column60.name=RESPBKT04@table1.column61.name=RESPBKT05@table1.column62.name=RESPBKT06@table1.column63.name=RESPBKT07@table1.column64.name=RESPBKT08@table1.column65.name=RESPBKT09@table1.column66.name=RESPBKT10@table1.column67.name=RESPBKT11@table1.column68.name=RESPBKT12@table1.column69.name=RESPBKT13@table1.column70.name=RESPBKT14@table1.column71.name=SUBSYSSAMT@table1.column72.name=VELOCMODE@table1.columnCount=72@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CLSNAME@filter2.operator=EQ@filter2.value=$CLSNAMEX$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$PERIODNUMX$@filter4.connector=AND@filter4.column=CLSTYPE@filter4.operator=EQ@filter4.value=$CLSTYPEX$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1159\KM5WLMELRC.dta.txt
*
* ****************************************************************
* * ® Copyright Rocket Software Inc. 2020                        *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Report Class for LPAR      *
* *  Table:              KM5WLMEL                                *
* *  OBJECT:             KM5_WLM_EXT_LPAR                        *
* *  Characteristics:    Executed on Hub.                        *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/20   jflores    OA59993 (550 Parity) Initial putpart    *
* *  10/16/20 jflores    OA60283 (550 Parity) Add Active Host    *
* *                                 and Performance Index        *
* *  02/08/21 jflores    IBMSpec Change NAME= to                 *
* *                      'WLM Report Class Resources'            *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_Report_Class_Extended_LPAR;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=57;
* NAME=WLM Report Class Resources;
* USER=IBM;
* DESC=WLM Extended Report Class Data for LPAR;
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMEL;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being
* *  monitored by an IBM Z OMEGAMON Monitor for z/OS agent. Valid
* *  value is a character string with a maximum length of 32 bytes.
* *       Sysplex_Name
* COLUMNS=PLEXNAME;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMFID
* COLUMNS=SMFID;
* *  The SMF ID associated with the system being queried.
* *  Valid format is a simple text string from 1 through 4 characters;
* *  for example, SYS1.
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  The LPAR name associated with the system being queried.
* *  Valid format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  Format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  Format is integer which can be one of the following values:
* *       Workload
* COLUMNS=WRKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. For report
* *  classes a value of 0 is returned indicating all period data has
* *  been returned. A report class can span multiple service
* *  classes with varying periods, therefore reporting individual
* *  report class periods can result in misleading
* *  data being reported. For service classes, a value from 1-8 is
* *  returned.
* *       Total_Service_Units
* COLUMNS=SUSTOT;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Using_Samples
* COLUMNS=USINGSTOT;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delay_Samples
* COLUMNS=DELAYSTOT;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Service_Units
* COLUMNS=CPUSUSTOT;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Using_Samples
* COLUMNS=CPUUSETOT;
* *  Total CPU using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Delay_Samples
* COLUMNS=CPUDLYTOT;
* *  Total CPU delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Service_Units
* COLUMNS=ZPSUSTOT;
* *  Total zIIP service units reported as standard CP service units
* *  for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_On_CP_Service_Units
* COLUMNS=ZPCPSUSTOT;
* *  Total zIIP on CP Service Units reported as standard CP service
* *  units for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Using_Samples
* COLUMNS=ZPUSETOT;
* *  Total zIIP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_On_CP_Using_Samples
* COLUMNS=ZPCPUSETOT;
* *  Total zIIP on CP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Delay_Samples
* COLUMNS=ZPDLYTOT;
* *  Total zIIP delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Transactions
* COLUMNS=TRNSTOT;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *       Transaction_Exec_Time
* COLUMNS=TRNSEXTIM;
* *  Total transaction execution time for the WLM class period
* *  Valid value is a long long integer.
* *       Transaction_Queue_Time
* COLUMNS=TRNSQTIM;
* *  Total transaction queue time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Transaction_Elapsed_Time
* COLUMNS=TRNSELTM;
* *  Total transaction elapsed time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Subsystem_Active_Samples
* COLUMNS=SUBSACTTOT;
* *  Total subsystem active samples reported for the WLM class period.
* *  A valid value is an integer which can include the following:
* *       Subsystem_Delay_Samples
* COLUMNS=SUBSDLYTOT;
* *  Total subsytem delay samples reported for the WLM class period.
* *  A valid value is an integer which can include the following:
* *       MSO_Service_Units
* COLUMNS=MSOSUSTOT;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       SRB_Service_Units
* COLUMNS=SRBSUSTOT;
* *  Total SRB service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       DASD_Using_Samples
* COLUMNS=DASDUSETOT;
* *  Total DASD using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       DASD_Delay_Samples
* COLUMNS=DASDDLYTOT;
* *  Total DASD delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Service_Units
* COLUMNS=IOSUSTOT;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Connect_Time
* COLUMNS=IOCONNTIM;
* *  Total I/O connect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Disconnect_Time
* COLUMNS=IODISCTIM;
* *  Total I/O disconnect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       IO_Response_Time
* COLUMNS=IORESPTIM;
* *  Total I/O response time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       Class_Period_Goal_Duration
* COLUMNS=GOALDUR;
* *  The class period duration in unweighted CPU service units
* *  (that is, not multiplied by the service coefficients) per second.
* *  Format is an integer which can include the following values:
* *       Class_Period_Goal_Importance
* COLUMNS=GOALIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=GOALPCT;
* *  WLM goal percentage. A valid value is an integer.
* *       Goal_Type
* COLUMNS=GOALTYPE;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Units
* COLUMNS=GOALUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=GOALVALUE;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       I/O_Total
* COLUMNS=IOTOTAL;
* *  WLM class period total I/Os. A valid value is a long long integer
* *       I/O_Wait_Time_128ms
* COLUMNS=IOWAIT128;
* *  WLM class period I/O Wait time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       I/O_IOSQ_Time_128ms
* COLUMNS=IOIOSQ128;
* *  WLM class period I/O IOSQ time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Affinity_Time_1024ms
* COLUMNS=JEADT1024;
* *  WLM class period job affinity time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Converter_Time_1024ms
* COLUMNS=JECVT1024;
* *  WLM class period job converter time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Ineligible_Time_1024ms
* COLUMNS=JEIQT1024;
* *  WLM class period job ineligible time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Queue_Time_1024ms
* COLUMNS=JEQDT1024;
* *  WLM class period job queuing time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Response_Bucket_1
* COLUMNS=RESPBKT1;
* *  WLM class period percentile goal response bucket 1
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_2
* COLUMNS=RESPBKT2;
* *  WLM class period percentile goal response bucket 2
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_3
* COLUMNS=RESPBKT3;
* *  WLM class period percentile goal response bucket 3
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_4
* COLUMNS=RESPBKT4;
* *  WLM class period percentile goal response bucket 4
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_5
* COLUMNS=RESPBKT5;
* *  WLM class period percentile goal response bucket 5
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_6
* COLUMNS=RESPBKT6;
* *  WLM class period percentile goal response bucket 6
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_7
* COLUMNS=RESPBKT7;
* *  WLM class period percentile goal response bucket 7
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_8
* COLUMNS=RESPBKT8;
* *  WLM class period percentile goal response bucket 8
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_9
* COLUMNS=RESPBKT9;
* *  WLM class period percentile goal response bucket 9
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_10
* COLUMNS=RESPBKT10;
* *  WLM class period percentile goal response bucket 10
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_11
* COLUMNS=RESPBKT11;
* *  WLM class period percentile goal response bucket 11
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_12
* COLUMNS=RESPBKT12;
* *  WLM class period percentile goal response bucket 12
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_13
* COLUMNS=RESPBKT13;
* *  WLM class period percentile goal response bucket 13
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_14
* COLUMNS=RESPBKT14;
* *  WLM class period percentile goal response bucket 14
* *  A valid value is an integer which can include the following:
* *       Response_Time_1024ms
* COLUMNS=RESPT1024;
* *  WLM class period total response time in 1024 microsecond units.
* *  A valid value is an integer which can include the following:
* *       Total_Subsystem_Samples
* COLUMNS=TSSAMPLES;
* *  Total subsystem using/delay samples.
* *  A valid value is an integer which can include the following:
* *       Transaction_Completions
* COLUMNS=TRANCMPL;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Transactions_In_Goal
* COLUMNS=TRANIGOAL;
* *  WLM class period total transactions that completed inside the
* *  period percentage response time goal.
* *  A valid value is an integer which can include the following:
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Interval_Time
* COLUMNS=SAMPINTVL;
* *  Data collection time interval duration in one hundredth of
* *  a second that the metrics in this row represent.
* *  Valid value is a number to two decimal places accuracy.
* *       zAAP_Delay_Samples
* COLUMNS=ZAAPDELAYC;
* *  WLM class period zAAP delays sample count.
* *  A valid value is a long long integer.
* *       zAAP_On_CP_SU
* COLUMNS=ZAAPONCPSU;
* *  WLM class period ZAAP On CP service units.
* *  A valid value is a long long integer.
* *       zAAP_On_CP_Use_Samples
* COLUMNS=ZAAPONCPUC;
* *  WLM class period zAAP On CP Usings sample count.
* *  A valid value is a long long integer.
* *       zAAP_SU
* COLUMNS=ZAAPSU;
* *  WLM class period ZAAP service units.
* *  A valid value is a long long integer.
* *       zAAP_Using_Samples
* COLUMNS=ZAAPUSING;
* *  WLM class period zAAP usings sample count.
* *  A valid value is a long long integer.
* *       Actual_Host
* COLUMNS=ACTHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       0 if the goal type is Discret or Sysgoal. Valid value is a
* *       4 byte integer.
* *       For report classes, the possible values include:
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *       WLM Performance Index for Service Classes.
* *       Valid value is a number to two decimal places accuracy.
* *       For report classes, the possible values include:
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND PERIODNUM = $PERIODNUMX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Report_Class_Extended_LPAR';



*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1159\KM5WLMCLRX-RC.dta.txt
*
* ******************************************************************
* * Licensed Materials - Property of IBM                           *
* * 5698-B6601                                                     *
* * ® Copyright Rocket Software Inc., 2020                         *
* *                                                                *
* * US Government Users Restricted Rights - Use, duplication or    *
* * disclosure restricted by GSA ADP Schedule Contract with        *
* * IBM Corp.                                                      *
* ******************************************************************
* *                                                                *
* *  Product:            KM5                                       *
* *  Version:            560                                       *
* *  Report:             WLM Extended Report Class for LPAR        *
* *  Table:              KM5WLMCLRX                                *
* *  OBJECT:             WLM_Class_Raw_Extended_Metrics            *
* *  Characteristics:    Executed on Hub, filtered on Class Type   *
* *                                                                * 
* * Maintenance Log:                                               *
* *                                                                *
* * Date     Who   ID  Description                                 *
* * -------- ---- ---  -----------------------------------------   *
* * 02/03/21 JLF       Initial Development to support              *
* *                    Co-existence for IBM Spec OA60576           *
* ******************************************************************
* *     Agent=KM5WRAG                                              *
* *     IBM Spec equivalent for former KM5WLMEL of V560            *
* *                                                                *
* *        0   0    1    1    2    2    3    3    4 4              *
* *********1...5....0....5....0....5....0....5....0.2***************
* IDENT=WLM_Report_Class_Extended_LPAR:56017;
* DAFFINITY=%IBM.STATIC007;
* DVERSION=17;
* NAME=WLM Report Class Resources;
* USER=IBM;
* DESC=WLM Extended Report Class for LPAR (V560);
* VISIBLE=Y;
* READONLY=Y;
* TABLE=KM5.KM5WLMCLRX;
* AT=$THRUNODE$;
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being
* *  monitored by an IBM Z OMEGAMON Monitor for z/OS agent. Valid
* *  value is a character string with a maximum length of 32 bytes.
* *       SMF_ID
* COLUMNS=SMFID;
* *  The SMF ID associated with the system being queried.
* *  Valid format is a simple text string from 1 through 4 characters;
* *  for example, SYS1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  Format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. For report
* *  classes a value of 0 is returned indicating all period data has
* *  been returned. A report class can span multiple service
* *  classes with varying periods, therefore reporting individual
* *  report class periods can result in misleading
* *  data being reported. For service classes, a value from 1-8 is
* *  returned.
* *       Goal_Importance
* COLUMNS=PERGIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  Format is integer which can be one of the following values:
* *       Goal_Type
* COLUMNS=PERGLTYP;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=PERGLVAL;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=PERPCTLE;
* *  WLM goal percentage. A valid value is an integer.
* *       Duration
* COLUMNS=PERDUR;
* *  The duration of the class period, measured in the number of
* *  unweighted CPU service units used per second. Unweighted CPU
* *  service units are not multiplied by the service coefficients.
* *  Format is an integer which can include the following values:
* *       Goal_Units
* COLUMNS=PERGLUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Total_Usings
* COLUMNS=TOTUSINGS;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delays
* COLUMNS=TOTDELAYS;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_CPU_Usings
* COLUMNS=TOTCPUSING;
* *  Total CPU using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_CPU_Delays
* COLUMNS=TOTCPDELAY;
* *  Total CPU delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_I/O_Usings
* COLUMNS=TOTIOUSING;
* *  Total DASD using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_I/O_Delays
* COLUMNS=TOTIODELAY;
* *  Total DASD delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Response_Time_1024_mics
* COLUMNS=RESPTIME;
* *  WLM class period total response time in 1024 microsecond units.
* *  A valid value is an integer which can include the following:
* *       Transactions_In_Goal
* COLUMNS=TXNSINGOAL;
* *  WLM class period total transactions that completed inside the
* *  period percentage response time goal.
* *  A valid value is an integer.
* *       Transaction_Completions
* COLUMNS=TRANSCOMP;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *       Transaction_Total
* COLUMNS=TRANSTOTAL;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *       Transaction_Queue_Time_1024_mics
* COLUMNS=TXNQUETIM;
* *  Total transaction queue time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Transaction_Execution_Time_1024_mics
* COLUMNS=TXNEXECTIM;
* *  Total transaction execution time for the WLM class period
* *  Valid value is a long long integer.
* *       Transaction_Elapsed_Time_1024_mics
* COLUMNS=TXNELAPTIM;
* *  Total transaction elapsed time for the WLM class period
* *  in 1024 micorsecond units. Valid value is a long long integer.
* *       Total_SUs
* COLUMNS=TOTSUS;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_SUs
* COLUMNS=CPUSUS;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_SUs
* COLUMNS=ZIIPSUS;
* *  Total zIIP service units reported as standard CP service units
* *  for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_SUs
* COLUMNS=ZAAPSUS;
* *  WLM class period ZAAP service units.
* *  A valid value is a long long integer.
* *       zIIP_On_CP_SUs
* COLUMNS=ZICPSUS;
* *  Total zIIP on CP Service Units reported as standard CP service
* *  units for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_On_CP_SUs
* COLUMNS=ZACPSUS;
* *  WLM class period ZAAP On CP service units.
* *  A valid value is a long long integer.
* *       I/O_SUs
* COLUMNS=IOSUS;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       MSO_SUs
* COLUMNS=MSOSUS;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       SRB_SUs
* COLUMNS=SRBSUS;
* *  Total SRB service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zIIP_Using_Count
* COLUMNS=ZIIPUSECNT;
* *  Total zIIP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_Using_Count
* COLUMNS=ZAAPUSECNT;
* *  WLM class period zAAP usings sample count.
* *  A valid value is a long long integer.
* *       zIIP_Delay_Count
* COLUMNS=ZIIPDLYCNT;
* *  Total zIIP delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_Delay_Count
* COLUMNS=ZAAPDLYCNT;
* *  WLM class period zAAP delays sample count.
* *  A valid value is a long long integer.
* *       zIIP_On_CP_Using_Count
* COLUMNS=ZICPUSECNT;
* *  Total zIIP on CP using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       zAAP_On_CP_Using_Count
* COLUMNS=ZACPUSECNT;
* *  WLM class period zAAP On CP Usings sample count.
* *  A valid value is a long long integer.
* *       I/O_Response_Time_128_mics
* COLUMNS=IORESPTIME;
* *  Total I/O response time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       I/O_IOSQ_Time_128_mics
* COLUMNS=IOIOSQTIME;
* *  WLM class period I/O IOSQ time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       I/O_Connect_Time_128_mics
* COLUMNS=IOCONNTIME;
* *  Total I/O connect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       I/O_Disconnect_Time_128_mics
* COLUMNS=IODISCTIME;
* *  Total I/O disconnect time in 128 microsecond units reported for
* *  the WLM class period.
* *  Valid value is a long long integer.
* *       I/O_Wait_Time_128_mics
* COLUMNS=IOWAITTIME;
* *  WLM class period I/O Wait time in 128 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Queue_Time_1024_mics
* COLUMNS=JOBQUETIME;
* *  WLM class period job queuing time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Affinity_Time_1024_mics
* COLUMNS=JOBAFFTIME;
* *  WLM class period job affinity time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Converter_Time_1024_mics
* COLUMNS=JOBCNVTIME;
* *  WLM class period job converter time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Job_Ineligible_Time_1024_mics
* COLUMNS=JOBINLTIME;
* *  WLM class period job ineligible time in 1024 microsecond units.
* *  A valid value is a long long integer.
* *       Subsystem_Total_Usings
* COLUMNS=SUBSYSUSET;
* *  Total subsystem active samples reported for the WLM class period.
* *  A valid value is an integer.
* *       Subsystem_Total_Delays
* COLUMNS=SUBSYSDLYT;
* *  Total subsytem delay samples reported for the WLM class period.
* *  A valid value is an integer.
* *       Resource_Group_Name
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Workload_Name
* COLUMNS=WORKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Reporting_Interval
* COLUMNS=REPRTINTVL;
* *  Data collection time interval duration in one hundredth of
* *  a second that the metrics in this row represent.
* *  Valid value is a number to two decimal places accuracy.
* *       Sysplex_Name
* COLUMNS=SYSPLEXNAM;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  The LPAR name associated with the system being queried.
* *  Valid format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       I/O_Total
* COLUMNS=IOTOTAL;
* *  WLM class period percentile goal response bucket 1
* *  A valid value is an integer which can include the following:
* *       Response_Bucket_1
* COLUMNS=RESPBKT01;
* *  WLM class period percentile goal response bucket 1
* *  A valid value is an integer.
* *       Response_Bucket_2
* COLUMNS=RESPBKT02;
* *  WLM class period percentile goal response bucket 2
* *  A valid value is an integer.
* *       Response_Bucket_3
* COLUMNS=RESPBKT03;
* *  WLM class period percentile goal response bucket 3
* *  A valid value is an integer.
* *       Response_Bucket_4
* COLUMNS=RESPBKT04;
* *  WLM class period percentile goal response bucket 4
* *  A valid value is an integer.
* *       Response_Bucket_5
* COLUMNS=RESPBKT05;
* *  WLM class period percentile goal response bucket 5
* *  A valid value is an integer.
* *       Response_Bucket_6
* COLUMNS=RESPBKT06;
* *  WLM class period percentile goal response bucket 6
* *  A valid value is an integer.
* *       Response_Bucket_7
* COLUMNS=RESPBKT07;
* *  WLM class period percentile goal response bucket 7
* *  A valid value is an integer.
* *       Response_Bucket_8
* COLUMNS=RESPBKT08;
* *  WLM class period percentile goal response bucket 8
* *  A valid value is an integer.
* *       Response_Bucket_9
* COLUMNS=RESPBKT09;
* *  WLM class period percentile goal response bucket 9
* *  A valid value is an integer.
* *       Response_Bucket_10
* COLUMNS=RESPBKT10;
* *  WLM class period percentile goal response bucket 10
* *  A valid value is an integer.
* *       Response_Bucket_11
* COLUMNS=RESPBKT11;
* *  WLM class period percentile goal response bucket 11
* *  A valid value is an integer.
* *       Response_Bucket_12
* COLUMNS=RESPBKT12;
* *  WLM class period percentile goal response bucket 12
* *  A valid value is an integer.
* *       Response_Bucket_13
* COLUMNS=RESPBKT13;
* *  WLM class period percentile goal response bucket 13
* *  A valid value is an integer.
* *       Response_Bucket_14
* COLUMNS=RESPBKT14;
* *  WLM class period percentile goal response bucket 14
* *  A valid value is an integer.
* *       Total_Subsystem_Samples
* COLUMNS=SUBSYSSAMT;
* *  Total subsystem using/delay samples.
* *  A valid value is an integer.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND PERIODNUM = $PERIODNUMX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Report_Class_Extended_LPAR:56017';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'WLM_Report_Class_Extended_LPAR:56017' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'WLM_Report_Class_Extended_LPAR:56017';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Report_Class_Extended_LPAR:56017',
  'KM5',
  '%IBM.STATIC007          000000000H000000000',
  'D',
  'WLM Report Class Resources',
  'WLM Extended Report Class for LPAR (V560)',
  'IBM',
  '1210208095409000',
'at=$THRUNODE$@table1.name=KM5WLMCLRX@table1.column1.name=ORIGINNODE@table1.column2.name=SMFID@table1.column3.name=CLSNAME@table1.column4.name=PERIODNUM@table1.column5.name=PERGIMP@table1.column6.name=CLSTYPE@table1.column7.name=PERGLTYP@table1.column8.name=PERGLVAL@table1.column9.name=PERPCTLE@table1.column10.name=PERDUR@table1.column11.name=PERGLUNIT@table1.column12.name=TOTUSINGS@table1.column13.name=TOTDELAYS@table1.column14.name=TOTCPUSING@table1.column15.name=TOTCPDELAY@table1.column16.name=TOTIOUSING@table1.column17.name=TOTIODELAY@table1.column18.name=RESPTIME@table1.column19.name=TXNSINGOAL@table1.column20.name=TRANSCOMP@table1.column21.name=TRANSTOTAL@table1.column22.name=TXNQUETIM@table1.column23.name=TXNEXECTIM@table1.column24.name=TXNELAPTIM@table1.column25.name=TOTSUS@table1.column26.name=CPUSUS@table1.column27.name=ZIIPSUS@table1.column28.name=ZAAPSUS@table1.column29.name=ZICPSUS@table1.column30.name=ZACPSUS@table1.column31.name=IOSUS@table1.column32.name=MSOSUS@table1.column33.name=SRBSUS@table1.column34.name=ZIIPUSECNT@table1.column35.name=ZAAPUSECNT@table1.column36.name=ZIIPDLYCNT@table1.column37.name=ZAAPDLYCNT@table1.column38.name=ZICPUSECNT@table1.column39.name=ZACPUSECNT@table1.column40.name=IORESPTIME@table1.column41.name=IOIOSQTIME@table1.column42.name=IOCONNTIME@table1.column43.name=IODISCTIME@table1.column44.name=IOWAITTIME@table1.column45.name=JOBQUETIME@table1.column46.name=JOBAFFTIME@table1.column47.name=JOBCNVTIME@table1.column48.name=JOBINLTIME@table1.column49.name=SUBSYSUSET@table1.column50.name=SUBSYSDLYT@table1.column51.name=RESGRPNAME@table1.column52.name=WORKLDNAME@table1.column53.name=REPRTINTVL@table1.column54.name=SYSPLEXNAM@table1.column55.name=LPARNAME@table1.column56.name=IOTOTAL@table1.column57.name=RESPBKT01@table1.column58.name=RESPBKT02@table1.column59.name=RESPBKT03@table1.column60.name=RESPBKT04@table1.column61.name=RESPBKT05@table1.column62.name=RESPBKT06@table1.column63.name=RESPBKT07@table1.column64.name=RESPBKT08@table1.column65.name=RESPBKT09@table1.column66.name=RESPBKT10@table1.column67.name=RESPBKT11@table1.column68.name=RESPBKT12@table1.column69.name=RESPBKT13@table1.column70.name=RESPBKT14@table1.column71.name=SUBSYSSAMT@table1.column72.name=VELOCMODE@table1.columnCount=72@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CLSNAME@filter2.operator=EQ@filter2.value=$CLSNAMEX$@filter3.connector=AND@filter3.column=PERIODNUM@filter3.operator=EQ@filter3.value=$PERIODNUMX$@filter4.connector=AND@filter4.column=CLSTYPE@filter4.operator=EQ@filter4.value=$CLSTYPEX$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.STATIC007          000000000H000000000',
   32,
   259,
   '1210208095409000',
   '_ KCJ',
   'WLM_Report_Class_Extended_LPAR:56017',
   'WLM Report Class Resources'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'WLM_Report_Class_Extended_LPAR:56017',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'WLM_Report_Class_Extended_LPAR:56017',
   256
);



*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from YSZS-1069\KM5WLMESRC.dta.txt
*
* ****************************************************************
* *  (c) Copyright Rocket Software Inc. 2020                     *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Metrics SYSPLEX            *
* *                      Report Classes                          *
* *  Table:              KM5WLMES                                *
* *  OBJECT:             KM5_WLM_EXT_SYSPLEX                     *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/2020 jflores    OA59993 (550 Parity) Initial putpart    *
* * 10/16/20  jflores    OA60283 Added SYSNODE and THRUNODE      *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_Ext_Report_Class_SYSPLEX;
* AFFINITY=%IBM.STATIC006          000000000u00000000;
* NAME=WLM Extended Report Class for SYSPLEX;
* USER=IBM;
* DESC=Extended metrics for WLM Report Class Periods on SYSPLEX;
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMES;
* AT=$THRUNODE$;
* *  This table provides extended detail metrics for WLM
* *  Class Periods for all LPARs in a SYSPLEX.
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being monitored
* *  by an IBM Z OMEGAMON Monitor for z/OS agent. Valid value is a
* *  character string with a maximum length of 32 bytes in
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Sysplex_Name
* COLUMNS=PLXNAME;
* *       The name of the sysplex where the OMEGAMON for z/OS         e
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMFID
* COLUMNS=SMFID;
* *  SMF ID of the Z/OS system where the data was collected. Valid
* *  format is a simple text string from 1 through 4 characters;
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  Name of the z/OS LPAR to be reported on. The
* *  format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  format is integer which can be one of the following values:
* *       Workload
* COLUMNS=WRKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM service or report class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. A value of
* *  0 indicates that the data being reported is for all periods in
* *  the class.
* *       Total_Service_Units
* COLUMNS=SUSTOT;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Using_Samples
* COLUMNS=USINGSTOT;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delay_Samples
* COLUMNS=DELAYSTOT;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Service_Units
* COLUMNS=CPUSUSTOT;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Total_Transactions
* COLUMNS=TRNSTOT;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units
* COLUMNS=MSOSUSTOT;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       IO_Service_Units
* COLUMNS=IOSUSTOT;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Response_Time
* COLUMNS=IORESPTIM;
* *  Total I/O response time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Completions
* COLUMNS=TRANCMPL;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       CPU_Service_Units_Rate
* COLUMNS=CPUSUSRAT;
* *  CPU service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Service_Units_Rate
* COLUMNS=SUSRATE;
* *  Service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Rate
* COLUMNS=TRNSRATE;
* *  Transactions per second completed for the WLM class period to
* *  Valid value is a number to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units_Rate
* COLUMNS=MSOSUSRATE;
* *  MSO service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       SRB_Service_Units_Rate
* COLUMNS=SRBSUSRATE;
* *  SRB service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Service_Units_Rate
* COLUMNS=IOSUSRATE;
* *  I/O service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Rate
* COLUMNS=IORATE;
* *  WLM class period I/Os per seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       zIIP_On_CP_SUS_Rate
* COLUMNS=ZPCPSUSRAT;
* *  zIIP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUS_Rate
* COLUMNS=ZPSUSRATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_SUS_Rate
* COLUMNS=ZACPSUSRAT;
* *  zAAP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_SUS_Rate
* COLUMNS=ZASUSRATE;
* *  zAAP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_IOSQ_Time
* COLUMNS=IOIOSQTIM;
* *  Total I/O IOS queue time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Exec_Time
* COLUMNS=TRNSEXTIM;
* *  Average transaction execution time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Queue_Time
* COLUMNS=TRNSQTIM;
* *  Average transaction queue time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Elapsed_Time
* COLUMNS=TRNSELTM;
* *  Average transaction elapsed time in seconds for the WLM class
* *  period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Connect_Time
* COLUMNS=IOCONNTIM;
* *  Total I/O connect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Disconnect_Time
* COLUMNS=IODISCTIM;
* *  Total I/O disconnect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Wait_Time
* COLUMNS=IOWAITTIM;
* *  WLM class period I/O wait time in seconds to 4 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Affinity_Time
* COLUMNS=JOBAFFTIM;
* *  WLM class period job affinity time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Converter_Time
* COLUMNS=JOBCNVTIM;
* *  WLM class period job converter time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Ineligible_Time
* COLUMNS=JOBINETIM;
* *  WLM class period job ineligible time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       Job_Queue_Time
* COLUMNS=JOBQTIM;
* *  WLM class period job queue time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *  WLM class period performance index. If a report class is
* *  heterogeneous a value of -2 is returned.  Valid values are:
* *       Record_Type
* COLUMNS=RECTYPE;
* *  Record type of data being reported. Summary record type indicates
* *  that a row is reported per class period for the Sysplex. Detail
* *  record type indicates a row is reported per class period for
* *  each LPAR in the Sysplex.
* *  Valid values are:
* *       Total_Using_Percent
* COLUMNS=TOTUSEPCT;
* *  Total using samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_Delay_Percent
* COLUMNS=TOTDLYPCT;
* *  Total delay samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Using_Percent
* COLUMNS=CPUUSEPCT;
* *  Total CPU using samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Delay_Percent
* COLUMNS=CPUDLYPCT;
* *  Total CPU delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Active_Pct
* COLUMNS=SUBSACTPCT;
* *  Subsystem active samples as a percentage of total subsystem active
* *  and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Delay_Pct
* COLUMNS=SUBSDLYPCT;
* *  Subsystem delay samples as a percentage of total subsystem active
* *  and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Using_Percent
* COLUMNS=DASDUSEPCT;
* *  DASD using samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Delay_Percent
* COLUMNS=DASDDLYPCT;
* *  DASD delay samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Execution_Velocity
* COLUMNS=EXECVELO;
* *  Execution velocity for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Velocity_With_I/O
* COLUMNS=VELOCWIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Without_I/O
* COLUMNS=VELOCWOIO;
* *  WLM class period velocity without I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Delay_Percent
* COLUMNS=ZPDLYPCT;
* *  zIIP delay samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZPCPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Using_Percent
* COLUMNS=ZPUSEPCT;
* *  zIIP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Delay_Percent
* COLUMNS=ZADLYPCT;
* *  zAAP delay samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_Using_Percent
* COLUMNS=ZACPUSEPCT;
* *  zAAP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Using_Percent
* COLUMNS=ZAUSEPCT;
* *  zAAP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Host
* COLUMNS=ACTHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       is 0 if the goal type is Discret or Sysgoal. Valid value is
* *       an integer. For report classes, the possible values include:
* *       Actual_Response_Time
* COLUMNS=ACTRESPTIM;
* *  WLM class period actual response time per transaction to 3
* *  decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Transaction_Pct
* COLUMNS=ACTTRNSPCT;
* *  Percentage of transactions that completed in time less than
* *  the percentile goal response time for the WLM class period to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Class_Period_Goal_Duration
* COLUMNS=GOALDUR;
* *  The class period duration in unweighted CPU service units
* *  (that is, not multiplied by the service coefficients) per second.
* *  Format is an integer which can be one of the following values:
* *       Class_Period_Goal_Importance
* COLUMNS=GOALIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=GOALPCT;
* *  WLM goal percentage. A valid value is an integer. The following
* *  are the possible values:
* *       Goal_Type
* COLUMNS=GOALTYPE;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Units
* COLUMNS=GOALUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=GOALVALUE;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       Reporting_Interval
* COLUMNS=SAMPINTVL;
* *  Data collection time interval duration in 1/100ths of a second
* *  to 2 decimal places accuracy.
* *       Sysplex_Node
* COLUMNS=THRUNODE;
* *       The thrunode of the parent system that collects data from the
* *       agent.  This is the TEMS name value specified during
* *       configuration of the agent.  Valid value is a 32 byte
* *       character string.
* *       Sysplex_Originnode
* COLUMNS=SYSNODE;
* *       The originnode of the parent system that collects data from the
* *       agent.  Valid value is a character string with a maximum length
* *       of 32 bytes in the format <plexname>:<smfid>:MVSSYS.
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND PLXNAME = $PLXNAMEX$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Ext_Report_Class_SYSPLEX';


*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from YSZS-1069\KM5WLMESSC.dta.txt
*
* ****************************************************************
* *  (c)Copyright Rocket Software Inc. 2020                      *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Metrics SYSPLEX            *
* *                      Service Classes                         *
* *  Table:              KM5WLMES                                *
* *  OBJECT:             KM5_WLM_EXT_SYSPLEX                     *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/2020 jflores    OA59993 (550 Parity) Initial putpart    *
* * 10/16/20  jflores    OA60283 Added SYSNODE and THRUNODE      *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_Ext_Service_Class_SYSPLEX;
* AFFINITY=%IBM.STATIC006          000000000u00000000;
* NAME=WLM Extended Service Class for SYSPLEX;
* USER=IBM;
* DESC=Extended metrics for WLM Service Class Periods on SYSPLEX;
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMES;
* AT=$THRUNODE$;
* *  This table provides extended detail metrics for WLM
* *  Class Periods for all LPARs in a SYSPLEX.
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being monitored
* *  by an IBM Z OMEGAMON Monitor for z/OS agent. Valid value is a
* *  character string with a maximum length of 32 bytes in
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Sysplex_Name
* COLUMNS=PLXNAME;
* *       The name of the sysplex where the OMEGAMON for z/OS         e
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMFID
* COLUMNS=SMFID;
* *  SMF ID of the Z/OS system where the data was collected. Valid
* *  format is a simple text string from 1 through 4 characters;
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  Name of the z/OS LPAR to be reported on. The
* *  format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  format is integer which can be one of the following values:
* *       Workload
* COLUMNS=WRKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM service or report class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. A value of
* *  0 indicates that the data being reported is for all periods in
* *  the class.
* *       Total_Service_Units
* COLUMNS=SUSTOT;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Using_Samples
* COLUMNS=USINGSTOT;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delay_Samples
* COLUMNS=DELAYSTOT;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Service_Units
* COLUMNS=CPUSUSTOT;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Total_Transactions
* COLUMNS=TRNSTOT;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units
* COLUMNS=MSOSUSTOT;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       IO_Service_Units
* COLUMNS=IOSUSTOT;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Response_Time
* COLUMNS=IORESPTIM;
* *  Total I/O response time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Completions
* COLUMNS=TRANCMPL;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       CPU_Service_Units_Rate
* COLUMNS=CPUSUSRAT;
* *  CPU service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Service_Units_Rate
* COLUMNS=SUSRATE;
* *  Service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Rate
* COLUMNS=TRNSRATE;
* *  Transactions per second completed for the WLM class period to
* *  Valid value is a number to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units_Rate
* COLUMNS=MSOSUSRATE;
* *  MSO service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       SRB_Service_Units_Rate
* COLUMNS=SRBSUSRATE;
* *  SRB service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Service_Units_Rate
* COLUMNS=IOSUSRATE;
* *  I/O service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Rate
* COLUMNS=IORATE;
* *  WLM class period I/Os per seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       zIIP_On_CP_SUS_Rate
* COLUMNS=ZPCPSUSRAT;
* *  zIIP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUS_Rate
* COLUMNS=ZPSUSRATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_SUS_Rate
* COLUMNS=ZACPSUSRAT;
* *  zAAP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_SUS_Rate
* COLUMNS=ZASUSRATE;
* *  zAAP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_IOSQ_Time
* COLUMNS=IOIOSQTIM;
* *  Total I/O IOS queue time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Exec_Time
* COLUMNS=TRNSEXTIM;
* *  Average transaction execution time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Queue_Time
* COLUMNS=TRNSQTIM;
* *  Average transaction queue time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Elapsed_Time
* COLUMNS=TRNSELTM;
* *  Average transaction elapsed time in seconds for the WLM class
* *  period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Connect_Time
* COLUMNS=IOCONNTIM;
* *  Total I/O connect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Disconnect_Time
* COLUMNS=IODISCTIM;
* *  Total I/O disconnect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Wait_Time
* COLUMNS=IOWAITTIM;
* *  WLM class period I/O wait time in seconds to 4 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Affinity_Time
* COLUMNS=JOBAFFTIM;
* *  WLM class period job affinity time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Converter_Time
* COLUMNS=JOBCNVTIM;
* *  WLM class period job converter time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Ineligible_Time
* COLUMNS=JOBINETIM;
* *  WLM class period job ineligible time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       Job_Queue_Time
* COLUMNS=JOBQTIM;
* *  WLM class period job queue time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *  WLM class period performance index. If a report class is
* *  heterogeneous a value of -2 is returned.  Valid values are:
* *       Record_Type
* COLUMNS=RECTYPE;
* *  Record type of data being reported. Summary record type indicates
* *  that a row is reported per class period for the Sysplex. Detail
* *  record type indicates a row is reported per class period for
* *  each LPAR in the Sysplex.
* *  Valid values are:
* *       Total_Using_Percent
* COLUMNS=TOTUSEPCT;
* *  Total using samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_Delay_Percent
* COLUMNS=TOTDLYPCT;
* *  Total delay samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Using_Percent
* COLUMNS=CPUUSEPCT;
* *  Total CPU using samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Delay_Percent
* COLUMNS=CPUDLYPCT;
* *  Total CPU delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Active_Pct
* COLUMNS=SUBSACTPCT;
* *  Subsystem active samples as a percentage of total subsystem active
* *  and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Delay_Pct
* COLUMNS=SUBSDLYPCT;
* *  Subsystem delay samples as a percentage of total subsystem active
* *  and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Using_Percent
* COLUMNS=DASDUSEPCT;
* *  DASD using samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Delay_Percent
* COLUMNS=DASDDLYPCT;
* *  DASD delay samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Execution_Velocity
* COLUMNS=EXECVELO;
* *  Execution velocity for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Velocity_With_I/O
* COLUMNS=VELOCWIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Without_I/O
* COLUMNS=VELOCWOIO;
* *  WLM class period velocity without I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Delay_Percent
* COLUMNS=ZPDLYPCT;
* *  zIIP delay samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZPCPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Using_Percent
* COLUMNS=ZPUSEPCT;
* *  zIIP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Delay_Percent
* COLUMNS=ZADLYPCT;
* *  zAAP delay samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_Using_Percent
* COLUMNS=ZACPUSEPCT;
* *  zAAP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Using_Percent
* COLUMNS=ZAUSEPCT;
* *  zAAP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Host
* COLUMNS=ACTHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       is 0 if the goal type is Discret or Sysgoal. Valid value is
* *       an integer. For report classes, the possible values include:
* *       Actual_Response_Time
* COLUMNS=ACTRESPTIM;
* *  WLM class period actual response time per transaction to 3
* *  decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Transaction_Pct
* COLUMNS=ACTTRNSPCT;
* *  Percentage of transactions that completed in time less than
* *  the percentile goal response time for the WLM class period to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Class_Period_Goal_Duration
* COLUMNS=GOALDUR;
* *  The class period duration in unweighted CPU service units
* *  (that is, not multiplied by the service coefficients) per second.
* *  Format is an integer which can be one of the following values:
* *       Class_Period_Goal_Importance
* COLUMNS=GOALIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=GOALPCT;
* *  WLM goal percentage. A valid value is an integer. The following
* *  are the possible values:
* *       Goal_Type
* COLUMNS=GOALTYPE;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Units
* COLUMNS=GOALUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=GOALVALUE;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       Reporting_Interval
* COLUMNS=SAMPINTVL;
* *  Data collection time interval duration in 1/100ths of a second
* *  to 2 decimal places accuracy.
* *       Sysplex_Node
* *COLUMNS=THRUNODE;
* *       The thrunode of the parent system that collects data from the
* *       agent.  This is the TEMS name value specified during
* *       configuration of the agent.  Valid value is a 32 byte
* *       character string.
* *       Sysplex_Originnode
* *COLUMNS=SYSNODE;
* *       The originnode of the parent system that collects data from the
* *       agent.  Valid value is a character string with a maximum length
* *       of 32 bytes in the format <plexname>:<smfid>:MVSSYS.
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND PLXNAME = $PLXNAMEX$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Ext_Service_Class_SYSPLEX';

*   File created by Helper Version 05.237
*
*   Data generated for Candle Net PortalV180 and above
*
*   Input Data from YSZS-1069\KM5WLMESSCds.dta.txt
*
* ****************************************************************
* *  (c)Copyright Rocket Software Inc. 2020                      *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Metrics SYSPLEX            *
* *                      Service Classes                         *
* *                      Based on Record_Type for LPAR           *
* *  Table:              KM5WLMES                                *
* *  OBJECT:             KM5_WLM_EXT_SYSPLEX                     *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/2020 jflores    OA59993 (550 Parity) Initial putpart    *
* * 10/16/20  jflores    OA60283 Added SYSNODE and THRUNODE      *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_XT_SrvClass_SYSPLEX_LPAR;
* AFFINITY=%IBM.STATIC006          000000000u00000000;
* NAME=WLM XT Service Classes for SYSPLEX (LPAR);
* USER=IBM;
* DESC=Extended data for SYSPLEX WLM Service Classes Periods;
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMES;
* AT=$THRUNODE$;
* *  This table provides extended detail metrics for WLM
* *  Class Periods for all LPARs in a SYSPLEX.
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being monitored
* *  by an IBM Z OMEGAMON Monitor for z/OS agent. Valid value is a
* *  character string with a maximum length of 32 bytes in
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Sysplex_Name
* COLUMNS=PLXNAME;
* *       The name of the sysplex where the OMEGAMON for z/OS         e
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMFID
* COLUMNS=SMFID;
* *  SMF ID of the Z/OS system where the data was collected. Valid
* *  format is a simple text string from 1 through 4 characters;
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  Name of the z/OS LPAR to be reported on. The
* *  format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  format is integer which can be one of the following values:
* *       Workload
* COLUMNS=WRKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM service or report class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. A value of
* *  0 indicates that the data being reported is for all periods in
* *  the class.
* *       Total_Service_Units
* COLUMNS=SUSTOT;
* *  Total service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Using_Samples
* COLUMNS=USINGSTOT;
* *  Total using samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       Total_Delay_Samples
* COLUMNS=DELAYSTOT;
* *  Total delay samples reported for the WLM class period.
* *  Valid value is a long long integer.
* *       CPU_Service_Units
* COLUMNS=CPUSUSTOT;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Total_Transactions
* COLUMNS=TRNSTOT;
* *  Total transactions completed for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units
* COLUMNS=MSOSUSTOT;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       IO_Service_Units
* COLUMNS=IOSUSTOT;
* *  Total I/O service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Response_Time
* COLUMNS=IORESPTIM;
* *  Total I/O response time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Completions
* COLUMNS=TRANCMPL;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       CPU_Service_Units_Rate
* COLUMNS=CPUSUSRAT;
* *  CPU service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Service_Units_Rate
* COLUMNS=SUSRATE;
* *  Service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Rate
* COLUMNS=TRNSRATE;
* *  Transactions per second completed for the WLM class period to
* *  Valid value is a number to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units_Rate
* COLUMNS=MSOSUSRATE;
* *  MSO service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       SRB_Service_Units_Rate
* COLUMNS=SRBSUSRATE;
* *  SRB service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Service_Units_Rate
* COLUMNS=IOSUSRATE;
* *  I/O service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Rate
* COLUMNS=IORATE;
* *  WLM class period I/Os per seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       zIIP_On_CP_SUS_Rate
* COLUMNS=ZPCPSUSRAT;
* *  zIIP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUS_Rate
* COLUMNS=ZPSUSRATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_SUS_Rate
* COLUMNS=ZACPSUSRAT;
* *  zAAP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_SUS_Rate
* COLUMNS=ZASUSRATE;
* *  zAAP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_IOSQ_Time
* COLUMNS=IOIOSQTIM;
* *  Total I/O IOS queue time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Exec_Time
* COLUMNS=TRNSEXTIM;
* *  Average transaction execution time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Queue_Time
* COLUMNS=TRNSQTIM;
* *  Average transaction queue time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Elapsed_Time
* COLUMNS=TRNSELTM;
* *  Average transaction elapsed time in seconds for the WLM class
* *  period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Connect_Time
* COLUMNS=IOCONNTIM;
* *  Total I/O connect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Disconnect_Time
* COLUMNS=IODISCTIM;
* *  Total I/O disconnect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Wait_Time
* COLUMNS=IOWAITTIM;
* *  WLM class period I/O wait time in seconds to 4 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Affinity_Time
* COLUMNS=JOBAFFTIM;
* *  WLM class period job affinity time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Converter_Time
* COLUMNS=JOBCNVTIM;
* *  WLM class period job converter time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Ineligible_Time
* COLUMNS=JOBINETIM;
* *  WLM class period job ineligible time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       Job_Queue_Time
* COLUMNS=JOBQTIM;
* *  WLM class period job queue time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *  WLM class period performance index. If a report class is
* *  heterogeneous a value of -2 is returned.  Valid values are:
* *       Record_Type
* COLUMNS=RECTYPE;
* *  Record type of data being reported. Summary record type indicates
* *  that a row is reported per class period for the Sysplex. Detail
* *  record type indicates a row is reported per class period for
* *  each LPAR in the Sysplex.
* *  Valid values are:
* *       Total_Using_Percent
* COLUMNS=TOTUSEPCT;
* *  Total using samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_Delay_Percent
* COLUMNS=TOTDLYPCT;
* *  Total delay samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Using_Percent
* COLUMNS=CPUUSEPCT;
* *  Total CPU using samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Delay_Percent
* COLUMNS=CPUDLYPCT;
* *  Total CPU delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Active_Pct
* COLUMNS=SUBSACTPCT;
* *  Subsystem active samples as a percentage of total subsystem active
* *  and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Delay_Pct
* COLUMNS=SUBSDLYPCT;
* *  Subsystem delay samples as a percentage of total subsystem active
* *  and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Using_Percent
* COLUMNS=DASDUSEPCT;
* *  DASD using samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Delay_Percent
* COLUMNS=DASDDLYPCT;
* *  DASD delay samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Execution_Velocity
* COLUMNS=EXECVELO;
* *  Execution velocity for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Velocity_With_I/O
* COLUMNS=VELOCWIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Without_I/O
* COLUMNS=VELOCWOIO;
* *  WLM class period velocity without I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Delay_Percent
* COLUMNS=ZPDLYPCT;
* *  zIIP delay samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZPCPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Using_Percent
* COLUMNS=ZPUSEPCT;
* *  zIIP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Delay_Percent
* COLUMNS=ZADLYPCT;
* *  zAAP delay samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_Using_Percent
* COLUMNS=ZACPUSEPCT;
* *  zAAP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Using_Percent
* COLUMNS=ZAUSEPCT;
* *  zAAP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Host
* COLUMNS=ACTHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       is 0 if the goal type is Discret or Sysgoal. Valid value is
* *       an integer. For report classes, the possible values include:
* *       Actual_Response_Time
* COLUMNS=ACTRESPTIM;
* *  WLM class period actual response time per transaction to 3
* *  decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Transaction_Pct
* COLUMNS=ACTTRNSPCT;
* *  Percentage of transactions that completed in time less than
* *  the percentile goal response time for the WLM class period to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Class_Period_Goal_Duration
* COLUMNS=GOALDUR;
* *  The class period duration in unweighted CPU service units
* *  (that is, not multiplied by the service coefficients) per second.
* *  Format is an integer which can be one of the following values:
* *       Class_Period_Goal_Importance
* COLUMNS=GOALIMP;
* *  WLM class period importance.                            .
* *  Format is an integer which can be one of the following values:
* *       Goal_Percentile
* COLUMNS=GOALPCT;
* *  WLM goal percentage. A valid value is an integer. The following
* *  are the possible values:
* *       Goal_Type
* COLUMNS=GOALTYPE;
* *  WLM goal type.
* *  Format is an integer which can be one of the following values:
* *       Goal_Units
* COLUMNS=GOALUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer which can be one of the following values:
* *       Goal_Value
* COLUMNS=GOALVALUE;
* *  WLM Goal Value.
* *  Format is an integer which can be one of the following values:
* *       Reporting_Interval
* COLUMNS=SAMPINTVL;
* *  Data collection time interval duration in 1/100ths of a second
* *  to 2 decimal places accuracy.
* *       Sysplex_Node
* *COLUMNS=THRUNODE;
* *       The thrunode of the parent system that collects data from the
* *       agent.  This is the TEMS name value specified during
* *       configuration of the agent.  Valid value is a 32 byte
* *       character string.
* *       Sysplex_Originnode
* *COLUMNS=SYSNODE;
* *       The originnode of the parent system that collects data from the
* *       agent.  Valid value is a character string with a maximum length
* *       of 32 bytes in the format <plexname>:<smfid>:MVSSYS.
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND PLXNAME = $PLXNAMEX$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND RECTYPE = $RECTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_XT_SrvClass_SYSPLEX_LPAR';

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1163\KM5WLMCLPX-SrvRpt-LPAR.dat.txt
*
* ****************************************************************
* *  (c) Copyright Rocket Software Inc. 2020                     *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Metrics SYSPLEX            *
* *                      Service/Report Classes (LPAR)           *
* *  Table:              KM5WLMCLPX                              *
* *  OBJECT:             WLM_Class_Sysplex_Metrics               *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/2020 jflores    OA59993 (550 Parity) Initial putpart    *
* * 10/16/20  jflores    OA60283 Added SYSNODE and THRUNODE      *
* * 02/12/21  jflores    Co-existence for IBM Spec OA60576       *
* *                      Rename column PLXNAME to SYSPLEXNAM     *
* *                      Rename column WRKLDNAME to WORKLDNAME   *
* *                      Rename column SUSTOT to TOTALSUS        *
* *                      Rename column CPUSUSTOT to CPUSUS       *
* *                      Rename column TRNSTOT to TRANSTOTAL     *
* *                      Rename column MSOSUSTOT to MSOSUS       *
* *                      Rename column IOSUSTOT to IOSUS         *
* *                      Rename column IORESPTIM to IORESPTIME   *
* *                      Rename column TRANCMPL to TRANSCOMP     *
* *                      Rename column CPUSUSRAT to CPUSUSRATE   *
* *                      Rename column SUSRATE to TOTSUSRATE     *
* *                      Rename column TRNSRATE to TRANSRATE     *
* *                      Rename column SUSRATE to TOTSUSRATE     *
* *                      Rename column MSOSUSRATE to MSOSURATE   *
* *                      Rename column SRBSUSRATE to SRBSURATE   *
* *                      Rename column IOSUSRATE to IOSURATE     *
* *                      Rename column ZPCPSUSRAT to ZICPSURATE  *
* *                      Rename column ZPSUSRATE to ZIIPSURATE   *
* *                      Rename column ZACPSUSRAT to ZACPSURATE  *
* *                      Rename column ZASUSRATE to ZAAPSURATE   *
* *                      Rename column IOIOSQTIM to IOIOSQTIME   *
* *                      Rename column TRNSEXTIM to TXNEXECTIM   *
* *                      Rename column TRNSQTIM to TXNQUETIM     *
* *                      Rename column TRNSELTM to TXNELAPTIM    *
* *                      Rename column IOCONNTIM to IOCONNTIME   *
* *                      Rename column IODISCTIM to IODISCTIME   *
* *                      Rename column IOWAITTIM to IOWAITTIME   *
* *                      Rename column JOBAFFTIM to JOBAFFTIME   *
* *                      Rename column JOBCNVTIM to JOBCNVTIME   *
* *                      Rename column JOBINETIM to JOBINLTIME   *
* *                      Rename column JOBQTIM to JOBQUETIME     *
* *                      Rename column SUBSACTPCT to SUBSYSUSEP  *
* *                      Rename column SUBSDLYPCT to SUBSYSDLYP  *
* *                      Rename column EXECVELO to EXECVELOC     *
* *                      Rename column VELOCWIO to VELOCIO       *
* *                      Rename column ZPDLYPCT to ZIIPDLYPCT    *
* *                      Rename column ZPCPUSEPCT to ZICPUSEPCT  *
* *                      Rename column ZPUSEPCT to ZIIPUSEPCT    *
* *                      Rename column ZADLYPCT to ZAAPDLYPCT    *
* *                      Rename column ZAUSEPCT to ZAAPUSEPCT    *
* *                      Rename column ACTHOST to ACTUALHOST     *
* *                      Rename column ACTRESPTIM to RESPTIME    *
* *                      Rename column ACTTRNSPCT to PCTTXNACT   *
* *                      Rename column GOALDUR to PERDUR         *
* *                      Rename column GOALIMP to PERGIMP        *
* *                      Rename column GOALPCT to PERPCTLE       *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                      Rename column GOALUNIT to PERGLUNIT     *
* *                      Rename column GOALVALUE to PERGLVAL     *
* *                      Rename column SAMPINTVL to REPRTINTVL   *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=IDENT=WLM_XT_SrvRptClass_SYSPLEX_LPAR:5608;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=17;
* NAME=WLM XT Service Classes for SYSPLEX (LPAR);
* USER=IBM;
* DESC=Extended data WLM SYSPLEX Service/Report Classes (5608);
* VISIBLE=N;
* READONLY=Y;
* HISTORY=Z;
* TABLE=KM5.KM5WLMCLPX;
* AT=$THRUNODE$;
* *  This table provides extended detail metrics for WLM
* *  Class Periods for all LPARs in a SYSPLEX.
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being monitored
* *  by an IBM Z OMEGAMON Monitor for z/OS agent. Valid value is a
* *  character string with a maximum length of 32 bytes in
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Sysplex_Name
* COLUMNS=SYSPLEXNAM;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMF_ID
* COLUMNS=SMFID;
* *  SMF ID of the Z/OS system where the data was collected. Valid
* *  format is a simple text string from 1 through 4 characters;
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  Name of the z/OS LPAR to be reported on. The
* *  format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  format is integer which can be one of the following values:
* *       Workload_Name
* COLUMNS=WORKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group_Name
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM service or report class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. A value of
* *  0 indicates that the data being reported is for all periods in
* *  the class.
* *       Total_Service_Units
* COLUMNS=TOTALSUS;
* *  Total Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* * *       Total_Using_Samples
* * COLUMNS=USINGSTOT;
* * *  Total using samples reported for the WLM class period.
* * *  Valid value is a long long integer.
* * *       Total_Delay_Samples
* * COLUMNS=DELAYSTOT;
* * * Total delay samples reported for the WLM class period.
* * * Valid value is a long long integer.
* *       Total_Using_Percent
* COLUMNS=TOTUSEPCT;
* *  Total using samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_Delay_Percent
* COLUMNS=TOTDLYPCT;
* *  Total delay samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Service_Units
* COLUMNS=CPUSUS;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Transaction_Total
* COLUMNS=TRANSTOTAL;
* *  Total transactions completed for the WLM class period.
* *  Valid value is an integer.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units
* COLUMNS=MSOSUS;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Service_Units
* COLUMNS=IOSUS;
* *  Total I/O Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Response_Time
* COLUMNS=IORESPTIME;
* *  Total I/O response time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Completions
* COLUMNS=TRANSCOMP;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is an integer.
* *  A value of -1 indicates unavailable.
* *       CPU_SUs/Second
* COLUMNS=CPUSURATE;
* *  CPU service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_SUs/Second
* COLUMNS=TOTSURATE;
* *  Service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Rate
* COLUMNS=TRANSRATE;
* *  Transactions per second completed for the WLM class period to
* *  Valid value is a number to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       MSO_SUs/Second
* COLUMNS=MSOSURATE;
* *  MSO service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       SRB_SUs/Second
* COLUMNS=SRBSURATE;
* *  SRB service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_SUs/Second
* COLUMNS=IOSURATE;
* *  I/O service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Rate
* COLUMNS=IORATE;
* *  WLM class period I/Os per second to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       zIIP_ON_CP_SUs/Second
* COLUMNS=ZICPSURATE;
* *  zIIP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUs/Second
* COLUMNS=ZIIPSURATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUS_Rate
* COLUMNS=ZIIPSURATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_SUs/Second
* COLUMNS=ZACPSURATE;
* *  zAAP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_SUs/Second
* COLUMNS=ZAAPSURATE;
* *  zAAP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_IOSQ_Time
* COLUMNS=IOIOSQTIME;
* *  Total I/O IOS queue time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Execution_Time
* COLUMNS=TXNEXECTIM;
* *  Average transaction execution time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Queue_Time
* COLUMNS=TXNQUETIM;
* *  Average transaction queue time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Elapsed_Time
* COLUMNS=TXNELAPTIM;
* *  Average transaction elapsed time in seconds for the WLM class
* *  period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Connect_Time
* COLUMNS=IOCONNTIME;
* *  Total I/O connect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Disconnect_Time
* COLUMNS=IODISCTIME;
* *  Total I/O disconnect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Wait_Time
* COLUMNS=IOWAITTIME;
* *  Total I/O wait time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Job_Affinity_Time
* COLUMNS=JOBAFFTIME;
* *  WLM class period job affinity time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Converter_Time
* COLUMNS=JOBCNVTIME;
* *  WLM class period job converter time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Ineligible_Time
* COLUMNS=JOBINLTIME;
* *  WLM class period job ineligible time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       Job_Queue_Time
* COLUMNS=JOBQUETIME;
* *  WLM class period job queue time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *  WLM class period performance index to 2 decimal places accuracy.
* *       Record_Type
* COLUMNS=RECTYPE;
* *  Record type of data being reported. Summary record type indicates
* *  that a row is reported per class period for the Sysplex. Detail
* *  record type indicates a row is reported per class period for
* *  each LPAR in the Sysplex.
* *       CPU_Using_Percent
* COLUMNS=CPUUSEPCT;
* *  Total CPU using samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Delay_Percent
* COLUMNS=CPUDLYPCT;
* *  Total CPU delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Using_Percent
* COLUMNS=SUBSYSUSEP;
* *  Subsystem active samples as a percentage of total subsystem active
* *  and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Delay_Percent
* COLUMNS=SUBSYSDLYP;
* *  Subsystem delay samples as a percentage of total subsystem active
* *  and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Using_Percent
* COLUMNS=DASDUSEPCT;
* *  DASD using samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Delay_Percent
* COLUMNS=DASDDLYPCT;
* *  DASD delay samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Execution_Velocity
* COLUMNS=EXECVELOC;
* *  Execution velocity for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Velocity_With_I/O
* COLUMNS=VELOCIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_With_I/O
* COLUMNS=VELOCIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Without_I/O
* COLUMNS=VELOCNOIO;
* *  WLM class period velocity without I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZICPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Delay_Percent
* COLUMNS=ZIIPDLYPCT;
* *  Total zIIP delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZICPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Using_Percent
* COLUMNS=ZIIPUSEPCT;
* *  zIIP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Delay_Percent
* COLUMNS=ZAAPDLYPCT;
* *  Total zAAP delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_Using_Percent
* COLUMNS=ZACPUSEPCT;
* *  zAAP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Using_Percent
* COLUMNS=ZAAPUSEPCT;
* *  zAAP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Host
* COLUMNS=ACTUALHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       is 0 if the goal type is Discret or Sysgoal. Valid value is
* *       an integer. 
* *       Actual_Response_Time
* COLUMNS=RESPTIME;
* *  WLM class period actual response time per transaction.
* *  A value of -1 indicates unavailable.
* *       Actual_Transaction_Percentage
* COLUMNS=PCTTXNACT;
* *  Percentage of transactions that completed in time less than
* *  the percentile goal response time for the WLM class period to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Duration
* COLUMNS=PERDUR;
* *  The duration of the class period measured in the number of
* *  unweighted CPU service units per second. Unweighted CPU service
* *  units are not multiplied by the service coefficients.
* *  Format is an integer which can include the following values:
* *       Goal_Importance
* COLUMNS=PERGIMP;
* *  WLM class period importance.
* *  Format is an integer.
* *       Goal_Percentile
* COLUMNS=PERPCTLE;
* *  WLM goal percentage.
* *  Format is an integer.
* *       Goal_Type
* COLUMNS=PERGLTYP;
* *  WLM goal type.
* *  Format is an integer.
* *       Goal_Units
* COLUMNS=PERGLUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer.
* *       Goal_Value
* COLUMNS=PERGLVAL;
* *  WLM goal value.
* *  Format is an integer.
* *       Reporting_Interval
* COLUMNS=REPRTINTVL;
* *  Data collection time interval duration in 1/100ths of a second.
* *       Sysplex_Node
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND PLXNAME = $PLXNAMEX$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND RECTYPE = $RECTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'IDENT=WLM_XT_SrvRptClass_SYSPLEX_LPAR:5608';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'IDENT=WLM_XT_SrvRptClass_SYSPLEX_LPAR:5608',
  'KM5',
  '%IBM.STATIC006          000000000H000000000',
  'P',
  'WLM XT Service Classes for SYSPLEX (LPAR)',
  'Extended data WLM SYSPLEX Service/Report Classes (5608)',
  'IBM',
  '1210301170958000',
'at=$THRUNODE$@table1.name=KM5WLMCLPX@table1.column1.name=ORIGINNODE@table1.column2.name=SYSPLEXNAM@table1.column3.name=SMFID@table1.column4.name=LPARNAME@table1.column5.name=CLSNAME@table1.column6.name=CLSTYPE@table1.column7.name=WORKLDNAME@table1.column8.name=RESGRPNAME@table1.column9.name=PERIODNUM@table1.column10.name=TOTALSUS@table1.column11.name=TOTUSEPCT@table1.column12.name=TOTDLYPCT@table1.column13.name=CPUSUS@table1.column14.name=TRANSTOTAL@table1.column15.name=MSOSUS@table1.column16.name=IOSUS@table1.column17.name=IORESPTIME@table1.column18.name=TRANSCOMP@table1.column19.name=CPUSURATE@table1.column20.name=TOTSURATE@table1.column21.name=TRANSRATE@table1.column22.name=MSOSURATE@table1.column23.name=SRBSURATE@table1.column24.name=IOSURATE@table1.column25.name=IORATE@table1.column26.name=ZICPSURATE@table1.column27.name=ZIIPSURATE@table1.column28.name=ZIIPSURATE@table1.column29.name=ZACPSURATE@table1.column30.name=ZAAPSURATE@table1.column31.name=IOIOSQTIME@table1.column32.name=TXNEXECTIM@table1.column33.name=TXNQUETIM@table1.column34.name=TXNELAPTIM@table1.column35.name=IOCONNTIME@table1.column36.name=IODISCTIME@table1.column37.name=IOWAITTIME@table1.column38.name=JOBAFFTIME@table1.column39.name=JOBCNVTIME@table1.column40.name=JOBINLTIME@table1.column41.name=JOBQUETIME@table1.column42.name=PERFINDEX@table1.column43.name=RECTYPE@table1.column44.name=CPUUSEPCT@table1.column45.name=CPUDLYPCT@table1.column46.name=SUBSYSUSEP@table1.column47.name=SUBSYSDLYP@table1.column48.name=DASDUSEPCT@table1.column49.name=DASDDLYPCT@table1.column50.name=EXECVELOC@table1.column51.name=VELOCMODE@table1.column52.name=VELOCIO@table1.column53.name=VELOCIO@table1.column54.name=VELOCNOIO@table1.column55.name=ZICPUSEPCT@table1.column56.name=ZIIPDLYPCT@table1.column57.name=ZICPUSEPCT@table1.column58.name=ZIIPUSEPCT@table1.column59.name=ZAAPDLYPCT@table1.column60.name=ZACPUSEPCT@table1.column61.name=ZAAPUSEPCT@table1.column62.name=ACTUALHOST@table1.column63.name=RESPTIME@table1.column64.name=PCTTXNACT@table1.column65.name=PERDUR@table1.column66.name=PERGIMP@table1.column67.name=PERPCTLE@table1.column68.name=PERGLTYP@table1.column69.name=PERGLUNIT@table1.column70.name=PERGLVAL@table1.column71.name=REPRTINTVL@table1.columnCount=71@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filter2.connector=AND@filter2.column=PLXNAME@filter2.operator=EQ@filter2.value=$PLXNAMEX$@filter3.connector=AND@filter3.column=CLSNAME@filter3.operator=EQ@filter3.value=$CLSNAMEX$@filter4.connector=AND@filter4.column=RECTYPE@filter4.operator=EQ@filter4.value=$RECTYPEX$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=Z@');


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1163\KM5WLMCLPX-XT-Rpt.dat.txt
*
* ****************************************************************
* *  (c) Copyright Rocket Software Inc. 2020                     *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Metrics SYSPLEX            *
* *                      Report Classes                          *
* *  Table:              KM5WLMCLPX                              *
* *  OBJECT:             WLM_Class_Sysplex_Metrics               *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/2020 jflores    OA59993 (550 Parity) Initial putpart    *
* * 10/16/20  jflores    OA60283 Added SYSNODE and THRUNODE      *
* * 02/12/21  jflores    Co-existence for IBM Spec OA60576       *
* *                      Rename column PLXNAME to SYSPLEXNAM     *
* *                      Rename column WRKLDNAME to WORKLDNAME   *
* *                      Rename column SUSTOT to TOTALSUS        *
* *                      Rename column CPUSUSTOT to CPUSUS       *
* *                      Rename column TRNSTOT to TRANSTOTAL     *
* *                      Rename column MSOSUSTOT to MSOSUS       *
* *                      Rename column IOSUSTOT to IOSUS         *
* *                      Rename column IORESPTIM to IORESPTIME   *
* *                      Rename column TRANCMPL to TRANSCOMP     *
* *                      Rename column CPUSUSRAT to CPUSUSRATE   *
* *                      Rename column SUSRATE to TOTSUSRATE     *
* *                      Rename column TRNSRATE to TRANSRATE     *
* *                      Rename column SUSRATE to TOTSUSRATE     *
* *                      Rename column MSOSUSRATE to MSOSURATE   *
* *                      Rename column SRBSUSRATE to SRBSURATE   *
* *                      Rename column IOSUSRATE to IOSURATE     *
* *                      Rename column ZPCPSUSRAT to ZICPSURATE  *
* *                      Rename column ZPSUSRATE to ZIIPSURATE   *
* *                      Rename column ZACPSUSRAT to ZACPSURATE  *
* *                      Rename column ZASUSRATE to ZAAPSURATE   *
* *                      Rename column IOIOSQTIM to IOIOSQTIME   *
* *                      Rename column TRNSEXTIM to TXNEXECTIM   *
* *                      Rename column TRNSQTIM to TXNQUETIM     *
* *                      Rename column TRNSELTM to TXNELAPTIM    *
* *                      Rename column IOCONNTIM to IOCONNTIME   *
* *                      Rename column IODISCTIM to IODISCTIME   *
* *                      Rename column IOWAITTIM to IOWAITTIME   *
* *                      Rename column JOBAFFTIM to JOBAFFTIME   *
* *                      Rename column JOBCNVTIM to JOBCNVTIME   *
* *                      Rename column JOBINETIM to JOBINLTIME   *
* *                      Rename column JOBQTIM to JOBQUETIME     *
* *                      Rename column SUBSACTPCT to SUBSYSUSEP  *
* *                      Rename column SUBSDLYPCT to SUBSYSDLYP  *
* *                      Rename column EXECVELO to EXECVELOC     *
* *                      Rename column VELOCWIO to VELOCIO       *
* *                      Rename column ZPDLYPCT to ZIIPDLYPCT    *
* *                      Rename column ZPCPUSEPCT to ZICPUSEPCT  *
* *                      Rename column ZPUSEPCT to ZIIPUSEPCT    *
* *                      Rename column ZADLYPCT to ZAAPDLYPCT    *
* *                      Rename column ZAUSEPCT to ZAAPUSEPCT    *
* *                      Rename column ACTHOST to ACTUALHOST     *
* *                      Rename column ACTRESPTIM to RESPTIME    *
* *                      Rename column ACTTRNSPCT to PCTTXNACT   *
* *                      Rename column GOALDUR to PERDUR         *
* *                      Rename column GOALIMP to PERGIMP        *
* *                      Rename column GOALPCT to PERPCTLE       *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                      Rename column GOALUNIT to PERGLUNIT     *
* *                      Rename column GOALVALUE to PERGLVAL     *
* *                      Rename column SAMPINTVL to REPRTINTVL   *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_Ext_Report_Class_SYSPLEX:5608;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=17;
* NAME=WLM Extended Report Class for SYSPLEX;
* USER=IBM;
* DESC=Extended metrics for WLM Report Class Periods on SYSPLEX (5608);
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMCLPX;
* AT=$THRUNODE$;
* *  This table provides extended detail metrics for WLM
* *  Class Periods for all LPARs in a SYSPLEX.
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being monitored
* *  by an IBM Z OMEGAMON Monitor for z/OS agent. Valid value is a
* *  character string with a maximum length of 32 bytes in
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Sysplex_Name
* COLUMNS=SYSPLEXNAM;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMF_ID
* COLUMNS=SMFID;
* *  SMF ID of the Z/OS system where the data was collected. Valid
* *  format is a simple text string from 1 through 4 characters;
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  Name of the z/OS LPAR to be reported on. The
* *  format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  format is integer which can be one of the following values:
* *       Workload_Name
* COLUMNS=WORKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group_Name
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM service or report class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. A value of
* *  0 indicates that the data being reported is for all periods in
* *  the class.
* *       Total_Service_Units
* COLUMNS=TOTALSUS;
* *  Total Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* * *       Total_Using_Samples
* * COLUMNS=USINGSTOT;
* * *  Total using samples reported for the WLM class period.
* * *  Valid value is a long long integer.
* * *       Total_Delay_Samples
* * COLUMNS=DELAYSTOT;
* * * Total delay samples reported for the WLM class period.
* * * Valid value is a long long integer.
* *       Total_Using_Percent
* COLUMNS=TOTUSEPCT;
* *  Total using samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_Delay_Percent
* COLUMNS=TOTDLYPCT;
* *  Total delay samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Service_Units
* COLUMNS=CPUSUS;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Transaction_Total
* COLUMNS=TRANSTOTAL;
* *  Total transactions completed for the WLM class period.
* *  Valid value is an integer.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units
* COLUMNS=MSOSUS;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Service_Units
* COLUMNS=IOSUS;
* *  Total I/O Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Response_Time
* COLUMNS=IORESPTIME;
* *  Total I/O response time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Completions
* COLUMNS=TRANSCOMP;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is an integer.
* *  A value of -1 indicates unavailable.
* *       CPU_SUs/Second
* COLUMNS=CPUSURATE;
* *  CPU service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_SUs/Second
* COLUMNS=TOTSURATE;
* *  Service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Rate
* COLUMNS=TRANSRATE;
* *  Transactions per second completed for the WLM class period to
* *  Valid value is a number to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       MSO_SUs/Second
* COLUMNS=MSOSURATE;
* *  MSO service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       SRB_SUs/Second
* COLUMNS=SRBSURATE;
* *  SRB service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_SUs/Second
* COLUMNS=IOSURATE;
* *  I/O service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Rate
* COLUMNS=IORATE;
* *  WLM class period I/Os per second to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       zIIP_ON_CP_SUs/Second
* COLUMNS=ZICPSURATE;
* *  zIIP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUs/Second
* COLUMNS=ZIIPSURATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUS_Rate
* COLUMNS=ZIIPSURATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_SUs/Second
* COLUMNS=ZACPSURATE;
* *  zAAP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_SUs/Second
* COLUMNS=ZAAPSURATE;
* *  zAAP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_IOSQ_Time
* COLUMNS=IOIOSQTIME;
* *  Total I/O IOS queue time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Execution_Time
* COLUMNS=TXNEXECTIM;
* *  Average transaction execution time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Queue_Time
* COLUMNS=TXNQUETIM;
* *  Average transaction queue time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Elapsed_Time
* COLUMNS=TXNELAPTIM;
* *  Average transaction elapsed time in seconds for the WLM class
* *  period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Connect_Time
* COLUMNS=IOCONNTIME;
* *  Total I/O connect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Disconnect_Time
* COLUMNS=IODISCTIME;
* *  Total I/O disconnect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Wait_Time
* COLUMNS=IOWAITTIME;
* *  Total I/O wait time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Job_Affinity_Time
* COLUMNS=JOBAFFTIME;
* *  WLM class period job affinity time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Converter_Time
* COLUMNS=JOBCNVTIME;
* *  WLM class period job converter time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Ineligible_Time
* COLUMNS=JOBINLTIME;
* *  WLM class period job ineligible time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       Job_Queue_Time
* COLUMNS=JOBQUETIME;
* *  WLM class period job queue time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *  WLM class period performance index to 2 decimal places accuracy.
* *       Record_Type
* COLUMNS=RECTYPE;
* *  Record type of data being reported. Summary record type indicates
* *  that a row is reported per class period for the Sysplex. Detail
* *  record type indicates a row is reported per class period for
* *  each LPAR in the Sysplex.
* *       CPU_Using_Percent
* COLUMNS=CPUUSEPCT;
* *  Total CPU using samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Delay_Percent
* COLUMNS=CPUDLYPCT;
* *  Total CPU delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Using_Percent
* COLUMNS=SUBSYSUSEP;
* *  Subsystem active samples as a percentage of total subsystem active
* *  and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Delay_Percent
* COLUMNS=SUBSYSDLYP;
* *  Subsystem delay samples as a percentage of total subsystem active
* *  and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Using_Percent
* COLUMNS=DASDUSEPCT;
* *  DASD using samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Delay_Percent
* COLUMNS=DASDDLYPCT;
* *  DASD delay samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Execution_Velocity
* COLUMNS=EXECVELOC;
* *  Execution velocity for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Velocity_With_I/O
* COLUMNS=VELOCIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_With_I/O
* COLUMNS=VELOCIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Without_I/O
* COLUMNS=VELOCNOIO;
* *  WLM class period velocity without I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZICPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Delay_Percent
* COLUMNS=ZIIPDLYPCT;
* *  Total zIIP delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZICPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Using_Percent
* COLUMNS=ZIIPUSEPCT;
* *  zIIP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Delay_Percent
* COLUMNS=ZAAPDLYPCT;
* *  Total zAAP delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_Using_Percent
* COLUMNS=ZACPUSEPCT;
* *  zAAP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Using_Percent
* COLUMNS=ZAAPUSEPCT;
* *  zAAP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Host
* COLUMNS=ACTUALHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       is 0 if the goal type is Discret or Sysgoal. Valid value is
* *       an integer. 
* *       Actual_Response_Time
* COLUMNS=RESPTIME;
* *  WLM class period actual response time per transaction.
* *  A value of -1 indicates unavailable.
* *       Actual_Transaction_Percentage
* COLUMNS=PCTTXNACT;
* *  Percentage of transactions that completed in time less than
* *  the percentile goal response time for the WLM class period to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Duration
* COLUMNS=PERDUR;
* *  The duration of the class period measured in the number of
* *  unweighted CPU service units per second. Unweighted CPU service
* *  units are not multiplied by the service coefficients.
* *  Format is an integer which can include the following values:
* *       Goal_Importance
* COLUMNS=PERGIMP;
* *  WLM class period importance.
* *  Format is an integer.
* *       Goal_Percentile
* COLUMNS=PERPCTLE;
* *  WLM goal percentage.
* *  Format is an integer.
* *       Goal_Type
* COLUMNS=PERGLTYP;
* *  WLM goal type.
* *  Format is an integer.
* *       Goal_Units
* COLUMNS=PERGLUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer.
* *       Goal_Value
* COLUMNS=PERGLVAL;
* *  WLM goal value.
* *  Format is an integer.
* *       Reporting_Interval
* COLUMNS=REPRTINTVL;
* *  Data collection time interval duration in 1/100ths of a second.
* *       Sysplex_Node
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND SYSPLEXNAM = $PLXNAMEX$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Ext_Report_Class_SYSPLEX:5608';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Ext_Report_Class_SYSPLEX:5608',
  'KM5',
  '%IBM.STATIC006          000000000H000000000',
  'P',
  'WLM Extended Report Class for SYSPLEX',
  'Extended metrics for WLM Report Class Periods on SYSPLEX (5608)',
  'IBM',
  '1210226112401000',
'at=$THRUNODE$@table1.name=KM5WLMCLPX@table1.column1.name=ORIGINNODE@table1.column2.name=SYSPLEXNAM@table1.column3.name=SMFID@table1.column4.name=LPARNAME@table1.column5.name=CLSNAME@table1.column6.name=CLSTYPE@table1.column7.name=WORKLDNAME@table1.column8.name=RESGRPNAME@table1.column9.name=PERIODNUM@table1.column10.name=TOTALSUS@table1.column11.name=TOTUSEPCT@table1.column12.name=TOTDLYPCT@table1.column13.name=CPUSUS@table1.column14.name=TRANSTOTAL@table1.column15.name=MSOSUS@table1.column16.name=IOSUS@table1.column17.name=IORESPTIME@table1.column18.name=TRANSCOMP@table1.column19.name=CPUSURATE@table1.column20.name=TOTSURATE@table1.column21.name=TRANSRATE@table1.column22.name=MSOSURATE@table1.column23.name=SRBSURATE@table1.column24.name=IOSURATE@table1.column25.name=IORATE@table1.column26.name=ZICPSURATE@table1.column27.name=ZIIPSURATE@table1.column28.name=ZIIPSURATE@table1.column29.name=ZACPSURATE@table1.column30.name=ZAAPSURATE@table1.column31.name=IOIOSQTIME@table1.column32.name=TXNEXECTIM@table1.column33.name=TXNQUETIM@table1.column34.name=TXNELAPTIM@table1.column35.name=IOCONNTIME@table1.column36.name=IODISCTIME@table1.column37.name=IOWAITTIME@table1.column38.name=JOBAFFTIME@table1.column39.name=JOBCNVTIME@table1.column40.name=JOBINLTIME@table1.column41.name=JOBQUETIME@table1.column42.name=PERFINDEX@table1.column43.name=RECTYPE@table1.column44.name=CPUUSEPCT@table1.column45.name=CPUDLYPCT@table1.column46.name=SUBSYSUSEP@table1.column47.name=SUBSYSDLYP@table1.column48.name=DASDUSEPCT@table1.column49.name=DASDDLYPCT@table1.column50.name=EXECVELOC@table1.column51.name=VELOCMODE@table1.column52.name=VELOCIO@table1.column53.name=VELOCIO@table1.column54.name=VELOCNOIO@table1.column55.name=ZICPUSEPCT@table1.column56.name=ZIIPDLYPCT@table1.column57.name=ZICPUSEPCT@table1.column58.name=ZIIPUSEPCT@table1.column59.name=ZAAPDLYPCT@table1.column60.name=ZACPUSEPCT@table1.column61.name=ZAAPUSEPCT@table1.column62.name=ACTUALHOST@table1.column63.name=RESPTIME@table1.column64.name=PCTTXNACT@table1.column65.name=PERDUR@table1.column66.name=PERGIMP@table1.column67.name=PERPCTLE@table1.column68.name=PERGLTYP@table1.column69.name=PERGLUNIT@table1.column70.name=PERGLVAL@table1.column71.name=REPRTINTVL@table1.columnCount=71@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filter2.connector=AND@filter2.column=SYSPLEXNAM@filter2.operator=EQ@filter2.value=$PLXNAMEX$@filter3.connector=AND@filter3.column=CLSNAME@filter3.operator=EQ@filter3.value=$CLSNAMEX$@filter4.connector=AND@filter4.column=CLSTYPE@filter4.operator=EQ@filter4.value=$CLSTYPEX$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from YSZS-1163\KM5WLMCLPX-XT-Srv.dat.txt
*
* ****************************************************************
* *  (c) Copyright Rocket Software Inc. 2020                     *
* *  Product:            KM5                                     *
* *  Version:            560                                     *
* *  Report:             WLM Extended Metrics SYSPLEX            *
* *                      Service Classes                         *
* *  Table:              KM5WLMCLPX                              *
* *  OBJECT:             WLM_Class_Sysplex_Metrics               *
* *  Characteristics:    Executed on Hub, no filters             *
* *                                                              *
* *  Change Log:                                                 *
* *  Date     Name       Description                             *
* *  -------- ---------- ----------------------------------------*
* *  9/8/2020 jflores    OA59993 (550 Parity) Initial putpart    *
* * 10/16/20  jflores    OA60283 Added SYSNODE and THRUNODE      *
* * 02/12/21  jflores    Co-existence for IBM Spec OA60576       *
* *                      Rename column PLXNAME to SYSPLEXNAM     *
* *                      Rename column WRKLDNAME to WORKLDNAME   *
* *                      Rename column SUSTOT to TOTALSUS        *
* *                      Rename column CPUSUSTOT to CPUSUS       *
* *                      Rename column TRNSTOT to TRANSTOTAL     *
* *                      Rename column MSOSUSTOT to MSOSUS       *
* *                      Rename column IOSUSTOT to IOSUS         *
* *                      Rename column IORESPTIM to IORESPTIME   *
* *                      Rename column TRANCMPL to TRANSCOMP     *
* *                      Rename column CPUSUSRAT to CPUSUSRATE   *
* *                      Rename column SUSRATE to TOTSUSRATE     *
* *                      Rename column TRNSRATE to TRANSRATE     *
* *                      Rename column SUSRATE to TOTSUSRATE     *
* *                      Rename column MSOSUSRATE to MSOSURATE   *
* *                      Rename column SRBSUSRATE to SRBSURATE   *
* *                      Rename column IOSUSRATE to IOSURATE     *
* *                      Rename column ZPCPSUSRAT to ZICPSURATE  *
* *                      Rename column ZPSUSRATE to ZIIPSURATE   *
* *                      Rename column ZACPSUSRAT to ZACPSURATE  *
* *                      Rename column ZASUSRATE to ZAAPSURATE   *
* *                      Rename column IOIOSQTIM to IOIOSQTIME   *
* *                      Rename column TRNSEXTIM to TXNEXECTIM   *
* *                      Rename column TRNSQTIM to TXNQUETIM     *
* *                      Rename column TRNSELTM to TXNELAPTIM    *
* *                      Rename column IOCONNTIM to IOCONNTIME   *
* *                      Rename column IODISCTIM to IODISCTIME   *
* *                      Rename column IOWAITTIM to IOWAITTIME   *
* *                      Rename column JOBAFFTIM to JOBAFFTIME   *
* *                      Rename column JOBCNVTIM to JOBCNVTIME   *
* *                      Rename column JOBINETIM to JOBINLTIME   *
* *                      Rename column JOBQTIM to JOBQUETIME     *
* *                      Rename column SUBSACTPCT to SUBSYSUSEP  *
* *                      Rename column SUBSDLYPCT to SUBSYSDLYP  *
* *                      Rename column EXECVELO to EXECVELOC     *
* *                      Rename column VELOCWIO to VELOCIO       *
* *                      Rename column ZPDLYPCT to ZIIPDLYPCT    *
* *                      Rename column ZPCPUSEPCT to ZICPUSEPCT  *
* *                      Rename column ZPUSEPCT to ZIIPUSEPCT    *
* *                      Rename column ZADLYPCT to ZAAPDLYPCT    *
* *                      Rename column ZAUSEPCT to ZAAPUSEPCT    *
* *                      Rename column ACTHOST to ACTUALHOST     *
* *                      Rename column ACTRESPTIM to RESPTIME    *
* *                      Rename column ACTTRNSPCT to PCTTXNACT   *
* *                      Rename column GOALDUR to PERDUR         *
* *                      Rename column GOALIMP to PERGIMP        *
* *                      Rename column GOALPCT to PERPCTLE       *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                      Rename column GOALUNIT to PERGLUNIT     *
* *                      Rename column GOALVALUE to PERGLVAL     *
* *                      Rename column SAMPINTVL to REPRTINTVL   *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                      Rename column GOALTYPE to PERGLTYP      *
* *                                                              *
* *        0   0    1    1    2    2    3    3    4 4            *
* *********1...5....0....5....0....5....0....5....0.2*************
* IDENT=WLM_Ext_Service_Class_SYSPLEX:5608;
* DAFFINITY=%IBM.STATIC006;
* DVERSION=17;
* NAME=WLM Extended Service Class for SYSPLEX;
* USER=IBM;
* DESC=Extended metrics for WLM Service Class Periods on SYSPLEX (5608);
* VISIBLE=N;
* READONLY=Y;
* TABLE=KM5.KM5WLMCLPX;
* AT=$THRUNODE$;
* *  This table provides extended detail metrics for WLM
* *  Class Periods for all LPARs in a SYSPLEX.
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Managed_System
* COLUMNS=ORIGINNODE;
* *  A z/OS operating system in your enterprise that is being monitored
* *  by an IBM Z OMEGAMON Monitor for z/OS agent. Valid value is a
* *  character string with a maximum length of 32 bytes in
* *  the format SYSPLEX:SYSPLEX:PLEXVIEW.
* *       Sysplex_Name
* COLUMNS=SYSPLEXNAM;
* *       The name of the sysplex where the OMEGAMON for z/OS
* *       monitoring agent collected the data.  A valid value is a
* *       string, with a maximum length of 8 characters.
* *       SMF_ID
* COLUMNS=SMFID;
* *  SMF ID of the Z/OS system where the data was collected. Valid
* *  format is a simple text string from 1 through 4 characters;
* *       LPAR_Name
* COLUMNS=LPARNAME;
* *  Name of the z/OS LPAR to be reported on. The
* *  format is a simple text string from 1 through 8 characters;
* *  for example, LPAR1.
* *       Class_Name
* COLUMNS=CLSNAME;
* *  Name of the WLM service or report class being reported on. Valid
* *  format is a simple text string from 1 through 8 characters;
* *  for example, TSO.
* *       Class_Type
* COLUMNS=CLSTYPE;
* *  The type of WLM class being reported on. Valid
* *  format is integer which can be one of the following values:
* *       Workload_Name
* COLUMNS=WORKLDNAME;
* *  The name of the workload that contains the WLM class being
* *  reported on. Valid format is a simple text string from 1 through
* *  8 characters; for example, WORK1.
* *       Resource_Group_Name
* COLUMNS=RESGRPNAME;
* *  WLM resource group name for the class period being reported on.
* *  Valid format is a simple text string from 1 through 8
* *  characters; for example, RESGRP1.
* *       Period
* COLUMNS=PERIODNUM;
* *  The WLM service or report class period number being reported on.
* *  Valid value is an integer in the range 0 through 8. A value of
* *  0 indicates that the data being reported is for all periods in
* *  the class.
* *       Total_Service_Units
* COLUMNS=TOTALSUS;
* *  Total Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* * *       Total_Using_Samples
* * COLUMNS=USINGSTOT;
* * *  Total using samples reported for the WLM class period.
* * *  Valid value is a long long integer.
* * *       Total_Delay_Samples
* * COLUMNS=DELAYSTOT;
* * * Total delay samples reported for the WLM class period.
* * * Valid value is a long long integer.
* *       Total_Using_Percent
* COLUMNS=TOTUSEPCT;
* *  Total using samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_Delay_Percent
* COLUMNS=TOTDLYPCT;
* *  Total delay samples as a percentage of total using and delay
* *  samples reported for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Service_Units
* COLUMNS=CPUSUS;
* *  Total CPU service units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       Transaction_Total
* COLUMNS=TRANSTOTAL;
* *  Total transactions completed for the WLM class period.
* *  Valid value is an integer.
* *  A value of -1 indicates unavailable.
* *       MSO_Service_Units
* COLUMNS=MSOSUS;
* *  Total MSO Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Service_Units
* COLUMNS=IOSUS;
* *  Total I/O Service Units reported for the WLM class period.
* *  Valid value is a long long integer.
* *  A value of -1 indicates unavailable.
* *       I/O_Response_Time
* COLUMNS=IORESPTIME;
* *  Total I/O response time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Completions
* COLUMNS=TRANSCOMP;
* *  WLM class period transaction completions as reported by subsystem
* *  work managers in the reporting period.
* *  A valid value is an integer.
* *  A value of -1 indicates unavailable.
* *       CPU_SUs/Second
* COLUMNS=CPUSURATE;
* *  CPU service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Total_SUs/Second
* COLUMNS=TOTSURATE;
* *  Service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Rate
* COLUMNS=TRANSRATE;
* *  Transactions per second completed for the WLM class period to
* *  Valid value is a number to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       MSO_SUs/Second
* COLUMNS=MSOSURATE;
* *  MSO service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       SRB_SUs/Second
* COLUMNS=SRBSURATE;
* *  SRB service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_SUs/Second
* COLUMNS=IOSURATE;
* *  I/O service units per second for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Rate
* COLUMNS=IORATE;
* *  WLM class period I/Os per second to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       zIIP_ON_CP_SUs/Second
* COLUMNS=ZICPSURATE;
* *  zIIP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUs/Second
* COLUMNS=ZIIPSURATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_SUS_Rate
* COLUMNS=ZIIPSURATE;
* *  zIIP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_SUs/Second
* COLUMNS=ZACPSURATE;
* *  zAAP service units reported as standard CP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_SUs/Second
* COLUMNS=ZAAPSURATE;
* *  zAAP service units per
* *  second for the WLM class period to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_IOSQ_Time
* COLUMNS=IOIOSQTIME;
* *  Total I/O IOS queue time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Execution_Time
* COLUMNS=TXNEXECTIM;
* *  Average transaction execution time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Queue_Time
* COLUMNS=TXNQUETIM;
* *  Average transaction queue time for the WLM class period in
* *  seconds to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Transaction_Elapsed_Time
* COLUMNS=TXNELAPTIM;
* *  Average transaction elapsed time in seconds for the WLM class
* *  period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Connect_Time
* COLUMNS=IOCONNTIME;
* *  Total I/O connect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Disconnect_Time
* COLUMNS=IODISCTIME;
* *  Total I/O disconnect time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       I/O_Wait_Time
* COLUMNS=IOWAITTIME;
* *  Total I/O wait time in seconds reported for
* *  the WLM class period to 4 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Job_Affinity_Time
* COLUMNS=JOBAFFTIME;
* *  WLM class period job affinity time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Converter_Time
* COLUMNS=JOBCNVTIME;
* *  WLM class period job converter time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Job_Ineligible_Time
* COLUMNS=JOBINLTIME;
* *  WLM class period job ineligible time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *       Job_Queue_Time
* COLUMNS=JOBQUETIME;
* *  WLM class period job queue time in seconds to 3 decimal
* *  places accuracy. A value of -1 indicates unavailable.
* *  A value of -1 indicates unavailable.
* *       Performance_Index
* COLUMNS=PERFINDEX;
* *  WLM class period performance index to 2 decimal places accuracy.
* *       Record_Type
* COLUMNS=RECTYPE;
* *  Record type of data being reported. Summary record type indicates
* *  that a row is reported per class period for the Sysplex. Detail
* *  record type indicates a row is reported per class period for
* *  each LPAR in the Sysplex.
* *       CPU_Using_Percent
* COLUMNS=CPUUSEPCT;
* *  Total CPU using samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       CPU_Delay_Percent
* COLUMNS=CPUDLYPCT;
* *  Total CPU delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Using_Percent
* COLUMNS=SUBSYSUSEP;
* *  Subsystem active samples as a percentage of total subsystem active
* *  and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Subsystem_Delay_Percent
* COLUMNS=SUBSYSDLYP;
* *  Subsystem delay samples as a percentage of total subsystem active
* *  and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Using_Percent
* COLUMNS=DASDUSEPCT;
* *  DASD using samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       DASD_Delay_Percent
* COLUMNS=DASDDLYPCT;
* *  DASD delay samples as a percentage of total using and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Execution_Velocity
* COLUMNS=EXECVELOC;
* *  Execution velocity for the WLM class period to
* *  2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Mode
* COLUMNS=VELOCMODE;
* *  WLM class period velocity mode, either velocity with I/O usings
* *  included in the calculation or I/O usings not included in the
* *  calculation.
* *  Format is integer which can be one of the following values:
* *       Velocity_With_I/O
* COLUMNS=VELOCIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_With_I/O
* COLUMNS=VELOCIO;
* *  WLM class period velocity with I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Velocity_Without_I/O
* COLUMNS=VELOCNOIO;
* *  WLM class period velocity without I/O usings and delays included
* *  to 2 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Delay_Percent
* COLUMNS=ZIIPDLYPCT;
* *  Total zIIP delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZICPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_Using_Percent
* COLUMNS=ZIIPUSEPCT;
* *  zIIP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zIIP_On_CP_Using_Percent
* COLUMNS=ZICPUSEPCT;
* *  zIIP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Delay_Percent
* COLUMNS=ZAAPDLYPCT;
* *  Total zAAP delay samples reported for the WLM class period as a
* *  percentage of total using and delay samples to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_On_CP_Using_Percent
* COLUMNS=ZACPUSEPCT;
* *  zAAP using samples reported as standard CP using samples
* *  as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       zAAP_Using_Percent
* COLUMNS=ZAAPUSEPCT;
* *  zAAP using samples as a percentage of total usings and delay
* *  samples for the WLM class period to 3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Actual_Host
* COLUMNS=ACTUALHOST;
* *       Host actual value, either a response time in milliseconds or
* *       percentage, based on the goal type. The value in this column
* *       is 0 if the goal type is Discret or Sysgoal. Valid value is
* *       an integer. 
* *       Actual_Response_Time
* COLUMNS=RESPTIME;
* *  WLM class period actual response time per transaction.
* *  A value of -1 indicates unavailable.
* *       Actual_Transaction_Percentage
* COLUMNS=PCTTXNACT;
* *  Percentage of transactions that completed in time less than
* *  the percentile goal response time for the WLM class period to
* *  3 decimal places accuracy.
* *  A value of -1 indicates unavailable.
* *       Duration
* COLUMNS=PERDUR;
* *  The duration of the class period measured in the number of
* *  unweighted CPU service units per second. Unweighted CPU service
* *  units are not multiplied by the service coefficients.
* *  Format is an integer which can include the following values:
* *       Goal_Importance
* COLUMNS=PERGIMP;
* *  WLM class period importance.
* *  Format is an integer.
* *       Goal_Percentile
* COLUMNS=PERPCTLE;
* *  WLM goal percentage.
* *  Format is an integer.
* *       Goal_Type
* COLUMNS=PERGLTYP;
* *  WLM goal type.
* *  Format is an integer.
* *       Goal_Units
* COLUMNS=PERGLUNIT;
* *  WLM class period response time goal units.
* *  Format is an integer.
* *       Goal_Value
* COLUMNS=PERGLVAL;
* *  WLM goal value.
* *  Format is an integer.
* *       Reporting_Interval
* COLUMNS=REPRTINTVL;
* *  Data collection time interval duration in 1/100ths of a second.
* *       Sysplex_Node
* PRED=ORIGINNODE = SYSPLEX:SYSPLEX:PLEXVIEW;
* PRED=AND SYSPLEXNAM = $PLXNAMEX$;
* PRED=AND CLSNAME = $CLSNAMEX$;
* PRED=AND CLSTYPE = $CLSTYPEX$;


DELETE FROM KFWQUERY   WHERE ID       =
 'WLM_Ext_Service_Class_SYSPLEX:5608';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'WLM_Ext_Service_Class_SYSPLEX:5608',
  'KM5',
  '%IBM.STATIC006          000000000H000000000',
  'P',
  'WLM Extended Service Class for SYSPLEX',
  'Extended metrics for WLM Service Class Periods on SYSPLEX (5608)',
  'IBM',
  '1210226112348000',
'at=$THRUNODE$@table1.name=KM5WLMCLPX@table1.column1.name=ORIGINNODE@table1.column2.name=SYSPLEXNAM@table1.column3.name=SMFID@table1.column4.name=LPARNAME@table1.column5.name=CLSNAME@table1.column6.name=CLSTYPE@table1.column7.name=WORKLDNAME@table1.column8.name=RESGRPNAME@table1.column9.name=PERIODNUM@table1.column10.name=TOTALSUS@table1.column11.name=TOTUSEPCT@table1.column12.name=TOTDLYPCT@table1.column13.name=CPUSUS@table1.column14.name=TRANSTOTAL@table1.column15.name=MSOSUS@table1.column16.name=IOSUS@table1.column17.name=IORESPTIME@table1.column18.name=TRANSCOMP@table1.column19.name=CPUSURATE@table1.column20.name=TOTSURATE@table1.column21.name=TRANSRATE@table1.column22.name=MSOSURATE@table1.column23.name=SRBSURATE@table1.column24.name=IOSURATE@table1.column25.name=IORATE@table1.column26.name=ZICPSURATE@table1.column27.name=ZIIPSURATE@table1.column28.name=ZIIPSURATE@table1.column29.name=ZACPSURATE@table1.column30.name=ZAAPSURATE@table1.column31.name=IOIOSQTIME@table1.column32.name=TXNEXECTIM@table1.column33.name=TXNQUETIM@table1.column34.name=TXNELAPTIM@table1.column35.name=IOCONNTIME@table1.column36.name=IODISCTIME@table1.column37.name=IOWAITTIME@table1.column38.name=JOBAFFTIME@table1.column39.name=JOBCNVTIME@table1.column40.name=JOBINLTIME@table1.column41.name=JOBQUETIME@table1.column42.name=PERFINDEX@table1.column43.name=RECTYPE@table1.column44.name=CPUUSEPCT@table1.column45.name=CPUDLYPCT@table1.column46.name=SUBSYSUSEP@table1.column47.name=SUBSYSDLYP@table1.column48.name=DASDUSEPCT@table1.column49.name=DASDDLYPCT@table1.column50.name=EXECVELOC@table1.column51.name=VELOCMODE@table1.column52.name=VELOCIO@table1.column53.name=VELOCIO@table1.column54.name=VELOCNOIO@table1.column55.name=ZIIPDLYPCT@table1.column56.name=ZICPUSEPCT@table1.column57.name=ZIIPUSEPCT@table1.column58.name=ZICPUSEPCT@table1.column59.name=ZAAPDLYPCT@table1.column60.name=ZACPUSEPCT@table1.column61.name=ZAAPUSEPCT@table1.column62.name=ACTUALHOST@table1.column63.name=RESPTIME@table1.column64.name=PCTTXNACT@table1.column65.name=PERDUR@table1.column66.name=PERGIMP@table1.column67.name=PERPCTLE@table1.column68.name=PERGLTYP@table1.column69.name=PERGLUNIT@table1.column70.name=PERGLVAL@table1.column71.name=REPRTINTVL@table1.columnCount=71@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=SYSPLEX:SYSPLEX:PLEXVIEW@filter2.connector=AND@filter2.column=SYSPLEXNAM@filter2.operator=EQ@filter2.value=$PLXNAMEX$@filter3.connector=AND@filter3.column=CLSNAME@filter3.operator=EQ@filter3.value=$CLSNAMEX$@filter4.connector=AND@filter4.column=CLSTYPE@filter4.operator=EQ@filter4.value=$CLSTYPEX$@filterCount=4@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');



***********************************************************
* Remove ‘User Response Time’ from the navigator tree.    *
* IBM Spec Compatibility                                  *
***********************************************************

DELETE FROM KFWQUERY   WHERE ID       =
'User_Response_Time';

DELETE FROM KFWQUERY   WHERE ID       =
'User_Response_Time:550';



*
* Append output from globalization process
*
* The contents of this fle should be updated after running the gvt tools by appending the new
* data to the end of this file. Do NOT delete or replace the contents of this file, only append new
* data to the end.
*
* This file is appended to the generated km5_kcj.sql file by the BuildKM5.bat exec
*
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52770' WHERE OBJECTTYPE = 'AGENT' AND OBJECTID = '0000000000001000000000000000000000000000000' AND WSGROUPID = '0000000000001000000000000000000000000000000' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52771' WHERE OBJECTTYPE = 'SYSPLEX' AND OBJECTID = 'e292410136' AND WSGROUPID = '1000000000000000000000000000000000000000000' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52772' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'f436cb0541' AND WSGROUPID = 'AS10_Bottlenecks_Summary' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52773' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'AS10_Bottlenecks_Summary' AND WSGROUPID = 'AS10_Bottlenecks_Summary' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52774' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'f46a45e15b' AND WSGROUPID = 'AS10_Bottlenecks_Summary' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52775' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'f436d6772f' AND WSGROUPID = 'AS10_Bottlenecks_Summary' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52776' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_CPU_Utilization' AND WSGROUPID = 'Address_Space_CPU_Utilization' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52777' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee61254c34' AND WSGROUPID = 'Address_Space_CPU_Utilization' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52778' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee6127902e' AND WSGROUPID = 'Address_Space_CPU_Utilization' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52779' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10564592df8' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52780' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3508c674' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52781' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe34fc403e' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52782' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3510dc76' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52783' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe35b83353' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52784' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe43beb83e' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52785' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe30296841' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52786' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3032b7c2' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52787' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe2b97f529' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52788' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10563f6e3ad' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52789' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10564408d48' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52790' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1056466a981' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52791' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52792' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe43fcddf4' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52793' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe306a7756' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52794' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3573a28c' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52795' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '105648a1d50' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52796' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Real_Storage' AND WSGROUPID = 'Address_Space_Real_Storage' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52797' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'CF_Policy_Report_for_Syspex' AND WSGROUPID = 'CF_Policy_Report_for_Syspex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52798' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'CF_Policy_Report_for_Sysplex' AND WSGROUPID = 'CF_Policy_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52799' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Channel_Path_Activity' AND WSGROUPID = 'Channel_Path_Activity' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52800' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Common_Storage' AND WSGROUPID = 'Common_Storage' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52801' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Coupling_Facility_Systems_Report' AND WSGROUPID = 'Coupling_Facility_Systems_Report' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52802' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'CryptoCROSSYS00' AND WSGROUPID = 'CryptoCROSSYS00' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52803' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333e380b' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52804' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333ef16d' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52805' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333fb523' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52806' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe353eaf78' AND WSGROUPID = 'DASD_MVS_Devices' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52807' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'DASD_MVS' AND WSGROUPID = 'DASD_MVS_Devices' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52808' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'DASD_MVS_Devices' AND WSGROUPID = 'DASD_MVS_Devices' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52809' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10582b81ce7' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52810' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Enclave_Information' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52811' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee61291681' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52812' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee6129a72b' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52813' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ed8d768c7a' AND WSGROUPID = 'Enq_and_Res_Summary_for_MVS_Sys' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52814' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Enq_and_Res_Summary_for_MVS_Sys' AND WSGROUPID = 'Enq_and_Res_Summary_for_MVS_Sys' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52815' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND WSGROUPID = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52816' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Global_Enqueue_Report_for_Sysple' AND WSGROUPID = 'Global_Enqueue_Report_for_Sysple' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52817' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'LPAR_Clusters' AND WSGROUPID = 'LPAR_Clusters' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52818' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ecd9726262' AND WSGROUPID = 'LPAR_Clusters' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52819' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Operator_Alerts' AND WSGROUPID = 'Operator_Alerts' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52820' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Page_Dataset_Activity' AND WSGROUPID = 'Page_Dataset_Activity' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52821' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Real_Storage' AND WSGROUPID = 'Real_Storage' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52822' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Report_Classes_Rpt_for_Sysplex' AND WSGROUPID = 'Report_Classes_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52823' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Resource_Groups_Rpt_for_Sysplex' AND WSGROUPID = 'Resource_Groups_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52824' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Service_Classes_Rpt_for_Sysplex' AND WSGROUPID = 'Service_Classes_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52825' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Service_Def_Report_for_Sysplex' AND WSGROUPID = 'Service_Def_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52826' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND WSGROUPID = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52827' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'System_CPU_Utilization' AND WSGROUPID = 'System_CPU_Utilization' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52828' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'System_Paging_Activity' AND WSGROUPID = 'System_Paging_Activity' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52829' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Tape_Drives' AND WSGROUPID = 'Tape_Drives' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52830' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'User_Response_Time' AND WSGROUPID = 'User_Response_Time' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52831' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee612b8d19' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52832' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee612c226a' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52833' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'WLM_Service_Class_Resources' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52834' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'XCF_Groups_Report_for_Sysplex' AND WSGROUPID = 'XCF_Groups_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52835' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'XCF_Paths_Report_for_Sysplex' AND WSGROUPID = 'XCF_Paths_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52836' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'XCF_Systems_Report_for_Sysplex' AND WSGROUPID = 'XCF_Systems_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52837' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829e43a85' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52838' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829fe1b2a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52839' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a0558ba' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52840' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082ef95a30' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52841' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a1130f1' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52842' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a8ed6eb' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52843' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082aa169cd' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52844' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082c01fa3a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52845' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082ef36d20' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52846' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZOS_UNIX_Sys_Serv_Overview' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52847' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b40e944' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52848' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01d070dc' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52849' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02a00917' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52850' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed1863e8' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52851' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed152d83' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52852' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed120494' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52853' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = '103333cd849' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52854' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deeca4a9b6' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52855' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deececd774' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52856' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deeddfa5d1' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52857' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deeccee7d1' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52858' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0bd6d05e' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52859' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0c35f2e1' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52860' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'ed8cf67d@MVS' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52861' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b71d3a5' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52862' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01ab794a' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52863' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07bf7044' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52864' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed0df758' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52865' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed0a0dd3' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52866' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed037d20' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52867' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b3d78be' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52868' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed065689' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52869' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deedf61ca0' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52870' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deecffe156' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52871' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deee011d4b' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52872' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0beb1980' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52873' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0bda70f8' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52874' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b7549a6' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52875' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df018e565d' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52876' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07add03b' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52877' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deec9cbb19' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52878' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01e4fdf1' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52879' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0bd2ca87' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52880' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02867df6' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52881' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07427f9a' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52882' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07d127e3' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52883' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0219355d' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52884' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02892a44' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52885' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df023ab3e2' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52886' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07d3a518' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52887' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07467b6d' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52888' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df073782ce' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52889' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'def2ec4f72' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52890' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07c45334' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52891' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02771ee3' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52892' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed22fd9d' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52893' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed1f780b' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52894' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0c1edd18' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52895' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'e5c866e26e' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM52896' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deed1c1189' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52897' WHERE ID = 'AS30_Bottlenecks_Detail' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52898' WHERE ID = 'AS30_Bottlenecks_Detail' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52899' WHERE ID = 'AS10_Bottlenecks_Summary' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52900' WHERE ID = 'AS10_Bottlenecks_Summary' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52901' WHERE ID = 'AS20_Bottlenecks_SvCls_Period' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52902' WHERE ID = 'AS20_Bottlenecks_SvCls_Period' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52903' WHERE ID = 'AS40_Bottlenecks_Detail_MultiRow' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52904' WHERE ID = 'AS40_Bottlenecks_Detail_MultiRow' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52905' WHERE ID = 'Address_Space_CPU_Utilization' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52906' WHERE ID = 'Address_Space_CPU_Utilization' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52907' WHERE ID = 'Address_Space_CPU_for_ASID' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52908' WHERE ID = 'Address_Space_CPU_for_ASID' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52909' WHERE ID = 'Address_Space_CPU_for_Serv_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52910' WHERE ID = 'Address_Space_CPU_for_Serv_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52911' WHERE ID = 'Addr_Space_ComStor_Act_Usrs' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52912' WHERE ID = 'Addr_Space_ComStor_Act_Usrs' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52913' WHERE ID = 'Addr_Space_ComStor_Alloc_Detl' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52914' WHERE ID = 'Addr_Space_ComStor_Alloc_Detl' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52915' WHERE ID = 'Addr_Space_ComStor_Orphaned' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52916' WHERE ID = 'Addr_Space_ComStor_Orphaned' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52917' WHERE ID = 'Addr_Space_ComStor_Trend_Det' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52918' WHERE ID = 'Addr_Space_ComStor_Trend_Det' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52919' WHERE ID = 'Address_Space_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52920' WHERE ID = 'Address_Space_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52921' WHERE ID = 'Address_Space_Real_Storage_data' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52922' WHERE ID = 'Address_Space_Real_Storage_data' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52923' WHERE ID = 'Address_Space_Real_Storage_Job' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52924' WHERE ID = 'Address_Space_Real_Storage_Job' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52925' WHERE ID = 'Address_Space_Summary' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52926' WHERE ID = 'Address_Space_Summary' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52927' WHERE ID = 'Address_Space_Virtual_Stor_Job' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52928' WHERE ID = 'Address_Space_Virtual_Stor_Job' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52929' WHERE ID = 'Address_Space_Virtual_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52930' WHERE ID = 'Address_Space_Virtual_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52931' WHERE ID = 'Addr_Spcs_Rpt_for_Report_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52932' WHERE ID = 'Addr_Spcs_Rpt_for_Report_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52933' WHERE ID = 'Addr_Spcs_Rpt_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52934' WHERE ID = 'Addr_Spcs_Rpt_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52935' WHERE ID = 'Addr_Spcs_Rpt_for_Serv_Class_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52936' WHERE ID = 'Addr_Spcs_Rpt_for_Serv_Class_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52937' WHERE ID = 'CryptoSVCDET02' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52938' WHERE ID = 'CryptoSVCDET02' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52939' WHERE ID = 'CrytpoTOPUSER02' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52940' WHERE ID = 'CrytpoTOPUSER02' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52941' WHERE ID = 'CrytpoSVCDET05' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52942' WHERE ID = 'CrytpoSVCDET05' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52943' WHERE ID = 'CryptoTOPUSER05' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52944' WHERE ID = 'CryptoTOPUSER05' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52945' WHERE ID = 'Channel_Path_Activity' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52946' WHERE ID = 'Channel_Path_Activity' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52947' WHERE ID = 'Cluster_LPARs' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52948' WHERE ID = 'Cluster_LPARs' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52949' WHERE ID = 'Common_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52950' WHERE ID = 'Common_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52951' WHERE ID = 'CF_Policy_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52952' WHERE ID = 'CF_Policy_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52953' WHERE ID = 'CF_Structures_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52954' WHERE ID = 'CF_Structures_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52955' WHERE ID = 'Coupling_Facility_Systems_Report' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52956' WHERE ID = 'Coupling_Facility_Systems_Report' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52957' WHERE ID = 'CryptoSVCDET00' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52958' WHERE ID = 'CryptoSVCDET00' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52959' WHERE ID = 'CryptoTOPUSER00' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52960' WHERE ID = 'CryptoTOPUSER00' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52961' WHERE ID = 'CryptoCROSSYS00' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52962' WHERE ID = 'CryptoCROSSYS00' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52963' WHERE ID = 'CryptoICSF1' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52964' WHERE ID = 'CryptoICSF1' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52965' WHERE ID = 'DASD_MVS' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52966' WHERE ID = 'DASD_MVS' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52967' WHERE ID = 'DASD_MVS_Devices' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52968' WHERE ID = 'DASD_MVS_Devices' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52969' WHERE ID = 'DASD_MVS_Devices_1Volser' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52970' WHERE ID = 'DASD_MVS_Devices_1Volser' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52971' WHERE ID = 'Dubbed_Address_Spaces' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52972' WHERE ID = 'Dubbed_Address_Spaces' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52973' WHERE ID = 'Enclave_Details' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52974' WHERE ID = 'Enclave_Details' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52975' WHERE ID = 'Enclave_Info_for_Serv_Class_Pr' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52976' WHERE ID = 'Enclave_Info_for_Serv_Class_Pr' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52977' WHERE ID = 'Enclave_Information' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52978' WHERE ID = 'Enclave_Information' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52979' WHERE ID = 'Enclave_Information_for_ASID' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52980' WHERE ID = 'Enclave_Information_for_ASID' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52981' WHERE ID = 'Enqueue_Summary_MajorName' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52982' WHERE ID = 'Enqueue_Summary_MajorName' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52983' WHERE ID = 'Enq_and_Res_Detail_for_MVS_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52984' WHERE ID = 'Enq_and_Res_Detail_for_MVS_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52985' WHERE ID = 'Enq_and_Res_Summary_for_MVS_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52986' WHERE ID = 'Enq_and_Res_Summary_for_MVS_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52987' WHERE ID = 'Enterprise_Enqueue_Reserve' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52988' WHERE ID = 'Enterprise_Enqueue_Reserve' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52989' WHERE ID = 'Enterprise_Global_Enqueue' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52990' WHERE ID = 'Enterprise_Global_Enqueue' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52991' WHERE ID = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52992' WHERE ID = 'GRS_Ring_Sys_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52993' WHERE ID = 'Global_Enqueue_Report_for_Sysple' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52994' WHERE ID = 'Global_Enqueue_Report_for_Sysple' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52995' WHERE ID = 'Global_Enq_and_Reserve_Report' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52996' WHERE ID = 'Global_Enq_and_Reserve_Report' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52997' WHERE ID = 'KM3_IA_Data_for_Favored_AS' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM52998' WHERE ID = 'KM3_IA_Data_for_Favored_AS' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM52999' WHERE ID = 'Inspect_Address_Space_CPU_Use' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53000' WHERE ID = 'Inspect_Address_Space_CPU_Use' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53001' WHERE ID = 'LPAR_Clusters' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53002' WHERE ID = 'LPAR_Clusters' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53003' WHERE ID = 'MVS_Sys_Rpt_for_CF_Structure' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53004' WHERE ID = 'MVS_Sys_Rpt_for_CF_Structure' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53005' WHERE ID = 'Members_Report_for_XCF_Group' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53006' WHERE ID = 'Members_Report_for_XCF_Group' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53007' WHERE ID = 'Operator_Alerts' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53008' WHERE ID = 'Operator_Alerts' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53009' WHERE ID = 'Page_Dataset_Activity' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53010' WHERE ID = 'Page_Dataset_Activity' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53011' WHERE ID = 'Paths_Rpt_for_CF_Sys_in_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53012' WHERE ID = 'Paths_Rpt_for_CF_Sys_in_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53013' WHERE ID = 'CryptoSVCDET04' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53014' WHERE ID = 'CryptoSVCDET04' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53015' WHERE ID = 'CryptoTOPUSER04' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53016' WHERE ID = 'CryptoTOPUSER04' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53017' WHERE ID = 'Periods_Report_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53018' WHERE ID = 'Periods_Report_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53019' WHERE ID = 'Prds_Rpt_for_Sevice_Class_System' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53020' WHERE ID = 'Prds_Rpt_for_Sevice_Class_System' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53021' WHERE ID = 'Real_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53022' WHERE ID = 'Real_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53023' WHERE ID = 'Report_Classes_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53024' WHERE ID = 'Report_Classes_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53025' WHERE ID = 'Resource_Groups_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53026' WHERE ID = 'Resource_Groups_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53027' WHERE ID = 'CryptoSVCDET01' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53028' WHERE ID = 'CryptoSVCDET01' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53029' WHERE ID = 'Serv_Class_Rpt_for_Res_Groups' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53030' WHERE ID = 'Serv_Class_Rpt_for_Res_Groups' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53031' WHERE ID = 'Service_Classes_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53032' WHERE ID = 'Service_Classes_Rpt_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53033' WHERE ID = 'Service_Def_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53034' WHERE ID = 'Service_Def_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53035' WHERE ID = 'CryptoSVCDET03' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53036' WHERE ID = 'CryptoSVCDET03' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53037' WHERE ID = 'CryptoTOPUSER03' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53038' WHERE ID = 'CryptoTOPUSER03' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53039' WHERE ID = 'Shared_DASD_Dev_Rpt_For_Group' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53040' WHERE ID = 'Shared_DASD_Dev_Rpt_For_Group' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53041' WHERE ID = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53042' WHERE ID = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53043' WHERE ID = 'Shared_DASD_Sys_Rpt_For_Device' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53044' WHERE ID = 'Shared_DASD_Sys_Rpt_For_Device' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53045' WHERE ID = 'Stats_Report_for_CF_Structure_C' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53046' WHERE ID = 'Stats_Report_for_CF_Structure_C' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53047' WHERE ID = 'Stats_Report_for_CF_Structure_L' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53048' WHERE ID = 'Stats_Report_for_CF_Structure_L' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53049' WHERE ID = 'Stats_Rpt_for_CF_Sys_in_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53050' WHERE ID = 'Stats_Rpt_for_CF_Sys_in_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53051' WHERE ID = 'Subsys_Wkfl_Anl_Rpt_for_Srv_Cls' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53052' WHERE ID = 'Subsys_Wkfl_Anl_Rpt_for_Srv_Cls' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53053' WHERE ID = 'Subsys_WkfAnl_Rpt_for_SrvCls_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53054' WHERE ID = 'Subsys_WkfAnl_Rpt_for_SrvCls_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53055' WHERE ID = 'Sysplexes_Coupling_Facility' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53056' WHERE ID = 'Sysplexes_Coupling_Facility' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53057' WHERE ID = 'Sysplexes_DAS' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53058' WHERE ID = 'Sysplexes_DAS' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53059' WHERE ID = 'Sysplexes_GRS' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53060' WHERE ID = 'Sysplexes_GRS' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53061' WHERE ID = 'Sysplexes_Global_Enqueue' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53062' WHERE ID = 'Sysplexes_Global_Enqueue' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53063' WHERE ID = 'Sysplexes_Workloads' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53064' WHERE ID = 'Sysplexes_Workloads' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53065' WHERE ID = 'Sysplexes_XCF' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53066' WHERE ID = 'Sysplexes_XCF' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53067' WHERE ID = 'System_CPU_Utilization' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53068' WHERE ID = 'System_CPU_Utilization' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53069' WHERE ID = 'System_Paging_Activity' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53070' WHERE ID = 'System_Paging_Activity' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53071' WHERE ID = 'Systems_Report_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53072' WHERE ID = 'Systems_Report_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53073' WHERE ID = 'Tape_Drives' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53074' WHERE ID = 'Tape_Drives' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53075' WHERE ID = 'CryptoTOPUSER01' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53076' WHERE ID = 'CryptoTOPUSER01' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53077' WHERE ID = 'UNIX_BPXPRMxx_Values' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53078' WHERE ID = 'UNIX_BPXPRMxx_Values' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53079' WHERE ID = 'UNIX_Files' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53080' WHERE ID = 'UNIX_Files' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53081' WHERE ID = 'UNIX_HFS_ENQ_Contention' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53082' WHERE ID = 'UNIX_HFS_ENQ_Contention' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53083' WHERE ID = 'UNIX_Kernel' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53084' WHERE ID = 'UNIX_Kernel' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53085' WHERE ID = 'UNIX_Kernel_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53086' WHERE ID = 'UNIX_Kernel_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53087' WHERE ID = 'UNIX_Logged_on_Users' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53088' WHERE ID = 'UNIX_Logged_on_Users' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53089' WHERE ID = 'UNIX_Logged_on_Users_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53090' WHERE ID = 'UNIX_Logged_on_Users_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53091' WHERE ID = 'UNIX_Mounted_File_Sys_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53092' WHERE ID = 'UNIX_Mounted_File_Sys_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53093' WHERE ID = 'UNIX_Mounted_File_Systems' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53094' WHERE ID = 'UNIX_Mounted_File_Systems' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53095' WHERE ID = 'UNIX_Processes' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53096' WHERE ID = 'UNIX_Processes' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53097' WHERE ID = 'UNIX_Processes_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53098' WHERE ID = 'UNIX_Processes_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53099' WHERE ID = 'UNIX_Threads' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53100' WHERE ID = 'UNIX_Threads' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53101' WHERE ID = 'User_Response_Time' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53102' WHERE ID = 'User_Response_Time' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53103' WHERE ID = 'Users_Report_for_CF_Structure' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53104' WHERE ID = 'Users_Report_for_CF_Structure' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53105' WHERE ID = 'WLM_Serv_Class_for_Serv_Class_Pr' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53106' WHERE ID = 'WLM_Serv_Class_for_Serv_Class_Pr' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53107' WHERE ID = 'WLM_Service_Class_Resources' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53108' WHERE ID = 'WLM_Service_Class_Resources' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53109' WHERE ID = 'Wkfl_Anl_Rpt_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53110' WHERE ID = 'Wkfl_Anl_Rpt_for_Service_Class' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53111' WHERE ID = 'Wkflow_Anal_Rpt_for_Serv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53112' WHERE ID = 'Wkflow_Anal_Rpt_for_Serv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53113' WHERE ID = 'Wkf_Anl_Rpt_for_Srv_Cls_System' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53114' WHERE ID = 'Wkf_Anl_Rpt_for_Srv_Cls_System' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53115' WHERE ID = 'Wkfl_Anl_Rpt_for_Sys_Srv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53116' WHERE ID = 'Wkfl_Anl_Rpt_for_Sys_Srv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53117' WHERE ID = 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53118' WHERE ID = 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53119' WHERE ID = 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Plx' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53120' WHERE ID = 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Plx' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53121' WHERE ID = 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53122' WHERE ID = 'Wkfl_Anl_Enq_Rpt_for_Srv_Cls_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53123' WHERE ID = 'WkfAnl_Enq_Rpt_for_Sys_SvCls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53124' WHERE ID = 'WkfAnl_Enq_Rpt_for_Sys_SvCls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53125' WHERE ID = 'Wkf_Anl_I/O_Rpt_for_Srv_Cls' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53126' WHERE ID = 'Wkf_Anl_I/O_Rpt_for_Srv_Cls' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53127' WHERE ID = 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53128' WHERE ID = 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53129' WHERE ID = 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53130' WHERE ID = 'Wkfl_Anl_I/O_Rpt_for_Srv_Cls_Sys' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53131' WHERE ID = 'WkfAnl_I/O_Rpt_for_Sys_SvCls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53132' WHERE ID = 'WkfAnl_I/O_Rpt_for_Sys_SvCls_Prd' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53133' WHERE ID = 'XCF_Groups_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53134' WHERE ID = 'XCF_Groups_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53135' WHERE ID = 'XCF_Paths_Rpt_From_Sys_Dev_To' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53136' WHERE ID = 'XCF_Paths_Rpt_From_Sys_Dev_To' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53137' WHERE ID = 'XCF_Paths_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53138' WHERE ID = 'XCF_Paths_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53139' WHERE ID = 'XCF_Systems_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53140' WHERE ID = 'XCF_Systems_Report_for_Sysplex' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53141' WHERE ID = 'XCF_Systems_Statistics_Report' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53142' WHERE ID = 'XCF_Systems_Statistics_Report' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM53143' WHERE ID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM53144' WHERE ID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPL = 'KM5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53304' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf48';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53305' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf57';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53306' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf62';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53307' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf70';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53308' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf76';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53309' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf89';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53310' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf97';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53311' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53312' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfd1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53313' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfda';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53314' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bfee';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53315' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c006';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53316' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c013';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53317' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c036';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53318' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c048';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53319' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c061';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53320' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c07b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53321' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf45';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53322' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf54';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53323' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf5f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53324' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf6d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53325' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf86';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53326' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf94';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53327' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53328' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfce';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53329' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfd7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53330' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c010';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53331' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c033';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53332' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c05e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53333' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c078';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53334' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf49';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53335' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf58';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53336' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf63';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53337' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf71';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53338' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf77';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53339' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf8a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53340' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf98';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53341' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53342' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfd2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53343' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfdb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53344' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bfef';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53345' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c007';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53346' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c014';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53347' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c037';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53348' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c049';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53349' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c062';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53350' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c07c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53351' WHERE PRESENTATIONID = 'LINK~REPORT~f436d6772f~10b1ac5bf51';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53352' WHERE PRESENTATIONID = 'LINK~REPORT~f436d6772f~10b1ac5bf51';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53353' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c00b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53354' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53355' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53356' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53357' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c00c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53358' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c00c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53359' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53360' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53361' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c050';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53362' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c050';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53363' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources~10b1ac5bff6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53364' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources~10b1ac5bff6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53365' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf46';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53366' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf55';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53367' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf60';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53368' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf6e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53369' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf74';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53370' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf87';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53371' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf95';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53372' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf9c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53373' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bfa0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53374' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53375' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfcf';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53376' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfd8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53377' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfdf';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53378' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bfec';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53379' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c004';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53380' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c011';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53381' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c034';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53382' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c046';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53383' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c05f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53384' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c079';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53385' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c080';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53386' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf47';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53387' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf56';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53388' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf61';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53389' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf6f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53390' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf75';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53391' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf88';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53392' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf96';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53393' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf9d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53394' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bfa1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53395' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53396' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfd0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53397' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfd9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53398' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfe0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53399' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bfed';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53400' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c005';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53401' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c012';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53402' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c035';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53403' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c047';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53404' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c060';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53405' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c07a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53406' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf43';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53407' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf52';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53408' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf5d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53409' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf73';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53410' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf79';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53411' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf84';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53412' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf92';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53413' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53414' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfd4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53415' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfd5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53416' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53417' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c009';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53418' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c00e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53419' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c031';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53420' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53421' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c05c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53422' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c076';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53423' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources~10b1ac5bff7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53424' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf4d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53425' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf4d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53426' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf67';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53427' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf67';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53428' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf8e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53429' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf8e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53430' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfbb';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53431' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfbb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53432' WHERE PRESENTATIONID = 'LINK~REPORT~Common_Storage~10b1ac5bfe4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53433' WHERE PRESENTATIONID = 'LINK~REPORT~Common_Storage~10b1ac5bfe4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53434' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c03b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53435' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c03b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53436' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c066';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53437' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c066';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53438' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c068';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53439' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c068';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53440' WHERE PRESENTATIONID = 'LINK~REPORT~Common_Storage~10b1ac5bfe5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53441' WHERE PRESENTATIONID = 'LINK~REPORT~Common_Storage~10b1ac5bfe5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53442' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c067';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53443' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c067';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53444' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c069';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53445' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c069';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53446' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf44';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53447' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf53';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53448' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf5e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53449' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf6c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53450' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf7a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53451' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf85';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53452' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf93';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53453' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53454' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfcd';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53455' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfd6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53456' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53457' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c00a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53458' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c00f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53459' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c032';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53460' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53461' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c05d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53462' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c077';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53463' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf4a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53464' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf59';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53465' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf64';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53466' WHERE PRESENTATIONID = 'LINK~REPORT~fe306a7756~10b1ac5bf72';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53467' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf78';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53468' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf8b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53469' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf99';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53470' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53471' WHERE PRESENTATIONID = 'LINK~REPORT~fe3573a28c~10b1ac5bfd3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53472' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfdc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53473' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53474' WHERE PRESENTATIONID = 'LINK~REPORT~fe34fc403e~10b1ac5c008';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53475' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c015';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53476' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c038';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53477' WHERE PRESENTATIONID = 'LINK~REPORT~fe35b83353~10b1ac5c04a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53478' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c063';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53479' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c07d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53480' WHERE PRESENTATIONID = 'LINK~REPORT~Report_Classes_Rpt_for_Sysplex~10b1ac5bf4e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53481' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed0df758~10b1ac5c000';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53482' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed0df758~10b1ac5c000';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53483' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c058';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53484' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c058';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53485' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~10b1ac5c06d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53486' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a~10b1ac5bfeb';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53487' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a~10b1ac5bfeb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53488' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c024';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53489' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfac';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53490' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfac';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53491' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c02d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53492' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfab';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53493' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfab';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53494' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfaa';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53495' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfaa';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53496' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c02c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53497' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfb0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53498' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfb0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53499' WHERE PRESENTATIONID = 'LINK~REPORT~103333fb523~10b1ac5c003';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53500' WHERE PRESENTATIONID = 'LINK~REPORT~103333fb523~10b1ac5c003';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53501' WHERE PRESENTATIONID = 'LINK~REPORT~103333e380b~10b1ac5c01a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53502' WHERE PRESENTATIONID = 'LINK~REPORT~103333e380b~10b1ac5c01a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53503' WHERE PRESENTATIONID = 'LINK~REPORT~103333ef16d~10b1ac5c075';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53504' WHERE PRESENTATIONID = 'LINK~REPORT~103333ef16d~10b1ac5c075';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53505' WHERE PRESENTATIONID = 'LINK~SYSTEMS~103333cd849~10b1ac5bf8f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53506' WHERE PRESENTATIONID = 'LINK~SYSTEMS~103333cd849~10b1ac5bf8f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53507' WHERE PRESENTATIONID = 'LINK~REPORT~103333fb523~10b1ac5c002';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53508' WHERE PRESENTATIONID = 'LINK~REPORT~103333fb523~10b1ac5c002';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53509' WHERE PRESENTATIONID = 'LINK~REPORT~103333ef16d~10b1ac5c074';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53510' WHERE PRESENTATIONID = 'LINK~REPORT~103333ef16d~10b1ac5c074';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53511' WHERE PRESENTATIONID = 'LINK~REPORT~f436cb0541~10b1ac5c041';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53512' WHERE PRESENTATIONID = 'LINK~REPORT~f436cb0541~10b1ac5c041';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53513' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf7c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53514' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf7c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53515' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53516' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53517' WHERE PRESENTATIONID = 'LINK~REPORT~f46a45e15b~10b1ac5bff9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53518' WHERE PRESENTATIONID = 'LINK~REPORT~f46a45e15b~10b1ac5bff9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53519' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf7d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53520' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf7d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53521' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53522' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53523' WHERE PRESENTATIONID = 'LINK~REPORT~Enclave_Information~10b1ac5bfcc';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53524' WHERE PRESENTATIONID = 'LINK~REPORT~Enclave_Information~10b1ac5bfcc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53525' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources~10b1ac5bff5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53526' WHERE PRESENTATIONID = 'LINK~REPORT~Enq_and_Res_Summary_for_MVS_Sys~10b1ac5c01d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53527' WHERE PRESENTATIONID = 'LINK~REPORT~Enq_and_Res_Summary_for_MVS_Sys~10b1ac5c01d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53528' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf7b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53529' WHERE PRESENTATIONID = 'LINK~REPORT~fe3510dc76~10b1ac5bf7b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53530' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53531' WHERE PRESENTATIONID = 'LINK~REPORT~fe3508c674~10b1ac5bff3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53532' WHERE PRESENTATIONID = 'LINK~REPORT~f46a45e15b~10b1ac5bff8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53533' WHERE PRESENTATIONID = 'LINK~REPORT~f46a45e15b~10b1ac5bff8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53534' WHERE PRESENTATIONID = 'LINK~REPORT~f436cb0541~10b1ac5c040';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53535' WHERE PRESENTATIONID = 'LINK~REPORT~f436cb0541~10b1ac5c040';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53536' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53537' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53538' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53539' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53540' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53541' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53542' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deeccee7d1~10b1ac5bf5c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53543' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deeccee7d1~10b1ac5bf5c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53544' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c020';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53545' WHERE PRESENTATIONID = 'LINK~REPORT~Global_Enqueue_Report_for_Sysple~10b1ac5c06f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53546' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfe1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53547' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfe2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53548' WHERE PRESENTATIONID = 'LINK~REPORT~LPAR_Clusters~10b1ac5c01c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53549' WHERE PRESENTATIONID = 'LINK~REPORT~LPAR_Clusters~10b1ac5c01c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53550' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bffd';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53551' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bffd';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53552' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c028';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53553' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53554' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53555' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Groups_Report_for_Sysplex~10b1ac5bf4f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53556' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed22fd9d~10b1ac5c00d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53557' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed22fd9d~10b1ac5c00d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53558' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c02b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53559' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf4b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53560' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf5a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53561' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf65';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53562' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf8c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53563' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf9a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53564' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf9e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53565' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfb9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53566' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_CPU_Utilization~10b1ac5bfc4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53567' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfdd';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53568' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfdd';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53569' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c016';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53570' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c039';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53571' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c064';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53572' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c07e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53573' WHERE PRESENTATIONID = 'LINK~REPORT~10582b81ce7~10b1ac5bf42';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53574' WHERE PRESENTATIONID = 'LINK~REPORT~Enclave_Information~10b1ac5bfcb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53575' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed120494~10b1ac5bfe6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53576' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed120494~10b1ac5bfe6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53577' WHERE PRESENTATIONID = 'LINK~REPORT~Coupling_Facility_Systems_Report~10b1ac5bffa';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53578' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~10b1ac5c06c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53579' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c023';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53580' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c057';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53581' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c057';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53582' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1~10b1ac5c072';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53583' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1~10b1ac5c072';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53584' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53585' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53586' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c02e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53587' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53588' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53589' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c02f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53590' WHERE PRESENTATIONID = 'LINK~SYSTEMS~103333cd849~10b1ac5bf91';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53591' WHERE PRESENTATIONID = 'LINK~SYSTEMS~103333cd849~10b1ac5bf91';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53592' WHERE PRESENTATIONID = 'LINK~REPORT~103333fb523~10b1ac5c001';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53593' WHERE PRESENTATIONID = 'LINK~REPORT~103333fb523~10b1ac5c001';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53594' WHERE PRESENTATIONID = 'LINK~REPORT~103333e380b~10b1ac5c018';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53595' WHERE PRESENTATIONID = 'LINK~REPORT~103333e380b~10b1ac5c018';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53596' WHERE PRESENTATIONID = 'LINK~REPORT~1056466a981~10b1ac5bf4c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53597' WHERE PRESENTATIONID = 'LINK~REPORT~fe3032b7c2~10b1ac5bf5b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53598' WHERE PRESENTATIONID = 'LINK~REPORT~10564408d48~10b1ac5bf66';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53599' WHERE PRESENTATIONID = 'LINK~REPORT~10564592df8~10b1ac5bf8d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53600' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf9b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53601' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e~10b1ac5bf9f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53602' WHERE PRESENTATIONID = 'LINK~REPORT~105648a1d50~10b1ac5bfba';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53603' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_CPU_Utilization~10b1ac5bfc5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53604' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_CPU_Utilization~10b1ac5bfc7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53605' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_CPU_Utilization~10b1ac5bfc8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53606' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b1ac5bfde';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53607' WHERE PRESENTATIONID = 'LINK~REPORT~fe30296841~10b1ac5c017';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53608' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b1ac5c03a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53609' WHERE PRESENTATIONID = 'LINK~REPORT~10563f6e3ad~10b1ac5c065';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53610' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~10b1ac5c07f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53611' WHERE PRESENTATIONID = 'LINK~REPORT~10582b81ce7~10b1ac5bf40';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53612' WHERE PRESENTATIONID = 'LINK~REPORT~Enclave_Information~10b1ac5bfc9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53613' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53614' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53615' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed0a0dd3~10b1ac5bfbd';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53616' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed0a0dd3~10b1ac5bfbd';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53617' WHERE PRESENTATIONID = 'LINK~REPORT~Resource_Groups_Rpt_for_Sysplex~10b1ac5c01b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53618' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa7';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53619' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53620' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c030';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53621' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_CPU_Utilization~10b1ac5bfc6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53622' WHERE PRESENTATIONID = 'LINK~REPORT~Shared_DASD_Grps_Rpt_For_Sysplex~10b1ac5bf50';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53623' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deecffe156~10b1ac5bfbc';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53624' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deecffe156~10b1ac5bfbc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53625' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c02a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53626' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53627' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfa5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53628' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deedf61ca0~10b1ac5bf68';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53629' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deedf61ca0~10b1ac5bf68';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53630' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bffe';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53631' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bffe';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53632' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c026';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53633' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53634' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53635' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bfff';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53636' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bfff';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53637' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c029';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53638' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53639' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53640' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed120494~10b1ac5bfe7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53641' WHERE PRESENTATIONID = 'LINK~REPORT~Coupling_Facility_Systems_Report~10b1ac5bffb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53642' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10b1ac5c01e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53643' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10b1ac5c01e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53644' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c022';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53645' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c056';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53646' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c056';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53647' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~10b1ac5c06b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53648' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1~10b1ac5c071';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53649' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1~10b1ac5c071';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53650' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c025';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53651' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c059';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53652' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c059';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53653' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~10b1ac5c06e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53654' WHERE PRESENTATIONID = 'LINK~SYSTEMS~103333cd849~10b1ac5bf90';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53655' WHERE PRESENTATIONID = 'LINK~SYSTEMS~103333cd849~10b1ac5bf90';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53656' WHERE PRESENTATIONID = 'LINK~REPORT~103333e380b~10b1ac5c019';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53657' WHERE PRESENTATIONID = 'LINK~REPORT~103333e380b~10b1ac5c019';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53658' WHERE PRESENTATIONID = 'LINK~REPORT~103333ef16d~10b1ac5c073';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53659' WHERE PRESENTATIONID = 'LINK~REPORT~103333ef16d~10b1ac5c073';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53660' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf7e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53661' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf7e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53662' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc1';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53663' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53664' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf7f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53665' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf7f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53666' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10b1ac5c052';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53667' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10b1ac5c052';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53668' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10b1ac5c051';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53669' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10b1ac5c051';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53670' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf80';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53671' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf80';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53672' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf81';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53673' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf81';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53674' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10b1ac5c01f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53675' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10b1ac5c01f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53676' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf82';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53677' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf82';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53678' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53679' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53680' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf83';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53681' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview~10b1ac5bf83';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53682' WHERE PRESENTATIONID = 'LINK~REPORT~10829e43a85~10b1ac5bfe3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53683' WHERE PRESENTATIONID = 'LINK~REPORT~10829e43a85~10b1ac5bfe3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53684' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10b1ac5c042';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53685' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10b1ac5c042';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53686' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10b1ac5c043';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53687' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10b1ac5c043';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53688' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10b1ac5c053';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53689' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10b1ac5c053';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53690' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53691' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10b1ac5bfc0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53692' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bffc';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53693' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed152d83~10b1ac5bffc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53694' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c027';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53695' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53696' WHERE PRESENTATIONID = 'LINK~SYSTEMS~e5c866e26e~10b1ac5c03c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53697' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3~10b1ac5bfe8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53698' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3~10b1ac5bfe8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53699' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334~10b1ac5bf6a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53700' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334~10b1ac5bf6a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53701' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72~10b1ac5bfbe';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53702' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72~10b1ac5bfbe';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53703' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce~10b1ac5c044';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53704' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce~10b1ac5c044';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53705' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72~10b1ac5bfbf';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53706' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72~10b1ac5bfbf';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53707' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3~10b1ac5bfe9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53708' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3~10b1ac5bfe9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53709' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334~10b1ac5bf6b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53710' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334~10b1ac5bf6b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53711' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce~10b1ac5c045';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53712' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce~10b1ac5c045';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53713' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~10b1ac5c021';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53714' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c055';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53715' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed037d20~10b1ac5c055';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53716' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~10b1ac5c06a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53717' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a~10b1ac5bfea';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53718' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a~10b1ac5bfea';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53719' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07bf7044~10b1ac5c081';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53720' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07bf7044~10b1ac5c081';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53721' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1~10b1ac5c070';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53722' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1~10b1ac5c070';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53723' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfae';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53724' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfae';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53725' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfaf';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53726' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfaf';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53727' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~10b1ac5bf3e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53728' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed1f780b~10b1ac5bf69';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53729' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed1f780b~10b1ac5bf69';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53730' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Paths_Report_for_Sysplex~10b1ac5c054';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53731' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed1c1189~10b1ac5c05a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53732' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed1c1189~10b1ac5c05a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53733' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed1c1189~10b1ac5c05b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53734' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deed1c1189~10b1ac5c05b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53735' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~10b1ac5bf3f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53736' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~10b1ac5bf3f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53737' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfad';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM53738' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~10b1ac5bfad';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53739' WHERE PRESENTATIONID = 'LINK~REPORT~10582b81ce7~10b1ac5bf41';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM53740' WHERE PRESENTATIONID = 'LINK~REPORT~Enclave_Information~10b1ac5bfca';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1000' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe2b97f529' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1001' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1002' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'CF_Structures_Report_for_Sysplex' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1003' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10bb90acf41' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1004' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10bb923f99b' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1005' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10bb55bccf0' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1006' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee612c226a' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_002_1007' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'WLM_Service_Class_Resources' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1008' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b90b51d2b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_002_1009' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529~10b90b51d2b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1010' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b90c1efa0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_002_1011' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b90c1efa0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1012' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~10bb91afcd6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1013' WHERE PRESENTATIONID = 'LINK~REPORT~10bb923f99b~10bb91afcd6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1014' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b8b8e30ed';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_002_1015' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview~10b8b8e30ed';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1016' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~10bb9366a93';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1017' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~10bb5639dc9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1018' WHERE PRESENTATIONID = 'LINK~REPORT~10bb90acf41~10bb5639dc9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_002_1019' WHERE PRESENTATIONID = 'LINK~REPORT~10bb923f99b~10bb5639dc9';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_004_1000' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe2b97f529' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_004_1001' WHERE ID = 'Address_Space_CPU_Utilization' AND APPL = 'KM5';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1110' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe43beb83e:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1111' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe2b97f529:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1112' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1113' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Real_Storage' AND WSGROUPID = 'Real_Storage' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1114' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Real_Storage:410' AND WSGROUPID = 'Real_Storage' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1115' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Tape_Drives' AND WSGROUPID = 'Tape_Drives' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1116' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Tape_Drives:410' AND WSGROUPID = 'Tape_Drives' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1117' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829e43a85' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1118' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829fe1b2a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1119' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a0558ba' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1120' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082ef95a30' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1121' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a1130f1' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1122' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a8ed6eb' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1123' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082aa169cd' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1124' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082c01fa3a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1125' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082ef36d20' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_005_1126' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZOS_UNIX_Sys_Serv_Overview:410' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1127' WHERE ID = 'Address_Space_CPU_Utilizatn:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1128' WHERE ID = 'Address_Space_CPU_Utilizatn:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1129' WHERE ID = 'Address_Space_CPU_for_SrvCl:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1130' WHERE ID = 'Address_Space_CPU_for_SrvCl:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1131' WHERE ID = 'Address_Space_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1132' WHERE ID = 'Address_Space_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1133' WHERE ID = 'Dubbed_Address_Spaces:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1134' WHERE ID = 'Dubbed_Address_Spaces:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1135' WHERE ID = 'Real_Storage:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1136' WHERE ID = 'Real_Storage:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1137' WHERE ID = 'Tape_Drives:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1138' WHERE ID = 'Tape_Drives:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1139' WHERE ID = 'UNIX_BPXPRMxx_Values:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1140' WHERE ID = 'UNIX_BPXPRMxx_Values:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1141' WHERE ID = 'UNIX_Files:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1142' WHERE ID = 'UNIX_Files:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1143' WHERE ID = 'UNIX_HFS_ENQ_Contention:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1144' WHERE ID = 'UNIX_HFS_ENQ_Contention:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1145' WHERE ID = 'UNIX_Kernel:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1146' WHERE ID = 'UNIX_Kernel:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1147' WHERE ID = 'UNIX_Kernel_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1148' WHERE ID = 'UNIX_Kernel_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1149' WHERE ID = 'UNIX_Logged_on_Users:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1150' WHERE ID = 'UNIX_Logged_on_Users:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1151' WHERE ID = 'UNIX_Logged_on_Users_Ovr:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1152' WHERE ID = 'UNIX_Logged_on_Users_Ovr:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1153' WHERE ID = 'UNIX_Mounted_File_Sys_Ovr:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1154' WHERE ID = 'UNIX_Mounted_File_Sys_Ovr:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1155' WHERE ID = 'UNIX_Mounted_File_Systems:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1156' WHERE ID = 'UNIX_Mounted_File_Systems:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1157' WHERE ID = 'UNIX_Processes:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1158' WHERE ID = 'UNIX_Processes:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1159' WHERE ID = 'UNIX_Processes_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1160' WHERE ID = 'UNIX_Processes_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1161' WHERE ID = 'UNIX_Threads:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1162' WHERE ID = 'UNIX_Threads:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1163' WHERE ID = 'WLM_Service_Class_Resources:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1164' WHERE ID = 'WLM_Service_Class_Resources:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_005_1165' WHERE ID = 'ZOS_UNIX_Sys_Serv_Overview:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_005_1166' WHERE ID = 'ZOS_UNIX_Sys_Serv_Overview:410' AND APPL = 'KM5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1167' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b1e4f4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1168' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b1e4f4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1169' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c029dc702';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1170' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c029dc702';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1171' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b3b32e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1172' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b3b32e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1173' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources:410~10c02cc951f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1174' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources:410~10c02cc951f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1175' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028b94fc';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1176' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028b94fc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1177' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02ae0dfa';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1178' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02ae0dfa';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1179' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028d258f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1180' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028d258f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1181' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02af4d62';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1182' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02af4d62';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1183' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c0264f189';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1184' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c0264f189';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1185' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources:410~10c02d15fb1';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1186' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources:410~10c02d15fb1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1187' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c029f3122';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1188' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c029f3122';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1189' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c029cd985';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1190' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c029cd985';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1191' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b60136';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1192' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b60136';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1193' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c01c0c5a4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1194' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c01c0c5a4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1195' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03597c2b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1196' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03597c2b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1197' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources:410~10c02ca466e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1198' WHERE PRESENTATIONID = 'LINK~REPORT~WLM_Service_Class_Resources:410~10c02ca466e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1199' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028f7ee5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1200' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028f7ee5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1201' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c0292e033';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1202' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c0292e033';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1203' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c0274af46';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1204' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c0274af46';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1205' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b881e5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1206' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02b881e5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1207' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028a0440';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1208' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10c028a0440';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1209' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02bd9ea7';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1210' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10c02bd9ea7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1211' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10c0320c874';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1212' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10c0320c874';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1213' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c01e8bfe3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1214' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c01e8bfe3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1215' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03541c17';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1216' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03541c17';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1217' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c022d884b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1218' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c022d884b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1219' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10c034bc3b2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1220' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10c034bc3b2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1221' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10c0344d01b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1222' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10c0344d01b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1223' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c022ec441';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1224' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c022ec441';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1225' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c022fd395';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1226' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c022fd395';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1227' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c023116b4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1228' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c023116b4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1229' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10c0324dac6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1230' WHERE PRESENTATIONID = 'LINK~REPORT~1082a0558ba~10c0324dac6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1231' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03567ca9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1232' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03567ca9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1233' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c0232a10f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1234' WHERE PRESENTATIONID = 'LINK~REPORT~ZOS_UNIX_Sys_Serv_Overview:410~10c0232a10f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1235' WHERE PRESENTATIONID = 'LINK~REPORT~10829e43a85~10c0316906d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1236' WHERE PRESENTATIONID = 'LINK~REPORT~10829e43a85~10c0316906d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1237' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10c034a64eb';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1238' WHERE PRESENTATIONID = 'LINK~REPORT~1082aa169cd~10c034a64eb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1239' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10c0332d7d2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1240' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10c033a672e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1241' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10c033a672e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_005_1242' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03516539';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_005_1243' WHERE PRESENTATIONID = 'LINK~REPORT~1082c01fa3a~10c03516539';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1199' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3508c674' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1200' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe34fc403e' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1201' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3510dc76' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1202' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe35b83353' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1203' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe43beb83e:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1204' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe2b97f529:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1205' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1206' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'CF_Structures_Report_for_Sysplex' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1207' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10c92e09a5e' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1208' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10582b81ce7' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1209' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Enclave_Information' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1210' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee61291681' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1211' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee6129a72b' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1212' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'LPAR_Clusters' AND WSGROUPID = 'LPAR_Clusters' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1213' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Resource_Groups_Rpt_for_Sysplex' AND WSGROUPID = 'Resource_Groups_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1214' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'System_CPU_Utilization' AND WSGROUPID = 'System_CPU_Utilization' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1215' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee612b8d19' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1216' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee612c226a' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1217' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'WLM_Service_Class_Resources:410' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1218' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829e43a85' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1219' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a0558ba' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1220' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082ef95a30' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1221' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a8ed6eb' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1222' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082aa169cd' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1223' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082c01fa3a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1224' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZOS_UNIX_Sys_Serv_Overview:410' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1225' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b40e944' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1226' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01d070dc' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1227' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02a00917' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1228' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b3d78be' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1229' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df073782ce' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1230' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'def2ec4f72' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1231' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07c45334' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_006_1232' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02771ee3' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_006_1233' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~10bb9366a93';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_006_1234' WHERE PRESENTATIONID = 'LINK~REPORT~1082a8ed6eb~10c0332d7d2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_006_1235' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~10c92eca0bd';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_006_1236' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~10c92eca0bd';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_007_1020' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_008_1014' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_008_1015' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333e380b' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_008_1016' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333ef16d' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_008_1017' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333fb523' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';

UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1146' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3508c674' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1147' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe34fc403e' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1148' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3510dc76' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1149' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe35b83353' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1150' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe43beb83e:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1151' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe30296841' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1152' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3032b7c2' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1153' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe2b97f529:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1154' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10563f6e3ad' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1155' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10564592df8' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1156' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10564408d48' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1157' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1056466a981' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1158' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Address_Space_Overview:410' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1159' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe306a7756' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1160' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'fe3573a28c' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1161' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '105648a1d50' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1162' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'CF_Structures_Report_for_Sysplex' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1163' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10bb90acf41' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1164' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10bb923f99b' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1165' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10bb55bccf0' AND WSGROUPID = 'CF_Structures_Report_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1166' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '103333e380b' AND WSGROUPID = 'CryptoICSF1' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1167' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'Enclave_Information' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1168' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee61291681' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1169' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee6129a72b' AND WSGROUPID = 'Enclave_Information' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1170' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ed8d768c7a' AND WSGROUPID = 'Enq_and_Res_Summary_for_MVS_Sys' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1171' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'LPAR_Clusters' AND WSGROUPID = 'LPAR_Clusters' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1172' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ecd9726262' AND WSGROUPID = 'LPAR_Clusters' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1173' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'User_Response_Time' AND WSGROUPID = 'User_Response_Time' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1174' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ee612b8d19' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1175' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'WLM_Service_Class_Resources:410' AND WSGROUPID = 'WLM_Service_Class_Resources' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1176' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829e43a85' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1177' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '10829fe1b2a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1178' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082a8ed6eb' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1179' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1082c01fa3a' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1180' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'ZOS_UNIX_Sys_Serv_Overview:410' AND WSGROUPID = 'ZOS_UNIX_Sys_Serv_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1181' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df0b40e944' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1182' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01d070dc' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1183' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02a00917' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1184' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = '103333cd849' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_009_1185' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df02771ee3' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_009_1186' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10ef70d74c1';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_009_1187' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10ef70d74c1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_009_1188' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10ef70e8e87';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_009_1189' WHERE PRESENTATIONID = 'LINK~REPORT~fe2b97f529:410~10ef70e8e87';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_009_1190' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10ef7107d39';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_009_1191' WHERE PRESENTATIONID = 'LINK~REPORT~Address_Space_Overview:410~10ef7107d39';

*
* output from conversion utility on build km5420_d8182a_DCUT3  mjr07-08
*
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4038' WHERE ID = 'AS30_Bottlenecks_Detail:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4039' WHERE ID = 'AS30_Bottlenecks_Detail:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4040' WHERE ID = 'AS10_Bottlenecks_Summary:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4041' WHERE ID = 'AS10_Bottlenecks_Summary:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4042' WHERE ID = 'AS20_Bottlenecks_SvCls_Period:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4043' WHERE ID = 'AS20_Bottlenecks_SvCls_Period:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4044' WHERE ID = 'Addr_Space_ComStor_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4045' WHERE ID = 'Addr_Space_ComStor_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4046' WHERE ID = 'Address_Space_Overview:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4047' WHERE ID = 'Address_Space_Overview:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4048' WHERE ID = 'Address_Space_Overview_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4049' WHERE ID = 'Address_Space_Overview_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4050' WHERE ID = 'Address_Space_Real_Stor_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4051' WHERE ID = 'Address_Space_Real_Stor_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4052' WHERE ID = 'Dynamic_Link_3270:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4053' WHERE ID = 'Dynamic_Link_3270:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4054' WHERE ID = 'Enq_and_Res_Detail_for_Job:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4055' WHERE ID = 'Enq_and_Res_Detail_for_Job:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4056' WHERE ID = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4057' WHERE ID = 'Enq_and_Res_Summary_for_MVS_Sys:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4058' WHERE ID = 'HiperDispatch_LCPU:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4059' WHERE ID = 'HiperDispatch_LCPU:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4060' WHERE ID = 'HiperDispatch_LPAR:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4061' WHERE ID = 'HiperDispatch_LPAR:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4062' WHERE ID = 'LPAR_Clusters:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4063' WHERE ID = 'LPAR_Clusters:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4064' WHERE ID = 'Spin_Lock_Activity:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4065' WHERE ID = 'Spin_Lock_Activity:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4066' WHERE ID = 'Suspend_Lock_Activity:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4067' WHERE ID = 'Suspend_Lock_Activity:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4068' WHERE ID = 'System_CPU_Utilization:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4069' WHERE ID = 'System_CPU_Utilization:410' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4070' WHERE ID = 'UNIX_Kernel:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4071' WHERE ID = 'UNIX_Kernel:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4072' WHERE ID = 'UNIX_Kernel_Overview:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4073' WHERE ID = 'UNIX_Kernel_Overview:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4074' WHERE ID = 'USS_zFS_Directory_Cache' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4075' WHERE ID = 'USS_zFS_Directory_Cache' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4076' WHERE ID = 'USS_zFS_Kernel' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4077' WHERE ID = 'USS_zFS_Kernel' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4078' WHERE ID = 'USS_zFS_Metadata_Cache' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4079' WHERE ID = 'USS_zFS_Metadata_Cache' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4080' WHERE ID = 'USS_zFS_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4081' WHERE ID = 'USS_zFS_Storage' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4082' WHERE ID = 'USS_zFS_User_Cache' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4083' WHERE ID = 'USS_zFS_User_Cache' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4084' WHERE ID = 'USS_zFS_User_Cache_DS' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4085' WHERE ID = 'USS_zFS_User_Cache_DS' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4086' WHERE ID = 'WLM_Service_Class_Resources:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4087' WHERE ID = 'WLM_Service_Class_Resources:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_420_DC3_4088' WHERE ID = 'ZOS_UNIX_Sys_Serv_Overview:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_420_DC3_4089' WHERE ID = 'ZOS_UNIX_Sys_Serv_Overview:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_KM5_420_DC3D_1066' WHERE ID = 'WLM_Serv_Class_for_Serv_Class_Pr:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_KM5_420_DC3D_1067' WHERE ID = 'WLM_Serv_Class_for_Serv_Class_Pr:420' AND APPL = 'KM5';
/*********************************************************************/
/*                                                                                                                                                                                     */
/* Updates from G11N process on 420 IF1 Drop 3b                                                                                 mjr09-09 */
/*                                                                                                                                                                                     */
/*********************************************************************/
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1302' WHERE ID = 'Address_Space_CPU_Utilizatn:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1303' WHERE ID = 'Address_Space_CPU_Utilizatn:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1304' WHERE ID = 'Address_Space_CPU_Utilizatn:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1305' WHERE ID = 'Address_Space_CPU_Utilizatn:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1306' WHERE ID = 'Address_Space_CPU_for_ASID:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1307' WHERE ID = 'Address_Space_CPU_for_ASID:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1308' WHERE ID = 'Address_Space_CPU_for_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1309' WHERE ID = 'Address_Space_CPU_for_ASID:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1310' WHERE ID = 'Address_Space_CPU_for_SrvCl:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1311' WHERE ID = 'Address_Space_CPU_for_SrvCl:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1312' WHERE ID = 'Address_Space_CPU_for_SrvCl:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1313' WHERE ID = 'Address_Space_CPU_for_SrvCl:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1314' WHERE ID = 'Addr_Space_Stg_SubKey_Act:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1315' WHERE ID = 'Addr_Space_Stg_SubKey_Act:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1316' WHERE ID = 'Addr_Space_Stg_SubKey_Act:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1317' WHERE ID = 'Addr_Space_Stg_SubKey_Act:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1318' WHERE ID = 'Addr_Space_Stg_SubKey:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1319' WHERE ID = 'Addr_Space_Stg_SubKey:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1320' WHERE ID = 'Addr_Space_Stg_SubKey:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1321' WHERE ID = 'Addr_Space_Stg_SubKey:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1322' WHERE ID = 'Common_Storage:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1323' WHERE ID = 'Common_Storage:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1324' WHERE ID = 'Common_Storage:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1325' WHERE ID = 'Common_Storage:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1326' WHERE ID = 'Common_Storage_SubKey:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1327' WHERE ID = 'Common_Storage_SubKey:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1328' WHERE ID = 'Common_Storage_SubKey:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1329' WHERE ID = 'Common_Storage_SubKey:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1330' WHERE ID = 'Enclave_Details:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1331' WHERE ID = 'Enclave_Details:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1332' WHERE ID = 'Enclave_Info_for_Serv_Class_Pr:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1333' WHERE ID = 'Enclave_Info_for_Serv_Class_Pr:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1334' WHERE ID = 'Enclave_Information:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1335' WHERE ID = 'Enclave_Information:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1336' WHERE ID = 'Enclave_Information_for_ASID:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1337' WHERE ID = 'Enclave_Information_for_ASID:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1338' WHERE ID = 'HiperDispatch_LCPU:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1339' WHERE ID = 'HiperDispatch_LCPU:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1340' WHERE ID = 'HiperDispatch_LCPU:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1341' WHERE ID = 'HiperDispatch_LCPU:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1342' WHERE ID = 'HiperDispatch_LPAR:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1343' WHERE ID = 'HiperDispatch_LPAR:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1344' WHERE ID = 'HiperDispatch_LPAR:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1345' WHERE ID = 'HiperDispatch_LPAR:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1346' WHERE ID = 'Real_Storage:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1347' WHERE ID = 'Real_Storage:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1348' WHERE ID = 'Real_Storage:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1349' WHERE ID = 'Real_Storage:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1350' WHERE ID = 'Storage_Shortage_Details:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1351' WHERE ID = 'Storage_Shortage_Details:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1352' WHERE ID = 'Storage_Shortage_Status:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1353' WHERE ID = 'Storage_Shortage_Status:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1354' WHERE ID = 'Storage_Shortage_Status:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1355' WHERE ID = 'Storage_Shortage_Status:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1356' WHERE ID = 'Storage_Shortage_Summary:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1357' WHERE ID = 'Storage_Shortage_Summary:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1358' WHERE ID = 'Storage_Shortage_Trends:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1359' WHERE ID = 'Storage_Shortage_Trends:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1360' WHERE ID = 'System_CPU_Utilization:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1361' WHERE ID = 'System_CPU_Utilization:420' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5__420_IF1A_1362' WHERE ID = 'System_CPU_Utilization:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5__420_IF1A_1363' WHERE ID = 'System_CPU_Utilization:4201' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_510_PII1_1002' WHERE ID = 'KM5HLT_010' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_510_PII1_1003' WHERE ID = 'KM5HLT_010' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_510_PII1_1004' WHERE ID = 'KM5HLT_001' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_510_PII1_1005' WHERE ID = 'KM5HLT_001' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_510_PII1_1006' WHERE ID = 'KM5HLT_005' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_510_PII1_1007' WHERE ID = 'KM5HLT_005' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_510_PII1_1008' WHERE ID = 'UNIX_Kernel:421' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_510_PII1_1009' WHERE ID = 'UNIX_Kernel:421' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_510_PII1_1010' WHERE ID = 'USS_zFS_Kernel_Summ' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_510_PII1_1011' WHERE ID = 'USS_zFS_Kernel_Summ' AND APPL = 'KM5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1012' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '11fa592bcdb' AND WSGROUPID = 'Address_Space_Overview' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1013' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'KM5HLT_001' AND WSGROUPID = 'KM5HLT_001' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1014' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '12fba6db1ff' AND WSGROUPID = 'KM5HLT_005' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1015' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = 'KM5HLT_005' AND WSGROUPID = 'KM5HLT_005' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1016' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01ab794a:510' AND WSGROUPID = 'Service_Classes_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1017' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df07bf7044:510' AND WSGROUPID = 'Service_Classes_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1018' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'df01e4fdf1:510' AND WSGROUPID = 'Service_Classes_Rpt_for_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1019' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deedf61ca0:510' AND WSGROUPID = 'Shared_DASD_Grps_Rpt_For_Sysplex' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACE SET NAME = 'Km5:KM5_510_PII1_1020' WHERE OBJECTTYPE = 'SYSTEMS' AND OBJECTID = 'deec9cbb19' AND WSGROUPID = 'ed8cf67d@MVS' AND APPLICATIONTAG = 'km5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1021' WHERE PRESENTATIONID = 'LINK~REPORT~Report_Classes_Rpt_for_Sysplex~12ceaa7ec8a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1022' WHERE PRESENTATIONID = 'LINK~REPORT~Report_Classes_Rpt_for_Sysplex~12ceaa7ec8a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1023' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12cead3a1fe';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1024' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12cead3a1fe';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1025' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce5058a0d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1026' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce5058a0d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1027' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a:510~12d0adbfe8a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1028' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a:510~12d0adbfe8a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1029' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6f5b362';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1030' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6f5b362';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1031' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d53325b89';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1032' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d53325b89';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1033' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d532ed03f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1034' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d532ed03f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1035' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6f35677';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1036' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6f35677';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1037' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d532c7ae6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1038' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d532c7ae6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1039' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12dbf7c5bc8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1040' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12dbf7c5bc8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1041' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d51a7fbb2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1042' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d51a7fbb2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1043' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d519a394c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1044' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d519a394c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1045' WHERE PRESENTATIONID = 'LINK~REPORT~Global_Enqueue_Report_for_Sysple~12ceaa3ea7a';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1046' WHERE PRESENTATIONID = 'LINK~REPORT~Global_Enqueue_Report_for_Sysple~12ceaa3ea7a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1047' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce0953363';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1048' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce0953363';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1049' WHERE PRESENTATIONID = 'LINK~REPORT~KM5HLT_005~12fba7bc1e9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1050' WHERE PRESENTATIONID = 'LINK~REPORT~KM5HLT_005~12fba7bc1e9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1051' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~12d0aef55b6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1052' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~12d0aef55b6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1053' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6e58e15';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1054' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6e58e15';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1055' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Groups_Report_for_Sysplex~12ceb5c646d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1056' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Groups_Report_for_Sysplex~12ceb5c646d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1057' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce197f2c4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1058' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce197f2c4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1059' WHERE PRESENTATIONID = 'LINK~REPORT~Coupling_Facility_Systems_Report~12cea9d14c8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1060' WHERE PRESENTATIONID = 'LINK~REPORT~Coupling_Facility_Systems_Report~12cea9d14c8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1061' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12cead0c7f3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1062' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12cead0c7f3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1063' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce1d4cad1';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1064' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce1d4cad1';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1065' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1:510~12d059c1b02';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1066' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1:510~12d059c1b02';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1067' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce5207122';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1068' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce5207122';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1069' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12eb634b5ac';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1070' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12eb634b5ac';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1071' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce522a289';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1072' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce522a289';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1073' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d5313a76e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1074' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d5313a76e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1075' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d51b74843';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1076' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d51b74843';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1077' WHERE PRESENTATIONID = 'LINK~REPORT~Resource_Groups_Rpt_for_Sysplex~12ceaaad8e4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1078' WHERE PRESENTATIONID = 'LINK~REPORT~Resource_Groups_Rpt_for_Sysplex~12ceaaad8e4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1079' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce52486ca';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1080' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce52486ca';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1081' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d53112259';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1082' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d53112259';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1083' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~11db84552c9';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1084' WHERE PRESENTATIONID = 'LINK~REPORT~Shared_DASD_Grps_Rpt_For_Sysplex~12ceb6303fc';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1085' WHERE PRESENTATIONID = 'LINK~REPORT~Shared_DASD_Grps_Rpt_For_Sysplex~12ceb6303fc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1086' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce193ad71';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1087' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce193ad71';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1088' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deedf61ca0:510~12cec136e56';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1089' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deedf61ca0:510~12cec136e56';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1090' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~12d0af37744';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1091' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~12d0af37744';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1092' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6de638c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1093' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6de638c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1094' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~12d0af1cf13';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1095' WHERE PRESENTATIONID = 'LINK~REPORT~CF_Structures_Report_for_Sysplex~12d0af1cf13';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1096' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6ed8beb';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1097' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6ed8beb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1098' WHERE PRESENTATIONID = 'LINK~REPORT~Coupling_Facility_Systems_Report~12cea9eada8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1099' WHERE PRESENTATIONID = 'LINK~REPORT~Coupling_Facility_Systems_Report~12cea9eada8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1100' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1:510~12d05c89ffb';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1101' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1:510~12d05c89ffb';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1102' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12ceada9970';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1103' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12ceada9970';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1104' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce1ce5168';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1105' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce1ce5168';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1106' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12ceb57a130';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1107' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12ceb57a130';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1108' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce509c136';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1109' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce509c136';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1110' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6e21886';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1111' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce6e21886';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1112' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72:510~12d0ae59ca3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1113' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72:510~12d0ae59ca3';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1114' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334:510~12d0ab54c2b';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1115' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334:510~12d0ab54c2b';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1116' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3:510~12d0ae08c50';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1117' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3:510~12d0ae08c50';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1118' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce:510~12d0ad49ef7';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1119' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce:510~12d0ad49ef7';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1120' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334:510~12d0ab7766d';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1121' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07c45334:510~12d0ab7766d';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1122' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72:510~12d0ae6dac0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1123' WHERE PRESENTATIONID = 'LINK~SYSTEMS~def2ec4f72:510~12d0ae6dac0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1124' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3:510~12d0ae1be77';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1125' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df02771ee3:510~12d0ae1be77';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1126' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce:510~12d0ad5e032';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1127' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df073782ce:510~12d0ad5e032';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1128' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12ceaaebdd6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1129' WHERE PRESENTATIONID = 'LINK~REPORT~Service_Classes_Rpt_for_Sysplex~12ceaaebdd6';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1130' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce1c993d8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1131' WHERE PRESENTATIONID = 'LINK~SYSPLEX~e292410136~12ce1c993d8';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1132' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a:510~12d0ad9adc4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1133' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01ab794a:510~12d0ad9adc4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1134' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07bf7044:510~12d0aac42e0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1135' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df07bf7044:510~12d0aac42e0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1136' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1:510~12d09ce1119';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1137' WHERE PRESENTATIONID = 'LINK~SYSTEMS~df01e4fdf1:510~12d09ce1119';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1138' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d5666eae4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1139' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d5666eae4';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1140' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d566a9936';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1141' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d566a9936';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1142' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Paths_Report_for_Sysplex~12d566f9bbe';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1143' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Paths_Report_for_Sysplex~12d566f9bbe';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1144' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~12d56724d90';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1145' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~12d56724d90';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1146' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~12d5835e21e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1147' WHERE PRESENTATIONID = 'LINK~REPORT~XCF_Systems_Report_for_Sysplex~12d5835e21e';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_510_PII1_1148' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d566401c6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_510_PII1_1149' WHERE PRESENTATIONID = 'LINK~SYSTEMS~deec9cbb19~12d566401c6';

/*******************************************************************************/
/*                                                                             */
/* Updates from G11N process on 510 zAware Drop 1 ZAW1      kjk/jpy 05-05-2013 */
/*                                                                             */
/*******************************************************************************/

UPDATE KFWQUERY SET NAME = 'Km5:KM5_ZAW1_1029' WHERE ID = 'Address_Space_CPU_Utilizatn:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_ZAW1_1030' WHERE ID = 'Address_Space_CPU_Utilizatn:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_ZAW1_1031' WHERE ID = 'Address_Space_CPU_for_ASID:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_ZAW1_1032' WHERE ID = 'Address_Space_CPU_for_ASID:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_ZAW1_1033' WHERE ID = 'Address_Space_CPU_for_SrvCl:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_ZAW1_1034' WHERE ID = 'Address_Space_CPU_for_SrvCl:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_ZAW1_1035' WHERE ID = 'Address_Space_Overview:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_ZAW1_1036' WHERE ID = 'Address_Space_Overview:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_ZAW1_1037' WHERE ID = 'Address_Space_Overview_ASID:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_ZAW1_1038' WHERE ID = 'Address_Space_Overview_ASID:5100' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_ZAW1_1039' WHERE ID = 'zAware_Analysis:5101' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_ZAW1_1040' WHERE ID = 'zAware_Analysis:5101' AND APPL = 'KM5';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1045' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~1365214aa6f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_ZAW1_1046' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~1365214aa6f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1047' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~136516ae872';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_ZAW1_1048' WHERE PRESENTATIONID = 'LINK~REPORT~fe43fcddf4~136516ae872';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1049' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e:5100~136654147cc';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1050' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~136521044f0';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_ZAW1_1051' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~136521044f0';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1052' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e:5100~1366542dd9f';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1053' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~1365172689c';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_ZAW1_1054' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~1365172689c';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1055' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e:5100~136653e9a60';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1056' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~136521af3c2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_ZAW1_1057' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~136521af3c2';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1058' WHERE PRESENTATIONID = 'LINK~REPORT~fe43beb83e:5100~13665400d1a';
UPDATE KFWWORKSPACELINK SET NAME = 'Km5:KM5_ZAW1_1059' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~13652177577';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Km5:KM5_ZAW1_1060' WHERE PRESENTATIONID = 'LINK~REPORT~11a9716f5a5:5100~13652177577';

/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 07-21-2020   */
/*                                                                                  */
/************************************************************************************/
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1054' WHERE ID = 'Address_Space_CPU_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1055' WHERE ID = 'Address_Space_CPU_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1056' WHERE ID = 'Address_Space_Delay_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1057' WHERE ID = 'Address_Space_Delay_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1058' WHERE ID = 'CPC_LPAR_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1059' WHERE ID = 'CPC_LPAR_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1060' WHERE ID = 'CPC_LPAR_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1061' WHERE ID = 'CPC_LPAR_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1062' WHERE ID = 'Common_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1063' WHERE ID = 'Common_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1064' WHERE ID = 'KM5_Device_JobH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1065' WHERE ID = 'KM5_Device_JobH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1066' WHERE ID = 'KM5_Device_ResourceH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1067' WHERE ID = 'KM5_Device_ResourceH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1068' WHERE ID = 'HiperDispatch_LCPU:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1069' WHERE ID = 'HiperDispatch_LCPU:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1076' WHERE ID = 'KM5_License_Manager_MSU_WLM_Cap:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1077' WHERE ID = 'KM5_License_Manager_MSU_WLM_Cap:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1078' WHERE ID = 'MultiThreading_Details:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1079' WHERE ID = 'MultiThreading_Details:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1080' WHERE ID = 'MultiThreading_Summary:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1081' WHERE ID = 'MultiThreading_Summary:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1082' WHERE ID = 'PCIE_Historical_Activity:5604' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1083' WHERE ID = 'PCIE_Historical_Activity:5604' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1084' WHERE ID = 'Real_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1085' WHERE ID = 'Real_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1086' WHERE ID = 'Storage_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1087' WHERE ID = 'Storage_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1088' WHERE ID = 'Storage_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1089' WHERE ID = 'Storage_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1090' WHERE ID = 'KM5_StorageClassMemory_Details:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1091' WHERE ID = 'KM5_StorageClassMemory_Details:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1092' WHERE ID = 'KM5_StorageClassMemory_Summary:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1093' WHERE ID = 'KM5_StorageClassMemory_Summary:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1094' WHERE ID = 'UNIX_BPXPRMxx_Values:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1095' WHERE ID = 'UNIX_BPXPRMxx_Values:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1096' WHERE ID = 'WLM_Service_Class_Resources_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1097' WHERE ID = 'WLM_Service_Class_Resources_History:5300' AND APPL = 'KM5';
/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 09-22-2020   */
/*                            FP0006                                                */
/************************************************************************************/
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1054' WHERE ID = 'Address_Space_CPU_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1055' WHERE ID = 'Address_Space_CPU_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1056' WHERE ID = 'Address_Space_Delay_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1057' WHERE ID = 'Address_Space_Delay_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1058' WHERE ID = 'CPC_LPAR_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1059' WHERE ID = 'CPC_LPAR_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1060' WHERE ID = 'CPC_LPAR_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1061' WHERE ID = 'CPC_LPAR_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1062' WHERE ID = 'Common_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1063' WHERE ID = 'Common_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1064' WHERE ID = 'KM5_Device_JobH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1065' WHERE ID = 'KM5_Device_JobH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1066' WHERE ID = 'KM5_Device_ResourceH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1067' WHERE ID = 'KM5_Device_ResourceH:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1068' WHERE ID = 'HiperDispatch_LCPU:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1069' WHERE ID = 'HiperDispatch_LCPU:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1076' WHERE ID = 'KM5_License_Manager_MSU_WLM_Cap:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1077' WHERE ID = 'KM5_License_Manager_MSU_WLM_Cap:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1078' WHERE ID = 'MultiThreading_Details:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1079' WHERE ID = 'MultiThreading_Details:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1080' WHERE ID = 'MultiThreading_Summary:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1081' WHERE ID = 'MultiThreading_Summary:5302' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1082' WHERE ID = 'PCIE_Historical_Activity:5604' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1083' WHERE ID = 'PCIE_Historical_Activity:5604' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1084' WHERE ID = 'Real_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1085' WHERE ID = 'Real_Storage_Utilization_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1086' WHERE ID = 'Storage_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1087' WHERE ID = 'Storage_Details_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1088' WHERE ID = 'Storage_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1089' WHERE ID = 'Storage_Summary_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1090' WHERE ID = 'KM5_StorageClassMemory_Details:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1091' WHERE ID = 'KM5_StorageClassMemory_Details:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1092' WHERE ID = 'KM5_StorageClassMemory_Summary:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1093' WHERE ID = 'KM5_StorageClassMemory_Summary:53020' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1094' WHERE ID = 'UNIX_BPXPRMxx_Values:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1095' WHERE ID = 'UNIX_BPXPRMxx_Values:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_203_17_22_49_1096' WHERE ID = 'WLM_Service_Class_Resources_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_203_17_22_49_1097' WHERE ID = 'WLM_Service_Class_Resources_History:5300' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1334' WHERE ID = 'CF_Strucs_Reprt_for_Sysplex:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1335' WHERE ID = 'CF_Strucs_Reprt_for_Sysplex:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1336' WHERE ID = 'Coupling_Facility_Sys_Reprt:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1337' WHERE ID = 'Coupling_Facility_Sys_Reprt:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1338' WHERE ID = 'LPAR_Clusters:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1339' WHERE ID = 'LPAR_Clusters:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1340' WHERE ID = 'Stats_Reprt_for_CF_Struc_C:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1341' WHERE ID = 'Stats_Reprt_for_CF_Struc_C:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1342' WHERE ID = 'Stats_Reprt_for_CF_Struc_L:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1343' WHERE ID = 'Stats_Reprt_for_CF_Struc_L:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1344' WHERE ID = 'Stats_Rpt_CF_Sys_in_Sysplx:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1345' WHERE ID = 'Stats_Rpt_CF_Sys_in_Sysplx:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1346' WHERE ID = 'UNIX_Mounted_File_Systems:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1347' WHERE ID = 'UNIX_Mounted_File_Systems:560' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1348' WHERE ID = 'WLM_Ext_Report_Class_SYSPLEX' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1349' WHERE ID = 'WLM_Ext_Report_Class_SYSPLEX' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1350' WHERE ID = 'WLM_Ext_Service_Class_SYSPLEX' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1351' WHERE ID = 'WLM_Ext_Service_Class_SYSPLEX' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1352' WHERE ID = 'WLM_Report_Class_Extended_LPAR' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1353' WHERE ID = 'WLM_Report_Class_Extended_LPAR' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_266_16_52_48_1354' WHERE ID = 'WLM_Service_Class_Extended_LPAR' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_266_16_52_48_1355' WHERE ID = 'WLM_Service_Class_Extended_LPAR' AND APPL = 'KM5';
UPDATE KFWQUERY SET NAME = 'Km5:KM5_2020_302_18_10_50_1164' WHERE ID = 'WLM_XT_SrvClass_SYSPLEX_LPAR' AND APPL = 'KM5';
UPDATE KFWQUERY SET TEXT = 'Km5:KM5_2020_302_18_10_50_1165' WHERE ID = 'WLM_XT_SrvClass_SYSPLEX_LPAR' AND APPL = 'KM5';

/************************************************************************************/
/*                                                                                  */
/* Updates for IBM Spec compatibilty which reverse 550 Product Provider to allow    */
/* proper display in the Navigation for SYSPLEX CF Structures and System workspaces */
/*                            FP0008                                                */
/************************************************************************************/

UPDATE KFWQUERY SET PROD_PROV = 'P' WHERE NAME = 'Km5:KM5_2017_138_15_40_40_1014'; 
UPDATE KFWQUERY SET PROD_PROV = 'P' WHERE NAME = 'Km5:KM5_2017_138_15_40_40_1016'; 
UPDATE KFWQUERY SET PROD_PROV = 'P' WHERE NAME = 'Km5:KM5_2017_138_15_40_40_1038'; 
UPDATE KFWQUERY SET PROD_PROV = 'P' WHERE NAME = 'Km5:KM5_2017_138_15_40_40_1044'; 
