/*********************************************************************/
/*                                                                   */
/*   KM5 product provided situations Updates for V560 Upgrade        */
/*                                                                   */
/*                                                                   */
/* Licensed material - Property of IBM and Rocket Software           */
/*                                                                   */
/* © Copyright Rocket Software, Inc. 2019                            */
/* © Copyright IBM Corporation 2005, 2018                            */
/*                                                                   */
/*********************************************************************/

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000007##########",
   "",
   "*NO",
   "",
   "en_US",
   "1140202141549000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Health_Check_Status.Status *NE Active",
   "E",
   "0",
   "010000",
   "*NONE",
   "KM5_HealthChecker_Problems",
   "Km5:KM5_510_PII1_1000",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("KM5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000007##########",
   "",
   "*NO",
   "",
   "en_US",
   "1140202142345000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Health_Checks.Result *EQ 12",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_High_Severity_Check",
   "Km5:KM5_510_PII1_1001",
   "NNN",
   "TFWD=Y;OV=N;SEV=Critical;TDST=0;~",
   'ADVICE("KM5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  ); 

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426003401000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.Anomaly_Score_02 *GE 101.0",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_zAware_Analysis_Crit",
   "Anomaly Score (02) exceeds the critical threshold",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426003812000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.Anomaly_Score_02 *GE 99.6 *AND *VALUE
 KM5_zAware_Analysis.Anomaly_Score_02 *LT 101.0",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_zAware_Analysis_Warn",
   "Anomaly Score (02) exceeds the warning threshold",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426004329000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.zAware_Client_Status *NE Active_Clien
t",
   "E",
   "0",
   "010000",
   "*NONE",
   "KM5_zAware_Client_Status",
   "Client Status is not active",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W00000000000000000000000000000020#########",
   "",
   "*NO",
   "",
   "en_US",
   "1130426023918000",
   "V510",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_zAware_Analysis.zAware_Server_Status *NE Active",
   "E",
   "0",
   "010000",
   "*NONE",
   "KM5_zAware_Server_Status",
   "Server Status is not active",
   "NNN",
   "TFWD=Y;OV=N;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
   
$PARMS('ADVICE("km5:"+$ISITSTSH.SITNAME$);');
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KM5_CPU_Loop_Warn",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080521122237000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"km5_",
"E",
"0",
"000500",
"",
"",
"*NONE",
"COUNT=2;TFWD=Y;TDST=0;~",
"",
"Detect potential address spaces in CPU Loop",
"*IF *VALUE Address_Space_Bottlenecks.CPU_Loop_Index *GT 95.0");
                                                                    
/*********************************************************************/
/*                                                                   */
/* Update previously seeded TOBJACCL Crypto entries (distribution)   */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_CKDS_Access_Disabled" AND    
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);                
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_CKDS_80PCT_Full" AND         
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);                
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Internal_Error" AND          
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);                
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Invalid_Master_Key" AND      
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);                
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Invalid_PKA_Master_Keys" AND 
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);                
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_No_PCI_Coprocessors" AND     
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);    
UPDATE O4SRV.TOBJACCL                                   
  SET OBJCLASS = "5140"                                 
    WHERE OBJNAME = "Crypto_PKA_Services_Disabled" AND  
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND          
     SYSTEM.PARMA('QIBCLASSID','5535',4);               
UPDATE O4SRV.TOBJACCL                                   
  SET OBJCLASS = "5140"                                 
    WHERE OBJNAME = "Crypto_PKDS_Read_Disabled"  AND    
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND          
     SYSTEM.PARMA('QIBCLASSID','5535',4);               
UPDATE O4SRV.TOBJACCL                                   
  SET OBJCLASS = "5140"                                 
    WHERE OBJNAME = "Crypto_PKDS_Write_Disabled" AND    
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND          
     SYSTEM.PARMA('QIBCLASSID','5535',4);               
UPDATE O4SRV.TOBJACCL                                   
  SET OBJCLASS = "5140"                                 
    WHERE OBJNAME = "Crypto_Service_Unavailable" AND    
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND          
     SYSTEM.PARMA('QIBCLASSID','5535',4);                           
 
/*********************************************************************/
/*   Start -                                                         */
/*   z/OS UNIX System Services product provided situations           */
/*   for Sockets support in V420                                     */
/*                                                                   */
/*********************************************************************/
$PARMS("The number of UNIX Sockets in use has reached its Critical thres
hold. If the maximum is reached, UNIX System Services functionality will
 be impacted. System programmer help is needed immediately. Consider inc
reasing the value of NETWORK DOMAINNAME(AF_UNIX)- MAXSOCKETS(). Use the
SETOMVS RESET command to dynamically change the MAXSOCKETS value or to m
ake a permanent change, edit the BPXPRMxx member in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_Max_Sockets_Critical",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330154616000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"UNIX Sockets in use Critical",
"*IF *VALUE USS_Kernel.USock_Curr_Pct *GE 95.0");

$PARMS("The number of UNIX Sockets in use has reached its Warning thresh
old. If the maximum is reached, UNIX System Services functionality will
be impacted. Consider increasing the value of NETWORK DOMAINNAME(AF_UNIX
)- MAXSOCKETS(). Use the SETOMVS RESET command to dynamically change the
 MAXSOCKETS value or to make a permanent change, edit the BPXPRMxx membe
r in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("UNIX_Max_Sockets_Warning",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330155435000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"UNIX Sockets in use Warning",
"*IF *VALUE USS_Kernel.USock_Curr_Pct *GE 80.0 *AND *VALUE USS_Kernel.US
ock_Curr_Pct *LT 95.0");

$PARMS("The number of Internet Sockets in use has reached its Critical t
hreshold. If the maximum is reached, UNIX System Services will not be ac
cessible by Internet connections. System programmer help is needed immed
iately. Consider increasing the value of NETWORK DOMAINNAME(AF_INET)- MA
XSOCKETS(). Use the SETOMVS RESET command to dynamically change the MAXS
OCKETS value or to make a permanent change, edit the BPXPRMxx member in
SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET_Max_Sockets_Critical",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330160020000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet Sockets in use Critical",
"*IF *VALUE USS_Kernel.ISock_Curr_Pct *GE 95.0");

$PARMS("The number of Internet Sockets in use has reached its Warning th
reshold. If the maximum is reached, UNIX System Services will not be acc
essible by Internet connections. Consider increasing the value of NETWOR
K DOMAINNAME(AF_INET)- MAXSOCKETS(). Use the SETOMVS RESET command to dy
namically change the MAXSOCKETS value or to make a permanent change, edi
t the BPXPRMxx member in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET_Max_Sockets_Warning",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330155712000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet Sockets in use Warning",
"*IF *VALUE USS_Kernel.ISock_Curr_Pct *GE 80.0 *AND *VALUE USS_Kernel.IS
ock_Curr_Pct *LT 95.0");

$PARMS("The number of Internet v6 Sockets in use has reached its Critica
l threshold. If the maximum is reached, UNIX System Services will not be
 accessible by Internet v6 connections. System programmer help is needed
 immediately. Consider increasing the value of NETWORK DOMAINNAME(AF_INE
T6)- MAXSOCKETS(). Use the SETOMVS RESET command to dynamically change t
he MAXSOCKETS value or to make a permanent change, edit the BPXPRMxx mem
ber in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET6_Max_Sockets_Critical",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330160447000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet v6 Sockets in use Critical",
"*IF *VALUE USS_Kernel.I6Sock_Curr_Pct *GE 95.0");

$PARMS("The number of Internet v6 Sockets in use has reached its Warning
 threshold. If the maximum is reached, UNIX System Services will not be
accessible by Internet V6 connections. Consider increasing the value of
NETWORK DOMAINNAME(AF_INET6)- MAXSOCKETS(). Use the SETOMVS RESET comman
d to dynamically change the MAXSOCKETS value or to make a permanent chan
ge, edit the BPXPRMxx member in SYS1.PARMLIB.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("INET6_Max_Sockets_Warning",
?,
"0W000000000000000000000000000000#m000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080330160258000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Internet v6 Sockets in use Warning",
"*IF *VALUE USS_Kernel.I6Sock_Curr_Pct *GE 80.0 *AND *VALUE USS_Kernel.I
6Sock_Curr_Pct *LT 95.0");

/*********************************************************************/
/*   End -                                                           */
/*   z/OS UNIX System Services product provided situations           */
/*   for Sockets support in V420                                     */
/*                                                                   */
/*********************************************************************/

/*********************************************************************/
/*                                                                   */
/*   Add recently added DASD filter situation and distribution defs  */
/*   (these inserts may fail as these were also provided with v410   */
/*                                                                   */
/*********************************************************************/

$PARMS('ADVICE("km5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES('KM5_No_Sysplex_DASD_Filter_Warn',
?,
"1000000000000000000000000000000000########F",
"",
"NNN",
"*YES",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080724153140000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"000500",
"",
"",
"*NONE",
"TFWD=Y;OV=N;TDST=0;~",
"",
"Sysplex DASD filter is not active",
"*IF *COUNT Sysplex_DASD_Group.Volume_Serial_Number *EQ 1 *AND *VALUE Sy
splex_DASD_Group.Volume_Serial_Number *EQ $none$"); 


$PARMS('ADVICE("km5:"+$ISITSTSH.SITNAME$);');                           
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES('KM5_Weak_Plex_DASD_Filter_Warn',
?,
"1000000000000000000000000000000000########F",
"",
"NNN",
"*YES",
"*NONE",
"",
"",
"",
"",
"en_US",
"1080724153032000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KM5_",
"E",
"0",
"000500",
"",
"",
"*NONE",
"TFWD=Y;OV=N;TDST=0;~",
"",
"Sysplex DASD Filter device count high",
"*IF *COUNT Sysplex_DASD_Group.Volume_Serial_Number *GT 1000"); 

INSERT INTO O4SRV.TOBJACCL                                              
  (HUB,                                                                 
   LSTDATE,                                                             
   LSTRELEASE,                                                          
   LSTUSRPRF,                                                           
   NODEL,                                                               
   OBJCLASS,                                                            
   OBJNAME,                                                             
   QIBCLASSID                                                           
  )                                                                     
VALUES                                                                  
  ("Y",                                                       /* HUB */ 
   "1080722161207000",                                    /* LSTDATE */ 
   "V420",                                             /* LSTRELEASE */ 
   "KM5",                                               /* LSTUSRPRF */ 
   "*MVS_SYSPLEX",                                          /* NODEL */ 
   "5140",                                               /* OBJCLASS */ 
   "KM5_Model_Sysplex_DASD_Filter",                       /* OBJNAME */ 
   "5535"                                              /* QIBCLASSID */
  );
  
INSERT INTO O4SRV.TOBJACCL                                              
  (HUB,                                                                 
   LSTDATE,                                                             
   LSTRELEASE,                                                          
   LSTUSRPRF,                                                           
   NODEL,                                                               
   OBJCLASS,                                                            
   OBJNAME,                                                             
   QIBCLASSID                                                           
  )                                                                     
VALUES                                                                  
  ("Y",                                                       /* HUB */ 
   "1080724153140000",                                    /* LSTDATE */ 
   "V420",                                             /* LSTRELEASE */ 
   "KM5",                                               /* LSTUSRPRF */ 
   "*MVS_SYSPLEX",                                          /* NODEL */ 
   "5140",                                               /* OBJCLASS */ 
   "KM5_No_Sysplex_DASD_Filter_Warn",                     /* OBJNAME */ 
   "5535"                                              /* QIBCLASSID */
  );    
                                                                       
INSERT INTO O4SRV.TOBJACCL                                             
  (HUB,                                                                
   LSTDATE,                                                            
   LSTRELEASE,                                                         
   LSTUSRPRF,                                                          
   NODEL,                                                              
   OBJCLASS,                                                           
   OBJNAME,                                                            
   QIBCLASSID                                                          
  )                                                                    
VALUES                                                                 
  ("Y",                                                       /* HUB */
   "1080724153032000",                                    /* LSTDATE */
   "V420",                                             /* LSTRELEASE */
   "KM5",                                               /* LSTUSRPRF */
   "*MVS_SYSPLEX",                                          /* NODEL */
   "5140",                                               /* OBJCLASS */
   "KM5_Weak_Plex_DASD_Filter_Warn",                      /* OBJNAME */
   "5535"                                              /* QIBCLASSID */
  );                                                                   
                                                                      
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStruct_Status_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStruct_Status_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStructStat_FalseLock_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStructStat_FalseLock_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStructToMVS_Requests_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStructToMVS_Requests_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStructUsers_Connect_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFStructUsers_Connect_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFSystems_Performance_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFSystems_Performance_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFSystemPaths_Busy_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_CFSystemPaths_Busy_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_GlobalEnq_Wait_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_GlobalEnq_Wait_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_GRS_RespTime_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_GRS_RespTime_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_Workloads_PerfIdx_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_Workloads_PerfIdx_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_DASD_Dev_ContIndx_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_DASDSys_VaryStatus_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );  

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "KM5_No_Sysplex_DASD_Filter_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "KM5_Weak_Plex_DASD_Filter_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_XCFGroupMembers_Status_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "MVS_XCFGroupMembers_Status_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSPLEX",
   "Sysplex_XCFGroups_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "KM5_CPU_Loop_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_ChannelComplexBusy_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_ChannelComplexBusy_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Channel_LPAR_BusyPct_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Channel_LPAR_BusyPct_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Channel_Path_Offline_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Channel_Path_Offline_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Allocated_CSA_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Allocated_CSA_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_ECSA_Allocation_Pct_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_ECSA_Allocation_Pct_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_CSA_Growth_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_CSA_Growth_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Unowned_Common_Stor_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Unowned_Common_Stor_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_CKDS_Access_Disabled",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_CKDS_80PCT_Full",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_Internal_Error",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_Invalid_Master_Key",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_Invalid_PKA_Master_Keys",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_No_Coprocessors",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_No_PCI_Coprocessors",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_PCI_Unavailable",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_PKA_Services_Disabled",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_PKDS_Read_Disabled",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_PKDS_Write_Disabled",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Crypto_Service_Unavailable",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Dropped_Ready_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Dropped_Ready_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Not_Responding_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Not_Responding_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Indexed_VTOC_Lost_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Indexed_VTOC_Lost_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_NoDynamicReconn_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_NoDynamicReconn_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Cache_Read_HitPct_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );
 
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Cache_Read_HitPct_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Cache_Write_HitPct_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Cache_Write_HitPct_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Cache_FastWriteHitPt_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Cache_FastWriteHitPt_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Busy_Percent_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Busy_Percent_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Response_Time_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_DASD_Response_Time_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_GlobalEnqueueReserve_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_GlobalEnqueueReserve_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_LPAR_Status_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_LPAR_Status_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_GRS_Broken_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_GRS_Broken_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_GTF_Active_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_GTF_Active_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_HSM_RecallWait_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_HSM_RecallWait_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_OLTEP_Active_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_OLTEP_Active_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Outstanding_WTORs_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Outstanding_WTORs_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_RMF_Not_Active_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_RMF_Not_Active_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_SMF_Not_Recording_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_SMF_Not_Recording_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Max_ASIDs_in_Use_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Max_ASIDs_in_Use_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Syslog_Not_Recording_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Syslog_Not_Recording_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_WTO_Buffers_Left_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_WTO_Buffers_Left_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Local_PageDS_Errors_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Local_PageDS_Errors_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Common_PageDSPctFull_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Common_PageDSPctFull_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Local_PageDS_PctFull_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Local_PageDS_PctFull_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_PLPA_PageDS_PctFull_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_PLPA_PageDS_PctFull_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Page_Rate_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Page_Rate_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Available_Frames_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Available_Frames_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Frames_Online_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Frames_Online_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Unref_Interval_Cnt_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Unref_Interval_Cnt_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_AvgCPU_Pct_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_AvgCPU_Pct_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_LPAR_OverheadPercent_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_LPAR_OverheadPercent_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Undispatched_Tasks_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Undispatched_Tasks_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Physical_CPUs_Online_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Physical_CPUs_Online_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "KM5_LPAR_Cap_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "KM5_LPAR_MSU_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_PageDSNotOperational_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_PageDSNotOperational_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_System_PageFaultRate_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_System_PageFaultRate_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_System_Page_Rate_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_System_Page_Rate_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Permanent_Error_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Permanent_Error_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Dropped_Ready_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Dropped_Ready_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Temp_Errors_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Temp_Errors_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Not_Responding_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Not_Responding_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Mount_Pend_Time_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Tape_Mount_Pend_Time_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_User_Host_Resp_Time_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_User_Host_Resp_Time_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Network_ResponseTime_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_Network_ResponseTime_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_User_Total_Resp_Time_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "OS390_User_Total_Resp_Time_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Excess_UNIX_System_Time",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Excess_UNIX_User_Time",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Check_Missing_UNIX_Mount_Point",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_ENQ_Contention_Critical",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_ENQ_Contention_Warning",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_File_System_FreeSpace_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_File_System_FreeSpace_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Quiecsed_UNIX_File_System",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Excess_UNIX_Kernel_CPU_Time",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Shortage_of_UNIX_Processes_Crit",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Shortage_of_UNIX_Processes_Warn",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Excess_Process_UNIX_Run_Time",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Missing_UNIX_inetd_Process",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "Unwanted_UNIX_inetd_Process",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_Logged_On_User_Idle",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_Max_Sockets_Warning",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "UNIX_Max_Sockets_Critical",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "INET_Max_Sockets_Warning",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "INET_Max_Sockets_Critical",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "INET6_Max_Sockets_Warning",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*MVS_SYSTEM",
   "INET6_Max_Sockets_Critical",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );  

/*********************************************************************/
/*                                                                   */
/* Update previously seeded TOBJACCL (distribution) Sysplex entries  */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_XCFSystems_Status_Crit" AND 
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStruct_Status_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStruct_Status_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStructStat_FalseLock_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStructStat_FalseLock_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStructToMVS_Requests_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStructToMVS_Requests_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStructUsers_Connect_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFStructUsers_Connect_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFSystems_Performance_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFSystems_Performance_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFSystemPaths_Busy_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_CFSystemPaths_Busy_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_GlobalEnq_Wait_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_GlobalEnq_Wait_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_GRS_RespTime_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_GRS_RespTime_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_Workloads_PerfIdx_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_Workloads_PerfIdx_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_DASD_Dev_ContIndx_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_DASDSys_VaryStatus_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_Model_Sysplex_DASD_Filter" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_No_Sysplex_DASD_Filter_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_Weak_Plex_DASD_Filter_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);
	 
UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_XCFGroupMembers_Status_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "MVS_XCFGroupMembers_Status_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Sysplex_XCFGroups_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_CPU_Loop_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_ChannelComplexBusy_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_ChannelComplexBusy_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Channel_LPAR_BusyPct_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Channel_LPAR_BusyPct_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Channel_Path_Offline_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Channel_Path_Offline_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Allocated_CSA_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Allocated_CSA_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_ECSA_Allocation_Pct_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_ECSA_Allocation_Pct_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_CSA_Growth_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_CSA_Growth_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Unowned_Common_Stor_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Unowned_Common_Stor_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_CKDS_Access_Disabled" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_CKDS_80PCT_Full" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Internal_Error" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Invalid_Master_Key" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Invalid_PKA_Master_Keys" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_No_Coprocessors" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_No_PCI_Coprocessors" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_PCI_Unavailable" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_PKA_Services_Disabled" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_PKDS_Read_Disabled" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_PKDS_Write_Disabled" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Crypto_Service_Unavailable" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Dropped_Ready_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Dropped_Ready_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Not_Responding_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Not_Responding_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Indexed_VTOC_Lost_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Indexed_VTOC_Lost_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_NoDynamicReconn_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_NoDynamicReconn_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Cache_Read_HitPct_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Cache_Read_HitPct_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Cache_Write_HitPct_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Cache_Write_HitPct_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Cache_FastWriteHitPt_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Cache_FastWriteHitPt_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Busy_Percent_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Busy_Percent_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Response_Time_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_DASD_Response_Time_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_GlobalEnqueueReserve_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_GlobalEnqueueReserve_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_LPAR_Status_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_LPAR_Status_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_GRS_Broken_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_GRS_Broken_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_GTF_Active_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_GTF_Active_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_HSM_RecallWait_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_HSM_RecallWait_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_OLTEP_Active_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_OLTEP_Active_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Outstanding_WTORs_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Outstanding_WTORs_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_RMF_Not_Active_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_RMF_Not_Active_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_SMF_Not_Recording_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_SMF_Not_Recording_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Max_ASIDs_in_Use_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Max_ASIDs_in_Use_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Syslog_Not_Recording_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Syslog_Not_Recording_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_WTO_Buffers_Left_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_WTO_Buffers_Left_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Local_PageDS_Errors_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Local_PageDS_Errors_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Common_PageDSPctFull_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Common_PageDSPctFull_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Local_PageDS_PctFull_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Local_PageDS_PctFull_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_PLPA_PageDS_PctFull_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_PLPA_PageDS_PctFull_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Page_Rate_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Page_Rate_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Available_Frames_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Available_Frames_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Frames_Online_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Frames_Online_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Unref_Interval_Cnt_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Unref_Interval_Cnt_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_AvgCPU_Pct_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_AvgCPU_Pct_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_LPAR_OverheadPercent_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_LPAR_OverheadPercent_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Undispatched_Tasks_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Undispatched_Tasks_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Physical_CPUs_Online_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Physical_CPUs_Online_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_LPAR_Cap_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "KM5_LPAR_MSU_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_PageDSNotOperational_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_PageDSNotOperational_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_System_PageFaultRate_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_System_PageFaultRate_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_System_Page_Rate_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_System_Page_Rate_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Permanent_Error_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Permanent_Error_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Dropped_Ready_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Dropped_Ready_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Temp_Errors_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Temp_Errors_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Not_Responding_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Not_Responding_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Mount_Pend_Time_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Tape_Mount_Pend_Time_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_User_Host_Resp_Time_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_User_Host_Resp_Time_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Network_ResponseTime_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_Network_ResponseTime_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_User_Total_Resp_Time_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "OS390_User_Total_Resp_Time_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Excess_UNIX_System_Time" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Excess_UNIX_User_Time" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Check_Missing_UNIX_Mount_Point" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_ENQ_Contention_Critical" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_ENQ_Contention_Warning" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_File_System_FreeSpace_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_File_System_FreeSpace_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Quiecsed_UNIX_File_System" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Excess_UNIX_Kernel_CPU_Time" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Shortage_of_UNIX_Processes_Crit" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Shortage_of_UNIX_Processes_Warn" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Excess_Process_UNIX_Run_Time" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Missing_UNIX_inetd_Process" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "Unwanted_UNIX_inetd_Process" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_Logged_On_User_Idle" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_Max_Sockets_Warning" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "UNIX_Max_Sockets_Critical" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "INET_Max_Sockets_Warning" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "INET_Max_Sockets_Critical" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "INET6_Max_Sockets_Warning" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);

UPDATE O4SRV.TOBJACCL                                    
  SET OBJCLASS = "5140"                                  
    WHERE OBJNAME = "INET6_Max_Sockets_Critical" AND       
     SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND           
     SYSTEM.PARMA('QIBCLASSID','5535',4);


/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on build km5420_d8182a_DCUT3   mjr07-08 */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4090"
    WHERE SITNAME = "INET6_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET6_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4091"
    WHERE SITNAME = "INET6_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET6_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4092"
    WHERE SITNAME = "INET_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4093"
    WHERE SITNAME = "INET_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "INET_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4094"
    WHERE SITNAME = "KM5_CPU_Loop_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4095"
    WHERE SITNAME = "UNIX_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_Max_Sockets_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_420_DC3_4096"
    WHERE SITNAME = "UNIX_Max_Sockets_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "UNIX_Max_Sockets_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_KM5_420_DC3D_1068"
    WHERE SITNAME = "KM5_Model_Sysplex_DASD_Filter";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "KM5_Model_Sysplex_DASD_Filter";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_KM5_420_DC3D_1069"
    WHERE SITNAME = "KM5_No_Sysplex_DASD_Filter_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_KM5_420_DC3D_1070"
    WHERE SITNAME = "KM5_Weak_Plex_DASD_Filter_Warn";


/*********************************************************************/
/*                                                                   */
/* Start of OMEGAMON XE for z/OS to Tivoli Enterprise Console(TEC)   */
/* and Netcool/OMNIbus event severity mapping.                       */
/*                                                                   */
/* Setting SITINFO column with SEV= parm will map the severity.      */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Check_Missing_UNIX_Mount_Point";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_CKDS_Access_Disabled";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_CKDS_80PCT_Full";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Internal_Error";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Invalid_Master_Key";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Invalid_PKA_Master_Keys";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_No_Coprocessors";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_No_PCI_Coprocessors";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_PCI_Unavailable";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_PKA_Services_Disabled";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_PKDS_Read_Disabled";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Crypto_PKDS_Write_Disabled";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Crypto_Service_Unavailable";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Excess_Process_UNIX_Run_Time";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Excess_UNIX_Kernel_CPU_Time";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Excess_UNIX_System_Time";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Excess_UNIX_User_Time";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "INET_Max_Sockets_Critical";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "INET_Max_Sockets_Warning";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "INET6_Max_Sockets_Critical";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "INET6_Max_Sockets_Warning";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "COUNT=2;TFWD=Y;TDST=0;SEV=Warning~"
WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Missing_UNIX_inetd_Process";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStruct_Status_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStruct_Status_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStructStat_FalseLock_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStructStat_FalseLock_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStructToMVS_Requests_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStructToMVS_Requests_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFStructUsers_Connect_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFStructUsers_Connect_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFSystems_Performance_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFSystems_Performance_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_CFSystemPaths_Busy_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_CFSystemPaths_Busy_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_GRS_RespTime_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_GRS_RespTime_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_XCFGroupMembers_Status_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_XCFGroupMembers_Status_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "MVS_XCFSystemPaths_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "MVS_XCFSystemPaths_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS_CMD_CF_Systems_Perform_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS_CMD_DASD_Device_ContIdx_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS_CMD_WLM_Performance_Idx_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Allocated_CSA_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Allocated_CSA_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Available_Frames_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Available_Frames_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_AvgCPU_Pct_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_AvgCPU_Pct_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Cache_FastWriteHitPt_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Cache_Read_HitPct_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Cache_Read_HitPct_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Cache_Write_HitPct_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Cache_Write_HitPct_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Channel_LPAR_BusyPct_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Channel_Path_Offline_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Channel_Path_Offline_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_ChannelComplexBusy_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_ChannelComplexBusy_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Common_PageDSPctFull_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Common_PageDSPctFull_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_CSA_Growth_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_CSA_Growth_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Busy_Percent_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Busy_Percent_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Dropped_Ready_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Dropped_Ready_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Not_Responding_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Not_Responding_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_NoDynamicReconn_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_DASD_Response_Time_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_DASD_Response_Time_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_ECSA_Allocation_Pct_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Frames_Online_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Frames_Online_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_GlobalEnqueueReserve_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_GlobalEnqueueReserve_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_GRS_Broken_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_GRS_Broken_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_GTF_Active_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_GTF_Active_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_HSM_RecallWait_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_HSM_RecallWait_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Indexed_VTOC_Lost_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Local_PageDS_Errors_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Local_PageDS_Errors_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Local_PageDS_PctFull_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Local_PageDS_PctFull_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_LPAR_OverheadPercent_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_LPAR_OverheadPercent_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_LPAR_Status_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_LPAR_Status_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Max_ASIDs_in_Use_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Network_ResponseTime_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Network_ResponseTime_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Outstanding_WTORs_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Outstanding_WTORs_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_OLTEP_Active_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_OLTEP_Active_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Page_Rate_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Page_Rate_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_PageDSNotOperational_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_PageDSNotOperational_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Physical_CPUs_Online_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Physical_CPUs_Online_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_PLPA_PageDS_PctFull_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_RMF_Not_Active_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_RMF_Not_Active_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Syslog_Not_Recording_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Syslog_Not_Recording_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_System_Page_Rate_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_System_Page_Rate_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_System_PageFaultRate_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_System_PageFaultRate_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_SMF_Not_Recording_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_SMF_Not_Recording_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Dropped_Ready_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Dropped_Ready_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical;ATOM=TAPEDRVS.VOLSER;~"
WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning;ATOM=TAPEDRVS.VOLSER;~"
WHERE SITNAME = "OS390_Tape_Mount_Pend_Time_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Not_Responding_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Not_Responding_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Permanent_Error_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Permanent_Error_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Tape_Temp_Errors_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Tape_Temp_Errors_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Undispatched_Tasks_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Undispatched_Tasks_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Unowned_Common_Stor_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Unowned_Common_Stor_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_Unref_Interval_Cnt_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_Unref_Interval_Cnt_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_User_Host_Resp_Time_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_User_Host_Resp_Time_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_User_Total_Resp_Time_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_User_Total_Resp_Time_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "OS390_WTO_Buffers_Left_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "OS390_WTO_Buffers_Left_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Quiecsed_UNIX_File_System";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Shortage_of_UNIX_Processes_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Shortage_of_UNIX_Processes_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_DASD_Dev_ContIndx_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_DASDSys_VaryStatus_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_GlobalEnq_Wait_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_Workloads_PerfIdx_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_XCFGroups_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Sysplex_XCFSystems_Status_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "Sysplex_XCFSystems_Status_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "Unwanted_UNIX_inetd_Process";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_ENQ_Contention_Critical";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "UNIX_ENQ_Contention_Warning";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_File_System_FreeSpace_Crit";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "UNIX_File_System_FreeSpace_Warn";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_Logged_On_User_Idle";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "UNIX_Max_Sockets_Critical";

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Warning~"
WHERE SITNAME = "UNIX_Max_Sockets_Warning";

/* @04 */
UPDATE O4SRV.TSITDESC
SET   SITINFO = "TFWD=Y;OV=N;TDST=0;SEV=Warning~"
WHERE SITNAME = "KM5_No_Sysplex_DASD_Filter_Warn";

/* @04 */
UPDATE O4SRV.TSITDESC
SET   SITINFO = "TFWD=Y;OV=N;TDST=0;SEV=Warning~"
WHERE SITNAME = "KM5_Weak_Plex_DASD_Filter_Warn";

/*********************************************************************/
/*                                                                   */
/* KM5 product provided situations Updates for V420 Interim Feature 1*/
/*                                                                   */
/*********************************************************************/
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090724144626000",
   "V420",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE System_CPU_Utilization.Average_Unused_Group_MSUs *LE 
0 *AND *VALUE System_CPU_Utilization.LPAR_Group_Capacity_Limit *GT 0 ) *
OR ( *VALUE System_CPU_Utilization.Percent_LPAR_MSU_Capacity *GE 100.0 )
 )",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_LPAR_Cap_Warn",
   "Detect capping of an LPAR",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727145440000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Common_Storage_SubKey.Record_Type *EQ Summary *AND ( 
( ( *VALUE KM5_Common_Storage_SubKey.Area *EQ CSA *AND *VALUE KM5_Common
_Storage_SubKey.Free_Storage_Total *LT 1024 ) *OR ( *VALUE KM5_Common_St
orage_SubKey.Area *EQ ECSA *AND *VALUE KM5_Common_Storage_SubKey.Free_St
orage_Total *LT 4096 ) ) )",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Avail_CSA_Warning",
   "Available common storage shortage",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727150128000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE HiperDispatch_Management.System_MVS_Pct *GT 95.000",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_HDSP_MVS_Pct_Busy_Warning",
   "Overall System utilization running HiperDispatch is excessive",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727145832000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Address_Space_Storage_SubKey.Address_Space_Name *EQ D
81* *AND *VALUE KM5_Address_Space_Storage_SubKey.Record_Type *EQ Total *
AND *VALUE KM5_Address_Space_Storage_SubKey.Percent_LSQA_Allocated *GT 8
4.0",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Job_Avail_LSQA_Warning",
   "Available LSQA is below a threshold",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727145432000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Address_Space_Storage_SubKey.Address_Space_Name *EQ D
81* *AND *VALUE KM5_Address_Space_Storage_SubKey.Subpool *EQ 241 *AND *V
ALUE KM5_Address_Space_Storage_SubKey.Allocation *GT 4096 *AND *VALUE KM
5_Address_Space_Storage_SubKey.Storage_Key *EQ 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Job_Subp_Key_Use_Warning",
   "Address Space storage utilization by subpool threshold exceeded",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning;TDST=0;~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090727144334000",
   "V420",
   "SYSADMIN",
   "",
   "*IF ( ( *VALUE System_CPU_Utilization.Average_Unused_Group_MSUs *LT 
5 *AND *VALUE System_CPU_Utilization.LPAR_Group_Capacity_Limit *GT 0 ) *
OR ( *VALUE System_CPU_Utilization.Percent_LPAR_MSU_Capacity *GT 95.0 ) 
)",
   "E",
   "0",
   "001000",
   "*NONE",
   "KM5_LPAR_MSU_Warn",
   "LPAR 4-Hour Rolling Average is high",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090729161407000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Storage_Shortage_Status.Storage_Shortage_Level *EQ Wa
rning *OR *VALUE KM5_Storage_Shortage_Status.Storage_Shortage_Level *EQ
 Appl_Warning",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Storage_Shortage_Warning",
   "Critical Memory Alert",
   "NNN",
   "TFWD=Y;OV=N;SEV=Warning~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0W0000000000000000000000000000000W000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1090729161617000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE KM5_Storage_Shortage_Status.Storage_Shortage_Level *EQ Cr
itical",
   "E",
   "0",
   "001500",
   "*NONE",
   "KM5_Storage_Shortage_Critical",
   "Critical Memory Alert",
   "NNN",
   "TFWD=Y;OV=N;TDST=0;SEV=Critical~",
   'ADVICE("km5:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on 420 IF1 Drop 3b                      */
/*                                                                   */
/*********************************************************************/
  UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1364"
    WHERE SITNAME = "KM5_Avail_CSA_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1365"
    WHERE SITNAME = "KM5_HDSP_MVS_Pct_Busy_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1366"
    WHERE SITNAME = "KM5_Job_Avail_LSQA_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1367"
    WHERE SITNAME = "KM5_Job_Subp_Key_Use_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1368"
    WHERE SITNAME = "KM5_LPAR_Cap_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1369"
    WHERE SITNAME = "KM5_LPAR_MSU_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1370"
    WHERE SITNAME = "KM5_Storage_Shortage_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5__420_IF1A_1371"
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";
/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on V5R1 Drop 1                 mhp07-11 */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_510_PII1_1000"
    WHERE SITNAME = "KM5_HealthChecker_Problems";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_510_PII1_1001"
    WHERE SITNAME = "KM5_High_Severity_Check";
/*********************************************************************/
/*                                                                   */
/* Updates for feature 172562                               mhp12-11 */
/*                                                                   */
/*********************************************************************/
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 
"OS390_Unref_Interval_Cnt_Crit" 
     AND SYSTEM.PARMA('QIBUSER','SYSADMIN',10)           
     AND SYSTEM.PARMA('QIBCLASSID','5535',4);
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 
"OS390_Unref_Interval_Cnt_Warn" 
     AND SYSTEM.PARMA('QIBUSER','SYSADMIN',10)           
     AND SYSTEM.PARMA('QIBCLASSID','5535',4);

$PARMS("Set the critical threshold for the unreferenced interval count. 
The value can be 1 to 2540.         
Because lower values indicate resource contention, the unreferenced inte
rval count (UIC) is an alert where the critical threshold must be less t
han the warning value.
");                                                               
INSERT INTO O4SRV.TSITDESC 
(
SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,
EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,
LSTUSRPRF,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBSCOPE,REEV_DAYS,
REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT,QIBCLASSID
) 
VALUES(
"OS390_Unref_Interval_Cnt_Crit",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
" ",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Unreferenced Interval Count Critical Situation",
"*IF  *VALUE System_Paging_Activity.Unreferenced_Interval_Count *LE 10",
"5535")
; 

$PARMS("Set the warning threshold for the unreferenced interval count. T
he value can be 1 to 2540.
Because lower values indicate resource contention, the unreferenced inte
rval count (UIC) is an alert where the warning threshold must be greater
 than the critical.                                           "); 
                                                               
INSERT INTO O4SRV.TSITDESC 
(SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT,AUTOSTART,CMD,DESTNODE,
EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,
LSTUSRPRF,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBSCOPE,REEV_DAYS,
REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEXT,PDT,QIBCLASSID) 
VALUES(
"OS390_Unref_Interval_Cnt_Warn",
?,
"0W000000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1020816120000000",
"V310",
"SYSADMIN",
"",
"",
"",
"KM5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Unreferenced Interval Count Warning Situation",
"*IF  *VALUE System_Paging_Activity.Unreferenced_Interval_Count *LT 20 
*AND  *VALUE System_Paging_Activity.Unreferenced_Interval_Count *GT 10",
"5535")
;  

/*********************************************************************/
/*                                                                   */
/*   JES SPOOL product provided situations                           */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 
"JES_Spool_Allocated_Pct_Crit";

/*********************************************************************/
/*                                                                   */
/*   JES SPOOL product provided situations   IBM Spec                */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

/* ** RECORD 1 ** */


$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                       

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "%IBM.STATIC007          000000000F000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1210214094636000",                                    /* LSTDATE */
   "",                                                 /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF *VALUE JES_Spool_Details.Tracks_Percent_Used *GE 80", /* PDT */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "JES_Spool_Allocated_Pct_Crit",                        /* SITNAME */
   "",                                                     /* SOURCE */
   "JES Spool Allocated %"                                   /* TEXT */
  );
  
/*********************************************************************/
/*                                                                   */
/*   UNIX System Services zFS product provided situations            */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 
"Free_Space_In_zFS_User_Cache";

/*********************************************************************/
/*                                                                   */
/*   UNIX System Services zFS product provided situations            */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

/* ** RECORD 1 ** */
$PARMS('ADVICE("KM5:"+$ISITSTSH.SITNAME$);');                       

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   SOURCE,
   TEXT
  )
VALUES
  (?,                                                      /* ADVISE */
   "%IBM.STATIC007          000000000500000000",       /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1200225094636000",                                    /* LSTDATE */
   "",                                                 /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "*IF  *VALUE KM5_zFS_User_Cache.Free_Pages *LE 5000",      /* PDT */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "Free_Space_In_zFS_User_Cache",                        /* SITNAME */
   "",                                                     /* SOURCE */
   "Monitor zFS User Cache Free Pages"                       /* TEXT */
  );


UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53275"
    WHERE SITNAME = "OS390_Unref_Interval_Cnt_Crit";

UPDATE O4SRV.TSITDESC
    SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
    WHERE SITNAME = "OS390_Unref_Interval_Cnt_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM53276"
    WHERE SITNAME = "OS390_Unref_Interval_Cnt_Warn";

UPDATE O4SRV.TSITDESC
    SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
    WHERE SITNAME = "OS390_Unref_Interval_Cnt_Warn";
	
/*********************************************************************/
/*                                                                   */
/* Update formula for CPU Loop Warn Km5 Storage Shortage Warning     */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
    SET PDT = "*IF *VALUE Address_Space_Bottlenecks.CPU_Loop_Index *GT 9
8.0"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
    SET SITINFO = "COUNT=3;TFWD=Y;OV=N;SEV=Warning;TDST=0;~"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
    SET LSTDATE = "1130403114618000"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";

UPDATE O4SRV.TSITDESC
    SET LSTRELEASE = "V510"  
    WHERE SITNAME = "KM5_CPU_Loop_Warn";	

UPDATE O4SRV.TSITDESC
    SET PDT = "*IF ( ( *VALUE KM5_Storage_Shortage_Status.Storage_Shorta
ge_Level *EQ Appl_Warning *AND *VALUE KM5_Storage_Shortage_Status.Events
_Status *EQ Active_Events ) *OR ( *VALUE KM5_Storage_Shortage_Status.Sto
rage_Shortage_Level *EQ Warning *AND *VALUE KM5_Storage_Shortage_Status.
Events_Status *EQ Active_Events ) )"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";	

UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";

UPDATE O4SRV.TSITDESC
    SET LSTDATE = "1140205130614000"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";

UPDATE O4SRV.TSITDESC
    SET LSTRELEASE = "V510"  
    WHERE SITNAME = "KM5_Storage_Shortage_Warning";
	
/*********************************************************************/
/*                                                                   */
/* Updates from G11N process on V5R1 zAware Drop 1 ZAW1 kjk/jpy05-13 */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1041"
    WHERE SITNAME = "KM5_zAware_Analysis_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1042"
    WHERE SITNAME = "KM5_zAware_Analysis_Warn";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1043"
    WHERE SITNAME = "KM5_zAware_Client_Status";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_ZAW1_1044"
    WHERE SITNAME = "KM5_zAware_Server_Status";	

/*********************************************************************/
/*                                                                   */
/* Update zAware & Storage Shortage Alert Sits         JPY 02/05/14  */
/*                                                                   */
/*********************************************************************/
	
UPDATE O4SRV.TSITDESC
    SET REEV_TIME = "000500" 
    WHERE SITNAME = "KM5_zAware_Analysis_Crit";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Critical;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Analysis_Crit";	
UPDATE O4SRV.TSITDESC
    SET REEV_TIME = "000500" 
    WHERE SITNAME = "KM5_zAware_Analysis_Warn";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Analysis_Warn";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Client_Status";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Warning;TDST=0;~" 
    WHERE SITNAME = "KM5_zAware_Server_Status";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "TFWD=Y;OV=N;SEV=Critical;TDST=0;~"  
    WHERE SITNAME = "KM5_Storage_Shortage_Critical";	
    
/*********************************************************************/
/*                                                                   */
/*   JES SPOOL product provided situations                           */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "JES_Spool_Allocated_Pct_Crit";	

UPDATE O4SRV.TSITDESC
SET   SITINFO = "SEV=Critical~"
WHERE SITNAME = "JES_Spool_Allocated_Pct_Crit";	

/*********************************************************************/
/*                                                                   */
/*   UNIX System Services zFS product provided situations            */
/* © Copyright Rocket Software, Inc. 2020                            */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("km5:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "Free_Space_In_zFS_User_Cache";	

/*                                          */
/* ** M5ASCPUTLH HISTORICAL COLLECTION ** */
/* ** ADDRESS SPACE CPU UTILIZATION HISTORY */
/* ** OA59993                               */
/*                                          */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5ASCPUTLH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5ASCPUTLH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165134000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5ASCPUTLH 
   WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5ASCPUTLH",23) 
   AND SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)' ,
   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5ASCPUTLH" ,                            /* SITNAME */
   "Address Space CPU Utilization History"                   /* TEXT */
  );
/*                                        */
/* ** M5ASCPUTLH HISTORICAL DISTRIBUTION* */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165134000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5ASCPUTLH",                              /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** M5STGCDTH HISTORICAL COLLECTION     */
/* ** COMMON STORAGE UTILIZATION HISTORY  */
/* ** OA59993                             */
/*                                        */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5STGCDTH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5STGCDTH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165241000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5STGCDTH 
   WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5STGCDTH",22) 
   AND SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)',

   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5STGCDTH" ,                             /* SITNAME */
   "Common Storage Utilization History"                      /* TEXT */
  );
/*                                        */
/* ** M5STGCDTH HISTORICAL DISTRIBUTION*  */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165241000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5STGCDTH",                               /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** M5STGFDTH HISTORICAL COLLECTION     */
/* ** REAL STORAGE UTILIZATION HISTORY    */
/* ** OA59993                             */
/*                                        */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5STGFDTH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5STGFDTH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165510000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5STGFDTH 
  WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5STGFDTH",22) 
   AND SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)',
   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5STGFDTH" ,                           /* SITNAME */
   "Real Storage Utilization History"                        /* TEXT */
  );
/*                                        */
/* ** M5STGFDTH HISTORICAL DISTRIBUTION* */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165510000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5STGFDTH",                               /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** M5STGDETH HISTORICAL COLLECTION     */
/* ** KM5_STORAGE_DETAILS_HISTORY         */
/* ** OA59993                             */
/*                                        */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_M5STGDETH";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_M5STGDETH";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBCLASSID ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("%IBM.STATIC007          0000000001000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*YES" ,                                             /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   " " ,                                                      /* HUB */
   "65535" ,                                             /* LSTCCSID */
   "1202008165343000" ,                                   /* LSTDATE */
   "V560" ,                                             /* LSTRELEASE*/
   "SYSADMIN" ,                                         /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
'*IF *HISTRULE SELECT, ORIGINNODE FROM KM5.M5STGDETH 
  WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND 
   SYSTEM.PARMA("SITNAME","UADVISOR_KM5_M5STGDETH",22) AND 
   SYSTEM.PARMA("WAREHOUSE","TRIGGER(96)",11) AND
   SYSTEM.PARMA("INTERVAL","300000",10)',
   " " ,                                                  /* PRNAMES */
   "5140" ,                                            /* QIBCLASSID */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000500" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "UADVISOR_KM5_M5STGDETH" ,                             /* SITNAME */
   "Storage Details History"                                 /* TEXT */
  );
/*                                        */
/* ** M5STGDETH HISTORICAL DISTRIBUTION*  */
/*                                        */
INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  QIBCLASSID ,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
)
VALUES
 (" ",                                                 /* ACTIVATION */
  "Y",                                                        /* HUB */
  "1202008165343000" ,                                    /* LSTDATE */
  "V560",                                               /* LSTRELEASE*/
  "HISTCNFG" ,                                          /* LSTUSRPRF */
  "*MVS_SYSTEM" ,                                           /* NODEL */
  "5140",                                                /* OBJCLASS */
  "5535" ,                                               /*ACCESSLIST*/
  " ",                                                 /* OBJECTLOCK */
  "UADVISOR_KM5_M5STGDETH",                               /* OBJNAME */
  " "                                                   /* OPERATION */
);

/*                                        */
/* ** KM5WLMEL HISTORICAL COLLECTION      */
/* ** WLM LPAR Extended Metrics HISTORY   */
/* ** OA59993                             */
/* AS PER IBM SPEC THIS TABLE IS NOW      */
/* DEPRECATED; YSZS-1344 ENSURES DELETE   */
/* - INSERTS GONE                         */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_KM5WLMEL";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_KM5WLMEL";

/*                                         */
/* ** KM5WLMES HISTORICAL COLLECTION       */
/* ** WLM SYSPLEX Extended Metrics HISTORY */
/* ** OA60283                              */
/* AS PER IBM SPEC THIS TABLE IS NOW       */
/* DEPRECATED; YSZS-1344 ENSURES DELETE    */
/* - INSERTS GONE                          */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "UADVISOR_KM5_KM5WLMES";
DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "UADVISOR_KM5_KM5WLMES";



/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 07-21-2020   */
/*                                                                                  */
/************************************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_203_17_22_49_1098"
    WHERE SITNAME = "Free_Space_In_zFS_User_Cache";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_203_17_22_49_1099"
    WHERE SITNAME = "JES_Spool_Allocated_Pct_Crit";

/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 09-22-2020   */
/*                            FP0006                                                */
/************************************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1356"
    WHERE SITNAME = "UADVISOR_KM5_M5ASCPUTLH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1357"
    WHERE SITNAME = "UADVISOR_KM5_M5STGCDTH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1358"
    WHERE SITNAME = "UADVISOR_KM5_M5STGDETH";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_266_16_52_48_1359"
    WHERE SITNAME = "UADVISOR_KM5_M5STGFDTH";

/************************************************************************************/
/*                                                                                  */
/* Updates from G11N process IBM Z OMEGAMON Monitor for z/OS v560  mjr 10-28-2020   */
/*                            FP0007                                                */
/************************************************************************************/
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_302_18_10_50_1166"
    WHERE SITNAME = "UADVISOR_KM5_KM5WLMEL";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Km5:KM5_2020_302_18_10_50_1167"
    WHERE SITNAME = "UADVISOR_KM5_KM5WLMES";	
